---
created_at: '2017-11-10T05:18:19.000Z'
title: W.E.B. Du Bois on the beauty of sorrow songs (1903)
url: https://www.laphamsquarterly.org/music/unforgettable
author: tintinnabula
points: 53
story_text: 
comment_text: 
num_comments: 6
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1510291099
_tags:
- story
- author_tintinnabula
- story_15668115
objectID: '15668115'
year: 1903

---
# Unforgettable

W.E.B. Du Bois on the beauty of sorrow songs.

* * * * *

They that walked in darkness sang songs in the olden days—sorrow songs—for they were weary at heart.

Ever since I was a child these songs have stirred me strangely. They came out of the South unknown to me, one by one, and yet at once I knew them as of me and of mine. Then in after years, when I came to Nashville, I saw the great temple builded of these songs towering over the pale city. To me Jubilee Hall seemed ever made of the songs themselves, and its bricks were red with the blood and dust of toil. Out of them rose for me morning, noon, and night, bursts of wonderful melody, full of the voices of my brothers and sisters, full of the voices of the past.

Little of beauty has America given the world save the rude grandeur God himself stamped on her bosom; the human spirit in this new world has expressed itself in vigor and ingenuity rather than in beauty. And so by fateful chance the Negro folk song—the rhythmic cry of the slave—stands today not simply as the sole American music but as the most beautiful expression of human experience born this side the seas. It has been neglected, it has been, and is, half despised, and above all it has been persistently mistaken and misunderstood; but notwithstanding, it still remains as the singular spiritual heritage of the nation and the greatest gift of the Negro people.

Away back in the 1830s, the melody of these slave songs stirred the nation, but the songs were soon half forgotten. Some, like "Near the Lake Where Drooped the Willow," passed into current airs and their source was forgotten; others were caricatured on the "minstrel" stage and their memory died away. Then in wartime came the singular Port Royal experiment after the capture of Hilton Head, and perhaps for the first time the North met the Southern slave face-to-face and heart-to-heart with no third witness. The Sea Islands of the Carolinas, where they met, were filled with a black folk of primitive type, touched and molded less by the world about them than any others outside the Black Belt. Their appearance was uncouth, their language funny, but their hearts were human and their singing stirred men with a mighty power. Thomas Wentworth Higginson hastened to tell of these songs, and Miss McKim and others urged upon the world their rare beauty. But the world listened only half credulously until the Fisk Jubilee Singers sang the slave songs so deeply into the world's heart that it can never wholly forget them again.

![][25]

_Circus Sideshow_, by Georges Seurat, 1887–88. © [The Metropolitan Museum of Art][26], bequest of Stephen C. Clark, 1960.

There was once a blacksmith's son born at Cadiz, New York, who in the changes of time taught school in Ohio and helped defend Cincinnati from Kirby Smith. Then he fought at Chancellorsville and Gettysburg and finally served in the Freedman's Bureau at Nashville. Here he formed a Sunday school class of black children in 1866, and sang with them and taught them to sing. And then they taught him to sing, and when once the glory of the jubilee songs passed into the soul of George L. White, he knew his lifework was to let those Negroes sing to the world as they had sung to him. So in 1871 the pilgrimage of the Fisk Jubilee Singers began. North to Cincinnati they rode—four half-clothed black boys and five girl-women—led by a man with a cause and a purpose. They stopped at Wilberforce, the oldest of Negro schools, where a black bishop blessed them. Then they went, fighting cold and starvation, shut out of hotels, and cheerfully sneered at, ever northward; and ever the magic of their song kept thrilling hearts, until a burst of applause in the Congregational Council at Oberlin revealed them to the world. They came to New York and Henry Ward Beecher dared to welcome them, even though the metropolitan dailies sneered at his "Nigger Minstrels." So their songs conquered till they sang across the land and across the sea, before queen and kaiser, in Scotland and Ireland, Holland and Switzerland. Seven years they sang, and brought back $150,000 to found Fisk University.

Since their day they have been imitated—sometimes well, by the singers of Hampton and Atlanta, sometimes ill, by straggling quartets. Caricature has sought again to spoil the quaint beauty of the music, and has filled the air with many debased melodies which vulgar ears scarce know from the real. But the true Negro folk song still lives in the hearts of those who have heard them truly sung and in the hearts of the Negro people.

What are these songs, and what do they mean? I know little of music and can say nothing in technical phrase, but I know something of men, and knowing them, I know that these songs are the articulate message of the slave to the world. They tell us in these eager days that life was joyous to the black slave, careless and happy. I can easily believe this of some, of many. But not all the past South, though it rose from the dead, can gainsay the heart-touching witness of these songs. They are the music of an unhappy people, of the children of disappointment; they tell of death and suffering and unvoiced longing toward a truer world, of misty wanderings and hidden ways.

All of the great musicians have borrowed from the songs of the common people.

—Antonín Dvořák, 1893

* * * The songs are indeed the siftings of centuries; the music is far more ancient than the words, and in it we can trace here and there signs of development. My grandfather's grandmother was seized by an evil Dutch trader two centuries ago; and coming to the valleys of the Hudson and Housatonic, black, little, and lithe, she shivered and shrank in the harsh north winds, looked longingly at the hills, and often crooned a heathen melody to the child between her knees, thus:

> Do ba-na co-ba, ge-ne me, ge-ne me!  
Do ba-na co-ba, ge-ne me, ge-ne me!  
Ben d' nu-li, nu-li, nu-li, nu-li, ben d' le.

The child sang it to his children and they to their children's children, and so two hundred years it has traveled down to us, and we sing it to our children, knowing as little as our fathers what its words may mean, but knowing well the meaning of its music.

![][27]

Contributor

# [W.E.B. Du Bois][28]

## 
