---
created_at: '2016-05-07T02:52:03.000Z'
title: My New York Misadventure (1932)
url: http://www.winstonchurchill.org/publications/finest-hour/23-finest-hour-136/2251-my-new-york-misadventure
author: samclemens
points: 54
story_text: 
comment_text: 
num_comments: 5
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1462589523
_tags:
- story
- author_samclemens
- story_11648160
objectID: '11648160'
year: 1932

---
FINEST HOUR 136, AUTUMN 2007

BY WINSTON S. CHURCHILL

First published in two parts in The Daily Mail, 4/5 January 1932, and
later in volume form in The Collected Essays of Sir Winston Churchill,
vol. IV, Churchill at Large (London: Library of Imperial History, 1975).
Copyright © Winston S. Churchill, reprinted in Finest Hour by kind
permission of Curtis Brown, Ltd., and the Churchill Literary Estate.

\==================

INTRODUCTION

In New York in December 1931, on a lecture tour seeking to recoup his
1929 losses in the stock market crash, Churchill was searching for his
friend Bernard Baruch’s apartment. Looking the wrong way halfway across
Fifth Avenue, he was struck by a car and almost killed. In hospital, he
began dictating, while his bodyguard Sgt. Thompson took measures to
maintain his privacy— “which included flinging all the clothes out of
incoming laundry baskets to prevent reporters from disturbing the
sickroom by hiding in the baskets to gain admittance,” according to
Robert Lewis Taylor in Winston Churchill: An Informal Study of Greatness
(New York: Doubleday, 1952). No working writer can be unimpressed with
Churchill’s ability to turn mishap into opportunity. Taylor adds:

Churchill was in agreement with his doctors that he should be guarded
from upsets. His concern, while identical to theirs, was prompted by a
different reason. Propped up in bed, he was busily at work on a rush
article tentatively titled, “My New York Misadventure.” He finished it
without distraction, sold it for $2500, then got up and took a
convalescent trip to the Bahamas on the proceeds. Some weeks later, back
home at Chartwell, he resumed the massive writing projects to which he
was now dedicated.

Today, two things strike us about this article. The first is amusing: it
could have happened yesterday, not seventy-five years ago; yet much
would be avoided— Churchill would have had a cell phone\! The second is
more profound. It is the lesson Churchill offers us in facing death:

“There is no room for remorse or fears. If at any moment in this long
series of sensations a grey veil deepening into blackness had descended
upon the sanctum I should have felt or feared nothing additional. Nature
is merciful and does not try her children, man or beast, beyond their
compass….For the rest—live dangerously; take things as they come; dread
naught, all will be well. ” —RML

\====================

Some years ago there was a play at the Grand Guignol called “At the
Telephone,” which attracted much attention. A husband, called away to
Paris, leaves his wife in their suburban home. Every precaution is taken
against burglars. There is the maid who will stay in the kitchen; there
is the door which is locked; there is the revolver in the drawer of the
writing table; and lastly, of course, there is, if needed, the appeal
for help by the telephone.

One by one the usefulness of all these measures disappears. The servant
is called away; she leaves the front door unlocked so that she can
return. She takes with her the key of the drawer in which the revolver
is kept. Darkness comes on, and in the final act the agonized husband
hears over the telephone his wife’s appeal for help while she is the
victim of a murderous outrage. An impressive effect is given of doom
marching forward step by step and of every human preventive slipping
silently out of the path.

Something of this impression rests with me when I recall my experiences
of the night of 13 December 1931. I had finished dinner and was inclined
to go to bed; but an old friend of mine rang up and suggested that I
should go round to his house. He was Mr. Bernard Baruch, who was the
head of the War Industries Board during the two years I was Minister of
Munitions. We made friends over a long period of official cables on
grave business, and have preserved these relations through the now
lengthening years of peace. He said he had one or two mutual friends
whom I was most anxious to meet, and as the hour was a little after half
past nine, I was readily enlisted in the project.

I descended by lift the thirty-nine storeys which separated my room from
the street level. When I arrived at the bottom it occurred to me that I
did not know the exact number in Fifth Avenue of my friend’s house. I
knew it was somewhere near 1100. I knew the aspect of the house; I had
been there by daylight on several occasions. It was a house of only five
or six storeys standing with one or two others of similar construction
amid large apartment buildings of more than double the height. I thought
it probable I would pick it out from the windows of my waiting taxicab,
so after a vain search in the telephone book—only Mr. Baruch’s  
business address was there—I started.

Fifth Avenue is an immensely long thoroughfare, and the traffic upon it,
as elsewhere in New York, is regulated by red and green lights. When the
red light shows, every vehicle must stop at the nearest crossroad. When
after an interval of two minutes the lights turn green, they all go as
hard as possible until the light changes into red. Thus we progressed by
a series of jerks.

When I got near the eleven hundreds I peered out of the cab window and
scanned the houses as we sped past, but could not see any like the one I
was seeking They all seemed to be tall buildings of fourteen or fifteen
storeys. On the left lay the dark expanse of Central Park.

At length we reached the twelve hundreds and it was certain I had
overshot my mark. I told the cabman to turn round and go back slowly so
that I could scan every building in turn. Hitherto we had been moving up
the right or centre of the thoroughfare and could at any moment have
stopped opposite any house. Now we had turned round. We were on the
Park, or far side from the houses, with a stream of traffic between us
and the pavement.

At length I saw a house smaller than the rest and told the cabman to
turn in there to make inquiries. It occurred to me that as we must be
within a hundred houses of Mr. Baruch’s address, and that as he was so
prominent a citizen, any of the porters of the big apartment houses
would know which his house was. A London butler nearly always knows who
lives in the three or four houses on the right or left.

The porter of the apartment house at which I inquired recognized me at
once and said he had served in the South African War. He had no idea
where Mr. Baruch lived, but eagerly produced the telephone book, which
could, as I have stated, give no clue in my present quest.

In order to stop opposite this house we had to wait until the light
changed, then turn round on to the opposite course, draw up at the
pavement \[sidewalk in USA\], and thereafter make a second turn, again
being very likely stopped by a change in the light. When this had
happened three times and we were unlucky in missing the permissive green
light, I began to be a little impatient.

It was now nearly half-past ten. My friends knew I had started an hour
before. Ordinarily the journey should not have taken ten minutes. They
might think some accident had happened to me or that I had changed my
mind and was not coming at all. They would be waiting about for a tardy
guest. I began to be worried about the situation at the house I was
seeking. I thought I might have, after all, to go back to my hotel and
go to bed.

We had now arrived, as I supposed, at about the nine hundreds, and here
were certainly houses much smaller than the others. So instead of going
through this long ritual of cab-turning on to the other side of the
street, with all the delays of the lights, and then returning again on
to its general course, I told the cabman to stop where he was on the
Central Park side of the avenue; I would walk across the road myself and
inquire at the most likely house.

In England we frequently cross roads along which fast traffic is moving
in both directions. I did not think the task I set myself now either
difficult or rash. But at this moment habit played me a deadly trick. I
no sooner got out of the cab somewhere about the middle of the road and
told the driver to wait than I instinctively turned my eyes to the left.
About 200 yards away were the yellow headlights of an approaching car. I
thought I had just time to cross the road before it arrived; and I
started to do so in the prepossession—wholly unwarranted— that my only
dangers were from the left. The yellow-lighted car drew near and I
increased my pace towards the pavement, perhaps twenty feet away.

Suddenly upon my right I was aware of something utterly unexpected and
boding mortal peril. I turned my head sharply. Right upon me, scarcely
its own length away, was what seemed a long dark car rushing forward at
full speed.

There was one moment—I cannot measure it in time—of a world aglare, of a
man aghast. I certainly thought quickly enough to achieve the idea, “I
am going to be run down and probably killed.” Then came the blow.

I felt it on my forehead and across the thighs. But besides the blow
there was an impact, a shock, a concussion indescribably violent. Many
years ago at “Plugstreet” in Flanders, a 4.2 shell burst in a corner of
the little room in which we were gathered for luncheon, reducing all to
dust and devastation. This shock was of the same order as the shell
explosion. In my case it blotted out everything except thought.

Mario Constasino\*, owner of a medium-sized automobile, was running
between 30 and 35 miles an hour on roads which were wet and greasy. He
was on his proper side of the road and perfectly entitled to make the
best speed he could, when suddenly a dark figure appeared immediately in
front of him. He applied all his brakes, and at the same moment, before
they could act, he struck a heavy body. The car shuddered, and, after
skidding somewhat under the brakes, came to rest in probably a few
lengths. Three or four feet from the right-hand wheel lay a black,
shapeless mass.

Mario had driven for eight or nine years and had never had an accident.
He seems to have been overpoweringly agitated and distressed. He heard a
loud cry, “A man has been killed\!” The traffic banked up on either
side. People came running from all directions. Constables appeared. One
group clustered around Mario, another around the prostrate figure.

A friend of mine of mathematical predilections\*\* has been kind enough
to calculate the stresses involved in the collision. The car weighed
some 2400 pounds. With my evening coat on I could not have weighed much
less than 200 pounds. Taking the rate of the car at 35 miles an hour—I
think a moderate estimate—I had actually to absorb in my body 6000
foot-pounds. It was the equivalent of falling thirty feet on to a
pavement. The energy absorbed, though not, of course, the application of
destructive force, was the equivalent of stopping ten pounds of buckshot
dropped 600 feet, or two charges of buckshot at point-blank range.

I do not understand why I was not broken like an egg-shell or squashed
like a gooseberry. I have seen that the poor policeman who was killed on
the Oxford road was hit by a vehicle travelling at very much the same
speed and was completely shattered. I certainly must be very tough or
very lucky, or both.

Meanwhile, I had not lost consciousness for an instant. Somewhere in the
black bundle towards which the passers-by are running there is a small
chamber or sanctum wherein all is orderly and undisturbed. There sits
enthroned a mind intact and unshaken. Before it is a keyboard of letters
or buttons directing the body. Above, a whole series of loudspeakers
report the sensations and experiences of the empire controlled from this
tiny headquarters. This mind is in possession of the following
conclusion:

“I have been run over by a motorcar in America. All those worries about
being late are now swept away. They do not matter any more. Here is a
real catastrophe. Perhaps it is the end.”

The reader will observe from this authentic record that I experienced no
emotion of regret or fear. I simply registered facts without, except for
a general sense of disaster, the power to moralize upon them. But now
all the loudspeakers began to blare together their information from the
body. My mind was overpowered by the hideous noise they made from which
no intelligible conclusion could be drawn. Wave upon wave of convulsive,
painful sensations seemed to flood into this small room,  
preventing thought, paralysing action, but impossible to comprehend. I
had, for instance, no knowledge of whether I was lying on my back or
side or face.

How long this period lasted I cannot tell. I am told that from the time
I was struck down to when I was lifted into a taxicab was perhaps five
minutes, but although I was in no way stunned, my physical sensations
were so violent that I could not achieve any continuous mental process.
I just had to endure them.

Presently, however, from my headquarters I see a swirl of figures
assembling around me. I have an impression of traffic arrested and of
dramatically gathered crowds. Friendly hands are laid upon me.

I suppose I ought now to have had some very pious and inspiring
reflections. However, all that occurred to me was, “I shall not be able
to give my lecture tomorrow night in Brooklyn. Whatever will my poor
agent do about it?” Then more definite impressions. A constable is
bending over me. My head and shoulders are being raised towards him. He
has a book, quite a big book, in his hand.

“What is your name?”

“Winston Churchill.”

I protest I am no snob, but on this occasion I thought it lawful and
prudent to add, “The Right Honourable Winston Churchill from England.”

I heard distinctly respectful “Oh, ohs” from the crowd.

“What is your age?” asked the officer, adhering to his routine.

“Fifty-seven,” I replied, and at the same moment this odd thought
obtruded itself upon my mind. “How very odd to be knocked down in the
street by a motorcar. I shall have a very poor chance of getting over
it.”

The constable proceeded to demand particulars of the accident My mind
and speech apparatus worked apparently without hitch, and I could
volubly have told him all that is set down here; but instead, to save
trouble, I said: “I am entirely to blame; it is all my own fault.” Later
it seemed that another constable came with the question, “Do you make
any charge against any person?” To which I replied, “I exonerate
everyone.”

At this the interrogation ceased abruptly, and Mario in the background
(though I did not know this until afterwards) was released from
captivity.

During all this time I was in what I suppose would be called great pain;
though the sensations really presented themselves to me mainly as an
overpowering of the mind. Gradually I began to be more aware of all that
was going on around me.

It appears that an ambulance was passing, and the crowd stopped it and
demanded that it should take me to the nearest hospital. The ambulance,
which had a serious case on board, refused. Thereupon a taximan
exclaimed in a voice which I would perfectly well hear, “Take him in my
cab. There’s the Lenox Hill Hospital on 76th Street.”

Accordingly I was lifted by perhaps eight or ten persons to the floor of
the taxicab. I now discovered that my overcoat had been half torn off me
and trussed my arms back. I thought both shoulders were dislocated. My
right shoulder dislocates chronically, and I asked repeatedly that care
should be taken in lifting me by it. Eventually the constable and two
others got into the cab and we all started, jammed up together.

Up till now nothing could have been more calm and clear than my interior
thought, apart from the blaring of pain and discomfort which came
through the loud-speakers. All was in order in my inner sanctum, but I
had not ventured to touch the keyboard of action and had been content to
remain an entirely inert mass.

I now saw, as I lay on the floor of the cab, both my hands, very white
and covered with blood, lying across my breast. So I decided to give
them an order to move their fingers and at the same time I pulled the
levers which affect the toes. Neither hands nor feet took the slightest
notice. They might as well have belonged to someone else for all the
attention they paid to my will.

I now became, for the first time, seriously alarmed. I feared that in
this bundle of dull pain which people were carting about, and which was
my body, there might be some grave, serious injury to the spine. The
impression “crippled for life” registered itself in the sanctum. Yet
even then there was so much going on that one could not focus it very
clearly or grieve about it much.

What a nice thing it would be to get to the hospital and have this
overcoat cut off, to have my shoulders put back into their sockets, and,
above all to lie down straight upon a bed. My companions kept cheering
me up. “We are very near now: only another block or two,” and so on. So
we rumbled on.

And then a most blessed thing happened. I began to experience violent
pins and needles in both my upper arms. They hurt intensely; but I did
not mind, because at the same time I found my fingers beginning to move
in accordance with my will. Almost immediately afterwards the toes
responded to my orders. Then swiftly, by waves of pins and needles
almost agonizing in their intensity, warmth, life and obedience began to
flow back into the whole of my trunk.

By the time we pulled up at the hospital I had the assurance that,
although I might have an arm or leg or two broken and was certainly
bruised and shaken, the whole main structure of my body was sound. Blood
continued to flow freely from my forehead and my nose; but I did not
worry about that at all, because in my sanctum we had decided: “There
can be no brain injury, as we have never lost consciousness even for a
second.”

At last we arrive at the hospital. A wheeled chair is brought. I am
carried into it. I am wheeled up steps into a hall and a lift. By now I
feel battered but perfectly competent. They said afterwards I was
confused; but I did not feel so.

“Are you prepared to pay for a private room and doctor?” asked a clerk.

“Yes, bring all the best you have ….Take me to a private room….Where is
your telephone?….Give me the Waldorf Astoria….I will tell my wife myself
that whatever has happened. I am going to get quite well.”

But after an interval they said, “She is already on the way here.”

Not for one moment had I felt up to the present any sensation of
faintness, but now I said, “Give me sal volatile, or something like
that.” A reviver was brought. A house surgeon staunched my wound.

“Let me,” I asked, “get these clothes off and lie down. I can stand for
a moment if you hold me up.”

Soon I am on a bed. Presently come keen, comprehending eyes and deft,
firm fingers.

“We shall have to dress that scalp wound at once. It is cut to the
bone.”

“Will it hurt?”

“Yes.”

“I do not wish to be hurt any more. Give me chloroform or something.”

“The anaesthetist is already on the way.”

More lifting and wheeling. The operating room. White glaring lights. The
mask of a nitrous-oxide inhaler. Whenever I have taken gas or chloroform
I always follow this rule. I imagine myself sitting on a chair with my
back to a lovely swimming bath into which I am to be tilted, and throw
myself backwards; or, again, as if one were throwing one’s self back
after a tiring day into a vast armchair. This helps the process of
anaesthesia wonderfully. A few deep breaths, and one has no longer the
power to speak to the world.

With me the nitrous-oxide trance usually takes this form: the sanctum is
occupied by alien powers. I see the absolute truth and explanation of
things, but something is left out which upsets the whole, so by a larger
sleep of the mind I have to see a greater truth and a more complete
explanation which comprises the erring element. Nevertheless, there is
still something left out. So we have to take a still wider sweep. This
almost breaks mortal comprehension. It is beyond anything the human mind
was ever meant to master.

The process continues inexorably. Depth beyond depth of unendurable
truth opens. I have, therefore, always regarded the nitrous-oxide trance
as a mere substitution of mental for physical pain.

Pain it certainly is; but suddenly these poignant experiences end and
without a perceptible interval consciousness returns. Reassuring words
are spoken. I see a beloved face. My wife is smiling. In the background
there rises the grave, venerable countenance of Mr Bernard Baruch. So I
ask:

“Tell me, Baruch, what is the number of your house?”

“1055.”

“How near was I to it when I was smashed up?”

“Not within ten blocks.” (Half a mile.)

Such in short were my experiences on the night of 13 December; and the
message I bring back from these dark places is one of encouragement. I
certainly suffered every pang, mental and physical, that a street
accident or, I suppose, a shell wound can produce. None is unendurable.
There is neither the time nor the strength for self-pity. There is no
room for remorse or fears. If at any moment in this long series of
sensations a grey veil deepening into blackness had descended upon the
sanctum I should have felt or feared nothing additional. Nature is
merciful and does not try her children, man or beast, beyond their
compass. It is only where the cruelty of man intervenes that hellish
torments appear. For the rest— live dangerously; take things as they
come; dread naught, all will be well.

I ought not to forget to add that I have since looked into my despatch
box and I have found that my far-seeing private secretary in England,
Mrs. Pearman, had furnished me with a travelling address book of people
I might want to communicate with in the United States, and in this I
read; “Baruch, 1055 Fifth Avenue,” with the private telephone number
duly set out.

All of which goes to show that even the best human precautions afford no
definite guarantee of safety.

\===================

\*On 28 January, Conscasino was among 2000 at the Brooklyn Academy of
Music to hear Churchill’s first lecture after his recovery. WSC also
presented him with an inscribed copy of My Early Life.

\*\*WSC cabled Professor Frederick Lindemann for a description of what
had happened to him. Lindemann replied on 30 December:

“Collision equivalent falling thirty feet onto pavement, equal six
thousand foot-pounds of energy. Equivalent stopping ten pound brick
dropped six hundred feet, or two charges buckshot pointblank range.
Shock probably proportional rate energy transferred. Rate inversely
proportional thickness cushion surrounding skeleton and give of frame.
If assume average one inch, your body transferred during impact at rate
eight thousand horsepower. Congratulations on preparing suitable
cushion, and skill in taking bump.”

### Related Story

  -
