---
created_at: '2016-12-04T02:16:14.000Z'
title: Science the Endless Frontier – Vannevar Bush (1945)
url: https://www.nsf.gov/od/lpa/nsf50/vbush1945.htm
author: maverick_iceman
points: 45
story_text: 
comment_text: 
num_comments: 1
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1480817774
_tags:
- story
- author_maverick_iceman
- story_13098468
objectID: '13098468'
year: 1945

---
# Science The Endless Frontier

## A Report to the President by Vannevar Bush, Director of the Office of Scientific Research and Development, July 1945

#### (United States Government Printing Office, Washington: 1945)

## TABLE OF CONTENTS

  - Appendices
      - 1\. Committees Consulted
      - 2\. Report of the Medical Advisory Committee, Dr. W. W. Palmer,
        Chairman
      - 3\. Report of the Committee on Science and the Public Welfare,
        Dr. Isaiah Bowman, Chairman
      - 4\. Report of the Committee on Discovery and Development of
        Scientific Talent, Mr. Henry Allen Moe, Chairman
      - 5\. Report of the Committee on Publication of Scientific
        Information, Dr. Irvin Stewart, Chairman

\_\_\_

    OFFICE OF SCIENTIFIC RESEARCH AND DEVELOPMENT
    1530 P Street, NW.
    Washington 25, D.C.
    JULY 25, 1945
    
    DEAR MR. PRESIDENT:

In a letter dated November 17, 1944, President Roosevelt requested my
recommendations on the following points:

(1) What can be done, consistent with military security, and with the
prior approval of the military authorities, to make known to the world
as soon as possible the contributions which have been made during our
war effort to scientific knowledge?

(2) With particular reference to the war of science against disease,
what can be done now to organize a program for continuing in the future
the work which has been done in medicine and related sciences?

(3) What can the Government do now and in the future to aid research
activities by public and private organizations?

(4) Can an effective program be proposed for discovering and developing
scientific talent in American youth so that the continuing future of
scientific research in this country may be assured on a level comparable
to what has been done during the war?

It is clear from President Roosevelt's letter that in speaking of
science that he had in mind the natural sciences, including biology and
medicine, and I have so interpreted his questions. Progress in other
fields, such as the social sciences and the humanities, is likewise
important; but the program for science presented in my report warrants
immediate attention.

In seeking answers to President Roosevelt's questions I have had the
assistance of distinguished committees specially qualified to advise in
respect to these subjects. The committees have given these matters the
serious attention they deserve; indeed, they have regarded this as an
opportunity to participate in shaping the policy of the country with
reference to scientific research. They have had many meetings and have
submitted formal reports. I have been in close touch with the work of
the committees and with their members throughout. I have examined all of
the data they assembled and the suggestions they submitted on the points
raised in President Roosevelt's letter.

Although the report which I submit herewith is my own, the facts,
conclusions, and recommendations are based on the findings of the
committees which have studied these questions. Since my report is
necessarily brief, I am including as appendices the full reports of the
committees.

A single mechanism for implementing the recommendations of the several
committees is essential. In proposing such a mechanism I have departed
somewhat from the specific recommendations of the committees, but I have
since been assured that the plan I am proposing is fully acceptable to
the committee members.

The pioneer spirit is still vigorous within this nation. Science offers
a largely unexplored hinterland for the pioneer who has the tools for
his task. The rewards of such exploration both for the Nation and the
individual are great. Scientific progress is one essential key to our
security as a nation, to our better health, to more jobs, to a higher
standard of living, and to our cultural progress.

``` 
  Respectfully yours,
                    (s) V. Bush, Director
```

    THE PRESIDENT OF THE UNITED STATES,
    The White House,
    Washington, D. C.

\_\_\_

``` 
  THE WHITE HOUSE
  Washington, D. C.
  November 17, 1944
```

DEAR DR. BUSH: The Office of Scientific Research and Development, of
which you are the Director, represents a unique experiment of team-work
and cooperation in coordinating scientific research and in applying
existing scientific knowledge to the solution of the technical problems
paramount in war. Its work has been conducted in the utmost secrecy and
carried on without public recognition of any kind; but its tangible
results can be found in the communiques coming in from the battlefronts
all over the world. Some day the full story of its achievements can be
told.

There is, however, no reason why the lessons to be found in this
experiment cannot be profitably employed in times of peace. The
information, the techniques, and the research experience developed by
the Office of Scientific Research and Development and by the thousands
of scientists in the universities and in private industry, should be
used in the days of peace ahead for the improvement of the national
health, the creation of new enterprises bringing new jobs, and the
betterment of the national standard of living.

It is with that objective in mind that I would like to have your
recommendations on the following four major points:

First: What can be done, consistent with military security, and with the
prior approval of the military authorities, to make known to the world
as soon as possible the contributions which have been made during our
war effort to scientific knowledge?

The diffusion of such knowledge should help us stimulate new
enterprises, provide jobs four our returning servicemen and other
workers, and make possible great strides for the improvement of the
national well-being.

Second: With particular reference to the war of science against disease,
what can be done now to organize a program for continuing in the future
the work which has been done in medicine and related sciences?

The fact that the annual deaths in this country from one or two diseases
alone are far in excess of the total number of lives lost by us in
battle during this war should make us conscious of the duty we owe
future generations.

Third: What can the Government do now and in the future to aid research
activities by public and private organizations? The proper roles of
public and of private research, and their interrelation, should be
carefully considered.

Fourth: Can an effective program be proposed for discovering and
developing scientific talent in American youth so that the continuing
future of scientific research in this country may be assured on a level
comparable to what has been done during the war?

New frontiers of the mind are before us, and if they are pioneered with
the same vision, boldness, and drive with which we have waged this war
we can create a fuller and more fruitful employment and a fuller and
more fruitful life.

I hope that, after such consultation as you may deem advisable with your
associates and others, you can let me have your considered judgment on
these matters as soon as convenient - reporting on each when you are
ready, rather than waiting for completion of your studies in all.

    Very sincerely yours,
                    (s) FRANKLIN D. ROOSEVELT

    Dr. VANNEVAR BUSH,
    Office of Scientific Research and Development,
    Washington, D. C.

\_\_

# SCIENCE - THE ENDLESS FRONTIER

"New frontiers of the mind are before us, and if they are pioneered with
the same vision, boldness, and drive with which we have waged this war
we can create a fuller and more fruitful employment and a fuller and
more fruitful life."--

``` 
  FRANKLIN D. ROOSEVELT
  November 17, 1944.
```

\_\_\_ ---

## SCIENTIFIC PROGRESS IS ESSENTIAL

Progress in the war against disease depends upon a flow of new
scientific knowledge. New products, new industries, and more jobs
require continuous additions to knowledge of the laws of nature, and the
application of that knowledge to practical purposes. Similarly, our
defense against aggression demands new knowledge so that we can develop
new and improved weapons. This essential, new knowledge can be obtained
only through basic scientific research.

Science can be effective in the national welfare only as a member of a
team, whether the conditions be peace or war. But without scientific
progress no amount of achievement in other directions can insure our
health, prosperity, and security as a nation in the modern world.

#### For the War Against Disease

We have taken great strides in the war against disease. The death rate
for all diseases in the Army, including overseas forces, has been
reduced from 14.1 per thousand in the last war to 0.6 per thousand in
this war. In the last 40 years life expectancy has increased from 49 to
65 years, largely as a consequence of the reduction in the death rates
of infants and children. But we are far from the goal. The annual deaths
from one or two diseases far exceed the total number of American lives
lost in battle during this war. A large fraction of these deaths in our
civilian population cut short the useful lives of our citizens.
Approximately 7,000,000 persons in the United States are mentally ill
and their care costs the public over $175,000,000 a year. Clearly much
illness remains for which adequate means of prevention and cure are not
yet known.

The responsibility for basic research in medicine and the underlying
sciences, so essential to progress in the war against disease, falls
primarily upon the medical schools and universities. Yet we find that
the traditional sources of support for medical research in the medical
schools and universities, largely endowment income, foundation grants,
and private donations, are diminishing and there is no immediate
prospect of a change in this trend. Meanwhile, the cost of medical
research has been rising. If we are to maintain the progress in medicine
which has marked the last 25 years, the Government should extend
financial support to basic medical research in the medical schools and
in universities.

#### For Our National Security

The bitter and dangerous battle against the U-boat was a battle of
scientific techniques - and our margin of success was dangerously small.
The new eyes which radar has supplied can sometimes be blinded by new
scientific developments. V-2 was countered only by capture of the
launching sites.

We cannot again rely on our allies to hold off the enemy while we
struggle to catch up. There must be more - and more adequate - military
research in peacetime. It is essential that the civilian scientists
continue in peacetime some portion of those contributions to national
security which they have made so effectively during the war. This can
best be done through a civilian-controlled organization with close
liaison with the Army and Navy, but with funds direct from Congress, and
the clear power to initiate military research which will supplement and
strengthen that carried on directly under the control of the Army and
Navy.

#### And for the Public Welfare

One of our hopes is that after the war there will be full employment. To
reach that goal the full creative and productive energies of the
American people must be released. To create more jobs we must make new
and better and cheaper products. We want plenty of new, vigorous
enterprises. But new products and processes are not born full-grown.
They are founded on new principles and new conceptions which in turn
result from basic scientific research. Basic scientific research is
scientific capital. Moreover, we cannot any longer depend upon Europe as
a major source of this scientific capital. Clearly, more and better
scientific research is one essential to the achievement of our goal of
full employment.

How do we increase this scientific capital? First, we must have plenty
of men and women trained in science, for upon them depends both the
creation of new knowledge and its application to practical purposes.
Second, we must strengthen the centers of basic research which are
principally the colleges, universities, and research institutes. These
institutions provide the environment which is most conducive to the
creation of new scientific knowledge and least under pressure for
immediate, tangible results. With some notable exceptions, most research
in industry and Government involves application of existing scientific
knowledge to practical problems. It is only the colleges, universities,
and a few research institutes that devote most of their research efforts
to expanding the frontiers of knowledge.

Expenditures for scientific research by industry and Government
increased from $140,000,000 in 1930 to $309,000,000 in 1940. Those for
the colleges and universities increased from $20,000,000 to $31,000,000,
while those for the research institutes declined from $5,200,000 to
$4,500,000 during the same period. If the colleges, universities, and
research institutes are to meet the rapidly increasing demands of
industry and Government for new scientific knowledge, their basic
research should be strengthened by use of public funds.

For science to serve as a powerful factor in our national welfare,
applied research both in Government and in industry must be vigorous. To
improve the quality of scientific research within the Government, steps
should be taken to modify the procedures for recruiting, classifying,
and compensating scientific personnel in order to reduce the present
handicap of governmental scientific bureaus in competing with industry
and the universities for top-grade scientific talent. To provide
coordination of the common scientific activities of these governmental
agencies as to policies and budgets, a permanent Science Advisory Board
should be created to advise the executive and legislative branches of
Government on these matters.

The most important ways in which the Government can promote industrial
research are to increase the flow of new scientific knowledge through
support of basic research, and to aid in the development of scientific
talent. In addition, the Government should provide suitable incentives
to industry to conduct research, (a) by clarification of present
uncertainties in the Internal Revenue Code in regard to the
deductibility of research and development expenditures as current
charges against net income, and (b) by strengthening the patent system
so as to eliminate uncertainties which now bear heavily on small
industries and so as to prevent abuses which reflect discredit upon a
basically sound system. In addition, ways should be found to cause the
benefits of basic research to reach industries which do not now utilize
new scientific knowledge.

### WE MUST RENEW OUR SCIENTIFIC TALENT

The responsibility for the creation of new scientific knowledge - and
for most of its application - rests on that small body of men and women
who understand the fundamental laws of nature and are skilled in the
techniques of scientific research. We shall have rapid or slow advance
on any scientific frontier depending on the number of highly qualified
and trained scientists exploring it.

The deficit of science and technology students who, but for the war,
would have received bachelor's degrees is about 150,000. It is estimated
that the deficit of those obtaining advanced degrees in these fields
will amount in 1955 to about 17,000 - for it takes at least 6 years from
college entry to achieve a doctor's degree or its equivalent in science
or engineering. The real ceiling on our productivity of new scientific
knowledge and its application in the war against disease, and the
development of new products and new industries, is the number of trained
scientists available.

The training of a scientist is a long and expensive process. Studies
clearly show that there are talented individuals in every part of the
population, but with few exceptions, those without the means of buying
higher education go without it. If ability, and not the circumstance of
family fortune, determines who shall receive higher education in
science, then we shall be assured of constantly improving quality at
every level of scientific activity. The Government should provide a
reasonable number of undergraduate scholarships and graduate fellowships
in order to develop scientific talent in American youth. The plans
should be designed to attract into science only that proportion of
youthful talent appropriate to the needs of science in relation to the
other needs of the nation for high abilities.

#### Including Those in Uniform

The most immediate prospect of making up the deficit in scientific
personnel is to develop the scientific talent in the generation now in
uniform. Even if we should start now to train the current crop of
high-school graduates none would complete graduate studies before 1951.
The Armed Services should comb their records for men who, prior to or
during the war, have given evidence of talent for science, and make
prompt arrangements, consistent with current discharge plans, for
ordering those who remain in uniform, as soon as militarily possible, to
duty at institutions here and overseas where they can continue their
scientific education. Moreover, the Services should see that those who
study overseas have the benefit of the latest scientific information
resulting from research during the war.

### THE LID MUST BE LIFTED

While most of the war research has involved the application of existing
scientific knowledge to the problems of war, rather than basic research,
there has been accumulated a vast amount of information relating to the
application of science to particular problems. Much of this can be used
by industry. It is also needed for teaching in the colleges and
universities here and in the Armed Forces Institutes overseas. Some of
this information must remain secret, but most of it should be made
public as soon as there is ground for belief that the enemy will not be
able to turn it against us in this war. To select that portion which
should be made public, to coordinate its release, and definitely to
encourage its publication, a Board composed of Army, Navy, and civilian
scientific members should be promptly established.

### A PROGRAM FOR ACTION

The Government should accept new responsibilities for promoting the flow
of new scientific knowledge and the development of scientific talent in
our youth. These responsibilities are the proper concern of the
Government, for they vitally affect our health, our jobs, and our
national security. It is in keeping also with basic United States policy
that the Government should foster the opening of new frontiers and this
is the modern way to do it. For many years the Government has wisely
supported research in the agricultural colleges and the benefits have
been great. The time has come when such support should be extended to
other fields.

The effective discharge of these new responsibilities will require the
full attention of some over-all agency devoted to that purpose. There is
not now in the permanent Governmental structure receiving its funds from
Congress an agency adapted to supplementing the support of basic
research in the colleges, universities, and research institutes, both in
medicine and the natural sciences, adapted to supporting research on new
weapons for both Services, or adapted to administering a program of
science scholarships and fellowships.

Therefore I recommend that a new agency for these purposes be
established. Such an agency should be composed of persons of broad
interest and experience, having an understanding of the peculiarities of
scientific research and scientific education. It should have stability
of funds so that long-range programs may be undertaken. It should
recognize that freedom of inquiry must be preserved and should leave
internal control of policy, personnel, and the method and scope of
research to the institutions in which it is carried on. It should be
fully responsible to the President and through him to the Congress for
its program.

Early action on these recommendations is imperative if this nation is to
meet the challenge of science in the crucial years ahead. On the wisdom
with which we bring science to bear in the war against disease, in the
creation of new industries, and in the strengthening of our Armed Forces
depends in large measure our future as a nation.

We all know how much the new drug, penicillin, has meant to our
grievously wounded men on the grim battlefronts of this war - the
countless lives it has saved - the incalculable suffering which its use
has prevented. Science and the great practical genius of this nation
made this achievement possible.

Some of us know the vital role which radar has played in bringing the
United Nations to victory over Nazi Germany and in driving the Japanese
steadily back from their island bastions. Again it was painstaking
scientific research over many years that made radar possible.

What we often forget are the millions of pay envelopes on a peacetime
Saturday night which are filled because new products and new industries
have provided jobs for countless Americans. Science made that possible,
too.

In 1939 millions of people were employed in industries which did not
even exist at the close of the last war - radio, air conditioning, rayon
and other synthetic fibers, and plastics are examples of the products of
these industries. But these things do not mark the end of progress -
they are but the beginning if we make full use of our scientific
resources. New manufacturing industries can be started and many older
industries greatly strengthened and expanded if we continue to study
nature's laws and apply new knowledge to practical purposes.

Great advances in agriculture are also based upon scientific research.
Plants which are more resistant to disease and are adapted to short
growing season, the prevention and cure of livestock diseases, the
control of our insect enemies, better fertilizers, and improved
agricultural practices, all stem from painstaking scientific research.

Advances in science when put to practical use mean more jobs, higher
wages, shorter hours, more abundant crops, more leisure for recreation,
for study, for learning how to live without the deadening drudgery which
has been the burden of the common man for ages past. Advances in science
will also bring higher standards of living, will lead to the prevention
or cure of diseases, will promote conservation of our limited national
resources, and will assure means of defense against aggression. But to
achieve these objectives - to secure a high level of employment, to
maintain a position of world leadership - the flow of new scientific
knowledge must be both continuous and substantial.

Our population increased from 75 million to 130 million between 1900 and
1940. In some countries comparable increases have been accompanied by
famine. In this country the increase has been accompanied by more
abundant food supply, better living, more leisure, longer life, and
better health. This is, largely, the product of three factors - the free
play of initiative of a vigorous people under democracy, the heritage of
great national wealth, and the advance of science and its application.

Science, by itself, provides no panacea for individual, social, and
economic ills. It can be effective in the national welfare only as a
member of a team, whether the conditions be peace or war. But without
scientific progress no amount of achievement in other directions can
insure our health, prosperity, and security as a nation in the modern
world.

It has been basic United States policy that Government should foster the
opening of new frontiers. It opened the seas to clipper ships and
furnished land for pioneers. Although these frontiers have more or less
disappeared, the frontier of science remains. It is in keeping with the
American tradition - one which has made the United States great - that
new frontiers shall be made accessible for development by all American
citizens.

Moreover, since health, well-being, and security are proper concerns of
Government, scientific progress is, and must be, of vital interest to
Government. Without scientific progress the national health would
deteriorate; without scientific progress we could not hope for
improvement in our standard of living or for an increased number of jobs
for our citizens; and without scientific progress we could not have
maintained our liberties against tyranny.

From early days the Government has taken an active interest in
scientific matters. During the nineteenth century the Coast and Geodetic
Survey, the Naval Observatory, the Department of Agriculture, and the
Geological Survey were established. Through the Land Grant College acts
the Government has supported research in state institutions for more
than 80 years on a gradually increasing scale. Since 1900 a large number
of scientific agencies have been established within the Federal
Government, until in 1939 they numbered more than 40.

Much of the scientific research done by Government agencies is
intermediate in character between the two types of work commonly
referred to as basic and applied research. Almost all Government
scientific work has ultimate practical objectives but, in many fields of
broad national concern, it commonly involves long-term investigation of
a fundamental nature. Generally speaking, the scientific agencies of
Government are not so concerned with immediate practical objectives as
are the laboratories of industry nor, on the other hand, are they as
free to explore any natural phenomena without regard to possible
economic applications as are the educational and private research
institutions. Government scientific agencies have splendid records of
achievement, but they are limited in function.

We have no national policy for science. The Government has only begun to
utilize science in the nation's welfare. There is no body within the
Government charged with formulating or executing a national science
policy. There are no standing committees of the Congress devoted to this
important subject. Science has been in the wings. It should be brought
to the center of the stage - for in it lies much of our hope for the
future.

There are areas of science in which the public interest is acute but
which are likely to be cultivated inadequately if left without more
support than will come from private sources. These areas - such as
research on military problems, agriculture, housing, public health,
certain medical research, and research involving expensive capital
facilities beyond the capacity of private institutions - should be
advanced by active Government support. To date, with the exception of
the intensive war research conducted by the Office of Scientific
Research and Development, such support has been meager and intermittent.

For reasons presented in this report we are entering a period when
science needs and deserves increased support from public funds.

The publicly and privately supported colleges, universities, and
research institutes are the centers of basic research. They are the
wellsprings of knowledge and understanding. As long as they are vigorous
and healthy and their scientists are free to pursue the truth wherever
it may lead, there will be a flow of new scientific knowledge to those
who can apply it to practical problems in Government, in industry, or
elsewhere.

Many of the lessons learned in the war-time application of science under
Government can be profitably applied in peace. The Government is
peculiarly fitted to perform certain functions, such as the coordination
and support of broad programs on problems of great national importance.
But we must proceed with caution in carrying over the methods which work
in wartime to the very different conditions of peace. We must remove the
rigid controls which we have had to impose, and recover freedom of
inquiry and that healthy competitive scientific spirit so necessary for
expansion of the frontiers of scientific knowledge.

Scientific progress on a broad front results from the free play of free
intellects, working on subjects of their own choice, in the manner
dictated by their curiosity for exploration of the unknown. Freedom of
inquiry must be preserved under any plan for Government support of
science in accordance with the Five Fundamentals listed on [page
26](#ch6.3).

The study of the momentous questions presented in President Roosevelt's
letter has been made by able committees working diligently. This report
presents conclusions and recommendations based upon the studies of these
committees which appear in full as the appendices. Only in the creation
of one over-all mechanism rather than several does this report depart
from the specific recommendations of the committees. The members of the
committees have reviewed the recommendations in regard to the single
mechanism and have found this plan thoroughly acceptable.

The death rate for all diseases in the Army, including the overseas
forces, has been reduced from 14.1 per thousand in the last war to 0.6
per thousand in this war.

Such ravaging diseases as yellow fever, dysentery, typhus, tetanus,
pneumonia, and meningitis have been all but conquered by penicillin and
the sulfa drugs, the insecticide DDT, better vaccines, and improved
hygenic measures. Malaria has been controlled. There has been dramatic
progress in surgery.

The striking advances in medicine during the war have been possible only
because we had a large backlog of scientific data accumulated through
basic research in many scientific fields in the years before the war.

In the last 40 years life expectancy in the United States has increased
from 49 to 65 years largely as a consequence of the reduction in the
death rates of infants and children; in the last 20 years the death rate
from the diseases of childhood has been reduced 87 percent.

Diabetes has been brought under control by insulin, pernicious anemia by
liver extracts; and the once widespread deficiency diseases have been
much reduced, even in the lowest income groups, by accessory food
factors and improvement of diet. Notable advances have been made in the
early diagnosis of cancer, and in the surgical and radiation treatment
of the disease.

These results have been achieved through a great amount of basic
research in medicine and the preclinical sciences, and by the
dissemination of this new scientific knowledge through the physicians
and medical services and public health agencies of the country. In this
cooperative endeavour the pharmaceutical industry has played an
important role, especially during the war. All of the medical and public
health groups share credit for these achievements; they form
interdependent members of a team.

Progress in combating disease depends upon an expanding body of new
scientific knowledge.

As President Roosevelt observed, the annual deaths from one or two
diseases are far in excess of the total number of American lives lost in
battle during this war. A large fraction of these deaths in our civilian
population cut short the useful lives of our citizens. This is our
present position despite the fact that in the last three decades notable
progress has been made in civilian medicine. The reduction in death rate
from diseases of childhood has shifted the emphasis to the middle and
old age groups, particularly to the malignant diseases and the
degenerative processes prominent in later life. Cardiovascular disease,
including chronic disease of the kidneys, arteriosclerosis, and cerebral
hemorrhage, now account for 45 percent of the deaths in the United
States. Second are the infectious diseases, and third is cancer. Added
to these are many maladies (for example, the common cold, arthritis,
asthma and hay fever, peptic ulcer) which, through infrequently fatal,
cause incalculable disability.

Another aspect of the changing emphasis is the increase of mental
diseases. Approximately 7 million persons in the United States are
mentally ill; more than one-third of the hospital beds are occupied by
such persons, at a cost of $175 million a year. Each year 125,000 new
mental cases are hospitalized.

Notwithstanding great progress in prolonging the span of life and relief
of suffering, much illness remains for which adequate means of
prevention and cure are not yet known. While additional physicians,
hospitals, and health programs are needed, their full usefulness cannot
be attained unless we enlarge our knowledge of the human organism and
the nature of disease. Any extension of medical facilities must be
accompanied by an expanded program of medical training and research.

Discoveries pertinent to medical progress have often come from remote
and unexpected sources, and it is certain that this will be true in the
future. It is wholly probable that progress in the treatment of
cardiovascular disease, renal disease, cancer, and similar refractory
diseases will be made as the result of fundamental discoveries in
subjects unrelated to those diseases, and perhaps entirely unexpected by
the investigator. Further progress requires that the entire front of
medicine and the underlying sciences of chemistry, physics, anatomy,
biochemistry, physiology, pharmacology, bacteriology, pathology,
parasitology, etc., be broadly developed.

Progress in the war against disease results from discoveries in remote
and unexpected fields of medicine and the underlying sciences.

Penicillin reached our troops in time to save countless lives because
the Government coordinated and supported the program of research and
development on the drug. The development moved from the early laboratory
stage to large scale production and use in a fraction of the time it
would have taken without such leadership. The search for better
anti-malarials, which proceeded at a moderate tempo for many years, has
been accelerated enormously by Government support during the war. Other
examples can be cited in which medical progress has been similarly
advanced. In achieving these results, the Government has provided
over-all coordination and support; it has not dictated how the work
should be done within any cooperating institution.

Discovery of new therapeutic agents and methods usually results from
basic studies in medicine and the underlying sciences. The development
of such materials and methods to the point at which they become
available to medical practitioners requires teamwork involving the
medical schools, the science departments of universities, Government and
the pharmaceutical industry. Government initiative, support, and
coordination can be very effective in this development phase.

Government initiative and support for the development of newly
discovered therapeutic materials and methods can reduce the time
required to bring the benefits to the public.

The primary place for medical research is in the medical schools and
universities. In some cases coordinated direct attack on special
problems may be made by teams of investigators, supplementing similar
attacks carried on by the Army, Navy, Public Health Service, and other
organizations. Apart from teaching, however, the primary obligation of
the medical schools and universities is to continue the traditional
function of such institutions, namely, to provide the individual worker
with an opportunity for free, untrammeled study of nature, in the
directions and by the methods suggested by his interests, curiosity, and
imagination. The history of medical science teaches clearly the supreme
importance of affording the prepared mind complete freedom for the
exercise of initiative. It is the special province of the medical
schools and universities to foster medical research in this way - a duty
which cannot be shifted to government agencies, industrial
organizations, or to any other institutions.

Where clinical investigations of the human body are required, the
medical schools are in a unique position, because of their close
relationship to teaching hospitals, to integrate such investigations
with the work of the departments of preclinical science, and to impart
new knowledge to physicians in training. At the same time, the teaching
hospitals are especially well qualified to carry on medical research
because of their close connection with the medical schools, on which
they depend for staff and supervision.

Between World War I and World War II the United States overtook all
other nations in medical research and assumed a position of world
leadership. To a considerable extent this progress reflected the liberal
financial support from university endowment income, gifts from
individuals, and foundation grants in the 20's. The growth of research
departments in medical schools ahs been very uneven, however, and in
consequence most of the important work has been done in a few large
schools. This should be corrected by building up the weaker
institutions, especially in regions which now have no strong medical
research activities.

The traditional sources of support for medical research, largely
endowment income, foundation grants, and private donations, are
diminishing, and there is no immediate prospect of a change in this
trend. Meanwhile, research costs have steadily risen. More elaborate and
expensive equipment is required, supplies are more costly, and the wages
of assistants are higher. Industry is only to a limited extent a source
of funds for basic medical research.

It is clear that if we are to maintain the progress in medicine which
has marked the last 25 years, the Government should extend financial
support to basic medical research in the medical schools and in the
universities, through grants both for research and for fellowships. The
amount which can be effectively spent in the first year should not
exceed 5 million dollars. After a program is under way perhaps 20
million dollars a year can be spent effectively.

In this war it has become clear beyond all doubt that scientific
research is absolutely essential to national security. The bitter and
dangerous battle against the U-boat was a battle of scientific
techniques - and our margin of success was dangerously small. The new
eyes which radar supplied to our fighting forces quickly evoked the
development of scientific countermeasures which could often blind them.
This again represents the ever continuing battle of techniques. The V-1
attack on London was finally defeated by three devices developed during
this war and used superbly in the field. V-2 was countered only by the
capture of the launching sites.

The Secretaries of War and Navy recently stated in a joint letter to the
National Academy of Sciences:

This war emphasizes three facts of supreme importance to national
security: (1) Powerful new tactics of defense and offense are developed
around new weapons created by scientific and engineering research; (2)
the competitive time element in developing those weapons and tactics may
be decisive; (3) war is increasingly total war, in which the armed
services must be supplemented by active participation of every element
of civilian population.

To insure continued preparedness along farsighted technical lines, the
research scientists of the country must be called upon to continue in
peacetime some substantial portion of those types of contribution to
national security which they have made so effectively during the stress
of the present war \* \* \*.

There must be more - and more adequate - military research during
peacetime. We cannot again rely on our allies to hold off the enemy
while we struggle to catch up. Further, it is clear that only the
Government can undertake military research; for it must be carried on in
secret, much of it has no commercial value, and it is expensive. The
obligation of Government to support research on military problems is
inescapable.

Modern war requires the use of the most advanced scientific techniques.
Many of the leaders in the development of radar are scientists who
before the war had been exploring the nucleus of the atom. While there
must be increased emphasis on science in the future training of officers
for both the Army and Navy, such men cannot be expected to be
specialists in scientific research. Therefore a professional partnership
between the officers in the Services and civilian scientists is needed.

The Army and Navy should continue to carry on research and development
on the improvement of current weapons. For many years the National
Advisory Committee for Aeronautics has supplemented the work of the Army
and Navy by conducting basic research on the problems of flight. There
should now be permanent civilian activity to supplement the research
work of the Services in other scientific fields so as to carry on in
time of peace some part of the activities of the emergency war-time
Office of Scientific Research and Development.

Military preparedness requires a permanent independent,
civilian-controlled organization, having close liaison with the Army and
Navy, but with funds directly from Congress and with the clear power to
initiate military research which will supplement and strengthen that
carried on directly under the control of the Army and Navy.

Military preparedness requires a permanent independent,
civilian-controlled organization, having close liaison with the Army and
Navy, but with funds directly from Congress and with the clear power to
initiate military research which will supplement and strengthen that
carried on directly under the control of the Army and Navy.

One of our hopes is that after the war there will be full employment,
and that the production of goods and services will serve to raise our
standard of living. We do not know yet how we shall reach that goal, but
it is certain that it can be achieved only by releasing the full
creative and productive energies of the American people.

Surely we will not get there by standing still, merely by making the
same things we made before and selling them at the same or higher
prices. We will not get ahead in international trade unless we offer new
and more attractive and cheaper products.

Where will these new products come from? How will we find ways to make
better products at lower cost? The answer is clear. There must be a
stream of new scientific knowledge to turn the wheels of private and
public enterprise. There must be plenty of men and women trained in
science and technology for upon them depend both the creation of new
knowledge and its application to practical purposes.

More and better scientific research is essential to the achievement of
our goal of full employment.

Basic research is performed without thought of practical ends. It
results in general knowledge and an understanding of nature and its
laws. This general knowledge provides the means of answering a large
number of important practical problems, though it may not give a
complete specific answer to any one of them. The function of applied
research is to provide such complete answers. The scientist doing basic
research may not be at all interested in the practical applications of
his work, yet the further progress of industrial development would
eventually stagnate if basic scientific research were long neglected.

One of the peculiarities of basic science is the variety of paths which
lead to productive advance. Many of the most important discoveries have
come as a result of experiments undertaken with very different purposes
in mind. Statistically it is certain that important and highly useful
discoveries will result from some fraction of the undertakings in basic
science; but the results of any one particular investigation cannot be
predicted with accuracy.

Basic research leads to new knowledge. It provides scientific capital.
It creates the fund from which the practical applications of knowledge
must be drawn. New products and new processes do not appear full-grown.
They are founded on new principles and new conceptions, which in turn
are painstakingly developed by research in the purest realms of science.

Today, it is truer than ever that basic research is the pacemaker of
technological progress. In the nineteenth century, Yankee mechanical
ingenuity, building largely upon the basic discoveries of European
scientists, could greatly advance the technical arts. Now the situation
is different.

A nation which depends upon others for its new basic scientific
knowledge will be slow in its industrial progress and weak in its
competitive position in world trade, regardless of its mechanical skill.

Publicly and privately supported colleges and universities and the
endowed research institutes must furnish both the new scientific
knowledge and the trained research workers. These institutions are
uniquely qualified by tradition and by their special characteristics to
carry on basic research. They are charged with the responsibility of
conserving the knowledge accumulated by the past, imparting that
knowledge to students, and contributing new knowledge of all kinds. It
is chiefly in these institutions that scientists may work in an
atmosphere which is relatively free from the adverse pressure of
convention, prejudice, or commercial necessity. At their best they
provide the scientific worker with a strong sense of solidarity and
security, as well as a substantial degree of personal intellectual
freedom. All of these factors are of great importance in the development
of new knowledge, since much of new knowledge is certain to arouse
opposition because of its tendency to challenge current beliefs or
practice.

Industry is generally inhibited by preconceived goals, by its own
clearly defined standards, and by the constant pressure of commercial
necessity. Satisfactory progress in basic science seldom occurs under
conditions prevailing in the normal industrial laboratory. There are
some notable exceptions, it is true, but even in such cases it is rarely
possible to match the universities in respect to the freedom which is so
important to scientific discovery.

To serve effectively as the centers of basic research these institutions
must be strong and healthy. They must attract our best scientists as
teachers and investigators. They must offer research opportunities and
sufficient compensation to enable them to compete with industry and
government for the cream of scientific talent.

During the past 25 years there has been a great increase in industrial
research involving the application of scientific knowledge to a
multitude of practical purposes - thus providing new products, new
industries, new investment opportunities, and millions of jobs. During
the same period research within Government - again largely applied
research - has also been greatly expanded. In the decade from 1930 to
1940 expenditures for industrial research increased from $116,000,000 to
$240,000,000 and those for scientific research in Government rose from
$24,000,000 to $69,000,000. During the same period expenditures for
scientific research in the colleges and universities increased from
$20,000,000 to $31,000,000, while those in the endowed research
institutes declined from $5,200,000 to $4,500,000. These are the best
estimates available. The figures have been taken from a variety of
sources and arbitrary definitions have necessarily been applied, but it
is believed that they may be accepted as indicating the following
trends:

  - (a) Expenditures for scientific research by industry and Government
    - almost entirely applied research - have more than doubled between
    1930 and 1940. Whereas in 1930 they were six times as large as the
    research expenditures of the colleges, universities, and research
    institutes, by 1940 they were nearly ten times as large.
  - (b) While expenditures for scientific research in the colleges and
    universities increased by one-half during this period, those for the
    endowed research institutes have slowly declined.

If the colleges, universities, and research institutes are to meet the
rapidly increasing demands of industry and Government for new scientific
knowledge, their basic research should be strengthened by use of public
funds.

Although there are some notable exceptions, most research conducted
within governmental laboratories is of an applied nature. This has
always been true and is likely to remain so. Hence Government, like
industry, is dependent on the colleges, universities, and research
institutes to expand the basic scientific frontiers and to furnish
trained scientific investigators.

Research within the Government represents an important part of our total
research activity and needs to be strengthened and expanded after the
war. Such expansion should be directed to fields of inquiry and service
which are of public importance and are not adequately carried on by
private organizations.

The most important single factor in scientific and technical work is the
quality of the personnel employed. The procedures currently followed
within the Government for recruiting, classifying and compensating such
personnel place the Government under a severe handicap in competing with
industry and the universities for first-class scientific talent. Steps
should be taken to reduce that handicap.

In the Government the arrangement whereby the numerous scientific
agencies form parts of larger departments has both advantages and
disadvantages. but the present pattern is firmly established and there
is much to be said for it. There is, however, a very real need for some
measure of coordination of the common scientific activities of these
agencies, both as to policies and budgets, and at present no such means
exist.

A permanent Science Advisory Board should be created to consult with
these scientific bureaus and to advise the executive and legislative
branches of Government as to the policies and budgets of Government
agencies engaged in scientific research.

This board should be composed of disinterested scientists who have no
connection with the affairs of any Government agency.

The simplest and most effective way in which the Government can
strengthen industrial research is to support basic research and to
develop scientific talent.

The benefits of basic research do not reach all industries equally or at
the same speed. Some small enterprises never receive any of the
benefits. It has been suggested that the benefits might be better
utilized if "research clinics" for such enterprises were to be
established. Businessmen would thus be able to make more use of research
than they now do. This proposal is certainly worthy of further study.

One of the most important factors affecting the amount of industrial
research is the income-tax law. Government action in respect to this
subject will affect the rate of technical progress in industry.
Uncertainties as to the attitude of the Bureau of Internal Revenue
regarding the deduction of research and development expenses are a
deterrent to research expenditure. These uncertainties arise from lack
of clarity of the tax law as to the proper treatment of such costs.

The Internal Revenue Code should be amended to remove present
uncertainties in regard to the deductibility of research and development
expenditures as current charges against net income.

Research is also affected by the patent laws. They stimulate new
invention and they make it possible for new industries to be built
around new devices or new processes. These industries generate new jobs
and new products, all of which contribute to the welfare and the
strength of the country.

Yet, uncertainties in the operation of the patent laws have impaired the
ability of small industries to translate new ideas into processes and
products of value to the nation. These uncertainties are, in part,
attributable to the difficulties and expense incident to the operation
of the patent system as it presently exists. These uncertainties are
also attributable to the existence of certain abuses, which have
appeared in the use of patents. The abuses should be corrected. They
have led to extravagantly critical attacks which tend to discredit a
basically sound system.

It is important that the patent system continue to serve the country in
the manner intended by the Constitution, for it has been a vital element
in the industrial vigor which has distinguished this nation.

The National Patent Planning Commission has reported on this subject. In
addition, a detailed study, with recommendations concerning the extent
to which modifications should be made in our patent laws is currently
being made under the leadership of the Secretary of Commerce. It is
recommended, therefore, that specific action with regard to the patent
laws be withheld pending the submission of the report devoted
exclusively to that subject.

International exchange of scientific information is of growing
importance. Increasing specialization of science will make it more
important than ever that scientists in this country keep continually
ahead of developments abroad. In addition a flow of scientific
information constitutes one facet of general international accord which
should be cultivated.

The Government can accomplish significant results in several ways: by
aiding in the arrangement of international science congresses, in the
official accrediting of American scientists to such gatherings, in the
official reception of foreign scientists of standing in this country, in
making possible a rapid flow of technical information, including
translation service, and possibly in the provision of international
fellowships. Private foundations and other groups partially fulfill some
of these functions at present, but their scope is incomplete and
inadequate.

The Government should take an active role in promoting the international
flow of scientific information.

We can no longer count on ravaged Europe as a source of fundamental
knowledge. In the past we have devoted much of our best efforts to the
application of such knowledge which has been discovered abroad. In the
future we must pay increased attention to discovering this knowledge for
ourselves particularly since the scientific applications of the future
will be more than ever dependent upon such basic knowledge.

New impetus must be given to research in our country. Such impetus can
come promptly only from the Government. Expenditures for research in the
colleges, universities, and research institutes will otherwise not be
able to meet the additional demands of increased public need for
research.

Further, we cannot expect industry adequately to fill the gap. Industry
will fully rise to the challenge of applying new knowledge to new
products. The commercial incentive can be relied upon for that. But
basic research is essentially noncommercial in nature. It will not
receive the attention it requires if left to industry.

For many years the Government has wisely supported research in the
agricultural colleges and the benefits have been great. The time has
come when such support should be extended to other fields.

In providing government support, however, we must endeavor to preserve
as far as possible the private support of research both in industry and
in the colleges, universities, and research institutes. These private
sources should continue to carry their share of the financial burden.

It is estimated that an adequate program for Federal support of basic
research in the colleges, universities, and research institutes and for
financing important applied research in the public interest, will cost
about 10 million dollars at the outset and may rise to about 50 million
dollars annually when fully underway at the end of perhaps 5 years.

The responsibility for the creation of new scientific knowledge rests on
that small body of men and women who understand the fundamental laws of
nature and are skilled in the techniques of scientific research. While
there will always be the rare individual who will rise to the top
without benefit of formal education and training, he is the exception
and even he might make a more notable contribution if he had the benefit
of the best education we have to offer. I cannot improve on President
Conant's statement that:

"\* \* \* in every section of the entire area where the word science may
properly be applied, the limiting factor is a human one. We shall have
rapid or slow advance in this direction or in that depending on the
number of really first-class men who are engaged in the work in
question. \* \* \* So in the last analysis, the future of science in
this country will be determined by our basic educational policy."

It would be folly to set up a program under which research in the
natural sciences and medicine was expanded at the cost of the social
sciences, humanities, and other studies so essential to national
well-being. This point has been well stated by the Moe Committee as
follows:

" As citizens, as good citizens, we therefore think that we must have in
mind while examining the question before us - the discovery and
development of scientific talent - the needs of the whole national
welfare. We could not suggest to you a program which would syphon into
science and technology a disproportionately large share of the nation's
highest abilities, without doing harm to the nation, nor, indeed,
without crippling science. \* \* \* Science cannot live by and unto
itself
alone."

``` 
    *     *    *     *    *     *    *     *    *     *    *     *    *     *
```

"The uses to which high ability in youth can be put are various and, to
a large extent, are determined by social pressures and rewards. When
aided by selective devices for picking out scientifically talented
youth, it is clear that large sums of money for scholarships and
fellowships and monetary and other rewards in disproportionate amounts
might draw into science too large a percentage of the nation's high
ability, with a result highly detrimental to the nation and to science.
Plans for the discovery and development of scientific talent must be
related to the other needs of society for high ability. \* \* \* There
is never enough ability at high levels to satisfy all the needs of the
nation; we would not seek to draw into science any more of it than
science's proportionate share."

Among the young men and women qualified to take up scientific work,
since 1940 there have been few students over 18, except some in medicine
and engineering in Army and Navy programs and a few 4-F's, who have
followed an integrated scientific course of studies. Neither our allies
nor, so far as we know, our enemies have done anything so radical as
thus to suspend almost completely their educational activities in
scientific pursuits during the war period.

Two great principles have guided us in this country as we have turned
our full efforts to war. First, the sound democratic principle that
there should be no favored classes or special privilege in a time of
peril, that all should be ready to sacrifice equally; second, the tenet
that every man should serve in the capacity in which his talents and
experience can best be applied for the prosecution of the war effort. In
general we have held these principles well in balance.

In my opinion, however, we have drawn too heavily for nonscientific
purposes upon the great natural resource which resides in our trained
young scientists and engineers. For the general good of the country too
many such men have gone into uniform, and their talents have not always
been fully utilized. With the exception of those men engaged in war
research, all physically fit students at graduate level have been taken
into the armed forces. Those ready for college training in the sciences
have not been permitted to enter upon that training.

There is thus an accumulating deficit of trained research personnel
which will continue for many years. The deficit of science and
technology students who, but for the war, would have received bachelor's
degrees is about 150,000. The deficit of those holding advanced degrees
- that is, young scholars trained to the point where they are capable of
carrying on original work - has been estimated as amounting to about
17,000 by 1955 in chemistry, engineering, geology, mathematics, physics,
psychology, and the biological sciences.

With mounting demands for scientists both for teaching and for research,
we will enter the post-war period with a serious deficit in our trained
scientific personnel.

Confronted with these deficits, we are compelled to look to the use of
our basic human resources and formulate a program which will assure
their conservation and effective development. The committee advising me
on scientific personnel has stated the following principle which should
guide our planning:

"If we were all-knowing and all-wise we might, but we think probably
not, write you a plan whereby there might be selected for training,
which they otherwise would not get, those who, 20 years hence, would be
scientific leaders, and we might not bother about any lesser
manifestations of scientific ability. But in the present state of
knowledge a plan cannot be made which will select, and assist, only
those young men and women who will give the top future leadership to
science. To get top leadership there must be a relatively large base of
high ability selected for development and then successive skimmings of
the cream of ability at successive times and at higher levels. No one
can select from the bottom those who will be the leaders at the top
because unmeasured and unknown factors enter into scientific, or any,
leadership. There are brains and character, strength and health,
happiness and spiritual vitality, interest and motivation, and no one
knows what else, that must needs enter into this supra-mathematical
calculus.

"We think we probably would not, even if we were all-wise and
all-knowing, write you a plan whereby you would be assured of scientific
leadership at one stroke. We think as we think because we are not
interested in setting up an elect. We think it much the best plan, in
this constitutional Republic, that opportunity be held out to all kinds
and conditions of men whereby they can better themselves. This is the
American way; this is the way the United States has become what it is.
We think it very important that circumstances be such that there be no
ceilings, other than ability itself, to intellectual ambition. We think
it very important that every boy and girl shall know that, if he shows
that he has what it takes, the sky is the limit. Even if it be shown
subsequently that he has not what it takes to go to the top, he will go
further than he would otherwise go if there had been a ceiling beyond
which he always knew he could not aspire.

"By proceeding from point to point and taking stock on the way, by
giving further opportunity to those who show themselves worthy of
further opportunity, by giving the most opportunity to those who show
themselves continually developing - this is the way we propose. This is
the American way: a man work for what he gets."

Higher education in this country is largely for those who have the
means. If those who have the means coincided entirely with those persons
who have the talent we should not be squandering a part of our higher
education on those undeserving of it, nor neglecting great talent among
those who fail to attend college for economic reasons. There are
talented individuals in every segment of the population, but with few
exceptions those without the means of buying higher education go without
it. Here is a tremendous waste of the greatest resource of a nation -
the intelligence of its citizens.

If ability, and not the circumstance of family fortune, is made to
determine who shall receive higher education in science, then we shall
be assured of constantly improving quality at every level of scientific
activity.

We have a serious deficit in scientific personnel partly because the men
who would have studied science in the colleges and universities have
been serving in the Armed Forces. Many had begun their studies before
they went to war. Others with capacity for scientific education went to
war after finishing high school. The most immediate prospect of making
up some of the deficit in scientific personnel is by salvaging
scientific talent from the generation in uniform. For even if we should
start now to train the current crop of high school graduates, it would
be 1951 before they would complete graduate studies and be prepared for
effective scientific research. This fact underlines the necessity of
salvaging potential scientists in uniform.

The Armed Services should comb their records for men who, prior to or
during the war, have given evidence of talent for science, and make
prompt arrangements, consistent with current discharge plans, for
ordering those who remain in uniform as soon as militarily possible to
duty at institutions here and overseas where they can continue their
scientific education. Moreover, they should see that those who study
overseas have the benefit of the latest scientific developments.

The country may be proud of the fact that 95 percent of boys and girls
of the fifth grade age are enrolled in school, but the drop in
enrollment after the fifth grade is less satisfying. For every 1,000
students in the fifth grade, 600 are lost to education before the end of
high school, and all but 72 have ceased formal education before
completion of college. While we are concerned primarily with methods of
selecting and educating high school graduates at the college and higher
levels, we cannot be complacent about the loss of potential talent which
is inherent in the present situation.

Students drop out of school, college, and graduate school, or do not get
that far, for a variety of reasons: they cannot afford to go on; schools
and colleges providing courses equal to their capacity are not available
locally; business and industry recruit many of the most promising before
they have finished the training of which they are capable. These reasons
apply with particular force to science: the road is long and expensive;
it extends at least 6 years beyond high school; the percentage of
science students who can obtain first-rate training in institutions near
home is small.

Improvement in the teaching of science is imperative; for students of
latent scientific ability are particularly vulnerable to high school
teaching which fails to awaken interest or to provide adequate
instruction. To enlarge the group of specially qualified men and women
it is necessary to increase the number who go to college. This involves
improved high school instruction, provision for helping individual
talented students to finish high school (primarily the responsibility of
the local communities), and opportunities for more capable, promising
high school students to go to college. Anything short of this means
serious waste of higher education and neglect of human resources.

To encourage and enable a larger number of young men and women of
ability to take up science as a career, and in order gradually to reduce
the deficit of trained scientific personnel, it is recommended that
provision be made for a reasonable number of (a) undergraduate
scholarships and graduate fellowships and (b) fellowships for advanced
training and fundamental research. The details should be worked out with
reference to the interests of the several States and of the universities
and colleges; and care should be taken not to impair the freedom of the
institutions and individuals concerned.

The program proposed by the Moe Committee in Appendix 4 would provide
24,000 undergraduate scholarships and 900 graduate fellowships and would
cost about $30,000,000 annually when in full operation. Each year under
this program 6,000 undergraduate scholarships would be made available to
high school graduates, and 300 graduate fellowships would be offered to
college graduates. Approximately the scale of allowances provided for
under the educational program for returning veterans has been used in
estimating the cost of this program.

The plan is, further, that all those who receive such scholarships or
fellowships in science should be enrolled in a National Science Reserve
and be liable to call into the service of the Government, in connection
with scientific or technical work in time of war or other national
emergency declared by Congress or proclaimed by the President. Thus, in
addition to the general benefits to the nation by reason of the addition
to its trained ranks of such a corps of scientific workers, there would
be a definite benefit to the nation in having these scientific workers
on call in national emergencies. The Government would be well advised to
invest the money involved in this plan even if the benefits to the
nation were thought of solely - which they are not - in terms of
national preparedness.

We have been living on our fat. For more than 5 years many of our
scientists have been fighting the war in the laboratories, in the
factories and shops, and at the front. We have been directing the
energies of our scientists to the development of weapons and materials
and methods, on a large number of relatively narrow projects initiated
and controlled by the Office of Scientific Research and Development and
other Government agencies. Like troops, the scientists have been
mobilized, and thrown into action to serve their country in time of
emergency. But they have been diverted to a greater extent than is
generally appreciated from the search for answers to the fundamental
problems - from the search on which human welfare and progress depends.
This is not a complaint - it is a fact. The mobilization of science
behind the lines is aiding the fighting men at the front to win the war
and to shorten it; and it has resulted incidentally in the accumulation
of a vast amount of experience and knowledge of the application of
science to particular problems, much of which can be put to use when the
war is over. Fortunately, this country had the scientists - and the time
- to make this contribution and thus to advance the date of victory.

Much of the information and experience acquired during the war is
confined to the agencies that gathered it. Except to the extent that
military security dictates otherwise, such knowledge should be spread
upon the record for the benefit of the general public.

Thanks to the wise provision of the Secretary of War and the Secretary
of the Navy, most of the results of war-time medical research have been
published. Several hundred articles have appeared in the professional
journals; many are in process of publication. The material still subject
to security classification should be released as soon as possible.

It is my view that most of the remainder of the classified scientific
material should be released as soon as there is ground for belief that
the enemy will not be able to turn it against us in this war. Most of
the information needed by industry and in education can be released
without disclosing its embodiments in actual military material and
devices. Basically there is no reason to believe that scientists of
other countries will not in time rediscover everything we now know which
is held in secrecy. A broad dissemination of scientific information upon
which further advances can readily be made furnishes a sounder
foundation for our national security than a policy of restriction which
would impede our own progress although imposed in the hope that possible
enemies would not catch up with us.

During the war it has been necessary for selected groups of scientists
to work on specialized problems, with relatively little information as
to what other groups were doing and had done. Working against time, the
Office of Scientific Research and Development has been obliged to
enforce this practice during the war, although it was realized by all
concerned that it was an emergency measure which prevented the
continuous cross-fertilization so essential to fruitful scientific
effort.

Our ability to overcome possible future enemies depends upon scientific
advances which will proceed more rapidly with diffusion of knowledge
than under a policy of continued restriction of knowledge now in our
possession.

In planning the release of scientific data and experience collected in
connection with the war, we must not overlook the fact that research has
gone forward under many auspices - the Army, the Navy, the Office of
Scientific Research and Development, the National Advisory Committee for
Aeronautics, other departments and agencies of the Government,
educational institutions, and many industrial organizations. There have
been numerous cases of independent discovery of the same truth in
different places. To permit the release of information by one agency and
to continue to restrict it elsewhere would be unfair in its effect and
would tend to impair the morale and efficiency of scientists who have
submerged individual interests in the controls and restrictions of war.

A part of the information now classified which should be released is
possessed jointly by our allies and ourselves. Plans for release of such
information should be coordinated with our allies to minimize danger of
international friction which would result from sporadic uncontrolled
release.

The agency responsible for recommending the release of information from
military classification should be an Army, Navy, civilian body, well
grounded in science and technology. It should be competent to advise the
Secretary of War and the Secretary of the Navy. It should, moreover,
have sufficient recognition to secure prompt and practical decisions.

To satisfy these considerations I recommend the establishment of a
Board, made up equally of scientists and military men, whose function
would be to pass upon the declassification and to control the release
for publication of scientific information which is now classified.

The release of information from security regulations is but one phase of
the problem. The other is to provide for preparation of the material and
its publication in a form and at a price which will facilitate
dissemination and use. In the case of the Office of Scientific Research
and Development, arrangements have been made for the preparation of
manuscripts, while the staffs under our control are still assembled and
in possession of the records, as soon as the pressure for production of
results for this war has begun to relax.

We should get this scientific material to scientists everywhere with
great promptness, and at as low a price as is consistent with suitable
format. We should also get it to the men studying overseas so that they
will know what has happened in their absence.

It is recommended that measures which will encourage and facilitate the
preparation and publication of reports be adopted forthwith by all
agencies, governmental and private, possessing scientific information
released from security control.

One lesson is clear from the reports of the several committees attached
as appendices. The Federal Government should accept new responsibilities
for promoting the creation of new scientific knowledge and the
development of scientific talent in our youth.

The extent and nature of these new responsibilities are set forth in
detail in the reports of the committees whose recommendations in this
regard are fully endorsed.

In discharging these responsibilities Federal funds should be made
available. We have given much thought to the question of how plans for
the use of Federal funds may be arranged so that such funds will not
drive out of the picture funds from local governments, foundations, and
private donors. We believe that our proposals will minimize that effect,
but we do not think that it can be completely avoided. We submit,
however, that the nation's need for more and better scientific research
is such that the risk must be accepted.

It is also clear that the effective discharge of these responsibilities
will require the full attention of some over-all agency devoted to that
purpose. There should be a focal point within the Government for a
concerted program of assisting scientific research conducted outside of
Government. Such an agency should furnish the funds needed to support
basic research in the colleges and universities, should coordinate where
possible research programs on matters of utmost importance to the
national welfare, should formulate a national policy for the Government
toward science, should sponsor the interchange of scientific information
among scientists and laboratories both in this country and abroad, and
should ensure that the incentives to research in industry and the
universities are maintained. All of the committees advising on these
matters agree on the necessity for such an agency.

There are within Government departments many groups whose interests are
primarily those of scientific research. Notable examples are found
within the Departments of Agriculture, Commerce, Interior, and the
Federal Security Agency. These groups are concerned with science as
collateral and peripheral to the major problems of those Departments.
These groups should remain where they are, and continue to perform their
present functions, including the support of agricultural research by
grants to the Land Grant Colleges and Experiment Stations, since their
largest contribution lies in applying fundamental knowledge to the
special problems of the Departments within which they are established.

By the same token these groups cannot be made the repository of the new
and large responsibilities in science which belong to the Government and
which the Government should accept. The recommendations in this report
which relate to research within the Government, to the release of
scientific information, to clarification of the tax laws, and to the
recovery and development of our scientific talent now in uniform can be
implemented by action within the existing structure of the Government.
But nowhere in the Governmental structure receiving its funds from
Congress is there an agency adapted to supplementing the support of
basic research in the universities, both in medicine and the natural
sciences; adapted to supporting research on new weapons for both
Services; or adapted to administering a program of science scholarships
and fellowships.

A new agency should be established, therefore, by the Congress for the
purpose. Such an agency, moreover, should be an independent agency
devoted to the support of scientific research and advanced scientific
education alone. Industry learned many years ago that basic research
cannot often be fruitfully conducted as an adjunct to or a subdivision
of an operating agency or department. Operating agencies have immediate
operating goals and are under constant pressure to produce in a tangible
way, for that is the test of their value. None of these conditions is
favorable to basic research. research is the exploration of the unknown
and is necessarily speculative. It is inhibited by conventional
approaches, traditions, and standards. It cannot be satisfactorily
conducted in an atmosphere where it is gauged and tested by operating or
production standards. Basic scientific research should not, therefore,
be placed under an operating agency whose paramount concern is anything
other than research. Research will always suffer when put in competition
with operations. The decision that there should be a new and independent
agency was reached by each of the committees advising in these matters.

I am convinced that these new functions should be centered in one
agency. Science is fundamentally a unitary thing. The number of
independent agencies should be kept to a minimum. Much medical progress,
for example, will come from fundamental advances in chemistry.
Separation of the sciences in tight compartments, as would occur if more
than one agency were involved, would retard and not advance scientific
knowledge as a whole.

There are certain basic principles which must underlie the program of
Government support for scientific research and education if such support
is to be effective and if it is to avoid impairing the very things we
seek to foster. These principles are as follows:

(1) Whatever the extent of support may be, there must be stability of
funds over a period of years so that long-range programs may be
undertaken. (2) The agency to administer such funds should be composed
of citizens selected only on the basis of their interest in and capacity
to promote the work of the agency. They should be persons of broad
interest in and understanding of the peculiarities of scientific
research and education. (3) The agency should promote research through
contracts or grants to organizations outside the Federal Government. It
should not operate any laboratories of its own. (4) Support of basic
research in the public and private colleges, universities, and research
institutes must leave the internal control of policy, personnel, and the
method and scope of the research to the institutions themselves. This is
of the utmost importance. (5) While assuring complete independence and
freedom for the nature, scope, and methodology of research carried on in
the institutions receiving public funds, and while retaining discretion
in the allocation of funds among such institutions, the Foundation
proposed herein must be responsible to the President and the Congress.
Only through such responsibility can we maintain the proper relationship
between science and other aspects of a democratic system. The usual
controls of audits, reports, budgeting, and the like, should, of course,
apply to the administrative and fiscal operations of the Foundation,
subject, however, to such adjustments in procedure as are necessary to
meet the special requirements of research.

Basic research is a long-term process - it ceases to be basic if
immediate results are expected on short-term support. Methods should
therefore be found which will permit the agency to make commitments of
funds from current appropriations for programs of five years duration or
longer. Continuity and stability of the program and its support may be
expected (a) from the growing realization by the Congress of the
benefits to the public from scientific research, and (b) from the
conviction which will grow among those who conduct research under the
auspices of the agency that good quality work will be followed by
continuing support.

As stated earlier in this report, military preparedness requires a
permanent, independent, civilian-controlled organization, having close
liaison with the Army and Navy, but with funds direct from Congress and
the clear power to initiate military research which will supplement and
strengthen that carried on directly under the control of the Army and
Navy. As a temporary measure the National Academy of Sciences has
established the Research Board for National Security at the request of
the Secretary of War and the Secretary of the Navy. This is highly
desirable in order that there may be no interruption in the relations
between scientists and military men after the emergency wartime Office
of Scientific Research and Development goes out of existence. The
Congress is now considering legislation to provide funds for this Board
by direct appropriation.

I believe that, as a permanent measure, it would be appropriate to add
to the agency needed to perform the other functions recommended in this
report the responsibilities for civilian-initiated and
civilian-controlled military research. The function of such a civilian
group would be primarily to conduct long-range scientific research on
military problems - leaving to the Services research on the improvement
of existing weapons.

Some research on military problems should be conducted, in time of peace
as well as in war, by civilians independently of the military
establishment. It is the primary responsibility of the Army and Navy to
train the men, make available the weapons, and employ the strategy that
will bring victory in combat. The Armed Services cannot be expected to
be experts in all of the complicated fields which make it possible for a
great nation to fight successfully in total war. There are certain kinds
of research - such as research on the improvement of existing weapons -
which can best be done within the military establishment. However, the
job of long-range research involving application of the newest
scientific discoveries to military needs should be the responsibility of
those civilian scientists in the universities and in industry who are
best trained to discharge it thoroughly and successfully. It is
essential that both kinds of research go forward and that there be the
closest liaison between the two groups.

Placing the civilian military research function in the proposed agency
would bring it into close relationship with a broad program of basic
research in both the natural sciences and medicine. A balance between
military and other research could thus readily be maintained.

The establishment of the new agency, including a civilian military
research group, should not be delayed by the existence of the Research
Board for National Security, which is a temporary measure. Nor should
the creation of the new agency be delayed by uncertainties in regard to
the postwar organization of our military departments themselves.
Clearly, the new agency, including a civilian military research group
within it, can remain sufficiently flexible to adapt its operations to
whatever may be the final organization of the military departments.

It is my judgment that the national interest in scientific research and
scientific education can best be promoted by the creation of a National
Research Foundation.

I. Purposes. - The National Research Foundation should develop and
promote a national policy for scientific research and scientific
education, should support basic research in nonprofit organizations,
should develop scientific talent in American youth by means of
scholarships and fellowships, and should by contract and otherwise
support long-range research on military matters.

II. Members. - 1. Responsibility to the people, through the President
and Congress, should be placed in the hands of, say nine Members, who
should be persons not otherwise connected with the Government and not
representative of any special interest, who should be known as National
Research Foundation Members, selected by the President on the basis of
their interest in and capacity to promote the purposes of the
Foundation.

2\. The terms of the Members should be, say, 4 years, and no Member
should be eligible for immediate reappointment provided he has served a
full 4-year term. It should be arranged that the Members first appointed
serve terms of such length that at least two Members are appointed each
succeeding year.

3\. The Members should serve without compensation but should be entitled
to their expenses incurred in the performance of their duties.

4\. The Members should elect their own chairman annually.

5\. The chief executive officer of the Foundation should be a director
appointed by the Members. Subject to the direction and supervision of
the Foundation Members (acting as a board), the director should
discharge all the fiscal, legal, and administrative functions of the
Foundation. The director should receive a salary that is fully adequate
to attract an outstanding man to the post.

6\. There should be an administrative office responsible to the director
to handle in one place the fiscal, legal, personnel, and other similar
administrative functions necessary to the accomplishment of the purposes
of the Foundation.

7\. With the exception of the director, the division members, and one
executive officer appointed by the director to administer the affairs of
each division, all employees of the Foundation should be appointed under
Civil Service regulations.

III. Organization. - 1. In order to accomplish the purposes of the
Foundation the Members should establish several professional Divisions
to be responsible to the Members. At the outset these Divisions should
be:

a. Division of Medical Research. - The function of this Division should
be to support medical research.

b. Division of Natural Sciences. - The function of this Division should
be to support research in the physical and natural sciences.

c. Division of National Defense. - It should be the function of this
Division to support long-range scientific research on military matters.

d. Division of Scientific Personnel and Education. - It should be the
function of this Division to support and to supervise the grant of
scholarships and fellowships in science.

e. Division of Publications and Scientific Collaboration. - This
Division should be charged with encouraging the publication of
scientific knowledge and promoting international exchange of scientific
information.

2\. Each Division of the Foundation should be made up of at least five
members, appointed by the Members of the Foundation. In making such
appointments the Members should request and consider recommendations
from the National Academy of Sciences which should be asked to establish
a new National Research Foundation nominating committee in order to
bring together the recommendations of scientists in all organizations.
The chairman of each Division should be appointed by the Members of the
Foundation.

3\. The division Members should be appointed for such terms as the
Members of the Foundation may determine, and may be reappointed at the
discretion of the Members. They should receive their expenses and
compensation for their services at a per diem rate of, say, $50 while
engaged on business of the Foundation, but no division member should
receive more than, say, $10,000 compensation per year.

4\. Membership of the Division of National Defense should include, in
addition to, say, five civilian members, one representative designated
by the Secretary of War, and one representative of the Secretary of the
Navy, who should serve without additional compensation for this
    duty.

    ----------------------------------------------------------------------
            Proposed Organization of National Research Foundation
    
    
                    ================================
                    | National Research Foundation |
                    |------------------------------|
                    |          Members             |
                    ================================
                                 |
                        -----------------------
                        |     Director        |
                        -----------------------
                                 |
                                 |---------------------
                                 |                    |
                                 |             ---------------------------
                                 |             |  Staff offices          |
                                 |             | General Counsel         |
                                 |             | Finance Officer         |
                                 |             | Administrative planning |
                                 |             | Personnel               |
                                 |             ---------------------------
                                 |
          ----------------------------------------------------------------
          |                      |           |          |              |
     ------------------ --------------- ------------- ------------- ----------------
     |  Division of   | |Division of  | |Division of| |Division of| |Division of   |
     |Medical Research| |Scientific   | |Natural    | | National  | |Publications &|
     |----------------| |Personnel and| | Sciences  | | Defense   | |Scientific    |
     |   Members      | |Education    | |-----------| |-----------| |Collaboration |
     ------------------ |-------------| | Members   | |  Members  | |--------------|
            |           |  Members    | ------------- ------------- |  Members     |
            |           ---------------       |            |        ----------------
            |                 |               |            |               |
    ------------------- --------------- ------------- ------------- ----------------
    |Executive officer| |Exec. officer| |Exec. off. | |Exec. off. | |Exec. officer |
    ------------------- --------------- ------------- ------------- ----------------
    
    =============================================================================

IV. Functions. - 1. The Members of the Foundation should have the
following functions, powers, and duties:

a. To formulate over-all policies of the Foundation.

b. To establish and maintain such offices within the United States, its
territories and possessions, as they may deem necessary.

c. To meet and function at any place within the United States, its
territories and possessions.

d. To obtain and utilize the services of other Government agencies to
the extent that such agencies are prepared to render such services.

e. To adopt, promulgate, amend, and rescind rules and regulations to
carry out the provisions of the legislation and the policies and
practices of the Foundation.

f. To review and balance the financial requirements of the several
Divisions and to propose to the President the annual estimate for the
funds required by each Division. Appropriations should be earmarked for
the purposes of specific Divisions, but the Foundation should be left
discretion with respect to the expenditure of each Division's funds.

g. To make contracts or grants for the conduct of research by
negotiation without advertising for bids.

And with the advice of the National Research Foundation Divisions
concerned -

h. To create such advisory and cooperating agencies and councils, state,
regional, or national, as in their judgment will aid in effectuating the
purposes of the legislation, and to pay the expenses thereof.

i. To enter into contracts with or make grants to educational and
nonprofit research institutions for support of scientific research.

j. To initiate and finance in appropriate agencies, institutions, or
organizations, research on problems related to the national defense.

k. To initiate and finance in appropriate organizations research
projects for which existing facilities are unavailable or inadequate.

l. To establish scholarships and fellowships in the natural sciences
including biology and medicine.

m. To promote the dissemination of scientific and technical information
and to further its international exchange.

n. To support international cooperation in science by providing
financial aid for international meetings, associations of scientific
societies, and scientific research programs organized on an
international basis.

o. To devise and promote the use of methods of improving the transition
between research and its practical application in industry.

2\. The Divisions should be responsible to the Members of the Foundation
for -

a. Formulation of programs and policy within the scope of the particular
Divisions.

b. Recommendations regarding the allocation of research programs among
research organizations.

c. Recommendation of appropriate arrangements between the Foundation and
the organizations selected to carry on the program.

d. Recommendation of arrangements with State and local authorities in
regard to cooperation in a program of science scholarships and
fellowships.

e. Periodic review of the quality of research being conducted under the
auspices of the particular Division and revision of the program of
support of research.

f. Presentation of budgets of financial needs for the work of the
Division.

g. Maintaining liaison with other scientific research agencies, both
governmental and private, concerned with the work of the Division.

V. Patent Policy. - The success of the National Research Foundation in
promoting scientific research in this country will depend to a very
large degree upon the cooperation of organizations outside the
Government. In making contracts with or grants to such organizations the
Foundation should protect the public interest adequately and at the same
time leave the cooperating organization with adequate freedom and
incentive to conduct scientific research. The public interest will
normally be adequately protected if the Government receives a
royalty-free license for governmental purposes under any patents
resulting from work financed by the Foundation. There should be no
obligation on the research institution to patent discoveries made as a
result of support from the Foundation. There should certainly not be any
absolute requirement that all rights in such discoveries be assigned to
the Government, but it should be left to the discretion of the director
and the interested Division whether in special cases the public interest
requires such an assignment. Legislation on this point should leave to
the Members of the Foundation discretion as to its patent policy in
order that patent arrangements may be adjusted as circumstances and the
public interest require.

VI. Special Authority. - In order to insure that men of great competence
and experience may be designated as Members of the Foundation and as
members of the several professional Divisions, the legislation creating
the Foundation should contain specific authorization so that the Members
of the Foundation and the Members of the Divisions may also engage in
private and gainful employment, notwithstanding the provisions of any
other laws: provided, however, that no compensation for such employment
is received in any form from any profit-making institution which
receives funds under contract, or otherwise, from the Division or
Divisions of the Foundation with which the individual is concerned. In
normal times, in view of the restrictive statutory prohibitions against
dual interests on the part of Government officials, it would be
virtually impossible to persuade persons having private employment of
any kind to serve the Government in an official capacity. In order,
however, to secure the part-time services of the most competent men as
Members of the Foundation and the Divisions, these stringent
prohibitions should be relaxed to the extent indicated.

Since research is unlike the procurement of standardized items, which
are susceptible to competitive bidding on fixed specifications, the
legislation creating the National Research Foundation should free the
Foundation from the obligation to place its contracts for research
through advertising for bids. This is particularly so since the measure
of a successful research contract lies not in the dollar cost but in the
qualitative and quantitative contribution which is made to our
knowledge. The extent of this contribution in turn depends on the
creative spirit and talent which can be brought to bear within a
research laboratory. The National Research Foundation must, therefore,
be free to place its research contracts or grants not only with those
institutions which have a demonstrated research capacity but also with
other institutions whose latent talent or creative atmosphere affords
promise of research success.

As in the case of the research sponsored during the war by the Office of
Scientific Research and Development, the research sponsored by the
National Research Foundation should be conducted, in general, on an
actual cost basis without profit to the institution receiving the
research contract or grant.

There is one other matter which requires special mention. Since research
does not fall within the category of normal commercial or procurement
operations which are easily covered by the usual contractual relations,
it is essential that certain statutory and regulatory fiscal
requirements be waived in the case of research contractors. For example,
the National Research Foundation should be authorized by legislation to
make, modify, or amend contracts of all kinds with or without legal
consideration, and without performance bonds. Similarly, advance
payments should be allowed in the discretion of the Director of the
Foundation when required. Finally, the normal vouchering requirements of
the General Accounting Office with respect to detailed itemization or
substantiation of vouchers submitted under cost contracts should be
relaxed for research contractors. Adherence to the usual procedures in
the case of research contracts will impair the efficiency of research
operations and will needlessly increase the cost of the work of the
Government. Without the broad authority along these lines which was
contained in the First War Powers Act and its implementing Executive
Orders, together with the special relaxation of vouchering requirements
granted by the General Accounting Office, the Office of Scientific
Research and Development would have been gravely handicapped in carrying
on research on military matters during this war. Colleges and
universities in which research will be conducted principally under
contract with the Foundation are, unlike commercial institutions, not
equipped to handle the detailed vouchering procedures and auditing
technicalities which are required of the usual Government contractors.

VII. Budget. - Studies by the several committees provide a partial basis
for making an estimate of the order of magnitude of the funds required
to implement the proposed program. Clearly the program should grow in a
healthy manner from modest beginnings. The following very rough
estimates are given for the first year of operation after the Foundation
is organized and operating, and for the fifth year of operation when it
is expected that the operations would have reached a fairly stable
level:

    ---------------------------------------------------------------------------
                      Activity                           | Millions of dollars
                                                         ----------------------
                                                         | First year | 5th yr
    ---------------------------------------------------------------------------
     Division of Medical Research                        |      5.0   |   20.0
     Division of Natural Sciences                        |     10.0   |   50.0
     Division of National Defense                        |     10.0   |   20.0
     Division of Scientific Personnel and Education      |      7.0   |   29.0
     Division of Publications & Scientific Collaboration |       .5   |    1.0
     Administration                                      |      1.0   |    2.5
    ---------------------------------------------------------------------------

The National Research Foundation herein proposed meets the urgent need
of the days ahead. The form of the organization suggested is the result
of considerable deliberation. The form is important. The very successful
pattern of organization of the National Advisory Committee for
Aeronautics, which has promoted basic research on problems of flight
during the past thirty years, has been carefully considered in proposing
the method of appointment of Members of the Foundation and in defining
their responsibilities. Moreover, whatever program is established it is
vitally important that it satisfy the Five Fundamentals.

The Foundation here proposed has been described only in outline. The
excellent reports of the committees which studied these matters are
attached as appendices. They will be of aid in furnishing detailed
suggestions.

Legislation is necessary. It should be drafted with great care. Early
action is imperative, however, if this nation is to meet the challenge
of science and fully utilize the potentialities of science. On the
wisdom with which we bring science to bear against the problems of the
coming years depends in large measure our future as a nation.
