---
created_at: '2016-07-28T16:26:37.000Z'
title: George Kennan's “Long Telegram” (1946)
url: http://nsarchive.gwu.edu/coldwar/documents/episode-1/kennan.htm
author: maverick_iceman
points: 51
story_text: 
comment_text: 
num_comments: 30
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1469723197
_tags:
- story
- author_maverick_iceman
- story_12181249
objectID: '12181249'
year: 1946

---
861.00/2 - 2246: Telegram

**

The Charge in the Soviet Union (Kennan) to the Secretary of State

SECRET

Moscow, February 22, 1946--9 p.m. \[Received February 22--3: 52 p.m.\]

511\. Answer to Dept's 284, Feb 3 \[13\] involves questions so
intricate, so delicate, so strange to our form of thought, and so
important to analysis of our international environment that I cannot
compress answers into single brief message without yielding to what I
feel would be dangerous degree of over-simplification. I hope,
therefore, Dept will bear with me if I submit in answer to this question
five parts, subjects of which will be roughly as follows:

(1) Basic features of post-war Soviet outlook.

(2) Background of this outlook

(3) Its projection in practical policy on official level.

(4) Its projection on unofficial level.

(5) Practical deductions from standpoint of US policy.

I apologize in advance for this burdening of telegraphic channel; but
questions involved are of such urgent importance, particularly in view
of recent events, that our answers to them, if they deserve attention at
all, seem to me to deserve it at once. There follows

**

Part 1: Basic Features of Post War Soviet Outlook, as Put Forward by
Official Propaganda Machine

Are as Follows:

(a) USSR still lives in antagonistic "capitalist encirclement" with
which in the long run there can be no permanent peaceful coexistence. As
stated by Stalin in 1927 to a delegation of American workers:

"In course of further development of international revolution there will
emerge two centers of world significance: a socialist center, drawing to
itself the countries which tend toward socialism, and a capitalist
center, drawing to itself the countries that incline toward capitalism.
Battle between these two centers for command of world economy will
decide fate of capitalism and of communism in entire world."

**

(b) Capitalist world is beset with internal conflicts, inherent in
nature of capitalist society. These conflicts are insoluble by means of
peaceful compromise. Greatest of them is that between England and US.

(c) Internal conflicts of capitalism inevitably generate wars. Wars thus
generated may be of two kinds: intra-capitalist wars between two
capitalist states, and wars of intervention against socialist world.
Smart capitalists, vainly seeking escape from inner conflicts of
capitalism, incline toward latter.

(d) Intervention against USSR, while it would be disastrous to those who
undertook it, would cause renewed delay in progress of Soviet socialism
and must therefore be forestalled at all costs.

(e) Conflicts between capitalist states, though likewise fraught with
danger for USSR, nevertheless hold out great possibilities for
advancement of socialist cause, particularly if USSR remains militarily
powerful, ideologically monolithic and faithful to its present brilliant
leadership.

(f) It must be borne in mind that capitalist world is not all bad. In
addition to hopelessly reactionary and bourgeois elements, it includes
(1) certain wholly enlightened and positive elements united in
acceptable communistic parties and (2) certain other elements (now
described for tactical reasons as progressive or democratic) whose
reactions, aspirations and activities happen to be "objectively"
favorable to interests of USSR These last must be encouraged and
utilized for Soviet purposes.

(g) Among negative elements of bourgeois-capitalist society, most
dangerous of all are those whom Lenin called false friends of the
people, namely moderate-socialist or social-democratic leaders (in other
words, non-Communist left-wing). These are more dangerous than
out-and-out reactionaries, for latter at least march under their true
colors, whereas moderate left-wing leaders confuse people by employing
devices of socialism to seine interests of reactionary capital.

So much for premises. To what deductions do they lead from standpoint of
Soviet policy? To following:

(a) Everything must be done to advance relative strength of USSR as
factor in international society. Conversely, no opportunity most be
missed to reduce strength and influence, collectively as well as
individually, of capitalist powers.

(b) Soviet efforts, and those of Russia's friends abroad, must be
directed toward deepening and exploiting of differences and conflicts
between capitalist powers. If these eventually deepen into an
"imperialist" war, this war must be turned into revolutionary upheavals
within the various capitalist countries.

(c) "Democratic-progressive" elements abroad are to be utilized to
maximum to bring pressure to bear on capitalist governments along lines
agreeable to Soviet interests.

(d) Relentless battle must be waged against socialist and
social-democratic leaders abroad.

**

Part 2: Background of Outlook

Before examining ramifications of this party line in practice there are
certain aspects of it to which I wish to draw attention.

First, it does not represent natural outlook of Russian people. Latter
are, by and large, friendly to outside world, eager for experience of
it, eager to measure against it talents they are conscious of
possessing, eager above all to live in peace and enjoy fruits of their
own labor. Party line only represents thesis which official propaganda
machine puts forward with great skill and persistence to a public often
remarkably resistant in the stronghold of its innermost thoughts. But
party line is binding for outlook and conduct of people who make up
apparatus of power--party, secret police and Government--and it is
exclusively with these that we have to deal.

Second, please note that premises on which this party line is based are
for most part simply not true. Experience has shown that peaceful and
mutually profitable coexistence of capitalist and socialist states is
entirely possible. Basic internal conflicts in advanced countries are no
longer primarily those arising out of capitalist ownership of means of
production, but are ones arising from advanced urbanism and
industrialism as such, which Russia has thus far been spared not by
socialism but only by her own backwardness. Internal rivalries of
capitalism do not always generate wars; and not all wars are
attributable to this cause. To speak of possibility of intervention
against USSR today, after elimination of Germany and Japan and after
example of recent war, is sheerest nonsense. If not provoked by forces
of intolerance and subversion "capitalist" world of today is quite
capable of living at peace with itself and with Russia. Finally, no sane
person has reason to doubt sincerity of moderate socialist leaders in
Western countries. Nor is it fair to deny success of their efforts to
improve conditions for working population whenever, as in Scandinavia,
they have been given chance to show what they could do.

Falseness of those premises, every one of which predates recent war, was
amply demonstrated by that conflict itself Anglo-American differences
did not turn out to be major differences of Western World. Capitalist
countries, other than those of Axis, showed no disposition to solve
their differences by joining in crusade against USSR. Instead of
imperialist war turning into civil wars and revolution, USSR found
itself obliged to fight side by side with capitalist powers for an
avowed community of aim.

Nevertheless, all these theses, however baseless and disproven, are
being boldly put forward again today. What does this indicate? It
indicates that Soviet party line is not based on any objective analysis
of situation beyond Russia's borders; that it has, indeed, little to do
with conditions outside of Russia; that it arises mainly from basic
inner-Russian necessities which existed before recent war and exist
today.

At bottom of Kremlin's neurotic view of world affairs is traditional and
instinctive Russian sense of insecurity. Originally, this was insecurity
of a peaceful agricultural people trying to live on vast exposed plain
in neighborhood of fierce nomadic peoples. To this was added, as Russia
came into contact with economically advanced West, fear of more
competent, more powerful, more highly organized societies in that area.
But this latter type of insecurity was one which afflicted rather
Russian rulers than Russian people; for Russian rulers have invariably
sensed that their rule was relatively archaic in form fragile and
artificial in its psychological foundation, unable to stand comparison
or contact with political systems of Western countries. For this reason
they have always feared foreign penetration, feared direct contact
between Western world and their own, feared what would happen if
Russians learned truth about world without or if foreigners learned
truth about world within. And they have learned to seek security only in
patient but deadly struggle for total destruction of rival power, never
in compacts and compromises with it.

It was no coincidence that Marxism, which had smoldered ineffectively
for half a century in Western Europe, caught hold and blazed for first
time in Russia. Only in this land which had never known a friendly
neighbor or indeed any tolerant equilibrium of separate powers, either
internal or international, could a doctrine thrive which viewed economic
conflicts of society as insoluble by peaceful means. After establishment
of Bolshevist regime, Marxist dogma, rendered even more truculent and
intolerant by Lenin's interpretation, became a perfect vehicle for sense
of insecurity with which Bolsheviks, even more than previous Russian
rulers, were afflicted. In this dogma, with its basic altruism of
purpose, they found justification for their instinctive fear of outside
world, for the dictatorship without which they did not know how to rule,
for cruelties they did not dare not to inflict, for sacrifice they felt
bound to demand. In the name of Marxism they sacrificed every single
ethical value in their methods and tactics. Today they cannot dispense
with it. It is fig leaf of their moral and intellectual respectability.
Without it they would stand before history, at best, as only the last of
that long succession of cruel and wasteful Russian rulers who have
relentlessly forced country on to ever new heights of military power in
order to guarantee external security of their internally weak regimes.
This is why Soviet purposes most always be solemnly clothed in trappings
of Marxism, and why no one should underrate importance of dogma in
Soviet affairs. Thus Soviet leaders are driven \[by?\] necessities of
their own past and present position to put forward which \[apparent
omission\] outside world as evil, hostile and menacing, but as bearing
within itself germs of creeping disease and destined to be wracked with
growing internal convulsions until it is given final *Coup de grace* by
rising power of socialism and yields to new and better world. This
thesis provides justification for that increase of military and police
power of Russian state, for that isolation of Russian population from
outside world, and for that fluid and constant pressure to extend limits
of Russian police power which are together the natural and instinctive
urges of Russian rulers. Basically this is only the steady advance of
uneasy Russian nationalism, a centuries old movement in which
conceptions of offense and defense are inextricably confused. But in new
guise of international Marxism, with its honeyed promises to a desperate
and war torn outside world, it is more dangerous and insidious than ever
before.

It should not be thought from above that Soviet party line is
necessarily disingenuous and insincere on part of all those who put it
forward. Many of them are too ignorant of outside world and mentally too
dependent to question \[apparent omission\] self-hypnotism, and who have
no difficulty making themselves believe what they find it comforting and
convenient to believe. Finally we have the unsolved mystery as to who,
if anyone, in this great land actually receives accurate and unbiased
information about outside world. In atmosphere of oriental secretiveness
and conspiracy which pervades this Government, possibilities for
distorting or poisoning sources and currents of information are
infinite. The very disrespect of Russians for objective truth--indeed,
their disbelief in its existence--leads them to view all stated facts as
instruments for furtherance of one ulterior purpose or another. There is
good reason to suspect that this Government is actually a conspiracy
within a conspiracy; and I for one am reluctant to believe that Stalin
himself receives anything like an objective picture of outside world.
Here there is ample scope for the type of subtle intrigue at which
Russians are past masters. Inability of foreign governments to place
their case squarely before Russian policy makers--extent to which they
are delivered up in their relations with Russia to good graces of
obscure and unknown advisors whom they never see and cannot
influence--this to my mind is most disquieting feature of diplomacy in
Moscow, and one which Western statesmen would do well to keep in mind if
they would understand nature of difficulties encountered here.

**

Part 3: Projection of Soviet Outlook in Practical Policy on Official
Level

We have now seen nature and background of Soviet program. What may we
expect by way of its practical implementation?

Soviet policy, as Department implies in its query under reference, is
conducted on two planes: (1) official plane represented by actions
undertaken officially in name of Soviet Government; and (2) subterranean
plane of actions undertaken by agencies for which Soviet Government does
not admit responsibility.

Policy promulgated on both planes will be calculated to serve basic
policies (a) to (d) outlined in part 1. Actions taken on different
planes will differ considerably, but will dovetail into each other in
purpose, timing and effect.

On official plane we must look for following:

(a) Internal policy devoted to increasing in every way strength and
prestige of Soviet state: intensive military-industrialization; maximum
development of armed forces; great displays to impress outsiders;
continued secretiveness about internal matters, designed to conceal
weaknesses and to keep opponents in dark.

(b) Wherever it is considered timely and promising, efforts will be made
to advance official limits of Soviet power. For the moment, these
efforts are restricted to certain neighboring points conceived of here
as being of immediate strategic necessity, such as Northern Iran,
Turkey, possibly Bornholm However, other points may at any time come
into question, if and as concealed Soviet political power is extended to
new areas. Thus a "friendly Persian Government might be asked to grant
Russia a port on Persian Gulf. Should Spain fall under Communist
control, question of Soviet base at Gibraltar Strait might be activated.
But such claims will appear on official level only when unofficial
preparation is complete.

(c) Russians will participate officially in international organizations
where they see opportunity of extending Soviet power or of inhibiting or
diluting power of others. Moscow sees in UNO not the mechanism for a
permanent and stable world society founded on mutual interest and aims
of all nations, but an arena in which aims just mentioned can be
favorably pursued. As long as UNO is considered here to serve this
purpose, Soviets will remain with it. But if at any time they come to
conclusion that it is serving to embarrass or frustrate their aims for
power expansion and if they see better prospects for pursuit of these
aims along other lines, they will not hesitate to abandon UNO. This
would imply, however, that they felt themselves strong enough to split
unity of other nations by their withdrawal to render UNO ineffective as
a threat to their aims or security, replace it with an international
weapon more effective from their viewpoint. Thus Soviet attitude toward
UNO will depend largely on loyalty of other nations to it, and on degree
of vigor, decisiveness and cohesion with which those nations defend in
UNO the peaceful and hopeful concept of international life, which that
organization represents to our way of thinking. I reiterate, Moscow has
no abstract devotion to UNO ideals. Its attitude to that organization
will remain essentially pragmatic and tactical.

(d) Toward colonial areas and backward or dependent peoples, Soviet
policy, even on official plane, will be directed toward weakening of
power and influence and contacts of advanced Western nations, on theory
that in so far as this policy is successful, there will be created a
vacuum which will favor Communist-Soviet penetration. Soviet pressure
for participation in trusteeship arrangements thus represents, in my
opinion, a desire to be in a position to complicate and inhibit exertion
of Western influence at such points rather than to provide major channel
for exerting of Soviet power. Latter motive is not lacking, but for this
Soviets prefer to rely on other channels than official trusteeship
arrangements. Thus we may expect to find Soviets asking for admission
everywhere to trusteeship or similar arrangements and using levers thus
acquired to weaken Western influence among such peoples.

(e) Russians will strive energetically to develop Soviet representation
in, and official ties with, countries in which they sense Strong
possibilities of opposition to Western centers of power. This applies to
such widely separated points as Germany, Argentina, Middle Eastern
countries, etc.

(f) In international economic matters, Soviet policy will really be
dominated by pursuit of autarchy for Soviet Union and Soviet-dominated
adjacent areas taken together. That, however, will be underlying policy.
As far as official line is concerned, position is not yet clear. Soviet
Government has shown strange reticence since termination hostilities on
subject foreign trade. If large scale long term credits should be
forthcoming, I believe Soviet Government may eventually again do lip
service, as it did in 1930's to desirability of building up
international economic exchanges in general. Otherwise I think it
possible Soviet foreign trade may be restricted largely to Soviet's own
security sphere, including occupied areas in Germany, and that a cold
official shoulder may be turned to principle of general economic
collaboration among nations.

(g) With respect to cultural collaboration, lip service will likewise be
rendered to desirability of deepening cultural contacts between peoples,
but this will not in practice be interpreted in any way which could
weaken security position of Soviet peoples. Actual manifestations of
Soviet policy in this respect will be restricted to arid channels of
closely shepherded official visits and functions, with superabundance of
vodka and speeches and dearth of permanent effects.

(h) Beyond this, Soviet official relations will take what might be
called "correct" course with individual foreign governments, with great
stress being laid on prestige of Soviet Union and its representatives
and with punctilious attention to protocol as distinct from good
manners.

**

Part 4: Following May Be Said as to What We May Expect by Way of
Implementation of Basic Soviet Policies on Unofficial, or Subterranean
Plane, i.e. on Plane for Which Soviet Government Accepts no
Responsibility

Agencies utilized for promulgation of policies on this plane are
following:

1\. Inner central core of Communist Parties in other countries. While
many of persons who compose this category may also appear and act in
unrelated public capacities, they are in reality working closely
together as an underground operating directorate of world communism, a
concealed Comintern tightly coordinated and directed by Moscow. It is
important to remember that this inner core is actually working on
underground lines, despite legality of parties with which it is
associated.

2\. Rank and file of Communist Parties. Note distinction is drawn
between those and persons defined in paragraph 1. This distinction has
become much sharper in recent years. Whereas formerly foreign Communist
Parties represented a curious (and from Moscow's standpoint often
inconvenient) mixture of conspiracy and legitimate activity, now the
conspiratorial element has been neatly concentrated in inner circle and
ordered underground, while rank and file--no longer even taken into
confidence about realities of movement--are thrust forward as bona fide
internal partisans of certain political tendencies within their
respective countries, genuinely innocent of conspiratorial connection
with foreign states. Only in certain countries where communists are
numerically strong do they now regularly appear and act as a body. As a
rule they are used to penetrate, and to influence or dominate, as case
may be, other organizations less likely to be suspected of being tools
of Soviet Government, with a view to accomplishing their purposes
through \[apparent omission\] organizations, rather than by direct
action as a separate political party.

3\. A wide variety of national associations or bodies which can be
dominated or influenced by such penetration. These include: labor
unions, youth leagues, women's organizations, racial societies,
religious societies, social organizations, cultural groups, liberal
magazines, publishing houses, etc.

4\. International organizations which can be similarly penetrated
through influence over various national components. Labor, youth and
women's organizations are prominent among them. Particular, almost vital
importance is attached in this connection to international labor
movement. In this, Moscow sees possibility of sidetracking western
governments in world affairs and building up international lobby capable
of compelling governments to take actions favorable to Soviet interests
in various countries and of paralyzing actions disagreeable to USSR

5\. Russian Orthodox Church, with its foreign branches, and through it
the Eastern Orthodox Church in general.

6\. Pan-Slav movement and other movements (Azerbaijan, Armenian,
Turcoman, etc.) based on racial groups within Soviet Union.

7\. Governments or governing groups willing to lend themselves to Soviet
purposes in one degree or another, such as present Bulgarian and
Yugoslav Governments, North Persian regime, Chinese Communists, etc. Not
only propaganda machines but actual policies of these regimes can be
placed extensively at disposal of USSR

It may be expected that component parts of this far-flung apparatus will
be utilized in accordance with their individual suitability, as follows:

(a) To undermine general political and strategic potential of major
western powers. Efforts will be made in such countries to disrupt
national self confidence, to hamstring measures of national defense, to
increase social and industrial unrest, to stimulate all forms of
disunity. All persons with grievances, whether economic or racial, will
be urged to spelt redress not in mediation and compromise, but in
defiant violent struggle for destruction of other elements of society.
Here poor will be set against rich, black against white, young against
old, newcomers against established residents, etc.

(b) On unofficial plane particularly violent efforts will be made to
weaken power and influence of Western Powers of \[on\] colonial
backward, or dependent peoples. On this level, no holds will be barred.
Mistakes and weaknesses of western colonial administration will be
mercilessly exposed and exploited. Liberal opinion in Western countries
will be mobilized to weaken colonial policies. Resentment among
dependent peoples will be stimulated. And while latter are being
encouraged to seek independence of Western Powers, Soviet dominated
puppet political machines will be undergoing preparation to take over
domestic power in respective colonial areas when independence is
achieved.

(c) Where individual governments stand in path of Soviet purposes
pressure will be brought for their removal from office. This can happen
where governments directly oppose Soviet foreign policy aims (Turkey,
Iran), where they seal their territories off against Communist
penetration (Switzerland, Portugal), or where they compete too strongly,
like Labor Government in England, for moral domination among elements
which it is important for Communists to dominate. (Sometimes, two of
these elements are present in a single case. Then Communist opposition
becomes particularly shrill and savage. \[)\]

(d) In foreign countries Communists will, as a rule, work toward
destruction of all forms of personal independence, economic, political
or moral. Their system can handle only individuals who have been brought
into complete dependence on higher power. Thus, persons who are
financially independent--such as individual businessmen, estate owners,
successful farmers, artisans and all those who exercise local leadership
or have local prestige, such as popular local clergymen or political
figures, are anathema. It is not by chance that even in USSR local
officials are kept constantly on move from one job to another, to
prevent their taking root.

(e) Everything possible will be done to set major Western Powers against
each other. Anti-British talk will be plugged among Americans,
anti-American talk among British. Continentals, including Germans, will
be taught to abhor both Anglo-Saxon powers. Where suspicions exist, they
will be fanned; where not, ignited. No effort will be spared to
discredit and combat all efforts which threaten to lead to any sort of
unity or cohesion among other \[apparent omission\] from which Russia
might be excluded. Thus, all forms of international organization not
amenable to Communist penetration and control, whether it be the
Catholic \[apparent omission\] international economic concerns, or the
international fraternity of royalty and aristocracy, must expect to find
themselves under fire from many, and often \[apparent omission\].

(f) In general, all Soviet efforts on unofficial international plane
will be negative and destructive in character, designed to tear down
sources of strength beyond reach of Soviet control. This is only in line
with basic Soviet instinct that there can be no compromise with rival
power and that constructive work can start only when Communist power is
doming But behind all this will be applied insistent, unceasing pressure
for penetration and command of key positions in administration and
especially in police apparatus of foreign countries. The Soviet regime
is a police regime par excellence, reared in the dim half world of
Tsarist police intrigue, accustomed to think primarily in terms of
police power. This should never be lost sight of in ganging Soviet
motives.

**

Part 5: \[Practical Deductions From Standpoint of US Policy\]

In summary, we have here a political force committed fanatically to the
belief that with US there can be no permanent *modus vivendi* that it is
desirable and necessary that the internal harmony of our society be
disrupted, our traditional way of life be destroyed, the international
authority of our state be broken, if Soviet power is to be secure. This
political force has complete power of disposition over energies of one
of world's greatest peoples and resources of world's richest national
territory, and is borne along by deep and powerful currents of Russian
nationalism. In addition, it has an elaborate and far flung apparatus
for exertion of its influence in other countries, an apparatus of
amazing flexibility and versatility, managed by people whose experience
and skill in underground methods are presumably without parallel in
history. Finally, it is seemingly inaccessible to considerations of
reality in its basic reactions. For it, the vast fund of objective fact
about human society is not, as with us, the measure against which
outlook is constantly being tested and re-formed, but a grab bag from
which individual items are selected arbitrarily and tendenciously to
bolster an outlook already preconceived. This is admittedly not a
pleasant picture. Problem of how to cope with this force in \[is\]
undoubtedly greatest task our diplomacy has ever faced and probably
greatest it will ever have to face. It should be point of departure from
which our political general staff work at present juncture should
proceed. It should be approached with same thoroughness and care as
solution of major strategic problem in war, and if necessary, with no
smaller outlay in planning effort. I cannot attempt to suggest all
answers here. But I would like to record my conviction that problem is
within our power to solve--and that without recourse to any general
military conflict.. And in support of this conviction there are certain
observations of a more encouraging nature I should like to make:

(1) Soviet power, unlike that of Hitlerite Germany, is neither schematic
nor adventunstic. It does not work by fixed plans. It does not take
unnecessary risks. Impervious to logic of reason, and it is highly
sensitive to logic of force. For this reason it can easily withdraw--and
usually does when strong resistance is encountered at any point. Thus,
if the adversary has sufficient force and makes clear his readiness to
use it, he rarely has to do so. If situations are properly handled there
need be no prestige-engaging showdowns.

(2) Gauged against Western World as a whole, Soviets are still by far
the weaker force. Thus, their success will really depend on degree of
cohesion, firmness and vigor which Western World can muster. And this is
factor which it is within our power to influence.

(3) Success of Soviet system, as form of internal power, is not yet
finally proven. It has yet to be demonstrated that it can survive
supreme test of successive transfer of power from one individual or
group to another. Lenin's death was first such transfer, and its effects
wracked Soviet state for 15 years. After Stalin's death or retirement
will be second. But even this will not be final test. Soviet internal
system will now be subjected, by virtue of recent territorial
expansions, to series of additional strains which once proved severe tax
on Tsardom. We here are convinced that never since termination of civil
war have mass of Russian people been emotionally farther removed from
doctrines of Communist Party than they are today. In Russia, party has
now become a great and--for the moment--highly successful apparatus of
dictatorial administration, but it has ceased to be a source of
emotional inspiration. Thus, internal soundness and permanence of
movement need not yet be regarded as assured.

(4) All Soviet propaganda beyond Soviet security sphere is basically
negative and destructive. It should therefore be relatively easy to
combat it by any intelligent and really constructive program.

For those reasons I think we may approach calmly and with good heart
problem of how to deal with Russia. As to how this approach should be
made, I only wish to advance, by way of conclusion, following comments:

(1) Our first step must be to apprehend, and recognize for what it is,
the nature of the movement with which we are dealing. We must study it
with same courage, detachment, objectivity, and same determination not
to be emotionally provoked or unseated by it, with which doctor studies
unruly and unreasonable individual.

(2) We must see that our public is educated to realities of Russian
situation. I cannot over-emphasize importance of this. Press cannot do
this alone. It must be done mainly by Government, which is necessarily
more experienced and better informed on practical problems involved. In
this we need not be deterred by \[ugliness?\] of picture. I am convinced
that there would be far less hysterical anti-Sovietism in our country
today if realities of this situation were better understood by our
people. There is nothing as dangerous or as terrifying as the unknown.
It may also be argued that to reveal more information on our
difficulties with Russia would reflect unfavorably on Russian-American
relations. I feel that if there is any real risk here involved, it is
one which we should have courage to face, and sooner the better. But I
cannot see what we would be risking. Our stake in this country, even
coming on heels of tremendous demonstrations of our friendship for
Russian people, is remarkably small. We have here no investments to
guard, no actual trade to lose, virtually no citizens to protect, few
cultural contacts to preserve. Our only stake lies in what we hope
rather than what we have; and I am convinced we have better chance of
realizing those hopes if our public is enlightened and if our dealings
with Russians are placed entirely on realistic and matter-of-fact basis.

(3) Much depends on health and vigor of our own society. World communism
is like malignant parasite which feeds only on diseased tissue. This is
point at which domestic and foreign policies meets Every courageous and
incisive measure to solve internal problems of our own society, to
improve self-confidence, discipline, morale and community spirit of our
own people, is a diplomatic victory over Moscow worth a thousand
diplomatic notes and joint communiqués. If we cannot abandon fatalism
and indifference in face of deficiencies of our own society, Moscow will
profit--Moscow cannot help profiting by them in its foreign policies.

(4) We must formulate and put forward for other nations a much more
positive and constructive picture of sort of world we would like to see
than we have put forward in past. It is not enough to urge people to
develop political processes similar to our own. Many foreign peoples, in
Europe at least, are tired and frightened by experiences of past, and
are less interested in abstract freedom than in security. They are
seeking guidance rather than responsibilities. We should be better able
than Russians to give them this. And unless we do, Russians certainly
will.

(5) Finally we must have courage and self-confidence to cling to our own
methods and conceptions of human society. After Al, the greatest danger
that can befall us in coping with this problem of Soviet communism, is
that we shall allow ourselves to become like those with whom we are
coping.

KENNAN

800.00B International Red Day/2 - 2546: Airgram
