---
created_at: '2011-03-11T23:42:21.000Z'
title: 'Albert Einstein: Why Socialism? (1949)'
url: http://monthlyreview.org/598einstein.php
author: niels_olson
points: 49
story_text: ''
comment_text: 
num_comments: 44
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1299886941
_tags:
- story
- author_niels_olson
- story_2315391
objectID: '2315391'
year: 1949

---
Albert Einstein is the world-famous physicist. This article was
originally published in the first issue of Monthly Review (May 1949). It
was subsequently published in May 1998 to commemorate the first issue of
MR‘s fiftieth year.

—The Editors

Is it advisable for one who is not an expert on economic and social
issues to express views on the subject of socialism? I believe for a
number of reasons that it is.

Let us first consider the question from the point of view of scientific
knowledge. It might appear that there are no essential methodological
differences between astronomy and economics: scientists in both fields
attempt to discover laws of general acceptability for a circumscribed
group of phenomena in order to make the interconnection of these
phenomena as clearly understandable as possible. But in reality such
methodological differences do exist. The discovery of general laws in
the field of economics is made difficult by the circumstance that
observed economic phenomena are often affected by many factors which are
very hard to evaluate separately. In addition, the experience which has
accumulated since the beginning of the so-called civilized period of
human history has—as is well known—been largely influenced and limited
by causes which are by no means exclusively economic in nature. For
example, most of the major states of history owed their existence to
conquest. The conquering peoples established themselves, legally and
economically, as the privileged class of the conquered country. They
seized for themselves a monopoly of the land ownership and appointed a
priesthood from among their own ranks. The priests, in control of
education, made the class division of society into a permanent
institution and created a system of values by which the people were
thenceforth, to a large extent unconsciously, guided in their social
behavior.

But historic tradition is, so to speak, of yesterday; nowhere have we
really overcome what Thorstein Veblen called “the predatory phase” of
human development. The observable economic facts belong to that phase
and even such laws as we can derive from them are not applicable to
other phases. Since the real purpose of socialism is precisely to
overcome and advance beyond the predatory phase of human development,
economic science in its present state can throw little light on the
socialist society of the future.

Second, socialism is directed towards a social-ethical end. Science,
however, cannot create ends and, even less, instill them in human
beings; science, at most, can supply the means by which to attain
certain ends. But the ends themselves are conceived by personalities
with lofty ethical ideals and—if these ends are not stillborn, but vital
and vigorous—are adopted and carried forward by those many human beings
who, half unconsciously, determine the slow evolution of society.

For these reasons, we should be on our guard not to overestimate science
and scientific methods when it is a question of human problems; and we
should not assume that experts are the only ones who have a right to
express themselves on questions affecting the organization of society.

Innumerable voices have been asserting for some time now that human
society is passing through a crisis, that its stability has been gravely
shattered. It is characteristic of such a situation that individuals
feel indifferent or even hostile toward the group, small or large, to
which they belong. In order to illustrate my meaning, let me record here
a personal experience. I recently discussed with an intelligent and
well-disposed man the threat of another war, which in my opinion would
seriously endanger the existence of mankind, and I remarked that only a
supra-national organization would offer protection from that danger.
Thereupon my visitor, very calmly and coolly, said to me: “Why are you
so deeply opposed to the disappearance of the human race?”

I am sure that as little as a century ago no one would have so lightly
made a statement of this kind. It is the statement of a man who has
striven in vain to attain an equilibrium within himself and has more or
less lost hope of succeeding. It is the expression of a painful solitude
and isolation from which so many people are suffering in these days.
What is the cause? Is there a way out?

It is easy to raise such questions, but difficult to answer them with
any degree of assurance. I must try, however, as best I can, although I
am very conscious of the fact that our feelings and strivings are often
contradictory and obscure and that they cannot be expressed in easy and
simple formulas.

Man is, at one and the same time, a solitary being and a social being.
As a solitary being, he attempts to protect his own existence and that
of those who are closest to him, to satisfy his personal desires, and to
develop his innate abilities. As a social being, he seeks to gain the
recognition and affection of his fellow human beings, to share in their
pleasures, to comfort them in their sorrows, and to improve their
conditions of life. Only the existence of these varied, frequently
conflicting, strivings accounts for the special character of a man, and
their specific combination determines the extent to which an individual
can achieve an inner equilibrium and can contribute to the well-being of
society. It is quite possible that the relative strength of these two
drives is, in the main, fixed by inheritance. But the personality that
finally emerges is largely formed by the environment in which a man
happens to find himself during his development, by the structure of the
society in which he grows up, by the tradition of that society, and by
its appraisal of particular types of behavior. The abstract concept
“society” means to the individual human being the sum total of his
direct and indirect relations to his contemporaries and to all the
people of earlier generations. The individual is able to think, feel,
strive, and work by himself; but he depends so much upon society—in his
physical, intellectual, and emotional existence—that it is impossible to
think of him, or to understand him, outside the framework of society. It
is “society” which provides man with food, clothing, a home, the tools
of work, language, the forms of thought, and most of the content of
thought; his life is made possible through the labor and the
accomplishments of the many millions past and present who are all hidden
behind the small word “society.”

It is evident, therefore, that the dependence of the individual upon
society is a fact of nature which cannot be abolished—just as in the
case of ants and bees. However, while the whole life process of ants and
bees is fixed down to the smallest detail by rigid, hereditary
instincts, the social pattern and interrelationships of human beings are
very variable and susceptible to change. Memory, the capacity to make
new combinations, the gift of oral communication have made possible
developments among human being which are not dictated by biological
necessities. Such developments manifest themselves in traditions,
institutions, and organizations; in literature; in scientific and
engineering accomplishments; in works of art. This explains how it
happens that, in a certain sense, man can influence his life through his
own conduct, and that in this process conscious thinking and wanting can
play a part.

Man acquires at birth, through heredity, a biological constitution which
we must consider fixed and unalterable, including the natural urges
which are characteristic of the human species. In addition, during his
lifetime, he acquires a cultural constitution which he adopts from
society through communication and through many other types of
influences. It is this cultural constitution which, with the passage of
time, is subject to change and which determines to a very large extent
the relationship between the individual and society. Modern anthropology
has taught us, through comparative investigation of so-called primitive
cultures, that the social behavior of human beings may differ greatly,
depending upon prevailing cultural patterns and the types of
organization which predominate in society. It is on this that those who
are striving to improve the lot of man may ground their hopes: human
beings are not condemned, because of their biological constitution, to
annihilate each other or to be at the mercy of a cruel, self-inflicted
fate.

If we ask ourselves how the structure of society and the cultural
attitude of man should be changed in order to make human life as
satisfying as possible, we should constantly be conscious of the fact
that there are certain conditions which we are unable to modify. As
mentioned before, the biological nature of man is, for all practical
purposes, not subject to change. Furthermore, technological and
demographic developments of the last few centuries have created
conditions which are here to stay. In relatively densely settled
populations with the goods which are indispensable to their continued
existence, an extreme division of labor and a highly-centralized
productive apparatus are absolutely necessary. The time—which, looking
back, seems so idyllic—is gone forever when individuals or relatively
small groups could be completely self-sufficient. It is only a slight
exaggeration to say that mankind constitutes even now a planetary
community of production and consumption.

I have now reached the point where I may indicate briefly what to me
constitutes the essence of the crisis of our time. It concerns the
relationship of the individual to society. The individual has become
more conscious than ever of his dependence upon society. But he does not
experience this dependence as a positive asset, as an organic tie, as a
protective force, but rather as a threat to his natural rights, or even
to his economic existence. Moreover, his position in society is such
that the egotistical drives of his make-up are constantly being
accentuated, while his social drives, which are by nature weaker,
progressively deteriorate. All human beings, whatever their position in
society, are suffering from this process of deterioration. Unknowingly
prisoners of their own egotism, they feel insecure, lonely, and deprived
of the naive, simple, and unsophisticated enjoyment of life. Man can
find meaning in life, short and perilous as it is, only through devoting
himself to society.

The economic anarchy of capitalist society as it exists today is, in my
opinion, the real source of the evil. We see before us a huge community
of producers the members of which are unceasingly striving to deprive
each other of the fruits of their collective labor—not by force, but on
the whole in faithful compliance with legally established rules. In this
respect, it is important to realize that the means of production—that is
to say, the entire productive capacity that is needed for producing
consumer goods as well as additional capital goods—may legally be, and
for the most part are, the private property of individuals.

For the sake of simplicity, in the discussion that follows I shall call
“workers” all those who do not share in the ownership of the means of
production—although this does not quite correspond to the customary use
of the term. The owner of the means of production is in a position to
purchase the labor power of the worker. By using the means of
production, the worker produces new goods which become the property of
the capitalist. The essential point about this process is the relation
between what the worker produces and what he is paid, both measured in
terms of real value. Insofar as the labor contract is “free,” what the
worker receives is determined not by the real value of the goods he
produces, but by his minimum needs and by the capitalists’ requirements
for labor power in relation to the number of workers competing for jobs.
It is important to understand that even in theory the payment of the
worker is not determined by the value of his product.

Private capital tends to become concentrated in few hands, partly
because of competition among the capitalists, and partly because
technological development and the increasing division of labor encourage
the formation of larger units of production at the expense of smaller
ones. The result of these developments is an oligarchy of private
capital the enormous power of which cannot be effectively checked even
by a democratically organized political society. This is true since the
members of legislative bodies are selected by political parties, largely
financed or otherwise influenced by private capitalists who, for all
practical purposes, separate the electorate from the legislature. The
consequence is that the representatives of the people do not in fact
sufficiently protect the interests of the underprivileged sections of
the population. Moreover, under existing conditions, private capitalists
inevitably control, directly or indirectly, the main sources of
information (press, radio, education). It is thus extremely difficult,
and indeed in most cases quite impossible, for the individual citizen to
come to objective conclusions and to make intelligent use of his
political rights.

The situation prevailing in an economy based on the private ownership of
capital is thus characterized by two main principles: first, means of
production (capital) are privately owned and the owners dispose of them
as they see fit; second, the labor contract is free. Of course, there is
no such thing as a pure capitalist society in this sense. In particular,
it should be noted that the workers, through long and bitter political
struggles, have succeeded in securing a somewhat improved form of the
“free labor contract” for certain categories of workers. But taken as
a whole, the present day economy does not differ much from “pure”
capitalism.

Production is carried on for profit, not for use. There is no provision
that all those able and willing to work will always be in a position to
find employment; an “army of unemployed” almost always exists. The
worker is constantly in fear of losing his job. Since unemployed and
poorly paid workers do not provide a profitable market, the production
of consumers’ goods is restricted, and great hardship is the
consequence. Technological progress frequently results in more
unemployment rather than in an easing of the burden of work for all. The
profit motive, in conjunction with competition among capitalists, is
responsible for an instability in the accumulation and utilization of
capital which leads to increasingly severe depressions. Unlimited
competition leads to a huge waste of labor, and to that crippling of the
social consciousness of individuals which I mentioned before.

This crippling of individuals I consider the worst evil of capitalism.
Our whole educational system suffers from this evil. An exaggerated
competitive attitude is inculcated into the student, who is trained to
worship acquisitive success as a preparation for his future career.

I am convinced there is only one way to eliminate these grave evils,
namely through the establishment of a socialist economy, accompanied by
an educational system which would be oriented toward social goals. In
such an economy, the means of production are owned by society itself and
are utilized in a planned fashion. A planned economy, which adjusts
production to the needs of the community, would distribute the work to
be done among all those able to work and would guarantee a livelihood to
every man, woman, and child. The education of the individual, in
addition to promoting his own innate abilities, would attempt to develop
in him a sense of responsibility for his fellow men in place of the
glorification of power and success in our present society.

Nevertheless, it is necessary to remember that a planned economy is not
yet socialism. A planned economy as such may be accompanied by the
complete enslavement of the individual. The achievement of socialism
requires the solution of some extremely difficult socio-political
problems: how is it possible, in view of the far-reaching centralization
of political and economic power, to prevent bureaucracy from becoming
all-powerful and overweening? How can the rights of the individual be
protected and therewith a democratic counterweight to the power of
bureaucracy be assured?

Clarity about the aims and problems of socialism is of greatest
significance in our age of transition. Since, under present
circumstances, free and unhindered discussion of these problems has come
under a powerful taboo, I consider the foundation of this magazine to be
an important public service.
