---
created_at: '2017-01-06T03:41:42.000Z'
title: 'John Berger: Drawing is discovery (1953)'
url: http://www.newstatesman.com/culture/art-and-design/2013/05/john-berger-drawing-discovery
author: Thevet
points: 63
story_text: 
comment_text: 
num_comments: 7
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1483674102
_tags:
- story
- author_Thevet
- story_13333737
objectID: '13333737'
year: 1953

---
For the artist drawing is discovery. And that is not just a slick
phrase, it is quite literally true. It is the actual act of drawing that
forces the artist to look at the object in front of him, to dissect it
in his mind’s eye and put it together again; or, if he is drawing from
memory, that forces him to dredge his own mind, to discover the content
of his own store of past observations.

It is a platitude in the teaching of drawing that the heart of the
matter lies in the specific process of looking. A line, an area of tone,
is not really important because it records what you have seen, but
because of what it will lead you on to see. Following up its logic in
order to check its accuracy, you find confirmation or denial in the
object itself or in your memory of it. Each confirmation or denial
brings you closer to the object, until finally you are, as it were,
inside it: the contours you have drawn no longer marking the edge of
what you have seen but the edge of what you have become. Perhaps that
sounds needlessly metaphysical. Another way of putting it would be to
say that each mark you make on the paper is a stepping stone from which
you proceed to the next, until you have crossed your subject as though
it were a river, have put it behind you.

This is quite different from the later process of painting a “finished”
canvas or carving a statue. Here you do not pass through your subject,
but try to recreate it and house yourself in it. Each brush-mark or
chisel-stroke is no longer a stepping stone, but a stone to be fitted
into a planned edifice. A drawing is an autobiographical record of one’s
discovery of an event – either seen, remembered or imagined. A
“finished” work is an attempt to construct an event in itself. It is
significant in this respect that only when the artist gained a
relatively high standard of individual “autobiographical” freedom, did
drawings as we now understand them begin to exist. In a hieratic,
anonymous tradition they are unnecessary. (I should perhaps point out
here that I am talking about working drawings – although a working
drawing need not necessarily be made for a specific project. I do not
mean linear designs, illustrations, caricatures, certain portraits or
graphic works which may be “finished” productions in their own right.)

A number of technical factors often enlarge this distinction between a
working drawing and a “finished” work: the longer time needed to paint a
canvas or carve a block; the larger scale of the job; the problem of
simultaneously managing colour, quality of pigment, tone, texture,
grain, and so on – the “shorthand” of drawing is relatively simple and
direct. But nevertheless the fundamental distinction is in the working
of the artist’s mind. A drawing is essentially a private work, related
only to the artist’s own needs; a “finished” statue or canvas is
essentially a public, presented work – related far more directly to the
demands of communication.

It follows from this that there is an equal distinction from the point
of view of the spectator. In front of a painting or statue he tends to
identify himself with the subject, to interpret the images for their own
sake; in front of a drawing he identifies himself with the artist, using
the images to gain the conscious experience of seeing as though through
the artist’s own eyes. It is this which explains why painters always
value so highly the drawings of the masters they admire and why the
general public find it so difficult to appreciate drawings – except for
sentimental reasons, or in so far as they are impressed by purely manual
dexterity.

All this is prompted by the exhibition of 500 Old Master drawings
(Pisanello to Ingres) now at Burlington House. The distinction I have
tried to make is relevant for on it are based the standards with which
one approaches such a show. A few of the works – the Rowlandsons and the
portrait of Gentile Bellini by Giovanni for instance – come under the
category of “finished” works. Most, however, can be called “working”
drawings. In appreciating these, deftness, charm, ingenuity are, in
themselves, beside the point. Everything originally depends upon the
quality of discovery. Mannerisms, however elegant, are barriers to
discovery as clichés are barriers to thought; look, for instance, at the
Pietro Longhis and some (not all) of the younger Tiepolos.

Then, by contrast, go to the Raphael Head of a Muse and feel how he
discovered the fullness of the form growing under his hand like a pot on
a wheel; how Dürer discovered the direction of every fold and fissure as
though he were reading Braille, how Guercino discovered the sensuality
of his Venus as though he were sleeping with her, how Guardi discovered
the space of a room as though he were filling it with air from a pair of
bellows; how Rembrandt discovered his figures as though encompassing
them with the knowledge of a father. In every case one senses their
surprise.
