---
created_at: '2013-06-20T18:51:17.000Z'
title: A Study of Assassination – CIA (1953)
url: http://www.gwu.edu/~nsarchiv/NSAEBB/NSAEBB4/ciaguat2.html
author: ferdo
points: 94
story_text: ''
comment_text: 
num_comments: 46
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1371754277
_tags:
- story
- author_ferdo
- story_5914071
objectID: '5914071'
year: 1953

---
A STUDY OF ASSASSINATION 

 

DEFINITION

Assassination is a term thought to be derived from "Hashish", a drug
similar to marijuana, said to have been used by Hasan-Dan-Sabah to
induce motivation in his followers, who were assigned to carry out
political and other murders, usually at the cost of their lives.

It is here used to describe the planned killing of a person who is not
under the legal jurisdiction of the killer, who is not physically in the
hands of the killer, who has been selected by a resistance organization
for death, and who has been sele cted by a resistance organization for
death, and whose death provides positive advantages to that
organization.

 

EMPLOYMENT

Assassination is an extreme measure not normally used in clandestine
operations. It should be assumed that it will never be ordered or
authorized by any U.S. Headquarters, though the latter may in rare
instances agree to its execution by membe rs of an associated foreign
service. This reticence is partly due to the necessity for committing
communications to paper. No assassination instructions should ever be
written or recorded. Consequently, the decision to employ this technique
must nearly always be reached in the field, at the area where the act
will take place. Decision and instructions should be confined to an
absolute minimum of persons. Ideally, only one person will be involved.
No report may be made, but usually the act will be pr operly covered by
normal news services, whose output is available to all concerned.

 

JUSTIFICATION

Murder is not morally justifiable. Self-defense may be argued if the
victim has knowledge which may destroy the resistance organization if
divulged. Assassination of persons responsible for atrocities or
reprisals may be regarded as just puni shment. Killing a political
leader whose burgeoning career is a clear and present danger to the
cause of freedom may be held necessary.

But assassination can seldom be employed with a clear conscience.
Persons who are morally squeamish should not attempt it.

 

CLASSIFICATIONS

The techniques employed will vary according to whether the subject is
unaware of his danger, aware but unguarded, or guarded. They will also
be affected by whether or not the assassin is to be killed with the
subject hereafter, assassinations in which the subject is unaware will
be termed "simple"; those where the subject is aware but unguarded will
be termed "chase"; those where the victim is guarded will be termed
"guarded."

If the assassin is to die with the subject, the act will be called
"lost." If the assassin is to escape, the adjective will be "safe." It
should be noted that no compromises should exist here. The assassin must
not fall alive into enemy hands.

A further type division is caused by the need to conceal the fact that
the subject was actually the victim of assassination, rather than an
accident or natural causes. If such concealment is desirable the
operation will be called "secret" ;; if concealment is immaterial, the
act will be called "open"; while if the assassination requires publicity
to be effective it will be termed "terroristic."

 

Following these definitions, the assassination of Julius Caesar was
safe, simple, and terroristic, while that of Huey Long was lost, guarded
and open. Obviously, successful secret assassinations are not recorded
as assassination at all. \[Illeg\] o f Thailand and Augustus Caesar may
have been the victims of safe, guarded and secret assassination. Chase
assassinations usually involve clandestine agents or members of criminal
organizations.

THE ASSASSIN

In safe assassinations, the assassin needs the usual qualities of a
clandestine agent. He should be determined, courageous, intelligent,
resourceful, and physically active. If special equipment is to be used,
such as firearms or drugs, it is clear that he must have outstanding
skill with such equipment.

Except in terroristic assassinations, it is desirable that the assassin
be transient in the area. He should have an absolute minimum of contact
with the rest of the organization and his instructions should be given
orally by one person only. His safe evacuation after the act is
absolutely essential, but here again contact should be as limited as
possible. It is preferable that the person issuing instructions also
conduct any withdrawal or covering action which may be necessary.

In lost assassination, the assassin must be a fanatic of some sort.
Politics, religion, and revenge are about the only feasible motives.
Since a fanatic is unstable psychologically, he must be handled with
extreme care. He must not know the iden tities of the other members of
the organization, for although it is intended that he die in the act,
something may go wrong. While the Assassin of Trotsky has never revealed
any significant information, it was unsound to depend on this when the
act was p lanned.

 

PLANNING

When the decision to assassinate has been reached, the tactics of the
operation must be planned, based upon an estimate of the situation
similar to that used in military operations. The preliminary estimate
will reveal gaps in information and possibly indicate a need for special
equipment which must be procured or constructed. When all necessary data
has been collected, an effective tactical plan can be prepared. All
planning must be mental; no papers should ever contain evidence of the
oper ation.

In resistance situations, assassination may be used as a
counter-reprisal. Since this requires advertising to be effective, the
resistance organization must be in a position to warn high officials
publicly that their lives will be the price of rep risal action against
innocent people. Such a threat is of no value unless it can be carried
out, so it may be necessary to plan the assassination of various
responsible officers of the oppressive regime and hold such plans in
readiness to be used only i f provoked by excessive brutality. Such
plans must be modified frequently to meet changes in the tactical
situation.

TECHNIQUES

The essential point of assassination is the death of the subject. A
human being may be killed in many ways but sureness is often overlooked
by those who may be emotionally unstrung by the seriousness of this act
they intend to commit. The spe cific technique employed will depend upon
a large number of variables, but should be constant in one point: Death
must be absolutely certain. The attempt on Hitler's life failed because
the conspiracy did not give this matter proper attention.

Techniques may be considered as follows:

 

1\. Manual.

It is possible to kill a man with the bare hands, but very few are
skillful enough to do it well. Even a highly trained Judo expert will
hesitate to risk killing by hand unless he has absolutely no
alternative. However, the simplest local tools a re often much the most
efficient means of assassination. A hammer, axe, wrench, screw driver,
fire poker, kitchen knife, lamp stand, or anything hard, heavy and handy
will suffice. A length of rope or wire or a belt will do if the assassin
is strong and agile. All such improvised weapons have the important
advantage of availability and apparent innocence. The obviously lethal
machine gun failed to kill Trotsky where an item of sporting goods
succeeded.

In all safe cases where the assassin may be subject to search, either
before or after the act, specialized weapons should not be used. Even in
the lost case, the assassin may accidentally be searched before the act
and should not carry an incrimin ating device if any sort of lethal
weapon can be improvised at or near the site. If the assassin normally
carries weapons because of the nature of his job, it may still be
desirable to improvise and implement at the scene to avoid disclosure of
his ident ity.

 

2\. Accidents.

For secret assassination, either simple or chase, the contrived accident
is the most effective technique. When successfully executed, it causes
little excitement and is only casually investigated.

The most efficient accident, in simple assassination, is a fall of 75
feet or more onto a hard surface. Elevator shafts, stair wells,
unscreened windows and bridges will serve. Bridge falls into water are
not reliable. In simple cases a private meeting with the subject may be
arranged at a properly-cased location. The act may be executed by
sudden, vigorous \[excised\] of the ankles, tipping the subject over the
edge. If the assassin immediately sets up an outcry, playing the
"horrified wit ness", no alibi or surreptitious withdrawal is necessary.
In chase cases it will usually be necessary to stun or drug the subject
before dropping him. Care is required to insure that no wound or
condition not attributable to the fall is discernible after death.

Falls into the sea or swiftly flowing rivers may suffice if the subject
cannot swim. It will be more reliable if the assassin can arrange to
attempt rescue, as he can thus be sure of the subject's death and at the
same time establish a workable al ibi.

 

If the subject's personal habits make it feasible, alcohol may be used
\[2 words excised\] to prepare him for a contrived accident of any kind.

Falls before trains or subway cars are usually effective, but require
exact timing and can seldom be free from unexpected observation.

Automobile accidents are a less satisfactory means of assassination. If
the subject is deliberately run down, very exact timing is necessary and
investigation is likely to be thorough. If the subject's car is tampered
with, reliability is very lo w. The subject may be stunned or drugged
and then placed in the car, but this is only reliable when the car can
be run off a high cliff or into deep water without observation.

Arson can cause accidental death if the subject is drugged and left in a
burning building. Reliability is not satisfactory unless the building is
isolated and highly combustible.

3\. Drugs.

In all types of assassination except terroristic, drugs can be very
effective. If the assassin is trained as a doctor or nurse and the
subject is under medical care, this is an easy and rare method. An
overdose of morphine administered as a sedat ive will cause death
without disturbance and is difficult to detect. The size of the dose
will depend upon whether the subject has been using narcotics regularly.
If not, two grains will suffice.

 

If the subject drinks heavily, morphine or a similar narcotic can be
injected at the passing out stage, and the cause of death will often be
held to be acute alcoholism.

Specific poisons, such as arsenic or strychine, are effective but their
possession or procurement is incriminating, and accurate dosage is
problematical. Poison was used unsuccessfully in the assassination of
Rasputin and Kolohan, though the latte r case is more accurately
described as a murder.

 

4\. Edge Weapons

Any locally obtained edge device may be successfully employed. A certain
minimum of anatomical knowledge is needed for reliability.

Puncture wounds of the body cavity may not be reliable unless the heart
is reached. The heart is protected by the rib cage and is not always
easy to locate.

Abdominal wounds were once nearly always mortal, but modern medical
treatment has made this no longer true.

Absolute reliability is obtained by severing the spinal cord in the
cervical region. This can be done with the point of a knife or a light
blow of an axe or hatchet.

Another reliable method is the severing of both jugular and carotid
blood vessels on both sides of the windpipe.

If the subject has been rendered unconscious by other wounds or drugs,
either of the above methods can be used to insure death.

5\. Blunt Weapons

As with edge weapons, blunt weapons require some anatomical knowledge
for effective use. Their main advantage is their universal availability.
A hammer may be picked up almost anywhere in the world. Baseball and
\[illeg\] bats are very widely dist ributed. Even a rock or a heavy
stick will do, and nothing resembling a weapon need be procured, carried
or subsequently disposed of.

Blows should be directed to the temple, the area just below and behind
the ear, and the lower, rear portion of the skull. Of course, if the
blow is very heavy, any portion of the upper skull will do. The lower
frontal portion of the head, from th e eyes to the throat, can withstand
enormous blows without fatal consequences.

 

6\. Firearms

Firearms are often used in assassination, often very ineffectively. The
assassin usually has insufficient technical knowledge of the limitations
of weapons, and expects more range, accuracy and killing power than can
be provided with reliability. Since certainty of death is the major
requirement, firearms should be used which can provide destructive power
at least 100% in excess of that thought to be necessary, and ranges
should be half that considered practical for the weapon.

Firearms have other drawbacks. Their possession is often incriminating.
They may be difficult to obtain. They require a degree of experience
from the user. They are \[illeg\]. Their \[illeg\] is consistently
over-rated.

However, there are many cases in which firearms are probably more
efficient than any other means. These cases usually involve distance
between the assassin and the subject, or comparative physical weakness
of the assassin, as with a woman.

(a) The precision rifle. In guarded assassination, a good hunting or
target rifle should always be considered as a possibility. Absolute
reliability can nearly always be achieved at a distance of one hundred
yards. In ideal circumstances, t he range may be extended to 250 yards.
The rifle should be a well made bolt or falling block action type,
handling a powerful long-range cartridge. The .300 F.A.B. Magnum is
probably the best cartridge readily available. Other excellent calibers
are . 375 M.\[illeg\]. Magnum, .270 Winchester, .30 - 106 p.s., 8 x 60
MM Magnum, 9.3 x

 

62 kk and others of this type. These are preferable to ordinary military
calibers, since ammunition available for them is usually of the
expanding bullet type, whereas most ammunition for military rifles is
full jacketed and hence not sufficiently let hal. Military ammunition
should not be altered by filing or drilling bullets, as this will
adversely affect accuracy.

The rifle may be of the "bull gun" variety, with extra heavy barrel and
set triggers, but in any case should be capable of maximum precision.
Ideally, the weapon should be able to group in one inch at one hundred
yards, but 21/2" groups are adequa te. The sight should be telescopic,
not only for accuracy, but because such a sight is much better in dim
light or near darkness. As long as the bare outline of the target is
discernable, a telescope sight will work, even if the rifle and shooter
are in total darkness.

An expanding, hunting bullet of such calibers as described above will
produce extravagant laceration and shock at short or mid-range. If a man
is struck just once in the body cavity, his death is almost entirely
certain.

Public figures or guarded officials may be killed with great reliability
and some safety if a firing point can be established prior to an
official occasion. The propaganda value of this system may be very high.

(b) The machine gun.

Machine guns may be used in most cases where the precision rifle is
applicable. Usually, this will require

 

the subversion of a unit of an official guard at a ceremony, though a
skillful and determined team might conceivably dispose of a loyal gun
crow without commotion and take over the gun at the critical time.

The area fire capacity of the machine gun should not be used to search
out a concealed subject. This was tried with predictable lack of success
on Trotsky. The automatic feature of the machine gun should rather be
used to increase reliability by placing a 5 second burst on the subject.
Even with full jacket ammunition, this will be absolute lethal is the
burst pattern is no larger than a man. This can be accomplished at about
150 yards. In ideal circumstances, a properly padded and targeted ma
chine gun can do it at 850 yards. The major difficulty is placing the
first burst exactly on the target, as most machine gunners are trained
to spot their fire on target by observation of strike. This will not do
in assassination as the subject will not wait.

(c) The Submachine Gun.

This weapon, known as the "machine-pistol" by the Russians and Germans
and "machine-carbine" by the British, is occasionally useful in
assassination. Unlike the rifle and machine gun, this is a short range
weapon and since it fires pistol ammu nition, much less powerful. To be
reliable, it should deliver at least 5 rounds into the subject's chest,
though the .45 caliber U.S. weapons have a much larger margin of killing
efficiency than the 9 mm European arms.

The assassination range of the sub-machine gun is point

 

blank. While accurate single rounds can be delivered by sub-machine
gunners at 50 yards or more, this is not certain enough for
assassination. Under ordinary circumstances, the 5MG should be used as a
fully automatic weapon. In the hands of a capabl e gunner, a high cyclic
rate is a distinct advantage, as speed of execution is most desirable,
particularly in the case of multiple subjects.

The sub-machine gun is especially adapted to indoor work when more than
one subject is to be assassinated. An effective technique has been
devised for the use of a pair of sub-machine gunners, by which a room
containing as many as a dozen subjects can be "purifico" in about twenty
seconds with little or no risk to the gunners. It is illustrated below.

 

While the U.S. sub-machine guns fire the most lethal cartridges, the
higher cyclic rate of some foreign weapons enable the gunner to cover a
target quicker with acceptable pattern density. The Bergmann Model 1934
is particularly good in this way. The Danish Madman? SMG has a
moderately good cyclic rate and is admirably compact and concealable.
The Russian SHG's have a good cyclic rate, but are handicapped by a
small, light protective which requires more kits for equivalent killing
effect.

(d) The Shotgun.

A large bore shotgun is a most effective

 

killing instrument as long as the range is kept under ten yards. It
should normally be used only on single targets as it cannot sustain fire
successfully. The barrel may be "sawed" off for convenience, but this is
not a significant factor in its killi ng performance. Its optimum range
is just out of reach of the subject. 00 buckshot is considered the best
shot size for a twelve gage gun, but anything from single balls to bird
shot will do if the range is right. The assassin should aim for the
solar plexus as the shot pattern is small at close range and can easily
\[illeg\] the head.

(e) The Pistol.

While the handgun is quite inefficient as a weapon of assassination, it
is often used, partly because it is readily available and can be
concealed on the person, and partly because its limitations are not
widely appreciated. While many well kn own assassinations have been
carried out with pistols (Lincoln, Harding, Ghandi), such attempts fail
as often as they succeed, (Truman, Roosevelt, Churchill).

If a pistol is used, it should be as powerful as possible and fired from
just beyond reach. The pistol and the shotgun are used in similar
tactical situations, except that the shotgun is much more lethal and the
pistol is much more easily conceale d.

In the hands of an expert, a powerful pistol is quite deadly, but such
experts are rare and not usually available for assassination missions.

.45 Colt, .44 Special, .455 Kly, .45 A.S.\[illeg\] (U.S. Service) and
.357 Magnum are all efficient calibers. Less powerful

 

rounds can suffice but are less reliable. Sub-power cartridges such as
the .32s and .25s should be avoided.

In all cases, the subject should be hit solidly at least three times for
complete reliability.

(f) Silent Firearms

The sound of the explosion of the proponent in a firearm can be
effectively silenced by appropriate attachments. However, the sound of
the projective passing through the air cannot, since this sound is
generated outside the weapon. In cases w here the velocity of the bullet
greatly exceeds that of sound, the noise so generated is much louder
than that of the explosion. Since all powerful rifles have muzzle
velocities of over 2000 feet per second, they cannot be silenced.

Pistol bullets, on the other hand, usually travel slower than sound and
the sound of their flight is negligible. Therefore, pistols, submachine
guns and any sort of improvised carbine or rifle which will take a low
velocity cartridge can be silenc ed. The user should not forget that the
sound of the operation of a repeating action is considerable, and that
the sound of bullet strike, particularly in bone is quite loud.

Silent firearms are only occasionally useful to the assassin, though
they have been widely publicized in this connection. Because permissible
velocity is low, effective precision range is held to about 100 yards
with rifle or carbine type weapons, while with pistols, silent or
otherwise,

 

are most efficient just beyond arms length. The silent feature attempts
to provide a degree of safety to the assassin, but mere possession of a
silent firearm is likely to create enough hazard to counter the
advantage of its silence. The silent pisto l combines the disadvantages
of any pistol with the added one of its obviously clandestine purpose.

A telescopically sighted, closed-action carbine shooting a low velocity
bullet of great weight, and built for accuracy, could be very useful to
an assassin in certain situations. At the time of writing, no such
weapon is known to exist.

7\. Explosives.

Bombs and demolition charges of various sorts have been used frequently
in assassination. Such devices, in terroristic and open assassination,
can provide safety and overcome guard barriers, but it is curious that
bombs have often been the imp lement of lost assassinations.

The major factor which affects reliability is the use of explosives for
assassination. the charge must be very large and the detonation must be
controlled exactly as to time by the assassin who can observe the
subject. A small or moderate explosi ve charge is highly unreliable as a
cause of death, and time delay or booby-trap devices are extremely prone
to kill the wrong man. In addition to the moral aspects of
indiscriminate killing, the death of casual bystanders can often produce
public reacti ons unfavorable to the cause for which the assassination
is carried out.

Bombs or grenades should never be thrown at a subject. While this

 

will always cause a commotion and may even result in the subject's
death, it is sloppy, unreliable, and bad propaganda. The charge must be
too small and the assassin is never sure of: (1)reaching his attack
position, (2) placing the charge close en ough to the target and (3)
firing the charge at the right time.

Placing the charge surreptitiously in advance permits a charge of proper
size to be employed, but requires accurate prediction of the subject's
movements.

Ten pounds of high explosive should normally be regarded as a minimum,
and this is explosive of fragmentation material. The latter can consist
of any hard, \[illeg\] material as long as the fragments are large
enough. Metal or rock fragments should be walnut-size rather than
pen-size. If solid plates are used, to be ruptured by the explosion,
cast iron, 1" thick, gives excellent fragmentation. Military or
commercial high explosives are practical for use in assassination.
Homemade or improvised e xplosives should be avoided. While possibly
powerful, they tend to be dangerous and unreliable. Anti-personnel
explosive missiles are excellent, provided the assassin has sufficient
technical knowledge to fuse them properly. 81 or 82 mm mortar shells, or
the 120 mm mortar shell, are particularly good. Anti-personnel shells
for 85, 88, 90, 100 and 105 mm guns and howitzers are both large enough
to be completely reliable and small enough to be carried by one man.

The charge should be so placed that the subject is not ever six feet
from it at the moment of detonation.

A large, shaped charge with the \[illeg\] filled with iron fragments
(such as 1" nuts and bolts) will fire a highly lethal shotgun-type

 

\[illeg\] to 50 yards. This reaction has not been thoroughly tested,
however, and an exact replica of the proposed device should be fired in
advance to determine exact range, pattern-size, and penetration of
fragments. Fragments should penetrate at lea st 1" of seasoned pine or
equivalent for minimum reliability. Any firing device may be used which
permits exact control by the assassin. An ordinary commercial or
military explorer is efficient, as long as it is rigged for
instantaneous action with no time fuse in the system. The wise \[illeg\]
electric target can serve as the triggering device and provide exact
timing from as far away as the assassin can reliably hit the target.
This will avid the disadvantages olitary or commercial high explosives
are practical for use in assassination. Homemade or improvised
explosives should be avoided. While possibly powerful, they tend to be
dangerous and unreliable. Anti-personnel explosive missiles are
excellent, provided the assassin has sufficient techn ical knowledge to
fuse them properly. 81 or 82 mm mortar shells, or the 120 mm mortar
shell, are particularly good. Anti-personnel shells for 85, 88, 90, 100
and 105 mm guns and howitzers are both large enough to be completely
reliable and small enough to be carried by one man.

The charge should be so placed that the subject is not ever six feet
from it at the moment of detonation.

A large, shaped charge with the \[illeg\] filled with iron fragments
(such as 1" nuts and bolts) will fire a highly lethal shotgun-type

 

\[illeg\] to 50 yards. This reaction has not been thoroughly tested,
however, and an exact replica of the proposed device should be fired in
advance to determine exact range, pattern-size, and penetration of
fragments. Fragments should penetrate at lea st 1" of seasoned pine or
equivalent for minimum reliability.

Any firing device may be used which permits exact control by the
assassin. An ordinary commercial or military explorer is efficient, as
long as it is rigged for instantaneous action with no time fuse in the
system.

The wise \[illeg\] electric target can serve as the triggering device
and provide exact timing from as far away as the assassin can reliably
hit the target. This will avid the disadvantages of stringing wire
between the proposed positions of the ass assin and the subject, and
also permit the assassin to fire the charge from a variety of possible
positions.

The radio switch can be \[illeg\] to fire \[illeg\], though its
reliability is somewhat lower and its procurement may not be easy.

EXAMPLES

(\[illeg\] may be presented brief outlines, with critical evaluations of
the following assassinations and attempts:

Marat

Hedrich

Lincoln

Hitler

Harding

Roosevelt

Grand Duke Sergei

Truman

Pirhivie

Mussolini

Archduke Francis Ferdinand

Benes

Rasputin

Aung Sang

Madero

\[illeg\]

Kirov

Abdullah

Huey Long

Ghandi

Alexander of Yugoslvia

 

Trotsky

 

 

CONFERENCE ROOM TECHNIQUE

 

1\.

![](ciaguat2_1.GIF)

(1) Enters room quickly but quietly

(2) Stands in doorway

2\.

![](ciaguat2_2.GIF)

(2) Opens fire on first subject to react. Swings across group toward
center of mass. Times burst to empty magazine at end of swing.

(1) Covers group to prevent individual dangerous reactions, if
necessary, fires individual bursts of 3 rounds.

3\.

![](ciaguat2_3.GIF)

(2) Finishes burst. Commands"Shift." Drops back thru \[sic\] door.
Replaces empty magazine. Covers corridor.

(1) On command "shift", opens fire on opposite side of target, swings
one burst across group.

4\.

![](ciaguat2_4.GIF)

(1) Finishes burst. Commands "shift". Drops back thru \[sic\] door.
Replaces magazine. Covers corridor.

(2) On command, "shift", re-enters room. Covers group: kills survivors
with two-round bursts. Leaves propaganda.

5\.

![](ciaguat2_5.GIF)

(2) Leaves room. Commands "GO". Covers rear with nearly full magazine.

(1) On command "GO", leads withdrawl, covering front with full magazine.

6\.

![](ciaguat2_6.GIF)
