---
created_at: '2017-05-14T22:20:55.000Z'
title: E. B. White, the Art of the Essay No. 1 (1969)
url: https://www.theparisreview.org/interviews/4155/the-art-of-the-essay-no-1-e-b-white
author: samclemens
points: 56
story_text: 
comment_text: 
num_comments: 7
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1494800455
_tags:
- story
- author_samclemens
- story_14337870
objectID: '14337870'
year: 1969

---
Interviewed by George Plimpton and Frank H. Crowther

### Issue 48, Fall 1969

![undefined](/il/c4d3ed8a12/large/EB-White.jpg "undefined")E. B. White
and his dog Minnie.

 

If it happens that your parents concern themselves so little with the
workings of boys’ minds as to christen you Elwyn Brooks White, no doubt
you decide as early as possible to identify yourself as E.B. White. If
it also happens that you attend Cornell, whose first president was
Andrew D. White, then, following a variant of the principle that
everybody named Rhodes winds up being nicknamed “Dusty,” you wind up
being nicknamed “Andy.” And so it has come about that for fifty of his
seventy years Elwyn Brooks White has been known to his readers as E.B.
White and to his friends as Andy. Andy White. Andy and Katharine White.
The Whites. Andy and Katharine have been married for forty years, and in
that time they have been separated so rarely that I find it impossible
to think of one without the other. On the occasions when they have been
obliged to be apart, Andy’s conversation is so likely to center on
Katharine that she becomes all the more present for being absent.

The Whites have shared everything, from professional association on the
same magazine to preoccupation with a joint ill health that many of
their friends have been inclined to regard as imaginary. Years ago, in a
Christmas doggerel, Edmund Wilson saluted them for possessing “mens sana
in corpore insano,” and it was always wonderful to behold the intuitive
seesaw adjustments by which one of them got well in time for the other
to get sick. What a mountain of good work they have accumulated in that
fashion\! Certainly they have been the strongest and most productive
unhealthy couple that I have ever encountered, but I no longer dare to
make fun of their ailments. Now that age is bestowing on them a natural
infirmity, they must be sorely tempted to say to the rest of us, “You
see? What did we tell you?” (“Sorely,” by the way, has been a favorite
adverb of Andy’s- a word that brims with bodily woe and that yet hints
at the heroic: back of Andy, some dying knight out of Malory lifts his
gleaming sword against the dusk.)

Andy White is small and wiry, with an unexpectedly large nose, speckled
eyes, and an air of being just about to turn away, not on an errand of
any importance but as a means of remaining free to cut and run without
the nuisance of prolonged good-byes. Crossing the threshold of his
eighth decade, his person is uncannily boyish-seeming. Though his hair
is grey, I learn at this moment that I do not consent to the fact: away
from him, I remember it as brown, therefore it is brown to me. Andy can
no more lose his youthfulness by the tiresome accident of growing old
than he could ever have been Elwyn by the tiresome un-necessary accident
of baptism; his youth and his “Andy”-ness are intrinsic and
inexpungeable. Katharine White is a woman so good-looking that nobody
has taken it amiss when her husband has described in print as beautiful,
but her beauty has a touch of blue-eyed augustness in it, and her manner
is formal. It would never occur to me to go beyond calling her
Katharine, and I have not found it surprising when her son, Roger
Angell, an editor of The New Yorker, refers to her within the office
precincts as “Mrs. White.” (Roger Angell is the son of her marriage to a
distinguished New York attorney, Ernest Angell; she and Andy have a son,
Joe, who is a naval architect and whose boatyard is a thriving
enterprise in the Whites’ hometown of Brooklin, Maine.)

At the risk of reducing a man’s life to a sort of Merck’s Manual, I may
mention that Andy White’s personal physician, Dana Atchley- giving
characteristically short shrift to a psychosomatic view of his old
friend- has described him as having a Rolls Royce mind in a Model T
body. With Andy, this would pass for a compliment, because in the
tyranny of his modesty he would always choose to be a Ford instead of a
Rolls, but it would be closer to the truth to describe him as a Rolls
Royce mind in a Rolls Royce body that unaccountably keeps bumping to a
stop and humming to itself, not without infinite pleasure to others
along the way. What he achieves must cost him a considerable effort and
appears to cost him very little. His speaking voice, like his writing
voice, is clear, resonant, and invincibly debonair. He wanders over the
pastures of his Maine farm or, for that matter, along the labyrinthine
corridors of The New Yorker offices on West Forty-Third Street with the
off-hand grace of a dancer making up a sequence of steps that the eye
follows with delight and that defies any but his own notation. Clues to
the bold and delicate nature of those steps are to be discovered in
every line he writes, but the man and his work are so nearly one that,
try as we will, we cannot tell the dancer from the dance.

 

 

 -Brendan Gill

 

INTERVIEWER

So many critics equate the success of a writer with an unhappy
childhood. Can you say something of your own childhood in Mount Vernon?

E.B. WHITE

As a child, I was frightened but not unhappy. My parents were loving and
kind. We were a large family (six children) and were a small kingdom
unto ourselves. Nobody ever came to dinner. My father was formal,
conservative, successful, hardworking, and worried. My mother was
loving, hardworking, and retiring. We lived in a large house in a leafy
suburb, where there were backyards and stables and grape arbors. I
lacked for nothing except confidence. I suffered nothing except the
routine terrors of childhood: fear of the dark, fear of the future, fear
of the return to school after a summer on a lake in Maine, fear of
making an appearance on a platform, fear of the lavatory in the school
basement where the slate urinals cascaded, fear that I was unknowing
about things I should know about. I was, as a child, allergic to pollens
and dusts, and still am. I was allergic to platforms, and still am. It
may be, as some critics suggest, that it helps to have an unhappy
childhood. If so, I have no knowledge of it. Perhaps it helps to have
been scared or allergic to pollens—I don’t know.

INTERVIEWER

At what age did you know you were going to follow a literary profession?
Was there a particular incident, or moment?

WHITE

I never knew for sure that I would follow a literary profession. I was
twenty-seven or twenty-eight before anything happened that gave me any
assurance that I could make a go of writing. I had done a great deal of
writing, but I lacked confidence in my ability to put it to good use. I
went abroad one summer and on my return to New York found an
accumulation of mail at my apartment. I took the letters, unopened, and
went to a Childs restaurant on Fourteenth Street, where I ordered dinner
and began opening my mail. From one envelope, two or three checks
dropped out, from The New Yorker. I suppose they totaled a little under
a hundred dollars, but it looked like a fortune to me. I can still
remember the feeling that “this was it”—I was a pro at last. It was a
good feeling and I enjoyed the meal.

INTERVIEWER

What were those first pieces accepted by The New Yorker? Did you send
them in with a covering letter, or through an agent?

WHITE

They were short sketches—what Ross called “casuals.” One, I think, was a
piece called “The Swell Steerage,” about the then new college cabin
class on transatlantic ships. I never submitted a manuscript with a
covering letter or through an agent. I used to put my manuscript in the
mail, along with a stamped envelope for the rejection. This was a matter
of high principle with me: I believed in the doctrine of immaculate
rejection. I never used an agent and did not like the looks of a
manuscript after an agent got through prettying it up and putting it
between covers with brass clips. (I now have an agent for such mysteries
as movie rights and foreign translations.)

A large part of all early contributions to The New Yorker arrived
uninvited and unexpected. They arrived in the mail or under the arm of
people who walked in with them. O’Hara’s “Afternoon Delphians” is one
example out of hundreds. For a number of years, The New Yorker published
an average of fifty new writers a year. Magazines that refuse
unsolicited manuscripts strike me as lazy, incurious, self-assured, and
self-important. I’m speaking of magazines of general circulation. There
may be some justification for a technical journal to limit its list of
contributors to persons who are known to be qualified. But if I were a
publisher, I wouldn’t want to put out a magazine that failed to examine
everything that turned up.

INTERVIEWER

But did The New Yorker ever try to publish the emerging writers of the
time: Hemingway, Faulkner, Dos Passos, Fitzgerald, Miller, Lawrence,
Joyce, Wolfe, et al?

WHITE

The New Yorker had an interest in publishing any writer that could turn
in a good piece. It read everything submitted. Hemingway, Faulkner, and
the others were well established and well paid when The New Yorker came
on the scene. The magazine would have been glad to publish them, but it
didn’t have the money to pay them off, and for the most part they didn’t
submit. They were selling to The Saturday Evening Post and other
well-heeled publications, and in general were not inclined to contribute
to the small, new, impecunious weekly. Also, some of them, I would
guess, did not feel sympathetic to The New Yorker’s frivolity. Ross had
no great urge to publish the big names; he was far more interested in
turning up new and yet undiscovered talent, the Helen Hokinsons and the
James Thurbers. We did publish some things by Wolfe—“Only the Dead Know
Brooklyn” was one. I believe we published something by Fitzgerald. But
Ross didn’t waste much time trying to corral “emerged” writers. He was
looking for the ones that were found by turning over a stone.

INTERVIEWER

What were the procedures in turning down a manuscript by a New
Yorker regular? Was this done by Ross?

WHITE

The manuscript of a New Yorker regular was turned down in the same
manner as was the manuscript of a New Yorker irregular. It was simply
rejected, usually by the subeditor who was handling the author in
question. Ross did not deal directly with writers and artists, except in
the case of a few old friends from an earlier day. He wouldn’t even take
on Woollcott—regarded him as too difficult and fussy. Ross disliked
rejecting pieces, and he disliked firing people—he ducked both tasks
whenever he could.

INTERVIEWER

Did feuds threaten the magazine?

WHITE

Feuds did not threaten The New Yorker. The only feud I recall was the
running battle between the editorial department and the advertising
department. This was largely a one-sided affair, with the editorial
department lobbing an occasional grenade into the enemy’s lines just on
general principles, to help them remember to stay out of sight. Ross was
determined not to allow his magazine to be swayed, in the slightest
degree, by the boys in advertising. As far as I know, he succeeded.

INTERVIEWER

When did you first move to New York, and what were some of the things
you did before joining The New Yorker? Were you ever a part of the
Algonquin group?

WHITE

After I got out of college, in 1921, I went to work in New York but did
not live in New York. I lived at home, with my father and mother in
Mount Vernon, and commuted to work. I held three jobs in about seven
months—first with the United Press, then with a public relations man
named Wheat, then with the American Legion News Service. I disliked them
all, and in the spring of 1922 I headed west in a Model T Ford with a
college mate, Howard Cushman, to seek my fortune and as a way of getting
away from what I disliked. I landed in Seattle six months later, worked
there as a reporter on the Times for a year, was fired, shipped to
Alaska aboard a freighter, and then returned to New York. It was on my
return that I became an advertising man—Frank Seaman & Co., J. H.
Newmark. In the mid-twenties, I moved into a two-room apartment at 112
West Thirteenth Street with three other fellows, college mates of mine
at Cornell: Burke Dowling Adams, Gustave Stubbs Lobrano, and Mitchell T.
Galbreath. The rent was $110 a month. Split four ways it came to $27.50,
which I could afford. My friends in those days were the fellows already
mentioned. Also, Peter Vischer, Russell Lord, Joel Sayre, Frank Sullivan
(he was older and more advanced but I met him and liked him), James
Thurber, and others. I was never a part of the Algonquin group. After
becoming connected with The New Yorker, I lunched once at the Round
Table but didn’t care for it and was embarrassed in the presence of the
great. I never was well acquainted with Benchley or Broun or Dorothy
Parker or Woollcott. I did not know Don Marquis or Ring Lardner, both of
whom I greatly admired. I was a younger man.
