---
created_at: '2015-08-16T20:11:01.000Z'
title: Changing San Francisco is foreseen as a haven for wealthy and childless (1981)
url: http://www.nytimes.com/1981/06/09/us/changing-san-francisco-is-foreseen-as-a-haven-for-wealthy-and-childless.html?l=0
author: raldi
points: 70
story_text: ''
comment_text: 
num_comments: 96
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1439755861
_tags:
- story
- author_raldi
- story_10070103
objectID: '10070103'
year: 1981

---
**SAN FRANCISCO, June 8—** Soaring housing costs, urban violence,
shifting ethnic patterns and an increase in childless adults living
together may be turning San Francisco, which the Chamber of Commerce
likes to call ''everybody's favorite city,'' into a haven for the young,
the old, the wealthy and the childless.

That is the conclusion of demographers, real estate people and others
who monitor urban trends here, underscored by preliminary statistics
from the 1980 census.

Over the decade of the 1970's, the city lost 5 percent of its
population, declining to 678,974 in 1980 from 715,674 in 1970. But more
important than the population loss itself, demographers and planners
here say, is the continued, and in this census, dramatic, alteration in
the population mix. Whites and blacks are being replaced by persons of
Asian and Hispanic origin, the middle class by the affluent and families
with children by singles and childless.

A City for the Elite Seen

''At this rate we could become a place only the elite can afford,'' said
Dr. Kenneth T. Rosen, chairman of the Center for Real Estate and Urban
Economics in the graduate school of business at the University of
California at Berkeley.

''Ten years from now,'' he predicted, ''unless we adopt some sort of
policy to insure income integration, we will crowd out all the
middle-income people. I think San Francisco is going to become a very
rich living area, a lot of single and retired people who have money,
executives who work down in the financial district. It's going to be
very difficult for a nonwealthy person to live here.''

The largest population loss in the last decade was among whites, whose
number declined nearly 23 percent, from 511,186 in 1970 to 395,082 in
1980. The drop in white population was not unusual for a mature urban
area of the North and West. But San Francisco did have an unusual loss
of black population, from 96,414 to 86,078, a decline of 10 percent. Big
Increase From Asia

At the same time the number of Asian-Americans living here increased by
more than 50 percent, from 97,379 in 1970 to 147,426 at the end of the
decade, according to an interolation of census data by the senior San
Francisco city planner, Peter Groat.

Although the figures for the Hispanic American population in San
Francisco indicated a decline over the decade, from 101,090 in 1970 to
83,273 in 1980, Mr. Groat said that the method of enumerating Hispanic
Americans probably skewed the figures significantly, and it it was
generally thought that the Hispanic American population actually
increased here. The reason is that in 1970 the number of Hispanics was
arrived at by a computer model that listed everyone with a Spanish
surname as Hispanic. In 1980, census respondents were allowed to choose
their own ethnic category. As a result some who would have been listed
as Hispanic in 1970 described themselves in 1980 as white, black or
''other.'' In 1980, 46,504 people listed themselves as ''other'' in San
Francisco.

The displacement of blacks in San Francisco, according to Mr. Groat and
others, appears to result in large measure from the lack of reasonably
priced housing, but also from the easing of racial barriers in the
suburbs.

''One of the hypotheses,'' said Mr. Groat, ''would be that affluent
blacks have left San Francisco as the real estate market in the suburbs
has opened up.'' Reasons for White Flight

Housing expenses, problems in the schools and a rising rate of violent
crime in the city - the rate of reported rape in San Francisco in 1980
was nearly three times that of Chicago, and the robbery rate almost
equal to Detroit - are all cited as contributors to white flight.

The data from the 1980 census have not been analyzed completely. But
preliminary theories are that the major population loss has been among
the middle class, particularly children.

''What is happening is that San Francisco is losing people, but it is
gaining households,'' observed William Witte, deputy director for
housing in the city's Office of Community Development. ''It's a net loss
of people, a net gain in households, so there is more pressure on the
housing market and more pressure on the people who can least afford it.
The nationwide trend is to smaller households, and more households per
capita, and that is exaggerated here, greater than the national trend.
According to the latest figures, the size of the household decreased in
the past decade from about 2.7 persons per household to 2.1, something
like that. And the incomes went up.'' Exodus Linked to Housing Costs

A major reason for the exodus of the middle class from San Francisco,
demographers say, is the high cost of housing, the highest in the
mainland United States. Last month, the median cost of a dwelling in the
San Francisco Standard Metropolitan Statistical Area was $129,000,
according to the Federal Home Loan Bank Board in Washington, D.C. The
comparable figure for New York, Newark and Jersey City was $90,400, and
for Los Angeles, the second most expensive city, $118,400.

''This city dwarfs anything I've ever seen in terms of housing prices,''
said Mr. Witte. Among factors contributing to high housing cost,
according to Mr. Witte and others, is its relative scarcity, since the
number of housing units has not grown significantly in a decade; the
influx of Asians, whose first priority is usually to buy a home; the
high incidence of adults with good incomes and no children, particularly
homosexuals who pool their incomes to buy homes, and the desirability of
San Francisco as a place to live.

''What you have is a sharp drop in the birth rate, and what we've really
lost is children under 15,'' said Dr. Rosen. ''We can't demonstrate it
without the numbers, which we'll get in six months to a year, but it has
happened in many cities. It's not people moving out of the cities. The
number of households has gone up so the number of adults has gone up.
People are not having kids, and there is the nontraditional life style.
Traditional families are not being formed, people are not getting
married and having children.'' More 'Nontraditional' People

''These are people who are nontraditional,'' he continued, ''people who
are turning age 30 in the l980's, and San Francisco has more of them, a
city where nontraditional life style is very accepted, not only not
getting married, but also forming gay households. Gay or nongay, there
are a lot of single people living together.''

Estimates of the city's homosexual population range from 10 to 20
percent of the total, and it is generally believed that homosexual
households are a significant factor in the trend toward small
households.

''We are the center of what we call life-style changes,'' said Mr.
Groate. ''But it is very difficult to assess all the impact of the
life-style changes. But housing pressures do reflect, for instance, the
influx of the gay population, which will not be accounted for in the
census figures. I'm sure that will have an impact, a severe impact, on
the housing situation.''

Demographers like Mr. Groat say that they not surprised at the shifts.
''We've always had a transient situation,'' he said. ''From the time of
the gold rush on, this has not been a normal, stable population.''

Illustrations: photo of Victorian townhouses in Alamo Square, San
Francisco photo of moving van and San Francisco houses
