---
created_at: '2016-01-18T19:43:37.000Z'
title: Michael Bloomberg on starting a business during tough economic times (1982)
url: http://www.nytimes.com/1982/05/08/business/for-new-business-during-recession-start-must-be-lean.html
author: raldi
points: 106
story_text: 
comment_text: 
num_comments: 40
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1453146217
_tags:
- story
- author_raldi
- story_10926423
objectID: '10926423'
year: 1982

---
A year ago, James C. Pearson had a retail furniture business with an
extensive inventory. As interest rates rose, however, his profit margin
fell. Last summer, amid an expanding recession, he cleaned house and
started a new business, Susan James Associates.

''We're a consulting firm now,'' said Mr. Pearson, the firm's president.
''We place bids, then buy only what we need for each job. Somebody else
has to keep the inventory.''

Michael R. Bloomberg was a partner at Salomon Brothers, the securities
firm, until last September. His new company, Innovative Market Systems,
which opened for business in February, is developing computer software
systems for financial analysts. ''When we sold the company to Phibro
last fall,'' Mr. Bloomberg said, ''I left to start a new business.''

Both companies were started during a recession, and both have endured a
period of business failures unequaled since the 1940's. And while they
may not be representative of all new businesses formed during the
recession, they may share many of their characteristics. Tight money and
technological change, business people say, are key factors in the
current wave of new companies. 'Interesting Time'

''This is an interesting time,'' Mr. Bloomberg said. ''You can't go out
and start a steel mill, but the position of the business cycle and the
rate of technological change are such that people can go and start small
companies when they have a few people with good ideas.''

Not surprisingly, the number of business starts during the first quarter
of 1982 declined from the same period last year. According to
preliminary figures supplied by the Dun & Bradstreet Corporation, 9,094
new businesses were formed during the first three months of 1982, down
2.9 percent from the 9,366 last year. The biggest declines in business
start rates were recorded in the region composed of Kentucky, Tennessee,
Alabama and Mississippi, down 16.9 percent.

Dun & Bradstreet said the rate of new incorporation declined in every
region of the country except the Middle Atlantic area - New York, New
Jersey and Pennsylvania - which had an increase of 10.3 percent.

The Small Business Administration, which also monitors new business,
cautions that 1982 figures, though they may be down, are being compared
with a record number of business starts last year. In 1981, 581,661 new
businesses were incorporated, up more than 9 percent from 1980. Thomas
A. Gray, chief economist for the agency, attributed last year's increase
at least partially to the unemployment caused by the recession.

''New business formation just seems to occur more frequently during a
recession,'' Mr. Gray said. ''If you're suddenly unemployed and walking
around in the street, you're more likely to say to yourself, 'Now is the
time to try.' ''

''The other question you have to ask is, 'What businesses are failing?'
'' Mr. Bloomberg added. ''I think businesses that are already in
existence -small, medium or large - tend to have greater problems during
a recession, as people stop spending or change their buying habits. I'm
not sure that has anything to do with new businesses.'' Borrowing Costs
Key Factor

Though other sources echoed Mr. Bloomberg's comments, most still say
that starting up a business these days is no picnic. Undoubtedly, the
primary problem is the cost of borrowing money. For a smallbusiness
owner, who is generally forced to borrow at rates far above the prime
interest rates charged to a bank's best customers, high capital costs
may narrow his choices of business.

''Without a doubt, it's the biggest problem a small-business man will
face,'' said Gordon Bizar, president of the International Business
Network, a political and economic organization for small businesses.
''On the other hand, if you can get the money, now is the time to be
buying a business.''

Most people do it the other way around, Mr. Bizar said. ''They get in
when the market is good and pay premium prices,'' he said. ''Those are
the businesses that are failing today.''

Of course, not all new businesses are surviving, either. A small company
founded in Chicago last year with the goal of buying X-ray negatives
from hospitals and selling them for their silver content died when
silver prices fell. Other businesses struggle on, hoping to last until
consumer spending picks up. Some find their niche right away. 'Nothing
to Get Excited About'

Scott Sanders, an actor who co-founded Survival Techniques in his New
York loft last December, said sales of his custom-painted decorated
pillows, at $22.50 each, had been ''O.K., but nothing to get excited
about.''

Mr. Sanders said the recession had definitely hurt his sales, but,
because his costs are so low (he and several friends do all the work),
the tiny company will probably stay in business.

According to Malcolm N. Smith, senior lecturer in the School of Economic
Policy at the University of Chicago's Graduate School of Business, high
interest rates have done more to new business formation than simply
restricting the choices involved. Mr. Smith said the recession had made
certains kinds of businesses - specifically, consulting and service
companies - more attractive aside from their low start-up costs.

''In times like this, most companies would rather contract out than
increase their employment,'' he said. ''If they need a computer
programmer, they'll turn to an outside consultant before they'll
actually hire anyone.''

Illustrations: photo of Michael B. Bloomber and his partners
