---
created_at: '2015-04-07T15:23:09.000Z'
title: Is It O.K. To Be A Luddite? (1984)
url: https://www.nytimes.com/books/97/05/18/reviews/pynchon-luddite.html#m01
author: colinprince
points: 52
story_text: 
comment_text: 
num_comments: 8
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1428420189
_tags:
- story
- author_colinprince
- story_9334666
objectID: '9334666'
year: 1984

---
![A](/images/qa.gif)s if being 1984 weren't enough, it's also the 25th
anniversary this year of C. P. Snow's famous Rede Lecture, ''The Two
Cultures and the Scientific Revolution,'' notable for its warning that
intellectual life in the West was becoming increasingly polarized into
''literary'' and ''scientific'' factions, each doomed not to understand
or appreciate the other. The lecture was originally meant to address
such matters as curriculum reform in the age of Sputnik and the role of
technology in the development of what would soon be known as the third
world. But it was the two-culture formulation that got people's
attention. In fact it kicked up an amazing row in its day. To some
already simplified points, further reductions were made, provoking
certain remarks, name-calling, even intemperate rejoinders, giving the
whole affair, though attenuated by the mists of time, a distinctly
cranky look.

Today nobody could get away with making such a distinction. Since 1959,
we have come to live among flows of data more vast than anything the
world has seen. Demystification is the order of our day, all the cats
are jumping out of all the bags and even beginning to mingle. We
immediately suspect ego insecurity in people who may still try to hide
behind the jargon of a specialty or pretend to some data base forever
''beyond'' the reach of a layman. Anybody with the time, literacy and
access fee these days can get together with just about any piece of
specialized knowledge s/he may need. So, to that extent, the
two-cultures quarrel can no longer be sustained. As a visit to any local
library or magazine rack will easily confirm, there are now so many more
than two cultures that the problem has really become how to find the
time to read anything outside one's own specialty.

What has persisted, after a long quarter century, is the element of
human character. C. P. Snow, with the reflexes of a novelist after all,
sought to identify not only two kinds of education but also two kinds of
personality. Fragmentary echoes of old disputes, of unforgotten offense
taken in the course of long-ago high- table chitchat, may have helped
form the subtext for Snow's immoderate, and thus celebrated, assertion,
''If we forget the scientific culture, then the rest of intellectuals
have never tried, wanted, or been able to understand the Industrial
Revolution.'' Such ''intellectuals,'' for the most part ''literary,''
were supposed, by Lord Snow, to be ''natural Luddites.''

Except maybe for Brainy Smurf, it's hard to imagine anybody these days
wanting to be called a literary intellectual, though it doesn't sound so
bad if you broaden the labeling to, say, ''people who read and think.''
Being called a Luddite is another matter. It brings up questions such
as, Is there something about reading and thinking that would cause or
predispose a person to turn Luddite? Is it O.K. to be a Luddite? And
come to think of it, what is a Luddite, anyway?

HISTORICALLY, Luddites flourished in Britain from about 1811 to 1816.
They were bands of men, organized, masked, anonymous, whose object was
to destroy machinery used mostly in the textile industry. They swore
allegiance not to any British king but to their own King Ludd. It isn't
clear whether they called themselves Luddites, although they were so
termed by both friends and enemies. C. P. Snow's use of the word was
clearly polemical, wishing to imply an irrational fear and hatred of
science and technology. Luddites had, in this view, come to be imagined
as the counterrevolutionaries of that ''Industrial Revolution'' which
their modern versions have ''never tried, wanted, or been able to
understand.''

But the Industrial Revolution was not, like the American and French
Revolutions of about the same period, a violent struggle with a
beginning, middle and end. It was smoother, less conclusive, more like
an accelerated passage in a long evolution. The phrase was first
popularized a hundred years ago by the historian Arnold Toynbee, and has
had its share of revisionist attention, lately in the July 1984
Scientific American. Here, in ''Medieval Roots of the Industrial
Revolution,'' Terry S. Reynolds suggests that the early role of the
steam engine (1765) may have been overdramatized. Far from being
revolutionary, much of the machinery that steam was coming to drive had
already long been in place, having in fact been driven by water power
since the Middle Ages. Nevertheless, the idea of a technosocial
''revolution,'' in which the same people came out on top as in France
and America, has proven of use to many over the years, not least to
those who, like C. P. Snow, have thought that in ''Luddite'' they have
discovered a way to call those with whom they disagree both politically
reactionary and anti-capitalist at the same time.

But the Oxford English Dictionary has an interesting tale to tell. In
1779, in a village somewhere in Leicestershire, one Ned Lud broke into a
house and ''in a fit of insane rage'' destroyed two machines used for
knitting hosiery. Word got around. Soon, whenever a stocking- frame was
found sabotaged - this had been going on, sez the Encyclopedia
Britannica, since about 1710 - folks would respond with the catch phrase
''Lud must have been here.'' By the time his name was taken up by the
frame-breakers of 1812, historical Ned Lud was well absorbed into the
more or less sarcastic nickname ''King (or Captain) Ludd,'' and was now
all mystery, resonance and dark fun: a more-than-human presence, out in
the night, roaming the hosiery districts of England, possessed by a
single comic shtick - every time he spots a stocking-frame he goes crazy
and proceeds to trash it.

But it's important to remember that the target even of the original
assault of 1779, like many machines of the Industrial Revolution, was
not a new piece of technology. The stocking-frame had been around since
1589, when, according to the folklore, it was invented by the Rev.
William Lee, out of pure meanness. Seems that Lee was in love with a
young woman who was more interested in her knitting than in him. He'd
show up at her place. ''Sorry, Rev, got some knitting.'' ''What,
again?'' After a while, unable to deal with this kind of rejection, Lee,
not, like Ned Lud, in any fit of insane rage, but let's imagine
logically and coolly, vowed to in vent a machine that would make the
hand-knitting of hosiery obsolete. And he did. According to the
encyclopedia, the jilted cleric's frame ''was so perfect in its
conception that it continued to be the only mechanical means of knitting
for hundreds of years.''

Now, given that kind of time span, it's just not easy to think of Ned
Lud as a technophobic crazy. No doubt what people admired and
mythologized him for was the vigor and single-mindedness of his assault.
But the words ''fit of insane rage'' are third-hand and at least 68
years after the event. And Ned Lud's anger was not directed at the
machines, not exactly. I like to think of it more as the controlled,
martial-arts type anger of the dedicated Badass.

There is a long folk history of this figure, the Badass. He is usually
male, and while sometimes earning the quizzical tolerance of women, is
almost universally admired by men for two basic virtues: he is Bad, and
he is Big. Bad meaning not morally evil, necessarily, more like able to
work mischief on a large scale. What is important here is the amplifying
of scale, the multiplication of effect.

The knitting machines which provoked the first Luddite disturbances had
been putting people out of work for well over two centuries. Everybody
saw this happening - it became part of daily life. They also saw the
machines coming more and more to be the property of men who did not
work, only owned and hired. It took no German philosopher, then or
later, to point out what this did, had been doing, to wages and jobs.
Public feeling about the machines could never have been simple
unreasoning horror, but likely something more complex: the love/hate
that grows up between humans and machinery - especially when it's been
around for a while - not to mention serious resentment toward at least
two multiplications of effect that were seen as unfair and threatening.
One was the concentration of capital that each machine represented, and
the other was the ability of each machine to put a certain number of
humans out of work - to be ''worth'' that many human souls. What gave
King Ludd his special Bad charisma, took him from local hero to
nationwide public enemy, was that he went up against these amplified,
multiplied, more than human opponents and prevailed. When times are
hard, and we feel at the mercy of forces many times more powerful, don't
we, in seeking some equalizer, turn, if only in imagination, in wish, to
the Badass - the djinn, the golem, the hulk, the superhero - who will
resist what otherwise would overwhelm us? Of course, the real or secular
frame-bashing was still being done by everyday folks, trade unionists
ahead of their time, using the night, and their own solidarity and
discipline, to achieve their multiplications of effect.

It was open-eyed class war. The movement had its Parliamentary allies,
among them Lord Byron, whose maiden speech in the House of Lords in 1812
compassionately argued against a bill proposing, among other repressive
measures, to make frame-breaking punishable by death. ''Are you not near
the Luddites?'' he wrote from Venice to Thomas Moore. ''By the Lord\! if
there's a row, but I'll be among ye\! How go on the weavers - the
breakers of frames - the Lutherans of politics - the reformers?'' He
includes an ''amiable *chanson,* '' which proves to be a Luddite hymn so
inflammatory that it wasn't published till after the poet's death. The
letter is dated December 1816: Byron had spent the summer previous in
Switzerland, cooped up for a while in the Villa Diodati with the
Shelleys, watching the rain come down, while they all told each other
ghost stories. By that December, as it happened, Mary Shelley was
working on Chapter Four of her novel ''Frankenstein, or the Modern
Prometheus.''

If there were such a genre as the Luddite novel, this one, warning of
what can happen when technology, and those who practice it, get out of
hand, would be the first and among the best. Victor Frankenstein's
creature also, surely, qualifies as a major literary Badass. ''I
resolved . . .,'' Victor tells us, ''to make the being of a gigantic
stature, that is to say, about eight feet in height, and proportionably
large,'' which takes care of Big. The story of how he got to be so Bad
is the heart of the novel, sheltered innermost: told to Victor in the
first person by the creature himself, then nested inside of Victor's own
narrative, which is nested in its turn in the letters of the arctic
explorer Robert Walton. However much of ''Frankenstein's'' longevity is
owing to the undersung genius James Whale, who translated it to film, it
remains today more than well worth reading, for all the reasons we read
novels, as well as for the much more limited question of its Luddite
value: that is, for its attempt, through literary means which are
nocturnal and deal in disguise, to *deny the machine.*

Look, for example, at Victor's account of how he assembles and animates
his creature. He must, of course, be a little vague about the details,
but we're left with a procedure that seems to include surgery,
electricity (though nothing like Whale's galvanic extravaganzas),
chemistry, even, from dark hints about Paracelsus and Albertus Magnus,
the still recently discredited form of magic known as alchemy. What is
clear, though, despite the commonly depicted Bolt Through the Neck, is
that neither the method nor the creature that results is mechanical.

This is one of several interesting similarities between ''Frankenstein''
and an earlier tale of the Bad and Big, ''The Castle of Otranto''
(1765), by Horace Walpole, usually regarded as the first Gothic novel.
For one thing, both authors, in presenting their books to the public,
used voices not their own. Mary Shelley's preface was written by her
husband, Percy, who was pretending to be her. Not till 15 years later
did she write an introduction to ''Frankenstein'' in her own voice.
Walpole, on the other hand, gave his book an entire made-up publishing
history, claiming it was a translation from medieval Italian. Only in
his preface to the second edition did he admit authorship.

THE novels are also of strikingly similar nocturnal origin: both
resulted from episodes of lucid dreaming. Mary Shelley, that ghost-story
summer in Geneva, trying to get to sleep one midnight, suddenly beheld
the creature being brought to life, the images arising in her mind
''with a vividness far beyond the usual bounds of reverie.'' Walpole had
awakened from a dream, ''of which, all I could remember was, that I had
thought myself in an ancient castle . . . and that on the uppermost
bannister of a great staircase I saw a gigantic hand in armour.''

In Walpole's novel, this hand shows up as the hand of Alfonso the Good,
former Prince of Otranto and, despite his epithet, the castle's resident
Badass. Alfonso, like Frankenstein's creature, is assembled from pieces
- sable-plumed helmet, foot, leg, sword, all of them, like the hand,
quite oversized - which fall from the sky or just materialize here and
there about the castle grounds, relentless as Freud's slow return of the
repressed. The activating agencies, again like those in
''Frankenstein,'' are non-mechanical. The final assembly of ''the form
of Alfonso, dilated to an immense magnitude,'' is achieved through
supernatural means: a family curse, and the intercession of Otranto's
patron saint.

The craze for Gothic fiction after ''The Castle of Otranto'' was
grounded, I suspect, in deep and religious yearnings for that earlier
mythical time which had come to be known as the Age of Miracles. In ways
more and less literal, folks in the 18th century believed that once upon
a time all kinds of things had been possible which were no longer so.
Giants, dragons, spells. The laws of nature had not been so strictly
formulated back then. What had once been true working magic had, by the
Age of Reason, degenerated into mere machinery. Blake's dark Satanic
mills represented an old magic that, like Satan, had fallen from grace.
As religion was being more and more secularized into Deism and
nonbelief, the abiding human hunger for evidence of God and afterlife,
for salvation - bodily resurrection, if possible - remained. The
Methodist movement and the American Great Awakening were only two
sectors on a broad front of resistance to the Age of Reason, a front
which included Radicalism and Freemasonry as well as Luddites and the
Gothic novel. Each in its way expressed the same profound unwillingness
to give up elements of faith, however ''irrational,'' to an emerging
technopolitical order that might or might not know what it was doing.
''Gothic'' became code for ''medieval,'' and that has remained code for
''miraculous,'' on through Pre-Raphaelites, turn-of-the-century tarot
cards, space opera in the pulps and the comics, down to ''Star Wars''
and contemporary tales of sword and sorcery.

TO insist on the miraculous is to deny to the machine at least some of
its claims on us, to assert the limited wish that living things, earthly
and otherwise, may on occasion become Bad and Big enough to take part in
transcendent doings. By this theory, for example, King Kong (?-1933)
becomes your classic Luddite saint. The final dialogue in the movie, you
recall, goes: ''Well, the airplanes got him.'' ''No . . . it was Beauty
killed the Beast.'' In which again we encounter the same Snovian
Disjunction, only different, between the human and the technological.

But if we do insist upon fictional violations of the laws of nature - of
space, time, thermodynamics, and the big one, mortality itself - then we
risk being judged by the literary mainstream as Insufficiently Serious.
Being serious about these matters is one way that adults have
traditionally defined themselves against the confidently immortal
children they must deal with. Looking back on ''Frankenstein,'' which
she wrote when she was 19, Mary Shelley said, ''I have an affection for
it, for it was the offspring of happy days, when death and grief were
but words which found no true echo in my heart.'' The Gothic attitude in
general, because it used images of death and ghostly survival toward no
more responsible end than special effects and cheap thrills, was judged
not Serious enough and confined to its own part of town. It is not the
only neighborhood in the great City of Literature so, let us say,
closely defined. In westerns, the good people always win. In romance
novels, love conquers all. In whodunitsses we know better. We say, ''But
the world isn't like that.'' These genres, by insisting on what is
contrary to fact, fail to be Serious enough, and so they get redlined
under the label ''escapist fare.''

This is especially unfortunate in the case of science fiction, in which
the decade after Hiroshima saw one of the most remarkable flowerings of
literary talent and, quite often, genius, in our history. It was just as
important as the Beat movement going on at the same time, certainly more
important than mainstream fiction, which with only a few exceptions had
been paralyzed by the political climate of the cold war and McCarthy
years. Besides being a nearly ideal synthesis of the Two Cultures,
science fiction also happens to have been one of the principal refuges,
in our time, for those of Luddite persuasion.

By 1945, the factory system - which, more than any piece of machinery,
was the real and major result of the Industrial Revolution - had been
extended to include the Manhattan Project, the German long-range rocket
program and the death camps, such as Auschwitz. It has taken no major
gift of prophecy to see how these three curves of development might
plausibly converge, and before too long. Since Hiroshima, we have
watched nuclear weapons multiply out of control, and delivery systems
acquire, for global purposes, unlimited range and accuracy. An
unblinking acceptance of a holocaust running to seven- and eight-figure
body counts has become - among those who, particularly since 1980, have
been guiding our military policies - conventional wisdom.

To people who were writing science fiction in the 50's, none of this was
much of a surprise, though modern Luddite imaginations have yet to come
up with any countercritter Bad and Big enough, even in the most
irresponsible of fictions, to begin to compare with what would happen in
a nuclear war. So, in the science fiction of the Atomic Age and the cold
war, we see the Luddite impulse to deny the machine taking a different
direction. The hardware angle got de-emphasized in favor of more
humanistic concerns - exotic cultural evolutions and social scenarios,
paradoxes and games with space/ time, wild philosophical questions -
most of it sharing, as the critical literature has amply discussed, a
definition of ''human'' as particularly distinguished from ''machine.''
Like their earlier counterparts, 20th-century Luddites looked back
yearningly to another age - curiously, the same Age of Reason which had
forced the first Luddites into nostalgia for the Age of Miracles.

But we now live, we are told, in the Computer Age. What is the outlook
for Luddite sensibility? Will mainframes attract the same hostile
attention as knitting frames once did? I really doubt it. Writers of all
descriptions are stampeding to buy word processors. Machines have
already become so user-friendly that even the most unreconstructed of
Luddites can be charmed into laying down the old sledgehammer and
stroking a few keys instead. Beyond this seems to be a growing consensus
that knowledge really is power, that there is a pretty straightforward
conversion between money and information, and that somehow, if the
logistics can be worked out, miracles may yet be possible. If this is
so, Luddites may at last have come to stand on common ground with their
Snovian adversaries, the cheerful army of technocrats who were supposed
to have the ''future in their bones.'' It may be only a new form of the
perennial Luddite ambivalence about machines, or it may be that the
deepest Luddite hope of miracle has now come to reside in the computer's
ability to get the right data to those whom the data will do the most
good. With the proper deployment of budget and computer time, we will
cure cancer, save ourselves from nuclear extinction, grow food for
everybody, detoxify the results of industrial greed gone berserk -
realize all the wistful pipe dreams of our days.

THE word ''Luddite'' continues to be applied with contempt to anyone
with doubts about technology, especially the nuclear kind. Luddites
today are no longer faced with human factory owners and vulnerable
machines. As well-known President and unintentional Luddite D. D.
Eisenhower prophesied when he left office, there is now a permanent
power establishment of admirals, generals and corporate CEO's, up
against whom us average poor bastards are completely outclassed,
although Ike didn't put it quite that way. We are all supposed to keep
tranquil and allow it to go on, even though, because of the data
revolution, it becomes every day less possible to fool any of the people
any of the time. If our world survives, the next great challenge to
watch out for will come - you heard it here first - when the curves of
research and development in artificial intelligence, molecular biology
and robotics all converge. Oboy. It will be amazing and unpredictable,
and even the biggest of brass, let us devoutly hope, are going to be
caught flat-footed. It is certainly something for all good Luddites to
look forward to if, God willing, we should live so long. Meantime, as
Americans, we can take comfort, however minimal and cold, from Lord
Byron's mischievously improvised song, in which he, like other observers
of the time, saw clear identification between the first Luddites and our
own revolutionary origins. It begins:

*As the Liberty lads o'er the sea  
Bought their freedom, and cheaply, with blood,  
So we, boys, we  
Will die fighting, or live free,  
And down with all kings but King Ludd\!*
