---
created_at: '2017-11-20T17:08:09.000Z'
title: Microsoft Has It All—Almost (1985)
url: http://www.nytimes.com/1985/09/04/business/microsoft-has-it-all-almost.html
author: coloneltcb
points: 208
story_text: 
comment_text: 
num_comments: 146
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1511197689
_tags:
- story
- author_coloneltcb
- story_15741381
objectID: '15741381'
year: 1985

---
**BELLEVUE, Wash—** Something is gnawing at Microsoft.

By all accounts, the Microsoft Corporation, the first major company
spawned by the personal computer to reach its 10th birthday, has a lot
to celebrate. Clearly the company has prospered, with revenues leaping
by more than 40 percent in its last fiscal year. It has by far the
broadest product line among software companies. And recently it signed a
long-term agreement with the International Business Machines Corporation
that is seen as cementing Microsoft's position at the center of the
personal computer universe.

''They're just on top of the world right now, as far as I'm concerned,''
said David S. Wagman, co-chairman of Softsel Computer Products, a
leading distributor of software.

But what is spoiling the party is that the company was eclipsed last
year as the largest personal computer software concern by the Lotus
Development Corporation, creator of the highly successful 1-2-3
spreadsheet program. Lotus's revenues totaled $200 million for the 12
months ended June 30. Microsoft's revenues came to $140 million in that
period.

Some Shortcomings

While Lotus and Microsoft remain friendly rivals, Microsoft and its
29-year-old chairman, William H. Gates, clearly want to be No. 1 again.
''It drives him up the wall,'' said one friend of Mr. Gates. Perhaps
more important, however, the ascendance of Lotus has pointed out some
Microsoft shortcomings that the company is hastening to correct.

To catch up to Lotus, or even merely to continue to grow, Microsoft must
continue to expand beyond systems software, which governs the basic
functions of the computer, to the far larger market of applications
programs, such as word processors and spreadsheets, which guide the
computer in particular tasks. Lotus sells only applications software.

Microsoft is now unleashing a barrage of programs, including Excel, a
spreadsheet program for the Macintosh computer, and Access, a
communications package for the I.B.M. computer. It is also finally
bringing Windows to market. That program, a key part of its strategy, is
more than a year behind schedule.

But selling software to consumers is different from selling highly
technical operating systems directly to computer companies. To compete
against sophisticated marketers like Lotus, Microsoft is also undergoing
a corporate makeover, trying to shed its ''techie'' image in favor of a
flashier one. The corporate image perhaps is a reflection of Mr. Gates
himself, who is a technical genius but is much less outgoing than
Mitchell D. Kapor, Lotus's chairman.

Perhaps symbolically, the company has already replaced its drab green
packaging cartons with more colorful boxes and will concentrate its
advertising on fewer products to make a bigger splash. ''We're taking a
look at everything,'' said Jean Richardson, a former Apple official who
now heads Microsoft's corporate communications. ''A year from now you
will see a very different image of Microsoft.''

Going public next year is also part of the plan. Officials say that the
need for money is not the primary reason for a public offering. The
company has been consistently profitable and is believed to have more
than $15 million in cash on hand. But going public is expected to win
increased attention and credibility. In addition, such a move would
provide a way of rewarding Microsoft employees, who have received stock
or options.

Microsoft was founded in 1975 by Mr. Gates, then 19, and a friend, Paul
Allen, who is now less actively involved in the company. Mr. Gates, who
as a teen-ager had developed a previous computer programming business,
dropped out of Harvard and wrote a version of the Basic computer
language for one of the first personal computers. Selected by I.B.M.
Microsoft's big break came five years ago, when its MS-DOS - which
stands for Microsoft disk operating system - was chosen by I.B.M. for
use on its personal computer. As I.B.M. soared to prominence in the
personal computer business, so did Microsoft, in a relationship that one
Microsoft official recently described as ''five years on a raft.'' There
was always the risk that I.B.M. would go its own way. But the agreement
signed recently between I.B.M. and Microsoft seems to remove this threat
for the next few years at least.

Last year, MS-DOS accounted for about 20 percent of Microsoft's
revenues, while other systems software, mainly programming languages,
totaled 30 percent. In applications software, which accounted for most
of the rest of the revenues and is expected to grow fastest, Microsoft
has done only moderately well.

It got a late start in the applications software market for I.B.M. and
faced entrenched, highly specialized competitors. The I.B.M. computer
version of Microsoft Word, the company's word processing software,
trails programs by Multimate, Micropro International and I.B.M. itself,
according to audits of computer stores by IMS America, a market research
firm.

Microsoft was also hurt by its reputation for bringing products to
market behind schedule and full of ''bugs'' or errors. In a letter in
the latest issue of Macworld magazine, for instance, a reader gripes
about finding ''15 bugs and 7 shortcomings'' in the initial Macintosh
version of Microsoft Word. ''Word is typical untested Microsoft
software,'' he said.

To improve its production process, Microsoft has changed its management.
Mr. Gates, while still chief executive and clear leader of the company,
has no one reporting directly to him. That allows him to concentrate on
the direction of the company while leaving day-to-day management to
others, particularly the president and chief operating officer, Jon
Shirley, former head of the Tandy Corporation's personal computer
merchandising.

The company has also moved quickly into software for the Macintosh
computer, and now dominates that market. It is also expanding overseas,
where its Multiplan spreadsheet outsells 1-2-3.

But Microsoft is still in search of a hit product. One contender, coming
this month, is Excel, a spreadsheet program for the Macintosh that Mr.
Gates expects will become Microsoft's best seller. Excel is more like
1-2-3 than Lotus's own program for the Macintosh, which is called Jazz
and has sold below expectations.

Microsoft officials predict that Excel will do better. The company also
plans a multifunctional product for Macintosh, known as Microsoft Works,
that will be lower priced than Jazz. Yet it is unclear whether any
product for the Macintosh, which has suffered a sales slowdown, will
sell all that well.

Windows Coming in Fall

For the I.B.M. world, Microsoft this fall is introducing Windows, a
program that allows various applications to appear on the screen at
once, each in its own ''window.'' Microsoft hopes to make Windows a
standard on all MS-DOS PC's.

While Windows, which is operating system software, might be a big
product in its own right, it could also help increase sales of other
Microsoft applications software. Since Windows makes the I.B.M. computer
screen resemble the Macintosh screen, Microsoft will be able to convert
its Macintosh programs for use on the I.B.M. computers using Windows. A
version of Excel running on Windows for the I.B.M. computer, which would
directly compete with 1-2-3, is expected early next year.

But Windows faces an uphill battle. While more than a dozen companies
expressed support for Windows when it was announced in 1983, enthusiasm
has cooled.

graph of Microsofts annual revenue for fiscal year in millions of
dollars; photo of William Gates and Jon Shirley (AP)
