---
created_at: '2017-10-08T16:38:29.000Z'
title: Kazuo Ishiguro (1989)
url: http://bombmagazine.org/article/1269/kazuo-ishiguro
author: lermontov
points: 74
story_text: 
comment_text: 
num_comments: 19
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1507480709
_tags:
- story
- author_lermontov
- story_15428846
objectID: '15428846'
year: 1989

---
Kazuo Ishiguro sprang to international prominence with the publication
of his second novel, An Artist of the Floating World, which won the 1986
Whitbread Book of the Year prize and was shortlisted for the Booker. It
is about a Japanese painter who, having once enjoyed great popular
success, finds himself the victim of a revisionist post-war culture,
shunned and despised for the incorrect political choices he made in the
’30s. The Remains of the Day, out this fall from Knopf, works a
similar theme, though this time our narrator is a very English butler
called Stevens, who reflects upon the long years of service he gave to a
nobleman prominent in British politics in the 1930s.

Stevens is a glorious creation, stiff on the outside, touchingly blind
and pathetic within. He agonizes over the question of what makes a
“great” butler, what is dignity, and how to acquire the ability to
banter. It’s a mark of Ishiguro’s technical assurance and delicacy of
touch that he can softly laugh at his character while at the same time
suggesting the deep sadness of his frigid emotional nature. There is,
too, at the heart of the novel a quiet examination of British
anti-Semitism in the ’30s. Swift talked to Ishiguro in London.

Graham Swift You were born in Japan and came to England when you were
five … How Japanese would you say you are?

Kazuo Ishiguro I’m not entirely like English people because I’ve been
brought up by Japanese parents in a Japanese-speaking home. My parents
didn’t realize that we were going to stay in this country for so long,
they felt responsible for keeping me in touch with Japanese values. I do
have a distinct background. I think differently, my perspectives are
slightly different.

GS Would you say that the rest of you is English? Do you feel
particularly English?

KI People are not two-thirds one thing and the remainder something else.
Temperament, personality, or outlook don’t divide quite like that. The
bits don’t separate clearly. You end up a funny homogeneous mixture.
This is something that will become more common in the latter part of the
century—people with mixed cultural backgrounds, and mixed racial
backgrounds. That’s the way the world is going.

GS You are one of a number of English writers, your contemporaries, who
are precisely that: they were born outside England. Do you identify with
them? I’m thinking of people like Timothy Mo, Salman Rushdie, Ben Okri …

KI There is a big difference between someone in my position and someone
who has come from one of the countries that belonged to the British
Empire. There is a very special and very potent relationship between
someone brought up in India, with a very powerful notion of Britain as
the mother country, and the source of modernity and culture and
education.

GS The experience of empire from the other end. Yet it’s true that in
two of your novels, which you could loosely call Japanese novels, A Pale
View of Hills and An Artist of the Floating World, you have dealt with
the ruins of empire, Japanese empire. These are post-war novels. Your
latest novel, The Remains of the Day, is set in the ’50s, in postwar
England. It seems to be as concerned as An Artist of the Floating
World with mistaken allegiances and ideals of an imperial period:
pre-war Britain in the ’30s, Japan in the ’30s. There is a similarity
there.

KI I chose these settings for a particular reason: they are potent for
my themes. I tend to be attracted to pre-war and post-war settings
because I’m interested in this business of values and ideals being
tested, and people having to face up to the notion that their ideals
weren’t quite what they thought they were before the test came. In all
three books the Second World War is present.

GS The Remains of the Day, has for its central character, a butler. One
tends to think of butlers in literary association with detective novels
or comedy, stage farces, but your butler is a very serious figure
indeed. How did you alight on this character?

KI The butler is a good metaphor for the relationship of very ordinary,
small people to power. Most of us aren’t given governments to run or
coup d’etats to lead. We have to offer up the little services we have
perfected to various people: to causes, to employers, to organizations
and hope for the best—that we approve of the way it gets used. This is a
condition that I want to write about. It struck me that the figure of
the butler, the man who serves, someone who is so close and yet so very
far from the hub of power would be a useful person to write through. And
there’s the other reason that you’ve hinted at … It’s precisely because
the butler has become such a mythical figure in British culture. I’ve
always found that bizarre and amusing. This has got something to do with
the fact that I come from a Japanese background. There are certain
things that are very exotic to me about Englishness.

GS Although, you could say that the butler is a figure who leads, by
necessity, a very stylized existence. Dignity is enormously important to
this character. There is a resemblance with Japan—that feeling of
dignity, service, life as a kind of performance. There is a strong echo
of An Artist of the Floating World. The central character of that novel,
Masuji Ono, is also concerned with dignity. Yet Stevens is a much less
self-knowing and more pathetic character. He seems to have this terrible
blindness about his own experience. The only thing which redeems him is
the enormous importance he attaches to dignity. Do you think of dignity
as a virtue?

KI I’m not quite sure what dignity is, you see. This is part of the
debate in The Remains of the Day. Stevens is obsessed with this thing
that he calls dignity. He thinks dignity has to do with not showing your
feelings, in fact he thinks dignity has to do with not having feelings.

GS It’s to do with the suppression of feelings.

KI Yes, being something less than human. He somehow thinks that turning
yourself into some animal that will carry out the duties you’ve been
given to such an extent that you don’t have feelings, or anything that
undermines your professional self, is dignity. People are prone to
equate having feelings with weakness. The book debates that notion of
dignity—not having emotions against another concept of dignity. The
dignity given to human beings when they have a certain amount of control
over their lives. The dignity that democracy gives to ordinary people.
In the end, no one can argue that Stevens has been very dignified in one
sense: he starts to question whether there isn’t something profoundly
undignified about a condition he has rather unthinkingly given all his
loyalty to. A cause in which he has no control over the moral value of
how his talents are spent.

GS And that cause proves to be, however honorably it began, a mistaken
one.

KI Yes.

GS There is of course a whole other area, even more extreme and even
more poignant. Stevens seems to have suppressed completely the
possibility he once had of a love affair with the former housekeeper,
Miss Kenton. He is now taking a rare holiday, to visit her. He hasn’t
seen her for a long time. He’s going back to this crucial moment in the
past. Yet, nothing he says actually constitutes an admission of his
feelings over the matter. The novel succeeds in a very difficult area.
That’s to say, you have a character who is articulate and intelligent to
a degree, and yet he doesn’t seem to have any power of self-analysis or
self-recognition. That’s very hard to get away with. Did you find it
difficult to do?

KI He ends up saying the sorts of things he does because somewhere deep
down he knows which things he has to avoid. He is intelligent enough, in
the true sense of the word, to perceive the danger areas, and this
controls how his narrative goes. The book is written in the language of
self-deception. Why he says certain things, why he brings up certain
topics at certain moments, is not random. It’s controlled by the things
that he doesn’t say. That’s what motivates the narrative. He is in this
painful condition where at some level he does know what’s happening, but
he hasn’t quite brought it to the front. And he has a certain amount of
skill in trying to persuade himself that it’s not there. He’s articulate
and intelligent enough to do quite a good self-deception job.

GS You talk about the language of self-deception. That is a language
that is developed with all your main narrator figures. It particularly
revolves around the fallibility of memory. Your characters seem to
forget and remember at their own convenience or they remember things in
the wrong context or they remember one event elided with another. What
is involved is a process of conscious or unconscious evasion. How
knowing would you say this is?

KI Knowing on their part?

GS Yes.

KI At some level they have to know what they have to avoid and that
determines the routes they take through memory, and through the past.
There’s no coincidence that they’re usually worrying over the past.
They’re worrying because they sense there isn’t something quite right
there. But of course memory is this terribly treacherous terrain, the
very ambiguities of memory go to feed self-deception. And so quite
often, we have situations where the license of the person to keep
inventing versions of what happened in the past is rapidly beginning to
run out. The results of one’s life, the accountability of one’s life is
beginning to catch up.

GS After Stevens has visited Miss Kenton, the former housekeeper, he
goes to sit by the sea and cries. This is a kind of facing up to
himself, a kind of coming clean, but perhaps also a moment of another
kind of dignity. There is a dignity that goes with the recognition of
loss and failure. A dignity way beyond Stevens’s scheme of things, and
yet he acquires it.

KI Yes.

GS Painfully.

KI It’s the dignity of being human, of being honest. I suppose, with
Stevens and with the painter, Ono, in the last book, that would be the
appeal I would make on their behalf. Yes, they’re often pompous and
despicable. They have contributed to rather ugly causes. If there is any
plea on their behalf, it is that they have some sense of dignity as
human beings, that ultimately there is something heroic about coming to
terms with very painful truths about yourself.

GS You seem to have quite a complicated view of dignity. There is a kind
of dignity in the process of writing itself. One could say that your own
style has its dignity. I wonder how much you think that for the artist
or the writer there is a perennial problem, which is not unlike
Stevens’s. There is an inherent dignity; grace in art itself; yet,
when it becomes involved in big affairs, politics and so on, this can be
both an extension of the sphere of art and very ensnaring. Ono, in An
Artist of the Floating World, has been an artist in a very pure sense.
The ‘floating world’ is all about beauty and transience, pure art. It’s
when he puts his talent in the service of politics, that everything goes
wrong in his life. Was he wrong to have done that? Is it bad for art to
be put in the service of politics? Is it right that art should concern
itself with social and political things?

KI It’s right that artists always have to ask themselves these
questions, all the time. A writer, and artists in general, occupy a very
particular and crucial role in society. The question isn’t, “should they
or should they not?” It’s always, “to what extent?” What is appropriate
in any given context? I think this changes with time, depending upon
what country you’re in, or which sector of society you occupy. It’s a
question that artists and writers have to ask every day of their lives.

Obviously, it isn’t good enough to just ponder and sit on the fence
forever. There has to come a point when you say, “No matter the
imperfections of a particular cause, it has to be supported because the
alternatives are disastrous.” The difficulty is judging when. There is
something about the act of writing novels in particular, which makes it
appropriate to actually defer the moment of commitment to quite a late
point. The nature of what a novel is means that it’s very unequipped for
front line campaigning. If you take issue with certain legislation
that’s being debated, you’re better off writing letters to the press,
writing articles in the media. The strength of the novel is that it gets
read at a deeper level; it gets read over a long stretch of time by
generations with a future. There is something about the form of a novel
that makes it appropriate to political debate at a more fundamental,
deeper, more universal level. I’ve been involved in certain campaigns
about homelessness but I’ve never brought any of that into my novel
writing.

GS Are you writing another novel?

KI I’m trying to get going. I’ve got books out of the library. It takes
me a long, long time to start writing the actual drafts. The actual
writing of the words, I can do in under a year, but the background work
takes a long time. Getting myself familiar with the territory I’m going
to enter. I have to more or less know what my themes are, what the
emphasis will be in the book, I have to know about the characters….

GS Before you even put pen to paper.

KI Yes, I’m a very cautious writer in that sense. I can’t do the
business of shoving a blank piece of paper in the typewriter and having
a brain-storming session to see what comes out. I have to have a very
clear map next to me.

GS Do you find that in practice you actually adhere to your plan?

KI Yes. More and more. Less so for my first novel. One of the lessons I
tried to teach myself between my first and second novel was thematic
discipline. However attractive a certain plot development, or idea may
be that you stumble across in the process of writing, if it’s not going
to serve the overall architecture, you must leave it, and keep pursuing
what you wish to pursue. I had the experience in my first novel of
having certain things upstage the subjects I really wanted to explore.
But now I’m beginning to crave the brilliant messiness that certain
writers can achieve through, I suspect, not sticking to their map.

GS From following their noses.

KI I have these two god-like figures in my reading experience: Chekhov
and Dostoevsky. So far, in my writing career, I’ve aspired more to the
Chekhov: the spare and the precise, the carefully, controlled tone. But
I do sometimes envy the utter mess, the chaos of Dostoevsky. He does
reach some things that you can’t reach in any other way than by doing
that.

GS You can’t reach it by a plan.

KI Yes, there is something in that messiness itself that has great
value. Life is messy. I sometimes wonder, should books be so neat,
well-formed? Is it praise to say that book is beautifully structured? Is
it a criticism to say that bits of the book don’t hang together?

GS I think it’s a matter of how it stays or doesn’t stay with the
reader.

KI I feel like a change. There’s another side of my writing self that I
need to explore: the messy, chaotic, undisciplined side. The undignified
side.
