---
created_at: '2011-07-05T21:12:29.000Z'
title: All NeXT Inc.'s Plant Lacks Is Orders (1990)
url: http://www.nytimes.com/1990/12/24/business/all-next-inc-s-plant-lacks-is-orders.html?pagewanted=all&src=pm
author: shawndumas
points: 153
story_text: ''
comment_text: 
num_comments: 81
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1309900349
_tags:
- story
- author_shawndumas
- story_2731600
objectID: '2731600'
year: 1990

---
**FREMONT, Calif.—** In a cavernous factory here, Next Inc.'s flashy
jet-black work stations began creating their own offspring this month.
The highly automated factory, where robots controlled by Next computers
do almost all of the assembling, is a model for improving American
competitiveness, many experts say. But the ambitious manufacturing
experiment at Silicon Valley's most visible start-up company may be
wasted unless its new second generation of computers gains wider
acceptance.

"There is a tremendous amount of thought that has gone into their
manufacturing process -- it's one of the most automated factories I've
ever seen," said Michael Gibson, vice president of the Juran Institute,
a Wilton, Conn., manufacturing consulting firm. "But the proof of the
pudding will be in high-volume production."

Automated manufacturing is not unusual in Silicon Valley, but those who
have visited the $10 million computer factory say that Next has done the
best job in the United States computer industry of achieving high
quality, low cost and flexibility, as well as linking research and
development to manufacturing.

It has accomplished this feat in several important ways. One is the
extent to which the plant is automated. It requires only five
manual-assembly workers and fewer than a hundred other workers, mostly
engineers, for a line capable of producing $1 billion of computers a
year. The assembly-line workers are needed only to install a few parts,
like the microprocessor. By contrast, Next's main competitor, Sun
Microsystems Inc., has only begun to automate and still does much
assembly with manual labor.

To visit the factory is to glimpse the high-tech asceticism of Steven P.
Jobs, Next's founder, chairman and chief executive, who is fond of
buying multimillion-dollar residences, yet has lived in rooms with
barely any furniture.

In place of workers along the assembly line are robots, each controlled
by an earlier-generation Next work station. These work stations are far
easier to program for various assembly tasks than are conventional
systems, which rely on a central minicomputer to direct all the robots.
With the work stations so easy to reprogram, the changes can be made on
the fly, and as a result, all four of Next's new computer models can be
assembled without stopping the line. Monitoring Product Quality

The work stations on the assembly line have another important advantage
over traditional manufacturing systems: They double as monitors of the
quality of the products coming off the line. Using a camera, the system
records images of circuit boards moving along the assembly line and
feeds the data to a special chip in the work station that analyzes the
images for defects.

The robots also illustrate Mr. Jobs's exacting attention to detail: Next
asked the Japanese and American makers of the robots to remove their
logos and painted the machines gray simply to preserve a uniform
appearance.

Another manufacturing advantage is that unlike the Apple Macintosh
factory down the road in Fremont and most other plants, the Next factory
has no warehouse. Parts arrive at the last minute and go directly into
production. What is more, Next uses only 40 suppliers, compared with
hundreds for some conventional factories. High-Speed Data Network

The Next factory is also connected by a high-speed data network to the
company's headquarters across San Francisco Bay in Redwood City.
Computer designers at headquarters can therefore reprogram the robots on
the line to assemble experimental circuit boards; they need not
manufacture them on a separate prototype line. By allowing the factory
people to participate in the design of future products, the
often-difficult transition from prototype assembly to full-scale
manufacturing is mostly eliminated.

And because software is simpler to write for the Next work stations than
for other work stations, technicians in the factory can easily modify
programs that control each robot. Many of Next's technicians have
advanced degrees and are paid 30 to 40 percent more on average than
their counterparts elsewhere, Next officials say.

"It's extraordinary what they've been able to do with a very small group
of programmers," said Dr. Martin B. Piszczalski, a manufacturing
researcher at the Yankee Group, a market research and consulting
organization. Dr. Piszczalski contrasted the dozen programmers who have
developed the software for the Next factory with the hundreds of
programmers doing a similar task at an I.B.M. factory he visited.
Investment in Factory Questioned

But he questioned whether the investment made sense without higher
volumes. "Right now it is a little like having a battleship when a
40-foot sailboat would do," he said.

Indeed, critics of Mr. Jobs, who is 35 years old, say he is wasting his
money by building a factory at this point. With the small number of
machines he is building today, it would have been cheaper simply to
contract with other companies to assemble the computers, they say.

But Dr. Piszczalski said the initial high investment in an automated
factory may permit Next more control of its expenses while volumes are
low.

And backers of Mr. Jobs note that he has a long-term strategy in which
manufacturing makes sense. "Steve will be in business for the long
pull," said H. Ross Perot, one of Next's investors. "He's not in
business for six months." Strategic Advantage Claimed

Next's products have yet to gain a significant share of the marketplace,
but Mr. Jobs, who has a reputation for painstaking attention to detail
and a passion for the importance of manufacturing, argues that by
linking this flexible factory more closely than ever to Next's research
and development process, his company can gain a strategic advantage in
the industry that will eventually pay off in larger sales.

In Mr. Jobs's view, the factory testifies to the fact that the United
States can still compete as both a low-cost and a world-class
manufacturer when it sets its mind to the task.

Mr. Jobs said he modeled the factory after those of Japanese
corporations like the Sony Corporation that have perfected a
design-for-manufacturing strategy that transforms the factory floor into
an extension of the company research and development center. Proof of
Manufacturing Prowess

Proof of Next's manufacturing prowess came when Sony, which supplies
monitors to the computer maker, was able to save $20 a monitor by
purchasing the electronics boards for the monitor from Next rather than
making them in Japan, said Randy Heffner, Next's vice president of
manufacturing.

Next, now four years old, has failed to meet early expectations. The
first work station, called the Next Computer System, was acquired only
by loyal software developers and universities; other potential customers
were deterred by its price, lack of a floppy disk drive and enough
software, slow erasable optical disk drive, and incompatibility with
most common desktop computers. Sales through Next's retail distributor,
Businessland Inc., were weak. The first computer sold fewer than 10,000
machines by some estimates. Four New Computers

Yet with a family of four new computers -- including the souped-up and
slimmed-down entry-level Nextstation, which is drawing positive initial
reactions -- Mr. Jobs is once again enthusiastically preaching his
computer gospel. The Nextstation, about three times faster than Apple's
top-of-the-line IIfx and slightly faster than Sun Microsystems'
Sparcstation I, is selling for $4,995, significantly less expensive than
its competitors. The new machine also has an I.B.M.-compatible floppy
disk drive and a hard disk, and the optical disk is available as an
option.

Although some in the industry dismiss it, the company does have the
support of a number of influential industry executives who think the
computer business has been stalled by primitive MS-DOS operating-system
standards that are now more than a decade old. Mr. Jobs's machines,
which use an advanced version of Unix, offer a path to break the
industry out of its malaise, they say. At the September product
introduction, both the Lotus Development Corporation and the Wordperfect
Corporation enthusiastically endorsed the new Next products and
introduced software packages for the computer. In 1991, I.B.M. plans to
offer Next's software on its RS/6000 and PS/2 models.

"I feel weird saying nice things about Next because nobody else is,"
said Stewart Alsop, publisher of PC Letter, a computer industry
newsletter. "But I'm betting that he succeeds. Next is farther ahead in
software than any of the Unix vendors or Windows."

"The world badly needs an alternative," said Mitchell D. Kapor, the
founder of Lotus who has since started the software company On
Technology Inc. "I hope Steve makes it." Hopes and Visions

But hope may not be enough, and Mr. Jobs's window of opportunity could
soon close. Many in the industry who heard the keynote speech of William
Gates, chairman of the Microsoft Corporation, at the Comdex computer
show in November noted that his vision for the I.B.M.-compatible
personal computer world in 1994 or 1995 appears to be remarkably similar
to what Next is offering today. These observers were referring to the
ease with which Next work stations communicate and their ability to
search quickly through vast amounts of data.

Some industry analysts said Next needs to sell 25,000 computers next
year just to survive. Mr. Jobs said he could sell far more than that.
The company now describes the market for Next computers as professional
workers including financial analysts, lawyers and executives.

Photos: The highly automated factory for Next Inc. in Fremont, Calif.,
is capable of producing $1 billion worth of computers a year. It
requires only five manual-assembly workers and fewer than a hundred
other workers (Terrence McCarthy for The New York Times) (pg. 29); The
$10 million computer factory in Fremont, Calif., where robots do almost
all of the assembly-line work. (Terrence McCarthy for The New York
Times) (pg. 33)
