---
created_at: '2017-09-27T17:19:12.000Z'
title: 'For Shame: Why Americans Should Be Wary of Self-Esteem (1992)'
url: https://newrepublic.com/article/90898/shame-why-americans-should-be-wary-self-esteem
author: chesterfield
points: 81
story_text: 
comment_text: 
num_comments: 27
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1506532752
_tags:
- story
- author_chesterfield
- story_15350015
objectID: '15350015'
year: 1992

---
This distinction had a twofold effect: it robbed shame of its
transgressive dimension, now reserved for guilt alone, and it encouraged
a legalistic understanding of transgression itself. Piers and Singer
were quite explicit about the first of these effects: “Guilt anxiety
accompanies transgression; shame, failure.” The second implication
became unmistakable in Helen Merrell Lynd’s study *On Shame and the
Search for Identity,* which appeared in 1958. Elaborating on the
interpretation advanced by Piers and Singer, Lynd associated guilt not
simply with “transgression of prohibitions” but with “Violation of a
specific taboo,” a feeling therefore concentrated on “each separate,
discrete act.” In Lynd’s account, guilt moved away from its old
association with sin and came to be assimilated to the category of
crime—and finally to any kind of merely unconventional conduct. In an
older moral tradition, sin referred not only to violations of the moral
law, but also to a failure to keep faith with God. It referred not only
to specific actions, but also to a disposition of the will, a chronic
state of rebellion against God and the human condition. Lynd’s
secularized conception of guilt reduced it to the fear of punishment
that follows violation of community standards, which were themselves
trivialized and partially discredited as “taboos.”

Cultural anthropologists made guilt, the inner voice of conscience, seem
more weighty than shame; but “guilt feelings,” according to Lynd,
actually “result from efforts for social adjustment” and carry very
little “self reference.” Now it was shame that appeared more deeply
internalized. “The deepest shame is not shame in the eyes of others but
weakness in one’s own eyes.” Shame called one’s entire identity into
question, shattered “basic trust” in the world, and thus could “be said
to go deeper than guilt.” Shame was more disturbing than its cousin,
more deeply felt, more urgently in need of treatment. “It is worse to be
inferior and isolated than to be wrong, to be outcast in one’s own eyes
than to be condemned by society.” This remarkable statement, uttered in
casual disregard of the accumulated weight of moral and philosophical
tradition, casts a flood of light on the current preoccupation with
shame and self-esteem. We fear weakness more than a troubled conscience.
Indeed, conscience disappears from our conceptual order: guilt becomes
condemnation by “society.”

Helen Block Lewis added a few details to this emerging consensus in her
*Shame and Guilt in Neurosis,* which appeared in 1971 and is often over
praised today as a pioneering work in the field. Lewis devoted most of
her attention to variations in “proneness” to guilt or shame. Men’s
aggressiveness, she decided, predisposed them to guilty fears of
retaliation. Women were more inclined to shame, thanks to their
eagerness to please. “Girls’ self-esteem is neither so objectively nor
firmly grounded as boys’.” Later commentators would extend this line of
thinking to underprivileged groups in general. Shame could be
eliminated, they maintained by improving their collective self-image.

Leon Wurmser resisted such simplifications in *The Mask of Shame,* the
best of the psychoanalytic studies of shame and quite possibly the last,
given the probable collapse of the whole psychoanalytic enterprise. By
1981, when it appeared, the reaction against psychoanalysis was in full
swing: a chorus of critics denounced Freud’s ideas as unscientific,
elitist, patriarchal, and therapeutically useless. Within
psychoanalysis, Heinz Kohut and his followers had shifted the emphasis
from intrapsychic conflict to the “whole self and its relations with
others.” The need to counter these tendencies led Wurmser to undertake a
much deeper analysis of the inner conflicts leading to shame than
anything offered by his predecessors.

Thus, although he built on the work of Piers and Singer, he cautioned
against excessive emphasis on the ego ideal. “A mere falling short of
ego standards or even of the postulates of the ego ideal does not evoke
shame.” No less than guilt, shame had to be seen as a form of
self-punishment, a fierce condemnation of the self that is rooted, in
the case of shame, in the “absolute sense of unlovability.” If this
element of self-torture was missing, it was appropriate to speak only of
a “loss of self-esteem.” Wurmser’s refusal to confuse this with shame
made intelligible much that otherwise remained obscure.

Psychoanalysis, as Wurmser understood it, was above all the
interpretation of inner psychic conflict and the inner defenses against
it. His insistence on the “centrality of conflict,” in the face of an
“incessant pull away” from conflict that was making the psychoanalytic
method increasingly superficial, had the added and unexpected advantage
of restoring some of the moral and religious associations that once
clustered around the concept of shame. Wurmser asked himself, in effect,
how the same word could refer both to the impulse to pry and to the
impulse to conceal. Mindful of Freud’s dictum that opposites share an
underlying affinity, he found that his patients were simultaneously
obsessed with seeing and with being seen.

One of them, a woman suffering from anxiety, depression, and a consuming
suspiciousness, told him: “I want to find out the hidden, forbidden
truth about who creates and who does not create”—a statement worthy of
Faust or Prometheus. But she was also consumed with the fear” that her
own secrets would be revealed. Penetrating other people’s secrets (those
of her parents in particular) became a way of presenting her own. Her
fear of defilement and dishonor made her wish to defile others—a
striking illustration of the connection between shameful disgrace and
the shameless act of exposure. Another patient wished to hide her face
from the world—the characteristic stance of shame—but also bad a
compulsion to exhibit herself. It was as if she were saying: “I want to
show the world how magnificently I can hide.” Here the rage for exposure
was redirected to the self, in the form of an exhibitionism that “knew
no shame,” as we used to say.

Beneath the contradictory wish to hide and to spy, to see and be seen,
Wurmser detected a deeper set of paired opposites—the “polarity” between
the “yearning for boundless union” and a “murderous contempt.” Both
arose out of an underlying fear of abandonment. What Wurmser’s patients
experience as shameful is the contingency and the finitude of human
life, nothing less. They cannot reconcile themselves to the
intractability of limits. The record of their suffering makes us see why
shame is so closely associated with the body, which resists efforts to
control it and therefore reminds us, vividly and painfully, of our
inescapable limitations, the inescapability of death above everything.
It is man’s bondage to nature, as Erich Heller once said, that makes him
ashamed. “Anything that is nature about him, ... anything that shows him
to be enslaved by laws and necessities impervious to his will,” becomes
a source of unbearable humiliation, which can express itself in
seemingly incompatible ways—in the effort to hide from the world, but
also in the effort to penetrate its secrets. What these opposite
reactions share is a kind of outrage in the face of whatever is
mysterious and therefore resistant to human control, “Shame,” said
Nietzsche, “exists everywhere where there is a ‘mystery.’”

When psychoanalysts reject the temptation to dismiss shame as the
vestigial remnant of an outmoded prudery, they have much to tell us
about its moral and existential implications, Wurmser’s study owes its
power and its clarity not only to his sensitive reporting of case
histories, but also to his insistence on the philosophical dimension of
psychoanalysis. He conceives his work as a “dialogue with the best minds
that still speak directly to us across the abyss of death and time.” It
disturbs him that “the vast symbolic fields of the humanities no longer
form the shared matrix in which psychoanalytic work is organically
embedded.” The newer studies of shame and self-esteem—only a few of
which will be considered here, a small selection from a huge
outpouring—owe very little to the best psychoanalytic tradition and
suffer accordingly.

The decline in quality is immediately evident. The value of Donald
Nathanson’s *Shame and Pride,* the most ambitious of these studies, is
inversely proportional to its pretensions. Nathanson wants to show that
shame performs certain functions that contribute to psychic equilibrium.
There may be some truth in this, but it hardly qualifies as an “entirely
new way of thinking” about shame, an “entirely new theory for the nature
of human sexuality,” an “entirely new mode of study.” Nathanson’s
ambitious system often seems to yield more than banalities. “Shame will
occur whenever desire outruns fulfillment.” “Shame affect is triggered
any time interest or enjoyment is impeded.” “Life is full of impediments
to positive affect.” “It seems that nearly everybody needs an inferior.”

Nathanson thanks Wurmser for unstinting “support and assistance”—a
tribute to Wurmser’s generosity if not to his judgment. Nathanson’.s
approach exemplifies precisely the behaviorism that Wurmser cautioned
against. It treats “shame affect” as a “unique biological mechanism,” It
aims to “return psychology entirely to biological science” and to banish
“mysticism.” It rests on a mechanistic model of the psyche as a
comptiter, a system for processing information. Evidently struggling for
scientific precision, Nathanson writes much of the time in a barbarous
jargon in which “startle” becomes a noun and “dissmell” refers to the
recoil from unpleasant odors. He is deaf to the conversation of the
ages, and perhaps to his patients as well, since he reports no case
histories. As for his therapy, it seems to consist largely of drugs. “We
stopped the medication, and the symptom disappeared,” “All of these
symptoms vanished when he began to take the drug *fluoxetine.”* “She was
astonished to see these feelings of shame disappear when she resumed her
medication.”

In place of the interpretation of intrapsychic conflict, Nathanson
offers a mechanistic theory, derived from the work of Sylvan Tomkins, in
which affect acts as an “amplifier,” informing the organism of unruly
appetites in need of intelligent management. Shame, an essential
component in our “basic wiring pattern,” protects the organism “from its
growing avidity for positive affect.” By forcing us to “know and
remember our failures,” it acts as a “teacher.” Just what it teaches
remains a little unclear: to modify our expectations? to pursue more
realistic goals? Whenever his prose veers too close to clarity,
Nathanson interjects an explanation that defies explanation: It
\[shame\] is a biological system by which the organism controls its
affective output so that it will not remain interested or content when
it may not be safe to do so, or so that it will not remain in affective
resonance with an organism that fails to match patterns stored in
memory. In plain English, shame keeps us from taking ourselves too
seriously.

This seems to be the gist of it. Whereas Wurmser pleads for the “heroic
transcendence of shame” through love and work, Nathanson recommends a
kind of inoculation against shame—a healthy dose of shame in manageable
amounts, such as we find in the therapeutic comedy of Buddy Hackett,
that keeps it from becoming lethal. What he finds appealing, I take it,
is the lowering effect of Hackett’s bathroom humor. The reminder that no
one escapes “the call of nature,” as our grandmothers used to put it so
delicately, serves both to deflate self-importance and to mock false
modesty—all the more effectively, Nathanson seems to think, when it is
couched in coarse, uninhibited language. Hackett’s “comedy of
acceptance” reconciles us to our limitations, according to Nathanson.
I think it merely encourages us to lower our sights. There is a crucial
difference between the acceptance of limitations and the impulse to
reduce everything exalted to its lowest common denominator. “Acceptance”
becomes shameless, cynical surrender when it can no longer distinguish
between nobility and pomposity, refinement of taste and social snobbery,
modesty and prudery. Cynicism confuses delusions of grandeur, which call
for moral and therapeutic correction, with grandeur itself.

Cynicism, of course, is the last thing Nathanson intends to promote. He
wants only to replace shame with what he calls pride—a sense of
accomplishment based on acceptance of our limitations, but his vaccine
is worse than the disease. By recommending the deflation of ideals as
the prescription for mental health, he proposes, in effect, to cure
shame with shamelessness. This is itself a well-known defense (and, as
such, hardly a cure)—the strategy cogently identified by Wurmser as the
“lifelong reversal” of the “‘shameless’ cynic,” the transvaluation of
values by means of which “narcissistic grandiosity and contemptuousness
defend against a fatal brittleness and woundedness.” As Wurmser points
out, this defense now sets the tone of our culture as a whole:
Everywhere there is an unrestrained exposure of one’s emotions and of
one’s body, a parading of secrets, a wanton intrusion of curiosity....
It has ... become hard to express tender feelings, feelings of respect,
of awe, of idealization, of reverence. It almost belongs to the “good
tone” to be irreverent. It is no accident that in German and Greek,
words for shame are also words of reverence. The culture of
shamelessness is also the culture of irreverence, of debunking and
devaluing ideals. Trust in life carries the risk of disappointment, so
we inoculate ourselves with irreverence.

Even the most obtuse students of shame understand, in principle, that
shamelessness is a defensive strategy, not a real solution. In *No Place
to Hide,* Michael Nichols warns that “shamelessness is a reaction
formation against shame, a defiant, counter phobic attempt to deny and
overcome a profound inner fear of weakness.” But Nichols and his like
recognize the affinity between shamelessness and shame only in its most
blatant form. They can see shamelessness in “defiance” but not in their
own ideology of “acceptance,” The deflation of “extravagant
expectations”—Nichols’s favorite remedy for the oppressive sense of
failure—amounts to a milder version of Nathanson’s strategy of
existential distrust. Thus he warns against religion, which purveys
“oversimplified messages about right and wrong” and holds up
impossible standards—”a vision of righteousness that remains forever out
of reach.” The old religions preached the sinfulness of sex and divorce,
discouraged “understanding and acceptance.” Fortunately “today’s
enlightened ministers and rabbis are preaching a humanistic acceptance
of the self and the body.” Indeed, they are “more attuned to humanistic
concerns than most psychiatrists”— surely a backhanded compliment,
though Nichols intends it as high praise.

“The story of Adam and Eve,” in Nichols’s retelling, “reflects the
general awareness that children of nature don’t know shame; they have to
be taught.” From this Panglossian point of view, we can rid the world of
shame and many other evils simply by treating children with “empathy,”
engineering settings in which they can “feel good about themselves,” and
“validating their right to think and feel whatever they wish.” There is
some value in the advice to “let them be themselves,” if it helps to
discourage over management of children by adults. We do children a
terrible disservice, however, by showering them with undeserved
approval. The kind of reassurance they need comes only with a growing
ability to meet impersonal standards of competence. Children need to
risk failure and disappointment, to overcome obstacles, to face down the
terrors that surround them. Self-respect cannot be conferred, it has to
be earned. Current therapeutic and pedagogical practice, all “empathy”
and “understanding,” hopes to manufacture self-respect without risk. Not
even witch doctors could perform a medical miracle on that order.

The early Freudians warned against “prophylactic” misapplications of
psychoanalysis, as Anna Freud called them. They knew that a superficial
reading of Freud encouraged the notion that enlightened methods of
child-rearing could do away with suffering and neurosis. They countered
this foolish optimism with the reminder that growing up is never easy,
that children will never achieve maturity unless they work things out
for themselves. But the helping professions paid no attention to this
realism. In order to justify the expansion of therapeutic authority over
the family, the school, and large areas of public policy, they made
extravagant claims for their expertise. They set themselves up as
doctors not only to sick patients, but to a sick society.

By 1937 Karen Horney, one of the first of the Freudian revisionists, was
already insisting that “neurosis and culture” were problems “not only
for psychiatrists but for social workers and teachers,” for
“anthropologists and sociologists,” and for all those professionals,
indeed, who had become “aware of the significance of psychic factors” in
social life. Therapy was no longer the business of psychiatrists alone;
nor could it be confined to individuals. In an influential essay
published in the same year, the sociologist Lawrence Frank took the
position that society itself was the patient.

It is significant that this consensus took shape in the ‘30s, when the
designers of an emerging welfare state were trying to convince the
public that poverty and unemployment should not be attributed to lack of
individual enterprise, that the system (not the individual) was at
fault, that dependence on public relief was no disgrace, and that
self-help was an illusion. The first step toward economic recovery and
social justice, it appeared, was to “absolve the individual from guilt,”
as Frank put it, To the chagrin of reformers, however, many Americans,
even those victimized by unemployment, clung to an ethic of self-help
and refused to acknowledge the state’s responsibility to relieve
suffering or the individual’s right to relief. For liberals, the debates
touched off by the Depression and the New Deal appeared to confirm the
wisdom of therapeutic as opposed to ethical analysis of social problems.
The “conception of a sick society in need of treatment,” according to
Frank, was far more useful than conceptions stressing “human volition,
human autonomy, and individual responsibility.”

This has remained the dominant view, right down to the present day. It
has come to be widely shared even by “religious and ethical groups,”
singled out (along with lawyers) by Frank as bastions of the old ethic
of individual accountability. As Nichols says, the contemporary church
is just as “enlightened” as the helping professions. “Pastors ... speak
out about healthy self-esteem. You wouldn’t have heard this twenty years
ago.” His description of pastoral speech is accurate enough, but his
memory is much too short. The clergy began to see the light a long time
ago. The social gospel, an important influence in American Protestantism
since the turn of the century, had prepared them for the idea that
society is the patient. Henry J. Cadbury, a critic of the social gospel,
observed in 1937 that it had become the “staple diet of American
liberals,” who “affirm with one voice that society, not individuals
merely, is the subject of redemption.” Thirty years later the Harvard
theologian Harvey Cox argued in *The Secular City* that “the achievement
of health in place of neurosis on the individual level cannot be
separated from the restoration of wholeness to the entire society.”
Freud “concentrated on the sick individual in his therapy,” Cox
complained; but the sick individual could no longer be treated apart
from the “sick society.”

Low self-esteem is merely the latest form of social pathology commending
itself to specialists in the cure of souls. Il should not surprise us
when the new pathologists of shame announce that a “more articulated
theory” of shame, in the words of Michael Lewis, has “applicability to
the social as well as to the individual level.” Lewis readily embraces
the cliché that blacks and women are “shamed by the culture in which
they live,” in need of “understanding rather than humiliation.” Raising
their self-esteem, he thinks, would “eliminate many social problems.”
“The solution I propose,” he writes, “is a cognitive affective program
designed to reduce shame.”

Gloria Steinem, like Lewis, dwells at length on the social implications
of low self-esteem, especially in women. Feminists have criticized her
new book as a retreat from political involvements, but it is better
understood as another plea to the effect that politics and therapy are
indistinguishable. It is completely consistent with the dominant brand
of liberalism, a liberalism obsessed with the rights of women and
minorities, with gay rights and unlimited abortion rights, with the
allegedly epidemic spread of child abuse and sexual harassment, with the
need for regulations against offensive speech, and with curricular
reforms designed to end the cultural hegemony of “dead white European
males.” “Social justice,” as liberals have come to define it, now refers
to political therapies intended to undo the unwholesome effects of
“authoritarian,” “patriarchal” attitudes and to prevent anyone from
“blaming the victim.” The therapeutic discovery of shame finds its
political expression in remedial programs administered by caretakers
professing to speak on behalf of the downtrodden, but concerned above
all to expand their own professional jurisdiction. Steinem’s “revolution
from within” does not signal a flight from politics, only a continuation
of politics by other means.

Her therapeutic assault on shame requires political action for its
completion. As a salutary example, she recommends California’s Statewide
Task Force to Promote Self-Esteem. She maintains that although
journalists and politicians have ridiculed this noble experiment, it
showed that almost every social problem can be traced to a failure of
self-esteem. Self-contempt, the task force discovered, was a “primary
causal factor” in “crime and violence, alcohol abuse, drug abuse,
teenage pregnancy, child and spousal abuse, chronic welfare dependency,
and failure to achieve in school”—the “very problems,” Steinem adds,
that “Americans fear most.”

She does not bother to explain how the California task force arrived at
this finding—that is, by ignoring the reservations that were advanced by
the experts on whose testimony its report was based. Papers prepared for
the task force repeatedly spoke of the “paucity of good research”
linking low self-esteem to social pathology; but the chairman of the
body, John Vasconcellos, dismissed these reservations on the grounds
that they came from “those who only live in their heads, in the
intellectual.” The importance of self-esteem, he said, was confirmed by
“our intuitive knowledge.”

Steinem says nothing about the controversy surrounding the Vasconcellos
report. It is enough for her that California’s dubious example has been
initiated by other states and by California’s fifty-eight counties,
almost every one of which now has its own task force on self-esteem.
She, too, prefers to rely on “intuitive knowledge.” Her book overflows
with it. Children, she explains, should “feel loved and valued from the
beginning.” Most of us, however, were ignored or abused as children, and
since we all “continue to treat ourselves the way we were treated as
children,” we therefore abuse ourselves as adults. But a “unique and
true self resides in each one of us,” the discovery of which will set us
free. “The moment we find the true reason for some feeling that has an
irrationally powerful hold over us... the spell is broken.”

It is hard to see how anyone could take such stuff seriously, but it
commands automatic assent in many quarters and it provides much of the
rationale for an expansion of the welfare state. That liberal
“activists,” as Steinem refers to them admiringly, now find themselves
reduced to such slogans may indicate that welfare liberalism is
suffering from terminal fatigue. Is it really necessary to point out, at
this late date, that public policies based on a therapeutic model of the
state have failed miserably, over and over again? Far from promoting
self-respect, they have created a nation of dependents. They have given
rise to a cult of the victim in which entitlements are based on the
display of accumulated injuries inflicted by an uncaring society. The
politics of “compassion” degrades both the victims, by reducing them to
objects of pity, and their would-be benefactors, who find it easier to
pity their fellow citizens than to hold them up to impersonal standards,
the attainment of which would make them respected. Compassion has become
the human face of contempt.

Democracy once meant opposition to every kind of double standard. Today
we accept double standards—as always, a recipe for second-class
citizenship—in the name of humanitarian concern. We hand out awards
indiscriminately, hoping to give the recipients the illusion of
accomplishment. Having given up attempts to raise the general level of
competence, we are content to restrict it to the caring class, which
arrogates to itself the job of looking out for everybody else. The
professionalization of compassion does not make us a kinder, gentler
nation. Instead it institutionalizes inequality, under the pretense that
everyone is “special” in his own way. And since the pretense is
transparent, the attempt to make people feel good about themselves only
makes them cynical. “Caring” is no substitute for candor.

If psychotherapy has failed as politics, most recently as the politics
of self-esteem, it has also failed as a replacement for religion. The
founder of psychoanalysis believed that men and women would outgrow the
need for religion as they came to depend on their own resources. He was
wrong about that, as it turned out. Still, his kind of therapy
encouraged introspection, and it aimed at moral insight; and it was not
entirely unreasonable, therefore, to suppose that psychiatry could take
over the healing functions performed by priests and confessors—performed
very clumsily at that, according to Freud.

For some time now, however, the psychiatric profession has been moving
toward therapies aimed more at behavior modification than insight.
Whatever it has gained in the management of symptoms, often with the
help of drugs, bas been achieved at the expense of introspection. This
trend may be regrettable, but it is easy to see why psychoanalytic
therapies, in their classic form, no longer have much of a following in
the profession as a whole. They cost too much, last too long, and demand
too much intellectual sophistication from the patient. Even the most
enthusiastic admirers of the psychoanalytic method might be disconcerted
to read that one of Wurmser’s patients “abruptly” broke off analysis “in
the 1,172nd session.” Another patient of Wurmser’s remained in analysis
for eleven years. Still another “eventually killed herself by jumping
off a bridge.” When psychoanalytic treatment threatens to become
interminable and often ends in failure, sometimes after years of
intensive self-exploration, both doctors and patients understandably
turn to methods promising fast relief, even at the price of deep
understanding.

At its best, psychoanalytic theory exposes the moral and existential
dimension of mental conflict; but even then it cannot compete with
religion. Wurmser’s book on shame, a work in the grand tradition of
psychoanalytic speculation, reminds us that psychoanalytically informed
interpretation can reclaim ageless moral wisdom and deepen our
understanding of it. Reading Wurmser, we see why shame and curiosity
have always been so closely linked in people’s minds, why shame ought to
evoke feelings of awe and reverence, and why it refers, above all, to
the irreducible element of mystery in human affairs.

But this very depth of moral understanding, so compelling at the level
of moral theory, can also render psychoanalysis useless not only for
therapeutic purposes but also as a guide to the conduct of life. The
more it infringes on the territory once occupied by religion, the more
it invites unflattering comparisons with its rival. Can psychoanalysis
really do anything for people who suffer from an inner conviction of
“absolute unlovability”? Maybe religion is the answer after all. It is
not at all clear, at any rate, that religion could do much worse.
