---
created_at: '2016-08-11T19:05:13.000Z'
title: The Fall of Schwinn (1993)
url: http://www.chicagobusiness.com/article/19931009/ISSUE01/100018007/the-fall-of-schwinn-pt-1-of-2
author: chrissnell
points: 67
story_text: 
comment_text: 
num_comments: 50
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1470942313
_tags:
- story
- author_chrissnell
- story_12270819
objectID: '12270819'
year: 1993

---
Like the Chicago summer of 1992, Schwinn Bicycle Co.'s negotiations with
prospective buyers had turned cold.

On Aug. 26, Chief Operating Officer Ralph Day Murray delivered the
prognosis to an advisory board that included several Schwinn family
members and three outside businessmen.

No savior was coming, Mr. Murray reported. Schwinn was $75 million in
debt. It was losing $1 million a month. Suppliers were demanding cash
for bikes. And the banks were squeezing harder and harder.

Keck Mahin & Cate attorney Dennis O'Dea — a familiar face lately at
Schwinn's West Loop headquarters, where employees had morbidly dubbed
him "the Angel of Death" — added his grim assessment: A Chapter 11
petition already had been prepared, he told the gathering. Bankruptcy
was not an if. It was a when.

Keck Mahin & Cate attorney Dennis O'Dea — a familiar face lately at
Schwinn's West Loop headquarters, where employees had morbidly dubbed
him "the Angel of Death" — added his grim assessment: A Chapter 11
petition already had been prepared, he told the gathering. Bankruptcy
was not an if. It was a when.

Schwinn's outside board members glanced at one another, then asked for a
brief caucus. Mere advisers, they were powerless. Moments later, the
trio announced their joint resignations, effective immediately.

Tears welled in the eyes of Schwinn cousins Betty Dembecki and Debbie
Bailey. A century-old family company was dying as they watched. A proud
name and business tradition soon would be the province of $200-an-hour
lawyers, bankers and other vultures of commerce.

They looked at President and CEO Edward R. Schwinn Jr., the man
ultimately responsible for this mess.

As usual, Ed just sat, stone-faced and impenetrable.

"We are where we are," he'd answer matter-of-factly when family or
Schwinn executives criticized the company's deteriorating performance.

For his part, Ed had endured many emotional meetings in the past year,
Schwinn executives say. Ugly bouts filled with machinations and
recriminations from Betty, Debbie and other cousins and in-laws who
lived off the business but didn't know how to run it any better than he
did.

Ed had struggled for more than eight months as the company's fortunes
faded, trying to find some way to preserve the Schwinn dynasty. Maybe he
couldn't maintain the family's control. But at least members might hold
onto a minority stake.

It still could happen, he told colleagues.

It never did.

Six weeks later, Schwinn Bicycle Co. was in U.S. Bankruptcy Court,
pleading for federal protection from creditors who seemed ready to slice
up the company.

By year's end, most of the company was sold for $43.3 million in cash to
a partnership headed by Chicago financier Sam Zell. The 14 members of
the Schwinn family trust pocketed a paltry $2.5 million from the deal.

And Ed was sitting on the sidelines. For the first time in its 97-year
history, Schwinn Bicycle Co. would not be headed by a Schwinn.

What went wrong?

Ed Schwinn declined repeated requests to be interviewed for this
article, as did most Schwinn family members who had worked for the
closely held company or owned shares of it.

But six months of research, including interviews with more than 100
sources inside and outside the bicycle industry, reveals for the first
time exactly why and how Schwinn self-destructed.

It is a saga of spectacular failure. Of management blunders that
stretched across the globe. Of vengeance wreaked by former executives
and Asian suppliers. Of a family's insistence on retaining control and
rejecting outside capital until it was too late. Of two corporate
cultures — good old boys living in the past, MBAs flow-charting the
future — clashing while competitors raced by them both.

Most of all, it is a tale of a young CEO who wanted to save his company
but blew it. A man who ultimately alienated just about everyone he
needed — from relatives, employees and longtime dealers to lenders,
suppliers and bidders — with a world-class combination of arrogance,
carelessness and flawed judgment.

The Schwinn drama deepens when one considers that Ed might have had the
stuff to save the company, for he had saved it before.

Outside a small circle of company managers and bankers, no one knew that
a financial crisis in the early 1980s had wiped out most of the Schwinn
family's equity and brought the company to the brink of bankruptcy.

In fact, Schwinn hocked its name and patents to Harris Bank and Northern
Trust Co. in 1983 to preserve its borrowing power.

But when the company turned profitable again — the family regained
ownership of the Schwinn name in 1988 — Ed and his senior managers
breathed too easily too quickly. They embarked on a spending spree,
sinking too much time and money into ill-advised ventures with overseas
suppliers and domestic entrepreneurs.

Suddenly, they were dealmakers, not bikemakers. And the arrogance
returned.

Like so many family-owned companies, Schwinn faltered as its third and
fourth generations assumed leadership (see story on Page 33).

While the Schwinns aren't Rockefellers — their company's profits peaked
in 1986 at a modest $7.0 million — the family name is one of America's
most famous.

And Ed was born with a silver spoke in his mouth. He carried himself in
the Schwinn tradition: proud, stubborn, comfortable with his celebrity
status in the bike industry. But he possessed neither the drive of his
great-grandfather, company founder Ignaz Schwinn, nor the genius of his
grandfather, Frank W. Schwinn.

That's not uncommon for the later generations in any family company. Yet
Schwinn never was your typical family business.

It is a corporate rarity: a Great American Company, one that transformed
an industry and, at its height in the 1950s, commanded 25% of its
market. It also is something even rarer: a fond and wistful memory for
generations of children who pedaled, or pined for, its Excelsiors,
Phantoms, Sting-Rays and Varsitys.

"Schwinn is a company apart," says Stuart J. Meyers, publisher of the
New York trade magazine American Bicyclist and Motorcyclist. "Schwinn
has roots in every child's memory . . . every child up to a certain
age."

And therein lays the problem.

Schwinn was used to being the big wheel. It was a Chicago manufacturer
that produced some of the best bikes in the world. An R\&D leader that
innovated first or fastest. A marketer that sensed what Americans
wanted. A maker of merchants that set the highest of standards and, in
the process, built itself the strongest and smartest dealer network in
the business.

"Working for Schwinn, you were playing for the Yankees," says Allen
Singer, former president of Schwinn's Midwest sales operation.

"It was the pinnacle," says Jim Burris, a Sunnyvale, Calif., bike dealer
who in 1972 took a 60% pay cut to join Schwinn's West Coast salesforce.
"I wanted to work for Schwinn so bad. They were like IBM. You got
prestige. You got respect. You commanded respect."

But some top executives grew sloppy and complacent in the 1970s and
'80s, living high on swollen expense accounts and spending more time on
golf carts than bicycles. They stopped looking over their shoulders,
instead coasting on their reputation for innovation and quality just
when younger and more active consumers began demanding lighter and more
adventurous bikes.

Some dealers flagged warnings — they were the front lines, after all —
but too often, management failed to respond.

"We figured because it said 'Schwinn,' people would buy it," says Brian
Fiala, former vice-president of human resources.

"Schwinn fell into the same trap that the auto industry did: They
thought they knew the pulse," says Marin County, Calif., cycling guru
Gary Fisher, widely credited with inventing the mountain bike in the
1970s — a bicycle that Schwinn's engineers literally laughed at.

This was no time to get uppity.

The rise in the 1960s and '70s of Asian-based parts manufacturers and
bikemakers — especially Japan's Shimano Inc., which today dominates the
market for bike components the way Intel Corp. dominates computer chips
— was turning U.S. bicycle companies into mere assemblers of
increasingly standardized parts.

To his credit, Ed Schwinn embraced the global marketplace. Under his
administration, the company became an enthusiastic customer of the new
manufacturers. Its margins were fatter, the globe-trotting and
deal-making headier.

But Schwinn was inexperienced in the world arena, and botched its Asian
relationships.

For instance, Ed Schwinn found an efficient and accommodating supplier
in then-tiny Giant Manufacturing Corp. of Taiwan. But he handed over
four-fifths of Schwinn's bicycle production to Giant without gaining an
equity stake.

By the time Schwinn wised up and diversified sourcing in the late 1980s,
it had created a formidable competitor that was selling its own
attractively priced brand of bikes in the United States. When Schwinn
went into Bankruptcy Court, Giant was one of its largest trade
creditors, and President Tony Lo may have had more motive to kill the
beleaguered company than to save it.

"They expected to get in bed with the Chinese," Mr. Fisher says of
Schwinn, "and the Chinese ate 'em for breakfast."

Even as Schwinn went offshore for bikes, Ed maintained the company's
heritage as manufacturer to ensure control over product quality and
pricing. He would buy stakes in overseas factories in China and Hungary
and invest in a high-tech plant in Mississippi, so as not to abandon
Schwinn's made-in-America tradition.

The problem was not so much the strategy as the execution. Schwinn
heaped too much on its plate and diverted attention from its core
mission — designing good, marketable bikes.

For much of this century, Schwinn produced bikes from a Northwest Side
factory complex that, during its peak in the early '70s, employed 1,800
people and cranked out more than 1 million cycles annually.

But like too many Midwest metal-benders, Schwinn didn't invest enough in
new technology. Union organizing only stiffened the family's resolve not
to sink more money into its aging plant.

A 1980 strike sealed the factory's fate: It would be closed three years
later. Today, the Kildare Avenue site is a vacant lot of weeds and
broken glass.

Wanting to maintain domestic production, Schwinn launched a plant in the
union-free but remote town of Greenville, Miss. The move proved
disastrous. The poorly managed plant never made a dime, racking up
losses of more than $30 million in 10 years.

And dealers shuddered at the inferior bikes shipped from Greenville each
season. "You found yourself repairing the bikes as you were assembling
them," says Terry Gibson, a veteran dealer in Downstate Normal.

Meantime, youthful new American brands came on the scene, challenging
Schwinn's control of the independent bicycle market.

Trek Bicycle Corp. of Waterloo, Wis., appealed to affluent adults and
proved it was possible to manufacture successfully in the United States.
And Specialized Bicycle Components Inc. of Morgan Valley, Calif.,
commercialized Gary Fisher's mountain bike ideas and ultimately
dominated the pricier market niches.

"A lot of people were carving the turkey," says Bernie Kotlier,
executive vice-president of Long Beach, Calif.-based Lawee Inc., which
markets Univega bikes. "Everyone got their piece."

Except Schwinn. Its marketshare dwindled to about 12% in 1979 — Ed's
first year as president — only to sink further during the 1980s, to 5%
by 1992.

Schwinn could have overcome its obstacles. Its name maintains a grip on
baby boomer imaginations. And Schwinn could have gone public or taken on
minority investors to ensure growth and financial security.

More radical voices in the industry called for Ed to reinvent the
company, casting off some dealers if necessary and selling the famous
Schwinn name in the Sportmarts or Kmarts of the world.

But in the end, Ed never articulated a broad vision that could keep his
troops pedaling in the same direction.

He launched bold initiatives. But the moves were too grand for a company
the size of Schwinn, whose annual sales never exceeded $212 million.

He lacked the attention to detail needed to make his ambitious projects
succeed. And because of executive turnover, the onus kept returning to
him.

Some colleagues and dealers find him charming, unpretentious, capable —
an articulate spokesman for Schwinn and the cycling industry.

But others saw a different side.

Ed, they say, just couldn't gut it out. He hated to hear bad news. He
was buffeted by competing management agendas. And he was known to slip
out of important meetings or never show up at all.

To the banks, Ed seemed dangerously flip. As tensions rose in 1992,
lenders' confidence in him declined, and they made no bones about their
desire to see Ed step aside as chief executive.

"I'll do that before I let this company go down the tubes," he told COO
Mr. Murray in the summer of 1992.

He never kept that vow.

Now, with the family tie severed, Schwinn has lost its last reason to be
in Chicago. New owner Scott Sports Group — run by Idaho sporting goods
entrepreneur Charles T. Ferries but controlled by Chicago's
Zell-Chilmark Fund L.P. — is relocating Schwinn's headquarters to the
fitness mecca of Boulder, Colo.

Most bike industry observers say Schwinn has a strong shot at
rebounding. Tougher and more experienced management is in charge now.
And Sam Zell's participation ensures that Schwinn will be well-financed.

"An extraordinary nameplate with an extraordinary franchise that was
allowed to deteriorate," says Mr. Zell, explaining his attraction to the
company.

It was a long and tortured deterioration, one with lessons for many
businesses, large and small. What follows is the story of that decline.
And how a Great American Family failed to stop it.

**THE BEGINNINGS**

If one word defines the Schwinn clan, it is headstrong.

That can be a compliment, when the headstrong man knows what he is
doing.

It is something else when he doesn't.

Company founder Ignaz Schwinn always knew what he was doing. At least,
he always seemed to. When the 88-year-old died of a stroke in 1948,
condolences from customers and even competitors approached veneration.

Ignaz was the "dean of our industry," wrote the CEO of Huffman
Manufacturing Co., maker of Huffy bikes.

The "Henry Ford of the bicycle industry," mourned the leader of a cycle
parts association.

No false praise. Ignaz was a German immigrant who had turned a small
Chicago bike factory into one of the best-known businesses in America. A
demanding chief executive who, with his son, Frank W., had resuscitated
a lifeless industry in the 1930s with innovations that captured the
imaginations of American children and made Schwinn a synonym for
bicycle.

And he did it the old-fashioned way: his way.

"Ignaz was a typical Schwinn: hardheaded and stubborn," says Niles
resident Rudolph Schwinn, a retired Schwinn engineer whose grandfather
and Ignaz were brothers.

He was a gruff little bulldog of a man.

Schwinn old-timers tell a tale, perhaps apocryphal, of a production
worker in the 1920s who wanted to buy a stripped-down bike frame from
Ignaz.

"How much?" the worker asked.

Ignaz quoted the price of a complete bicycle.

"Why so much?" the worker wondered.

"Because you had to have stolen the parts if all you need is a frame,"
Ignaz answered, "so I'll charge you for the entire bicycle."

Frank W. once told trade magazine publisher Stuart Meyers: "My father
was a stern man of the old school. He did not spoil his children."

So, the young Schwinn was stupefied when his father gave him a raise
soon after he joined the company, then pointed to a new car in front of
the plant. "That's for you," Ignaz barked. "If you're going to make a
fool of yourself, I'd rather know about it now."

Ignaz was tough, but then, so was his background.

He was born April 1, 1860, in Germany's Baden province, the bourgeois
boy of a piano factory owner. His father died when Ignaz was 11,
however, and money for vocational school soon dried up. He was forced to
apprentice as a machinist, then wander the country as a migrant factory
worker.

Bicycles were the hot new technology in the last quarter of the century,
attracting such mechanically minded men as Henry Ford and the brothers
Wilbur and Orville Wright.

And young Ignaz Schwinn.

He rode to higher and higher positions in German cycle factories —
usually leaving, according to Schwinn Bicycle Co. lore, when his bosses
wouldn't embrace his ideas for improving parts or production.

At 30, he emigrated to America with his wife, Helen, arriving in the
manufacturing magnet of Chicago in 1891.

Still more restlessness: A short stint with a local bikemaker was
followed by several apparently unhappy years designing and opening a
bicycle factory for International Manufacturing Co.

"The enterprise was not managed to his liking," reports an official
Schwinn history, "and in 1894, he severed his connection."

Later that year, Ignaz found his angel in Adolf Arnold, a successful
Chicago investor, banker and meatpacking executive.

Mr. Arnold knew an opportunity when he saw one. The bike business was
booming, with the nation in the grip of a cycling craze spurred by the
recent invention of easy-to-ride two-wheelers (see story on Page 24).

By the mid-1890s, the building of bicycles had become a $60-million
industry. Annual production surpassed 500,000 units. Then 700,000 . . .
800,000. One million. "Bicycle men today assert that theirs is the
largest specific manufacturing industry in America," reported Munsey's
Magazine in 1896.

Heady stuff. And Chicago was its hub: Fully two-thirds of all bikes and
accessories were made within 150 miles of the city, according to the
1898 Chicago Bicycle Directory.

More than 30 factories bustled along Lake Street west of the Loop during
the late 1890s, their 6,000 workers churning out cheaper and cheaper
product for such major merchants as The Fair department store — which
sold up to 1,000 bikes a day from its colossal store straddling State,
Adams and Dearborn streets — and Chicago-based mail-order giants
Montgomery Ward & Co. and Sears, Roebuck and Co.

Into this frenzy jumped Messrs. Arnold and Schwinn, who incorporated
their Arnold Schwinn & Co. in 1895 and rented a building at Lake and
Peoria streets.

Mr. Arnold let his expert run the venture. It proved a wise decision.

Ignaz was a master manufacturer. He built both his own World brand and
bikes for retailers that slapped on their labels — including Sears, one
of Schwinn's earliest customers.

And he had a flair for marketing. The company sponsored a World team of
racers who smashed speed barriers around the globe — and earned ink in
the many cycling publications of the era. At an 1896 race in Garfield
Park, Bearings magazine reported, "Mr. Schwinn took the liveliest
interest . . . and hoped that records would be broken in the home city."

Initial sales hardly were out of this world — about 25,000 units
annually at first. But Schwinn's star was rising.

Not so for most of the rest of the industry, where a too-crowded field
of 300 cycle makers hacked one another into oblivion.

Between 1897 and 1898, the price of a top-of-the-line bike snapped in
half — to $50 wholesale from $100. Cheaply made bikes were fetching $20
retail.

Worse, adults stopped cycling as the automobile age revved up. By 1905,
national bicycle production had plunged to 250,000 units annually from a
dizzying high of 1.2 million units just six years earlier. Only a dozen
factories survived the shake-up.

Schwinn fared well through the turmoil. It even expanded and relocated
its headquarters in 1901 to 1856 N. Kostner Ave., its home for the next
85 years.

Key to Schwinn's survival was its relationship with Sears, then the
largest peddler of Schwinn-made bikes. In fact, Sears accounted for up
to 75% of Schwinn's sales in some of the years before World War I.
(Later, Ward's was a major customer, with volume reaching one-third of
all Schwinn sales in the early 1920s.)

Despite such patrons, the automobile made the bike business a bust for
the next 30 years.

Adolf Arnold bailed out — Ignaz bought his partner's shares in 1908,
making the Schwinn family sole owner (although no one bothered changing
the name until the late '60s.)

And Ignaz turned his attention to the new field of motorcycles with his
purchase in 1911 of Excelsior Motor Manufacturing & Supply Co. Chicago
telephone books from the 1920s list Ignaz as "president-treasurer,
Excelsior Motor" — no word on the family bike business.

Frank W. shared his father's passion for making motorcycles. "You will
have to get up early in the morning if you get to the Excelsior factory
in Chicago before Frank Schwinn is at his desk," reported American
Bicyclist and Motorcyclist magazine in 1921, "for Frank is the son of
his father when it comes to being on the job."

Excelsior motorcycles had a reputation for engineering and pizzazz —
especially the trade show models, accented in sparkling white enamel.
But as the market for motorcycles waned in the late 1920s, Schwinn
squeezed the brakes.

Ignaz and F. W., as Frank was now called in executive circles, shut down
the sputtering motorcycle operations and ordered their engineers to
focus on bicycles. Their first order of business was to reinvent a
product that hadn't changed much in a generation.

Children were the primary market now. But their choice of products was a
few brands that looked alike.

In the depths of the Great Depression, Schwinn's plan was to reap new
profits by making bikes bigger and flashier — by making something swell,
something that Junior would weep for, something that Ma and Pa would
have to buy this Christmas or they'd never ever hear the end of it.

Thus, the balloon-tire bicycle — rolling on a whopper of a tread more
than two inches wide, with thick nobs that pinched pavement and lasted
lots longer than those piddly, 1½-inchers all the other kids rode.

Introduced in 1933, the balloon tire was an instant hit. And Schwinn
shipments ballooned 137% to 107,200 by 1935, the year the new tire
became the standard in the industry.

A string of styles and gimmicks were introduced, all chased by
double-digit sales increases.

In 1934 came the Streamline Aerocycle — "built like an airplane
fuselage," read the trade ads.

In 1935, the Cycleplane, with its sweeping lines, rounded tank,
chromium-plated headlight and electric horn button on the handlebar.

Chastened competitors like Huffy and Murray soon began introducing new
designs, too. But Schwinn was on a roll.

It introduced the built-in Cyclelock (with cheaper theft insurance via
Schwinn), the front-wheel brake, the cantilever frame (another future
industry standard) and the Paramount line of exquisitely designed
European-style racing bikes.

All told, the company was awarded more than 40 patents during the '30s.
Annual production hit 346,000 by 1941.

Schwinn had led the bicycle industry out of the Depression.

It also had led another portion of the bike industry: the upper end that
was moving toward the independent dealer and away from the mass
merchants.

As early as the 1920s, Schwinn was growing disenchanted with its major
retail customers. Sears, especially, had been leaning on Schwinn to use
cheaper suppliers.

"Sears supposedly told F. W., 'Your bike is too good,'" says former
Schwinn marketing chief Ray Burch. "The Old Man blew his stack: 'Don't
tell me how to build my bike\!'"

Whatever happened, the relationships with Sears and Ward's were over by
the 1930s. After World War II, Schwinn's only major chain store customer
would be tire dealer B. F. Goodrich.

By 1948, the company would make its last private-label bike. Henceforth,
F. W. told workers proudly, Schwinn would sell only Schwinn. And it
would create the nation's strongest network of independent bicycle
dealers, all selling premium-priced Schwinns at a premium profit for
him.

F. W. was firmly in charge now. In fact, he'd been running the operation
for years. After all, Ignaz was in his 80s — a widower growing feeble,
old-timers recall, a blind man with a cane who'd pinch a nurse's behind
one moment and ramble unintelligibly the next.

Still, when Ignaz did shuffle into headquarters, it often was at his
customary early hour. And he always was escorted by F. W., who tended to
his father at work and at the family's Humboldt Park home.

An American Bicyclist correspondent once told F. W. he was impressed
with the son's show of devotion.

"I love that old gentleman," was F. W.'s unadorned response.

Apparently, so did many others. And if not love, then at least respect.

When Ignaz died in 1948, hundreds of floral arrangements flooded the
funeral home — bountiful offerings, including a full-size bicycle made
of flowers, from competitors, customers, cyclists.

Yet one tribute was most heartfelt. Draping the casket was a blanket of
lilies bearing the single word "Father."

**THE HEYDAY**

Frank W. Schwinn flung a pair of pliers on his desk, smashing its glass
top. Following up a complaint about defective pedals, he'd taken them
apart and found they indeed were flawed.

The boss buzzed for General Manager Bill Stoeffhaas, demanding that he
summon the factory's chief inspector.

"The Old Man was shaking, he was so mad," recalls Mr. Burch, sales
promotion manager at the time.

"You let this stuff in with my name on it," F. W. yelled at the hapless
inspector. "Get out, before I say something I shouldn't."

F. W. was demanding, to say the least. At the Schwinn Bicycle Co. of the
1950s, he ran a tight ship.

Schwinn was capitalizing on postwar prosperity and revved-up demand for
consumer goods. And this was its heyday — the era of the Black Phantom,
the top-of-the-line balloon-tire bike introduced in 1949 that gripped
many a young heart for the next 10 years.

The Phantom was an instant American classic. Priced high, $80 to $90, it
was a beauty swathed in chrome, its fenders gleaming as you opened the
garage door. And it was built like a truck, confidently taking
subdivision curbs head-on.

"It was like the '57 Chevy convertible," says James L. Hurd, curator of
the Schwinn family's substantial collection of bicycles and memorabilia.
"Upon looking at it, you just wanted one."

The crush for Phantoms and other Schwinns had the Northwest Side factory
producing more than 400,000 bikes a year. Marketshare peaked in 1950,
when Schwinn made one of every four bikes sold in America. Afterward, it
maintained a share in the mid-teens but rode a steadily growing market.
The outlook was rosy.

"35 million kids by 1960\!" exclaimed a 1951 edition of the in-house
newsletter, The Schwinn Reporter, citing expanding birth rate forecasts.
"Everyone engaged in the bicycle business is bound to gain."

F. W., however, had his worries. Foremost was his company's unwieldy
distribution system.

Schwinn was selling to almost anyone — some 15,000 retail outlets of
varying ilks, including pool halls, gas stations, barber shops and
funeral parlors. Yet Mr. Burch, hired from motorbike maker Whizzer Motor
Co. in 1950 to tame the merchandising monster, found that 27% of
Schwinn's retailers accounted for 94% of sales.

The problem, as Schwinn saw it, was that too many bikes were being
handled by people who didn't know or care much about them. That led to
faults in assembly or repair and a chorus of customer complaints —
disastrous for a company touting a "no-time-limit warranty."

During a training session at Marshall Field's, for instance, the sales
people "would sit and gab," recalls Mr. Burch, now retired and living
near San Diego. "They were toy department people interested in dolls and
toy trains. You can't make bike people out of them."

Even worse was "Joe's Bike Shop," the catch-all name that Schwinn
executives used to describe the back-alley dealer. Scratching his
T-shirted gut, drinking beer with his buddies while a kid fixed flat
tires in the dirt, ol' Joe wouldn't attract the new suburban family
willing to pay a premium for Schwinn bikes.

The solution, as fashioned by Mr. Burch, was to certify a corps of
several thousand credible bicycle dealers and weed out undesirables.

Schwinn executives called it franchising, although the parent company
never collected fees or royalties. The Department of Justice, however,
called it restraint of trade and waged a 10-year antitrust suit against
the company. It ended with a Supreme Court loss for Schwinn (see story
on Page 28) that spurred the company to cut loose its independent
distributors and spend heavily to set up its own warehouse network.

The retail winnowing of the '50s and '60s mainly involved cutting off
the hardware distributors, who handled about 15% of Schwinn's volume,
and dealing only to middlemen geared to the bike business.

Paul Oberlin, Schwinn's imposing but genial sales manager, reluctantly
broke the news to many longtime clients with his lip quivering: "I can't
sell you anymore."

"That's all right, Paul," one jobber consoled him.

"The guys almost felt sorry for us," recalls William P. Chambers,
Schwinn's veteran dealer relations manager.

But the strategy also required something else: developing a loyal dealer
infrastructure — the strongest in the business, even to this day.

In the '50s, '60s and '70s, Schwinn made merchants out of mom-and-pop
shops with training and assistance that no other company offered — from
traveling mechanics schools and budget and marketing analysis to
advertising co-ops and assistance in relocating and designing not just
bike shops, but "ultramodern Schwinn cycleries."

The goal was 100% Schwinn sales. And the company often succeeded:
Approximately 75% of its 1,700 dealers sold Schwinn exclusively by the
late 1970s.

Not all dealers would be — or could be — 100% Schwinn, especially in
sophisticated East and West Coast cycling markets.

Still, the minimum requirement was 50% of floor space devoted to
Schwinn, according to the dealership agreement. And the company's sales
and marketing forces religiously pressed dealers to up their Schwinn
counts — mostly through persuasion, but sometimes through bullying.

The prototype of what the company came to call its "total concept store"
was established by George Garner, a top-selling Southern California
dealer who moved to Northbrook in the early 1960s to open several North
Shore cycleries and consult for Schwinn.

Mr. Garner was Uberdealer, the kind of man a good Schwinn dealer should
strive to be. Fit, friendly and faithful to all things Schwinn, Mr.
Garner was the company's No. 1 seller for 19 years. In a row.

"My heart and soul was with Schwinn," he says today at age 70, still
running his Northbrook store. "I always said, 'If you cut open a vein,
the word Schwinn would come out.'"

Schwinn repeatedly trumpeted Mr. Garner's recipe for success: big,
brightly lit stores on the main drag of town; spotless, organized and
stocked with row after row of sparkling bikes beckoning passers-by to
come on in and give 'em a ride.

No grubby mechanics here; they wore white lab coats. No digging for oily
spare parts; they were polished and encased in glass, like jewels at
Tiffany's. Mr. Garner's standard offer to less-than-satisfied customers:
"What can I do to make things right?"

Basic merchandising by today's standards, but almost unheard of in the
bike business 40 years ago.

Mr. Garner regularly offered his merchandising wisdom in a monthly
column for The Schwinn Reporter.

The sprightly house organ and marketing tool was filled with news and
advice, horror stories about the evil chain stores and inspirational
dealer success stories. Read the legend on one 1952 article: "Put 'em on
the bike, feed 'em with the info, watch 'em buy . . . is the sales
technique employed with zest and honesty by Scotty's Bike Shop, Compton,
Calif., a 100% Schwinn dealer."

The formula worked, judging by the rising ranks of dealers making a
middle-class living selling Schwinn — and the growing number of wives
wearing furs in photos of regional dealer meetings.

Just as F. W. worked to strengthen the independent dealer, he kept the
factory on a tight leash.

"You couldn't change the nuts, screws and bolts on a bike without his
approval," recalls Al Fritz, who began his 40-year Schwinn career in the
factory and rose to executive vice-president, the No. 2 post.

As with the defective pedals, any flaw would make F. W. cranky.

"The Old Man walked through the factory, looking at parts," Mr. Fritz
recalls. "If he found a defective piece in a 50-gallon drum, it would
hit the fan. He'd catch my eye or press a buzzer. The riot act would
go."

Although he cast a long shadow in the factory, F. W. was slight, frail
and something of a hypochondriac.

"His drawer was full of pills," recalls Mr. Chambers, the dealer
relations manager, "and he had thick books on medicine."

F. W. lived comfortably but not ostentatiously. He was chauffeured daily
to the factory from his Humboldt Park home. He spent weekends at a
second house on Lake Geneva and wintered near Palm Beach, Fla., mailing
to Chicago envelopes stuffed with designs drafted on the lightest of
tissue paper.

He never cut a wide swath in Chicago society, preferring low-key
pastimes like fishing in Lake Geneva.

As F. W.'s health worsened in the early 1960s, Mr. Fritz became more
active in design work.

He got a call one Saturday morning from a West Coast sales manager.
"Something goofy is going on," the manager told Mr. Fritz. "The kids are
buying used 20-inch bikes and equipping them with Texas longhorn
handlebars."

"Send me the handlebars." Mr. Fritz said.

The result was the Sting-Ray, with its distinctive high-rise handlebars,
banana seat and elongated sissy bar.

Mr. Fritz was working on the prototype when F. W. died of prostate
cancer in April 1963. He had combed the dictionary looking for a name,
and was struck by a picture of a stingray. "It reminded me of the bike,"
he says.

On the morning of F. W.'s funeral, Mr. Fritz invited three visiting
distributors to look at a model. "They laughed at me," Mr. Fritz says.
"They thought it was a joke."

But the bike, which mimicked the era's hot rod craze, turned out to be
hot stuff among kids, who snapped up nearly 2 million Sting-Rays between
1963 and 1968.

"I dig the crazy styling," a Milwaukee bike buyer scribbled on a Schwinn
comment card in 1964.

"You're not cool unless you have a Schwinn," another wrote in 1965.

Cool? And how. Here was a vehicle made for popping wheelies, perfect for
carting a pal on the handlebars — or a girl on the back of the banana
seat. (For girls, Schwinn soon introduced the smooth-tired Slik Chik.)

Again, the industry followed Schwinn: During the mid-1960s, the
Sting-Ray style, generically called a "high-rise" by competing
manufacturers, accounted for more than 60% of bikes sold in the U.S.

And again, Schwinn held its lead among independent dealers by presenting
variations on a theme: the Fastback five-speed stick shift attached to
the frame, the Fair Lady, the Little Chik and the wildly popular Krate
series — the Orange Krate, Apple Krate, Lemon Peeler, Cotton Picker and
Pea Picker.

In 1968, nearly 250 Schwinn dealers sold 1,000 or more bikes — earning
membership in the venerable 1000 Club — up from fewer than 50 in 1963.

The Sting-Ray fad faded by the late '60s, but Schwinn had its sturdy,
10-speed Varsity to pick up the slack.

The Varsity was the first mass-produced multispeed bike in the U.S. At a
relatively affordable $70, it appealed to kids between 11 and 18 and,
slowly at first, to an adult market whose interest in cycling was
bubbling.

Schwinn would crank out 400,000 Varsitys a year by the early 1970s.
Because it was built for older children, the company made the 10-speed
durable and dependable — not like those skinny European models you
occasionally saw whizzing down the street.

"They overbuilt it to withstand abuse, and people (of all ages) loved
it," says dealer Chris Travers of La Mirada, Calif.

Schwinn quality was legendary, and rightly so. A Colorado customer wrote
the company in 1975, "Just wondering whether to replace the tires on my
wife's 1940 Schwinn New World bike."

Mr. Fritz tells of a Southern Illinois dealer who stood on the chain
guard of a child's bike to show that it wouldn't crumple. An effective
sales tool, yes. But competitors soon complained: Customers were doing
comparative shopping and experimenting on their bikes, and the chain
guards were collapsing.

That reputation ensured steady growth — production rose an average 10%
annually in the 1960s — and generated satisfying enough profits.

In prosperous times, say informed sources, annual dividends to the
Schwinn family trust that owned the company ranged from $800,000 to $1.2
million.

Best-remunerated was Ignaz "Brownie" Schwinn II, F. W.'s colorful and
high-living nephew, who owned a full third of the trust by the 1970s and
earned an additional salary traveling the country to golf, drink and
schmooze with dealers.

Presiding over all this prosperity was F. W.'s oldest son, Frank V., who
was about as different from dad as a son could get.

Studious and introverted, Frankie, as he was called by colleagues,
"showed some of the marks of being the son of a very strong father,"
says American Bicyclist Publisher Stuart Meyers. "He had a slight
stammer. He was quiet — very serious, and very serious about the
company."

For years, Frankie shared an office with his father, making finance and
marketing his specialty. He maintained copious records of Schwinn's
volume and profitability stretching back to the 1890s and hand-colored
maps of the United States — county by county — to determine which
Schwinn dealers and distributors did their jobs and which didn't.

Like F. W. and grandfather Ignaz, Frankie could be a tough executive.

In 1971, he threatened to cancel a dealer's franchise following several
customer complaints. "I must tell you most frankly," said a letter from
Frankie excerpted in The Schwinn Reporter, "I will not tolerate
discourtesy in the sale of a Schwinn bicycle under any circumstances by
any Schwinn dealership, regardless — I repeat, regardless of volume of
business."

But compared to his father, old-timers say, Frankie just couldn't
measure up.

"He was a cold fish — a terrible public speaker," says retired dealer
Robert J. Letford of Pinole, Calif.

Under Frankie's tenure, which began in 1963, when he was 43, most
management powers were ceded to the outgoing Mr. Burch and the polished
Mr. Fritz. Some observers credit the third-generation Schwinn for
recognizing his limitations. But there would never again be a Schwinn as
chief executive with F. W.'s drive, stature and intensity.

Like his father, Frankie was unpretentious. He drove an Oldsmobile,
freeing up the Cadillac and the company's chauffeur for his mother,
Gertrude, and his sister-in-law, Mary.

He married once, in 1964, but the union lasted less than six months. "He
didn't say much," recalls Mr. Chambers, "except that it cost him a pile
of money."

Under Frankie's watch, new rivalries developed at Schwinn.

His only brother, Edward (father of Edward Schwinn Jr.), also had toiled
in the shadow of his domineering father. But Edward was younger,
gregarious and, most important, ran the factory from an office separate
from F. W.

Edward came to resent what he saw as lavish budgets of the sales and
marketing units.

"He complained the marketing department had money to spend, and he
didn't have money for machines," Mr. Chambers recalls.

The complaint largely was justified: The factory got short shrift during
the tail end of the '60s, when the company spent more than $1 million
fighting and losing the Justice Department's antitrust case.

"They didn't keep manufacturing up-to-date," says former Schwinn
distributor Harry Manko, now president of Service Cycle Supply Co. in
Commack, N.Y., which markets the competing Mongoose line.

Edward was a jovial fellow: He owned a beaver-skin coat, was fond of
performing vaudeville numbers in an ersatz German accent and once drove
an Army vehicle downtown. But he wasn't taken seriously by many at the
company, although "Frankie always treated him with affection," Mr. Burch
recalls.

Edward developed leukemia and died in 1972 at age 48, leaving his wife,
Mary, Ed Jr. and four other children. Yet his mistrust of the
high-flying sales and marketing types simmered within his family — and
it stuck in the craw of his oldest son when Ed Jr. succeeded his Uncle
Frankie as president in 1979.

If sales and marketing executives let the good times roll, well, that
reflected the way much of America did business in the 1960s.

Schwinn executives caucused with suppliers at posh settings like Pebble
Beach, Calif., or Greenbrier, W. Va., at confabs that usually included
morning business sessions, afternoons of golf and long evenings at the
19th hole.

Regional meetings to honor dealers who sold 500 or 1,000 Schwinn bikes
in a year always featured steak dinners, plaques and diamond or ruby
lapel pins.

The rallies bloated as more and more dealers prospered via Schwinn. In
1973, the company produced a lollapalooza for dealers and their spouses
at the Fontainebleau Hotel in Miami Beach. One beguiling evening, Mr.
Chambers recalls, Schwinn hosted cocktails and a dinner-dance for 1,990,
with entertainment by singer Anita Bryant. The tab: more than $35,000.

Schwinn could afford to be lavish. It — and the rest of the industry —
was in the middle of a nationwide boom that saw annual production more
than double to 15.2 million bikes in 1973 from 6.9 million in 1970.

Sales had been heating up since the late 1960s: Schwinn's Chicago
factory cranked out 1 million bicycles in one year for the first time in
1968.

By the early 1970s, almost everyone wanted bikes — not just kids or
college students, but adults young and old.

Explanations range from the influence of the ecology movement to the
first OPEC oil embargo to an increased interest in fitness among adults
with more leisure time on their hands.

Whatever the reasons, crowds lined the streets before stores opened.
Inside, "it was like sale day at Macy's — people fought over the same
bike," says Mr. Travers, the La Mirada, Calif., dealer.

"You didn't have to know how to sell a bike," says Normal dealer Terry
Gibson. "All you had to do was have one."

Larry Parker of Pasadena, Texas, recollects working in his family's
store when a customer who'd just bought a Varsity returned for another.

"What happened?" Mr. Parker says he asked.

"I tied the bicycle to a tree," the customer answered, "and someone cut
down the tree."

Although the good times were rolling (in 1974, the company earned a
record $6.2 million on sales of $135 million), ominous signs pointed to
some of the troubles to come.

Schwinn for decades had told its dealers that the company could supply
all their needs. And it had been the standard-bearer in quality, with
little domestic competition in the independent dealer market.

Now, its dealers were on allocation and begging for more bikes. Frankie
had to tell them, Get bikes wherever you can.

To some extent, that's something many Schwinn dealers on the East and
West coasts had always done. But for 100% Schwinn dealers, especially
those in the Heartland, it was a first taste of forbidden fruit.

"They brought in Raleigh, Japanese brands, anything," says Allen Singer,
former president of Schwinn Sales Midwest. "They found there were other
bikes out there, and that the other bikes were not all that bad."

Then, the boom ended. In 1975, nationwide bicycle sales cracked in half,
to 7.3 million units.

"It took (only) four years to get our garages full of bikes," says Pat
Murphy, former vice-president of Schwinn Sales Midwest.

But the genie was out of the bottle. During the boom, Made-in-America
Schwinn itself started importing its first bikes from two Japanese
factories.

"That legitimized us and others," says Michael L. Bobrick, president of
competitor Western States Imports, which got its start importing
Japanese bikes. "And took away the Schwinn mystique."

**THE COMPETITION BEGINS**

The '70s bike boom revolutionized the industry in at least one way: It
brought new blood-investors and cycling enthusiasts lured by the call of
manufacturing profits or the sight of mom-and-pop shops suddenly making
50-, 60-, even a hundred-grand a year selling bikes.

"Everyone thought we were geniuses," recalls Villa Park Schwinn dealer
Jeff Allen.

Schwinn executives thought they were pretty smart, too, judging by the
back-slapping in photos documenting corporate outings to golf and beach
resorts. "We had the world by the tail on a downhill pull," says former
Marketing Director Ray Burch.

Yet something else seems clear in the pictures of middle-aged men
filling out kelly-green slacks and Banlon sport shirts: It had been a
long time since some of these guys had been on a bike.

Leaner and hungrier competitors already were developing and marketing
new styles and technologies that — just like Schwinn's Sting-Ray —
sprang from the garages of California kids.

In the San Fernando Valley, a bustling cottage industry was making
motorcross-style cycles with cast aluminum wheels that could survive the
muddy poundings of an off-road BMX race.

The craze attracted frame makers and welders from the motorcycle and
auto racing fields. Designer Skip Hess was one of the first to
commercialize the BMX bike, founding Mongoose Bicycle Co. in 1976, and
Gary Turner's GT brand later would become the biggest force in the BMX
market.

And in Marin County, 10-speed bike racers and mechanics were
reconfiguring 1930s balloon-tire bikes — including Schwinn Excelsiors —
with longer-lasting motorcycle brakes and gears so they could tear down
local mountain trails at speeds topping 30 mph.

Imported bike parts salesman Michael Sinyard was the first to mass
produce these so-called mountain bikes. It was a coup that helped turn
his Specialized Bicycle Components (corporate motto: "Innovate or die")
into a major force in top-of-the-line bikes. By 1992, his company's
sales would hit an estimated $140 million.

Schwinn engineers and executives initially scoffed at the California
fads.

"It was puzzling to me to see a company that wasn't moving" after such
markets, Mr. Sinyard says in retrospect. "I thought, 'Maybe this is the
way a big company acts.'"

Truth was, Schwinn was nearly oblivious to the West Coast bike culture,
concedes Pat Murphy, former sales manager of the company's Midwest sales
arm. "Schwinn didn't know there were mountains west of the Rockies."

It wasn't watching its backyard, either.

In Waterloo, Wis., Richard A. Burge and Bevil Hogg were building a
lighter-weight road bike for affluent, fitness-minded adults.

Its starting price, $279, was $100 more than Schwinn's least expensive
model. But the co-founders of Trek Bicycle Corp. — 1992 sales: about
$175 million — correctly calculated that the upper end of the market was
untapped.

"We caught the baby boomer who wanted something different and was
willing to spend more," says Mr. Burke, now president of Trek parent
Intrepid Corp.

To the consternation of many Schwinn dealers during the 1970s and '80s,
customers started asking for lighter road bikes and off- road BMX and
mountain bikes. They weren't in the Schwinn product line at first, so
the more ingenious dealers started reconfiguring what they had.

"We took Sting-Rays and changed the handlebars," says San Diego dealer
Michael H. McKittrick.

CEO Frank V. Schwinn had made a deliberate decision in the early 1970s
to stay away from the BMX market. He was worried that Schwinn would be
the target of personal injury lawsuits as the result of racing
accidents.

The fear was not unfounded: The Consumer Product Safety Commission had
just published a study of accident injuries that called bicycles "the
most dangerous consumer product" in America.

Schwinn soon found itself on the defensive as younger bike buyers
embraced the competition. It was an inexplicable situation to many in
the company. After all, executives had long believed, Schwinn was the
market.

When a dealer at a sales and management session during the early 1970s
criticized the company for the lack of lightweight bikes, the Schwinn
representative retorted, "Are you gonna ride it or carry it?" says
dealer Chris Travers of La Mirada, Calif.

Reps later suggested that dealers use scales to weigh their bikes in
front of customers and show that Schwinns weren't significantly heavier
than the new competition.

If that failed to impress, "they always had the excuse, 'Well, once you
got that bike rolling, weight didn't matter,'" says John Pelc, longtime
owner of Lincoln Cycle Center in Downstate Lincoln.

The customer wasn't fooled.

"When people thought 'Schwinn,' they thought 'tank,'" says dealer John
Lewis of Mill Valley, Calif. "They've never been able to shake that
image."

As dealers diversified and brought in new lines, Schwinn tried to throw
its weight around, rather than adapt and meet the competition.

Gary Sirota's Brands Cycle in Wantaugh, N.Y., for years had been one of
the nation's 10 biggest sellers of Schwinns, although the name accounted
for only 30% of bike sales at his bustling Long Island store.

In the middle of the 1978 season, Mr. Sirota says, Schwinn stopped
shipping him bikes. When he called to ask why, "I was told they'd yanked
my dealership."

Mr. Sirota says Schwinn offered him an ultimatum: "'You have to sell a
minimum of 80% Schwinn next year.' I said, 'Okay,' and signed on the
dotted line. And the next year, we kept our word."

But the experience left a sour taste. "They thought beating me up was
the way to sell more bikes here. I knew in my heart it was wrong — and I
mean that businesswise. You can't keep that up."

If Schwinn was lagging, much of the lapse could be blamed on the aging
Chicago factory, where the company simply had not invested in new
technology for lighterweight bikes.

In Chicago, the Varsity 10-speed was manufactured by electro- welding to
seal joints under high heat. That required relatively thick-walled steel
tubes and resulted in a heavier bike.

By contrast, Japanese firms had developed the lug-frame technology in
which the joints were connected by a separate fitting. This method used
brazing. accomplished at lower temperatures, and opened the way for
thinner-gauge steel and other metals — and, ultimately, a lighter bike.

Schwinn had expanded its manufacturing complex during the bike boom,
adding a new rim mill and warehouse. But it was a hodgepodge, and
production was inefficient. Workers ferried parts to a satellite station
on Ohio Street for welding into a frame. Then, the frame was sent back
to the main Kildare Avenue plant for final assembly and painting.

The central building dated to the turn of the century — and looked it,
with wooden floors and leaking roof. In the summer, temperatures inside
were so hot, "the chrome on the wheels would burn your skin," says Mary
Jones, a 12-year veteran of the plant.

"It was run-down," says Mr. Pelc of Lincoln, recalling a dealers' tour
in the 1970s. "It looked like a factory I worked in in Detroit right
after World War II. And I was on a tour — they were showing us the good
parts\!"

Even management cringed at the factory's condition. In early 1980, new
President Ed Schwinn asked his just-recruited vice- president of
finance, John Barker, to name the first thing he needed. Mr. Barker
joked, "An arsonist."

Schwinn had pursued the idea of building a new plant in the mid- 1970s,
spending $700,000 to buy 140 acres in an industrial area near Tulsa,
Okla., and hiring New York's Salomon Bros. Inc. to sell bonds to fund a
factory (it even had a prospectus printed in 1975).

The idea had been conceived during the bike boom. And its No. 1 advocate
was young Ed, who'd joined the company in late December 1972 and was
named vice-president of corporate development in November 1974.

Ed was bullish on Schwinn sales, predicting they'd grow to 2 million
units from the peak 1.5 million unit sold in 1974.

Instead, business was rolling to a halt. Recalls Mr. Burch, marketing
director at the time: "I made a conservative (sales) estimate and Ed was
incensed. He thought I was trying to kill the (Oklahoma) deal."

(Schwinn brass also considered ways to refurbish and expand the Chicago
plant. One tactic: Win tax breaks from Illinois officials eager to
preserve local jobs. In 1977, the dark-blue Checker car of then-Gov.
James R. Thompson frequently was parked in front of the corporate
offices on Kostner Avenue, and his daughter rode a pink Schwinn Pixie in
the building's halls, recalls former Vice-president Jay Townley.)

The Oklahoma initiative ultimately died. President Frank V. Schwinn and
other old-timers, such as cousin Brownie Schwinn, weren't eager to leave
Chicago.

When the board formally nixed the Oklahoma project in 1978, "Eddie went
ballistic," Mr. Burch recalls. "He came flying down the hall. 'Tulsa is
dead,' he said. 'You better get off your ass and sell bicycles.' He
never forgave me for it."

The price tag of the move — an estimated $30 million to $40 million —
proved too daunting for the closely held company. Frank V. wouldn't
consider taking on minority investors to help fund this kind of project.

"We got letters from people offering to buy the company, or a stake,"
says Al Fritz, then the No. 2 executive. "If we sold 25%, we could get
$20 million. But Frankie said, 'I'm never going to sell . . . . I don't
want anyone looking over my shoulder.'"

Selling a minority stake so Schwinn could build a modern plant and
control its destiny might have been prescient. But plans for the
Oklahoma factory called for using the fading welded-frame technology.
The plant would have become a dinosaur as soon as it opened.

So, Schwinn was stuck — for the moment — in its Chicago location, where
the family faced a changing workforce.

During the 1950s and '60s, management style had been paternal. The 1,200
or so factory workers were represented by in-house committees rather
than outside unions.

"Before, it was like a family," says worker Henry Mahone, who headed
Schwinn's independent shop union. "Everyone knew everybody's business."

But the relationship changed during the bike boom, as employment rose to
a peak of 1,800 workers.

From management's perspective, there were fewer familiar faces. The
ethnic mix in the neighborhood shifted from Polish and Irish immigrants
to black, Hispanic and Korean. The factory was cranking out bikes around
the clock, and during the second and third shifts, English wasn't
necessarily the primary language heard on the assembly lines.

From the workers' point of view, management became adversarial.

"Before, the supervisors were nice, considerate; they thanked you," says
Ms. Jones. "Then, management changed . . . a bunch of dogs. There wasn't
that kindness for the people."

Though there had been several unsuccessful attempts to organize the
factory, the issue that would make Schwinn workers receptive to the
organizing efforts of the United Auto Workers (UAW) was the lack of a
pension plan.

By September 1979, 70% of hourly workers had signed petitions in favor
of holding an election. Schwinn fought the union at every step with
legal maneuvers.

"The family had an attitude about bankers and unions," says Mr. Murphy
of Schwinn Sales Midwest. "They didn't want people telling them what to
do."

Management waged a campaign during the spring 1980 election to have no
union representation at all, not even the old committees.

"The old-timers didn't like that," says Mr. Townley, the former
vice-president. "If the company had supported the old shop union, it
would have won."

The UAW eked out a narrow victory. Workers elected Mr. Mahone president
of Local 2153. But management, he says, stonewalled when it came time to
negotiate a contract.

"They were not serious," Mr. Mahone says. The union called a strike in
October 1980.

The action surprised management, especially since Schwinn's labor
attorneys had predicted there wouldn't be a walkout, says Mr. Townley.

Before the strike, Schwinn had been importing 20% of its bikes — mainly
from Japan — and was buying a small number from an upstart Taiwan
company, Giant Manufacturing Corp.

When the union walked out, Schwinn asked Giant if it could rev up
production. Giant President Tony Lo had an answer for Mr. Townley within
24 hours: "A friend in need is a friend indeed."

Giant agreed to pump out bicycles for Schwinn — it shipped about 80,000
units over the next five months — with the understanding that the gravy
train would halt when the strike was over.

It was a smart move on Mr. Lo's part. Giant impressed Schwinn with its
quality, service and delivery. Schwinn would be back.

The strike was settled in February 1981 and the union got a modest
pension plan. But if the union won the battle, it lost the war, because
the strike laid the groundwork for the closing of the Chicago plant.

The presence of the union virtually ruled out future investments there,
says Peter Davis, former director of corporate planning and Ed Schwinn's
brother-in-law.

Yet Ed, elevated to the presidency in October 1979, was emotionally
committed to manufacturing, reflecting his father's bent. In the months
after the strike, the marketers who favored importing, led by Mr.
Townley, struggled with the factory loyalists. And the factory started
to die a slow death.

Managers boosted production to shrink the average cost per bike and make
the plant more profitable. (Schwinn had barely broken even in 1980, and
it would lose more than $5 million in 1981.)

Unfortunately, no one wanted the Varsitys the factory was cranking out
at the rate of more than 3,000 a day. Schwinn still was mired in the
mindset of manufacturing dictating to marketing.

By 1981, Group Vice-president John Nielsen, who had built Schwinn's
parts business into a substantial moneymaker, had replaced Mr. Burch in
the top marketing post. Mr. Nielsen soon realized that the 3,000 bikes a
day were piling up unsold.

"He had the office next to mine, and he had an intercom," says Mr.
Townley. "He buzzed me: 'Jay, get in here. You're right. We can't sell
these bikes.'"

When the imposing Mr. Nielsen presented his bleak assessment to Ed
Schwinn at a managers' meeting, the president flew into a rage.

"Ed shouted, 'If you can't sell them, I'll get someone who can,'" Mr.
Townley says.

No human could. But tempers escalated, say sources who attended the
meeting.

"Don't talk to me that way here," Mr. Nielsen responded to Ed. "I'll see
you in your office."

Mr. Nielsen stormed out of the room. Days later, he resigned.

Today, the retired Mr. Nielsen notes that the issue of unsold bikes
merely contributed to his decision to leave Schwinn.

More frustrating, he says, was the cultural change sweeping the company,
as Ed recruited brash MBAs who clashed with the old-timers.

"They were long on theory, short on reality and practice." Mr. Nielsen
says. "This was not what Schwinn was all about."

He was replaced in September 1981 by Bill Austin, a masterful schmoozer
who'd been vice-president of marketing and sales at Aladdin Industries,
a Tennessee maker of lunch boxes and thermos bottles.

Schwinn "had four warehouses full of merchandise," Mr. Austin recalls.
"I pulled the sales and marketing people together for a two-day meeting
and asked them, 'What do we need?'"

The bikes Schwinn needed, attendees answered, couldn't be produced by
the Chicago factory.

"Don't worry about the factory," Mr. Austin told his troops.

In this instance, time was on his side. As the plant's limitations
became increasingly obvious, Ed and other stalwarts began examining the
facility more critically.

The new Asian suppliers also strengthened the case against Chicago.
Having missed the BMX craze, the company asked Giant to produce a line
for spring 1982. The result — the Predator BMX — was a success.

"Once the strategy was determined, it was a matter of time," Mr. Austin
says.

Between the second half of 1982 and the third quarter of 1983, Mr.
Townley headed a task force charged with closing sections of the plant
and sourcing production elsewhere.

"As early as February 1981, at the bargaining table, I began to get the
sense they would shut Chicago," says the UAW's Mr. Mahone, noting that
after the strike, Schwinn called back only 65% of the hourly workforce.
"They made comparisons between what they could import and what they were
paying Schwinn workers here."

During the strike, Schwinn had formulated plans to open a second
factory, far from Chicago and its union woes. A task force selected
Greenville, Miss.

The site was puzzling. Greenville sits about 75 miles from the nearest
interstate. Getting there from Chicago required a flight to Memphis,
Tenn., then either a connecting commuter flight or a nearly three-hour
drive. And few managers wanted to relocate to Greenville.

But there was one prime attraction: Mississippi, as a right-to- work
state, wasn't hospitable to unions.

After years of debating where to invest in a new factory, Schwinn had
finally found its spot. A Greenville plant with up-to- date bike-making
technology opened in 1981.

Back in Chicago, workers watched more and more production transferred
elsewhere. The end was inevitable. Soon, there were just 200 workers.
Then, 92.

"When I left, there were four to five maintenance people," Mr. Mahone
says.

Ed Schwinn had beaten the union. But he couldn't have devised a more
Pyrrhic victory. The closing of Chicago and opening of Greenville
ultimately proved a disaster — a black hole that swallowed the family's
equity, sucked in millions of additional dollars and spat out bikes of
astoundingly poor quality.

"My mechanics didn't like putting together a Schwinn," says dealer John
Lewis of Mill Valley, California's mountain bike capital. "A dealer's
salesforce is also the mechanics and assembly force. If they don't want
to put together a Schwinn, they won't want to sell one, either."

It was a vicious downward spiral — one of several crises that would spin
the company to the edge of insolvency in the early 1990s and, finally,
into Bankruptcy Court in 1992.

Ed was in charge now. And he was shaking up Schwinn. Out would go the
old-timers, like Messrs. Fritz and Burch. In would come his own
management, a younger crew who thought they could regain Schwinn's lost
reputation in bicycles and return the company to the top.

Ed had the right destination. But the great-grandson of Ignaz and
grandson of F. W. was steering Schwinn in the wrong direction.

*Journalist Drew Wilson contributed to this article from Hong Kong.*

© Crain Communications Inc.
