---
created_at: '2017-06-12T18:12:43.000Z'
title: 'Grammar Puss: The fallacies of the language mavens (1994)'
url: https://newrepublic.com/article/77732/grammar-puss-steven-pinker-language-william-safire
author: Tomte
points: 51
story_text: 
comment_text: 
num_comments: 31
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1497291163
_tags:
- story
- author_Tomte
- story_14539492
objectID: '14539492'
year: 1994

---
Of course, forcing modern speakers of English to not—whoops, not
to—split an infinitive because it isn't done in Latin makes about as
much sense as forcing modern residents of England to wear laurels and
togas. Julius Caesar could not have split an infinitive if he had wanted
to. In Latin the infinitive is a single word such as "facere," a
syntactic atom. But in English, which prefers to build sentences around
many simple words instead of a few complicated ones, the infinitive is
composed of two words.Words, by definition, are rearrangeable units, and
there is no conceivable reason why an adverb should not come between
them:

Space—the final frontier.... These are the voyages of the starship
Enterprise. Its five-year mission: to explore strange new worlds, to
seek out new life and new civilizations, to boldly go where no man has
gone before.

To "go boldly" where no man has gone before? Beam me up, Scotty; there's
no intelligent life down here. As for outlawing sentences that end with
a preposition (impossible in Latin for reasons irrelevant to English)—as
Winston Churchill said, "It is a rule up with which we should not put."

But once introduced, a prescriptive rule is very hard to eradicate, no
matter how ridiculous. Inside the writing establishment, the rules
survive by the same dynamic that perpetuates ritual genital mutilations
and college fraternity hazing. Anyone daring to overturn a rule by
example must always worry that readers will think he or she is ignorant
of the rule, rather than challenging it. Perhaps most importantly, since
prescriptive rules are so psychologically unnatural that only those with
access to the right schooling can abide by them, they serve as
shibboleths, differentiating the elite from the rabble.Throughout the
country people have spoken a dialect of English, some of whose features
date to the Early Modern English period, that H.L. Mencken called The
American Language. It had the misfortune of not becoming the standard of
government and education, and large parts of the "grammar" curriculum in
U.S. schools have been dedicated to stigmatizing it as sloppy speech.

Frequently the language mavens claim that nonstandard American English
is not just different, but less sophisticated and logical. The case,
they would have to admit, is hard to make for nonstandard irregular
verbs such as "drag/drug" (and even more so for conversions to
regularity such as "feeled" and "growed"). After all, in "correct"
English, Richard Lederer noted, "Today we speak, but first we spoke;
some faucets leak, but never loke. Today we write, but first we wrote;
we bite our tongues, but never bote." At first glance, the mavens would
seem to have a better argument when it comes to the loss of
conjugational distinctions in "He don't" and "We was." But then, this
has been the trend in standard English for centuries. No one gets upset
that we no longer distinguish the second person singular form of verbs,
as in "thou sayest." And by this criterion it is the nonstandard
dialects that are superior, because they provide their speakers with
second person plural pronouns like "y'all" and "youse."

At this point, defenders of the standard are likely to pull out the
notorious double negative, as in "I can't get no satisfaction."
Logically speaking, they teach, the two negatives cancel out each other;
Mr. Jagger is actually saying that he is satisfied. The song should be
titled "I Can't Get Any Satisfaction." But this reasoning is not
satisfactory. Hundreds of languages require their speakers to use a
negative element in the context of a negated verb. The so-called "double
negative," far from being a corruption, was the norm in Chaucer's Middle
English, and negation in standard French, as in "Je ne sais pas" where
"ne" and "pas" are both negative, is a familiar contemporary
example. Come to think of it, standard English is really no
different. What do "any," "even" and "at all" mean in the following
sentences?

I didn't buy any lottery tickets. I didn't eat even a single french
fry. I didn't eat junk food at all today.

Clearly, not much: you can't use them alone, as the following strange
sentences show:

I bought any lottery tickets. I ate even a single french fry. I ate junk
food at all today.

What these words are doing is exactly what "no" is doing in nonstandard
English, such as in the equivalent "I didn't buy no lottery
tickets"—agreeing with the negated verb. The slim difference is that
nonstandard English co-opted the word "no" as the agreement element,
whereas standard English co-opted the word "any."

A tin ear for stress and melody along with an obliviousness to the
principles of discourse and rhetoric are important tools of the trade
for the language maven. Consider an alleged atrocity committed by
today's youth: the expression "I could care less." The teenagers are
trying to express disdain, the adults note, in which case they should be
saying "I couldn't care less." If they could care less than they do,
that means that they really do care, the opposite of what they are
trying to say. But the argument is bogus. Listen to how the two versions
are pronounced: 

> COULDN'T care                  I

>                       LE                        CARE                  

> i                         ESS                              LE

>                                                 could          ESS

The melodies and stresses are completely different, and for a good
reason. The second version is not illogical, it's sarcastic. The point
of sarcasm is that by making an assertion that is manifestly false or
accompanied by ostentatiously mannered intonation, one deliberately
implies its opposite. A good paraphrase is, "Oh yeah, as if there were
something in the world that I care less about."

Through the ages, language mavens have deplored the way English speakers
convert nouns into verbs. The following verbs have all been denounced in
this century: to caveat, to input, to host, to nuance, to access, to
chair, to dialogue, to showcase, to progress, to parent, to intrigue, to
contact, to impact.

As you can see, they range from varying degrees of awkwardness to the
completely unexceptionable.In fact, easy conversion of nouns to verbs
has been part of English grammar for centuries. I have estimated that
about a fifth of all English verbs were originally nouns. Consider the
human body: you can "head" a committee, "scalp" the missionary, "eye" a
babe, "stomach" someone's complaints and so on—virtually every body part
can be "verbed" (including several that cannot be printed in a family
journal of opinion).

What's the problem? The concern seems to be that fuzzy-minded speakers
are eroding the distinction between nouns and verbs. But once again, the
person on the street is not getting any respect. A simple quirk of
everyday usage shows why the accusation is untrue. Take the baseball
term "to fly out," a verb that comes from the noun "pop fly." The past
form is "flied," not "flew" and "flown"; no mere mortal has ever flown
out to center field. Similarly, in using the verb-from-noun "to ring the
city" (form a ring around), people say "ringed," not "rang." Speakers'
preference for the regular form with "-ed" shows that they tacitly keep
track of the fact that the verbs came from nouns. They avoid irregular
forms like "flew out" because they sense that the baseball verb "to fly"
is different from the ordinary verb "to fly" (what birds do): the first
is a verb based on a noun root, the second, a verb with a verb root.

The most remarkable aspect of the special status of verbs-from-nouns is
that everyone feels it. I have tried out examples on hundreds of
people—college students, people without college educations, children
as young as 4. They all behave like good intuitive grammarians: they
inflect verbs that come from nouns differently than plain old verbs. So
is there anyone, anywhere, who does not grasp the principle? Yes—the
language mavens. Uniformly, the style manuals bungle their explanations
of "flied out" and similar lawful examples.

I am obliged to discuss one more example: the much vilified "hopefully."
A sentence such as "Hopefully, the treaty will pass" is said to be a
grave error. The adverb "hopefully" comes from the adjective "hopeful,"
meaning "in a manner full of hope." Therefore, the mavens say, it should
be used only when the sentence refers to a person who is doing something
in a hopeful manner. If it is the writer or reader who is hopeful, one
should say, "It is hoped that the treaty will pass," or "If hopes are
realized, the treaty will pass," or "I hope the treaty will pass."

Now consider the following:

(1) It is simply not true that an English adverb must indicate the
manner in which the actor performs the action. Adverbs come in two
kinds: "verb phrase" adverbs such as "carefully," which do refer to the
actor, and "sentence" adverbs such as "frankly," which indicate the
attitude of the speaker toward the content of the sentence. Other
examples of sentence adverbs are "accordingly," "basically,"
"confidentially," "happily," "mercifully," "roughly," "supposedly" and
"understandably." Many (such as "happily") come from verb phrase
adverbs, and they are virtually never ambiguous in context.The use of
"hopefully" as a sentence adverb, which has been around for at least
sixty years, is a perfectly sensible example.

(2) The suggested alternatives, "It is hoped that" and "If hopes are
realized," display four sins of bad writing: passive voice, needless
words, vagueness, pomposity.

(3) The suggested alternatives do not mean the same thing as
"hopefully," so the ban would leave certain thoughts
unexpressible. "Hopefully" makes a hopeful prediction, whereas "I hope
that" and "It is hoped that" merely describe certain people's mental
states. Thus you can say, "I hope the treaty will pass, but it isn't
likely," but it would be odd to say, "Hopefully, the treaty will pass,
but it isn't likely."

(4) We are supposed to use "hopefully" only as a verb phrase adverb, as
in the following:

Hopefully, Larry hurled the ball toward the basket with one second left
in the game. Hopefully, Melvin turned the record over and sat back down
on the couch eleven centimeters closer to Ellen.

Call me uncouth, call me ignorant, but these sentences do not belong to
any language that I speak.

I have taken these examples from generic schoolmarms, copy editors and
writers of irate letters to newspaper ombudsmen. The more famous
language mavens come in two temperaments: Jeremiahs and Sages.

The Jeremiahs express their bitter laments and righteous prophesies of
doom. The best-known is the film and theater critic John Simon. Here is
a representative opening to one of his language columns:

"The English language is being treated nowadays exactly as slave traders
once handled the merchandise in their slave ships, or as the inmates of
concentration camps were dealt with by their Nazi jailers."

What grammatical horror could have inspired this tasteless comparison,
you might ask? It was Tip O'Neill's redundantly referring to his "fellow
colleagues."

Speaking of the American Black English dialect, Simon says:

Why should we consider some, usually poorly educated, subculture's
notion of the relationship between sound and meaning? And how could a
grammar—any grammar—possibly describe that relationship?... As for "I
be," "you be," "he be," etc., which should give us all the
heebie-jeebies, these may indeed be comprehensible, but they go against
all accepted classical and modern grammars and are the product not of a
language with roots in history but of ignorance of how language works.

This, of course, is nonsense from beginning to end (Black English is
uncontroversially a language with its own systematic grammar), but there
is no point in refuting this malicious know-nothing, for he is not
participating in any sincere discussion. Simon has simply discovered the
trick used with great effectiveness by certain comedians, talk show
hosts and punk rock musicians: people of modest talent can attract
attention, at least for a while, by being unrelentingly offensive.

The Sages, on the other hand, typified by the late Theodore Bernstein
and by William Safire himself, take a moderate, commonsense approach to
matters of usage, and they tease their victims with wit rather than
savaging them with invective. I enjoy reading the Sages, and have
nothing but awe for a pen like Safire's that can summarize the content
of an anti-pornography statute as, "It isn't the teat, it's the
tumidity." But the sad fact is that even Safire, the closest thing we
have to an enlightened language pundit, misjudges the linguistic
sophistication of the common speaker and as a result misses the target
in most of his commentaries and advice. To prove this charge, I will
walk you through parts of one of his columns, from the October 4, 1992,
New York Times Magazine.

The first story was a nonpartisan analysis of supposed pronoun case
errors made by the two candidates in the 1992 presidential
election. George Bush had recently adopted the slogan "Who do you
trust?," alienating schoolteachers across the nation who noted that
"who" is a subject pronoun and the question is asking about the object
of "trust." One would say "You do trust him," not "You do trust he," and
so the question word should be "whom," not "who."

In reply, one might point out that the "who/whom" distinction is a relic
of the English case system, abandoned by nouns centuries ago and found
today only among pronouns in distinctions such as "he/him." Even among
pronouns, the old distinction between subject "ye" and object "you" has
vanished, leaving "you" to play both roles and "ye" as sounding
archaic. Though "whom" has outlived "ye," it is clearly moribund, and
already sounds pretentious in most spoken contexts. No one demands of
Bush that he say, "Whom do ye trust?" If the language can bear the loss
of "ye," why insist on clinging to "whom"?

Safire, with his reasonable attitude toward usage, recognizes the
problem, and proposes:

Safire's Law of Who/Whom, which forever solves the problem troubling
writers and speakers caught between the pedantic and the
incorrect: "When whom is correct, recast the sentence." Thus, instead
of changing his slogan to "Whom do you trust?"—making him sound like a
hypereducated Yalie stiff—Mr. Bush would win back the purist vote with
"Which candidate do you trust?"

Telling people to avoid a problematic construction sounds like common
sense, but in the case of object questions with "who," it demands an
intolerable sacrifice. People ask questions about the objects of verbs
and prepositions a lot. Consider the kinds of questions one might ask a
child in ordinary conversation: "Who did we see on the way home?," "Who
did you play with outside tonight?," "Who did you sound like?"

Safire's advice is to change such questions to "Which person...?" or
"Which child...?" But the advice would have people violate the most
important maxim of good prose: omit needless words. It also subverts the
supposed goal of rules of usage, which is to allow people to express
their thoughts as clearly and precisely as possible. A question such as
"Who did we see on the way home?" can embrace one person, many people or
any combination or number of adults, babies and familiar dogs.Any
specific substitution such as "Which person?" forecloses some of these
possibilities. Extremism in defense of liberty is no vice. Safire should
have taken his observation about "whom" to its logical conclusion and
advised the president that there is no reason to change the slogan, at
least no grammatical reason.

Turning to the Democrats, Safire gets on Bill Clinton's case, as he puts
it, for asking voters to "give Al Gore and I a chance to bring America
back." No one would say "give I a break," because the indirect object of
"give" must have objective case. So it should be "give Al Gore and me a
chance."

Probably no "grammatical error" has received as much scorn as the
"misuse" of pronoun case inside conjunctions (phrases with two parts
joined by "and" or "or"). What teenager has not been corrected for
saying "Me and Jennifer are going to the mall"? The standard story is
that the object pronoun "me" does not belong in the subject position—no
one would say "Me is going to the mall"—so it should be "Jennifer and
I." People tend to misremember the advice as, "When in doubt, say
\`so-and-so and I,' not \`so-and-so and me,'" so they unthinkingly
overapply it, resulting in hyper-corrected solecisms like "give Al Gore
and I a chance" and the even more despised "between you and I."

But if the person on the street is so good at avoiding "Me is going" and
"Give I a break," and even former Rhodes Scholars and Ivy League
professors can't seem to avoid "Me and Jennifer are going" and "Give Al
and I a chance," might it be the mavens that misunderstand English
grammar, not the speakers? The mavens' case about case rests on one
assumption: if a conjunction phrase has a grammatical feature like
subject case, every word inside that phrase has to have that grammatical
feature, too. But that is just false.

"Jennifer" is singular; you say "Jennifer is," not "Jennifer are." The
pronoun "she" is singular; you say "She is," not "She are." But the
conjunction "She and Jennifer" is not singular, it's plural; you say
"She and Jennifer are," not "She and Jennifer is." So a conjunction can
have a different grammatical number from the pronouns inside it. Why,
then, must it have the same grammatical case as the pronouns inside
it? The answer is that it need not. A conjunction is not grammatically
equivalent to any of its parts. If John and Marsha met, it does not mean
that John met and that Marsha met. If voters give Clinton and Gore a
chance, they are not giving Gore his own chance, added on to the chance
they are giving Clinton; they are giving the entire ticket a chance. So
just because "Al Gore and I" is an object that requires object case, it
does not mean that "I" is an object that requires object case. By the
logic of grammar, the pronoun is free to have any case it wants.

In his third story Safire deconstructs a breathless quote from Barbra
Streisand, describing tennis star Andre Agassi: "He's very, very
intelligent; very, very, sensitive, very evolved;... He plays like a Zen
master. It's very in the moment."

Safire speculates on Streisand's use of the word "evolved": "its change
from the active to passive voice—from \`he evolved from the Missing
Link' to \`He is evolved'—was probably influenced by the adoption of
involved as a compliment."

These kinds of derivations have been studied intensively in linguistics,
but Safire shows here that he does not appreciate how they work. He
seems to think that people change words by being reminded of rhyming
ones—"evolved" from "involved," a kind of malapropism. But in fact
people are not that literal-minded. New usages (such as "to fly out")
are based not on rhymes, but on systematic rules that change the
hundreds of words' grammatical behavior of dozens of words in the same
precise ways.

Thus Safire's suggestion that "very evolved" is based on "involved" does
not work at all. For one thing, if you're involved, it means that
something involves you (you're the object), whereas if you're evolved,
it means that you have been doing some evolving (you're the
subject). The problem is that the conversion of "evolved from" to "very
evolved" is not a switch from the active voice of a verb to the passive
voice, as in "Andre beat Boris" to "Boris was beaten by Andre." To
passivize a verb you convert the direct object into a subject, so "is
evolved" could only have been passivized from "Something evolved
Andre"—which does not exist in contemporary English. Safire's
explanation is like saying you can take "Bill bicycled from Lexington"
and change it to "Bill is bicycled" and then to "Bill is very bicycled."

This breakdown is a good illustration of one of the main scandals of the
language mavens: they show lapses in elementary problems of grammatical
analysis, like figuring out the part-of-speech category of a word. In
analyzing "very evolved," Safire refers to the active and passive voice,
two forms of a verb.But the preceding adverb "very" is an unmistakable
tipoff that "evolved" is not being used as a verb at all, but as an
adjective. Safire was misled because adjectives can look like verbs in
the passive voice, and are clearly related to them, but they are not the
same thing. This is the ambiguity behind the joke in the Bob Dylan
lyric, "They'll stone you when you're riding in your car; They'll stone
you when you're playing your guitar.... Everybody must get stoned."

This discovery steers us toward the real source of "evolved." There is a
lively rule in English that takes the participle of certain intransitive
verbs and creates a corresponding adjective:

a leaf that has fallen —\> a fallen leaf

snow that has drifted  —\> the drifted snow

a man who has traveled widely —\> a widely traveled man

Take this rule and apply it to "a tennis player that has evolved," and
you get "an evolved tennis player." This solution also allows us to make
sense of Streisand's meaning. When a verb is converted from the active
to the passive voice, the verb's meaning is conserved: "Dog bites man"
to "Man is bitten by dog." But when a verb is converted to an adjective,
the adjective can acquire idiosyncratic nuances. Not every woman who has
fallen is a fallen woman, and if someone stones you you are not
necessarily stoned. We all evolved from a missing link, but not all of
us are evolved in the sense of being more spiritually sophisticated than
our contemporaries.

Safire then goes on to rebuke Streisand for "very in the moment":

This very calls attention to the use of a preposition or a noun as a
modifier, as in "It's very in," or "It's very New York," or the ultimate
fashion compliment, "It's very you." To be very in the moment (perhaps a
variation of the moment or up to the minute) appears to be a loose
translation of the French au courant, variously translated as "up to
date, fashionable, with-it" ...

Once again, by patronizing Streisand's language, Safire has misanalyzed
its form and its meaning. He has not noticed that:

The word "very" is not connected to the preposition "in"; it's connected
to the entire prepositional phrase "in the moment."

Streisand is not using the intransitive "in," with its special sense of
"fashionable"; she is using the conventional transitive "in," with a
noun phrase object "the moment."

Her use of a prepositional phrase as if it were an adjective to describe
some mental or emotional state follows a common pattern in
English: "under the weather," "out of character," "off the wall," "in
the dumps," "out to lunch," "on the ball" and "out of his mind."

It's unlikely that Streisand was trying to say that Agassi is au
courant, or fashionable; that would be a put-down implying shallowness,
not a compliment. Her reference to Zen makes her meaning clear:that
Agassi is good at shutting out distractions and concentrating on the
game or person he is involved with at that moment.

The foibles of the language mavens, then, can be blamed on two blind
spots: a gross underestimation of the linguistic wherewithal of the
common person, and an ignorance of the science of language—not just
technical linguistics, but basic knowledge of the constructions and
idioms of English, and how people use them.

Unlike some academics in the '60s, I am not saying that concern for
grammar and composition are tools to perpetuate an oppressive status quo
and that The People should be liberated to write however they
please. Some aspects of how people express themselves in some settings
are worth trying to change. What I am calling for is a more thoughtful
discussion of language and how people use it, replacing bubbe-maises
(old wives' tales) with the best scientific knowledge available. It is
ironic that the Jeremiahs' wailing about how sloppy language leads to
sloppy thought are themselves hairballs of loosely associated factoids
and tangled non sequiturs. All the examples of verbal behavior that the
complainer takes exception to for any reason are packed together and
coughed up as proof of The Decline of the Language: teenage slang,
sophistry, regional variations in pronunciation and vocabulary,
bureaucratic bafflegab, poor spelling and punctuation, pseudo-errors
like "hopefully," government euphemism, nonstandard grammar like
"ain't," misleading advertising and so on (not to mention occasional
witticisms that go over the complainer's head).

I hope to have convinced you of two things. Many prescriptive rules are
just plain dumb and should be deleted from the handbooks. And most of
standard English is just that, standard, in the sense of standard units
of currency or household voltages. It is just common sense that people
should be encouraged to learn the dialect that has become the standard
in their society. But there is no need to use terms like "bad grammar,"
"fractured syntax" and "incorrect usage" when referring to rural, black
and other nonstandard dialects (even if you dislike "politically
correct" euphemism): the terms are not only insulting, but
scientifically inaccurate.

The aspect of language use that is most worth changing is the clarity
and style of written prose. The human language faculty was not designed
for putting esoteric thoughts on paper for the benefit of strangers, and
this makes writing a difficult craft that must be mastered through
practice, feedback and intensive exposure to good examples. There are
excellent manuals of composition that discuss these skills with great
wisdom—but note how their advice concentrates on important practical
tips like "omit needless words" and "revise extensively," not on the
trivia of split infinitives and slang.

As for slang, I'm all for it\! I don't know how I ever did without "to
flame," "to dis" and "to blow off," and there are thousands of now
unexceptionable English words such as "clever," "fun," "sham," "banter"
and "stingy" that began life as slang. It is especially hypocritical to
oppose linguistic innovations reflexively and at the same time to decry
the loss of distinctions like "lie" versus "lay" on the pretext of
preserving expressive power. Vehicles for expressing thought are being
created far more quickly than they are being abandoned.

Indeed, appreciating the linguistic genius of your ordinary Joe is the
cure for the deepest fear of the mavens: that English is steadily
deteriorating. Every component of every language changes over time, and
at any moment a language is enduring many losses. But the richness of a
language is always being replenished, because the one aspect of language
that does not change is the very thing that creates it: the human mind.

Steven Pinker is Johnstone Professor of Psychology at Harvard and the
author of The Stuff of Thought.

**For more TNR, become a fan
on [Facebook ](http://www.facebook.com/thenewrepublic)and follow us
on [Twitter](http://twitter.com/tnr).**
