---
created_at: '2017-12-25T10:24:44.000Z'
title: Electronic Loneliness (1995)
url: http://www.mediamatic.net/5909/en/electronic-loneliness
author: doots
points: 43
story_text: 
comment_text: 
num_comments: 7
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1514197484
_tags:
- story
- author_doots
- story_16003560
objectID: '16003560'
year: 1995

---
Post-sociologists disguised as trend tasters are projecting all their
reborn enthusiasm onto the home. Their concern is directed at the army
of out-of-action white- and blue-collar workers, who will be taken out
of their state of anomie and unproductivity thanks to home terminals.
Individual enthusiasm for techno-gadgetry is being transformed into the
hope of a new economic élan. It turns out that installing new media in
your own home provokes a labour situation. The combination of data
highway and enhanced television will inevitably lead to the return of
cottage industry in the form of virtual looms. The countryside will
bloom again, traffic jams disappear, the environment will be spared and
the family restored. And in all reasonableness, who wouldn't want that?

In the age of the shop floor, the open-plan office, the canteen and the
meeting room, a political work climate still existed. One could still
speak of spatially proximate and visible hierarchical relationships
within a technically integrated division of labour. Engagement in
material production fostered a compelling solidarity. This laid fertile
ground for the corporate dreams of the 20th century, from Fordism and
Taylorism to Japanese management and New Age. Labour unions ensured the
pacification of always-latent labour unrest. After World War II in the
West there thus arose a configuration which guaranteed a manageable
social dynamic. Until the perpetual restructuring finally resulted in
empty factories. Passion for socialism and communism disappeared just as
soundlessly. The social question thus shifted from the factory gates to
people's front doors. The home has thereby become the object of fantasy
for political economists and other social visionaries.

Those who take early retirement are no longer motivatible and are de
facto written off. This grey mass belongs to the industrial past, is
using up the last of the welfare state's money and is otherwise left
alone. But these were the people who consciously dedicated themselves to
home furnishing. The post-war generations discovered the home as leisure
object and mirror of the ego. Remodelling and renovation became the way
they filled their lives, and their relationship therapy (an open kitchen
in an open marriage). It all came down to the order of purchase and
correct arrangement of refrigerator, stereo, living room furniture,
floor lamp, motorcycle, lawnmower, blinds and washing machine. Means of
communication occupied a privileged place: the car for outside and the
television for inside. The house was a recovery centre where you got
what was coming to you: a sheltered space where family ideals were
practised. The fatal turn came with the delayed insight that people were
working on a realised utopia which was impossible to stand for long. The
complete collection of comforts became dead capital. The social function
of the familial reception room died out and made place for an active and
temporary arrangement of support functions geared towards the
individual. The excess of dusty knickknacks has made way for a strictly
selected mix of sterile objects. A combination of stylized and
functional ambience ensures the house is ready to be turned into a
workplace.

Visions of home tele-work are on a par with wishful imaginings about
robots, artificial intelligence and transplant organs. There is an
appeal to a coming stage of development, as yet unknown but imaginable.
Working at a home terminal creates a work situation lacking in all the
traditional attributes (physical exertion, collegiality, change of
place, noise and dirt). Everything which used to make work a nuisance
now seems to have disappeared. The work at (industrial-age) machines of
a few vouchsafes the prosperity of the many who stay home. But the
internalised urge to work cannot bear this apparent idleness, which is
scarcely discernible in unemployment statistics. A feeling of urgency
must be created, the feeling that unless we all do something about it,
everything will end posthaste in decadence, crime and entropy. There is
delight that the masses will once again have something to do and can
once again be kept on a leash. At home we are experiencing a
science-fiction invasion: the spaceship is ensconcing itself in the
living room and the feeling of being on a virtual trip through space
imposes itself.

With video games, toll numbers, interactive media and home shopping
people have been put in the mood and acquired the tactile skills to work
for money at a distance. But the decision makers still have to be warmed
up to equip the tele-sector with a technical as well as an ideological
infrastructure. They can be helped by the articulation of an act of will
that we will, together yet individually, create a positive perspective
on economic activity. An axiom of self-realisation has been slapped onto
telework in passing: you're only someone if you're in business. No
activity, no identity. Pepped up, in shape and evaluated for
performance, the individualised mass must be brought into a state of
readiness for digital piecework.

Telework is not an institution, but a constitution, a mental frame in
which the new work effort can move. Psychic, to begin with: what used to
be called immobility is now the point of departure for delivering labour
performance. Isolation must thus be conditioned. The individual is shut
up in a niche, at one with the network. One is urged to keep one's mind
on the screen, for there is nothing else. There will be no flourishing
family life, no workplace adultery. And even the promised outlet of
virtual sex has come to a dead end. All we're left with is the bill.
Since chance meetings have been banished, dating services bring us
videos and careful matching and screening techniques to line up our
wishes with a tailored selection. But once the stage of visitation
rights is reached, the all-too-human imperfections come to light, and
become acute obstacles before the adventure is even underway. By and
large, the other we choose is unbearable. The other's always-lacking
gloss and perfection create a social footing of boredom and apathy.
Communication is stifled, and the tele-beings stay invisible and
meaningless to each other. Martin Buber, where are you?

Electronic loneliness cannot be expressed in metaphysical or psychiatric
terms. It is not a melancholy depth, but an artificial surface.
Desolation is a fatal production factor, a trap people fall into through
reckless thinking and belief in mirages. Only organised tourism is still
seen as a solution. One builds up a collection of psycho-physical
experiences, of meditation, repentance, exhaustion, ecstasy, fasting,
pilgrimages for heroic assistance. But these sensations yield no answers
in the extremely personal confrontation with the machine. Pulling the
plug on the Net is suicide. There is no future without the Net;
alternative scenarios no longer circulate. Nothing seems to stand in the
way of the advance of enclosures. The age of despair is definitively
behind us. Get serious. Sentiment has landed up in the archaeological
layers of consciousness (in an age in which the history of mentality is
being written). The Net as ideal treadmill for self-styled identities
will create no revolutionary situations, nor bring the world to an end.
Cybernetic emptiness need not be filled, nor will it ever be full (of
desire, abhorrence or unrest). Until telematic energy finally disappears
into the flatland of silence in the face of blinking commands.

translation Laura Martz
