---
created_at: '2017-07-31T12:13:55.000Z'
title: Why the Best Doesn't Always Win (1996)
url: http://www.nytimes.com/1996/05/05/magazine/why-the-best-doesn-t-always-win.html
author: plainOldText
points: 66
story_text: 
comment_text: 
num_comments: 34
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1501503235
_tags:
- story
- author_plainOldText
- story_14891191
objectID: '14891191'
year: 1996

---
The most familiar example of path dependence is the triumph of
Matsushita's VHS standard for videocassette recorders over Sony's
Betamax. Betamax was first and, by most accounts, better. But Sony made
two strategic marketing errors. To get the product out the door faster,
it initially sold Betamax machines that played one-hour tapes -- too
short for an entire movie. And to sell more Sony machines, the company
chose not to license Betamax to competitors.

VHS, introduced a year later, in 1976, played two-hour tapes. And since
Matsushita freely licensed the technology, half a dozen other brand-name
VHS players hit the stores in a matter of months. Sony soon countered
with a two-hour machine, but it was too late.

While VHS versus Betamax makes great fodder for business school
seminars, the outcome hardly made the earth move. The stakes have been
much higher in technologies that are now so entrenched it's hard to
imagine the world without them. Take the automobile engine. At the turn
of the century, gasoline was locked in a three-way race with steam and
electric power. The Stanley Steamer was a technological marvel, setting
a world speed record of 122 miles an hour in 1909. But the manufacturer
priced the car as a luxury, never trying to achieve the economies of
mass production and of "learning by doing" that might have made it the
people's car.

Moreover, steam's economic problems were compounded by an outbreak of
hoof-and-mouth disease in 1914 that briefly closed public horse troughs
and denied steam cars a convenient source of water for their perpetually
thirsty boilers. With better technology or simply many more steam cars
on the road, this liability would have evaporated. But car buyers had
little incentive to make a leap of faith when plausible alternatives
were available. One of those alternatives was the electric car, whose
weakness was a driving range limited by the storage capacity of its
batteries. That problem seemed well on its way to solution around 1915.
But innovators in the battery industry were distracted by the more
immediate need to perfect a high-amperage battery to crank the new
electric starters in cars with gasoline engines.

Apparently all the gasoline engine needed to triumph was a brief period
in which its technological and price edge led to rapidly expanding
sales. This cut production costs, which expanded sales even more -- and
made it more convenient to fuel and service gasoline vehicles.

Today, of course, dependence on gasoline engines is a fact of life.
While electric or steam vehicles would reduce air pollution and
dependence on imported oil, it would take an investment of tens or even
hundreds of billions of dollars to leap the technological chasm. Indeed,
California, which has mandated the use of electric cars, is just now
facing the reality that the existing technology is wretchedly inadequate
to the task.

Robin Cowan of the University of Western Ontario offers a second
cautionary tale of path dependence. The world is stuck with another
functional, but environmentally problematic, technology: the "light
water" nuclear reactor, whose momentary superiority over reactors that
use inert gases led to the virtual abandonment of alternatives.

## Newsletter Sign Up

[Continue reading the main story](#continues-post-newsletter)

### 

Please verify you're not a robot by clicking the box.

Invalid email address. Please re-enter.

You must select a newsletter to subscribe to.

You agree to receive occasional updates and special offers for The New
York Times's products and services.

### Thank you for subscribing.

### An error has occurred. Please try again later.

[View all New York Times newsletters.](/newsletters)

In the mid-1950's there was no particular reason to believe that
light-water reactors were the cheapest to build and operate. But the
Navy invested heavily in light water, which was seen as the most compact
and reliable design for submarines and aircraft carriers. When
Washington pressed for a quick scale-up to commercial nuclear power
after the Soviet Union exploded a nuclear weapon, American manufacturers
took the route of least technological resistance.

Advertisement

[Continue reading the main story](#story-continues-4)

Later, Washington used subsidies for design and manufacturing to
persuade the Europeans to switch to a light-water standard. And once
light-water reactors were produced in quantity, the manufacturers
learned-by-doing, cutting costs well below those of competing designs.

Perhaps light-water reactors would have prevailed in any event. But
there is little doubt that a competing gas-graphite system was safer
because it offered greater protection against catastrophic loss of
coolant. With global warming now looming, the "lock-in" to
atmospherically benign -- but widely feared -- light-water nuclear
technology must count as an opportunity lost.

If path dependence is such a big deal, why are college freshmen unlikely
to encounter the idea in Econ. 101? Brian Arthur, a pioneer in the field
at Stanford in the early 1980's who now does research at the Santa Fe
Institute, blames tradition-bound economists. Put it another way: the
"technology" of modern economics is itself path dependent, because
economists have so much invested elsewhere.

More important, free marketeers fear that path dependence will become a
rationale for bigger government -- and is thus the Devil's work. If
competitive markets do not guarantee that the best technologies survive,
the thinking goes, surely sometime-liberals like Bill Clinton will be
more tempted to try to pick winners.

The twist here is that the perspective of path dependence offers no
succor to industrial-policy enthusiasts. It was Washington, after all,
that locked in light-water nuclear reactor technology. And it was Tokyo
that cursed its manufacturers with a high-definition television that was
obsolete before the first receiver was sold.

But a world haunted by path dependence does cry out for a different sort
of intervention. Government as the referee who makes everyone play by
the same impartial rules is not quite enough.

The first goal is to get government to slow down and think twice before
setting hard-to-reverse technological standards. The Federal
Communications Commission was criticized for dragging its feet on
setting standards for the new high-definition television. Because it
dawdled, however, digital technology had a chance to prove itself before
the F.C.C. got around to writing the final rules. But the lesson also
applies to cases that everyone would rather forget, like Washington's
premature decision to back recyclable space shuttles over throwaway
rocket launchers.

The more controversial issue is antitrust -- think Microsoft. It often
pays an individual company to set a standard by flexing its own
marketing muscle long before a clear winner has emerged. And the risks
of path dependence suggest that Washington would do well to slow such
private standard-setting until competitors had a chance to strut their
stuff.

The Government will no doubt be called on to take a stand on some
looming path-dependence battles: all-purpose personal computers versus
cheaper, appliance-like "network computers" that do one thing well;
wireless personal communications versus high-capacity cable; Internet
software built around Netscape's browser versus software that
piggy-backs on the Microsoft Network.

Advertisement

[Continue reading the main story](#story-continues-5)

Would Adam Smith approve of venturing where the invisible hand doesn't
have a clue? Perhaps not. But then the old guy never had to worry about
Microsoft's clumsy software chewing up a chapter of "The Wealth of
Nations."

[Continue reading the main story](#whats-next)
