---
created_at: '2017-11-06T12:41:50.000Z'
title: Mother Earth Mother Board (1996)
url: https://www.wired.com/1996/12/ffglass/
author: wallflower
points: 79
story_text: 
comment_text: 
num_comments: 20
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1509972110
_tags:
- story
- author_wallflower
- story_15635028
objectID: '15635028'
year: 1996

---
**The hacker tourist ventures forth across the wide and wondrous
meatspace of three continents, chronicling the laying of the longest
wire on Earth.**

**In which the hacker tourist ventures forth across the wide and
wondrous meatspace of three continents, acquainting himself with the
customs and dialects of the exotic Manhole Villagers of Thailand, the
U-Turn Tunnelers of the Nile Delta, the Cable Nomads of Lan tao Island,
the Slack Control Wizards of Chelmsford, the Subterranean
Ex-Telegraphers of Cornwall, and other previously unknown and
unchronicled folk; also, biographical sketches of the two long-dead
Supreme Ninja Hacker Mage Lords of global telecommunications, and other
material pertaining to the business and technology of Undersea
Fiber-Optic Cables, as well as an account of the laying of the longest
wire on Earth, which should not be without interest to the readers of
Wired.**

Information moves, or we move to it. Moving to it has rarely been
popular and is growing unfashionable; nowadays we demand that the
information come to us. This can be accomplished in three basic ways:
moving physical media around, broadcasting radiation through space, and
sending signals through wires. This article is about what will, for a
short time anyway, be the biggest and best wire ever made.

Wires warp cyberspace in the same way wormholes warp physical space: the
two points at opposite ends of a wire are, for informational purposes,
the same point, even if they are on opposite sides of the planet. The
cyberspace-warping power of wires, therefore, changes the geometry of
the world of commerce and politics and ideas that we live in. The
financial districts of New York, London, and Tokyo, linked by thousands
of wires, are much closer to each other than, say, the Bronx is to
Manhattan.

Today this is all quite familiar, but in the 19th century, when the
first feeble bits struggled down the first undersea cable joining the
Old World to the New, it must have made people's hair stand up on end in
more than just the purely electrical sense - it must have seemed
supernatural. Perhaps this sort of feeling explains why when Samuel
Morse stretched a wire between Washington and Baltimore in 1844, the
first message he sent with his code was "What hath God wrought\!" -
almost as if he needed to reassure himself and others that God, and not
the Devil, was behind it.

During the decades after Morse's "What hath God wrought\!" a plethora of
different codes, signalling techniques, and sending and receiving
machines were patented. A web of wires was spun across every modern city
on the globe, and longer wires were strung between cities. Some of the
early technologies were, in retrospect, flaky: one early inventor wanted
to use 26-wire cables, one wire for each letter of the alphabet. But it
quickly became evident that it was best to keep the number of individual
wires as low as possible and find clever ways to fit more information
onto them.

This requires more ingenuity than you might think - wires have never
been perfectly transparent carriers of data; they have always degraded
the information put into them. In general, this gets worse as the wire
gets longer, and so as the early telegraph networks spanned greater
distances, the people building them had to edge away from the
seat-of-the-pants engineering practices that, applied in another field,
gave us so many boiler explosions, and toward the more scientific
approach that is the standard of practice today.

Still, telegraphy, like many other forms of engineering, retained a
certain barnyard, improvised quality until the Year of Our Lord 1858,
when the terrifyingly high financial stakes and shockingly formidable
technical challenges of the first transatlantic submarine cable brought
certain long-simmering conflicts to a rolling boil, incarnated the old
and new approaches in the persons of Dr. Wildman Whitehouse and
Professor William Thomson, respectively, and brought the conflict
between them into the highest possible relief in the form of an inquiry
and a scandal that rocked the Victorian world. Thomson came out on top,
with a new title and name - Lord Kelvin.

Everything that has occurred in Silicon Valley in the last couple of
decades also occurred in the 1850s. Anyone who thinks that wild-ass high
tech venture capitalism is a late-20th-century California phenomenon
needs to read about the maniacs who built the first transatlantic cable
projects (I recommend Arthur C. Clarke's book How the World Was One).
The only things that have changed since then are that the stakes have
gotten smaller, the process more bureaucratized, and the personalities
less interesting.

Those early cables were eventually made to work, albeit not without
founding whole new fields of scientific inquiry and generating many
lucrative patents. Undersea cables, and long-distance communications in
general, became the highest of high tech, with many of the same
connotations as rocket science or nuclear physics or brain surgery would
acquire in later decades. Some countries and companies (the distinction
between countries and companies is hazy in the telco world) became very
good at it, and some didn't. AT\&T acquired a dominance of the field
that largely continues to this day and is only now being seriously
challenged by a project called FLAG: the Fiberoptic Link Around the
Globe.

\_\_ In which the Hacker Tourist encounters: Penang, a microcosm of the
Internet. Rubber, Penang's chief commodity, and its many uses:
protecting wires from the elements and concupiscent wanderers from
harmful DNA. Advantages of chastity, both for hacker tourists and for
cable layers. Bizarre Spectaclesin the jungles of southern Thailand.
FLAG, its origins and its enemies.\_\_

5° 241 24.932' N, 100° 241 19.748' E City of George Town, Island of
Penang, Malaysia

FLAG, a fiber-optic cable now being built from England to Japan, is a
skinny little cuss (about an inch in diameter), but it is 28,000
kilometers long, which is long even compared to really big things like
the planet Earth. When it is finished in September 1997, it arguably
will be the longest engineering project in history. Writing about it
necessitates a lot of banging around through meatspace. Over the course
of two months, photographer Alex Tehrani and I hit six countries and
four continents trying to get a grip on this longest, fastest, mother of
all wires. I took a GPS receiver with me so that I could have at least a
general idea of where the hell we were. It gave me the above reading in
front of a Chinese temple around the corner from the Shangri-La Hotel in
Penang, Malaysia, which was only one of 100 peculiar spots around the
globe where I suddenly pulled up short and asked myself, "What the hell
am I doing here?"

You might well ask yourself the same question before diving into an
article as long as this one. The answer is that we all depend heavily on
wires, but we hardly ever think about them. Before learning about FLAG,
I knew that data packets could get from America to Asia or the Middle
East, but I had no idea how. I knew that it had something to do with
wires across the bottom of the ocean, but I didn't know how many of
those wires existed, how they got there, who controlled them, or how
many bits they could carry.

According to legend, in 1876 the first sounds transmitted down a wire
were Alexander Graham Bell saying "Mr. Watson, come here. I want you."
Compared with Morse's "What hath God wrought\!'' this is disappointingly
banal - as if Neil Armstrong, setting foot on the moon, had uttered the
words: "Buzz, could you toss me that rock hammer?'' It's as though
during the 32 years following Morse's message, people had become inured
to the amazing powers of wire.

Today, another 120 years later, we take wires completely for granted.
This is most unwise. People who use the Internet (or for that matter,
who make long-distance phone calls) but who don't know about wires are
just like the millions of complacent motorists who pump gasoline into
their cars without ever considering where it came from or how it found
its way to the corner gas station. That works only until the political
situation in the Middle East gets all screwed up, or an oil tanker runs
aground on a wildlife refuge. In the same way, it behooves wired people
to know a few things about wires - how they work, where they lie, who
owns them, and what sorts of business deals and political machinations
bring them into being.

In the hopes of learning more about the modern business of really,
really long wires, we spent much of the summer of 1996 in pursuits such
as: being arrested by toothless, shotgun-toting Egyptian cops; getting
pushed around by a drunken smuggler queen on a Thai train; vaulting over
rustic gates to take emergency shits in isolated fields; being kept
awake by groovy Eurotrash backpackers singing songs; blowing Saharan
dust out of cameras; scraping equatorial mold out of fountain pens;
stuffing faded banknotes into the palms of Egyptian service-industry
professionals; trying to persuade non-English-speaking taxi drivers that
we really did want to visit the beach even though it was pouring rain;
and laundering clothes by showering in them. We still missed more than
half the countries FLAG touches.

Our method was not exactly journalism nor tourism in the normal sense
but what might be thought of as a new field of human endeavor called
hacker tourism: travel to exotic locations in search of sights and
sensations that only would be of interest to a geek.

I will introduce sections with readings from my trusty GPS in case other
hacker tourists would like to leap over the same rustic gates or get
rained on at the same beaches

\_\_ 5° 26.325' N, 100° 17.417' E Penang Botanical Gardens\_\_

Penang, one of the first sites visited by this hacker tourist partly
because of its little-known historical importance to wires, lies just
off the west coast of the Malay Peninsula. The British acquired it from
the local sultan in the late 1700s, built a pathetic fort above the
harbor, and named it, appropriately, after the hapless General
Cornwallis. They set up a couple of churches and established the kernel
of a judicial system. A vigorous market grew up around them. A few
kilometers away, they built a botanical garden.

This seems like an odd set of priorities to us today. But gardens were
not mere decorations to the British - they were strategic installations.

The headquarters was Kew Gardens outside of London. Penang was one of
the forward outposts, and it became incomparably more important than the
nearby fort. In 1876, 70,000 seeds of the rubber tree, painstakingly
collected by botanists in the Amazon rain forest, were brought to Kew
Gardens and planted in a greenhouse. About 2,800 of them germinated and
were shipped to the botanical gardens in Sri Lanka and Penang, where
they propagated explosively and were used to establish rubber
plantations.

Most of these plantations were on the neighboring Malay Peninsula, a
lumpy, bony tentacle of land that stretches for 1,000 miles from Bangkok
in the north to Singapore in the south, where it grazes the equator. The
landscape is a stalemate between, on one hand, the devastatingly
powerful erosive forces of continual tropical rainstorms and dense plant
life, and, on the other hand, some really, really hard rocks. Anything
with the least propensity to be eroded did so a long time ago and turned
into a paddy. What's left are ridges of stone that rise almost
vertically from the landscape and are still mostly covered with rain
forest, notwithstanding efforts by the locals to cut it all down. The
flat stuff is all used for something - coconuts, date palms, banana
trees, and above all, rubber.

Until artificial rubber was invented by the colony-impaired Germans, no
modern economy could exist without the natural stuff. All of the
important powers had tropical colonies where rubber was produced. For
the Netherlands, it was Indonesia; for France, it was Indochina; for the
British, it was what they then called Malaya, as well as many other
places.

Without rubber and another kind of tree resin called gutta-percha, it
would not have been possible to wire the world. Early telegraph lines
were just naked conductors strung from pole to pole, but this worked
poorly, especially in wet conditions, so some kind of flexible but
durable insulation was needed. After much trial and error, rubber became
the standard for terrestrial and aerial wires while gutta-percha (a
natural gum also derived from a tree grown in Malaya) was used for
submarine cables. Gutta-percha is humble-looking stuff, a nondescript
brown crud that surrounds the inner core of old submarine cables to a
thickness of perhaps 1 centimeter, but it was a wonder material back in
those days, and the longer it remained immersed in salt water, the
better it got.

So far, it was all according to the general plan that the British had in
mind: find some useful DNA in the Americas, stockpile it at Kew Gardens,
propagate it to other botanical gardens around the world, make money off
the proceeds, and grow the economy. Modern-day Penang, however, is a
good example of the notion of unintended consequences.

As soon as the British had established the rule of law in Penang,
various kinds of Chinese people began to move in and establish
businesses. Most of them were Hokkien Chinese from north of Hong Kong,
though Cantonese, Hakka, and other groups also settled there. Likewise,
Tamils and Sikhs came from across the Bay of Bengal. As rubber trees
began to take over the countryside, a common arrangement was for Chinese
immigrants to establish rubber plantations and hire Indian immigrants
(as well as Malays) as laborers.

The British involvement, then, was more catalytic than anything else.
They didn't own the rubber plantations. They merely bought the rubber on
an open market from Chinese brokers who in turn bought it from producers
of various ethnicities. The market was just a few square blocks of
George Town where British law was enforced, i.e. where businessmen could
rely on a few basics like property rights, contracts, and a currency.

During and after World War II, the British lost what presence they had
here. Penang fell to the Japanese and became a base for German U-Boats
patrolling the Indian Ocean. Later, there was a somewhat messy
transition to independence involving a communist insurrection and a war
with Indonesia. Today, Malaysia is one of Asia's economic supernovas and
evidently has decided that it will be second to none when it comes to
the Internet. They are furiously wiring up the place and have
established JARING, which is the Malaysian Internet (this word is a
somewhat tortured English acronym that happens to spell out the Malay
word for the Net).

If you have a look at JARING's homepage (www.jaring.my/jaring), you will
be confronted by a link that will take you to a page reciting Malaysia's
censorship laws, which, like most censorship laws, are ridiculously
vague and hence sort of creepy and yet, in the context of the Internet,
totally unworkable.

In a way, the architects of JARING are trying to run the Kew Gardens
experiment all over again. By adopting the Internet protocol for their
national information infrastructure, they have copied the same DNA that,
planted in the deregulated telecom environment of the United States, has
grown like some unstoppable exotic weed. Now they are trying to raise
the same plant inside a hothouse (because they want it to flourish) but
in a pot (because they don't want it to escape into the wild).

They seem to have misunderstood both their own history and that of the
Internet, which run strangely parallel. Today the streets of George
Town, Penang's main city, are so vivid, crowded, and intensely
multicultural that by comparison they make New York City look like
Colonial Williamsburg. Every block has a mosque or Hindu temple or
Buddhist shrine or Christian church. You can get any kind of food, hear
any language. The place is thronged, but it's affluent, and it works.
It's a lot like the Internet.

Both Penang and the Internet were established basically for strategic
military reasons. In both cases, what was built by the military was
merely a kernel for a much vaster phenomenon that came along later. This
kernel was really nothing more than a protocol, a set of rules. If you
wanted to follow those rules, you could participate, otherwise you were
free to go elsewhere. Because the protocol laid down a standard way for
people to interact, which was clearly set out and could be understood by
anyone, it attracted smart, adaptable, ambitious people from all over
the place, and at a certain point it flew completely out of control and
turned into something that no one had ever envisioned: something
thriving, colorful, wildly diverse, essentially peaceful, and plagued
only by the congestion of its own success.

JARING's link to the global Internet is over an undersea cable that
connects it to the United States. This is typical of many Southeast
Asian countries, which are far better connected to the US than they are
to one another. But in late June of 1996, a barge called the Elbe
appeared off the coast of Penang. Divers and boats came ashore, braving
an infestation of sea snakes, and floated in a segment of armored cable
that will become Malaysia's link to FLAG. The capacity of that cable is
theoretically some 5.3 Gbps. Much of this will be used for telephone and
other non-Internet purposes, but it can't help but serve as a major
floodgate between JARING, the censored pseudo-Internet of Malaysia, and
the rest of the Net. After that, it will be interesting to see how long
JARING remains confined to its pot.

\_\_ FLAG facts\_\_

The FLAG system, that mother of all wires, starts at Porthcurno,
England, and proceeds to Estepona, Spain; through the Strait of
Gibraltar to Palermo, Sicily; across the Mediterranean to Alexandria and
Port Said, Egypt; overland from those two cities to Suez, Egypt; down
the Gulf of Suez and the Red Sea, with a potential branching unit to
Jedda, Saudia Arabia; around the Arabian Peninsula to Dubai, site of the
FLAG Network Operations Center; across the Indian Ocean to Bombay;
around the tip of India and across the Bay of Bengal and the Andaman Sea
to Ban Pak Bara, Thailand, with a branch down to Penang, Malaysia;
overland across Thailand to Songkhla; up through the South China Sea to
Lan Tao Island in Hong Kong; up the coast of China to a branch in the
East China Sea where one fork goes to Shanghai and the other to Koje-do
Island in Korea, and finally to two separate landings in Japan -
Ninomiya and Miura, which are owned by rival carriers.

Phone company people tend to think (and do business) in terms of
circuits. Hacker tourists, by contrast, tend to think in terms of bits
per second. Converting between these two units of measurements is
simple: on any modern phone system, the conversations are transmitted
digitally, and the standard bit rate that is used for this purpose is 64
kbps. A circuit, then, in telephony jargon, amounts to a datastream of
64 kbps.

Copper submarine cables of only a few decades ago could carry only a few
dozen circuits - say, about 2,500 kbps total. The first generation of
optical-fiber cables, by contrast, carries more than 1,000 times as much
data - 280 Mbps of data per fiber pair. (Fibers always come in pairs.
This practice seems obvious to a telephony person, who is in the
business of setting up symmetrical two-way circuits, but makes no
particular sense to a hacker tourist who tends to think in terms of
one-way packet transmission. The split between these two ways of
thinking runs very deep and accounts for much tumult in the telecom
world, as will be explained later.) The second generation of
optical-fiber cables carries 560 Mbps per fiber pair. FLAG and other
third-generation systems will carry 5.3 Gbps per pair. Or, in the system
of units typically used by phone company people, they will carry 60,000
circuits on each fiber pair.

If you multiply 60,000 circuits times 64 kbps per circuit, you get a bit
rate of only 3.84 Gbps, which leaves 1.46 Gbps unaccounted for. This
bandwidth is devoted to various kinds of overhead, such as frame headers
and error correction. The FLAG cable contains two sets of fiber pairs,
and so its theoretical maximum capacity is 120,000 circuits, or (not
counting the overhead) just under 8 Gbps of actual throughput.

These numbers really knock 'em dead in the phone industry. To the hacker
tourist, or anyone who spends much time messing around with computer
networks, they seem distinctly underwhelming. All this trouble and
expense for a measly 8 Gbps? You've got to be kidding\! Again, it comes
down to a radical difference in perspective between telephony people and
internet people.

In defense of telephony people, it must be pointed out that they are the
ones who really know the score when it comes to sending bits across
oceans. Netheads have heard so much puffery about the robust nature of
the Internet and its amazing ability to route around obstacles that they
frequently have a grossly inflated conception of how many routes packets
can take between continents and how much bandwidth those routes can
carry. As of this writing, I have learned that nearly the entire state
of Minnesota was recently cut off from the Internet for 13 hours because
it had only one primary connection to the global Net, and that link went
down. If Minnesota, of all places, is so vulnerable, one can imagine how
tenuous many international links must be.

Douglas Barnes, an Oakland-based hacker and cypherpunk, looked into this
issue a couple of years ago when, inspired by Bruce Sterling's Islands
in the Net, he was doing background research on a project to set up a
data haven in the Caribbean. "I found out that the idea of the Internet
as a highly distributed, redundant global communications system is a
myth,'' he discovered. "Virtually all communications between countries
take place through a very small number of bottlenecks, and the available
bandwidth simply isn't that great.'' And he cautions: "Even outfits like
FLAG don't really grok the Internet. The undersized cables they are
running reflect their myopic outlook.''

So the bad news is that the capacity of modern undersea cables like FLAG
isn't very impressive by Internet standards, but the slightly better
news is that such cables are much better than what we have now.Here's
how they work: Signals are transmitted down the fiber as modulated laser
light with a wavelength of 1,558 nanometers (nm), which is in the
infrared range. These signals begin to fade after they have traveled a
certain distance, so it's necessary to build amplifiers into the cable
every so often. In the case of FLAG, the spacing of these amplifiers
ranges from 45 to 85 kilometers. They work on a strikingly simple and
elegant principle. Each amplifier contains an approximately
10-meter-long piece of special fiber that has been doped with erbium
ions, making it capable of functioning as a laser medium. A separate
semiconductor laser built into the amplifier generates powerful light at
1,480 nm - close to the same frequency as the signal beam, but not close
enough to interfere with it. This light, directed into the doped fiber,
pumps the electrons orbiting around those erbium ions up to a higher
energy level.

The signal coming down the FLAG cable passes through the doped fiber and
causes it to lase, i.e., the excited electrons drop back down to a lower
energy level, emitting light that is coherent with the incoming signal -
which is to say that it is an exact copy of the incoming signal, except
more powerful.

The amplifiers need power - up to 10,000 volts DC, at 0.9 amperes. Since
public 10,000-volt outlets are few and far between on the bottom of the
ocean, this power must be delivered down the same cable that carries the
fibers. The cable, therefore, consists of an inner core of four optical
fibers, coated with plastic jackets of different colors so that the
people at opposite ends can tell which is which, plus a thin copper wire
that is used for test purposes. The total thickness of these elements
taken together is comparable to a pencil lead; they are contained within
a transparent plastic tube. Surrounding this tube is a sheath consisting
of three steel segments designed so that they interlock and form a
circular jacket. Around that is a layer of about 20 steel "strength
wires" - each perhaps 2 mm in diameter - that wrap around the core in a
steep helix. Around the strength wires goes a copper tube that serves as
the conductor for the 10,000-volt power feed. Only one conductor is
needed because the ocean serves as the ground wire. This tube also is
watertight and so performs the additional function of protecting the
cable's innards. It then is surrounded by polyethylene insulation to a
total thickness of about an inch. To protect it from the rigors of
shipment and laying, the entire cable is clothed in good old-fashioned
tarred jute, although jute nowadays is made from plastic, not hemp.

This suffices for the deep-sea portions of the cable. In shallower
waters, additional layers of protection are laid on, beginning with a
steel antishark jacket. As the shore is approached, various other layers
of steel armoring wires are added.

This more or less describes how all submarine cables are being made as
of 1996. Only a few companies in the world know how to make cables like
this: AT\&T Submarine Systems International (AT\&T-SSI) in the US,
Alcatel in France, and KDD Submarine Cable Systems (KDD-SCS) in Japan,
among others. AT\&T-SSI and KDD-SCS frequently work together on large
projects and are responsible for FLAG. Alcatel, in classic French
fasion, likes to go it alone.

This basic technology will, by the end of the century, be carrying most
of the information between continents. Copper-based coaxial cable
systems are still in operation in many places around the world, but all
of them will have reached the end of their practical lifetimes within a
few years. Even if they still function, they are not worth the trouble
it takes to operate them. TPC-1 (Trans Pacific Cable \#1), which
connected Japan to Guam and hence to the United States in 1964, is still
in perfect working order, but so commercially worthless that it has been
turned over to a team at Tokyo University, which is using it to carry
out seismic research. The capacity of such cables is so tiny that modern
fiber cables could absorb all of their traffic with barely a hiccup if
the right switches and routers were in place. Likewise, satellites have
failed to match some of the latest leaps in fiber capacity and can no
longer compete with submarine cables, at least until such time as
low-flying constellations such as Iridium and Teledesic begin operating.

Within the next few years, several huge third-generational optical fiber
systems will be coming online: not only FLAG but a FLAG competitor
called SEA-ME-WE 3 (Southeast Asia-Middle East-Western Europe \#3);
TPC-5 (Trans-Pacific Cable \#5); APCN (Asia-Pacific Cable Network),
which is a web of cables interconnecting Japan, Korea, Hong Kong,
Taiwan, Malaysia, Thailand, Indonesia, Singapore, Australia, and the
Philippines; and the latest TAT (Transatlantic) cable. So FLAG is part
of a trend that will soon bring about a vast increase in
intercontinental bandwidth.

What is unusual about FLAG is not its length (although it will be the
longest cable ever constructed) or its technology (which is shared by
other cables) but how it came into existence. But that's a business
question which will be dealt with later. First, the hacker tourist is
going to travel a short distance up the Malay Peninsula to southern
Thailand, one of the two places where FLAG passes overland. On a world
map this looks about as difficult as throwing an extension cord over a
sandbar, but when you actually get there, it turns out to be a colossal
project

\_\_ 7° 3.467' N,100° 22.489' EFLAG manhole production site, southern
Thailand\_\_

Large portions of this section were written in a hotel in Ban Hat Yai,
Thailand, which is one of the information-transfer capitals of the
planet regardless of whether you think of information transfer as bits
propagating down an optical fiber, profound and complex religious faiths
being transmitted down through countless generations, or genetic
material being interchanged between consenting adults. Male travelers
approaching Ban Hat Yai will have a difficult time convincing travel
agents, railway conductors, and taxi drivers that they are coming only
to look at a big fat wire, but the hacker tourist must get used to being
misunderstood.

We stayed in a hotel with all the glossy accoutrements of an Asian
business center plus a few perks such as partially used jumbo condom
packages squirreled away on closet shelves, disconcertingly huge love
marks on the sofas, and extraordinarily long, fine, black hairs all over
the bathroom. While writing, I sat before a picture window looking out
over a fine view of: a well-maintained but completely empty swimming
pool, a green Carlsberg Beer billboard written in Thai script, an
industrial-scale whorehouse catering to Japanese "businessmen," a rather
fine Buddhist temple complex, and, behind that, a district of brand-new
high-rise hotels built to cater to the burgeoning information-transfer
industry, almost none of which has anything to do with bits and bytes.
Tropical storms rolled through, lightning flashed, I sucked down
European beers from the minibar and tried to cope with a bad case of
information overload. FLAG is a huge project, bigger and more
complicated than many wars, and to visit even chunks of this cable
operation is to be floored by it.

We first met Jim Daily and Alan Wall underneath that big Carlsberg sign,
sitting out in a late-afternoon rainstorm under an umbrella, having a
couple of beers - "the only \*ferangs \*here," as Wall told me on the
phone, using the local term for foreign devil. Daily is American, 2
meters tall, blond, blue-eyed, khaki-and-polo-shirted, gregarious,
absolutely plain-spoken, and almost always seems to be having a great
time. Wall is English, shorter, dark-haired, impeccably suited, cagey,
reticent, and dry. Both are in their 50s. It is of some significance to
this story that, at the end of the day, these two men unwind by sitting
out in the rain and hoisting a beer, paying no attention whatsoever to
the industrial-scale whorehouse next door. Both of them have seen many
young Western men arrive here on business missions and completely lose
control of their sphincters and become impediments to any kind of
organized activity. Daily hired Wall because, like Daily, he is a stable
family man who has his act together. They are the very definition of a
complementary relationship, and they seem to be making excellent
progress toward their goal, which is to run two really expensive wires
across the Malay Peninsula.

Since these two, and many of the others we will meet on this journey,
have much in common with one another, this is as good a place as any to
write a general description. They tend to come from the US or the
British Commonwealth countries but spend very little time living there.
They are cheerful and outgoing, rudely humorous, and frequently have
long-term marriages to adaptable wives. They tend to be absolutely
straight shooters even when they are talking to a hacker tourist about
whom they know nothing. Their openness would probably be career suicide
in the atmosphere of Byzantine court-eunuch intrigue that is public life
in the United States today. On the other hand, if I had an unlimited
amount of money and woke up tomorrow morning with a burning desire to
see a 2,000-hole golf course erected on the surface of Mars, I would
probably call men like Daily and Wall, do a handshake deal with them,
send them a blank check, and not worry about it.

Daily works out of Bangkok, the place where banks are headquartered,
contracts are written, and 50-ton cranes are to be had. Alan "the
ferang" Wall lives in Ban Hat Yai, the center of the FLAG operation in
Thailand, cruising the cable routes a couple of times a week,
materializing unpredictably in the heart of the tropical jungle in a
perfectly tailored dark suit to inspect, among other things, FLAG's
chain of manhole-making villages.

There were seven of these in existence during the summer of 1996, all
lying along one of the two highways that run across the isthmus between
the Andaman and the South China Seas. These highways, incidentally, are
lined with utility poles carrying both power and communications wires.
The tops of the poles are guarded by conical baskets about halfway up.
The baskets prevent rats from scampering up the poles to chew away the
tasty insulation on the wires and poisonous snakes from slithering up to
sun themselves on the crossbars, a practice that has been known to cause
morale problems among line workers.

The manhole-making village we are visiting on this fine, steamy summer
day has a population of some 130 workers plus an unknown number of
children. The village was founded in the shade of an old, mature rubber
plantation. Along the highway are piles of construction materials
deposited by trucks: bundles of half-inch rebar, piles of sand and
gravel. At one end of the clearing is a double row of shelters made from
shiny new corrugated metal nailed over wooden frames, where the men,
women, and children of the village live. On the end of this is an
open-air office under a lean-to roof, equipped with a whiteboard - just
like any self-respecting high tech company. Chickens strut around
flapping their wings uselessly, looking for stuff to peck out of the
ground.

When the day begins, the children are bused off to school, and the men
and women go to work. The women cut the rebar to length using an
electric chop saw. The bars are laid out on planks with rows of nails
sticking out of them to form simple templates. Then the pieces of rebar
are wired together to create cages perhaps 2 meters high and 1.5 meters
on a side. Then the carpenters go to work, lining the cage inside and
out with wooden planks. Finally, 13 metric tons of cement are poured
into the forms created by the planks. When the planks are taken away,
the result is a hollow, concrete obelisk with a cylindrical collar
projecting from the top, with an iron manhole cover set into it. Making
a manhole takes three weeks.

Meanwhile, along the highway, trenches are being dug - quickly scooped
out of the lowland soil with a backhoe, or, in the mountains,
laboriously jackhammered into solid rock. A 50-ton crane comes to the
village, picks up one manhole at a time using lifting loops that the
villagers built into its top, and sets it on a flatbed truck that
transports it to one of the wider excavations that are spaced along the
trench at intervals of 300 to 700 meters. The manholes will allow
workers to climb down to the level of the buried cable, which will
stretch through a conduit running under the ground between the manholes.

The crane lowers the manhole into the excavation. A couple of
hard-hatted workers get down there with it and push it this way and
that, getting it lined up, while other workers up on the edge of the pit
help out by shoving on it with a big stick. Finally it settles gingerly
into place, atop its prepoured pad. The foreman clambers in, takes a
transparent green disposable lighter from his pocket, and sets it down
sideways on the top of the manhole. The liquid butane inside the lighter
serves as a fluid level, verifying that the manhole is correctly
positioned.

With a few more hours' work, the conduits have been mated with the tubes
built into the walls of the manhole and the surrounding excavation
filled in so that nothing is left except some disturbed earth and a
manhole cover labeled CAT: Communications Authority of Thailand. The
eventual result of all this work will be two separate chains of manholes
(931 of them all told) running parallel to two different highways, each
chain joined by twin lengths of conduit - one conduit for FLAG and one
for CAT.

Farther west, another crew is at work, burdened with three enormous
metal spools carrying flexible black plastic conduit having an inside
diameter of an inch. The three spools are set up on stands near a
manhole, the three ducts brought together and tied into a neat bundle by
workers using colorful plastic twine. Meanwhile, others down in the
manhole are wrestling with the world's most powerful peashooter: a
massive metal pipe with a screw jack on its butt end. The muzzle of the
device is inserted into one of the conduits on the manhole wall and the
screw jack is tightened against the opposite wall to hold it horizontal.
Next the peashooter is loaded: a big round sponge with a rope tied to it
is inserted into an opening on its side. The rope comes off a long
spool. Finally, a hefty air compressor is fired up above ground and its
outlet tube thrown down into the manhole and patched into a valve on
this pipe. When the valve is opened, compressed air floods the pipe
behind the round sponge, which shoots forward like a bullet in a gun
barrel, pulling the rope behind it and causing the reel to spin wildly
like deep-sea fishing tackle that has hooked a big tuna.

"Next manhole\! Next manhole\!" cries the foreman excitedly, and
pedestrians, bicyclists, motor scooters, and (if inspectors or hacker
tourists are present) cars parade down the highway, veering around water
buffaloes and goats and chickens to the next manhole, some half a
kilometer away, where a torrent of water, driven before the sponge, is
blasting out of a conduit and slamming into the opposite wall. One
length of the conduit can hold some 5 cubic meters of water, and the
sponge, ramming down the tube like a piston, forces all of it out.
Finally the sponge pops out of the hole like a pea from a peashooter,
bringing the rope with it. The rope is used to pull through a thicker
rope, which is finally connected to the triple bundle of thin duct at
one end and to a pulling motor at the other. This pulling motor is a
slowly turning drum with several turns of rope around it.

Now the work gets harder: at the manhole with the reels, some workers
bundle and tie the ducts as they unroll while others, down in the hole,
bend them around a difficult curve and keep them feeding smoothly into
the conduit. At the other end, a man works with the puller, keeping the
tension constant and remaining alert for trouble. Back at the reels, the
thin duct occasionally gets wedged between loose turns on the reel, and
everything has to be stopped. Usually this is communicated to the puller
via walkie-talkie, but when the afternoon rains hit, the walkie-talkies
don't work as well, and a messenger has to buzz back and forth on a
motor scooter. But eventually the triple inner duct is pulled through
both of the conduits, and the whole process can begin again on the next
segment.

Daily and Wall preside over this operation, which is Western at the top
and pure Thai at the ground level, with a gradual shading of cultures in
between. FLAG has dealings in many countries, and the arrangement is
different in each one. Here, the top level is a 50-50 partnership
between FLAG and Thailand's CAT. They bid the project out to two
different large contractors, each of whom hired subcontractors with
particular specialties who work through sub-sub-contractors who hire the
workers, get them to the site, and make things happen. The incentives
are shaped at each level so that the contractors will get the job done
without having to be micromanaged, and the roads seem to be crawling
with inspectors representing various levels of the project who make sure
that the work is being done according to spec (at the height of this
operation, 50 percent of the traffic on some of these roads was
FLAG-related).

The top-level contracts are completely formalized with detailed
specifications, bid bonds, and so on, and business at this level is done
in English and in air-conditioned offices. But by the time you get to
the bottom layer, work is being done by people who, although presumably
just as intelligent as the big shots, are fluent only in Thai and not
especially literate in any language, running around in rubber
flip-flops, doing business on a handshake, pulling wads of bills out of
their pockets when necessary to pay for some supplies or get drinks
brought in. Consequently, the way in which the work is performed bears
no resemblance whatsoever to the way it would be done in the United
States or any other developed country. It is done the Thai way.

Not one but two entirely separate pairs of conduits are being created in
this fashion. Both of them run from the idyllic sandy beach of Ban Pak
Bara on the west to the paradisiacal sandy beach of Songkhla on the east
- both of them are constructed in the same way, to the same
specifications. Both of them run along highways. The southern route
takes the obvious path, paralleling a road that runs in a relatively
straight line between the two endpoints for 170 kilometers. But the
other route jogs sharply northward just out of Ban Pak Bara, runs up the
coast for some distance, turns east, and climbs up over the bony spine
of the peninsula, then turns south again and finally reaches Songkhla
after meandering for some 270 kilometers. Unlike the southern route,
which passes almost exclusively over table-flat paddy land, easily
excavated with a backhoe, the northern route goes for many kilometers
over solid rock, which must be trenched with jackhammers and other heavy
artillery, filled with galvanized steel conduit, and then backfilled
with gravel and concrete.

This raises questions. The questions turn out to have interesting
answers. I'll summarize them first and then go into detail. Q: Why
bother running two widely separated routes over theMalay Peninsula?

A: Because Thailand, like everywhere else in the world, is full ofidiots
with backhoes.

Q: Isn't that a pain in the ass?

A: You have no idea.

Q: Why not just go south around Singapore and keep the cable in the
water, then?

A: Because Singapore is controlled by the enemy.

Q: Who is the enemy?

A: FLAG's enemies are legion.

The reason for the difficult northern route is FLAG's pursuit of
diversity, which in this case is not a politically correct buzzword
(though FLAG also has plenty of that kind of diversity) but refers to
the principle that one should have multiple, redundant paths to make the
system more robust. Diversity is not needed in the deep ocean, but land
crossings are viewed as considerably more risky. So FLAG decided, early
on, to lay two independent cables on two different routes, instead of
one.

The indefatigable Jim Daily, along with his redoubtable inspector Ruzee,
drove us along every kilometer of both of these routes over the course
of a day and a half. "Let me ask you a naïve question," I said to him,
once I got a load of the big rock ridge he was getting ready to cut a
trench through. "Why not just put one cable on one side of that southern
highway and another cable on the opposite side?" I found it hard to
imagine a backhoe cutting through both sides of the highway at once."

They just wanted to be sure that there was no conceivable disaster that
could wipe out both routes at the same time," he shrugged.

FLAG has envisioned every possible paranoid disaster scenario that could
lead to a failure of a cable segment and has laid action plans that will
be implemented if this should happen. For example, it has made deals
with its competitors so that it can buy capacity from them, if it has
to, while it repairs a break (likewise, the competitors might reserve
capacity from FLAG for the same reason). Despite all this, FLAG is
saying in this case: "We are going to cut a trench across a 50-mile-wide
piece of rock because we think it will make our cable infinitesimally
more reliable." Essentially, they have to do it, because otherwise no
one will entrust valuable bits to their cable system.

Why didn't they keep it in the water? Opinions vary on this: pro-FLAG
people argue that the Straits, with all of their ship traffic, are a
relatively hazardous place to put a submarine cable and that a
terrestrial crossing of the Malay Peninsula is a tactical masterstroke.
FLAG skeptics will tell you that the terrestrial crossing is a necessity
imposed on them because Singapore Telecom made the decision that they
didn't want to be connected to FLAG.

Instead, Singapore Telecom and France Telecom have been promoting
SEA-ME-WE 3, that Southeast Asia-Middle East-Western Europe 3 cable, a
system whose target date is 1999, two years later than FLAG. SEA-ME-WE 1
and 2 run from France to Singapore and 3 was originally planned to cover
the same territory, but now its organizers have gotten other telecoms,
such as British Telecom, involved. They hope that SEA-ME-WE 3 will
continue north from Singapore as far as Japan, and north from France to
Great Britain, covering generally the same route as FLAG. FLAG and
SEA-ME-WE 3 are, therefore, direct competitors.

The competition is not just between two different wires. It is a
competition between two entirely different systems of doing business,
two entirely different visions of how the telecommunications industry
should work. It is a competition, also, between AT\&T (the juggernaut of
the field, and the power behind most telecom-backed systems) and Nynex
(the Baby Bell with an Oedipus complex and the power behind FLAG). Nynex
and AT\&T have their offices a short distance from each other in
Manhattan, but the war between them is being fought in trenches in
Thailand, glass office towers in Tokyo, and dusty government ministries
in Egypt.

\_\_ The origin of FLAG\_\_

Kessler Marketing Intelligence Corp. (KMI) is a Newport, Rhode Island,
company that has developed a specialty in tracking the worldwide
submarine cable system. This is not a trivial job, since there are at
least 320 cable systems in operation around the world, with old ones
being retired and new ones being laid all the time. KMI makes money from
this by selling a document titled "Worldwide Summary of Fiberoptic
Submarine Systems" that will set you back about US$4,500 but that is a
must-read for anyone wanting to operate in that business. Compiling and
maintaining this document gives a rare Olympian perspective on the world
communications system.

In the late 1980s, as KMI looked at the cables then in existence and the
systems that were slated for the next few years, they noticed an almost
monstrous imbalance.

The United States would, by the late 1990s, be massively connected to
Europe by some 200,000 circuits across the Atlantic, and just as
massively connected to Asia by a roughly equal number of circuits across
the Pacific. But between Europe and Asia there would be fewer than
20,000 circuits.

Cables have always been financed and built by telecoms, which until very
recently have always been government-backed monopolies. In the business,
these are variously referred to as PTTs (Post, Telephone, and
Telegraphs) or PTAs (Post and Telecom Authorities) or simply as "the
clubs." The dominant club has long been AT\&T - especially in the years
since World War II, when most of the international telecommunications
system was built.

Traditionally, the way a cable system gets built is that AT\&T meets
with other PTTs along the proposed route to negotiate terms (although in
the opinion of some informed people who don't work for AT\&T, "dictate"
comes closer to the truth than "negotiate"). The capital needed to
construct the cable system is ponied up by the various PTTs along its
route, which, consequently, end up collectively owning the cable and all
of its capacity. This is a tidy enough arrangement as those telecoms
traditionally "own" all of the customers within their borders and can
charge them whatever it takes to pay for all of those cables. Cables
built this way are now called "club cables."

Given America's postwar dominance of the world economy and AT\&T's
dominance of the communications system, it becomes much easier to
understand the huge bandwidth imbalance that the analysts at KMI
noticed. Actually, it would be surprising if this imbalance didn't
exist. If the cable industry worked on anything like a free-market
basis, this howling chasm in bandwidth between Europe and Asia would be
an obvious opportunity for entrepreneurs. Since the system was, in fact,
controlled by government monopolies, and since the biggest of those
monopolies had no particular interest in building a cable that entirely
bypassed its territory, nothing was likely to happen.

But then something did happen. KMI, whose entire business is founded on
knowing and understanding the market, was ideally positioned, not just
to be aware of this situation, but also to crunch the numbers and figure
out whether it constituted a workable business opportunity. In 1989, it
published a study on worldwide undersea fiber-optic systems that
included some such calculations. Based on reasonable assumptions about
the cost of the system, its working lifetime, and the present cost of
communications on similar systems, KMI reckoned that if a
state-of-the-art cable were laid from the United Kingdom to the Middle
East it would pay back its investors in two to five years. Setting aside
for a moment the fact that it went against all the traditions of the
industry, there was no reason in principle why a privately financed
cable could not be constructed to fill this demand. Investors would pool
the capital, just as they would for any other kind of business venture.
They would buy the cable, pay to have it installed, sell the capacity to
local customers, and make money for their shareholders.

The study was read by Gulf Associates, a group of New York-based moneyed
Iranian expats who are always looking for good investments. Gulf
Associates checked out KMI's prefeasibility study to get an idea of what
the parameters of such a system would be. Based on that, other
companies, such as Dallah Al-Baraka (a Saudi investment company),
Marubeni Corp. (a Tokyo trading company), and Nynex got involved. The
nascent consortium paid KMI to perform a full feasibility study. Neil
Tagare, the former vice president for KMI, visited 25 countries to
determine their level of need for such a cable. The feasibility study
was completed in late 1990 and looked favorable. The consortium grew to
include the Asian Infrastructure Fund of Hong Kong and Telecom Holding
Co. Ltd. of Thailand. The scope of the project grew also, extending not
just to the Middle East but all the way to Tokyo.

Nynex took on the role of managing sponsor for the FLAG project. A new
company called Nynex Network Systems (Bermuda) Ltd. was formed to serve
as the worldwide sales representative for FLAG, and FLAG's world
headquarters was sited in Bermuda. This might seem a bit peculiar given
that none of the money comes from Bermuda, the cable goes nowhere near
Bermuda, and Nynex is centered in the northeastern United States. But
since FLAG is ultimately owned and controlled by a Bermuda company and
the capacity on the cable is sold out of Bermuda, the invoices all come
out of Bermuda and the money all comes into Bermuda, which by an odd
coincidence happens to be a major corporate tax haven.

Nynex also has responsibility for building the FLAG cable system. One
might think that a Baby Bell such as Nynex would be a perfect choice for
this kind of work, but, in fact, Nynex owned none of the factories
needed to manufacture cable, none of the ships needed to lay it, and not
enough of the expertise needed to install it. Nynex does know a thing or
two about laying and operating terrestrial cable systems - during the
mid-1990s, for example, it wired large parts of the United Kingdom with
a "cable television" system that is actually a generalized digital
communication network. But transoceanic submarine cables were outside of
its traditional realm.

On the other hand, during the early '90s, Nynex found itself stymied
from competing in the United States because of regulatory hassles and
began looking overseas for markets in which to expand. By the time FLAG
was conceived, therefore, Nynex had begun to gain experience in the
countless pitfalls of doing business in the worldwide telecommunications
business, making up a little bit of AT\&T's daunting lead.

FLAG's business arrangements were entirely novel. The entire FLAG
concept was unfeasible unless agreements could be made with so-called
landing parties in each country along the route. The landing party is
the company that owns the station where the cable comes ashore and
operates the equipment that patches it into the local telecommunications
system. The obvious choice for such a role would be a PTT. But many PTTs
were reluctant to participate, partly because this novel arrangement
struck them as dubious and partly because they weren't going to end up
monopolizing the cable.

Overcoming such opposition was essentially a sales job. John
Mercogliano, a high-intensity New Yorker who is now vice president -
Europe, Nynex Network Systems (Bermuda) Ltd., developed a sales pitch
that he delivers too rapidly for any hacker tourist to write down but
goes something like this: "In the old days AT\&T came in, told you how
much to pay, and you raised the money, assumed all of the risk, and
owned the cable. But now FLAG's coming in with investors who are going
to put in $600 million of their own cash and borrow a billion more
without any guaranteed sales, assuming all of the risk. You buy only as
much capacity on FLAG as you want, and meanwhile you have retained your
capital, which you can use to upgrade your outdated local infrastructure
and provide better service to your customers - now what the hell is
wrong with that?"

The question hangs in the air provocatively. What the hell is wrong with
it? Put this way, it seems unbeatable. But a lot of local telecoms
turned FLAG down anyway - at least at first. Why?

The short answer is that I'm not allowed to tell you. The long answer
requires an explanation of how a hacker tourist operates; how his
methods differ from those of an actual journalist; and just how weird
the global telecom business is nowadays.

Let's take the last one first. The business is so tangled that no pure
competition exists. There are no Coke-versus-Pepsi dichotomies. Most of
the companies mentioned in this story are actually whole families of
companies, and most of those have their fingers in pies in dozens of
countries all around the globe. Any two companies that compete in one
arena are, at the same time, probably in bed with each other on many
other levels. As badly as they might want to slag each other in the
press, they dare not.

So, like those "high-ranking officials" you're always reading about in
news reports from Washington, they all talk on background. Anyone who
wants to write about this business will come off as either a genius with
an encyclopedic brain or a pathological liar with an axe to grind -
depending on the reader's point of view - because all truly interesting
information is dished out strictly on background.

Perhaps a real journalist would go into Woodward-and-Bernstein mode,
find a Deep Throat, and lay it all bare. But I'm not a real journalist:
I'm a hacker tourist, and trying to work up an exposé on monopolistic
behavior by big bad telecoms would only get in the way of what are, to
me, the more interesting aspects of this story.

So I'll just say that a whole lot of important and well-informed people
in the telecom business, all over the planet, are laboring under the
strange impression that AT\&T used its power and influence to discourage
smaller telecoms in other countries from signing deals with FLAG.

In the old days, this would have prevented FLAG from ever coming into
existence. But these are the new days, telecom deregulation is creeping
slowly across the planet, and many PTTs now have to worry about
competition. So the results of the FLAG sales pitch varied from country
to country. In some places, like Singapore, FLAG never made an agreement
with anyone and had to bypass the country entirely. In other places, the
PTT broke ranks with AT\&T and agreed to land FLAG. In others, the PTT
turned it down but an upstart competitor decided to land FLAG instead,
and in still others, the PTT declined at first, and then got so worried
about the upstart competitor that it changed its mind and decided to
land FLAG after all.

It would be very easy for you, dear reader, to underestimate what a sea
change this all represents for the clubs. They are not accustomed to
having to worry about competition - it doesn't come naturally to them.
The typical high-ranking telecom executive is more of a government
bureaucrat than a businessperson, and the entire scenario laid out above
is irregular, messy, and disturbing to someone like that. A telecrat's
reflex is to assume, smugly, that new carriers simply don't matter,
because no matter how much financing and business acumen they may have,
no matter how great the demand for their services may be, and no matter
how crappy the existing service is, the old PTT still controls the
cable, which is the only way to get bits out of the country. But in the
FLAG era, if the customers go to another carrier, that carrier will find
a way to get the needed capacity somehow - at which point it is too late
for the PTT.

The local carriers, therefore, need to stop thinking globally and start
thinking locally. That is, they need to leave long-range cable laying to
the entrepreneurs, to assume that the bandwidth will always somehow be
there, and to concentrate on upgrading the quality of their customer
service - in particular, the so-called last mile, the local loop that
ties customers into the Net.

By the end of 1994, FLAG's Construction and Maintenance Agreement had
been signed, and the project was for real. Well before this point, it
had become obvious to everyone that FLAG was going to happen in some
form, so companies that initially might have been hostile began looking
for ways to get in on the action. The manufacture of the cable and the
repeaters had been put out to bid in 1993 and had turned into a
competition between two consortia, one consisting of AT\&T Submarine
Systems and KDD Submarine Cable Systems, and the other formed around
Alcatel and Fujitsu. The former group ended up landing the contract. So
AT\&T, which evidently felt threatened by the whole premise of the FLAG
project and according to some people had tried to quash it, ended up
with part of the contract to manufacture the cable.

\_\_ In which the Hacker Tourist returns (temporarily) to British soil
in the Far East. The (temporary) center of the cable-laying universe.
Hoisting flagons with the élite cable-laying fraternity\_\_

at a waterfront establishment. Classic reprise of the ancient
hacker-versus-suit drama.Historical exploits of the famous William
Thomson and the infamous Wildman Whitehouse. Their rivalry, culminating
in the destruction of the first transatlantic cable. Whitehouse
disgraced, Thomson transmogrified into Lord Kelvin ....

\_\_ 22° 15.745' N, 114° 0.557' ESilvermine Bay, Lan Tao Island,?b\>
Hong Kong\_\_

"Today, Lan Tao Island is the center of the cable-laying universe," says
David M. Handley, a 52-year-old Southerner who, like virtually all
cable-laying people, is talkative, endlessly energetic, and gives every
indication of knowing exactly what he's doing. "Tomorrow, it'll be
someplace else." We are chug-a-lugging large bottles of water on a
public beach at Tong Fuk on the southern coast of Lan Tao, which is a
relatively large (25 kilometers long) island an hour's ferry ride west
of Hong Kong Island. Arrayed before us on the bay is a collection of
vessels that, to a layman, wouldn't look like the center of a decent
salvage yard, to say nothing of the cable-laying universe. But remember
that "layman" is just a polite word for "idiot."

Closest to shore, there are a couple of junks and sampans. Mind you,
these are not picturesque James Clavell junks with red sails or Pearl
Buck sampans with pole-wielding peasants in conical hats. The terms are
now used to describe modern, motorized vessels built vaguely along the
same lines to perform roughly the same functions: a junk is a large,
square-assed vessel, and a sampan is a small utility craft with an
enclosed cabin. Farther out, there are two barges: slabs with cranes and
boxy things on them. Finally, there are several of what Handley calls
LBRBs (Little Bitty Rubber Boats) going back and forth between these
vessels and the beach. Boeing hydrofoils and turbo cats scream back and
forth a few miles out, ferrying passengers among various destinations
around the Pearl Delta region. It's a hot day, and kids are swimming on
the public beach, prudently staying within the line of red buoys marking
the antishark net. Handley remarks, offhandedly, that five people have
been eaten so far this year. A bulletin board, in English and Chinese,
offers advice: "If schooling fish start to congregate in unusually large
numbers, leave the water."

This bay is the center of the cable-laying universe because cable layers
have congregated here in unusually large numbers and because of those
two barges, which are a damn sight more complicated and expensive than
you would ever guess from looking at them. These men (they are all men)
and equipment have come from all over the world, to land not only FLAG
but also, at the same time, another of those third-generation
fiber-optic cables, APCN (Asia-Pacific Cable Network).

In contrast to other places we visited, virtually no local labor is
being used on Lan Tao. There is hardly a Chinese face to be seen around
the work site, and when you do see an Asian it tends to be either an
Indonesian member of a barge crew or a Singaporean of Chinese or Indian
ancestry. Most of the people here are blue-eyed and sunburned. A good
half of them have accents that originate from the British Isles. The
remainder are from the States (frequently Dixie), Australia, or New
Zealand, with a smattering from France and Germany.

Both FLAG and APCN are just passing through Hong Kong, not terminating
here, and so each has to be landed twice (one segment coming in and one
segment going back out). In FLAG's case, one segment goes south to
Songkhla, Thailand, and the other goes north toward Shanghai and Korea.
It wouldn't be safe to land both segments in the same place, so there
are two separate landing sites, with FLAG and APCN cables running side
by side at each one. One of the sites is at the public beach, which is
nice and sandy. The other site is a few hundred meters away on a cobble
beach - a hill of rounded stones, fist- to football-sized, rising up out
of the surf and making musical clinking noises as the waves smash them
up and down the grade. This is a terrible place to land a cable
(Handley: "If it was easy, everybody would do it\!") but, as in
Thailand, diversity is the ultimate trump card. Planted above the hill
of cobbles is a brand-new cable station bearing the Hong Kong Telecom
logo, only one of the spoils soon to be reaped by the People's Republic
of China when all this reverts to its control next year.

Lan Tao Island, like most other places where cables are landed, is a
peculiar area, long home to smugglers and pirates. Some 30,000 people
live here, mostly concentrated around Silvermine Bay on the island's
eastern end, where the ferries come in every hour or so from Hong Kong's
central district, carrying both islanders and tourists. The beaches are
lovely, except for the sharks, and the interior of the island is mostly
unspoiled parkland, popular among hikers. Hong Kong's new airport is
being built on reclaimed land attached to the north side of the island,
and a monumental chain of bridges and tunnels is being constructed to
connect it with the city. Other than tourist attractions, the island
hosts a few oddities such as a prison, a Trappist monastery, a village
on stilts, and the world's largest outdoor bronze Buddha.

Cable trash, as these characters affectionately call themselves, shuttle
back and forth between Tong Fuk and Silvermine Bay. They all stay at the
same hotel and tend to spend their off hours at Papa Doc's (no relation
to the Haitian dictator), a beachfront bar run by expats (British) for
expats (Australians, Americans, Brits, you name it). Papa Doc's isn't
just for cable layers. It also meets the exacting specifications of
exhausted hacker tourists. It's the kind of joint that Humphrey Bogart
would be running if he had washed ashore on Lan Tao in the mid-1990s
wearing a nose ring instead of landing in Casablanca in the 1940s
wearing a fedora.

One evening, after Handley and I had been buying each other drinks at
Papa Doc's for a while, he raised his glass and said, "To good times and
great cable laying\!" This toast, while no doubt uttered with a certain
amount of irony, speaks volumes about cable professionals.

For most of them, good times and great cable laying are one and the
same. They make their living doing the kind of work that automatically
weeds out losers. Handley, for example, was a founding member of SEAL
Team 2 who spent 59 months fighting in Vietnam, laid cables for the Navy
for a few more years, and has done similar work in the civilian world
ever since. In addition to being an expert diver, he has a master
mariner's license good up to 1,500 tons, which is not an easy thing to
get or maintain. He does all his work on a laptop (he claims that it
replaced 14 employees) and is as computer-literate as anyone I've known
who isn't a coder.

Handley is unusual in combining all of these qualities into one person
(that's why he's the boss of the Lan Tao Island operation), but the
qualities are as common as tattoos and Tevas around the tables of Papa
Doc's. The crews of the cable barges tend to be jacks-of-all-trades:
ship's masters who also know how to dive using various types of
breathing rigs or who can slam out a report on their laptops, embed a
few digital images in it, and email it to the other side of the world
over a satellite phone, then pick up a welding torch and go to work on
the barge. If these people didn't know what they were doing, there's a
good chance they would be dead by now or would have screwed up a cable
lay somewhere and washed out of the industry.

Most of the ones here work on what amounts to a freelance basis, either
on their own or as part of small firms. Handley, for example, is
Director of Technical Services for the ITR Corporation, which, among
other functions, serves as a sort of talent agency for cable-layers,
matching supply of expertise to demand and facilitating contracts. Most
of the divers are freelancers, hired temporarily by companies that
likewise move from one job to another. The business is as close to being
a pure meritocracy as anything ever gets in the real world, and it's
only because these guys know they are good that they have the confidence
to call themselves cable trash.

It was not always thus. Until very recently, cable-laying talent was
monopolized by the clubs. This worked just fine when every cable was a
club cable, created by monopolies for monopolies. In the last couple of
years, however, two changes have occurred at once: FLAG, the first major
privately financed cable, came along; and at the same time, many
experienced cable layers began to go into business for themselves,
either because of voluntary retirement or downsizing. There clearly is a
synergy between these two trends.

The roster of FLAG's Tong Fuk cable lay contains around 44 people, half
of whom are crew members on either the cable barge Elbe or the
accompanying tug Ocean East. The rest of them are here representing
various contractors involved in the project. It would be safe to assume
that at least that many are working on the APCN side for a grand total
of around 100.

The size of the fraternity of cable layers is estimated by Handley to be
less than 500, and the number is not increasing. A majority work full
time for one of the clubs. Perhaps a couple of hundred of them are
freelancers, though this fraction gives every indication of rising as
the club employees resign and go to work as contractors, frequently
doing the same work for the same company. "No one can afford to hire
these folks for long periods of time," Handley says. But their pay is
not exceptionally high: benefits, per diem, and expenses plus a daily
rate - but a day might be anything from 0 to 24 hours of work. For a
diver the rate might be $200 per day; for the master of a barge, tug, or
beach $300; and for the experts running the show and repping for
contractors or customers it's in the range of $300 to $400.

The arrival of a shore-landing operation at a place like Lan Tao Island
must look something like this to the locals: suddenly, it is difficult
to obtain hotel rooms because a plethora of small, unheard-of offshore
corporations have blocked out a couple of dozen rooms for a couple
hundred nights. Sunburned Anglos begin to arrive, wearing T-shirts and
carrying luggage emblazoned with the logos of Alcatel, AT\&T, or Cable &
Wireless. They fly in from all points of the compass, speaking in
Southern drawls or Australian twangs or Scottish burrs and sometimes
bringing their wives or girlfriends, not infrequently Thai or Filipina.
The least important of them has a laptop and a cell phone, but most have
more advanced stuff like portable printers, GPS units, and that ultimate
personal communications device, the satellite telephone, which works
anywhere on the planet, even in the middle of the ocean, by beaming the
call straight up to a satellite.

Sample conversation at Papa Doc's:

Envious hacker tourist: "How much does one of those satellite phones
cost, anyway?"

Leathery, veteran cable layer: "Who gives a shit?"

Within a day or two, the cable layers have established an official
haunt: preferably a place equipped with a dartboard and a few other
amenities very close to the waterfront so they can keep an eye on
incoming traffic. There they can get a bite to eat or a drink and pay
for it on the spot so that when their satellite phones ring or when a
tugboat chugs into the bay, they can immediately dash off to work. These
men work and play at completely erratic and unpredictable hours. They
wear shorts and sandals and T-shirts and frequently sport tattoos and
hence could easily be mistaken, at a glance, for vacationing sailors.
But if you can get someone to turn down the volume on the jukebox, you
can overhear them learnedly discoursing on flaw propagation in the
crystalline structure of boron silicate glass or on seasonal variation
of currents in the Pearl River estuary, or on what a pain in the ass it
is to helm a large ship through the Suez Canal. Their conversation is
filled with references to places like Tunisia, Diego Garcia, the North
Sea, Porthcurno, and Penang.

One day a barge appears off the cove, and there is a lot of fussing
around with floats, lots of divers in the water. A backhoe digs a trench
in the cobble beach. A long skinny black thing is wrestled ashore.
Working almost naked in the tropical heat, the men bolt segmented pipes
around it and then bury it. It is never again to be seen by human eyes.
Suddenly, all of these men pay their bills and vanish. Not long
afterward, the phone service gets a hell of a lot better.

On land, the tools of cable laying are the tools of civil engineers:
backhoes, shovels, cranes. The job is a matter of digging a ditch,
laying duct, planting manholes. The complications are sometimes
geographical but mostly political. In deep water, where the majority of
FLAG is located, the work is done by cable ships and has more in common
with space exploration than with any terrestrial activity. These two
realms could hardly be more different, and yet the transition between
them - the shore landing - is completely distinct from both.

Shallow water is the most perilous part of a cable's route. Extra
precautions must be taken in the transition from deep water to the
beach, and these precautions get more extreme as the water gets more
shallow. Between 1,000 and 3,000 meters, the cable has a single layer of
armor wires (steel rods about as thick as a pencil) around it. In less
than 1,000 meters of water, it has a second layer of armor around the
first. In the final approach to the shoreline, this double-armored cable
is contained within a massive shell of articulated cast-iron pipe, which
in turn is buried under up to a meter of sand.

The articulated pipe comes in sections half a meter long, which have to
be manually fit around the cable and bolted together. Each section of
pipe interlocks with the ones on either end of it. The coupling is
designed to bend a certain amount so that the cable can be snaked around
any obstructions to its destination: the beach manhole. It will bend
only so much, however, so that the cable's minimum radius of curvature
will not be violated.

At the sandy beach this manual work was done out in the surf by a team
of English freelance divers based out of Hong Kong. At the cobble beach,
it was done in a trench by a bikini-underwear-clad Frenchman with a New
Zealand passport living in Singapore, working in Hong Kong, with a
Singaporean wife of Chinese descent. Drenched with sweat and rain and
seawater, he wrestles with the cast-iron pipe sections in a cobblestone
ditch, bolting them patiently together. A Chinese man in a suit picks
his way across the cobbles toward him, carrying an oversized umbrella
emblazoned with the logo of a prominent stock brokerage, followed by a
minion. Although this is all happening in China, this is the first
Chinese person who has appeared on the beach in a couple of days. He is
an executive from the phone company, coming to inspect the work. After a
stiff exchange of pleasantries with the other cable layers on the beach,
he goes to the brink of the trench and begins bossing around the man
with the half-pipes, who, knowing what's good for him, just keeps his
mouth shut while maintaining a certain bearing and dignity beside which
the executive's suit and umbrella seem pathetic and vain.

To a hacker tourist, the scene is strikingly familiar: it is the ancient
hacker-versus-suit drama, enacted for the millionth time but sticking to
its traditional structure as strictly as a Noh play or, for that matter,
a Dilbert cartoon. Cable layers, like hackers, scorn credentials,
etiquette, and nice clothes. Anyone who can do the work is part of the
club. Nothing else matters. Suits are a bizarre intrusion from an
irrational world. They have undeniable authority, but heaven only knows
how they acquired it. This year, the suits are from Hong Kong, which
means they are probably smarter than the average suit. Pretty soon the
suits will be from Beijing, but Beijing doesn't know how to lay cable
either, so if they ever want to get bits in or out of their country,
they will have to reach an understanding with these guys.

At Tong Fuk, FLAG is encased in pipe out to a distance of some 300
meters from the beach manhole. When the divers have got all of that pipe
bolted on, which will take a week or so, they will make their way down
the line with a water jet that works by fluidizing the seabed beneath
it, turning it into quicksand. The pipe sinks into the quicksand, which
eventually compacts, leaving no trace of the buried pipe.

Beyond 300 meters, the cable must still be buried to protect it from
anchors, tickler chains, and otter boards (more about this later). This
is the job of the two barges we saw off Tong Fuk. One, the Elbe, was
burying FLAG. The other was burying APCN. Elbe did its job in one-third
the time, with one-third the crew, perhaps exemplifying the difference
between FLAG's freelance-based virtual-corporation business model versus
the old club model. The Elbe crew is German, British, Filipino,
Singaporean-of-Indian-ancestry, New Zealander, and also includes a South
African diver.

In the center of the barge is a tank where the cable is spooled. The
thick, heavy armored cable that the Elbe works with is covered with a
jacket of tarred jute, which gives it an old-fashioned look that belies
its high tech optical-fiber innards. The tar likes to melt and stick the
cable together, so each layer of cable in the tank is separated from its
neighbors by wooden slats, and buckets of talc are slathered over it.
The cable emerges from the open top of the tank and passes through a
series of rollers that curve around, looking very much like a miniature
roller-coaster track - these are built in such a way as to bend the
cable through a particular trajectory without violating its minimum
radius of curvature. They feed it into the top of the injector unit.

The injector is a huge steel cleaver, 7 meters high and 2 or 3 meters
broad, rigged to the side of the barge so it can slide up and down and
thus be jammed directly into the seabed. But instead of a cutting blade
on its leading edge, it has a row of hardened-steel injector nozzles
that spurt highly pressurized water, piped in from a huge pump buried in
the Elbe's engine room. These nozzles fluidize the seabed and thus make
it possible for the giant blade to penetrate it. Along the trailing edge
of the blade runs a channel for the cable so that as the blade works its
way forward, the cable is gently laid into the bottom of the slit. The
barge carries a set of extensions that can be bolted onto the top of the
injector so it can operate in water as deep as 40 meters, burying the
cable as deep as 9 meters beneath the seabed. This sufficed to lay the
cable out for a distance of 10 kilometers from Tong Fuk. Later, another
barge, the Chinann, will come to continue work out to 100 meters deep
and will bury both legs of the FLAG cable for another 60 kilometers out
to get them through a dangerous anchorage zone.

The Elbe has its own tugboat, the Ocean East, staffed with an Indonesian
crew. Relations between the two vessels have been a bit tense because
the Indonesians butchered and ate all of the Elbe's laying hens,
terminating the egg supply. But it all seemed to have been patched up
when we were there; no one was fretting about it except for the Elbe's
rooster. When the Elbe is more than half a kilometer from shore, Ocean
East pulls her along by means of a cable. The tug's movements are
controlled from the Elbe's bridge over a radio link. Closer to shore,
the Elbe drops an anchor and then pulls itself along by winching the
line in. She can get more power by using the Harbormaster thruster units
mounted on each of her ends. But the main purpose of these thrusters is
to provide side propulsion so the barge's movements can be finely
controlled.

The nerve center of the Elbe is a raised, air-conditioned bridge jammed
with the electronic paraphernalia characteristic of modern ships, such
as a satellite phone, a fax machine, a plotter, and a Navtex machine to
receive meteorological updates. Probably the most important equipment is
the differential GPS system that tells the barge's operators exactly
where they are with respect to the all-important Route Position List: a
series of points provided by the surveyors. Their job is to connect
these dots with cable. Elbe's bridge normally sports four different
computers all concerned with navigation and station-keeping functions.
In addition to this complement, during the Tong Fuk cable lay, Dave
Handley was up here with his laptop, taking down data important to FLAG,
while the representatives from AT\&T and Cable & Wireless were also
present with their laptops compiling their own data.

Hey, wait a minute, the hacker tourist says to himself, I thought AT\&T
was the enemy. What's an AT\&T guy doing on the bridge of the Elbe,
side-by-side with Dave Handley?

The answer is that the telecom business is an unfathomably complicated
snarl of relationships. Not only did AT\&T (along with KDD) end up with
the contract to supply FLAG's cable, it also ended up landing a great
deal of the installation work. Not that many companies have what it
takes to manage an installation of FLAG's magnitude. AT\&T is one of
them and Nynex isn't. So it frequently happens at FLAG job sites that
AT\&T will be serving as the contractor, making the local contacts and
organizing the work, while FLAG's presence will be limited to one or two
reps whose allegiance is to the investors and whose job it is to make
sure it's all done the FLAG way, as opposed to the AT\&T way. As with
any other construction project from a doghouse on upward, countless
decisions must be made on the site, and here they need to be made the
way a group of private investors would make them - not the way a club
would.

If FLAG's investors spent any time at all looking into the history of
the cable-laying business, this topic must have given them a few
sleepless nights. The early years of the industry were filled with
decision making that can most charitably be described as colorful. In
those days, there were no experienced old hands. They just made
everything up as they went along, and as often as not, they got it
wrong.

\_\_ Thomson and Whitehouse\_\_

As of 1861, some 17,500 kilometers of submarine cable had been laid in
various places around the world, of which only about 5,000 kilometers
worked. The remaining 12,500 kilometers represented a loss to their
investors, and most of these lost investments were long cables such as
the ones between Britain and the United States and Britain and India
(3,500 and 5,600 kilometers, respectively). Understanding why long
cables failed was not a trivial problem; it defeated eminent scientists
like Rankine and Siemens and was solved, in the end, only by William
Thomson.

In prospect, it probably looked like it was going to be easy. Insulated
telegraph wires strung from pole to pole worked just as one might
expect, and so, assuming that watertight insulation could be found,
similar wires laid under the ocean should work just as well. The
insulation was soon found in the form of gutta-percha. Very long
gutta-percha-insulated wires were built. They worked fine when laid out
on the factory floor and tested. But when immersed in water they worked
poorly, if at all.

The problem was that water, unlike air, is an electrical conductor,
which is to say that charged particles are free to move around in it.
When a pulse of electrons moves down an immersed cable, it repels
electrons in the surrounding seawater, creating a positively charged
pulse in the water outside. These two charged regions interact with each
other in such a way as to smear out the original pulse moving down the
wire. The operator at the receiving end sees only a slow upward trend in
electrical charge, instead of a crisp jump. If the sending operator
transmitted the different pulses - the dots and dashes - too close
together, they'd blur as they moved down the wire.

Unfortunately, that's not the only thing happening in that wire. Long
cables act as antennae, picking up all kinds of stray currents as the
rotation of the Earth, and its revolution around the sun, sweep them
across magnetic fields of terrestrial and celestial origin. At the
Museum of Submarine Telegraphy in Porthcurno, Cornwall (which we'll
visit later), is a graph of the so-called Earth current measured in a
cable that ran from there to Harbor Grace, Newfoundland, decades ago.
Over a period of some 72 hours, the graph showed a variation in the
range of 100 volts. Unfortunately, the amplitude of the telegraph signal
was only 70 volts. So the weak, smeared-out pulses making their way down
the cable would have been almost impossible to hear above the music of
the spheres.

Finally, leakage in the cable's primitive insulation was inevitable. All
of these influences, added together, meant that early telegraphers could
send anything they wanted into the big wire, but the only thing that
showed up at the other end was noise.

These problems were known, but poorly understood, in the mid-1850s when
the first transatlantic cable was being planned. They had proved
troublesome but manageable in the early cables that bridged short gaps,
such as between England and Ireland. No one knew, yet, what would happen
in a much longer cable system. The best anyone could do, short of
building one, was to make predictions.

The Victorian era was an age of superlatives and larger-than-life
characters, and as far as that goes, Dr. Wildman Whitehouse fit right
in: what Victoria was to monarchs, Dickens to novelists, Burton to
explorers, Robert E. Lee to generals, Dr. Wildman Whitehouse was to
assholes. He achieved a level of pure accomplishment in this field that
the Alfonse D'Amatos of our time can only dream of. The only
19th-century figure who even comes close to him in this department is
Custer. In any case, Dr. Edward Orange Wildman Whitehouse fancied
himself something of an expert on electricity. His rival was William
Thomson, 10 years younger, a professor of natural philosophy at Glasgow
University who was infatuated with Fourier analysis, a new and extremely
powerful tool that happened to be perfectly suited to the problem of how
to send electrical pulses down long submarine cables.

Wildman Whitehouse predicted that sending bits down long undersea cables
was going to be easy (the degradation of the signal would be
proportional to the length of the cable) and William Thomson predicted
that it was going to be hard (proportional to the length of the cable
squared). Naturally, they both ended up working for the same company at
the same time.

Whitehouse was a medical doctor, hence working in the wrong field, and
probably trailed Thomson by a good 50 or 100 IQ points. But that didn't
stop Whitehouse. In 1856, he published a paper stating that Thomson's
theories concerning the proposed transatlantic cable were balderdash.
The two men got into a public argument, which became extremely important
in 1858 when the Atlantic Telegraph Company laid such a cable from
Ireland to Newfoundland: a copper core sheathed in gutta-percha and
wrapped in iron wires.

This cable was, to put it mildly, a bad idea, given the state of cable
science and technology at the time. The notion of copper as a conductor
for electricity, as opposed to a downspout material, was still
extraordinary, and it was impossible to obtain the metal in anything
like a pure form. The cable was slapped together so shoddily that in
some places the core could be seen poking out through its gutta-percha
insulation even before it was loaded onto the cable-laying ship. But
venture capitalists back then were a more rugged - not to say crazy -
breed, and there can be no better evidence than that they let Wildman
Whitehouse stay on as the Atlantic Telegraph Company's chief electrician
long after his deficiencies had become conspicuous.

The physical process of building and laying the cable makes for a wild
tale in and of itself. But to do it justice, I would have to double the
length of this already herniated article. Let's just say that after lots
of excitement, they put a cable in place between Ireland and
Newfoundland. But for all of the reasons mentioned earlier, it hardly
worked at all. Queen Victoria managed to send President Buchanan a
celebratory message, but it took a whole day to send it. On a good day,
the cable could carry something like one word per minute. This fact was
generally hushed up, but the important people knew about it - so the
pressure was on Wildman Whitehouse, whose theories were blatantly
contradicted by the facts.

Whitehouse convinced himself that the solution to their troubles was
brute force - send the message at extremely high voltages. To that end,
he invented and patented a set of 5-foot-long induction coils capable of
ramming 2,000 volts into the cable. When he hooked them up to the
Ireland end of the system, he soon managed to blast a hole through the
gutta-percha somewhere between there and Newfoundland, turning the
entire system into useless junk.

Long before this, William Thomson had figured out, by dint of Fourier
analysis, that incoming bits could be detected much faster by a more
sensitive instrument. The problem was that instruments in those days had
to work by physically moving things around, for example, by closing an
electromagnetic relay that would sound a buzzer. Moving things around
requires power, and the bits on a working transatlantic cable embodied
very little power. It was difficult to make a physical object small
enough to be susceptible to such ghostly traces of current.

Thomson's solution (actually, the first of several solutions) was the
mirror galvanometer, which incorporated a tiny fleck of reflective
material that would twist back and forth in the magnetic field created
by the current in the wire. A beam of light reflecting from the fleck
would swing back and forth like a searchlight, making a dim spot on a
strip of white paper. An observer with good eyesight sitting in a
darkened room could tell which way the current was flowing by watching
which way the spot moved. Current flowing in one direction signified a
Morse code dot, in the other a dash. In fact, the information that had
been transmitted down the cable in the brief few weeks before Wildman
Whitehouse burned it to a crisp had been detected using Thomson's mirror
galvanometer - though Whitehouse denied it.

After the literal burnout of the first transatlantic cable, Wildman
Whitehouse and Professor Thomson were grilled by a committee of eminent
Victorians who were seriously pissed off at Whitehouse and enthralled
with Thomson, even before they heard any testimony - and they heard a
lot of testimony.  
Whitehouse disappeared into ignominy. Thomson ended up being knighted
and later elevated to a baron by Queen Victoria. He became Lord Kelvin
and eventually got an important unit of measurement, an even more
important law of physics, and a refrigerator named after him.

Eight years after Whitehouse fried the first, a second transatlantic
cable was built to Lord Kelvin's specifications with his patented mirror
galvanometers at either end of it. He bought a 126-ton schooner yacht
with the stupendous amount of money he made from his numerous
cable-related patents, turned the ship into a floating luxury palace and
laboratory for the invention of even more fantastically lucrative
patents. He then spent the rest of his life tooling around the British
Isles, Bay of Biscay, and western Mediterranean, frequently hosting
Dukes and continental savants who all commented on the nerd-lord's
tendency to stop in the middle of polite conversation to scrawl out long
skeins of equations on whatever piece of paper happened to be handy.

Kelvin went on to design and patent other devices for extracting bits
from the ends of cables, and other engineers went to work on the
problem, too. By the 1920s, the chore of translating electrical pulses
into letters had been largely automated. Now, of course, humans are
completely out of the loop.

The number of people working in cable landing stations is probably about
the same as it was in Kelvin's day. But now they are merely caretakers
for machines that process bits about as fast as a billion telegraphers
working in parallel.

\_\_ The Hacker Tourist travels to the Land of the Rising Sun.\_\_

Technological wonders of modern cable stations. Why Ugandans could not
place telephone calls to Seattle. Trawlers, tickler chains, teredo
worms, and other hazards to undersea cables. The immense financial
stakes involved - why cable owners do not care for the company of
fishermen,and vice versa.

\_\_ 35° 17.690' N, 139° 46.328' EKDD Cable Landing Station, Ninomiya,
Japan\_\_

Whether they are in Thailand, Egypt, or Japan, modern cable landing
stations have much in common with each other. Shortly after touching
down in Tokyo, we were standing in KDD's landing station in Ninomiya,
Japan. I'll describe it to you.

A surprising amount of space in the station is devoted to electrical
gear. The station must not lose power, so there are two separate,
redundant emergency generators. There is also likely to be a transformer
to supply power to the cable system. We think of optical fibers as
delicate strands consuming negligible power, but all of those repeaters,
spaced every few dozen kilometers across an ocean, end up consuming a
lot of juice: for a big transoceanic cable, one or two amperes at 7,000
or so volts, for a total of something like 10,000 watts. The equipment
handling that power makes a hum you can feel in your bones, kicking the
power out not along wires but solid copper bars suspended from the
ceiling, with occasional sections of massive braided metal ribbon so
they won't snap in an earthquake.

The emergency generators are hooked into a battery farm that fills a
room. The batteries are constantly trickle-charged and exist simply to
provide power during an emergency - after the regular power goes out but
before the generators kick in. Most of the equipment in the cable
station is computer gear that demands a stable temperature, so there are
two separate, redundant air-conditioning plants feeding into a big
system of ventilation ducts. The equipment must not get dirty or get
fried by sparks from the fingers of hacker tourists, so you leave your
shoes by the door and slip into plastic antistatic flip-flops. The
equipment must not get smashed up in earthquakes, so the building is
built like a brick shithouse.

The station is no more than a few hundred meters from a beach. Sandy
beaches in out-of-the-way areas are preferred. The cable comes in under
the sand until it hits a beach manhole, where it continues through
underground ducts until it comes up out of the floor of the cable
station into a small, well-secured room. The cable is attached to
something big and strong, such as a massive steel grid bolted into the
wall. Early cable technicians were sometimes startled to see their
cables suddenly jerk loose from their moorings inside the station -
yanking the guts out of expensive pieces of equipment - and disappear in
the direction of the ocean, where a passing ship had snagged them.

From holes in the floor, the cables pass up into boxes where all the
armor and insulation are stripped away from them and where the tubular
power lead surrounding the core is connected to the electrical service
(7,500 volts in the case of FLAG) that powers the repeaters out in the
middle of the ocean. Its innards then con-tinue, typically in some kind
of overhead wiring plenum (a miniature catwalk suspended from the
ceiling) into the Big Room Full of Expensive Stuff.

The Big Room Full of Expensive Stuff is at least 25 meters on a side and
commonly has a floor made of removable, perforated plates covering
plenums through which wires can be routed, an overhead grid of open
plenums from which wires descend like jungle vines, or both. Most of the
room is occupied by equipment racks arranged in parallel rows (think of
the stacks at a big library). The racks are tall, well over most
people's heads, and their insides are concealed and protected by face
plates bearing corporate logos: AT\&T, Alcatel, Fujitsu. In the case of
an optical cable like FLAG, they contain the Light Terminal: the gear
that converts the 1,558-nanometer signal lasers coming down the fiber
strands into digits within an electrical circuit, and vice versa. The
Light Terminal is contained within a couple of racks that, taken
together, are about the size of a refrigerator.

All the other racks of gear filling the room cope with the unfathomable
hassles associated with trying to funnel that many bits into and out of
the fiber. In the end, that gear is, of course, connected to the local
telecommunications system in some way. Hence one commonly sees microwave
relay towers on top of these buildings and lots of manholes in the
streets around them. One does not, however, see a lot of employees,
because for the most part this equipment runs itself. Every single
circuit board in every slot of every level of every rack in the whole
place has a pair of copper wires coming out of it to send an alarm
signal in the event that the board fails. Like tiny rivulets joining
together into a mighty river, these come together into bundles as thick
as your leg that snake beneath the floor plates to an alarm center where
they are patched into beautiful rounded clear plastic cases enclosing
grids of interconnect pins. From here they are tied into communications
lines that run all the way to Tokyo so that everything on the premises
can be monitored remotely during nights and weekends. Ninomiya is
staffed with nine employees and Miura, FLAG's other Japanese landing
point, only one.

With one notable exception, the hacker tourist sees no particular
evidence that any of this has the slightest thing to do with
communications. It might as well be the computer room at a big
university or insurance company. The one exception is a telephone
handset hanging on a hook on one of the equipment racks. The handset is
there, but there's no keypad. Above it is a sign bearing the name of a
city far, far away. "Ha, ha\!" I said, the first time I saw one of
these, "that's for talking to the guy in California, right?" To my
embarrassment, my tour guides nodded yes. Each cable system has
something called the order wire, which enables the technicians at
opposite ends of the cable to talk to each other. At a major landing
station you will see several order wires labeled with the names of
exotic-sounding cities on the opposite side of the nearest large body of
water.

That is the bare minimum that you will see at any cable station. At
Ninomiya you see a bit more, and therein lies something of a tale.

Ninomiya is by far the oldest of KDD's seven cable landing stations,
having been built in 1964 to land TPC-1, which connected Japan to Guam
and hence to the United States. Unlike many of FLAG's other landing
sites, which are still torn up by backhoe tracks, it is surrounded by
perfectly maintained gardens marred only by towering gray steel poles
with big red lights on them aimed out toward the sea in an attempt to
dissuade mariners from dropping anchor anywhere nearby. Ninomiya served
as a training ground for Japanese cable talent. Some of the people who
learned the trade there are among the top executives in KDD's hierarchy
today.

During the 1980s, when Americans started to get freaked out about Japan
again, we heard a great deal about Japanese corporations' patient,
long-term approach to R\&D and how vastly superior it was to American
companies' stupid, short-term approach. Since American news media are at
least as stupid and short-term as the big corporations they like to
bitch about, we have heard very little follow-up to such stories in
recent years, which is kind of disappointing because I was sort of
wondering how it was all going to turn out. But now the formerly
long-term is about to come due.

By the beginning of the 1980s, the generation of cable-savvy KDD men who
had cut their teeth at Ninomiya had reached the level where they could
begin diverting corporate resources into R\&D programs. Tohru Ohta, who
today is the executive vice president of KDD, managed to pry some money
loose and get it into the hands of a protégé, Dr. Yasuhiko Niiro, who
launched one of those vaunted far-sighted Japanese R\&D programs at
Ninomiya. The terminal building for TPC-1, which had been the center of
the Japanese international telecommunications network in 1964, was
relegated to a laboratory for Niiro. The goal was to make KDD a player
in the optical-fiber submarine cable manufacturing business.

Such a move was not without controversy in the senior ranks of KDD, who
had devoted themselves to a very different corporate mission. In 1949,
when Japan was still being run by Douglas MacArthur and the country was
trying to dig out from the rubble of the war, Nippon Telephone &
Telegraph (NT\&T) split off its international department into a new
company called Kokusai Denshin Denwa Co., Ltd. (KDD), which means
International Telegraph & Telephone. KDD was much smaller and more
focused than NT\&T, and this was for a reason: Japan's international
communications system was a shambles, and nothing was more important to
the country's economic recovery than that it be rehabilitated as quickly
as possible. The hope was that KDD would be more nimble and agile than
its lumbering parent and get the job done faster.

This strategy seems to have more or less worked. Obviously, Japan has
succeeded in the world of international business. It is connected to the
United States by numerous transpacific cables; lines to the outside
world are plentiful. Of course, since KDD enjoyed monopoly status for a
long time, the fact that these lines are plentiful has never led to
their being cheap. Still, the system worked. Like much else that worked
in Japan's postwar economy, it succeeded, in those early years,
precisely insofar as it worked hand-in-glove with American companies and
institutions. AT\&T, in other words.

Unlike the United States or France or Great Britain, Japan was never
much of a player in the submarine cable business back in the prewar
days, and so Ohta's and Niiro's notion of going into head-to-head
competition against AT\&T, its postwar sugar daddy, might have seemed
audacious. KDD had customarily been so close to AT\&T that many Japanese
mocked it cruelly. AT\&T is the sumo champion, they said, and KDD is its
koshi-ginchaku, its belt-holding assistant. The word literally means
waist purse but seems to have rude connotations along the lines of
jockstrap carrier.

Against all of that, the only thing that Ohta and Niiro had to go on was
the fact that their idea was a really, really good one. Building cables
is just the kind of thing that Japanese industry is good at: a highly
advanced form of manufacturing that requires the very best quality
control. Cables and repeaters have to work for at least 25 years under
some really unpleasant conditions.

KDD Submarine Cable Systems (KDD-SCS) built its first optical fiber
submarine cable system, TPC-3, in 1989 and will soon have more than
100,000 kilometers of cable in service worldwide. It designs and holds
the patents on the terminal equipment that we saw at Ninomiya, though
the equipment itself is manufactured by electronics giants like Toshiba
and NEC. KDD-SCS is building some of the cable and repeaters that make
up FLAG, and AT\&T-SSI is building the rest. A problem has already
surfaced in the AT\&T repeaters - they switched to a different soldering
technique which turns out to be not such a good idea. Eleven of the
repeaters that AT\&T made for FLAG have this problem, and all of them
are lying on the bottom of oceans with bits running through them - for
now. FLAG and AT\&T are still studying this problem and trying to decide
how to resolve it. Still, everyone in the cable business knows what
happened - it has to be considered a major win for KDD-SCS.

So when KDD threw some of its resources into one of those famous
far-sighted long-range Japanese R\&D programs, it paid off beautifully.
In the field of submarine cable systems, the lowly assistant has taught
the sumo champion a lesson and sent him reeling back - not quite out of
the ring, but certainly enough to get his attention. How, you might ask,
is the rest of KDD doing?

The answer is that, like most other PTTs, it's showing its age. Even the
tactful Japanese are willing to admit that they have performed poorly in
the world of international telecommunications compared to other
countries. Non-Japanese will tell you the same thing more
enthusiastically.

The telco deregulation wars have begun in Japan as they have almost
everywhere else, and KDD now has competitors in the form of
International Digital Communications Inc. (IDC), which owns the Miura
station, the other FLAG landing spot. In order to succeed in this
competition, KDD needs to invest a lot of money, but the very smallness
that made it such a good idea in 1949 puts it at a disadvantage when
large amounts of capital are needed.

Just as Ninomiya is a generic cable landing, so KDD is something of a
generic PTT, facing many of the same troubles that others do. For
example: the Japanese telecommunications ministry continues to set rates
at an artificially high level. At first blush, this would seem to help
KDD by making it much more difficult for upstarts like IDC to compete
with them. But in fact it has opened the door to an unexpected form of
competition: callback.

Callback and Kallback are registered trademarks of Seattle-based
International Telcom Ltd. (ITL), but, like band-aid and kleenex, tend to
be used in a generic way by people overseas. The callback concept is
based on the fact that it's much cheaper to call Japan from the US than
it is to call the US from Japan. Subscribers to a callback service are
given a phone number in the US. When they want to make a call, they dial
that number, wait for it to ring once, and then hang up so they won't be
charged for the call. In the jargon of the callback world, this is the
trigger call. A system in the US then calls them back, giving them a
cheap international line, and once that is accomplished, it's an easy
matter to shunt the call elsewhere: to a number in the States or in any
other country in the world.

Any phone call made between two countries is subject to a so-called
settlement charge, which is assessed on a per-minute basis. The amount
of the settlement charged is fixed by an agreement between the two
countries' PTTs and generally provides a barometer of their relative
size and power. So, for example, when working out the deal with Denmark,
Pakistan might say, "Hey, Danes are rich, and we don't really care
whether they call us or not, and they have no particular leverage over
us - so POW\!" and insist on a high settlement charge - say $4 per
minute. But when negotiating against AT\&T, Pakistan might agree to a
lower settlement charge - say $1 per minute.

Settlement charges have long been a major source of foreign exchange for
developing countries' PTTs and hence for their governments and any
crooked officials who may be dipping into the money stream. In some
underdeveloped nations, they have been the major - verging on the only -
source of such income. But not for long.

Nowadays, a Dane who makes lot of international calls will subscribe to
a service such as ITL's Kallback. He makes a trigger call to Kallback's
computer in Seattle, which, since it is an incomplete call, costs him
nothing. The computer phones him back within a few seconds. He then
punches in the number he wants to call in Pakistan, and the computer in
Seattle places the call for him and makes the connection. Since
Pakistan's PTT has no way to know that the call originates in Denmark,
it assesses the lower AT\&T settlement charge. The total settlement
charge ends up being much less than what the Dane would have paid if
he'd dialed Pakistan directly. In other words, two calls from the US,
one to point A and one to point B, are cheaper than one direct call from
point A to point B.

KDD, like many other PTTs around the world, has tried to crack down on
callback services by compiling lists of the callback numbers and
blocking calls to those numbers. When I talked to Eric Doescher, ITL's
director of marketing, I expected him to be outraged about such attacks.
But it soon became evident that if he ever felt that way, he long ago
got over it and now views all such efforts with jaded amusement. "In
Uganda," he said, "the PTT blocked all calls to the 206 area code. So we
issued numbers from different area codes. In Saudi Arabia, they disabled
touch-tones upon connection so our users were unable to place calls when
the callback arrived - so we instituted a sophisticated voice
recognition system - customer service reps who listened to our customers
speaking the number and keyed it into the system." In Canada, a bizarre
situation developed in which calls from the Yukon and Northwest
Territories to the big southeastern cities like Ottawa and Toronto were
actually cheaper - by a factor of three - when routed through Seattle
than when dialed directly. In response to the flood of Kallback traffic,
Canada's Northern Telecom had human operators monitor phone calls,
listening for the distinctive pattern of a trigger call: one ring
followed by a hang-up. They then blocked calls to those numbers. So ITL
substituted a busy signal for the ringing sound. Northern Telecom,
unwilling to block calls to every phone in the US that was ever busy,
was checkmated.

In most countries, callback services inhabit a gray area. Saudi Arabia
and Kenya occasionally run ads reminding their people that callback is
illegal, but they don't try to enforce the law. China has better luck
with enforcement because of its system of informants, but it doesn't
bother Western businesspeople, who are the primary users. Singapore has
legalized them on the condition that they don't advertise. In Italy, the
market is so open that ITL is about to market a debit card that enables
people to use the service from any pay phone.

So settlement charges have backfired on the telcos of many countries.
Originally created to coddle these local monopolies, they've now become
a hazard to their existence.

KDD carries all the baggage of an old monopoly: it works in conjunction
with a notoriously gray and moribund government agency, it still has the
bad customer-service attitude that is typical of monopolies, and it has
the whole range of monopoly PR troubles too. Any competitive actions
that it takes tend to be construed as part of a sinister world
domination plot. So KDD has managed to get the worst of both worlds: it
is viewed both as a big sinister monopoly and as a cringing sidekick to
the even bigger and more sinister AT\&T.

Michio Kuroda is a KDD executive who negotiates deals relating to
submarine cables. He tells of a friend of his, a KDD employee who went
to the United States two decades ago to study at a university and went
around proudly announcing to his new American acquaintances that he
worked for a monopoly. Finally, some kind soul took him aside and gently
broke the news to him that, in America, monopoly was an ugly word.

Now, 20 years later, Kuroda claims that KDD has come around; it agrees
now that monopoly is an ugly word. KDD's detractors will say that this
is self-serving, but it rings true to this reporter. It seems clear that
a decision has been made at the highest levels of KDD that it's time to
stop looking backward and start to compete. As KDD is demonstrating, fat
payrolls can be trimmed. Capital can be raised. Customer service can be
improved, prices cut, bad PR mended. The biggest challenge that KDD
faces now may stem from a mistake that it made several years ago: it
decided not to land FLAG.

\_\_ 35° 11.535' N, 139° 36.995' EIDC Cable Landing Station, Miura,
Japan\_\_

The Miura station of IDC, or International Digital Communications Inc.,
looks a good deal like KDD's Ninomiya station on the inside, except that
its equipment is made by Fujitsu instead of KDD-SCS. At first
approximation, you might think of IDC as being the MCI of Japan.
Originally it specialized in data transmission, but now that
deregulation has arrived it is also a long-distance carrier. This, by
the way, is a common pattern in Asian countries where deregulation is
looming: new companies will try to kick out a niche for themselves in
data or cellular markets and hold on by their toenails until the vast
long-distance market opens up to them. Anyone in Japan can dial an
international call over IDC's network by dialing the prefix 0061 instead
of 001 for KDD. The numerical prefixes of various competing
long-distance companies are slapped up all over Tokyo on signs and
across rear windows of taxicabs in a desperate attempt to get a tiny
edge in mindshare.

Miura's outer surroundings are quite different from Ninomiya's. Ninomiya
is on a bluff in the middle of a town, and the beach below it is a
narrow strip of sand chockablock with giant concrete tetrapods, looking
like vastly magnified skeletons of plankton and intended to keep waves
from washing up onto the busy coastal highway that runs between the
beach and the station. Miura, by contrast, is a resort area with a wide
beach lined with seasonal restaurants. When we were there we even saw a
few surfers, hunting for puny waves under a relentless rain, looking
miserable in black wetsuits. The beach gives way to intensively
cultivated farmland.

Miura is the Japan end of NPC, the Northern Pacific Cable, which links
it directly to Pacific City, Oregon, with 8,380 kilometers of
second-generation optical fiber (it carries three fiber pairs, each of
which handles 420 Mbps). Miura also lands APC, the Asia-Pacific Cable,
which links it to Hong Kong and Singapore, and by means of a short cable
under Tokyo Bay it is connected to KDD's Chikura station, which is a
major nexus for transpacific and East Asian cables.

When FLAG first approached KDD with its wild scheme to build a privately
financed cable from England to Japan, there were plenty of reasons for
KDD to turn it down. The US Commerce Department was pressuring KDD to
accept FLAG, but AT\&T was against it. KDD was now caught between two
sumo wrestlers trying to push it opposite ways. Also in the crowded ring
was Japan's telecommunications ministry, which maintained that plenty of
bandwidth already existed and that FLAG would somehow create a glut on
the market. Again, this attitude is probably difficult for the hacker
tourist or any other Net user to comprehend, but it seems to be
ubiquitous among telecrats.

Finally, KDD saw advantages in the old business model in which cables
are backed, and owned, by carriers - it likes the idea of owning a cable
and reaping profits from it rather than allowing a bunch of outside
investors to make all the money.

For whatever reasons, KDD declined FLAG's invitation, so FLAG made
overtures to IDC, which readily agreed to land the cable at its Miura
station, where it could be cross-connected with NPC.

A similar scenario played out in Korea, by the way, where Korea Telecom,
traditionally a loyal member of the AT\&T family, turned FLAG down at
first. FLAG approached a competitor named Dacom, and, faced with that
threat, Korea Telecom changed its mind and decided to break with AT\&T
and land FLAG after all. But in Japan, KDD, perhaps displaying more
loyalty than was good for it, held the line. Miura became FLAG's
Japanese landing station by default - a huge coup for IDC, which could
now route calls to virtually anywhere in the world directly from its
station.

All of this happened prior to a major FLAG meeting in Singapore in 1992,
which those familiar with the project regard as having been a turning
point. At this meeting it became clear that FLAG was a serious endeavor,
that it really was going to happen. Not long afterward, AT\&T decided to
adopt an "if you can't beat 'em, join 'em'' strategy toward FLAG, which
eventually led to it and KDD Submarine Cable Systems getting the
contract to build FLAG's cable and repeaters. (AT\&T-SSI is supplying 64
percent of the cable and 59 percent of the repeaters, and KDD-SCS is
supplying the rest.) This was a big piece of good news for KDD-SCS, the
competitive-minded manufacturer, but it put KDD the poky long-distance
company in the awkward, perhaps even absurd situation of supplying the
hardware for a project that it had originally opposed and that would end
up being a cash cow for its toughest competitor.

So KDD changed its mind and began trying to get in on FLAG. Since FLAG
was already coming ashore at a station owned by IDC, this meant creating
a second landing in Japan, at Ninomiya. In no other country would FLAG
have two landings controlled by two different companies. For arcane
contractual reasons, this meant that all of the other 50-odd carriers
involved in FLAG would have to give unanimous consent to the
arrangement, which meant in practice that IDC had veto power. At a
ceremony opening a new KDD-SCS factory on Ky�ush�u, executives from KDD
and IDC met to discuss the idea. IDC agreed to let KDD in, in exchange
for what people on both sides agree were surprisingly reasonable
conditions.

At first blush it might seem as though IDC was guilty of valuing harmony
and cooperation over the preservation of shareholder value - a common
charge leveled against Japanese corporations by grasping and peevish
American investors. Perhaps there was some element of this, but the fact
is that IDC did have good reasons for wanting FLAG connected to KDD's
network. KDD's Ninomiya station is scheduled to be the landing site for
TPC-5, a megaproject of the same order of magnitude as FLAG: 25,000
kilometers of third-generation optical fiber cable swinging in a vast
loop around the Pacific, connecting Japan with the West Coast of the US.
With both FLAG and TPC-5 literally coming into the same room at
Ninomiya, it would be possible to build a cross-connect between the two,
effectively extending FLAG's reach across the Pacific. This would add a
great deal of value to FLAG and hence would be good for IDC.

In any case, the deal fell through because of a strong anti-FLAG faction
within KDD that could not tolerate the notion of giving any concessions
whatever to IDC. There it stalemated until FLAG managed to cut a deal
with China Telecom to run a full-bore 10.6 Gbps spur straight into
Shanghai. While China has other undersea cable connections, they are
tiny compared with FLAG, which is now set to be the first big cable, as
well as the first modern Internet connection, into China.

At this point it became obvious that KDD absolutely had to get in on the
FLAG action no matter what the cost, and so it returned to the
bargaining table - but this time, IDC, sensing that it had an
overpoweringly strong hand, wanted much tougher conditions. Eventually,
though, the deal was made, and now jumpsuited workers are preparing
rooms at both Ninomiya and Miura to receive the new equipment racks,
much like expectant parents wallpapering the nursery.= At Ninomiya, an
immense cross-connect will be built between FLAG and TPC-5, and Miura
will house a cross-connect between FLAG and the smaller NPC cable.

The two companies will end up on an equal footing as far as FLAG is
concerned, but the crucial strategic misstep has already been made by
KDD: by letting IDC be the first to land FLAG, it has given its rival a
chance to acquire a great deal of experience in the business. It is not
unlike the situation that now exists between AT\&T, which used to be the
only company big and experienced enough to put together a major
international cable, and Nynex, which has now managed to get its foot in
that particular door and is rapidly gaining the experience and contacts
needed to compete with AT\&T in the future.

\_\_ Hazards\_\_

Dr. Wildman Whitehouse and his 5-foot-long induction coils were the
first hazard to destroy a submarine cable but hardly the last. It
sometimes seems as though every force of nature, every flaw in the human
character, and every biological organism on the planet is engaged in a
competition to see which can sever the most cables. The Museum of
Submarine Telegraphy in Porthcurno, England, has a display of wrecked
cables bracketed to a slab of wood. Each is labeled with its cause of
failure, some of which sound dramatic, some cryptic, some both: trawler
maul, spewed core, intermittent disconnection, strained core, teredo
worms, crab's nest, perished core, fish bite, even "spliced by
Italians." The teredo worm is like a science fiction creature, a bivalve
with a rasp-edged shell that it uses like a buzz saw to cut through wood
- or through submarine cables. Cable companies learned the hard way,
early on, that it likes to eat gutta-percha, and subsequent cables
received a helical wrapping of copper tape to stop it.

A modern cable needn't be severed to stop working. More frequently, a
fault in the insulation will allow seawater to leak in and reach the
copper conductor that carries power to the repeaters. The optical fibers
are fine, but the repeater stops working because its power is leaking
into the ocean. The interaction of electricity, seawater, and other
chemical elements present in the cable can produce hydrogen gas that
forces its way down the cable and chemically attacks the fiber or
delicate components in the repeaters.

Cable failure can be caused by any number of errors in installation or
route selection. Currents, such as those found before the mouths of
rivers, are avoided. If the bottom is hard, currents will chafe the
cable against it - and currents and hard bottoms frequently go together
because currents tend to scour sediments away from the rock. If the
cable is laid with insufficient slack, it may become suspended between
two ridges, and as the suspended part rocks back and forth, the ridges
eventually wear through the insulation. Sand waves move across the
bottom of the ocean like dunes across the desert; these can surface a
cable, where it may be bruised by passing ships. Anchors are a perennial
problem that gets much worse during typhoons, because an anchor that has
dropped well away from a cable may be dragged across it as the ship is
pushed around by the wind.

In 1870, a new cable was laid between England and France, and Napoleon
III used it to send a congratulatory message to Queen Victoria. Hours
later, a French fisherman hauled the cable up into his boat, identified
it as either the tail of a sea monster or a new species of gold-bearing
seaweed, and cut off a chunk to take home. Thus was inaugurated an
almost incredibly hostile relationship between the cable industry and
fishermen. Almost anyone in the cable business will be glad, even eager,
to tell you that since 1870 the intelligence and civic responsibility of
fisherman have only degraded. Fishermen, for their part, tend to see
everyone in the cable business as hard-hearted bluebloods out to screw
the common man.

Most of the fishing-related damage is caused by trawlers, which tow big
sacklike nets behind them. Trawlers seem designed for the purpose of
damaging submarine cables. Various types of hardware are attached to the
nets. In some cases, these are otter boards, which act something like
rudders to push the net's mouth open. When bottom fish such as halibut
are the target, a massive bar is placed across the front of the net with
heavy tickler chains dangling from it; these flail against the bottom,
stirring up the fish so they will rise up into the maw of the net.

Mere impact can be enough to wreck a cable, if it puts a leak in the
insulation. Frequently, though, a net or anchor will snag a cable. If
the ship is small and the cable is big, the cable may survive the
encounter. There is a type of cable, used up until the advent of optical
fiber, called 21-quad, which consists of 21 four-bundle pairs of cable
and a coaxial line. It is 15 centimeters in diameter, and a single meter
of it weighs 46 kilograms. If a passing ship should happen to catch such
a cable with its anchor, it will follow a very simple procedure: abandon
it and go buy a new anchor.

But modern cables are much smaller and lighter - a mere 0.85 kg per
meter for the unarmored, deep-sea portions of the FLAG cable - and the
ships most apt to snag them, trawlers, are getting bigger and more
powerful. Now that fishermen have massacred most of the fish in
shallower water, they are moving out deeper. Formerly, cable was plowed
into the bottom in water shallower than 1,000 meters, which kept it away
from the trawlers. Because of recent changes in fishing practices, the
figure has been boosted to 2,000 meters. But this means that the old
cables are still vulnerable.

When a trawler snags a cable, it will pull it up off the seafloor. How
far it gets pulled depends on the weight of the cable, the amount of
slack, and the size and horsepower of the ship. Even if the cable is not
pulled all the way to the surface, it may get kinked - its minimum
bending radius may be violated. If the trawler does succeed in hauling
the cable all the way up out of the water, the only way out of the
situation, or at least the simplest, is to cut the cable. Dave Handley
once did a study of a cable that had been suddenly and mysteriously
severed. Hauling up the cut end, he discovered that someone had sliced
through it with a cutting torch.

There is also the obvious threat of sabotage by a hostile government,
but, surprisingly, this almost never happens. When cypherpunk Doug
Barnes was researching his Caribbean project, he spent some time looking
into this, because it was exactly the kind of threat he was worried
about in the case of a data haven. Somewhat to his own surprise and
relief, he concluded that it simply wasn't going to happen. "Cutting a
submarine cable," Barnes says, "is like starting a nuclear war. It's
easy to do, the results are devastating, and as soon as one country does
it, all of the others will retaliate.

"Bert Porter, a Cable & Wireless cable-laying veteran who is now a
freelancer, was beachmaster for the Tong Fuk lay. He was on a ship that
laid a cable from Hong Kong to Singapore during the late 1960s. Along
the way they passed south of Lan Tao Island, and so the view from Tong
Fuk Beach is a trip down memory lane for him. "The repeater spacing was
about 18 miles," he says, "and so the first repeater went into the water
right out there. Then, a few days later, the cable suddenly tested
broken." In other words, the shore station in Hong Kong had lost contact
with the equipment on board Porter's cable ship. In such cases it's easy
to figure out roughly where the break occurred - by measuring the
resistance in the cable's conductors - and they knew it had to be
somewhere in the vicinity of the first repeater. "So we backtracked,
pulling up cable, and when we got right out there," he waves his hand
out over the bay, "we discovered that the repeater had simply been
chopped out." He holds his hands up parallel, like twin blades.
"Apparently the Chinese were curious about our repeaters, so they
thought they'd come out and get one."

As the capacity of optical fibers climbs, so does the economic damage
caused when the cable is severed. FLAG makes its money by selling
capacity to long-distance carriers, who turn around and resell it to end
users at rates that are increasingly determined by what the market will
bear. If FLAG gets chopped, no calls get through. The carriers' phone
calls get routed to FLAG's competitors (other cables or satellites), and
FLAG loses the revenue represented by those calls until the cable is
repaired. The amount of revenue it loses is a function of how many calls
the cable is physically capable of carrying, how close to capacity the
cable is running, and what prices the market will bear for calls on the
broken cable segment. In other words, a break between Dubai and Bombay
might cost FLAG more in revenue loss than a break between Korea and
Japan if calls between Dubai and Bombay cost more.

The rule of thumb for calculating revenue loss works like this: for
every penny per minute that the long distance market will bear on a
particular route, the loss of revenue, should FLAG be severed on that
route, is about $3,000 a minute. So if calls on that route are a dime a
minute, the damage is $30,000 a minute, and if calls are a dollar a
minute, the damage is almost a third of a million dollars for every
minute the cable is down. Upcoming advances in fiber bandwidth may push
this figure, for some cables, past the million-dollar-a-minute mark.

Clearly, submarine cable repair is a good business to be in. Cable
repair ships are standing by in ports all over the world, on 24-hour
call, waiting for a break to happen somewhere in their neighborhood.
They are called agreement ships. Sometimes, when nothing else is going
on, they will go out and pull up old abandoned cables. The stated reason
for this is that the old cables present a hazard to other ships.
However, if you do so much as raise an eyebrow at this explanation, any
cable man will be happy to tell you the real reason: whenever a
fisherman snags his net on anything - a rock, a wreck, or even a figment
of his imagination - he will go out and sue whatever company happens to
have a cable in that general vicinity. The cable companies are waiting
eagerly for the day when a fisherman goes into court claiming to have
snagged his nets on a cable, only to be informed that the cable was
pulled up by an agreement ship years before.

\_\_ In which the Hacker Tourist delights in Cairo, the Mother of the
World. Alexandria, the former Hacker Headquarters of the planet.\_\_

The lighthouse, the libraries, and other haunts of ancient nerds and
geeks. Profound significanceof intersections. Travels on the Desert
Road. Libya's contact with the outside world rudely severed - then
restored\! Engineer Musalamand his planetary information nexus. The
vitally important concept of Slack

\_\_ 31° 12.841' N, 29° 53.169' ESite of the Pharos lighthouse,
Alexandria, Egypt\_\_

Having stood on the beach of Miura watching those miserable-but-plucky
Japanese surfers, the hacker tourist had reached FLAG's easternmost
extreme, and there was nothing to do except turn around and head west.
Next stop: Egypt.

No visit to Egypt is complete without a stop in Cairo, but that city,
the pinnacle of every normal tourist's traveling career, is strangely
empty from a hacker tourist point of view. Its prime attraction, of
course, is the pyramids. We visited them at five in the morning during a
long and ultimately futile wait for the Egyptian military to give us
permission to rendezvous with FLAG's cable-laying ship in the Gulf of
Suez. To the hacker, the most interesting thing about the Pyramids is
their business plan, which is the simplest and most effective ever
devised:

(1) Put a rock on top of another rock.  
(2) Repeat (1) until gawkers arrive.  
(3) Separate them from their valuables by all conceivable means.

By contrast, normal tourist guidebooks have nothing good to say about
Alexandria; it's as if the writers got so tired of marveling at Cairo
and Upper Egypt that they had to vent their spleen somewhere. Though a
town was here in ancient times, Alexandria per se was founded in 332 BC
by Alexander the Great, which makes it a brand-new city by Egyptian
standards. There is almost no really old stuff in Alexandria at all, but
the mere memory of the landmarks that were here in its heyday suffice to
make it much more important than Cairo from the weirdly distorted
viewpoint of the hacker tourist. These landmarks are, or were, the
lighthouse and the libraries.

The lighthouse was built on the nearby island of Pharos. Neither the
building nor even the island exists any more. Pharos was eventually
joined to the mainland by a causeway, which fattened out into a
peninsula and became a minuscule bump on the scalp of Africa. The
lighthouse was an immense structure, at some 120 meters the tallest
building in the world for many centuries, and contained as many as 300
rooms. Somewhere in its upper stories a fire burned all night long, and
its light was reflected out across the Mediterranean by some kind of
rotating mirror or prism. This was a fine bit of ancient hacking in and
of itself, but according to legend, the optics also had magnifying
properties, so that observers peering through it during the daytime
could see ships too distant to be perceived by the naked eye.

According to legend, this feature made Alexandria immune to naval
assault as long as the lighthouse remained standing. According to
another yarn, a Byzantine emperor spread a rumor that the treasure of
Alexander the Great had been hidden within the lighthouse's foundation,
and the unbelievably fatuous local caliph tore up the works looking for
it, putting Pharos out of commission and leading to a military defeat by
the Byzantine Empire.

Some combination or other of gullible caliphs, poor maintenance, and
earthquakes eventually did fell the lighthouse. Evidently it toppled
right into the Mediterranean. The bottom of the sea directly before its
foundations is still littered with priceless artifacts, which are being
catalogued and hauled out by French archaeologists using differential
GPS to plot their findings. They work in the shadow of a nondescript
fortress built on the site by a later sultan, Qait Bey, who
pragmatically used a few chunks of lighthouse granite to beef up the
walls - just another splinter under the fingernails of the historical
preservation crowd.

You can go to the fortress of Qait Bey now and stare out over the ocean
and get much the same view that the builders of the lighthouse enjoyed.
They must have been able to see all kinds of weirdness coming over the
horizon from Europe and western Asia. The Mediterranean may look small
on a world map, but from Pharos its horizon seems just as infinite as
the Pacific seen from Miura. Back then, knowing how much of the human
world was around the Mediterranean, the horizon must have seemed that
much more vast, threatening, and exciting to the Alexandrians.

Building the lighthouse with its magic lens was a way of enhancing the
city's natural capability for looking to the north, which made it into a
world capital for many centuries. It's when a society plunders its
ability to look over the horizon and into the future in order to get
short-term gain - sometimes illusory gain - that it begins a long slide
nearly impossible to reverse.

The collapse of the lighthouse must have been astonishing, like watching
the World Trade Center fall over. But it took only a few seconds, and if
you were looking the other way when it happened, you might have missed
it entirely - you'd see nothing but blue breakers rolling in from the
Mediterranean, hiding a field of ruins, quickly forgotten.

\_\_ 31° 11.738' N, 29° 54.108' EIntersection of El Horreya and El Nabi
Daniel, Alexandria, Egypt\_\_

Alexandria is most famous for having been the site of the ancient
library. This was actually two or more different libraries. The first
one dates back to the city's early Ptolemaic rulers, who were
Macedonians, not Egyptians. It was modeled after the Lyceum of
Aristotle, who, between other gigs, tutored Alexander the Great. Back in
the days when people moved to information, instead of vice versa, this
library attracted most of the most famous smart people in the world: the
ultimate hacker, Archimedes; the father of geometry, Euclid;
Eratosthenes, who was the first person to calculate the circumference of
the earth, by looking at the way the sun shone down wells at Alexandria
and Aswan. He also ran the library for a while and took the job
seriously enough that when he started to go blind in his old age, he
starved himself to death. In any event, this library was burned out by
the Romans when they were adding Egypt to their empire. Or maybe it
wasn't. It's inherently difficult to get reliable information about an
event that consisted of the destruction of all recorded information.

The second library was called the Library of Cleopatra and was built
around a couple of hundred thousand manuscripts that were given to her
by Marc Antony in what was either a magnificent gesture of romantic love
or a shrewd political maneuver. Marc Antony suffered from what we would
today call "poor impulse control," so the former explanation is more
likely. This library was wiped out by Christians in AD 391. Depending on
which version of events you read, its life span may have overlapped with
that of the first library for a few years, a few decades, or not at all.

Whether or not the two libraries ever existed at the same time,  
the fact remains that between about 300 BC and AD 400, Alexandria was by
far the world capital of high-quality information. It must have had much
in common with the MIT campus or Stanford in Palo Alto of more recent
times: lots of hairy smart guys converging from all over the world to
tinker with the lighthouse or to engage in pursuits that must have been
totally incomprehensible to the locals, such as staring down wells at
high noon and raving about the diameter of the earth.

The main reason that writers of tourist guidebooks are so cheesed off at
Alexandria is that no vestige of the first library remains - not even a
plaque stating "The Library of Alexandria was here." If you want to
visit the site, you have to do a bit of straightforward detective work.
Ancient Alexandria was laid out on a neat, regular grid pattern - just
the kind of thing you would expect of a place populated by people like
Euclid. The main east-west street was called the Canopic Way, and the
main north-south street, running from the waterfront toward the Sahara
Desert, was called the Street of the Soma. The library is thought to
have stood just south of their intersection.

Though no buildings of that era remain, the streets still do, and so
does their intersection. Currently, the Canopic Way is called El Horreya
Avenue, and the Soma is called El Nabi Daniel Street, though if you
don't hurry, they may be called something else when you arrive.

We stayed at the Cecil Hotel, where Nabi Daniel hits the waterfront. The
Cecil is one of those British imperial-era hotels fraught with romance
and history, sort of like the entire J. Peterman catalog rolled into one
building. British Intelligence was headquartered there during the war,
and there the Battle of El Alamein was planned.

Living as they do, however, in a country choked with old stuff, the
Egyptians have adopted a philosophy toward architecture that is best
summed up by the phrase: "What have you done for me lately?'' From this
point of view, the Cecil is just another old building, and it's not even
particularly old. As if to emphasize this, the side of the hotel where
we stayed was covered with a rude scaffolding (sticks lashed together
with hemp) aswarm with workers armed with sledgehammers, crowbars,
chisels, and the like, who spent all day, every day, bellowing
cheerfully at each other (demolition workers are the jolliest men in
every country), bashing huge chunks of masonry off the top floor and
simply dropping them - occasionally crushing an air conditioner on some
guest's balcony. It was a useful reminder that Egyptians feel no great
compulsion to tailor their cities to the specifications of guidebook
writers.

This fact can be further driven home by walking south on Nabi Daniel and
looking for the site of the Library of Alexandria. It is now occupied by
office buildings probably not more than 100, nor less than 50, years
old. Their openings are covered with roll-up steel doors, and their
walls decorated with faded signs. One of them advertises courses in DOS,
Lotus, dBase, COBOL, and others. Not far away is a movie theater showing
Forbidden Arsenal: In the Line of Duty 6, starring Cynthia Khan.

The largest and nicest building in the area is used by an insurance
company and surrounded by an iron fence. The narrow sidewalk out front
is blocked by a few street vendors who have set up their wares in such a
way as to force pedestrians out into the street. One of them is selling
pictures of adorable kittens tangled up in yarn, and another is peddling
used books. This is the closest thing to a library that remains here, so
I spent a while examining his wares: a promising volume called Bit by
Bit turned out to be an English primer. There were quite a few medical
textbooks, as if a doctor had just passed away, and Agatha Christie and
Mickey Mouse books presumably left behind by tourists. The closest thing
I saw to a classic was a worn-out copy of Oliver Twist.

\_\_ 31° 10.916' N29° 53.784' EPompey's Pillar\_\_

The site of Cleopatra's library, precisely 1 mile away by my GPS, is
viewed with cautious approval by guidebook writers because it is an
actual ruin with a wall around it, a ticket booth, old stuff, and
guides. It is right next to an active Muslim cemetery, so it is
difficult to reach the place without excusing your way past crowds of
women in voluminous black garments, wailing and sobbing heartrendingly,
which all goes to make the Western tourist feel like even more of a
penis than usual.

The site used to be the city's acropolis. It is a rounded hill of
extremely modest altitude with a huge granite pillar on the top. To
quote Shelley's "Ozymandias": "Nothing beside remains." A few sphinxes
are scattered around the place, but they were obviously dragged in to
give tourists something to look at. Several brutally impoverished gray
concrete apartment buildings loom up on the other side of the wall,
festooned with washing, crammed with children who entertain themselves
by raining catcalls down upon the few tourists who straggle out this
far. The granite pillar honors the Roman emperor Diocletian, who was a
very bad emperor, a major Christian-killer, but who gave Alexandria a
big tax break. The citizenry, apparently just as dimwitted as modern day
Americans, decided that he was a great guy and erected this pillar.
Originally there was a statue of Diocletian himself on the top, riding a
horse, which is why the Egyptians call it, in Arabic, The man on
horseback. The statue is gone now, which makes this a completely
mystifying name. Westerners call it Pompey's Pillar because that's the
moniker the clueless Crusaders slapped on it; of course, it has
absolutely nothing to do with Pompey.

The hacker tourist does not bother with the pillar but rather with what
is underneath it: a network of artificial caves, carved into the
sandstone, resembling nothing so much as a D & D player's first dungeon.
Because it's a hill and this is Egypt, the caverns are nice and dry and
(with a little baksheesh in the right hands) can be well lit too -
electrical conduit has been run in and light fixtures bolted to the
ceiling. The walls of these caves have niches that are just the right
size and shape to contain piles of scrolls, so this is thought to be the
site of the Library of Cleopatra. This complex was called the Sarapeum,
or Temple of Sarapis, who was a conflation of Osiris and Apis admired by
the locals and loathed by monotheists, which explains why the whole
complex was sacked and burned by Christians in 391.

It is all rather discouraging, when you use your imagination (which you
must do constantly in Alexandria) and think of the brilliance that was
here for a while. As convenient as it is for information to come to us,
libraries do have a valuable side effect: they force all of the smart
people to come together in one place where they can interact with one
another. When the information goes up in flames, those people go their
separate ways. The synergy that joined them - that created the
lighthouse, for example - dies. The world loses something.

So the second library is some holes in a wall, and the first is an
intersection. Holes and intersections are both absences, empty places,
disappointing to tourists of both the regular and the hacker variety.
But one can argue that the intersection's continued presence is arguably
more interesting than some old pile that has been walled off and
embalmed by a historical society. How can an intersection remain in one
place for 2,500 years? Simply, both the roads that run through it must
remain open and active. The intersection will cease to exist if sand
drifts across it because it's never used, or if someone puts up a
building there. In Egypt, where yesterday's wonders of the world are
today's building materials, nothing is more obvious than that people
have been avidly putting up buildings everywhere they possibly can for
5,000 years, so it is remarkable that no such thing has happened here.
It means that every time some opportunist has gone out and tried to dig
up the street or to start putting up a wall, he has been flattened by
traffic, arrested by cops, chased away by outraged donkey-cart drivers,
or otherwise put out of action. The existence of this intersection is
proof that a certain pattern of human activity has endured in this exact
place for 2,500 years.

When the hacker tourist has tired of contemplating the profound
significance of intersections (which, frankly, doesn't take very long)
he must turn his attention to - you guessed it - cable routes. This
turns out to be a much richer vein.

\_\_ 30° 58.319' N, 29° 49.531' EAlexandria Tollbooth, the Desert Road,
Sahara Desert, Egypt\_\_

As we speed across the Saharan night, the topic of conversation turns to
Hong Kong. Our Egyptian driver, relaxed and content after stopping at a
roadside rest area for a hubbly-bubbly session (smoking sweetened
tobacco in a Middle Eastern bong), smacks the steering wheel gleefully.
"Ha, ha, ha\!" he roars. "Miserable Hong Kong people\!"

Alexandria and Cairo are joined by two separate, roughly parallel
highways called the Desert Road and the Agricultural Road. The latter
runs through cultivated parts of the Nile Delta. The Desert Road is a
rather new, four-lane highway with a tollbooth at each end - tollbooths
in the middle not being necessary, because if you get off in the middle
you will die. It is lined for its entire length with billboards
advertising tires, sunglasses, tires, tires, tires, bottled water,
sunglasses, tires, and tires.

Perhaps because it is supported by tolls, the Desert Highway is a
first-rate road all the way. This means not merely that the pavement is
good but also that it has a system of ducts and manholes buried under
its median strip, so that anyone wishing to run a cable from one end of
the highway to the other - tollbooth to tollbooth - need only obtain a
"permit" and ream out the ducts a little. Or at least that's what the
Egyptians say. The Lan Tao Island crowd, who are quite discriminating
when it comes to ducts and who share an abhorrence of all things
Egyptian, claim that cheap PVC pipe was used and that the whole system
is a tangled mess.

They would both agree, however, that beyond the tollbooths the duct
situation is worse. The Alexandria Tollbooth is some 37 kilometers
outside of the city center; you get there by driving along a free
highway that has no ducts at all.

This problem is being remedied by FLAG, which has struck a deal with
ARENTO (Arab Republic of Egypt National Telecommunications Organization
- the PTT) that is roughly analogous to the one it made with the
Communications Authority of Thailand. FLAG has no choice but to go
overland across Egypt, just as in Thailand. The reasons for doing so
here are entirely different, though.

By a freak of geography and global politics, Egypt possesses the same
sort of choke point on Europe-to-Asia telecommunications as the Suez
canal gives it in the shipping industry. Anyone who wants to run a cable
from Europe to East Asia has severely limited choices. You can go south
around Africa, but it's much too far. You can go overland across all of
Russia, as U S West has recently talked about doing, but if even a
170-kilometers terrestrial route across Thailand gets your customers
fumbling for their smelling salts, what will they say about one all the
way across Russia? You could attempt a shorter terrestrial route from
the Levant to the Indian Ocean, but given the countries it would have to
pass through (Lebanon and Iraq, to name two), it would have about as
much chance of survival as a strand of gossamer stretched across a
kick-boxing ring. And you can't lay a cable down the Suez Canal, partly
because it would catch hell from anchors and dredgers, and partly
because cable-laying ships move very slowly and would create an enormous
traffic jam.

The only solution that is even remotely acceptable is to land the cable
on Egypt's Mediterranean coast (which in practice means either
Alexandria or Port Said) and then go overland to Suez, where the canal
joins the Gulf of Suez, which in turn joins the Red Sea. The Red Sea is
so shallow and so heavily trafficked, by the way, that all cables
running through it must be plowed into the seafloor, which is a hassle,
but obviously preferable to running a terrestrial route through the
likes of Sudan and Somalia, which border it.

In keeping with its practice of running two parallel routes on
terrestrial sections, FLAG is landing at both Alexandria and Port Said.
From these cities the cables converge on Suez. Alexandria is far more
important than Port Said as a cable nexus for the simple reason that it
is at the westernmost extreme of the Nile Delta, so you can reach it
from Europe without having to contend with the Nile. European cables
running to Port Said, by contrast, must pass across the mouths of the
Nile, where they are subjected to currents.

Engineer Mustafa Musalam, general manager of transmission for ARENTO's
Alexandria office, is a stocky, affable, silver-haired gent. Egypt is
one of those places where Engineer is used as a title, like Doctor or
Professor, and Engineer Musalam bears the title well. In his personality
and bearing he has at least as much in common with other highly
competent engineers around the world as he does with other Egyptians. In
defiance of ARENTO rules, he drives himself around in his own vehicle, a
tiny, beat-up, but perfectly functional subcompact. An engineer of his
stature is supposed to be chauffeured around in a company car. Most
Egyptian service-industry professionals are masters at laying
passive-aggressive head trips on their employers. Half the time, when
you compensate them, they make it clear that you have embarrassed them,
and yourself, by grossly overdoing it - you have just gotten it totally
wrong, really pissed down your leg, and placed them in a terribly
awkward situation. The other half of the time, you have insulted them by
being miserly. You never get it right. But Engineer Musalam, a logical
and practical-minded sort, cannot abide the idea of a driver spending
his entire day, every day, sitting in a car waiting for the boss to go
somewhere. So he eventually threw up his hands and unleashed his driver
on the job market.

Charitably, Engineer Musalam takes the view that the completion of the
Asw�an High Dam tamed the Nile's current to the point where no one need
worry about running cables to Port Said anymore. FLAG's surveyors
obviously agree with him, because they chose Port Said as one of their
landing points. On the other hand, FLAG's archenemy, SEA-ME-WE 3, will
land only at Alexandria, because France Telecom's engineers refuse to
lay cable across the Nile. SEA-ME-WE 3's redundant routes will run,
instead, along the Desert Road and the Agricultural Road. Bandwidth
buyers trying to choose between the two cables can presumably look
forward to lurid sales presentations from FLAG marketers detailing the
insane recklessness of SEA-ME-WE 3's approach, and vice versa.

At the dirt-and-duct level, the operation in Egypt is much like the one
in Thailand. The work is being done by Consolidated Contractors, which
is a fairly interesting multinational contracting firm that is based and
funded in the Middle East but works all over the globe. Here it is
laying six 100-mm ducts (10 inside Alexandria proper) as compared with
only two in Thailand. These ducts are all PVC pipe, but FLAG's duct is
made of a higher grade of PVC than the others - even than President
Mubarak's duct.

That's right - in a nicely Pharaonic touch, one of the six ducts going
into the ground here is the sole property of President Hosni Mubarak, or
(presumably) whoever succeeds him as head of state. It is hard to
envision why a head of state would want or need his own private tube
full of air running underneath the Sahara. The obvious guess is that the
duct might be used to create a secure communications system, independent
of the civilian and military systems (the Egyptian military will own one
of the six ducts, and ARENTO will own three). This, in and of itself,
says something about the relationship between the military and the
government in Egypt. It is hardly surprising when you consider that
Mubarak's predecessor was murdered by the military during a parade.

Inside the city, where ten rather than six ducts are being prepared,
they must occasionally sprout up out of the ground and run along the
undersides of bridges and flyovers. In these sections it is easy to
identify FLAG's duct because, unlike the others, it is galvanized steel
instead of PVC. FLAG undoubtedly specified steel for its far greater
protective value, but in so doing posed a challenge for Engineer
Musalam, who knew that thieves would attack the system wherever they
could reach it - not to take the cable but to get their hands on that
tempting steel pipe. So, wherever the undersides of these bridges and
flyovers are within 2 or 3 meters of ground level, Engineer Musalam has
built in special measures to make it virtually impossible for thieves to
get their hands on FLAG's pipe.

For the most part, the duct installation is a simple cut-and-cover
operation, right down the median strip. But the median is crossed
frequently by nicely paved, heavily trafficked U-turn routes. To cut or
block one of these would be unthinkable, since no journey in Egypt is
complete without numerous U-turns. It is therefore necessary to bore a
horizontal tunnel under each one, run a 600-mm steel pipe down the
tunnel, and finally thread the ducts through it. The tunnels are bored
by laborers operating big manually powered augers. Under a sign reading
Civil Works: Fiberoptic Link around the Globe, the men had left their
street clothes carefully wrapped up in plastic bags, on the shoulder of
the road. They had kicked off their shoes and changed into the
traditional, loose, ankle-length garment. One by one, they disappeared
into a tunnel barely big enough to lie down in, carrying empty baskets,
then returned a few minutes later with baskets full of dirt, looking
like extras in some new Hollywood costume drama: The Ten Commandments
Meets the Great Escape.

We blundered across Engineer Musalam's path one afternoon. This was
sheer luck, but also kind of inevitable: other than ditch diggers, the
only people in the median strip of this highway are hacker tourists and
ARENTO engineers. He was here because one of the crews working on FLAG
had, while enlarging a manhole excavation, plunged the blade of their
backhoe right through the main communications cable connecting Egypt to
Libya - a 960-circuit coaxial line buried, sans conduit, in the same
median. Libya had dropped off the net for a while until Mu'ammar
Gadhafi's eastbound traffic could be shunted to a microwave relay chain
and an ARENTO repair crew had been mobilized. The quality of such an
operation is not measured by how frequently cables get broken (usually
they are broken by other people) but by how quickly they get fixed
afterward, and by this standard Engineer Musalam runs a tight ship. The
mishap occurred on a Friday afternoon - the Muslim sabbath - the first
day of a three-day weekend and a national holiday to boot - 40 years to
the day after the Suez Canal was handed over to Egypt. Nevertheless, the
entire hierarchy was gathered around the manhole excavation, from ditch
diggers hastily imported from another nearby site all the way up to
Engineer Musalam.

The ditch diggers made the hole even larger, whittling out a place for
one of the splicing technicians to sit. The technicians stood on the
brink of the pit offering directions, and eventually they jumped into it
and grabbed shovels; their toolboxes were lowered in after them on
ropes, and their black dress trousers and crisp white shirts rapidly
converged on the same color as the dust covered them. In the lee of an
unburied concrete manhole nearby, a couple of men established a little
refreshment center: one hubbly-bubbly and one portable stove, shooting
flames like a miniature oil well fire, where they cranked out glass
after glass of heavily sweetened tea. This struck me as more efficient
than the American technique of sending a gofer down to the 7-Eleven for
a brace of Super Big Gulps. Traffic swirled around the adjacent U-turn;
motorists rolled their windows down and asked for directions, which were
cheerfully given. Egyptian males are not afraid to hold hands with each
other or to ask for directions, which does not mean that they should be
confused with sensitive New Age males.

The mangled ends of the cable were cleanly hacksawed and stripped, and a
2-meter-long segment of the same type of cable was wrestled out of a car
and brought into the pit. Two lengths of lead pipe were threaded onto
it, later to serve as protective bandages for the splices, and then the
splicing began, one conductor at a time. Engineer Musalam watched
attentively while I badgered him with nerdy questions.He brought me up
to speed on the latest submarine cable gossip. During the previous
month, in mid-June, SEA-ME-WE 2 had been cut twice between Djibouti and
India. Two cable ships, Restorer and Enterprise, had been sent to fix
the breaks. But fire had broken out in the engine room of the Enterprise
(maybe a problem with the dilithium crystals), putting it into repairs
for four weeks. So Restorer had to fix both breaks. But because of bad
weather, only one of the faults had been repaired as of July 26. In the
meantime, all of SEA-ME-WE 2's traffic had been shunted to a satellite
link reserved as a backup.

Satellite links have enough bandwidth to fill in for a second-generation
optical cable like SEA-ME-WE 2 but not enough to replace a
third-generation one like FLAG or SEA-ME-WE 3. The cable industry is
therefore venturing into new and somewhat unexplored territory with the
current generation of cables. It is out of the question to run such a
system without having elaborate backup plans, and if satellites can't
hack it anymore, the only possible backup is on another cable - almost
by definition, a competing cable. So as intensely as rival companies may
compete with each other for customers, they are probably cooperating at
the same time by reserving capacity on each other's systems. This
presumably accounts for the fact that they are eager to spread nasty
information about each other but will never do so on the record.

I didn't know the exact route of SEA-ME-WE 3 and was intrigued to learn
that it will be passing through the same building in Alexandria as
SEA-ME-WE 1 and 2, which is also the same building that will be used by
FLAG. In addition, there is a new submarine cable called Africa 1 that
is going to completely encircle that continent, it being much easier to
circumnavigate Africa with a cable-laying ship than to run ducts and
cables across it (though I would like to see Alan Wall have a go at it).
Africa 1 will also pass through Engineer Musalam's building in
Alexandria, which will therefore serve as the cross-connect among
essentially all the traffic of Africa, Europe, and Asia.

Though Engineer Musalam is not the type who would come out and say it,
the fact is that in a couple of years he's going to be running what is
arguably the most important information nexus on the planet.

As the sun dropped behind the western Sahara (I imagined Mu'ammar
Gadhafi out there somewhere, picking up his telephone to hear a fast
busy signal), Engineer Musalam drove me into Alexandria in his humble
subcompact to see this planetary nexus.

It is an immense neoclassical pile constructed in 1933 by the British to
house their PTT operations. Since then, it has changed very little
except for the addition of a window air conditioner in Engineer
Musalam's office. The building faces Alexandria's railway station across
an asphalt square crowded with cars, trucks, donkey carts, and
pedestrians.

I do not think any other hacker tourist will ever make it inside this
building. If you do so much as raise a camera to your face in its
vicinity, an angry man in a uniform will charge up to you and let you
get a very good look at the bayonet fixed to the end of his automatic
weapon. So let me try to convey what it is like:

The adjective Blade-Runneresque means much to those who have seen the
movie. (For those who haven't, just keep reading.) I will, however,
never again be able to watch Blade Runner, because all of the buildings
that looked so cool, so exquisitely art-directed in the movie, will now,
to me, look like feeble efforts to capture a few traces of ARENTO's
Alexandria station at night.

The building is a titanic structure that goes completely dark at night
and becomes a maze of black corridors that appear to stretch on into
infinity. Some illumination, and a great deal of generalized din, sifts
in from the nearby square through broken windows. It has received very
limited maintenance in the last half-century but will probably stand as
long as the Pyramids. The urinals alone look like something out of
Luxor. The building's cavernous stairwells consist of profoundly worn
white marble steps winding around a central shaft that is occupied by an
old-fashioned wrought-iron elevator with all of the guts exposed: rails,
cables, counterweights, and so on. Litter and debris have accumulated at
the bottom of these pits. At the top, nocturnal birds have found their
way in through open or broken windows and now tear around in the
blackness like Stealth fighters, hunting for insects and making eerie
keening noises - not the twitter of songbirds but the alien screech of
movie pterodactyls. Gaunt cats prowl soundlessly up and down the stairs.
A big microwave relay tower has been planted on the roof, and the red
aircraft warning lights hang in the sky like fat planets. They shed a
vague illumination back into the building, casting faint cyan shadows.
Looking into the building's courtyards you may see, for a moment, a
human figure silhouetted in a doorway by blue fluorescent light. A chair
sits next to a dust-fogged window that has been cracked open to let in
cool night air. Down in the square, people are buying and selling, young
men strolling hand in hand through a shambolic market scene. In the
windows of apartment buildings across the street, women sit in their
colorful but demure garments holding tumblers of sweet tea.

In the midst of all this, then, you walk through a door into a vast
room, and there it is: the cable station, rack after rack after rack of
gleaming Alcatel and Siemens equipment, black phone handsets for the
order wires, labeled Palermo and Tripoli and Cairo. Taped to a pillar is
an Arabic prayer and faded photograph of the faithful circling the
Ka'aba. The equipment here is of a slightly older vintage than what we
saw in Japan, but only because the cables are older; when FLAG and
SEA-ME-WE 3 and Africa 1 come through, Engineer Musalam will have one of
the building's numerous unused rooms scrubbed out and filled with
state-of-the-art gear.

A few engineers pad through the place. The setup is instantly
recognizable; you can see the same thing anywhere nerds are performing
the kinds of technical hacks that keep modern governments alive. The
Manhattan Project, Bletchley Park, the National Security Agency, and, I
would guess, Saddam Hussein's weapons labs are all built on the same
plan: a big space ringed by anxious, ignorant, heavily armed men,
looking outward. Inside that perimeter, a surprisingly small number of
hackers wander around through untidy offices making the world run.

If you turn your back on the equipment through which the world's bits
are swirling, open one of the windows, wind up, and throw a stone pretty
hard, you can just about bonk that used book peddler on the head.
Because this place, soon to be the most important data nexus on the
planet, happens to be constructed virtually on top of the ruins of the
Great Library of Alexandria.

\_\_ The Lalla Rookh\_\_

When William Thomson became Lord Kelvin and entered the second phase of
his life - tooling around on his yacht, the Lalla Rookh - he appeared to
lose interest in telegraphy and got sidetracked into topics that, on
first reading, seem unrelated to his earlier interests - disappointingly
mundane. One of these was depth sounding, and the other was the nautical
compass.

At the time, depths were sounded by heaving a lead-weighted rope over
the side of the ship and letting it pay out until it hit bottom. So far,
so easy, but hauling thousands of meters of soggy rope, plus a lead
weight, back onto the ship required the efforts of several sailors and
took a long time. The US Navy ameliorated the problem by rigging it so
that the weight could be detached and simply discarded on the bottom,
but this only replaced one problem with another one in that a separate
weight had to be carried for each sounding. Either way, the job was a
mess and could be done only rarely. This probably explains why ships
were constantly running aground in those days, leading to a relentless,
ongoing massacre of crew and passengers compared to which today's
problem of bombs and airliners is like a Sunday stroll through Disney
World.

In keeping with his general practice of using subtlety where moronic
brute force had failed, Kelvin replaced the soggy rope with a piano
wire, which in turn enabled him to replace the heavy weight with a much
smaller one. This idea might seem obvious to us now, but it was
apparently quite the brainstorm. The tension in the wire was so light
that a single sailor could reel it in by turning a spoked wooden wheel.

The first time Kelvin tried this, the wheel began to groan after a while
and finally imploded. Dental hygienists, or people who floss the way
they do (using extravagantly long pieces of floss and wrapping the used
part around a fingertip) will already know why. The first turn of floss
exerts only light pressure on the finger, but the second turn doubles
it, and so on, until, as you are coming to the end of the process, your
fingertip has turned a gangrenous purple. In the same way, the tension
on Kelvin's piano wire, though small enough to be managed by one man,
became enormous after a few hundred turns. No reasonable wheel could
endure such stress.

Chagrined and embarrassed, Kelvin invented a stress-relief mechanism. On
one side of it the wire was tight, on the other side it was slack and
could be taken up by the wheel without compressing the hub. Once this
was out of the way, the challenge became how to translate the length of
piano wire that had been paid out into an accurate depth reading. One
could never assume that the wire ran straight down to the bottom.
Usually the vessel was moving, so the lead weight would trail behind it.
Furthermore, a line stretched between two points in this way forms a
curve known to mathematicians as a catenary, and of course the curve is
longer than a straight line between the same two points. Kelvin had to
figure out what sorts of catenary curves his piano wire would assume
under various conditions of vessel speed and ocean depth - an
essentially tedious problem that seems well beneath the abilities of the
father of thermodynamics.

In any case, he figured it out and patented everything. Once again he
made a ton of money. At the same time, he revolutionized the field of
bathymetry and probably saved a large number of lives by making it
easier for mariners to take frequent depth soundings. At the same time,
he invented a vastly improved form of ship's compass which was as big an
improvement over the older models as his depth-sounding equipment was
over the soggy rope. Attentive readers will not be surprised to learn
that he patented this device and made a ton of money from it.

Kelvin had revolutionized the art of finding one's way on the ocean,
both in the vertical (depth) dimension and in the horizontal (compass)
dimensions. He had made several fortunes in the process and spent a
great deal of his intellectual gifts on pursuits that, I thought at
first, could hardly have been less relevant to his earlier work on
undersea cables. But that was my problem, not his. I didn't figure out
what he was up to until very close to the ragged end of my hacker
tourism binge

\_\_ Slack\_\_

The first time a cable-savvy person uses the word slack in your
presence, you'll be tempted to assume he is using it in the loose,
figurative way - as a layperson uses it. After the eightieth or
ninetieth time, and after the cable guy has spent a while talking about
the seemingly paradoxical notion of slack control and extolling the
sophistication of his ship's slack control systems and his computer's
slack numerical-simulation software, you begin to understand that slack
plays as pivotal a role in a cable lay as, say, thrust does in a moon
mission.

He who masters slack in all of its fiendish complexity stands astride
the cable world like a colossus; he who is clueless about slack either
snaps his cable in the middle of the ocean or piles it in a snarl on the
ocean floor - which is precisely what early 19th-century cable layers
spent most of their time doing.

The basic problem of slack is akin to a famous question underlying the
mathematical field of fractals: How long is the coastline of Great
Britain? If I take a wall map of the isle and measure it with a ruler
and multiply by the map's scale, I'll get one figure. If I do the same
thing using a set of large-scale ordnance survey maps, I'll get a much
higher figure because those maps will show zigs and zags in the
coastline that are polished to straight lines on the wall map. But if I
went all the way around the coast with a tape measure, I'd pick up even
smaller variations and get an even larger number. If I did it with
calipers, the number would be larger still. This process can be repeated
more or less indefinitely, and so it is impossible to answer the
original question straightforwardly. The length of the coastline of
Great Britain must be defined in terms of fractal geometry.

A cross-section of the seafloor has the same property. The route between
the landing station at Songkhla, Thailand, and the one at Lan Tao
Island, Hong Kong, might have a certain length when measured on a map,
say 2,500 kilometers. But if you attach a 2,500-kilometer cable to
Songkhla and, wearing a diving suit, begin manually unrolling it across
the seafloor, you will run out of cable before you reach the public
beach at Tong Fuk. The reason is that the cable follows the bumpy
topography of the seafloor, which ends up being a longer distance than
it would be if the seafloor were mirror-flat.

Over long (intercontinental) distances, the difference averages out to
about 1 percent, so you might need a 2,525-kilometer cable to go from
Songkhla to Lan Tao. The extra 1 percent is slack, in the sense that if
you grabbed the ends and pulled the cable infinitely tight (bar tight,
as they say in the business), it would theoretically straighten out and
you would have an extra 25 kilometers. This slack is ideally molded into
the contour of the seafloor as tightly as a shadow, running straight and
true along the surveyed course. As little slack as possible is employed,
partly because cable costs a lot of money (for the FLAG cable, $16,000
to $28,000 per kilometer, depending on the amount of armoring) and
partly because loose coils are just asking for trouble from trawlers and
other hazards. In fact, there is so little slack (in the layperson's
sense of the word) in a well-laid cable that it cannot be grappled and
hauled to the surface without snapping it.

This raises two questions, one simple and one nauseatingly difficult and
complex. First, how does one repair a cable if it's too tight to haul
up?

The answer is that it must first be pulled slightly off the seafloor by
a detrenching grapnel, which is a device, meant to be towed behind a
ship, that rolls across the bottom of the ocean on two fat tractor
tires. Centered between those tires is a stout, wicked-looking, C-shaped
hook, curving forward at the bottom like a stinger. It carves its way
through the muck and eventually gets under the cable and lifts it up and
holds it steady just above the seafloor. At this point its tow rope is
released and buoyed off.

The ship now deploys another towed device called a cutter, which, seen
from above, is shaped like a manta ray. On the top and bottom surfaces
it carries V-shaped blades. As the ship makes another pass over the
detrenching grapnel, one of these blades catches the cable and severs
it.

It is now possible to get hold of the cut ends, using other grapnels. A
cable repair ship carries many different kinds of grapnels and other
hardware, and keeping track of them and their names (like "long prong
Sam") is sort of like taking a course in exotic marine zoology. One of
the ends is hauled up on board ship, and a new length of cable is
spliced onto it solely to provide excess slack. Only now can both ends
of the cable be brought aboard the ship at the same time and the final
splice made.

But now the cable has way too much slack. It can't just be dumped
overboard, because it would form an untidy heap on the bottom, easily
snagged. Worse, its precise location would not be known, which is
suicide from a legal point of view. As long as a cable's position is
precisely known and marked on charts, avoiding it is the responsibility
of every mariner who comes that way. If it's out of place, any snags are
the responsibility of the cable's owners.

So the loose loop of cable must be carefully lowered to the bottom on
the end of a rope and arranged into a sideways bight that lies alongside
the original route of the cable something like an oxbow lake beside a
river channel. The geometry of this bight is carefully recorded with
sidescan sonar so that the information can be forwarded to the people
who update the world's nautical charts.

One problem: now you have a rope between your ship's winch and the
recently laid cable. It looks like an old-fashioned, hairy, organic jute
rope, but it has a core of steel. It is a badass rope, extremely strong
and heavy and expensive. You could cut it off and drop it, but this
would waste money and leave a wild rope trailing across the seafloor,
inviting more snags.

So at this point you deploy your submersible remotely operated vehicle
(ROV) on the end of an umbilical. It rolls across the seabed on its tank
tracks, finds the rope, and cuts it with its terrifying hydraulic
guillotine.

Sad to say, that was the answer to the easy question. The hard one goes
like this: You are the master of a cable ship just off Songkhla, and you
have taken on 2,525 kilometers of cable which you are about to lay along
the 2500-kilometer route between there and Tong Fuk Beach on Lan Tao
Island. You have the 1 percent of slack required. But 1 percent is just
an average figure for the whole route. In some places the seafloor is
rugged and may need 5 percent slack; in others it is perfectly flat and
the cable may be laid straight as a rod. Here's the question: How do you
ensure that the extra 25 kilometers ends up where it's supposed to?

Remember that you are on a ship moving up and down on the waves and that
you will be stretching the cable out across a distance of several
kilometers between the ship and the contact point on the ocean floor,
sometimes through undersea currents. If you get it wrong, you'll get
suspensions in the cable, which will eventually develop into faults, or
you'll get loops, which will be snagged by trawlers. Worse yet, you
might actually snap the cable. All of these, and many more entertaining
things, happened during the colorful early years of the cable business.

The answer has to do with slack control. And most of what is known about
slack control is known by Cable & Wireless Marine. AT\&T presumably
knows about slack control too, but Cable & Wireless Marine has twice as
many ships and dominates the deep-sea cable-laying industry. The
Japanese can lay cable in shallow water and can repair it anywhere. But
the reality is that when you want to slam a few thousand kilometers of
state-of-the-art optical fiber across a major ocean, you call Cable &
Wireless Marine, based in England. That is pretty much what FLAG did
several years ago.

\_\_ In which the Hacker Tourist treks to Land's end, the haunt of
Druids, Pirates, and Telegraphers.\_\_

An idyllic hike to the tiny Cornish town of Porthcurno. More flagon
hoisting at the Cable Station. Lord Kelvin's handiwork examined and
explained. Early bits. The surveyors of the oceans in Chelmsford, and
how computers play an essential part in their work. Alexander Graham
Bell, the second Supreme Ninja Hacker Mage Lord, and his misguided
analog detour. Legacy of Kelvin, Bell, and FLAG to the wired world.

\_\_ 50° 3.965' N, 5° 42.745 WLand's End, Cornwall, England\_\_

As anyone can see from a map of England, Cornwall is a good jumping-off
place for cables across the Atlantic, whether they are laid westward to
the Americas or southward to Spain or the Azores. A cable from this
corner of the island needs to traverse neither the English Channel nor
the Irish Sea, both of which are shallow and fraught with shipping.
Cornwall also possesses the other necessary prerequisite of a cable
landing site in that it is an ancient haunt of pirates and smugglers and
is littered with ceremonial ruins left behind by shadowy occult figures.
The cable station here is called Porthcurno.

Not knowing exactly where Porthcurno is (it is variously marked on maps,
if marked at all), the hacker tourist can find it by starting at Land's
End, which is unambiguously located (go to England; walk west until the
land ends). He can then walk counterclockwise around the coastline. The
old fractal question of "How long is the coastline of Great Britain"
thus becomes more than a purely abstract exercise. The answer is that in
Cornwall it is much longer than it looks, because the fractal dimension
of the place is high - Cornwall is bumpy. All of the English people I
talked to before getting here told me that the place was rugged and wild
and beautiful, but I snidely assumed that they meant "by the standards
of England." As it turns out, Cornwall is rugged and wild and beautiful
even by the standards of, say, Northern California. In America we assume
that any place where humans have lived for more than a generation has
been pretty thoroughly screwed up, so it is startling to come to a place
where 2,000-year-old ruins are all over the place and find that it is
still virtually a wilderness.

From Land's End you can reach Porthcurno in two or three hours,
depending on how much time you spend gawking at views, clambering up and
down cliffs, exploring caves, and taking dips at small perfect beaches
that can be found wedged into clefts in the rock.

Cables almost never land in industrial zones, first because such areas
are heavily traveled and frequently dredged, second because of pure
geography. Industry likes rivers, which bring currents, which are bad
for cables. Cities like flat land. But flat land above the tide line
implies a correspondingly gentle slope below the water, meaning that the
cable will pass for a greater distance through the treacherous shallows.
Three to thirty meters is the range of depth where most of the ocean
dynamics are and where cable must be armored. But in wild places like
Porthcurno or Lan Tao Island, rivers are few and small, and the land
bursts almost vertically from the sea. The same geography, of course,
favors pirates and smugglers.

The company that laid the first part of it was called the Falmouth,
Gibraltar and Malta Telegraph Company, which is odd because the cable
never went to Falmouth - a major port some 50 kilometers from
Porthcurno. Enough anchors had hooked cables, even by that point, that
"major port" and "submarine cable station" were seen to be incompatible,
so the landing site was moved to Porthcurno.That was just the beginning:
the company (later called the Eastern Cable Company, after all the
segments between Porthcurno and Darwin merged) was every bit as
conscious of the importance of redundancy as today's Internet architects
- probably more so, given the unreliability of early cables. They ran
another cable from Porthcurno to the Azores and then to Ascension
Island, where it forked: one side headed to South America while the
other went to Cape Town and then across the Indian Ocean. Subsequent
transatlantic cables terminated at Porthcurno as well.

Many of the features that made Cornwall attractive to cable operators
also made it a suitable place to conduct transatlantic radio
experiments, and so in 1900 Guglielmo Marconi himself established a
laboratory on Lizard Point, which is directly across the bay from
Porthcurno, some 30 kilometers distant. Marconi had another station on
the Isle of Wight, a few hundred kilometers to the east, and when he
succeeded in sending messages between the two, he constructed a more
powerful transmitter at the Lizard station and began trying to send
messages to a receiver in Newfoundland. The competitive threat to the
cable industry could hardly have been more obvious, and so the Eastern
Telegraph Company raised a 60-meter mast above its Porthcurno site,
hoisted an antenna, and began eavesdropping on Marconi's transmissions.
A couple of decades later, after the Italian had worked the bugs out of
the system, the government stepped in and arranged a merger between his
company and the submarine cable companies to create a new, fully
integrated communications monopoly called Cable & Wireless.

\_\_ 50° 2.602' N5° 39.054' WMuseum of Submarine Telegraphy, Porthcurno,
Cornwall\_\_

On a sunny summer day, Porthcurno Beach was crowded with holiday makers.
The vast majority of these were scantily clad and tended to face toward
the sun and the sea. The fully clothed and heavily shod tourists with
their backs to the water were the hacker tourists; they were headed for
a tiny, windowless cement blockhouse, scarcely big enough to serve as a
one-car garage, planted at the apex of the beach. There was a sign on
the wall identifying it as the Museum of Submarine Telegraphy and
stating that it is open only on Wednesday and Friday.

This was appalling news. We arrived on a Monday morning, and our
maniacal schedule would not brook a two-day wait. Stunned, heartbroken,
we walked around the thing a couple of times, which occupied about 30
seconds. The lifeguard watched us uneasily. We admired the brand-new
manhole cover set into the ground in front of the hut, stamped with the
year '96, which strongly suggested a connection with FLAG. We wandered
up the valley for a couple of hundred meters until it opened up into a
parking lot for beach-goers, surrounded by older white masonry
buildings. These were well-maintained but did not seem to be used for
much. We peered at a couple of these and speculated (wrongly, as it
turned out) that they were the landing station for FLAG.

Tantalizing hints were everywhere: the inevitable plethora of manholes,
networked to one another by long straight strips of new pavement set
into the parking lot and the road. Nearby, a small junkheap containing
several lengths of what to the casual visitor might look like old, dirty
pipe but which on closer examination proved to be hunks of discarded
coaxial cable. But all the buildings were locked and empty, and no one
was around.

Our journey seemed to have culminated in failure. We then noticed that
one of the white buildings had a sign on the door identifying it as The
Cable Station - Free House. The sign was adorned with a painting of a
Victorian shore landing in progress - a line of small boats supporting a
heavy cable being payed out from a sailing ship anchored in Porthcurno
Bay.

After coming all this way, it seemed criminal not to have a drink in
this pub. By hacker tourist standards, a manhole cover counts as a major
attraction, and so it was almost surreal to have stumbled across a place
that had seemingly been conceived and built specifically for us. Indeed,
we were the only customers in the place. We admired the photographs and
paintings on the walls, which all had something or other to do with
cables. We made friends with Sally the Dog, chatted with the
proprietress, grabbed a pint, and went out into the beer garden to drown
our sorrows.

Somewhat later, we unburdened ourselves to the proprietress, who looked
a bit startled to learn of our strange mission, and said, "Oh, the
fellows who run the museum are inside just now."

Faster than a bit speeding down an optical fiber we were back inside the
pub where we discovered half a dozen distinguished gentlemen sitting
around a table, finishing up their lunches. One of them, a tall,
handsome, craggy sort, apologized for having ink on his fingers. We made
some feeble effort to explain the concept of Wired magazine (never
easy), and they jumped up from their seats, pulled key chains out of
their pockets, and took us across the parking lot, through the gate, and
into the museum proper. We made friends with Minnie the Cable Dog and
got the tour. Our primary guides were Ron Werngren (the gent with ink on
his fingers, which I will explain in a minute) and John Worrall, who is
the cheerful, energetic, talkative sort who seems to be an obligatory
feature of any cable-related site.

All of these men are retired Cable & Wireless employees. They sketched
in for us the history of this strange compound of white buildings. Like
any old-time cable station, it housed the equipment for receiving and
transmitting messages as well as lodgings and support services for the
telegraphers who manned it. But in addition it served as the campus of a
school where Cable & Wireless foreign service staff were trained,
complete with dormitories, faculty housing, gymnasium, and dining hall.

The whole campus has been shut down since 1970. In recent years, though,
the gentlemen we met in the pub, with the assistance of a local
historical trust, have been building and operating the Museum of
Submarine Telegraphy here. These men are of a generation that trained on
the campus shortly after World War II, and between them they have lived
and worked in just as many exotic places as the latter-day cable guys we
met on Lan Tao Island: Buenos Aires, Ascension Island, Cyprus, Jordan,
the West Indies, Saudi Arabia, Bahrain, Trinidad, Dubai.

Fortunately, the tiny hut above the beach is not the museum. It's just
the place where the cables are terminated. FLAG and other modern cables
bypass it and terminate in a modern station up at the head of the
valley, so  
all of the cables in this hut are old and out of service. They are
labeled with the names of the cities where they terminate: Faial in the
Azores, Brest in France, Bilbao in Spain, Gibraltar 1, Saint John's in
Newfoundland, the Isles of Scilly, two cables to Carcavelos in Portugal,
Vigo in Spain, Gibraltar 2 and 3. From this hut, the wires proceed up
the valley a couple hundred meters to the cable station proper, which is
encased in solid rock.

During World War II, the Porthcurno cable nexus was such a painfully
obvious target for a Nazi attack that a detachment of Cornish miners
were brought in to carve a big tunnel out of a rock hill that rises
above the campus. This turned out to be so wet that it was necessary to
then construct a house inside the tunnel, complete with pitched roof,
gutters, and downspouts to carry away the eternal drizzle of
groundwater. The strategically important parts of the cable station were
moved inside. Porthcurno Bay and the Cable & Wireless campus were laced
with additional defensive measures, like a fuel-filled pipe underneath
the water to cremate incoming Huns.

Now the house in the tunnel is the home of the museum. It is sealed from
the outside world by two blast doors, each of which consists of a
foot-thick box welded together from inch-thick steel plate. The inner
door has a gasket to keep out poison gas. Inside, the building is clean
and almost cozy, and except for the lack of windows, one is not
conscious of being underground.

Practically the first thing we saw upon entering was a fully functional
Kelvin mirror galvanometer - the exquisitely sensitive detector that
sent Wildman Whitehouse into ignominy, made the first transatlantic
cable useful, and earned William Thomson his first major fortune. Most
of its delicate innards are concealed within a metal case. The beam of
light that reflects off its tiny twisting mirror shines against a long
horizontal screen of paper, marked and numbered like a yardstick,
extending about 10 inches on either side of a central zero point. The
light forms a spot on this screen about the size and shape of a dime cut
in half. It is so sensitive that merely touching the machine's case -
grounding it - causes the spot of light to swing wildly to one end of
the scale.

At Porthcurno this device was used for more than one purpose. One of the
most important activities at a cable station is pinpointing the
locations of faults, which is done by measuring the resistance in the
cable. Since the resistance per unit of length is a known quantity, a
precise measurement of resistance gives the distance to the fault.
Measuring resistance was done by use of a device called a Wheatstone
bridge. The museum has a beautiful one, built in a walnut box with big
brass knobs for dialing in resistances. Use of the Wheatstone bridge
relies on achieving a null current with the highest attainable level of
precision, and for this purpose, no instrument on earth was better
suited than the Kelvin mirror galvanometer. Locating a mid-ocean fault
in a cable therefore was reduced to a problem of twiddling the dials on
the Wheatstone bridge until the galvanometer's spot of light was
centered on the zero mark.

The reason for the ink on Ron Werngren's fingers became evident when we
moved to another room and beheld a genuine Kelvin siphon recorder, which
he was in the process of debugging. This machine represented the first
step in the removal of humans from the global communications loop that
has culminated in the machine room at cable landing stations like
Ninomiya.

After Kelvin's mirror galvanometer became standard equipment throughout
the wired world, every message coming down the cables had to pass,
briefly, through the minds of human operators such as the ones who were
schooled at the Porthcurno campus. These were highly trained young men
in slicked hair and starched collars, working in teams of two or three:
one to watch the moving spot of light and divine the letters, a second
to write them down, and, if the message were being relayed down another
cable, a third to key it in again.

It was clear from the very beginning that this was an error-prone
process, and when the young men in the starched collars began getting
into fistfights, it also became clear that it was a job full of stress.
The stress derived from the fact that if the man watching the spot of
light let his attention wander for one moment, information would be
forever lost. What was needed was some mechanical way to make a record
of the signals coming down the cable. But because of the weakness of
these signals, this was no easy job.

Lord Kelvin, never one to rest on his laurels, solved the problem with
the siphon recorder. For all its historical importance, and for all the
money it made Kelvin, it is a flaky-looking piece of business. There is
a reel of paper tape which is drawn steadily through the machine by a
motor. Mounted above it is a small reservoir containing perhaps a
tablespoon of ink. What looks like a gossamer strand emerges from the
ink and bends around through some delicate metal fittings so that its
other end caresses the surface of the moving tape. This strand is
actually an extremely thin glass tube that siphons the ink from the
reservoir onto the paper. The idea is that the current in the cable, by
passing through an electromechanical device, will cause this tube to
move slightly to one side or the other, just like the spot of light in
the mirror galvanometer. But the current in the old cables was so feeble
that even the infinitesimal contact point between the glass tube and the
tape still induced too much friction, so Kelvin invented a remarkable
kludge: he built a vibrator into the system that causes the glass tube
to thrum like a guitar string so that its point of contact on the paper
is always in slight motion.

Dynamic friction (between moving objects) is always less than static
friction (between objects that are at rest with respect to each other).
The vibration in the glass siphon tube reduced the friction against the
paper tape to the point where even the weak currents in a submarine
cable could move it back and forth. Movement to one side of the tape
represented a dot, to the other side a dash. We prevailed upon Werngren
to tap out the message Get Wired.The result is on the cover of this
magazine, and if you know Morse code you can pick the letters out
easily.

The question naturally arises: How does one go about manufacturing a
hollow glass tube thinner than a hair? More to the point, how did they
do it 100 years ago? After all, as Worrall pointed out, they needed to
be able to repair these machines when they were posted out on Ascension
Island. The answer is straightforward and technically sweet: you take a
much thicker glass tube, heat it over a Bunsen burner until it glows and
softens, and then pull sharply on both ends. It forms a long, thin
tendril, like a string of melted cheese stretching away from a piece of
pizza. Amazingly, it does not close up into a solid glass fiber, but
remains a tube no matter how thin it gets.

Exactly the same trick is used to create the glass fibers that run down
the center of FLAG and other modern submarine cables: an ingot of very
pure glass is heated until it glows, and then it is stretched. The only
difference is that these are solid fibers rather than tubes, and, of
course, it's all done using machines that assure a consistent result.

Moving down the room, we saw a couple of large tabletops devoted to a
complete, functioning reproduction of a submarine cable system as it
might have looked in the 1930s. The only difference is that the
thousands of miles of intervening cable are replaced with short jumper
wires so that transmitter, repeaters, and receiver are contained within
a single room.

All the equipment is built the way they don't build things anymore:
polished wooden cabinets with glass tops protecting gleaming brass
machinery that whirrs and rattles and spins. Relays clack and things
jiggle up and down. At one end of the table is an autotransmitter that
reads characters off a paper tape, translates them into Morse code or
cable code, and sends its output, in the form of a stream of electrical
pulses, to a regenerator/retransmitter unit. In this case the unit is
only a few feet away, but in practice it would have been on the other
end of a long submarine cable, say in the Azores. This
regenerator/retransmitter unit sends its output to a twin siphon-tube
recorder which draws both the incoming signal (say, from London) and the
outgoing signal as regenerated by this machine on the same paper tape at
the same time. The two lines should be identical. If the machine is not
functioning correctly, it will be obvious from a glance at the tape.

The regenerated signal goes down the table (or down another submarine
cable) to a machine that records the message as a pattern of holes
punched in tape. It also goes to a direct printer that hammers out the
words of the message in capital letters on another moving strip of
paper. The final step is a gummer that spreads stickum on the back of
the tape so that it may be stuck onto a telegraph form. (They tried to
use pregummed tape, but in the tropics it only coated the machinery with
glue.)

Each piece of equipment on this tabletop is built around a motor that
turns over at the same precise frequency. None of it would work - no
device could communicate with any other device - unless all of those
motors were spinning in lockstep with one another. The transmitter,
regenerator/retransmitter, and printer all had to be in sync even though
they were thousands of miles apart.

This feat is achieved by means of a collection of extremely precise
analog machinery. The heart of the system is another polished box that
contains a vibrating reed, electromagnetically driven, thrumming along
at 30 cycles per second, generating the clock pulses that keep all the
other machines turning over at the right pace. The reed is as precise as
such a thing can be, but over time it is bound to drift and get out of
sync with the other vibrating reeds in the other stations.

In order to control this tendency, a pair of identical pendulum clocks
hang next to each other on the wall above. These clocks feed steady,
one-second timing pulses into the box housing the reed. The reed, in
turn, is driving a motor that is geared so that it should turn over at
one revolution per second, generating a pulse with each revolution. If
the frequency of the reed's vibration begins to drift, the motor's speed
will drift along with it, and the pulse will come a bit too early or a
bit too late. But these pulses are being compared with the steady
one-second pulses generated by the double pendulum clock, and any
difference between them is detected by a feedback system that can
slightly speed up or slow down the vibration of the reed in order to
correct the error. The result is a clock so steady that once one of them
is set up in, say, London, and another is set up in, say, Cape Town, the
machinery in those two cities will remain synched with each other
indefinitely.

This is precisely the same function that is performed by the quartz
clock chip at the heart of any modern computing device. The job
performed by the regenerator/retransmitter is also perfectly
recognizable to any modern digitally minded hacker tourist: it is an
analog-to-digital converter. The analog voltages come down the cable
into the device, the circuitry in the box decides whether the signal is
a dot or a dash (or if you prefer, a 1 or a 0), and then an
electromagnet physically moves one way or the other, depending on
whether it's a dot or a dash. At that moment, the device is strictly
digital. The electromagnet, by moving, then closes a switch that
generates a new pulse of analog voltage that moves on down the cable.
The hacker tourist, who has spent much of his life messing around with
invisible, ineffable bits, can hardly fail to be fascinated when staring
into the guts of a machine built in 1927, steadily hammering out bits
through an electromechanical process that can be seen and even touched.

As I started to realize, and as John Worrall and many other
cable-industry professionals subsequently told me, there have been new
technologies but no new ideas since the turn of the century. Alas for
Internet chauvinists who sneer at older, "analog" technology, this rule
applies to the transmission of digital bits down wires, across long
distances. We've been doing it ever since Morse sent "What hath God
wrought\!" from Washington to Baltimore.

\_\_ (Latitude & longitude unknown)Cable & Wireless MarineChelmsford,
England\_\_

\[Note: I left my GPS receiver on a train in Bristol and had to do
without it for a couple of weeks until Mr. Gallagher, station supervisor
at Preston, Lancashire, miraculously found it and sent it back to me.
Chelmsford is a half-hour train ride northeast of London.\]

When last we saw our hypothetical cable-ship captain, sitting off of
Songkhla with 2,525 kilometers of very expensive cable, we had put him
in a difficult spot by asking the question of how he could ensure that
his 25 kilometers of slack ended up in exactly the right place.
Essentially the same question was raised a few years ago when FLAG
approached Cable & Wireless Marine and said, in effect: "We are going to
buy 28,000 kilometers of fancy cable from AT\&T and KDD, and we would
like to have it go from England to Spain to Italy to Egypt to Dubai to
India to Thailand to Hong Kong to China to Korea to Japan. We would like
to pay for as little slack as possible, because the cable is expensive.
What little slack we do buy needs to go in exactly the right place,
please. What should we do next?"

So it was that Captain Stuart Evans's telephone rang. At the time
(September 1992), he was working for a company called Worldwide Ocean
Surveying, but by the time we met him, that company had been bought out
by Cable & Wireless Marine, of which he is now general manager - survey.
Evans is a thoroughly pleasant middle-aged fellow, a former merchant
marine captain, who seemed just a bit taken aback that anyone would care
about the minute details of what he and his staff do for a living. A
large part of being a hacker tourist is convincing people that you are
really interested in the nitty-gritty and not just looking for a quick,
painless sound bite or two; once this is accomplished, they always warm
to the task, and Captain Evans was no exception.Evans's mission was to
help FLAG select the most economical and secure route. The initial
stages of the process are straightforward: choose the landing sites and
then search existing data concerning the routes joining those sites.
This is referred to as a desk search, with mild but unmistakable
condescension. Evans and his staff came up with a proposed route, did
the desk search, and sent it to FLAG for approval. When FLAG signed off
on this, it was time to go out and perform the real survey. This process
ran from January to September 1994.

Each country uses the same landing sites over and over again for each
new cable, so you might think that the routes from, say, Porthcurno to
Spain would be well known by now. In fact, every new cable passes over
some virgin territory, so a survey is always necessary. Furthermore, the
territory does not remain static. There are always new wrecks, mobile
sand waves, changes in anchorage patterns, and other late-breaking news.

To lay a cable competently you must have a detailed survey of a corridor
surrounding the intended route. In shallow water, you have relatively
precise control over where the cable ends up, but the bottom can be very
irregular, and the cable is likely to be buried into the seabed. So you
want a narrow (1 kilometer wide) corridor with high resolution. In
deeper water, you have less lateral control over the descending cable,
but at the same time the phenomena you're looking at are bigger, so you
want a survey corridor whose width is 2 to 3 times the ocean depth but
with a coarser resolution. A resolution of 0.5 percent of the depth
might be considered a minimum standard, though the FLAG survey has it
down to 0.25 percent in most places. So, for example, in water 5,000
meters deep, which would be a somewhat typical value away from the
continental shelf, the survey corridor would be 10 to 15 kilometers in
width, and a good vertical resolution would be 12 meters.

The survey process is almost entirely digital. The data is collected by
a survey ship carrying a sonar rig that fires 81 beams spreading down
and out from the hull in a fan pattern. At a depth of 5,000 meters, the
result, approximately speaking, is to divide the 10-kilometer-wide
corridor into grid squares 120 meters wide and 175 meters long and get
the depth of each one to a precision of some 12 meters.

The raw data goes to an onboard SPARCstation that performs data
assessment in real time as a sort of quality assurance check, then
streams the numbers onto DAT cassettes. The survey team is keeping an
eye on the results, watching for any formations through which cable
cannot be run. These are found more frequently in the Indian than in the
Atlantic Ocean, mostly because the Atlantic has been charted more
thoroughly.

Steep slopes are out. A cable that traverses a steep slope will always
want to slide down it sideways, secretly rendering every nautical chart
in the world obsolete while imposing unknown stresses on the cable. This
and other constraints may throw an impassable barrier across the
proposed route of the cable. When this happens, the survey ship has to
backtrack, move sideways, and survey other corridors parallel and
adjacent to the first one, gradually building a map of a broader area,
until a way around the obstruction is found. The proposed route is
redrafted, and the survey ship proceeds.

The result is a shitload of DAT tapes and a good deal of other data as
well. For example, in water less than 1,200 meters deep, they also use
sidescan sonar to generate analog pictures of the bottom - these look
something like black-and-white photographs taken with a point light
source, with the exception that shadows are white instead of black. It
is possible to scan the same area from several different directions and
then digitally combine the images to make something that looks just like
a photo. This may provide crucial information that would never show up
on the survey - for example, a dense pattern of anchor scars indicates
that this is not a good place to lay a cable. The survey ship can also
drop a flowmeter that will provide information about currents in the
ocean.

The result of all this, in the case of the FLAG survey, was about a
billion data points for the bathymetric survey alone, plus a mass of
sidescan sonar plots and other documentation. The tapes and the plots
filled a room about 5 meters square all the way to the ceiling. The
quantity of data involved was so vast that to manage it on paper, while
it might have been theoretically possible given unlimited resources, was
practically impossible given that FLAG is run by mortals and actually
has to make money. FLAG is truly an undertaking of the digital age in
that it simply couldn't have been accomplished without the use of
computers to manage the data.Evans's mission was to present FLAG with a
final survey report. If he had done it the old-fashioned way, the report
would have occupied some 52 linear feet of shelf space, plus several
hefty cabinets full of charts, and the inefficiency of dealing with so
much paper would have made it nearly impossible for FLAG's decision
makers }to grasp everything.

Instead, Evans bought FLAG a PC and a plotter. During the summer of
1994, while the survey data was still being gathered, he had some
developers write browsing software. Keeping in mind that FLAG's
investors were mostly high-finance types with little technical or
nautical background, they gave the browser a familiar, easy-to-use
graphical user interface. The billion data points and the sidescan sonar
imagery were boiled down into a form that would fit onto 5 CD-ROMs, and
in that form the final report was presented to FLAG at the end of 1994.
When FLAG's decision makers wanted to check out a particular part of the
route, they could zoom in on it by clicking on a map, picking a small
square of ocean, and blowing it up to reveal sev-eral different kinds of
plots: a topographic map of the seafloor, information abstracted from
the sidescan sonar images, a depth profile along the route, and another
profile showing the consistency of the bot-tom - whether muck, gravel,
sand, or hard rock. All of these could be plotted out on meterwide
sheets of paper that provided a much higher-resolution view than is
afforded by the computer screen.

This represents a noteworthy virtuous circle - a self-amplifying trend.
The development of graphical user interfaces has led to rapid growth in
personal computer use over the last decade, and the coupling of that
technology with the Internet has caused explosive growth in the use of
the World Wide Web, generating enormous demand for bandwidth. That (in
combination, of course, with other demands) creates a demand for
submarine cables much longer and more ambitious than ever before, which
gets investors excited - but the resulting project is so complex that
the only way they can wrap their minds around it and make intelligent
decisions is by using a computer with a graphical user interface.

\_\_ Hacking wires\_\_

As you may have figured out by this point, submarine cables are an
incredible pain in the ass to build, install, and operate. Hooking stuff
up to the ends of them is easy by comparison. So it has always been the
case that cables get laid first and then people begin trying to think of
new ways to use them. Once a cable is in place, it tends to be treated
not as a technological artifact but almost as if it were some naturally
occurring mineral formation that might be exploited in any number of
different ways.

This was true from the beginning. The telegraphy equipment of 1857
didn't work when it was hooked up to the first transatlantic cable.
Kelvin had to invent the mirror galvanometer, and later the siphon
recorder, to make use of it. Needless to say, there were many other
Victorian hackers trying to patent inventions that would enable more
money to be extracted from cables. One of these was a
Scottish-Canadian-American elocutionist named Alexander Graham Bell, who
worked out of a laboratory in Boston.

Bell was one of a few researchers pursuing a hack based on the
phenomenon of resonance. If you open the lid of a grand piano, step on
the sustain pedal, and sing a note into it, such as a middle C, the
strings for the piano's C keys will vibrate sympathetically, while the D
strings will remain still. If you sing a D, the D strings vibrate and
the C strings don't. Each string resonates only at the frequency to
which it has been tuned and is deaf to other frequencies.

If you were to hum out a Morse code pattern of dots and dashes, all at
middle C, a deaf observer watching the strings would notice a
corresponding pattern of vibrations. If, at the same time, a second
person was standing next to you humming an entirely different sequence
of dots and dashes, but all on the musical tone of D, then a second deaf
observer, watching the D strings, would be able to read that message,
and so on for all the other tones on the scale. There would be no
interference between the messages; each would come through as clearly as
if it were the only message being sent. But anyone who wasn't deaf would
hear a cacophony of noise as all the message senders sang in different
rhythms, on different notes. If you took this to an extreme, built a
special piano with strings tuned as close to each other as possible, and
trained the message senders to hum Morse code as fast as possible, the
sound would merge into an insane roar of white noise.

Electrical oscillations in a wire follow the same rules as acoustical
ones in the air, so a wire can carry exactly the same kind of cacophony,
with the same results. Instead of using piano strings, Bell and others
were using a set of metal reeds like the ones in a harmonica, each tuned
to vibrate at a different frequency. They electrified the reeds in such
a way that they generated not only acoustical vibrations but
corresponding electrical ones. They sought to combine the electrical
vibrations of all these reeds into one complicated waveform and feed it
into one end of a cable. At the far end of the cable, they would feed
the signal into an identical set of reeds. Each reed would vibrate in
sympathy only with its counterpart on the other end of the wire, and by
recording the pattern of vibrations exhibited by that reed, one could
extract a Morse code message independent of the other messages being
transmitted on the other reeds. For the price of one wire, you could
send many simultaneous coded messages and have them all sort themselves
out on the other end.

To make a long story short, it didn't work. But it did raise an
interesting question. If you could take vibrations at one frequency and
combine them with vibrations at another frequency, and another, and
another, to make a complicated waveform, and if that waveform could be
transmitted to the other end of a submarine cable intact, then there was
no reason in principle why the complex waveform known as the human voice
couldn't be transmitted in the same way. The only difference would be
that the waves in this case were merely literal representations of sound
waves, rather than Morse code sequences transmitted at different
frequencies. It was, in other words, an analog hack on a digital
technology.

We have all been raised to think of the telephone as a vast improvement
on the telegraph, as the steamship was to the sailing ship or the
electric lightbulb to the candle, but from a hacker tourist's point of
view, it begins to seem like a lamentable wrong turn. Until Bell, all
telegraphy was digital. The multiplexing system he worked on was purely
digital in concept even if it did make use of some analog properties of
matter (as indeed all digital equipment does). But when his multiplexing
scheme went sour, he suddenly went analog on us.

Fortunately, the story has a happy ending, though it took a century to
come about. Because analog telephony did not require expertise in Morse
code, anyone could take advantage of it. It became enormously popular
and generated staggering quantities of revenue that underwrote the
creation of a fantastically immense communications web reaching into
every nook and cranny of every developed country.

Then modems came along and turned the tables. Modems are a digital hack
on an analog technology, of course; they take the digits from your
computer and convert them into a complicated analog waveform that can be
transmitted down existing wires. The roar of white noise that you hear
when you listen in on a modem transmission is exactly what Bell was
originally aiming for with his reeds. Modems, and everything that has
ensued from them, like the World Wide Web, are just the latest example
of a pattern that was established by Kelvin 140 years ago, namely,
hacking existing wires by inventing new stuff to put on the ends of
them.

It is natural, then, to ask what effect FLAG is going to have on the
latest and greatest cable hack: the Internet. Or perhaps it's better to
ask whether the Internet affected FLAG. The explosion of the Web
happened after FLAG was planned. Taketo Furuhata, president and CEO of
IDC, which runs the Miura station, says: "I don't know whether Nynex
management foresaw the burst of demand related to the Internet a few
years ago - I don't think so. Nobody - not even AT\&T people - foresaw
this. But the demand for Internet transmission is so huge that FLAG will
certainly become a very important pipe to transmit such requirements."

John Mercogliano, vice president - Europe, Nynex Network Systems
(Bermuda) Ltd., says that during the early 1990s when FLAG was getting
organized, Nynex executives felt in their guts that something big was
going to happen involving broadband multimedia transmission over cables.
They had a media lab that was giving demos of medical imaging and other
such applications. "We knew the Internet was coming - we just didn't
know it was going to be called the Internet," he says.

FLAG may, in fact, be the last big cable system that was planned in the
days when people didn't know about the Internet. Those days were a lot
calmer in the global telecom industry. Everything was controlled by
monopolies, and cable construction was based on sober, scientific
forecasts, analogous, in some ways, to the actuarial tables on which
insurance companies predicate their policies.

When you talk on the phone, your words are converted into bits that are
sent down a wire. When you surf the Web, your computer sends out bits
that ask for yet more bits to be sent back. When you go to the store and
buy a Japanese VCR or an article of clothing with a Made in Thailand
label, you're touching off a cascade of information flows that
eventually leads to transpacific faxes, phone calls, and money
transfers.

If you get a fast busy signal when you dial your phone, or if your Web
browser stalls, or if the electronics store is always low on inventory
because the distribution system is balled up somewhere, then it means
that someone, somewhere, is suffering pain. Eventually this pain gets
taken out on a fairly small number of meek, mild-mannered statisticians
- telecom traffic forecasters - who are supposed to see these problems
coming.

Like many other telephony-related technologies, traffic forecasting was
developed to a fine art a long time ago and rarely screwed up. Usually
the telcos knew when the capacity of their systems was going to be
stretched past acceptable limits. Then they went shopping for bandwidth.
Cables got built.

That is all past history. "The telecoms aren't forecasting now,"
Mercogliano says. "They're reacting."

This is a big problem for a few different reasons. One is that cables
take a few years to build, and, once built, last for a quarter of a
century. It's not a nimble industry in that way. A PTT thinking about
investing in a club cable is making a 25-year commitment to a piece of
equipment that will almost certainly be obsolete long before it reaches
the end of its working life. Not only are they risking lots of money,
but they are putting it into an exceptionally long-term investment.
Long-term investments are great if you have reliable long-term
forecasts, but when your entire forecasting system gets blown out of the
water by something like the Internet, the situation gets awfully
complicated.

The Internet poses another problem for telcos by being asymmetrical.
Imagine you are running an international telecom company in Japan.
Everything you've ever done, since TPC-1 came into Ninomiya in '64, has
been predicated on circuits. Circuits are the basic unit you buy and
sell - they are to you what cars are to a Cadillac dealership. A
circuit, by definition, is symmetrical. It consists of an equal amount
of bandwidth in each direction - since most phone conversations, on
average, entail both parties talking about the same amount. A circuit
between Japan and the United States is something that enables data to be
sent from Japan to the US, and from the US to Japan, at the same rate -
the same bandwidth. In order to get your hands on a circuit, you cut a
deal with a company in the States. This deal is called a correspondent
agreement.

One day, you see an ad in a magazine for a newfangled thing called a
modem. You hook one end up to a computer and the other end to a phone
line, and it enables the computer to grab a circuit and exchange data
with some other computer with a modem. So far, so good. As a cable-savvy
type, you know that people have been hacking cables in this fashion
since Kelvin. As long as the thing works on the basis of circuits, you
don't care - any more than a car salesman would care if someone bought
Cadillacs, tore out the seats, and used them to haul gravel.

A few years later, you hear about some modem-related nonsense called the
World Wide Web. And a year after that, everyone seems to be talking
about it. About the same time, all of your traffic forecasts go down the
toilet. Nothing's working the way it used to. Everything is screwed up.

Why? Because the Web is asymmetrical. All of your Japanese Web customers
are using it to access sites in the States, because that's where all the
sites are located. When one of them clicks on a button on an American
Web page, a request is sent over the cable to the US. The request is
infinitesimal, just a few bytes. The site in the States promptly
responds by trying to send back a high-resolution, 24-bit color image of
Cindy Crawford, or an MPEG film of a space shuttle mission. Millions of
bytes. Your pipe gets jammed solid with incoming packets.

You're a businessperson. You want to make your customers happy. You want
them to get their millions of bytes from the States in some reasonable
amount of time. The only way to make this happen is to purchase more
circuits on the cables linking Japan to the States. But if you do this,
only half of each circuit is going to be used - the incoming half. The
outgoing half will carry a miserable trickle of packets. Its bandwidth
will be wasted. The correspondent agreement relationship, which has been
the basis of the international telecom business ever since the first
cables were laid, doesn't work anymore.

This, in combination with the havoc increasingly being wrought by
callback services, is weird, bad, hairy news for the telecom monopolies.
Mercogliano believes that the solution lies in some sort of bandwidth
arbitrage scheme, but talking about that to an old-time telecrat is like
describing derivative investments to an old codger who keeps his money
under his mattress. "The club system is breaking down," Mercogliano
says.

\_\_ Somewhere between50° 54.20062' N, 1° 26.87229 W and50° 54.20675' N,
1° 26.95470 WCable Ship Monarch, Southampton, England\_\_

John Mercogliano, if this is conceivable, logs even more frequent-flier
miles, to even more parts of the planet, than the cable layers we met on
Lan Tao Island. He lives in London, his office is in Amsterdam, his
territory is Europe, he works for a company headquartered in Bermuda
that has many ties to the New York metropolitan area and that does
business everywhere from Porthcurno to Miura. He is trim, young-looking,
and vigorous, but even so the schedule occasionally takes its toll on
him, and he feels the need to just get away from his job for a few days
and think about something - anything - other than submarine cables. The
last time this feeling came over him, he made inquiries with a tourist
bureau in Ireland that referred him to a quiet, out-of-the-way place on
the coast: a stately home that had been converted to a seaside inn, an
ideal place for him to go to get his mind off his work. Mercogliano flew
to Ireland and made his way overland to the place, checked into his
room, and began ambling through the building. The first thing he saw was
a display case containing samples of various types of 19th-century
submarine cables. It turned out that the former owner of this mansion
had been the captain of the Great Eastern, the first of the great
deep-sea cable-laying ships.

The Great Eastern got that job because it was by a long chalk the
largest ship on the planet at the time - so large that its utter
uselessness had made it a laughingstock, the Spruce Goose of its day.
The second generation of long-range submarine cables, designed to Lord
Kelvin's specifications after the debacle of 1857, were thick and heavy.
Splicing segments together in mid-ocean had turned out to be
problematical, so there were good reasons for wanting to make the cable
in one huge piece and simply laying the whole thing in one go.

It is easier to splice cables now and getting easier all the time.
Coaxial cables of the last few decades took some 36 to 48 hours to
splice, partly because it was necessary to mold a jacket around them.
Modern cables can be spliced in more like 12 hours, depending on the
number of fibers they contain. So modern cable ships needn't be quite as
great as the Great Eastern.

Other than the tank that contains the cable, which is literally nothing
more than a big round hole in the middle of the ship, a cable ship is
different from other ships in two ways. One, it comes with a complement
of bow and stern thrusters coupled to exquisitely sensitive navigation
gear on the bridge, which give it unsurpassed precision-maneuvering and
station-keeping powers. In the case of Monarch, a smaller cable repair
ship that we visited in Southampton, England, there are at least two
differential GPS receivers, one for the bow and one for the stern -
hence the two readings given at the head of this section. Each one of
them reads out to five decimal places, which implies a resolution of
about 1 centimeter.

Second, a cable ship has two winches on board. But this does not do
justice to them, as they are so enormous, so powerful, and yet so nimble
that it would almost be more accurate to say that a cable ship is two
floating winches. Nearly everything that a cable ship does reduces,
eventually, to winching. Laying a cable is a matter of paying cable out
of a winch, and repairing it, as already described, involves a much more
complicated series of winch-related activities.

As Kelvin figured out the hard way, whenever you are reeling in a long
line, you must first relieve all tension on it or else your reel will be
crushed. The same problem is posed in reverse by the cable-laying
process, where thousands of meters of cable, weighing many tons, may be
stretched tight between the ship and the contact point on the seafloor,
but the rest of the cable stored on board the ship must be coiled
loosely in the tanks with no tension on them at all. In both cases, the
cable must be perfectly slack on the ship end and very tight on the
watery end of the winching machinery. Not surprisingly, then, the same
machinery is used for both outgoing and incoming winch work.

At one end of the ship is a huge iron drum some 3 meters in diameter
with a few turns of cable around it. As you can verify by wrapping a few
turns of rope around a pipe and tugging, this is a very simple way to
relieve tension on a line. It is not, however, very precise, and here,
precise control is very important. That is provided by something called
a linear engine, which consists of several pairs of tires mounted with a
narrow gap between them (for you baseball fans, it is much like a
pitching machine). The cable is threaded through this gap so that it is
gripped on both sides by the tires. Monarch's linear engine contains 16
pairs of tires which, taken together, can provide up to 10 tons of
holdback force. Augmented by the drums, which can be driven by power
from the ship's main engines, the ultimate capacity of Monarch's cable
engines is 30 tons.

The art of laying a submarine cable is the art of using all the special
features of such a ship: the linear engines, the maneuvering thrusters,
and the differential GPS equipment, to put the cable exactly where it is
supposed to go. Though the survey team has examined a corridor many
thousands of meters wide, the target corridor for the cable lay is 200
meters wide, and the masters of these ships take pride in not straying
more than 10 meters from the charted route. This must be accomplished
through the judicious manipulation of only a few variables: the ship's
position and speed (which are controlled by the engines, thrusters, and
rudder) andthe cable's tension and rate of payout (which are controlled
by the cable engine).

One cannot merely pay the cable out at the same speed as the ship moves
forward. If the bottom is sloping down and away from the ship as the
ship proceeds, it is necessary to pay the cable out faster. If the
bottom is sloping up toward the ship, the cable must come out more
slowly . Such calculations are greatly complicated by the fact that the
cable is stretched out far behind the ship - the distance between the
ship and the cable's contact point on the bottom of the ocean can be
more than 30 kilometers, and the maximum depth at which (for example)
KDD cable can be laid is 8,000 meters. Insofar as the shape of the
bottom affects what the ship ought to be doing, it's not the shape of
the bottom directly below the ship that is relevant, but the shape of
the bottom wherever the contact point happens to be located, which is by
no means a straightforward calculation. Of course, the ship is heaving
up and down on the ocean and probably being shoved around by wind and
currents while all this is happening, and there is also the possibility
of ocean currents that may move the cable to and fro during its descent.

It is not, in other words, a seat-of-the-pants kind of deal; the skipper
can't just sit up on the bridge, eyeballing a chart, and twiddling a few
controls according to his intuition. In practice, the only way to ensure
that the cable ends up where it is supposed to is to calculate the whole
thing ahead of time. Just as aeronautical engineers create numerical
simulations of hypothetical airplanes to test their coefficient of drag,
so do the slack control wizards of Cable & Wireless Marine use numerical
simulation techniques to model the catenary curve adopted by the cable
as it stretches between ship and contact point. In combination with
their detailed data on the shape of the ocean floor, this enables them
to figure out, in advance, exactly what the ship should do when. All of
it is boiled down into a set of instructions that is turned over to the
master of the cable ship: at such and such a point, increase speed to x
knots and reduce cable tension to y tons and change payout speed to z
meters per second, and so on and so forth, all the way from Porthcurno
to Miura."

It sounds like it would make a good videogame," I said to Captain Stuart
Evans after he had laid all of this out for me. I was envisioning
something called SimCable. "It would make a good videogame," he agreed,
"but it also makes a great job, because it's a combination of art and
science and technique - and it's not an art you learn overnight. It's
definitely a black art."

Cable & Wireless's Marine Survey department has nailed the slack control
problem. That, in combination with the company's fleet of cable-laying
ships and its human capital, makes it dominant in the submarine
cable-laying world.

By "human capital" I mean their ability to dispatch weather-beaten
operatives such as the Lan Tao Island crowd to difficult places like
Suez and have them know their asses from their elbows. As we discovered
on our little jaunt to Egypt, where we tried to rendezvous with a cable
ship in the Gulf of Suez and were turned back by the Egyptian military,
one doesn't just waltz into places like that on short notice and get
stuff to happen.

In each country between England and Japan, there are hoops that must be
jumped through, cultural differences that must be understood, palms that
must be greased, unwritten rules that must be respected. The only way to
learn that stuff is to devote a career to it. Cable & Wireless has an
institutional memory stretching all the way back to 1870, when it laid
the first cable from Porthcurno to Australia, and the British maritime
industry as a whole possesses a vast fund of practical experience that
is the legacy of the Empire.

One can argue that, in the end, the British Empire did Britain
surprisingly little good. Other European countries that had pathetic or
nonexistent empires, such as Italy, have recently surpassed England in
standard of living and other measures of economic well-being. Scholars
of economic history have worked up numbers suggesting that Britain spent
more on maintaining its empire than it gained from exploiting it.
Whether or not this is the case, it is quite obvious from looking at the
cable-laying industry that the Victorian practice of sending British
people all over the planet is now paying them back handsomely.

The current position of AT\&T versus Cable & Wireless reflects the shape
of America versus the shape of the British Empire. America is a big,
contiguous mass, easy to defend, immensely wealthy, and basically
insular. No one comes close to it in developing new technologies, and
AT\&T has always been one of America's technological leaders. By
contrast, the British Empire was spread out all over the place, and
though it controlled a few big areas (such as India and Australia), it
was basically an archipelago of outposts, let us say a network,
completely dependent on shipping and communications to stay alive. Its
dominance was always more economic than military - even at the height of
the Victorian era, its army was smaller than the Prussian police force.
It could coerce the natives, but only so far - in the end, it had to
co-opt them, give them some incentive to play along. Even though the
Empire has been dissolving itself for half a century, British people and
British institutions still know how to get things done everywhere.

It is not difficult to work out how all of this has informed the
development of the submarine cable industry. AT\&T makes really, really
good cables; it has the pure technology nailed, though if it doesn't
stay on its toes, it'll be flattened by the Japanese. Cable & Wireless
doesn't even try to make cables, but it installs them better than anyone
else.

\_\_ The legacy\_\_

Kelvin founded the cable industry by understanding the science, and
developing the technology, that made it work. His legacy is the ongoing
domination of the cable-laying industry by the British, and his monument
is concealed beneath the waves: the ever growing web of submarine cables
joining continents together.

Bell founded the telephone industry. His legacy was the Bell System, and
his monument was strung up on poles for all to see: the network of
telephone wires that eventually found its way into virtually every
building in the developed world. Bell founded New England Telephone
Company, which eventually was absorbed into the Bell System. It never
completely lost its identity, though, and it never forgot its connection
to Alexander Graham Bell - it even moved Bell's laboratory into its
corporate headquarters in Boston.

After the breakup of the Bell System in the early 1980s, New England
Telephone and its sibling Baby Bell, New York Telephone, joined together
to form a new company called Nynex, whose loyal soldiers are eager to
make it clear that they see themselves as the true heirs of Bell's
legacy.  
Now, Nynex and Cable & Wireless, the brainchildren of Bell and Kelvin,
the two supreme ninja hacker mage lords of global telecommunications,
have formed an alliance to challenge AT\&T and all the other old
monopolies.

We know how the first two acts of the story are going to go: In late
1997, with the completion of FLAG, Luke ("Nynex") Skywalker, backed up
on his Oedipal quest by the heavy shipping iron of Han ("Cable &
Wireless") Solo, will drop a bomb down the Death Star's ventilation
shaft. In 1999, with the completion of SEA-ME-WE 3, the Empire will
Strike Back. There is talk of a FLAG 2, which might represent some kind
of a Return of the Jedi scenario.

But once the first FLAG has been built, everyone's going to get into the
act - it's going to lead to a general rebellion. "FLAG will change the
way things are done. They are setting a benchmark," says Dave Handley,
the cable layer. And Mercogliano makes a persuasive case that national
telecom monopolies will be so preoccupied, over the next decade, with
building the "last mile" and getting their acts together in a
competitive environment that they'll have no choice but to leave cable
laying to the entrepreneurs.

That's the simple view of what FLAG represents. It is important to
remember, though, that companies like Cable & Wireless and Nynex are not
really heroic antimonopolists. A victory for FLAG doesn't lead to a pat
ending like in Star Wars - it does not get us into an idealized free
market. "One thing to bear in mind is that Cable & Wireless is a club
and they are rigorously anticompetitive wherever they have the
opportunity," said Doug Barnes, the cypherpunk. "Nynex and the other
Baby Bells are self-righteously trying to crack open other companies'
monopolies while simultaneously trying to hold onto their domestic ones.
The FLAG folks are merely clubs with a smidgin more vision, enough
business sense to properly reward talent, and a profound desire to make
a great pile of money.''

There has been a lot of fuss in the last few years concerning the 50th
anniversary of the invention of the computer. Debates have raged over
who invented the computer: Atanasoff or Mauchly or Turing? The only
thing that has been demonstrated is that, depending on how you define
computer, any one of the above, and several others besides, can be said
to have invented it.

Oddly enough, this debate comes at a time when stand-alone computers are
seeming less and less significant and the Internet more so. Whether or
not you agree that "the network is the computer," a phrase Scott McNealy
of Sun Microsystems recently coined, you can't dispute that moving
information around seems to have much broader appeal than processing it.
Many more people are interested in email and the Web than were
interested in databases and spreadsheets.

Yet little attention has been paid to the historical antecedents of the
Internet - perhaps partly because these cable technologies are much
older and less accessible and partly because many Net people want so
badly to believe that the Net is fundamentally new and unique. Analog is
seen as old and bad, and so many people assume that the communications
systems of old were strictly analog and have just now been upgraded to
digital.

This overlooks much history and totally misconstrues the technology. The
first cables carried telegraphy, which is as purely digital as anything
that goes on inside your computer. The cables were designed that way
because the hackers of a century and a half ago understood perfectly
well why digital was better. A single bit of code passing down a wire
from Porthcurno to the Azores was apt to be in sorry shape by the time
it arrived, but precisely because it was a bit, it could easily be
abstracted from the noise, then recognized, regenerated, and transmitted
anew.

The world has actually been wired together by digital communications
systems for a century and a half. Nothing that has happened during that
time compares in its impact to the first exchange of messages between
Queen Victoria and President Buchanan in 1858. That was so impressive
that a mob of celebrants poured into the streets of New York and set
fire to City Hall.

It's tempting to observe that, so far, no one has gotten sufficiently
excited over a hot new Web page to go out and burn down a major
building. But this is a little too glib. True, that mob in the streets
of New York in 1858 was celebrating the ability to send messages quickly
across the Atlantic. But, if the network is the computer, then in
retrospect, those torch-bearing New Yorkers could be seen as celebrating
the joining of the small and primitive computer that was the North
American telegraph system to the small and primitive computer that was
the European system, to form The Computer, with a capital C.

At that time, the most important components of these Computers - the
CPUs, as it were - were tense young men in starched collars. Whenever
one of them stepped out to relieve himself, The Computer went down. As
good as they were at their jobs, they could process bits only so fast,
so The Computer was very slow. But The Computer has done nothing since
then but get faster, become more automated, and expand. By 1870, it
stretched all the way to Australia. The advent of analog telephony
plunged The Computer into a long dormant phase during which it grew
immensely but lost many of its computerlike characteristics.

But now The Computer is fully digital once again, fully automatic, and
faster than hell. Most of it is in the United States, because the United
States is large, free, and made of dirt. Largeness eliminates
troublesome borders. Freeness means that anyone is allowed to patch new
circuits onto The Computer. Dirt makes it possible for anyone with a
backhoe to get in on the game. The Computer is striving mightily to grow
beyond the borders of the United States, into a world that promises even
vaster economies of scale - but most of that world isn't made of dirt,
and most of it isn't free. The lack of freedom stems both from bad laws,
which are grudgingly giving way to deregulation, and from monopolies
willing to do all manner of unsavory things in order to protect their
turf.

Even though FLAG's bandwidth isn't that great by 1996 Internet
standards, and even though some of the companies involved in it are, in
other arenas, guilty of monopolistic behavior, FLAG really is going to
help blow open bandwidth and weaken the telecom monopolies.

In many ways it hearkens back to the wild early days of the cable
business. The first transatlantic cables, after all, were constructed by
private investors who, like FLAG's investors, just went out and built
cable because it seemed like a good idea. After FLAG, building new
high-bandwidth, third-generation fiber-optic cable is going to seem like
a good idea to a lot of other investors. And unlike the ones who built
FLAG, they will have the benefit of knowing about the Internet, and
perhaps of understanding, at some level, that they are not merely
stringing fancy telephone lines but laying down new traces on the
circuit board of The Computer. That understanding may lead them to
create vast amounts of bandwidth that would blow the minds of the
entrenched telecrats and to adopt business models designed around
packet-switching instead of the circuits that the telecrats are stuck
on.

If the network is The Computer, then its motherboard is the crust of
Planet Earth. This may be the single biggest drag on the growth of The
Computer, because Mother Earth was not designed to be a motherboard.
There is too much water and not enough dirt. Water favors a few
companies that know how to lay cable and have the ships to do it. Those
companies are about to make a whole lot of money.

Eventually, though, new ships will be built. The art of slack control
will become common knowledge - after all, it comes down to a numerical
simulation problem, which should not be a big chore for the
ever-expanding Computer. The floors of the oceans will be surveyed and
sidescanned down to every last sand ripple and anchor scar. The physical
challenges, in other words, will only get easier.

The one challenge that will then stand in the way of The Computer will
be the cultural barriers that have always hindered cooperation between
different peoples. As the globe-trotting cable layers in Papa Doc's
demonstrate, there will always be a niche for people who have gone out
and traveled the world and learned a thing or two about its ways.

Hackers with ambitions of getting involved in the future expansion of
The Computer could do a lot worse than to power down their PCs, buy GPS
receivers, place calls to their favorite travel agents, and devote some
time to the pursuit of hacker tourism.

The motherboard awaits.
