---
created_at: '2010-02-19T19:20:15.000Z'
title: How a Tax Law Helps Insure a Scarcity of Programmers (1998)
url: http://www.nytimes.com/1998/04/27/business/how-a-tax-law-helps-insure-a-scarcity-of-programmers.html?pagewanted=1
author: Jasber
points: 223
story_text: 
comment_text: 
num_comments: 94
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1266607215
_tags:
- story
- author_Jasber
- story_1137669
objectID: '1137669'
year: 1998

---
Everywhere Mrs. Johnson went in the suburbs of the nation's capital, she
said, she was offered work fixing and customizing software -- but only
if she would close her business and become an employee.

''They were afraid to do business with my company,'' Mrs. Johnson said.
Two months ago, her bank account empty and creditors at the door, Mrs.
Johnson gave up and took a job as a programmer, paying $69,000.

Mrs. Johnson and thousands of other computer programmers who want to
work for themselves instead of being employees have run afoul of a 1986
law in which Congress decreed that most individual programmers cannot be
entrepreneurs.

The law generally excludes programmers from statutes giving employers
some flexibility to use independent contractors. Critics say that the
I.R.S. has recently stepped up its enforcement of the law in a way that
effectively kills start-up programming businesses if their only employee
is the founder.

The law, which was introduced by Senator Daniel Patrick Moynihan,
Democrat of New York, was estimated to raise $60 million over five
years, a figure based on a belief by a staff member of the Congressional
Joint Committee on Taxation that employees cheat less on their taxes
than independent contractors do. That was enough money to pay for a tax
break, approved with Mr. Moynihan's support, that was sought by I.B.M.
for its overseas operations. Under the Gramm-Rudman deficit control act
of the previous year, Congress was required to pay for any tax cuts with
comparable revenue increases or spending cuts.

A year after the law regarding contractors was enacted, the Senator
tried to repeal it, but his bill died. In 1994, Senator William V. Roth,
Republican of Delaware, the sponsor of this week's hearings, wrote Mr.
Moynihan saying the programmers should get relief. More than 60 other
senators have written similar letters since 1994, but they have not
voted to change the law.

Ginny Flynn, a spokeswoman for Mr. Roth, said that while the Senator
believed that the law was unfair, he was not currently moving to change
it because ''despite the fact the programmers are treated differently
from other people, this opens a Pandora's box of other independent
contractor issues.''

Advertisement

[Continue reading the main story](#story-continues-4)

Programmers and their lawyers say that as a result of inaction by
Congress, many corporations have revised their policies to explicitly
forbid the hiring of programmers who are independent contractors.

In response, some people, like Mrs. Johnson, incorporated. They reasoned
that if they were employees of their own corporations they would be
treated by the I.R.S. the way that many doctors and others are and could
expand their enterprises.

But internal I.R.S. documents show that in Alaska, California, Ohio,
Minnesota, New York and New Jersey, I.R.S. auditors as recently as last
year hunted for corporations created by computer programmers. They found
scores of such companies and then disallowed them for tax purposes. The
papers show that they were disallowed because they were less than a year
old and had only one employee, the programmer who created the
corporation.

Across the country, officials of high-technology temporary-help
companies said the I.R.S. audit tactic had caused many corporations to
refuse to hire programmers unless they become employees, like Mrs.
Johnson, or were employees of such temporary-help agencies.

Mary E. Oppenheimer, an I.R.S. assistant chief counsel, said there was
no national directive for auditors to hunt for incorporated programmers.
However, she noted, Congress has directed the I.R.S. to look at the
economic substance of tax matters, not just their legal form.

In an earlier interview, Tom Burger, the director of employment taxes
for the I.R.S., said one of the agency's difficulties ''is that, and I
need to pick my words carefully, Congress passes laws, often without
asking us about them, and then tells us to enforce them.''

## Newsletter Sign Up

[Continue reading the main story](#continues-post-newsletter)

### 

Please verify you're not a robot by clicking the box.

Invalid email address. Please re-enter.

You must select a newsletter to subscribe to.

You agree to receive occasional updates and special offers for The New
York Times's products and services.

### Thank you for subscribing.

### An error has occurred. Please try again later.

[View all New York Times newsletters.](/newsletters)

The immediate effect of these audits is to force individual programmers
like Mrs. Johnson to abandon their dreams of getting rich off their
high-technology skills. But the broader impact is that small businesses
started by one entrepreneur do not have a chance to grow into mighty
enterprises that can create jobs and generate more taxes. ''Who do you
know who would hire someone who will bring with them trouble from the
I.R.S.?'' asked Harvey J. Shulman, the Washington lawyer for the
National Association of Computer Consultant Businesses, who made the
audit documents available.

Mr. Shulman has challenged 52 such audits. ''I prevailed in 50 cases and
partially in another, but at a cost to clients of $50,000 or more, and
that is just ridiculous,'' he said.

The association's 400 members, who had more than $5 billion of revenues
last year, are mostly high-technology temporary-help agencies that hire
programmers as employees and send them to companies on short-term
assignments. They want the same flexibility to use contractors and
individuals who have incorporated as other businesses do.

Advertisement

[Continue reading the main story](#story-continues-5)

Don McLaurin, president of the Computer Consulting Group in Columbia,
S.C., which hires programmers as employees and farms them out to
companies for short-term projects, said the law and its enforcement
''are having a devastating impact on the computer industry.''

He said his business and his clients would benefit if he could use some
independent contractors and some incorporated programmers.

''This is Catch-22,'' he said. ''If you are not legitimate because you
start out as a one-person corporation and you haven't been in business
for a year, then how do you ever start your business? It is
nonsensical.''

Ed Myers, president of a company in El Segundo, Calif., that provides
programmers to corporations, said that when his company was audited he
and Mr. Shulman were able to defend the status of all but 3 of 50
workers as independent contractors.

''The auditor then said I had to give him two more people and I said,
'what do you mean?' and he said he had to have five people he could
reclassify as employees because that was what his boss demanded and that
if I would give him two more names he would close the audit.

''My first reaction was 'hell no,' because they are not truly
employees,'' Mr. Myers said. ''But my second reaction was that it makes
no economic sense for me to fight this because it would cost another
$50,000 or more, so I gave him two names.''

The two programmers, he said, no longer speak to him.

Mr. Shulman said the association ''is not asking for a special privilege
in repealing this law; we are just asking that programmers and other
technical-services workers be treated the same as every other worker in
America instead of being singled out for discriminatory treatment.''

Donna Steele Flynn, a former member of the House Ways and Means
Committee staff who is now a tax specialist with Ernst & Young, said,
''The only reason this hasn't gotten fixed is because the official Joint
Tax Committee estimate in the past was that repeal of Section 1706 would
cost a billion dollars in tax revenue over five years.

Advertisement

[Continue reading the main story](#story-continues-6)

''There is a political will on both sides of the aisle, but in terms of
importance and number of people, a billion dollars is a lot of money for
a relatively small number of people.''

However, Ms. Flynn added, the official estimate seems wildly inflated.
She noted that when legislation was considered last year that would
allow employers broad discretion over whether to treat workers in any
industry as employees or independent contractors, the tax revenue loss
for the entire economy was estimated at the same $1 billion over five
years.

The I.R.S. estimates that it collects 99.5 percent of taxes due from
employees, but far less from those who work as independent contractors.

''Whether people cheat is a separate issue,'' Mr. Shulman said. He
pointed to a Treasury Department study that found that programmers were
more compliant taxpayers than other independent contractors.

''The I.R.S. wants people to be employees because it is easier to
collect revenue, but the revenue they are collecting from employees is
less than the revenue they would collect from independent contractors --
even if they cheat a little -- because they can make so much more,'' he
said. ''Basically the I.R.S. is saying it would rather collect less
revenue with less cheating than collect more revenue with more cheating.
Does that make economic sense?''

[Continue reading the main story](#whats-next)
