---
created_at: '2016-11-27T03:45:17.000Z'
title: 'Effective learning: Rules of formulating knowledge (1999)'
url: https://www.supermemo.com/en/articles/20rules
author: misiti3780
points: 130
story_text: 
comment_text: 
num_comments: 35
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1480218317
_tags:
- story
- author_misiti3780
- story_13047576
objectID: '13047576'
year: 1999

---
1.  **Do not learn if you do not understand**
    
    Trying to learn things you do not understand may seem like an utmost
    nonsense. Still, an amazing proportion of students commit the
    offence of learning without comprehension. Very often they have no
    other choice\! The quality of many textbooks or lecture scripts is
    deplorable while examination deadlines are unmovable.
    
    If you are not a speaker of German, it is still possible to learn a
    history textbook in German. The book can be crammed word for word.
    However, the time needed for such "blind learning" is astronomical.
    Even more important: The value of such knowledge is negligible. If
    you cram a German book on history, you will still know nothing of
    history.
    
    The German history book example is an extreme. However, the
    materials you learn may often seem well structured and you may tend
    to blame yourself for lack of comprehension. Soon you may pollute
    your learning process with a great deal of useless material that
    treacherously makes you believe "it will be useful some day".  

2.  **Learn before you memorize**
    
    Before you proceed with memorizing individual facts and rules, you
    need to **build an overall picture of the learned knowledge**. Only
    when individual pieces fit to build a single coherent structure,
    will you be able to dramatically reduce the learning time. This is
    closely related to the problem comprehension mentioned in [Rule 1:
    Do not learn if you do not
    understand](#Do%20not%20learn%20if%20you%20do%20not%20understand). A
    single separated piece of your picture is like a single German word
    in the textbook of history.
    
    Do not start from memorizing loosely related facts\! First read a
    chapter in your book that puts them together (e.g. the principles of
    the internal combustion engine). Only then proceed with learning
    using individual questions and answers (e.g. What moves the pistons
    in the internal combustion engine?), etc.

3.  **Build upon the basics**
    
    The picture of the learned whole (as discussed in [Rule 2: Learn
    before you memorize](#Learn%20before%20you%20memorize)) does not
    have to be complete to the last detail. Just the opposite, the
    simpler the picture the better. The shorter the initial chapter of
    your book the better. Simple models are easier to comprehend and
    encompass. You can always build upon them later on.
    
    Do not neglect the basics. Memorizing seemingly obvious things is
    not a waste of time\! Basics may also appear volatile and the cost
    of memorizing easy things is little. Better err on the safe side.
    Remember that usually you spend 50% of your time repeating just 3-5%
    of the learned material \[[source](../../articles/theory.htm)\]\!
    Basics are usually easy to retain and take a microscopic proportion
    of your time. However, each memory lapse on basics can cost you
    dearly\!

4.  **Stick to the minimum information principle**
    
    The material you learn must be formulated in as simple way as it is
    
      - **Simple is easy**  
        By definition, simple material is easy to remember. This comes
        from the fact that its simplicity makes is easy for the brain to
        process it always in the same way. Imagine a labyrinth. When
        making a repetition of a piece of material, your brain is
        running through a labyrinth (you can view a neural network as a
        tangle of paths). While running through the labyrinth, the brain
        leaves a track on the walls. If it can run in only one unique
        way, the path is continuous and easy to follow. If there are
        many combinations, each run may leave a different trace that
        will interfere with other traces making it difficult to find the
        exit. The same happens on the cellular level with different
        synaptic connections being activated at each repetition of
        complex material
    
    <!-- end list -->
    
      - **Repetitions of simple items are easier to schedule**  
        I assume you will make repetitions of the learned material using
        optimum inter-repetition intervals (as in
        [SuperMemo](../../english/smintro.htm)). If you consider an item
        that is composed of two sub-items, you will need to make
        repetitions that are frequent enough to keep the more difficult
        item in memory. If you split the complex item into sub-items,
        each can be repeated at its own pace saving your time. Very
        often, inexperienced students create items that could easily be
        split into **ten or more** simpler sub-items\! Although the
        number of items increases, the number of repetitions of each
        item will usually be small enough to greatly outweigh the cost
        of (1) forgetting the complex item again and again, (2)
        repeating it in excessively short intervals or (3) actually
        remembering it only in part\!
    
    Here is a striking example:
    
    **Ill-formulated knowledge - Complex and wordy**
    
    Q: What are the characteristics of the Dead Sea?
    
    A: Salt lake located on the border between Israel and Jordan. Its
    shoreline is the lowest point on the Earth's surface, averaging 396
    m below sea level. It is 74 km long. It is seven times as salty (30%
    by volume) as the ocean. Its density keeps swimmers afloat. Only
    simple organisms can live in its saline waters
    
    **Well-formulated knowledge - Simple and specific**
    
    Q: Where is the Dead Sea located?  
    A: **on the border between Israel and Jordan**
    
    Q: What is the lowest point on the Earth's surface?  
    A: **The Dead Sea shoreline**
    
    Q: What is the average level on which the Dead Sea is located?  
    A: **400 meters** (below sea level)
    
    Q: How long is the Dead Sea?  
    A: **70 km**
    
    Q: How much saltier is the Dead Sea than the oceans?  
    A: **7 times**
    
    Q: What is the volume content of salt in the Dead Sea?  
    A: **30%**
    
    Q: Why can the Dead Sea keep swimmers afloat?  
    A: **due to high salt content**
    
    Q: Why is the Dead Sea called Dead?  
    A: **because only simple organisms can live in it**
    
    Q: Why only simple organisms can live in the Dead Sea?  
    A: **because of high salt content**
    
    You might want to experiment and try to learn two subjects using the
    two above approaches and see for yourself what advantage is brought
    by minimum information principle. This is particularly visible in
    the long perspective, i.e. **the longer the time you need to
    remember knowledge, the more you benefit from simplifying your
    items**\!
    
    Note in the example above how short the questions are. Note also
    that the answers are even shorter\! We want a minimum amount of
    information to be retrieved from memory in a single repetition\!
    **We want answer to be as short as imaginably possible**\!
    
    You will notice that the knowledge learned in the ill-structured
    example is not entirely equivalent to the well-structured
    formulation. For example, although you will remember why the Dead
    Sea can keep swimmers afloat, you may forget that it at all has such
    a characteristic in the first place\! Additionally, rounding 396 to
    400 and 74 to 70 produces some loss of information. These can be
    remedied by adding more questions or making the present ones more
    precise.
    
    You will also lose the ability to fluently recite the description of
    the Dead Sea when called up to the blackboard by your teachers. I
    bet, however, that shining in front of the class is not your
    ultimate goal in learning. To see how to cope with recitations and
    poems, read further (section devoted to
    [enumerations](#Enumerations))

5.  **Cloze deletion is easy and effective**
    
    Cloze deletion is a sentence with its parts missing and replaced by
    three dots. Cloze deletion exercise is an exercise that uses cloze
    deletion to ask the student to fill in the gaps marked with the
    three dots. For example, Bill ...\[name\] was the second US
    president to go through impeachment.
    
    If you are a beginner and if you find it difficult to stick to the
    minimum information principle, use cloze deletion\! If you are an
    advanced user, you will also like cloze deletion. It is a quick and
    effective method of converting textbook knowledge into knowledge
    that can be subject to learning based on spaced repetition. Cloze
    deletion makes the core of the fast reading and learning technique
    called [*incremental reading*](../../help/read.htm).
    
    **Ill-formulated knowledge - Complex and wordy**
    
    Q: What was the history of the Kaleida company?
    
    A: Kaleida, funded to the tune of $40 million by Apple Computer and
    IBM in 1991. Hyped as a red-hot startup, Kaleida's mission was to
    create a multimedia programming language It finally produced one,
    called Script X. But it took three years. Meanwhile, companies such
    as Macromedia and Asymetrix had snapped up all the business. Kaleida
    closed in 1995
    
    **Well-formulated knowledge - Simple cloze deletion**
    
    Q: Kaleida was funded to the tune of ...(amount) by Apple Computer
    and IBM in 1991  
    A: $40 million
    
    Q: Kaleida was funded to the tune of $40 million by ...(companies)
    in 1991  
    A: Apple and IBM
    
    Q: Kaleida was funded to the tune of $40 million by Apple Computer
    and IBM in ... (year)  
    A: 1991
    
    Q: ...(company) mission was to create a multimedia programming
    language. It finally produced one, called Script X. But it took
    three years  
    A: Kaleida's
    
    Q: Kaleida's mission was to create a ... It finally produced one,
    called Script X. But it took three years  
    A: multimedia programming language
    
    Q: Kaleida's mission was to create a multimedia programming
    language. It finally produced one, called ... But it took three
    years  
    A: Script X
    
    Q: Kaleida's mission was to create a multimedia programming
    language. It finally produced one, called Script X. But it took
    ...(time)  
    A: three years
    
    Q: Kaleida's mission was to create a multimedia programming
    language: Script X. But it took three years. Meanwhile, companies
    such as ... had snapped up all the business  
    A: Macromedia/Asymetrix
    
    Q: Kaleida's mission was to create Script X. But it took three
    years. Meanwhile, companies such as Macromedia and Asymetrix had
    snapped up all the business. Kaleida closed in ...(year)  
    A: 1995
    
     
    
    **Optional: SuperMemo Recipe:**
    
    **SuperMemo 2002**
    
    **[SuperMemo 2000](/articles/soft/sm10.htm)**
    
    **[SuperMemo 98/99](../../archive/1998/sm98.htm)**
    
    Creating *cloze deletions* in new SuperMemos:
    
    select the keyword that is to be replaced with tree dots and press
    *Alt+Z*
    
    Generating a cloze deletions from texts placed in the clipboard in
    SuperMemo 2000:
    
    1.  Press *Ctrl+Alt+N* to paste the text to SuperMemo 
    
    2.  Select the part that is to be replaced with three dots
    
    3.  Right-click to open the [component
        menu](../../help/compmenu.htm) and select **Reading : Remember
        cloze** (or click one of cloze icons on the reading toolbar)
    
     
    
    Cloze deletions in SuperMemo 98/99:
    
    1.  Press Ctrl+A to add a standard question-and-answer item
    2.  Paste the text into the question field. This will create the
        outline of your items
    3.  Press Ctrl+Alt+U to **Duplicate** the element
    4.  Select the part that is to be replaced with three dots
    5.  Cut the selection to the clipboard (e.g. with Shift+Del)
    6.  Type in three dots (optionally, add the explanation in
        parentheses as in above examples)
    7.  Press Ctrl+T to save the question field and move to the answer
        field
    8.  Paste the text cut in Step 5 (e.g. with Shift+Ins or Ctrl+V).
        Your first item is ready
    9.  Press PgUp **** to go back to the outline item created in Step 2
    10. Goto Step 3 and continue adding new items

6.  **Use imagery**
    
    Visual cortex is that part of the brain in which visual stimuli are
    interpreted. It has been very well developed in the course of
    evolution and that is why we say one picture is worth a thousand
    words. Indeed if you look at the number of details kept in a picture
    and the easiness with which your memory can retain them, you will
    notice that our verbal processing power is greatly inferior as
    compared with the visual processing power. The same refers to
    memory. A graphic representation of information is usually far less
    volatile.
    
    Usually it takes much less time to formulate a simple
    question-and-answer pair than to find or produce a neat graphic
    image. This is why you will probably always have to weigh up cost
    and profits in using graphics in your learning material.
    Well-employed images will greatly reduce your learning time in areas
    such as anatomy, geography, geometry, chemistry, history, and many
    more.
    
    The power of imagery explains why the concept of Tony Buzan's mind
    maps is so popular. A mind map is an abstract picture in which
    connections between its components reflect the logical connections
    between individual concepts.
    
    **Less beneficial formulation**
    
    Q: What African country is located between Kenya, Zambia and
    Mozambique?
    
    A: Tanzania
    
    **More effective formulation**
    
    Q: What African country is marked white on the map?
    
    ![Tanzania](http://supermemo.com/images/tanzania.gif)
    
    A: Tanzania

7.  **Use mnemonic techniques**
    
    Mnemonic techniques are various techniques that make remembering
    easier. They are often amazingly effective. For most students, a
    picture of a 10-year-old memorizing a sequence of 50 playing cards
    verges on discovering a young genius. It is very surprising then to
    find out how easy it is to learn the techniques that make it
    possible with a dose of training. These techniques are available to
    everyone and do not require any special skills\!
    
    Before you start believing that mastering such techniques will
    provide you with an eternal solution to the problem of forgetting,
    be warned that the true bottleneck towards long-lasting and useful
    memories is not in quickly memorizing knowledge\! This is indeed the
    easier part. The bottleneck lies in retaining memories for months,
    years or for lifetime\! To accomplish the latter you will need
    [SuperMemo](../../english/smintro.htm) and the compliance with the
    20 rules presented herein.
    
    There have been dozens of books written about mnemonic techniques.
    Probably those written by Tony Buzan are most popular and respected.
    You can search the web for keywords such as: mind maps, peg lists,
    mnemonic techniques, etc.
    
    Experience shows that with a dose of training you will need to
    consciously apply mnemonic techniques in only 1-5% of your items.
    With time, using mnemonic techniques will become automatic\!
    
    Exemplary mind map:
    
    ![](http://supermemo.com/images/mindmap.jpg)
    
    (Six Steps mind map generated in [Mind
    Manager 3.5](http://www.mindman.com), imported to SuperMemo 2004,
    courtesy of John England, [TeamLink
    Australia](http://www.team-link.org))

8.  **Graphic deletion is as good as cloze deletion**
    
    Graphic deletion works like [cloze deletion](#Cloze%20deletion) but
    instead of a missing phrase it uses a missing image component. For
    example, when learning anatomy, you might present a complex
    illustration. Only a small part of it would be missing. The
    student's job is to name the missing area. The same illustration can
    be used to formulate 10-20 items\! Each item can ask about a
    specific subcomponent of the image. Graphic deletion works great in
    learning geography\!
    
    Exemplary graphic deletion:
    
    ![](http://supermemo.com/images/element.jpg)
    
    **[SuperMemo 2000/2002](/articles/soft/sm10.htm)** **SuperMemo 99**
    This is how you can quickly generate graphic deletion using a
    picture from the clipboard:
    
    1.  Press *Shift+Ins* to paste the picture to SuperMemo
    2.  Press *Ctrl+Shift+M* and choose *Occlusion* template to apply
        graphic deletion template
    3.  SuperMemo 2000 only: Choose *Ctrl+Shift+F2* to impose and detach
        the *Occlusion* template
    4.  Fill out the fields and place the occlusion rectangle to cover
        the appropriate part of the picture (use *Alt+click* twice to
        set the rectangle in the dragging mode)
    
    In SuperMemo 99 you will need a few more steps:
    
    1.  Create an item containing the following components:
          - question text: What is the name of the area covered with the
            red rectangle?
          - empty answer text (click
            [**Answer**](../../help/compmenu.htm) on the [component
            menu](../../help/compmenu.htm))
          - your illustration (use [**Import
            file**](../../help/compmenu.htm#Import_file) on the image
            component menu)
          - red rectangle component (choose red color with
            **[Color](../../help/compmenu.htm#Color)** on the rectangle
            component menu)
    2.  Choose [**Duplicate**](../../help/elmenu.htm#Duplicate) on the
        element menu (e.g. by pressing
        [Ctrl+Alt+U](../../help/shortcuts.htm))
    3.  Ctrl+click the rectangle component twice to place it in the
        dragging mode
    4.  Drag and size the red rectangle to cover the area in question
    5.  Type in the answer in the answer field
    6.  Press PgUp to go back to the original element created in Step 1
    7.  Go to Step 2 to add generate more graphic deletions
    
    Note that you could also paint covering rectangles or circles on the
    original image but this would greatly increase the size of your
    collection. The above method makes sure that you reuse the same
    image many times in all items of the same template. For example, the
    collection Brain Anatomy available from \> SuperMemo Library and on
    *SuperMemo MegaMix* CD-ROM uses the above technique
    
    A more detailed recipe for creating occlusion tests is presented in:
    [Flow of knowledge](/articles/flow.htm)

9.  **Avoid sets**
    
    A [set](http://en.wikipedia.org/wiki/Set) is a collection of
    objects. For example, a set of fruits might be an apple, a pear and
    a peach. A classic example of an item that is difficult to learn is
    an item that asks for the list of the members of a set. For example:
    What countries belong to the European Union? You should avoid such
    items whenever possible due to the high cost of retaining memories
    based on sets. If sets are absolutely necessary, you should always
    try to convert them into [enumerations](#Enumerations). Enumerations
    are ordered lists of members (for example, the alphabetical list of
    the members of the EU). Enumerations are also hard to remember and
    should be avoided. However, the great advantage of enumerations over
    sets is that they are ordered and they force the brain to list them
    always in the same order. An ordered list of countries contains more
    information than the set of countries that can be listed in any
    order. Paradoxically, despite containing more information,
    enumerations are easier to remember. The reason for this has been
    discussed earlier in the context of the [minimum information
    principle](#minimum%20information%20principle): **you should always
    try to make sure your brain works in the exactly same way at each
    repetition**. In the case of sets, listing members in varying order
    at each repetition has a disastrous effect on memory. It is nearly
    impossible to memorize sets containing more than five members
    without the use of mnemonic techniques, enumeration, grouping, etc.
    Despite this claim, you will often succeed due to subconsciously
    mastered techniques that help you go around this problem. Those
    techniques, however, will fail you all too often. For that reason:
    **Avoid sets\!** If you need them badly, convert them into
    enumerations and use [techniques for dealing with
    enumerations](#Enumerations)
    
    **Ill-formulated knowledge - Sets are unacceptable\!**
    
    Q:What countries belong to the European Union (2002)?
    
    A: Austria, Belgium, Denmark, Finland, France, Germany, Greece,
    Ireland, Italy, Luxembourg, the Netherlands, Portugal, Spain,
    Sweden, and the United Kingdom
    
    **Well-formulated knowledge - Converting a set into a meaningful
    listing**
    
    Q: Which country hosted a meeting to consider the creation of a
    European Community of Defence in 1951?  
    A: France 
    
    Q: Which countries apart from France joined the European Coal and
    Steel Community in 1952?  
    A: Germany, Italy and the Benelux
    
    Q: What countries make up the Benelux?  
    A: Belgium, Luxembourg, and the Netherlands
    
    Q: Whose membership did Charles de Gaulle oppose in the 1960s?  
    A: that of UK
    
    Q: Which countries joined the EEC along the UK in 1973?  
    A: Ireland and Denmark
    
    Q: Which country joined the EEC in 1981?  
    A: Greece
    
    Q: Which countries joined the EEC in 1986?  
    A: Spain and Portugal
    
    Q: Which countries joined the EU in 1995?  
    A: Austria, Sweden and Finland
    
    Q: What was the historic course of expansion of the European Union
    membership?  
    A: (1) France and (2) Germany, Italy and the Benelux, (3) UK and (4)
    Ireland and Denmark, (5) Greece, (6) Spain and Portugal and (7)
    Austria, Sweden and Finland
    
    Note that in the example above, we converted a 15-member set into 9
    items, five of which are 2-3 member sets, and one is a six member
    enumeration. Put it to your SuperMemo, and see how easy it is to
    generate the list of the European Union members using the historic
    timeline\! Note the tricks used with France and the UK. They joined
    the union in the company of others but have been listed as separate
    items to simplify the learning process. Note also that the sum of
    information included in this well-formulated approach is far greater
    than that of the original set. Thus along simplicity, we gained some
    useful knowledge. All individual items effectively comply with the
    [minimum information
    principle](#minimum%20information%20principle)\! You could go
    further by trying to split the Germany-Italy-Benelux set or using
    mnemonic techniques to memorize the final seven-member enumeration
    (i.e. the last of the questions above). However, you should take
    those steps only if you have any problems with retaining the
    proposed set in memory.

10. **Avoid enumerations**
    
    Enumerations are also an example of classic items that are hard to
    learn. They are still far more acceptable than sets. Avoid
    enumerations wherever you can. If you cannot avoid them, deal with
    them using [cloze deletions](#Cloze%20deletion) (overlapping cloze
    deletions if possible). Learning the alphabet can be a good example
    of an overlapping cloze deletion:
    
    **Hard to learn item**
    
    Q: What is the sequence of letters in the alphabet?
    
    A: abcdefghijklmnopqrstuvwxyz
    
    **Easy to learn items**
    
    Q: What three letters does the alphabet begin with?  
    A: ABC
    
    Q: Fill out the missing letters of the alphabet A ... ... ... E  
    A: B, C, D
    
    Q: Fill out the missing letters of the alphabet B ... ... ... F  
    A: C, D, E
    
    Q: Fill out the missing letters of the alphabet C ... ... ... G  
    A: D, E, F
    
    The above items will make learning the alphabet much faster. The
    greatest advantage of the above approach is that is it easier for
    psychological reasons: the student does not have to stop repetitions
    to recite the whole sequence and can only focus on a small part of
    the learned material. Still it is recommended that he recite the
    whole alphabet **after** making the repetition. However, once all
    individual pieces are well remembered, reciting the whole should be
    a pleasant and speedy action that produces little frustration.  
    The cloze deletion used above is an overlapping cloze deletion, i.e.
    the same parts of the enumeration are strengthened in memory using
    different items (for example, the sequence C-D will be needed to
    recall the second and the third item). This redundancy does not
    contradict the [minimum information
    principle](#minimum%20information%20principle) because **the extra
    information is added in extra items**.
    
    You can also deal with enumerations by using grouping like in the
    case of sets (see the [European Union example](#EEC)) but cloze
    deletions should be simpler and should suffice in most cases.  
    Learning poems is an example of learning enumerations (all words and
    sentences have to be uttered in a predefined sequence); however, due
    to strong semantic connections, the rhyme and the rhythm, it may
    often be possible to effectively remember poems without using cloze
    deletion and without the frustration of forgetting small
    subcomponents again and again. However, once you notice you stumble
    with your poem, you should dismember it using cloze deletion and
    thus make sure that the learning is fast, easy, effective and
    pleasurable
    
    **A poem that is hard to remember**
    
    Q: The credit belongs ... ([Teddy
    Roosevelt](http://www.dropbears.com/b/broughsbooks/qtroosevelt.htm))
    
    A: The credit belongs to the man who's actually in the arena, whose
    face is marred by dust and sweat; a man who knows the great
    enthusiasm and the great devotions, who spends himself in a worthy
    cause, who in the end knows the triumph of high achievement, so that
    his place shall never be with those cold and timid souls who know
    neither victory nor defeat 
    
    **A poem split into easy items**
    
    Q: The credit belongs ... ([Teddy
    Roosevelt](http://www.dropbears.com/b/broughsbooks/qtroosevelt.htm))  
    A: to the man who's actually in the arena
    
    Q: The credit belongs to the man who's actually in the arena ...  
    A: whose face is marred by dust and sweat (a man who knows the great
    enthusiasm)
    
    Q: whose face is marred by dust and sweat ... (The credit belongs)  
    A: a man who knows the great enthusiasm and the great devotions (who
    spends himself in a worthy cause)
    
    Q: a man who knows the great enthusiasm and the great devotions ...
    (The credit belongs)  
    A: who spends himself in a worthy cause (who in the end knows the
    triumph of high achievement)
    
    Q: who spends himself in a worthy cause ... (The credit belongs)  
    A: who in the end knows the triumph of high achievement (so that his
    place shall never be), etc. etc.
    
    Does it all sound artificial? It does\! But you will never know how
    effective this approach is until you try it by yourself\!

11. **Combat interference**
    
    When you learn about similar things you often confuse them. For
    example, you may have problems distinguishing between the meanings
    of the words historic and historical. This will even be more visible
    if you memorize lots of numbers, e.g. optimum dosages of drugs in
    pharmacotherapy. If knowledge of one item makes it harder to
    remember another item, we have a case of **memory interference**.
    You can often remember an item for years with straight excellent
    grades until ... you memorize another item that makes it nearly
    impossible to remember either\! For example, if you learn geography
    and you memorize that the country located between Venezuela,
    Suriname and Brazil is Guyana, you are likely to easily recall this
    fact for years with just a couple of repetitions. However, once you
    add similar items asking about the location of all these countries,
    and French Guyana, and Colombia and more, you will suddenly notice
    strong memory interference and you may experience unexpected
    forgetting. In simple terms: you will get confused about what is
    what.
    
    Interference is probably the single greatest cause of forgetting in
    collections of an experienced user of SuperMemo. You can never be
    sure when it strikes, and the only hermetic procedure against it is
    to **detect and eliminate**. In other words, in many cases it may be
    impossible to predict interference at the moment of formulating
    knowledge. Interference can also occur between remotely related
    items like Guyana, Guyard and Guyenne, as well as Guyana, kayman and
    ... aspirin. It may work differently for you and for your colleague.
    It very hard to predict.
    
    Still you should do your best to prevent interference before it
    takes its toll. This will make your learning process less stressful
    and mentally bearable. Here are some tips:
    
      - make items as unambiguous as possible
    
      - stick to the [minimum information
        principle](#minimum%20information%20principle) (many of the
        remaining rules in this text are based on avoiding
        interference\!)
    
      - eliminate interference as soon as you spot it, i.e. before it
        becomes your obsession (e.g. as soon as you see the word
        **inept** you think "I know the meanings of **inept** and
        **inapt** but I will never know which is which\!")
    
      - **[View](../../help/view.htm) : **Other browsers :**
        [Leeches](../../help/leech.htm)** (*Shift+*F3) to regularly
        review and **eliminate** most difficult items
        
        in SuperMemo useF3) to regularly review andmost difficult items
    
      - read more: [Memory
        interference](../../english/ol/ks.htm#Univocality)

12. **Optimize wording**
    
    The wording of your items must be optimized to make sure that in
    minimum time the right bulb in your brain lights up. This will
    reduce error rates, increase specificity, reduce response time, and
    help your concentration.
    
    **Less optimum item: cloze deletion that is too wordy**
    
    Q: Aldus invented desktop publishing in 1985 with PageMaker. Aldus
    had little competition for years, and so failed to improve. Then
    Denver-based ... blew past. PageMaker, now owned by Adobe, remains
    No. 2  
    A: Quark
    
    **Better item: fewer words will speed up learning**
    
    Q: Aldus invented desktop publishing in 1985 with PageMaker but
    failed to improve. Then ... blew past (PageMaker remains No. 2)  
    A: Quark
    
    **Or better:**
    
    Q: Aldus invented desktop publishing with PageMaker but failed to
    improve. It was soon outdistanced by ...  
    A: Quark
    
    **Or better:**
    
    Q: PageMaker failed to improve and was outdistanced by ...  
    A: Quark
    
    **Or better:**
    
    Q: PageMaker lost ground to ...  
    A: Quark
    
    Note that the loss of information content in this item is
    inconsequential. During repetition you are only supposed to learn
    the name: Quark. You should not hope that the trailing messages on
    the ownership of PageMaker and the year of its development will
    somehow trickle to your memory as a side effect. You should decide
    if the other pieces of information are important to you and if so,
    store them in separate items (perhaps reusing the above text,
    employing cloze deletion again and optimizing the wording in a new
    way). Otherwise the redundant information will only slow down your
    learning process\!

13. **Refer to other memories**
    
    Referring to other memories can place your item in a better context,
    simplify wording, and reduce interference. In the example below,
    using the words humble and supplicant helps the student focus on the
    word shamelessly and thus strengthen the correct semantics. Better
    focus helps eliminating interference. Secondly, the use of the words
    humble and supplicant makes it possible to avoid interference of
    cringing with these words themselves. Finally, the proposed wording
    is shorter and more specific. Naturally, the rules
    [basics-to-details](#Build%20upon%20the%20basics) and [do not learn
    what you do not
    understand](#Do%20not%20learn%20if%20you%20do%20not%20understand)
    require that the words humble and supplicant be learned beforehand
    (or at least at the same time)
    
    **Item subject to strong interference**
    
    Q: derog: adj: shamelessly conscious of one's failings and asking in
    a begging way  
    A: cringing
    
    **Item that uses interfering memories to amplify the correct
    meaning**
    
    Q: derog: adj: shamelessly humble and supplicant  
    A: cringing

14. **Personalize and provide examples**
    
    One of the most effective ways of enhancing memories is to provide
    them with a link to your personal life. In the example below you
    will save time if you use a personal reference rather than trying to
    paint a picture that would aptly illustrate the question
    
    **Harder item**
    
    Q: What is the name of a soft bed without arms or back?  
    A: divan
    
    **Easier item**
    
    Q: What is the name of a soft bed without arms or back? (like the
    one at Robert's parents)  
    A: divan
    
    If you remember exactly what kind of soft bed can be found in
    Robert's parents' apartment you will save time by not having to dig
    exactly into the semantics of the definition and/or looking for an
    appropriate graphic illustration for the piece of furniture in
    question. Personalized examples are very resistant to
    [interference](#Interference) and can greatly reduce your learning
    time

15. **Rely on emotional states**
    
    If you can illustrate your items with examples that are vivid or
    even shocking, you are likely to enhance retrieval (as long as you
    do not overuse same tools and fall victim of interference\!). Your
    items may assume bizarre form; however, as long as they are produced
    for your private consumption, the end justifies the means. Use
    objects that evoke very specific and strong emotions: love, sex,
    war, your late relative, object of your infatuation, Linda Tripp,
    Nelson Mandela, etc. It is well known that emotional states can
    facilitate recall; however, you should make sure that you are not
    deprived of the said emotional clues at the moment when you need to
    retrieve a given memory in a real-life situation
    
    **Harder item**
    
    Q: a light and joking conversation  
    A: banter
    
    **Easier item**
    
    Q: a light and joking conversation (e.g. Mandela and de Klerk in
    1992)  
    A: banter
    
    If you have vivid and positive memories related to the meetings
    between Nelson Mandela and F.W. de Klerk, you are likely to quickly
    grasp the meaning of the definition of banter. Without the example
    you might struggle with interference from words such as badinage or
    even chat. There is no risk of irrelevant emotional state in this
    example as the state helps to define the semantics of the learned
    concept\! A well-thought example can often reduce your learning time
    several times\! I have recorded examples in which an item without an
    example was forgotten 20 times within one year, while the same item
    with a subtle interference-busting example was not forgotten even
    once in ten repetitions spread over five years. This is roughly
    equivalent to **25-fold saving in time in the period of 20 years**\!
    Such examples are not rare\! They are most effectively handled with
    the all the preceding rules targeted on
    [simplicity](#minimum%20information%20principle) and against the
    [interference](#Interference)

16. **Context cuessimplify wording**
    
    You can use [categories](../../help/categs.htm) in [SuperMemo
    2000/2002](/articles/soft/sm10.htm), provide different branches of
    knowledge with a different look (different
    [template](../../help/templates.htm)), use reference labels (*Title,
    Author, Date,* etc.) and clearly label subcategories (e.g. with
    strings such as chem for chemistry, math for mathematics, etc.).
    This will help you simplify the wording of your items as you will be
    relieved from the need to specify the context of your question. In
    the example below, the well-defined prefix bioch: saves you a lot of
    typing and a lot of reading while still making sure you do not
    confuse the abbreviation GRE with Graduate Record Examination. Note
    that in the recommended case, you process the item starting from the
    label bioch which puts your brain immediately in the right context.
    While processing the lesser optimum case, you will waste precious
    milliseconds on flashing the standard meaning of GRE and ... what is
    worse ... you will light up the wrong areas of your brain that will
    now perhaps be prone to interference\!
    
    **Wordy item can cause accidental lapses through interference**
    
    Q: What does GRE stand for in biochemistry?  
    A: glucocorticoid response element
    
    **Context-labeled items increase success rate**
    
    Q: bioch: GRE  
    A: glucocorticoid response element

17. **Redundancydoes not contradict minimum information principle**
    
    **Redundancy** in simple terms is more information than needed or
    duplicate information, etc. Redundancy does not have to contradict
    the [minimum information
    principle](#minimum%20information%20principle) and may even be
    welcome. The problem of redundancy is too wide for this short text.
    Here are some examples that are only to illustrate that minimum
    information principle cannot be understood as minimum number of
    characters or bits in your collections or even items:
    
      - **passive and active approach**: if you learn a foreign
        language, e.g. Esperanto, you will often build word pairs such
        as phone-telefono, language-lingvo, hope-esperanto, etc. These
        pairs require active recall of the foreign word. Active recall
        does not, however, guarantee passive recognition and you may
        fail with telefono-phone, lingvo-language, or esperanto-hope.
        Adding new elements with swapped questions and answers may in
        some cases be redundant but it does not contradict the minimum
        information principle\! Your items are still as simple as
        possible. You just get more of them**Duplicate** (Ctrl+Alt+D)
        and **Swap** (Ctrl+Shift+S)
        
        In [SuperMemo 2000/2002](/articles/soft/sm10.htm) , you can
        quickly generate swapped word-pair items with(Ctrl+Alt+D)
        and(Ctrl+Shift+S)
    
      - **reasoning cues**: you will often want to boost your reasoning
        ability by asking about a solution to the problem. Instead of
        just memorizing the answer you would like to quickly follow the
        reasoning steps (e.g. solve a simple mathematical equation) and
        generate the answer. In such a case, providing the hint on the
        reasoning steps in the answer will only serve helping you always
        follow the right path at repetitions
    
      - **derivation steps**: in more complex problems to solve,
        memorizing individual derivation steps is always highly
        recommended (e.g. solving complex mathematical problems). It is
        not cramming\! It is making sure that the brain can always
        follow the fastest path while solving the problem. For more on
        boosting creativity and intelligence read: [Roots of genius and
        creativity](http://supermemo.com/articles/genius.htm), as well
        as more specific: [Derivation, reasoning and
        intelligence](../../english/ol/ks.htm#Intelligence)
    
      - **multiple semantic representation**: very often the same
        knowledge can be represented and viewed from different angles.
        Memorizing different representations of the same fact or rule is
        recommended in cases where a given memory is of high value. This
        will increase the expected recall rate (beyond that specified
        with the [forgetting index](../../help/fi.htm))\!
    
      - **flexible repetition**: if there are many valid responses to
        the same question make sure that your representation makes it
        possible to identify the equivalence and reward you with good
        grades by providing just one of the equivalent choices. For
        example, if you learn a language, it rarely make sense to learn
        all synonyms that meet a definition of a concept. It is more
        adequate to consider a single synonym as the sufficient answer
        (e.g. a mark made by ink spilt on sth = blot/blob/blotch)
    
      - [more](../../english/ol/ks.htm#Redundancy)

18. **Provide sources**
    
    Except for well-tested and proven knowledge (such as 2+2=4), it is
    highly recommended that you include sources from which you have
    gathered your knowledge. In real-life situation you will often be
    confronted with challenges to your knowledge. Sources can come to
    your rescue. You will also find that facts and figures differ
    depending on the source. You can really be surprised how frivolously
    reputable information agencies publish figures that are drastically
    different from other equally reputable sources. Without SuperMemo,
    those discrepancies are often difficult to notice: before you
    encounter the new fact, the old one is often long forgotten. With
    sources provided, you will be able to make more educated choices on
    which pieces of information are more reliable. Adding reliability
    labels may also be helpful (e.g. *Watch out\!, Other sources
    differ\!*, etc.). Sources should accompany your items but should not
    be part of the learned knowledge (unless it is critical for you to
    be able to recall the source whenever asked).

19. **Provide**
    
    Knowledge can be relatively stable (basic math, anatomy, taxonomy,
    physical geography, etc.) and highly volatile (economic indicators,
    high-tech knowledge, personal statistics, etc.). It is important
    that you provide your items with time stamping or other tags
    indicating the degree of obsolescence. In case of statistical
    figures, you might stamp them with the year they have been
    collected. When learning software applications, it is enough you
    stamp the item with the software version. Once you have newer
    figures you can update your items. Unfortunately, in most cases you
    will have to re-memorize knowledge that became outdated. Date
    stamping is useful in editing and verifying your knowledge; however,
    you will rarely want to memorize stamping itself. If you would like
    to remember the changes of a given figure in time (e.g. GNP figures
    over a number of years), the date stamping becomes the learned
    knowledge itself.

20. **Prioritize**
    
    You will always face far more knowledge that you will be able to
    master. That is why prioritizing is critical for building quality
    knowledge in the long-term. The way you prioritize will affect the
    way your knowledge slots in. This will also affect the speed of
    learning (e.g. see: [learn basics
    first](#Build%20upon%20the%20basics)). There are many stages at
    which prioritizing will take place; only few are relevant to
    knowledge representation, but all are important:
    
    1.  **Prioritizing sources** - there will always be a number of
        sources of your knowledge. If you are still at student years:
        these will most likely be books and notes pertaining to
        different subjects. Otherwise you will probably rely more on
        journals, Internet, TV, newspapers, encyclopedias, dictionaries,
        etc. It is always worth being aware what is the optimum
        proportion of time devoted to those varied sources. As you
        progress with learning, you will quickly develop a good sense of
        which learning slots bring better results and which might be
        extended at the cost of others
    2.  **Extracting knowledge** - unless you are about to pass an
        important exam, it nearly never makes sense to memorize whole
        books or whole articles. You will need to extract those parts
        that are most likely to impact the quality of your knowledge.
        You can do it by (1) marking paragraphs in a book or journal,
        (2) pasting relevant web pages to SuperMemo, (3) pasting
        relevant passages to SuperMemo, (4) typing facts and figures
        directly to SuperMemo notes, etc. You will need some experience
        before you can accurately measure how much knowledge you can
        indeed transfer to your brain and what degree of detail you can
        feasibly master. Your best way to prioritize the flow of
        knowledge into your memory is to use [incremental
        reading](../../help/read.htm) tools
    3.  **Transferring knowledge to SuperMemo** - you may try to stick
        with the 20 rules of formulating knowledge at the moment of
        introducing your material to SuperMemo. However, you can also
        literally transfer your notes or import whole files and later
        use the mechanisms provided by SuperMemo to determine the order
        of processing the imported material. Probably the best criterion
        for choosing between formulating or just importing is the time
        needed for accurately formulating the item or items. If
        formulation requires more knowledge, more time, comparing with
        other sources, etc. you can just import. Otherwise, if you
        believe that formulating an accurate item is a matter of
        seconds, formulate it
    4.  **Formulating items** - make sure that explanatory or optional
        components of the answer are placed in the parentheses so that
        your attention is focused on the most important part of the
        item. The parts in the parentheses can be read after the
        repetition to strengthen the memory in its context
    5.  **Using forgetting index** - you can use the [forgetting
        index](../../help/fi.htm) to prioritize pending items. The
        sequence of repetitions will naturally be determined by
        SuperMemo; however, you can request higher retention level for
        items that are more important and lower retention level for
        items of lower priority
    6.  **Learning** - the process of prioritizing does not end with the
        onset of repetitions. Here are the tools you can use to continue
        setting your priorities while the learning process is under way:
        1.  **Remember** (Ctrl+M) - re-memorize items of high priority
            that have changed or which are extremely important to your
            knowledge at a given moment. If you choose
            [Ctrl+M](../../help/shortcuts.htm) you will be able to
            determine the next interval for the currently reviewed item
            (its repetition counter will be reset to zero). It is
            recommended that you always re-memorize items whose content
            has changed significantly
        2.  **Reschedule** (*Ctrl+J*) - manually schedule the date of
            the next repetition
        3.  **Execute repetition** (*Ctrl+Shift+R*) - manually execute a
            repetition even before the repetition's due date (e.g. when
            reviewing particularly important material)
        4.  **Forget** (Ctrl+R) - remove the current item from the
            learning process and place it at the end of the [pending
            queue](../../help/g.htm#pending_queue)
        5.  **Dismiss** (Ctrl+D) **** - ignore the current item in the
            learning process altogether
        6.  **Delete** (Ctrl+Shift+Del) - remove the current item from
            your collection
        7.  Change the forgetting index of memorized items or change the
            ordinal of pending items (Ctrl+Shift+P)
