---
created_at: '2017-06-07T14:49:07.000Z'
title: Instant Company (1999)
url: https://www.nytimes.com/1999/07/11/magazine/instant-company.html
author: pdog
points: 54
story_text: 
comment_text: 
num_comments: 13
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1496846947
_tags:
- story
- author_pdog
- story_14506879
objectID: '14506879'
year: 1999

---
In 12 weeks, the amount of time it might take an average person to
decide what kind of hedge to plant in the backyard, they built a company
from scratch. An instant company, or what is being called in Silicon
Valley a ''second-generation Web company.''

Not so long ago, it seemed incredible that a Web company could be born
in a mere two years. But rather than going back to normal, the pace of
creation in Silicon Valley now seems to be speeding up even more. Any
Web company that starts out today and takes two years to get up and
running is likely to be left in the dust.

In first-generation Internet companies, the founder and a few college
buddies moved into a garage that they decorated with Nerf guns and green
army men. In second-generation Internet companies, the staff coalesces
not from friendships but from respect for mutually complementary skill
sets. They skip the garage phase, engage two real-estate brokers and
make simultaneous bids on three office spaces, hoping one comes through.
They move in over the weekend and by Monday have it decorated with Nerf
guns and green army men.

In first-generation Internet companies, the staff resigned from
monolithic software corporations or took leave of business school or
jumped ship on brand-manager positions at Procter & Gamble. Nobody had
Internet experience; they learned by making mistakes, of which there
were many. The purpose of the Internet was unclear. Now, companies are
being formed by staff members who have years of know-how. And they see
the Internet, above all, as a place to buy things. Some $301 billion was
generated by the Internet economy in 1998, with an annual growth rate
over the past four years of 174 percent.

Because of the way high-tech employees are compensated, there are likely
to be a great number of second-generation start-ups in the next year.
The notorious stock options that add up to so much paper wealth usually
take four years to fully vest. For the early movers on the Internet, the
four years are coming up. And the golden handcuffs are coming off.

This particular second-generation internet company has managed to
recruit top people who were still handcuffed -- what people in the
Valley call ''the unhirables.'' Naval Ravikant walked away from what at
the time was $4 million worth of unvested @Home stock options.
Ramanathan Guha walked away from probably more than $4 million (a figure
he is contractually forbidden to confirm) at America Online, which had
acquired Netscape. Sabrina Berry's previous employer, CommTouch
Software, was planning to go public. Berry walked away from all of her
shares in that company. For Lou Montulli to join, he resigned from a
hot, well-financed start-up called Geocast Network Systems. At the time
Nirav Tolia left Yahoo\!, the unvested options he left on the table were
worth $10 million.

But, he insisted, it didn't matter to him if it was $20 or $20 million
-- he has a dream to pursue.

''People are going to think I'm nuts,'' said Tolia, rolling his eyes.

Advertisement

[Continue reading the main story](#story-continues-4)

''Can we not talk about this anymore?'' said Guha. ''It's painful to
dwell on.''

Six weeks ago, the engineering team walked to In-N-Out Burger for lunch.
They crossed an overpass above Highway 101 and paused at the rail.
''This team has been responsible for many of the key features of
Netscape Navigator,'' Guha said. ''These guys can point to any of these
cars passing underneath and say: 'That driver has almost certainly used
my code. And that driver. And that one.' We want to build something that
has that kind of influence. We want to build a site that everyone will
use.''

So what's the idea that is inspiring so many to jump? Until this week,
they've kept everything secret, operating under the code name ''Round
One.'' In fact, not even people who come in to interview for a position
learn the idea their first day. Several hours of vague conversation seem
to be leading up to the grand presentation, but alas, the applicant is
sent home with a preliminary offer, setting out salary and options and
title -- and no clear sense of what the company will do. If the
candidate is sold on the team, then she or he comes back for a second
round. Only at the end of that next day does she sit down in front of a
whiteboard with Ravikant and Tolia and hear something like this:

As the Web becomes an infinite supply of goods and services, goes the
pitch, people crave guidance on what and where to buy. So far, the great
number of on-line shopping guides present quantitative, machine-sorted
and machine-generated data: comparisons of product prices and
specifications. But what consumers need (Ravikant and Tolia contend) is
a recommendation that gets beyond that: the advice of someone they
trust, someone just like them.

Their solution is a Web site, Epinions.com, which they envision as a
sort of Zagat-for-everything, a site consisting entirely of consumer
opinions or reviews of anything you can buy. Epinions.com itself will
sell nothing at all -- it has no warehouse, no trucks on the back end.
The money would come from deals Epinions.com cuts with companies that do
sell things: every time an ''E-pinion'' prompts a reader to click
''Buy,'' the company will earn a tiny commission on the resulting sale.

At the start, the E-pinions on Epinions.com will be culled from existing
sources, guiding users through aggregations of expertise from the four
corners of the Web. But the key to the whole idea is to make
Epinions.com participatory, taking advantage of what I call the Tom
Sawyer model. Write and post a short review of any product on
Epinions.com, and you can earn a few pennies every time the review is
read by another user. By letting readers rate the usefulness of the
E-pinions, the most trusted ones will float to the top of every
category. As Ebay is a marketplace for products, Epinions.com seeks to
be a marketplace for ideas. If it catches on, like Ebay, then everything
snowballs, and these hobbyist-reviewers function as sliver-time virtual
employees who do all the work for you. ''Everybody is an expert at
something,'' they kept repeating around the Epinions.com office; they
hope their site will be the place where everyone shares their expertise.

Similar logic has been welling up in the collective unconscious of
Silicon Valley, and most E-commerce sites are already adding some form
of E-pinion to their Web pages. Productopia, Deja.com, Cnet, Amazon.com
-- everyone's hiring editors and bringing back the old-fashioned,
well-trusted written word. Of course, sites that both sell goods and
review them are subject to criticisms of bias. Epinions.com.com would be
the first company to start up doing E-pinions and only E-pinions, hoping
to be as Jell-o is to flavored gelatin.

And that's it. Then again, what was Yahoo\! at the start but just a
Yellow Pages to the Web? The point is that job recruits with
demonstrable talent are buying in to give it a go. And they know that in
the short and unpredictable history of Internet businesses, success has
often come down to getting the details right, fast.

''We don't need any more strategists,'' says Mike Speiser, a McKinsey
consulting alumnus who learned to curtail his own inclination to heady
analysis. This was 10 weeks ago.

''We need closers,'' agrees Nirav Tolia. ''We need bulldogs.''

''We need engineers who are execution machines,'' says Guha. ''This is
not a strategy play. This is an execution play.''

Advertisement

[Continue reading the main story](#story-continues-5)

First-generation start-ups raise small seed rounds to develop a
''proof-of-concept version,'' at which point the start-up has to go back
to dog-and-pony shows, negotiating for more money. Again the second
generation is different, faster. Prototypes, demos, alphas -- the
language of the hustle -- those words aren't even in the Epinions.com
vocabulary. Every minute spent dancing for investors is a minute stolen
from the finished product. Ravikant and Tolia's business plan (which
consisted of 16 sparse slides) had no financial projections and no
budget. They negotiated for $8 million, enough that they wouldn't have
to go back for more until well after launch. They had no idea what it
would cost to pull together the E-pinions they would need to stock the
site, but they budgeted $5 million, just to be safe.

The group's biggest fear was the wrath of prominent venture capitalists
who did not get an opportunity for a cut of the deal. A slightly rattled
Tolia played me several phone messages left on his answering machine by
furious V.C.'s. One of the advantages of combining August Capital and
Benchmark is that they occupy the same two-story building. When the
terms of the valuation were set with August, Ravikant and Tolia walked
upstairs to Bill Gurley's office at Benchmark. Gurley had joined
Benchmark only a month before, and Epinions.com would be one of his
first big plays for his new employer.

''I need to know if you're in,'' Tolia said.

Gurley was calm. He recounted some of the internal discussion among the
Benchmark partners. One partner, Gurley offered, had scored the idea a
6.5 and the team a 9.5 on a scale of 1 to 10. But he wouldn't tell them
details of how the final vote was scored.

''So where does that leave us?'' Tolia asked.

''Don't worry, it's done,'' said Gurley.

''Should I contact your lawyer or something? Draw up term sheets?''

## Newsletter Sign Up

[Continue reading the main story](#continues-post-newsletter)

### 

Please verify you're not a robot by clicking the box.

Invalid email address. Please re-enter.

You must select a newsletter to subscribe to.

You agree to receive occasional updates and special offers for The New
York Times's products and services.

### Thank you for subscribing.

### An error has occurred. Please try again later.

[View all New York Times newsletters.](/newsletters)

''We don't do term sheets here,'' Gurley responded, offering his palm.
''We do handshakes.''

In those first crucial weeks, the Benchmark investment was like having a
Hertz Club Gold pass. Every service provider is overbooked in Silicon
Valley -- realtors, phone-system installers, furniture suppliers,
headhunters. Dropping the Benchmark name was the way to impress vendors
without sharing the idea. Everyone wants to do business with what may
become the next Ebay, dreaming they'll be rewarded with
friends-and-family shares when the time comes.

Of course, they can't do everything. There was that first weekend in
their new digs, when the parts for their desks arrived from Home Depot
-- 25 solid wood doors, 100 4-by-4 legs and 400 metal braces. Despite
this formidable team of engineering talent, in eight hours of off-and-on
tinkering they couldn't correctly assemble any desks. Finally they
called a carpenter who had done this before, and he started building two
desks an hour.

Fortunately, what they don't know about desks, they do know about code.
Hiring staff with seasoned Internet experience has allowed Epinions.com
to delegate like crazy. ''We need to be told what to do but not how to
do it,'' said Luke Knowland, who had done it before at Wired Digital.

''It would take four very bright first-generation engineers a full year
to program this site,'' Guha estimated. ''But because we've done it
before, we can write most of the code in six weeks.''

Everything is faster. Zero drag is optimal. For a while, new applicants
would jokingly be asked about their ''drag coefficient.'' Since the
office is a full hour's commute from San Francisco, an apartment in the
city was a full unit of drag. A spouse? Drag coefficient of one. Kids? A
half point per. Then they recognized that such talk, even in jest, could
be taken as discriminatory in a hiring situation.

Advertisement

[Continue reading the main story](#story-continues-6)

On the business-development side, ''I no longer have to waste months
evangelizing,'' says Dion Lim, who has been cutting deals to aggregate
opinion material from existing Web sites. A couple of years ago, the
process would have been slow and painful. ''Now, I just call, and they
have a syndication rate scale and a preferred data-feed format,'' he
says.

Meanwhile, Epinions.com has kept up constant reconnaissance on the
competitors it will be jockeying with this fall, despite those
competitors' best efforts to keep their strategies secret. The Valley
has what it calls the ''whisper circuit,'' which is not so much wild
gossip as the ability to call in old favors and threaten to pull
people's teeth. A lot of whisper-circuit surveillance leaks out the back
door of companies through their engineers, who often refuse to lie on
principle or are very bad at it when they try.

Through the whisper circuit the company learned that one potential
competitor was trying to wiggle out of a partnership so that it could
overhaul its product toward something like Epinions.com. The team
learned that a top job applicant, on the verge of accepting its offer,
had been grilled so hard by another venture capitalist that he cracked
and spilled the Epinions.com idea. (The offer was retracted.) Another
V.C. was trying to discredit Epinions.com by telling people he'd turned
down its deal, which he'd never seen.

And it was on the whisper circuit that the Epinions.com team learned
that Amazon.com had started flying writers and editors to Seattle and
offering them positions as category editors to cover a wide range of
products -- food, video games and so on. The whispering was specific --
that Amazon.com was offering a $65,000 salary, a 10-percent signing
bonus and options that could be worth $1 million in four years. (Amazon
declines to confirm or deny those details.) The entrance of Amazon.com
onto the scene seemed like bad news for Epinions.com. Everyone lost
sleep that night.

But their exuberance returned with dawn. ''Amazon is supersmart,'' said
Naval, marching out of Benchmark Capital's Sand Hill Road offices with
his teammates in tow. ''But we're a start-up. We've got focus. Nobody
will be able to move as fast as us. I pity the fools\!''

''Other than that first night with Amazon, I haven't lost a single
hour's sleep over our competition,'' Nirav Tolia said four weeks ago,
when he was only rationing himself four hours a night anyway. ''All the
sleep I've lost has been over our internal conflicts.''

Indeed. By hiring so many bulldogs and execution machines who were all
used to being No. 1, Tolia feared the competition between employees
would tear the company apart. For the first month, without a product to
obsess about, they focused on their responsibilities, and the closest
proxy for their responsibilities was their title. That they had given up
so much money to be here made them a little testy -- they wanted
constant assurance that their career decision wasn't a mistake.

Everyone kept demanding an org chart, preferably with his or her name in
a box near the top. In first-generation Web companies, the premise was
that no task was beneath you: you did whatever it took to succeed. This
wisdom seems not to have been passed down. ''How do we go from a team of
champions to a championship team?'' Tolia kept asking.

Advertisement

[Continue reading the main story](#story-continues-7)

Bill Gurley had turned Naval Ravikant on to complexity theory. ''Truly
alive systems exist only at what is called 'the edge of chaos,'''
Ravikant said in one meeting. So though it was causing him to lose hair,
he was running the company on the edge of chaos, rallying people to risk
making mistakes. ''I don't want to be a company that plays it safe.'' He
gave his employees an org chart, and then another one every week. Their
titles became vague, more fungible.

Going through the start-up experience usually bonds a team together.
There are those occasional ''Breakfast Club''-like days when workers'
inner lives get revealed to each other. This bedrock of goodwill gets
the team through hard times later. Going through it at second-generation
speed only allows brief bonding moments. Mike Speiser covered Internet
companies as an investment-banking research analyst, but he hadn't
worked at one before Epinions.com. A few weeks ago he said: ''You know
what I miss? I miss those good old days, when we had the run of the
place at August Capital, hanging out and brainstorming.'' Those halcyon
days, six weeks earlier.

Nirav Tolia came up with what he thought would be a solution to distract
the champions from their fiefdoms. At the all-hands meeting five weeks
ago, Tolia announced that he would shave his head if the company met its
offical launch date. This is a guy whose E-mail was
''the-face@yahoo.com'' for a good reason -- a hair is never out of place
on his head. ''When you're wondering why you're here at 2 in the
morning, think about my cue ball,'' he said.

Everybody howled with laughter. Then Aleksander Totic went over to his
computer and pulled up an ancient Web page, from way back in 1994.
Digital photographs were posted from the period when the original
Netscape engineers shipped Navigator 1.0. There at the top of the page
was a picture of Lou Montulli -- who is even more of a sharp dresser
than Tolia -- with his head completely shaved. Then everyone really
laughed.

''If we're going to be a second-generation Web company, Nirav's going to
have to come up with something better,'' Totic chuckled.

Watching an instant company get built has been slightly disorienting.
Silicon Valley is sustained by the myth that you can come here from
anywhere with sheer smarts and a firm handshake and make good.
Second-generation Internet companies seem to seriously tip the favor to
those already here. Four weeks ago on the whisper circuit, Tolia learned
that an entrepreneur from Arizona was in town to shop a business plan
for a company, called Publicopinion.com, with some of the same basic
concepts, like rating reviews. Tolia took the challenge seriously --
Publicopinion.com already had a prototype on line and needed financing
to take the next step. But the truth is that if the guy from Arizona is
only now trying to get an audience with venture capitalists, he probably
doesn't have a chance to catch up.

After Ravikant left @Home, he would still see old colleagues at parties.
The comment he heard from them time and time again was: ''It's amazing
you walked away from all that money. I wish I was brave enough to take
the chance.''

So why did they walk away from all that money? Take it as a given that
they all believe in the commercial viability of the idea, but beyond
that, their comments are all over the map. One guy talked blatantly
about wanting ''plane money,'' and how you weren't even a player in the
Valley with less than $100 million. A few plead that they just want to
live the start-up experience, and the money they've earned has bought
them the unconditional freedom to pursue that dream.

Now they are at the takeoff point, and their first-generation experience
can't help them. The next 12 weeks will be an even greater challenge:
the goal now is to turn a brand-new site into a hive, one that has 80
percent of all E-commerce categories covered well in advance of the
crucial Christmas buying season. They are blindly gambling that they
have the right incentives and the right filtering mechanisms in place.
Ready. Fire. Aim.

[Continue reading the main story](#whats-next)
