---
created_at: '2017-12-24T00:03:15.000Z'
title: Electric currency could trash cash (1999)
url: https://www.theguardian.com/technology/1999/nov/04/onlinesupplement
author: monort
points: 74
story_text: 
comment_text: 
num_comments: 43
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1514073795
_tags:
- story
- author_monort
- story_15997072
objectID: '15997072'
year: 1999

---
He is the darling of Wall Street, credited with engineering America's
longest post war economic expansion. But the man who holds the future of
the world economy in his hands, Alan Greenspan, the head of the US
central bank, is under threat.

New technology has already changed the face of high street banking:
branches have closed as customers have moved to telephone banking
services and now the internet. The next internet revolution will put
central bankers like Greenspan and Britain's Eddie George out of
business. And the P45 may not be that far away.

Forget the euro, the pound in your pocket could soon be replaced by
virtual currencies and digital payment systems. Once money moves online,
it moves out of the control of central banks, crippling their ability to
run the economy. Greenspan and George will no longer be able to conquer
inflation by putting up interest rates because holders of virtual money
will be unaffected by changes in the cost of borrowing in the real
economy.

George's deputy, Mervyn King, has already seen the future. At a
gathering of the world's top central bankers in Wyoming this August, he
warned his colleagues that once they lost their monopoly over printing
money, "the successors to Bill Gates would have put the successors to
Alan Greenspan out of business."

Online, the revolution has already started. Cyber loyalty schemes like
[Beenz]('http://www.beenz.com'), [ipoints]('http://www.ipoints.co.uk')
and [Flooz]('http://www.flooz.com') pay customers who visit internet
sites in credits which can be spent online. Air miles, the original
shopping loyalty scheme, is branching out from flights to other rewards.
One [Canadian site]('http://www.airmiles.ca/english') offers everything
from propane stoves to copper pans to collectors of its reward points.
The British founder of Beenz.com, Charles Cohen, admits his brainchild
isn't really money yet. It can't be downloaded or spent in the
non-electronic economy and its purchasing power is limited by the number
of sites which will accept it.

But he foresees a world in which private electronic money becomes more
popular than official money issued by central banks. "It will be less
than a decade before private companies start issuing their own
currencies," says Cohen. The consequences will be profound. "I wouldn't
want to be working for the Inland Revenue when it happens."

Technology is already making notes and coins redundant. We pay our bills
over the phone or by direct debit. Plastic is replacing cash and cheques
- cumbersome and expensive means of payment. But plastic money is still
under control of the conventional banking system - at the end of the
month when the bills arrive, we settle them through a transfer from a
bank account.

The real revolution will occur, according to King, when companies no
longer need to use the banking system to settle their bills with each
other. At the moment, when firms make big financial transactions, they
settle them through the banking system. Because central banks set the
rules for high street banks - how much money they need to have in their
own bank accounts with the Fed or the Bank of England in relation to
their outstanding liabilities - Greenspan and George have leverage over
the whole financial system.

When inflation threatens, central bankers react by making credit harder
to get which slows the economy down. They raise the interest rates on
loans to high street banks which pass on the increased costs to their
customers. This has a knock-on effect throughout the rest of the
economy, even though the reserves held with central banks are a very
small part of the total money supply.

But when companies can settle their bills with each other
electronically, without needing to use the banking system, then central
banks no longer control the levers of the economy. Digital payments
systems will allow companies to instantly transfer wealth, without the
risk of default. Once there is no need to use the conventional banking
system, there is no need to use national currencies either.

Imagine a world where Microsoft has its own currency - called Bills
perhaps - backed by the wealth of the company. Companies trading with
Microsoft could decide whether to invoice in Bills or dollars.
Individuals might prefer to be paid in Bills if they think that
Microsoft money will be less inflation-prone than the pound or the
dollar. Using existing smart card technology, Bills could be downloaded
into electronic wallets, which would allow them to be used in the real
economy instead of cash or cheques.

For the libertarian right, private money is a long-held dream which the
internet may finally provide the technology to fulfill. "Money does not
have to be created legal tender by governments. Like law, language and
morals, it can emerge spontaneously. Such private money has often been
preferred to government money, but government has usually soon
suppressed it," wrote Frederich Hayek, 50 years ago.

Legal tender - government control over printing money - is a fairly
recent development in most countries. In the US, private banks issued
money until the creation of the Federal Reserve in 1913. The Bank of
England has held a monopoly over printing notes and coins since 1921,
but the government did not control the money supply until Threadneedle
Street was nationalised by the post-war Labour government.

For libertarians, the monopoly of central banks has been a disaster. It
simply allows governments to cheat their citizens by eroding the value
of their savings through bouts of inflation. If there were different
types of money in circulation, consumers could choose which they thought
was least likely to loose its value over time.

"Ultimately, the competition for the standard of value should be no
different to the competitive market of multiple providers we see for
toothpaste or for shoes," writes Jon W Mantonis, author of Digital Cash
And Monetary Freedom.

The internet offers the chance for individuals to escape from the
government's monopoly. Developers of e-cash can issue it easily to a
wide number of people, encryption technology is moving on to allow
privacy and security, and, as e-commerce grows, the spread of the
digital currencies will be guaranteed. The internet is an international
network, so it makes sense for someone to develop a global currency to
use on it, which would protect consumers buying across national
boundaries from swings in national currencies.

The time for e-cash has come, according to Mantonis. "Neither the US
dollar, nor any other governmental unit has gained a foothold in this
new economy. The monetary landscape is ripe and wide open and private
currencies should infiltrate now."

So far, Hayek's dream has yet to be translated into reality. Most sites
advertising e-cash or digital money are encrypted credit card schemes of
various descriptions which offer consumers a chance to pay securely
using existing national currencies. Beenz and Flooz are more truly
e-currencies but are too limited in circulation to compete with money.

The real revolution will come when a big firm with global brand
recognition decides to establish a currency. A firm like American
Express which already has a money substitute - travellers cheques -
would be a natural starting point, according to Mantonis. By running its
own currency - an Amex - it could charge lower fees to merchants
accepting its cards. "American Express will gain clout from the name
association and brand identification that accompanies a pricing system,"
writes Mantonis.

Amexes could even come to replace existing currencies in countries prone
to hyperinflation. This is not as far-fetched as it sounds. Several
Latin American countries are considering abandoning their own
inflation-ridden currencies for the comparative stability of the US
dollar. Only the colonialist overtones of adopting the greenback as
their national currency are holding back countries like Argentina. There
would be no such hangups about adopting a credible private currency.

Private currencies threaten not only to overturn the rules for managing
the economy, but also to transform the face of government. Once payments
go digital, it becomes more and more difficult for states to trace them
and extract taxes from individuals.

As the tax base shrinks, it will be harder for governments to pay for
the services we take for granted, from health care to defence. To
persuade people to pay their taxes, governments may have to make the
connections more obvious between what we pay the state and what we
receive in return.

There are huge hurdles to be overcome before e-cash becomes a reality.
What will companies use to back their currencies and who will determine
the exchange rate between new currencies and existing ones? Will the
advantages of the new currencies really outweigh the complexities of a
having more type of money in circulation? Will they be more inflation
proof than government money or will companies succumb to the temptation
to "borrow" from their customers by increasing the supply and eroding
its value?

The chief danger of private currencies will be that companies can go
bankrupt, while governments rarely do.

Tim Congdon, chief economist at Lombard Street says he finds the theory
that national currencies are in danger of extinction rather implausible.
"There is effectively a government guarantee on deposits with a central
bank. If you leave your spare cash with a big company you don't have
that guarantee," he says.

But the prospects for Greenspan and George look a little uncertain. As
King told his colleagues in Wyoming, central banks may be at the peak of
their power. "Societies have managed without central banks in the past.
They may well do so in the future."
