---
created_at: '2009-03-24T16:14:03.000Z'
title: Congress passes wide-ranging bill easing bank laws (1999)
url: http://www.nytimes.com/1999/11/05/business/congress-passes-wide-ranging-bill-easing-bank-laws.html?sec=&spon=&pagewanted=1&emc=eta1
author: iamelgringo
points: 67
story_text: ''
comment_text: 
num_comments: 43
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1237911243
_tags:
- story
- author_iamelgringo
- story_530311
objectID: '530311'
year: 1999

---
Administration officials and many Republicans and Democrats said the
measure would save consumers billions of dollars and was necessary to
keep up with trends in both domestic and international banking. Some
institutions, like Citigroup, already have banking, insurance and
securities arms but could have been forced to divest their insurance
underwriting under existing law. Many foreign banks already enjoy the
ability to enter the securities and insurance industries.

''The world changes, and we have to change with it,'' said Senator Phil
Gramm of Texas, who wrote the law that will bear his name along with the
two other main Republican sponsors, Representative Jim Leach of Iowa and
Representative Thomas J. Bliley Jr. of Virginia. ''We have a new century
coming, and we have an opportunity to dominate that century the same way
we dominated this century. Glass-Steagall, in the midst of the Great
Depression, came at a time when the thinking was that the government was
the answer. In this era of economic prosperity, we have decided that
freedom is the answer.''

In the House debate, Mr. Leach said, ''This is a historic day. The
landscape for delivery of financial services will now surely shift.''

But consumer groups and civil rights advocates criticized the
legislation for being a sop to the nation's biggest financial
institutions. They say that it fails to protect the privacy interests of
consumers and community lending standards for the disadvantaged and that
it will create more problems than it solves.

The opponents of the measure gloomily predicted that by unshackling
banks and enabling them to move more freely into new kinds of financial
activities, the new law could lead to an economic crisis down the road
when the marketplace is no longer growing briskly.

''I think we will look back in 10 years' time and say we should not have
done this but we did because we forgot the lessons of the past, and that
that which is true in the 1930's is true in 2010,'' said Senator Byron
L. Dorgan, Democrat of North Dakota. ''I wasn't around during the 1930's
or the debate over Glass-Steagall. But I was here in the early 1980's
when it was decided to allow the expansion of savings and loans. We have
now decided in the name of modernization to forget the lessons of the
past, of safety and of soundness.''

Senator Paul Wellstone, Democrat of Minnesota, said that Congress had
''seemed determined to unlearn the lessons from our past mistakes.''

Advertisement

[Continue reading the main story](#story-continues-4)

''Scores of banks failed in the Great Depression as a result of unsound
banking practices, and their failure only deepened the crisis,'' Mr.
Wellstone said. ''Glass-Steagall was intended to protect our financial
system by insulating commercial banking from other forms of risk. It was
one of several stabilizers designed to keep a similar tragedy from
recurring. Now Congress is about to repeal that economic stabilizer
without putting any comparable safeguard in its place.''

Supporters of the legislation rejected those arguments. They responded
that historians and economists have concluded that the Glass-Steagall
Act was not the correct response to the banking crisis because it was
the failure of the Federal Reserve in carrying out monetary policy, not
speculation in the stock market, that caused the collapse of 11,000
banks. If anything, the supporters said, the new law will give financial
companies the ability to diversify and therefore reduce their risks. The
new law, they said, will also give regulators new tools to supervise
shaky institutions.

''The concerns that we will have a meltdown like 1929 are dramatically
overblown,'' said Senator Bob Kerrey, Democrat of Nebraska.

Others said the legislation was essential for the future leadership of
the American banking system.

''If we don't pass this bill, we could find London or Frankfurt or years
down the road Shanghai becoming the financial capital of the world,''
said Senator Charles E. Schumer, Democrat of New York. ''There are many
reasons for this bill, but first and foremost is to ensure that U.S.
financial firms remain competitive.''

## Newsletter Sign Up

[Continue reading the main story](#continues-post-newsletter)

### 

Please verify you're not a robot by clicking the box.

Invalid email address. Please re-enter.

You must select a newsletter to subscribe to.

You agree to receive occasional updates and special offers for The New
York Times's products and services.

### Thank you for subscribing.

### An error has occurred. Please try again later.

[View all New York Times newsletters.](/newsletters)

But other lawmakers criticized the provisions of the legislation aimed
at discouraging community groups from pressing banks to make more loans
to the disadvantaged. Representative Maxine Waters, Democrat of
California, said during the House debate that the legislation was
''mean-spirited in the way it had tried to undermine the Community
Reinvestment Act.'' And Representative Barney Frank, Democrat of
Massachusetts, said it was ironic that while the legislation was
deregulating financial services, it had begun a new system of onerous
regulation on community advocates.

Many experts predict that, even though the legislation has been trailing
market trends that have begun to see the cross-ownership of banks,
securities firms and insurers, the new law is certain to lead to a wave
of large financial mergers.

The White House has estimated the legislation could save consumers as
much as $18 billion a year as new financial conglomerates gain economies
of scale and cut costs.

Other experts have disputed those estimates as overly optimistic, and
said that the bulk of any profits seen from the deregulation of
financial services would be returned not to customers but to
shareholders.

These are some of the key provisions of the legislation:

\*Banks will be able to affiliate with insurance companies and
securities concerns with far fewer restrictions than in the past.

Advertisement

[Continue reading the main story](#story-continues-5)

\*The legislation preserves the regulatory structure in Washington and
gives the Federal Reserve and the Office of Comptroller of the Currency
roles in regulating new financial conglomerates. The Securities and
Exchange Commission will oversee securities operations at any bank, and
the states will continue to regulate insurance.

\*It will be more difficult for industrial companies to control a bank.
The measure closes a loophole that had permitted a number of commercial
enterprises to open savings associations known as unitary thrifts.

One Republican Senator, Richard C. Shelby of Alabama, voted against the
legislation. He was joined by seven Democrats: Barbara Boxer of
California, Richard H. Bryan of Nevada, Russell D. Feingold of
Wisconsin, Tom Harkin of Iowa, Barbara A. Mikulski of Maryland, Mr.
Dorgan and Mr. Wellstone.

In the House, 155 Democrats and 207 Republicans voted for the measure,
while 51 Democrats, 5 Republicans and 1 independent opposed it. Fifteen
members did not vote.

Tucked away in the legislation is a provision that some experts today
warned could cost insurance policyholders as much as $50 billion. The
provision would allow mutual insurance companies to move to other states
to avoid payments they would otherwise owe policyholders as they
reorganize their corporate structure. Many states, including New York
and New Jersey, do not allow such relocations without the consent of the
insurer's domicile state. But the legislation before Congress would
pre-empt the states.

Both the Metropolitan Life Insurance Company and the Prudential Life
Insurance Company are in the midst of reorganizing into stock-based
corporations that are requiring them to pay billions of dollars to
policyholders from years of accumulated surplus. In exchange, the
policyholders give up their ownership in the mutual insurance company.

The legislation would permit any mutual insurance company to avoid
making surplus payments to policyholders by simply moving to states with
more permissive laws and setting up a hybrid corporate structure known
as a mutual holding company.

The provision was inserted by Representative Bliley at the urging of a
trade association. It attracted little opposition because it was
attached to a provision that forbids insurers from discriminating
against domestic-violence victims.

In a letter sent to Congress this week, Mr. Summers said that the
provision ''could allow insurance companies to avoid state law
protecting policyholders, enriching insiders at the expense of
consumers.''

[Continue reading the main story](#whats-next)
