---
created_at: '2016-07-11T08:33:29.000Z'
title: The Spanish cooking oil scandal (2001)
url: https://www.theguardian.com/education/2001/aug/25/research.highereducation
author: mafro
points: 111
story_text: 
comment_text: 
num_comments: 65
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1468226009
_tags:
- story
- author_mafro
- story_12069662
objectID: '12069662'
year: 2001

---
Twenty years ago, 1,000 people died in an epidemic that spread across
Spain. Poisoned cooking oil was blamed - an explanation that suited
government and giant chemical corporations. It was, argues Bob
Woffinden, who investigated the scandal in the 80s, the prototype
scientific fraud that has found echoes around the world

In the days before "do-gooders" became a term of disapproval, doctors
and scientists were held in absolute public esteem. They did the most
good; they were working altruistically to benefit the human race - to
cure illness, prevent disease and create a safer, healthier future for
us all. That, at least, used to be the popular perception. Plainly, the
image has become more than a little tarnished. Even before the scandal
of the deaths of babies at Bristol Royal Infirmary, enough instances of
incompetence and negligence had emerged to provoke widespread public
scepticism about the professions. These days, scientists are more likely
to find themselves occupying the lower rungs on the ladder of public
trust, alongside estate agents and, well, journalists.

It is also increasingly understood that scientific research is now
hardly ever conducted in a spirit of disinterested inquiry. Usually, it
is funded by global companies whose concerns are anything but
disinterested. Even when research is financed by government agencies,
those, too, will want to call the tune. According to a survey carried
out last year by the scientific body, the Institute of Professionals,
Managers and Specialists, one in three scientists working for government
quangos or newly privatised laboratories has been asked to adjust
conclusions to suit the sponsor.

Leaving aside the implication of this for forensic science, it is
evident that most scientific inquiry today is dictated not by the thirst
for knowledge but by the thirst for profits. Even so, the full extent of
the betrayal of the public interest has yet to be appreciated.
Internationally, the scientific community has been responsible for
serious errors, which have then been covered up with devastating
consequences for public health. There was no proper treatment available
for victims, as their condition was undiagnosed; and the same mistakes
were repeated elsewhere.

Twenty years ago, the Spanish "cooking oil" disaster began as a mystery
illness. Years later, the toll was put at more than 1,000 deaths and
more than 25,000 seriously injured, many of whom were permanently
disabled. It was the most devastating food poisoning in modern European
history.

The disaster is historically important not just because of its scale and
the number of victims. It was the prototype contemporary scientific
fraud. It marked the first time that multinational interests
successfully contrived a major cover-up in international science. For
the one thing that is certain about the Spanish "cooking oil" disaster
is that it had nothing to do with cooking oil.

The epidemic is officially deemed to have started on May 1 1981, when an
eight-year-old boy, Jaime Vaquero Garcia, suddenly fell ill and died in
his mother's arms on the way to La Paz children's hospital in Madrid.
Learning that his five brothers and sisters were also ill, doctors had
them all brought in and put one of the girls into intensive care. The
other four children were transferred to the Hospital del Rey, Madrid's
prestigious clinic for infectious diseases, where doctors began treating
them for "atypical pneumonia".

When the director, Dr Antonio Muro y Fernandez-Cavada, arrived at work
the following morning, he was alarmed to be told that these new patients
were being treated for pneumonia. He gave his staff a dressing-down; it
was out of the question medically for six members of a family to be
suffering the same symptoms of pneumonia at the same time.

The Vaquero family proved merely the first of many. It seemed to be
mainly women and children who were affected. The initial symptoms were
flu-like: fever and breathing difficulties, vomiting and nausea,
although patients soon developed a pulmonary oedema (the build-up of
fluid in the lungs), skin rashes and muscle pain. The epidemic was
national news.

After a few days, Muro told the media that he believed it was due to
food poisoning, adding that the foodstuff was marketed "via an
alternative route". He was certain of this because the casualties were
all coming from the apartment blocks of the communities and towns
surrounding the capital; almost no one from Madrid itself appeared to be
affected.

Muro brought together relatives of those afflicted with the mystery
illness and told them to work out exactly what the victims may have
eaten that they, the unaffected family members, may not have eaten. In
half an hour, they had an answer: salads.

On May 12, Dr Angel Peralta, the head of the endocrinology department at
La Paz hospital, pointed out in a newspaper article that the symptoms of
the illness were best explained by "poisoning by organo-phosphates". The
following day, he received a telephone call from the health ministry,
ordering him to say nothing about the epidemic, and certainly nothing
about organo-phosphorous poisoning.

That same day, Muro invited health ministry officials to the Hospital
del Rey. He produced maps of the localities, showing where the patients
lived. He believed that the contaminated foodstuff was being sold at the
local weekly street markets, the mercadillos, which set up in different
towns on different days. On this basis, he predicted where the illness
would strike next. He was proved right, but this was scant consolation
for the fact that he was suddenly informed that he was relieved of his
duties as hospital director, with immediate effect. His dismissal at
least enabled him to carry out his own first-hand investigations. He
patrolled the mercadillos and noticed the popularity and cheapness of
large, unlabelled plastic containers of cooking oil. Immediately, he and
his colleagues, one of whom was Dr Vicente Granero More, went to the
houses of affected families and removed the containers of oil that they
had been using when they fell ill. They carefully labelled them, sent
samples of each to the government's main laboratory at Majadahonda, just
outside Madrid, and awaited the results.

Most medical personnel were simply trying to tend the sick and dying - a
difficult enough task in optimum conditions, but one made almost
impossible because doctors, not knowing the cause of the illness, had no
idea how to treat patients. Further, as the illness reached its chronic
stage, the symptoms became more severe, and included weight loss,
myalgia, alopecia (hair loss), muscle atrophy and limb deformity.

At all administrative levels, there was bewilderment and anxiety. Spain
was then still a fledgling democracy; the dictator, General Franco, had
died as recently as 1975. In February 1981, only three months prior to
the outbreak, a lieutenant-colonel, Antonio Tejero, had held MPs in the
cortes (parliament) at gunpoint in a botched attempt to restore army
rule. More than a month after the epidemic first struck, most of those
in power had no strategy other than to hope something would turn up.
Finally, it did. Dr Juan Tabuenca Oliver, director of the Hospital
Infantil de Niño Jesus, told the government that he'd found the cause of
the epidemic. He'd asked 210 of the children in his care, and they'd all
consumed cooking oil.

A fter, it seems, some initial hesitation, the government accepted his
theory. On June 10, an official announcement was made on late-night
television, informing the public that the epidemic was caused by
contaminated cooking oil. Almost immediately, the panic subsided. The
hospitals remained full of victims, but new admissions dropped sharply.
The situation seemed, at least, under control.

Yet the government's announcement had been watched with stunned
disbelief by Muro and his colleagues. Only the previous day, on June 9,
they had obtained the results of the tests on their own, precise oil
samples. These showed that, although none was the pure olive oil that
the vendor had no doubt claimed it to be, almost all the oils had
different constituents. Such a variety of oils obviously could not
account for one specific illness.

The cooking oil theory was superficially persuasive. To protect its
native olive oil industry, the Spanish government tried to prevent
imports of the much cheaper rapeseed oil, then being put to widespread
use throughout the European Community (which Spain did not join until
1986). Imports of rapeseed oil were allowed only for industrial use; the
oil first had to be made inedible through the addition of aniline.

Streetwise entrepreneurs simply imported the cheaper oil anyway. The
more scrupulous among them then removed the aniline; the others didn't
bother. The illness was therefore attributed to aniline poisoning. It
became colloquially known as la colza (which is Spanish for "rapeseed").
A number of the more high-profile oil merchants were arrested.

Three weeks after the television announcement, the health ministry
allowed families to hand in their supposedly contaminated oil and
replaced it with pure olive oil. This belated exchange programme was
hopelessly mishandled, with few authentic records kept of who was
exchanging what or (and this should have been the key point) whether the
oil came from affected or unaffected households. As olive oil was
guaranteed in return, many people simply handed in any oil they could
find, even motor oil. Most of the oil that supposedly caused the
epidemic was never available for subsequent scientific analysis. The
instinctive reaction of most families, upon hearing that it was to blame
for the illness, had simply been to throw it away.

In order to demonstrate that the oil had caused the illness, government
scientists needed to be able to show, for example, that families who had
bought the oil were affected, whereas those who hadn't were not; that
the aniline in the oil was indeed poisonous and that the victims were
suffering from aniline poisoning; and, bearing in mind that such
commercial cooking oil fraud had been widespread for years, just what
had changed in the manufacturing process to cause the oil suddenly to
become so poisonous. To this day, none of these basic conditions has
been met.

In 1983, however, an international conference was convened in Madrid
under the auspices of the World Health Organisation (WHO). Despite the
reservations of many scientists present, the epidemic was then
officially named toxic oil syndrome (TOS). In 1985, the opinion of the
internationally respected British epidemiologist Sir Richard Doll was
sought. He was cautious, saying, "If it could be shown that even one
person who developed the disease could not have had exposure to \[the
oil\], that would provide good grounds for exculpating the oil
altogether."

The trial of the oil merchants began in March 1987. Four months later,
Doll, just before giving his evidence, announced that, on the basis of
fresh epidemiological reports given to him, he now believed that the oil
was the cause of the outbreak.

At the end of the two-year trial in 1989, the judges themselves stressed
that the toxin in the oil was "still unknown". This somewhat fundamental
difficulty did not prevent them from handing down long prison terms to
the oil merchants, who were convicted, in effect, of causing the
epidemic.

After years of one-track media reports, the notion of the "cooking oil"
epidemic was firmly lodged in the public consciousness. It was
unquestioned fact. No one doubted the official scientific conclusions,
especially as they were accepted by the WHO.

After the 1983 Madrid conference, when there was still widespread unease
with the oil theory, the Spanish government recruited some of the
country's leading epidemiologists to head a fresh commission of inquiry.
Among those chosen were Dr Javier Martinez Ruiz and Dr Maria Clavera
Ortiz, a husband-and-wife team from Barcelona. "We absolutely believed
the oil was to blame," they said. "We thought the only problem was that
the information was disorganised and the research inadequate."

So they set about a rigorous examination of the official information.
The results shocked them. Martinez looked at the pattern of admissions
to hospitals and realised that the epidemic had peaked at the end of
May. The incidence curve went down at least 10 days before the
government's June 10 broadcast, and about a month before the withdrawal
of the oil. In fact, the announcement that oil was to blame had had no
effect on the course of the epidemic.

Meanwhile, his wife had examined the patterns of distribution of the
suspect oil, which had come across the border from France. She realised
that vast quantities of the oil were sold in regions (notably Catalonia)
where there had not been a single case of illness. And they subsequently
learned that the government was already fully aware of this. At the time
of the epidemic, the government had created a new post of secretary of
state for consumer affairs at cabinet level. Chosen for this appointment
was a rising lawyer and economist, Enrique Martinez de Genique.

Genique himself had drawn up maps of the distribution of the oil and the
pattern of illness. He realised that there was no correlation between
the two and, accordingly, that the oil was not the cause of the
epidemic. After presenting his findings to the health ministry, he was
sacked from his government post, and soon decided to retire from
politics altogether. He emphasised that he had never regretted what he
did: "I had very grave doubts \[about the government's stance on the
epidemic\] and I was morally and ethically obliged to voice them."

Martinez and Clavera, too, were fired. As this did not entirely prevent
the possibility of the commission reaching inconvenient conclusions, it
was soon closed down altogether.

The powerful, indeed irrefutable, evidence that the suspect oil was sold
throughout parts of Spain where not a single case of illness resulted
could be coupled with equally clear evidence of the converse: of people
who could not have been exposed to the oil falling victim to the
epidemic.

While making a television documentary, I saw many families who had
suffered illness yet were adamant that they had never purchased the oil.
One woman used only supplies from the olive groves of her relatives in
Andalusia, yet she was seriously disabled by the illness. Perhaps the
best authenticated example was the case of Maria Concepcion Navarro, a
young lawyer in Madrid who fell ill, became progressively worse and died
in August 1982. Her symptoms were exactly the same as those of other
fatalities of la colza and she was put on the official roll of TOS
victims - despite the fact that her husband, also a lawyer, stressed
that they had only ever used the most reputable cooking oils. Then the
authorities belatedly noticed another significant contradiction. Maria
Concepcion had actually been hospitalised from November 1979, 18 months
before the start of la colza. She didn't fit the official theory;
consequently, her name was struck off the list of victims.

On a broader scale, this was how the statistics of the epidemic were
compiled. If victims - afectados - or their families agreed that they
had used the oil, their names were added to the official list; if they
asserted that they had never had the oil, their names were excluded.
However, the health ministry had made it known that only those whose
names appeared on the official list would qualify for government
compensation, so there was a clear incentive for afectados to say that
they had used the oil. Developments like this artificially buttressed
the government's position and made it almost impossible to produce an
accurate assessment of the epidemic.

T hrough all the obfuscation, one man had simply ignored the official
lines of inquiry and spent months pursuing his own. Having eliminated
the cooking oil, Muro and his colleagues turned their attention to other
salad products. Speaking to market stallholders, lorry drivers and
around 4,000-5,000 affected families, they concluded that, without any
doubt, the contaminated foodstuff was tomatoes, and it was the
pesticides on them that were responsible for the epidemic. The
organo-phosphorous chemicals would indeed cause the range of symptoms
observed by clinicians.

The tomatoes, they established, had come from Almeria, in the south-east
corner of Spain. Once a desert area, this was not fit for crop-growing
until the discovery of underground water in the 1970s helped to
transform it into an agricultural success story. Fruit and vegetables
were forced into rapid growth under long tunnels of plastic sheeting.
Some farmers got three, or even four, crops a year.

This agricultural boom was made possible only through the application of
copious quantities of chemicals: nutrients, fertilisers and pesticides.
Although exactly what happened may never be known, it is likely that one
farmer had used the chemicals too liberally, or had harvested the crop
too quickly after applying them. Neither would have been surprising.
Some of the farmers were illiterate and would have had difficulty with
the instructions for use on the containers of chemicals.

Muro had many supporters but, as the official view became more and more
entrenched, so he was marginalised as the one dissident voice. In 1985,
he died suddenly of a mysterious illness. His wife perceived the whole
saga as an unmitigated family tragedy.

It was Muro and his team who had done the on-the-ground epidemiology in
the immediate wake of the outbreak. What, then, of the epidemiology that
the WHO in 1992 was boldly to describe as "comprehensive and exacting
epidemiological studies, subjected to critical independent assessment"?

Muro's work was first-hand. But trying to assess the accuracy and
validity of the official epidemiology was not easy. The FIS - the
government agency responsible for toxic oil syndrome - refused to
release details of the fieldwork carried out or any background
information. However, the families described in the reports were given
code numbers and these could be matched against the official list of
victims which then became part of the trial documentation. Eventually we
identified the families supposedly interviewed for the key
epidemiological reports and went to see them.

From these first-hand inquiries, we established that there was not a
single case in which the family's history corresponded with what was
written in the epidemiological reports. Sometimes the differences were
slight; sometimes the reports bore no relation to what had actually
happened. In one sense, this was not surprising; while some families did
recall having been interviewed by officials at the time, others insisted
that they were never questioned at all. The principal scientific premise
- that evidence should be gathered and, on that basis, a conclusion
reached - appeared to have been reversed: a conclusion had been reached,
and then the evidence manipulated in order to support that conclusion.

The original study on which the oil theory is founded, by Dr Juan
Tabuenca Oliver, was published in the Lancet; yet it appears less than
rigorous. At the outset, he claimed that all 210 of the children in his
care had taken the oil. The next time that reference was made to this
study, the number of children in his care was given as 60. Two years
later, it had shot up again, to 345. Today, the figure is put at 62.

Moreover, his claim that all of the children had consumed the oil was
disputed at the trial. Pilar Pans Gonzalez, the mother of one of his
patients, was asked if her son had had the oil. She replied that he had
not. Asked how she could explain this discrepancy (with the supposed
100% finding), she replied, "That is their problem, something they have
invented."

There are three specific epidemiological reports on which the oil theory
now rests. Two of these are particularly astonishing. The first concerns
three cases of illness in two families in Seville. These three became
ill, according to the official analysis, because the heads of the
families worked at a refinery where some of the suspect oil had
supposedly been refined, and took some for use at home.

There are a number of glaring problems with this report. Most
importantly, one of the families, on hearing the government's
announcement about the illness, had taken their own oil to be analysed
at the local Instituto de la Grasa, which happened to be one of the
country's most renowned laboratories. The records of this analysis are
still available; the oil was not rapeseed at all, it was olive oil.

If the theory was correct, one might have expected other refinery
workers to fall ill; no one did. However, there were originally,
according to the government's own records, 83 cases of la colza in
Seville. The other 80 vanished from the official records, presumably
because they couldn't possibly fit the oil theory; after all, the
suspect oil had never been sold in Andalusia, where authentic olive oil
is in such plentiful supply.

Even more amazing was the study concerning a convent outside Madrid.
According to this, 42 out of 43 nuns fell ill after using the oil, while
visitors whose food was prepared in a different oil did not fall ill.
From an official perspective, the beauty of this epidemiology was not
just that it provided game, set and match for the oil theory, but that
no one could afterwards check the veracity of the paper. This was a
closed convent. The nuns had no routine contact with members of the
public, and they certainly didn't talk to the media. In the event,
senior nuns from the convent did give evidence at the trial. Their
testimony flatly contradicted what was written in the convent report. Of
course, all the food was prepared in the same way and cooked in the same
oil. In fact, only very few nuns (about eight or nine) suffered any
illness. The epidemiological report was a fabrication.

Nor was the oil theory underpinned by any laboratory science. In the
years since the 1981 outbreak, the suspect oils have been analysed in
leading laboratories throughout the world. No chemical, or contaminant,
that would account for the symptoms observed in the afectados has ever
been found. Aniline - which was blamed for the epidemic - is poisonous
only in much greater quantities than were present in the oil and, in any
case, the symptoms of aniline poisoning are quite different from those
of the afectados. Laboratory tests proved that the oil was not harmful
to animals. "All the animals thrived on the stuff," one researcher
explained. "Their coats became glossier and they put on weight."

Dr Gaston Vettorazzi was chief toxicologist at the WHO at the time of
the outbreak, but had since retired. He told us, in the most gracious
way, that if even a bunch of journalists with no scientific expertise
could see through all this, then it must indeed be obvious. In other
words, he didn't believe that this had occurred through a series of
administrative errors; he believed that the truth had been deliberately
concealed by Spanish officialdom. As he said, the rapeseed explanation
of the illness was "predetermined. That was the official line of the
so-called Spanish science. You cannot force an investigator to follow a
line. If this is done, science is dead."

For the various political and industrial concerns, there was substantial
common interest in hiding the truth. For the multinational chemical
companies, the revelation that a mass poisoning had occurred would have
been scandalous and financially disastrous. At that stage,
organo-chlorine (OC) pesticides were being phased out, to be replaced by
organo-phosphates (OPs). The profits generated by the worldwide sales of
OPs in the past 20 years have been vast. In those terms, suppressing the
true cause of la colza was a commercial imperative. The Spanish
administration had entirely congruent interests. With the attempted coup
in parliament still fresh in the public mind, it was vital that
ministers were seen to be in control. Democracy itself depended on the
government being seen to deal capably with this national tragedy.

Moreover, at that time, Almeria represented an economic miracle for
Spain, providing produce that went to all parts of Europe. Had it been
frankly acknowledged that all those deaths had been caused by pesticides
on tomatoes, the effect on the entire Spanish export trade would have
been incalculable.

Nor was that the only economic repercussion. The news that such staple
home-grown produce as tomatoes could be poisonous would have had a
calamitous impact on Spain's other main generator of foreign income, the
ever-growing tourist trade. On the other hand, spreading the fiction
that the epidemic had been caused by cheap rapeseed oil sold in
unlabelled containers at street markets to the Spanish working class in
poorer areas of the country - that, of course, had no effect on tourism.

The consequences of the cover-up were appalling. Many died
unnecessarily. Thousands more, children among them, were left to endure
a lifetime of pain and physical impairment that perhaps could have been
avoided if they had received the care and treatment they needed as early
as possible. The Spanish colza is not just one of the great tragedies of
the last century, it is also one of the great scandals.

Years later, in 1989, a similar mystery illness was first diagnosed in
New Mexico. Victims, 29 of whom died, fell ill with pneumonia-like
symptoms. Altogether, there were about 1,500 cases across the US. The
symptoms appeared identical to those suffered by the afectados in Spain;
yet no one in the US had had access to contaminated cooking oil.

It is virtually certain that this outbreak, too, was caused by OP
pesticides. The scientific community - helpfully for their paymasters -
did not conclude that; the cause of the illness was attributed to an
innocuous amino acid supplement, L-Tryptophan, which had been taken
without problem by millions of Americans throughout the 1980s. (Its sale
is now banned in the US and Europe.) Just as with toxic oil syndrome,
funding was available for scientists who wished to pursue the official
line, but not for those who held different views. Nevertheless, no
component of L-Tryptophan has ever been found that would account for the
symptoms suffered by victims.

There have now been several issues about which there is a general
perception that the truth is not being allowed to surface. These
include, most obviously, the effects of OPs on farmers in Britain.
Despite what appears to be a mounting toll of death and debilitating
illness inflicted on the farming community, all official inquiries
somehow fail to establish a link between pesticide exposure and the
illness.

The WHO, to its shame, continues to refer to the Spanish epidemic as the
"toxic oil syndrome". Every day around the world, students are no doubt
being taught that "cooking oil" was the cause of the disaster. Two books
on the cover-up have lately been published. One of these, Detras de la
colza, is by Granero, Muro's right-hand man; the other, published in
France, is Jacques Philipponneau's Relation de l'empoisonnement perpétré
en Espagne et camouflé sous le nom de syndrome de l'huile toxique - but
the worldwide deception continues, automatically recycled by a compliant
media.

The enduring feature of the TOS saga is that it provided a blueprint for
the international scientific community. If even a theory as palpably
bogus as the "toxic oil" syndrome can be sustained internationally, then
suppressing the truth must be remarkably straightforward. All it takes
is a series of epidemiological reports, accredited by scientists of a
similar persuasion, and then published in reputable scientific journals.
There are, as Disraeli might have said, lies, damned lies and
peer-reviewed scientific papers.

Given increasing privacy constraints, the media can never independently
verify the data, and just have to report whatever they are told.

Moreover, we could discover the truth about the Spanish epidemic for two
reasons: because the two-year trial ensured that otherwise unavailable
information reached the public domain (and the authorities haven't made
that mistake again); and because I was able, in 1990, to spend almost
three months in Spain researching and filming the epidemic. A decade
later, it is now inconceivable that journalistic investigations on such
a scale would be supported. In future, without even the remote
possibility of a bunch of journalists turning up years later to ask
inconvenient questions, it will be even easier for international science
to organise its cover-ups.

An internal German government memo was recently leaked to Der Spiegel.
According to this, the monitoring of imported produce had revealed that
there continued to be unsafe pesticide residues on fruit and vegetables
from Spain. Some peppers were "highly contaminated" and the residues had
"reached levels we can no longer tolerate". It was the last line of the
memo that was most telling: "Under no circumstances should the general
public be informed."
