---
created_at: '2015-08-20T06:05:44.000Z'
title: Google's Toughest Search Is for a Business Model (2002)
url: http://www.nytimes.com/2002/04/08/business/google-s-toughest-search-is-for-a-business-model.html
author: ghosh
points: 85
story_text: 
comment_text: 
num_comments: 47
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1440050744
_tags:
- story
- author_ghosh
- story_10090218
objectID: '10090218'
year: 2002

---
The executives' disdain for business meant they spent nothing to
advertise their site and cut very few deals with other sites. They have
insisted that the ads that do run on Google should employ only words,
not pictures, so as not to slow the site's amazingly quick response
time.

All this has made Google Silicon Valley's hottest private company, one
deluged with 1,000 résumés a day. And the whisper is that when Google
finally does go public, probably in the next year or so, it will make
its debut with a multibillion dollar valuation. (That is one dot-com
tradition the company probably will not disdain.)

But Google has its share of challenges. The very success of Google .com,
which is now the nation's sixth-most popular Internet site and is
growing ever more popular abroad, undercuts its effort to be hired to
provide search technology for other sites.

Analysts wonder, in fact, whether Yahoo will see Google as too much a
rival to renew its contract, which was worth $6.1 million in cash (and
far more in publicity) for the last year. The Yahoo deal expires in
June. Google's effort to expand to other areas, like providing search
capabilities for corporations' internal Web sites, has yet to pay off.

And most importantly, while Google is the leader in searching Web pages,
it is a tiny force in the rapidly growing market for selling advertising
related to search. The dominant player there is Overture Services, which
began life as GoTo.com, a search engine that let Web sites bid to be
listed and ranked in searches. (Whoever pays most gets listed first, the
runner-up is listed second, and so on.)

Users never warmed to GoTo, but advertisers, especially small ones,
jumped on it. What better place to advertise your cozy inn than on a
page where someone is searching for information about the Berkshires? So
Overture regrouped, and it now offers to split revenue with sites that
display its listings on their search results pages. Yahoo, MSN, America
Online and all the other major sites -- except Google -- have agreed.

Google has increasingly modeled its ad program on Overture's,
introducing a feature in February that lets advertisers bid for more
prominent position. (The ads on Google appear either above or to the
side of the main search results.) Overture responded on Friday by suing
Google, claiming patent infringement, an accusation Google denies.

Advertisement

[Continue reading the main story](#story-continues-4)

But the bigger question is whether Google has the scale to capture a
viable share of the search advertising market. In other words, can
Google create a business model even remotely as good as its technology?

''The days of investing in Web sites we love are over,'' said Lanny
Baker, a Salomon Smith Barney analyst. ''People rave about Google. But
as a business, it will take an awful lot for them to catch up to
Overture.''

Mr. Schmidt says Google's sales are growing so briskly he is not
worried. Google will not disclose its results, but competitors estimate
its sales at $15 million to $25 million a quarter. (Overture is expected
to post $126 million in revenue for the first quarter.)

The founders, Sergey Brin, now 28, and Larry Page, 29, who started
Google in 1998 after dropping out of Stanford's computer science
doctoral program, say they still believe that if they devote themselves
to improving Web search technology, the users and thus the advertisers
will follow.

''We have pride that we are building a service that is really important
to the world and really successful for the long term,'' Mr. Page said.

The cornerstone of Google's search technology is something it calls Page
Rank (after Larry Page, not Web page). It determines a site's popularity
based on the number of other sites that have links pointing to it. When
a user types a query into Google, it first finds all the pages that
contain the query terms and then displays the pages in order, based on
the Page Rank.

The founders, both sons of university professors, take pride in their
tough admission standards, having interviewed 50 candidates before
choosing Mr. Schmidt as chief executive, for example.

## Newsletter Sign Up

[Continue reading the main story](#continues-post-newsletter)

### 

Please verify you're not a robot by clicking the box.

Invalid email address. Please re-enter.

You must select a newsletter to subscribe to.

You agree to receive occasional updates and special offers for The New
York Times's products and services.

### Thank you for subscribing.

### An error has occurred. Please try again later.

[View all New York Times newsletters.](/newsletters)

The search was ''interminable,'' said Michael Moritz, the Sequoia
Capital venture capitalist who is on Google's board. They still have not
picked a chief financial officer. The soft-spoken Mr. Schmidt fit in
because he is an accomplished engineer who happens to have spent some
time running a company.

Mr. Brin and Mr. Page, who share a dry and impetuous sense of humor,
have also cultivated an impudent culture, as if nerds had taken over a
college dorm. Programmers work by the light of lava lamps into the wee
hours of the morning, taking breaks to ride motorized scooters down the
halls and eat spicy meals prepared by the house cook, Charlie Ayers, the
former chef for the Grateful Dead.

Advertisement

[Continue reading the main story](#story-continues-5)

This bitbucket bonhomie has resulted in a steady stream of nifty
features, like a rather unusual approach to fixing users' spelling
errors. Instead of a predetermined dictionary, it looks for correct
spelling in its index of the entire Web. That means it can propose
correct spellings to proper names, and it works in 74 languages, most of
which no one at Google has ever spoken. Or in some cases, no person
anywhere has ever spoken: Google runs versions of its sites in a few
languages that no one has spoken, like Bork Bork Bork, purported to be
the tongue of the Swedish chef on ''The Muppet Show.''

The company is so infatuated with its technical prowess and sense of
destiny that it has developed a reputation as being difficult to deal
with.

''Serge and Larry are very blunt and very cocky,'' said Danny Sullivan,
editor of Search Engine Watch, an online newsletter. ''They honestly
believe they can do a better job than other people, and they don't have
any hesitation in saying that.''

Mr. Schmidt, who is 46, makes clear that managing Google's cocky culture
is one of his tasks. ''It's easy for companies like ours to get
arrogant,'' he said. ''That makes people get madder as you are winning.
I think you need to win, but you are better off winning softly.''

Mr. Schmidt has also done other things grown-up executives are supposed
to do. Like reining in spending for his first few months until the
company became profitable. Like recruiting a bunch of new vice
presidents and imposing systems for sales forecasting. And ordering an
international expansion.

He also sometimes challenges the geeks to be less geeky. Late last year,
Mr. Schmidt, no novice at technical matters, wanted to test the ease of
installation of one of Google's new products -- a computer server the
size of a pizza box, which corporations can buy to search their internal
networks.

After four frustrating hours, he sent off a nasty e-mail to the
designers. The revised version he received several days later was much
easier to use. But at a company meeting several days later, David
Watson, an engineer and one of the rebuked designers, stood up and
presented Mr. Schmidt with a certificate labeled ''Tester Technical
Award: Most Improved.''

''That doesn't happen in real companies,'' Mr. Schmidt says, still in
wonder at the act, cheeky even by engineers' insubordinate standards.
The certificate now hangs on the wall of Mr. Schmidt's small office.

Advertisement

[Continue reading the main story](#story-continues-6)

The biggest challenge for Mr. Schmidt, though, is balancing Google's
increasing popularity among Web users with the needs and demands of the
other Web sites, like Yahoo, for which it provides search technology.
Google still charges a fee for each search conducted. And in the last
two years, it has lost ground to others like Overture and Inktomi, which
actually pay Web portals to use their technologies -- since their
revenue comes from the sites whose pages Overture and Inktomi index.

To keep other portals interested, Google recently started letting other
sites run the text ads it sells alongside its search results and agreed
to split the revenue.

So far, only Earthlink has agreed, bouncing Overture's paid listings
from its main page.

But Google does not yet appear to have sufficient clout with some of the
bigger sites. Analysts say Google cannot deliver enough money to
supplant Overture from AOL, the AOL Time Warner flagship service. And
Microsoft's MSN selected Inktomi -- not Google -- to provide technology
for its search service, because Inktomi does not operate its own search
site.

''At the end of the day, Google is becoming more of a competitor to
Microsoft and MSN,'' said Brian Gluth, a senior product manager for MSN.
''We want to work with partners who don't compete with us.''

Mr. Schmidt argues that Google's search technique is so superior that
other sites gain traffic and happy users when they adopt it. He will
have to hope he can convince Terry Semel, chief executive of Yahoo, when
Google's current contract with the leading Web portal expires in two
months.

''Terry must be asking why Yahoo has helped build what could be one of
its greatest competitors,'' said Evan Thornley, the chief executive of
LookSmart, a Google competitor.

Meanwhile, other companies are not willing to concede the search quality
game to Google. One of them, Ask Jeeves, has acquired Teoma, a search
service developed at Rutgers University. And last month, Look-Smart
bought WiseNut, a Korean-backed search technology firm.

''The history of search is that pundits declared the winner at the end
of every lap,'' Mr. Thornley said. ''You have to be careful if you start
to smoke your own stuff and believe you are the only one who can build a
great search engine. There was a two-year window when Google was the
only company focused on building search. No more.''

[Continue reading the main story](#whats-next)
