---
created_at: '2015-05-28T20:37:10.000Z'
title: 'The Grand Illusion:  Why consciousness exists only when you look for it (2002)'
url: http://www.susanblackmore.co.uk/journalism/ns02.htm
author: monort
points: 52
story_text: 
comment_text: 
num_comments: 45
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1432845430
_tags:
- story
- author_monort
- story_9621011
objectID: '9621011'
year: 2002

---
**The Grand Illusion:**  
**Why consciousness exists only when you look for it**

New Scientist, 22 June 2002, p 26-29

“The last great mystery of science”; “the most baffling problem in the
science of the mind”; this is how scientists talk about consciousness,
but what if our conscious experience is all a grand illusion?

Like most people, I used to think of my conscious life as like a stream
of experiences, passing through my mind, one after another. But now I’m
starting to wonder, is consciousness really like this? Could this
apparently innocent assumption be the reason we find consciousness so
baffling?

Different strands of research on the senses over the past decade suggest
that the brave cognitive scientists, psychologists and neuroscientists
who dare to tackle the problem of consciousness are chasing after the
wrong thing. If consciousness seems to be a continuous stream of rich
and detailed sights, sounds, feelings and thoughts, then I suggest this
is the illusion.

First we must be clear what is meant by the term “illusion”. To say that
consciousness is an illusion is not to say that it doesn’t exist, but
that it is not what it seems to be―more like a mirage or a visual
illusion. And if consciousness is not what it seems, no wonder it’s
proving such a mystery.

For the proposal “It’s all an illusion” even to be worth considering,
the problem has to be serious. And it is. We can’t even begin to explain
consciousness. Take this magazine in front of your eyes. Right now, you
are presumably having a conscious experience of seeing the paper, the
words, and the pictures. The way you see the page is unique to you, and
no one else can know exactly what it is like for you. This is how
consciousness is defined: it is your own subjective experience.

But how do you get from a magazine composed of atoms and molecules, to
your experience of seeing it? Real, physical objects and private
experiences are such completely different kinds of thing. How can one be
related to the other? David Chalmers, of the University of Tucson,
Arizona, calls it the “Hard Problem”. How can the firing of brain cells
produce subjective experience? It seems like magic; water into wine.

If you are not yet feeling perplexed (in which case I am not doing my
job properly), consider another problem. It seems that most of what goes
on in the brain is not conscious. For example, we can consciously hear a
song on the car radio, while we are not necessarily conscious of all the
things we do as we’re driving. This leads us to make a fundamental
distinction: contrasting conscious brain processes with unconscious
ones. But no one can explain what the difference really is. Is there a
special place in the brain where unconscious things are made conscious?
Are some brain cells endowed with an extra magic something that makes
what goes on in them subjective? This doesn’t make sense. Yet most
theories of consciousness assume that there must be such a difference,
and then get stuck trying to explain or investigate it.

For example, in the currently popular “Global Workspace” theory, Bernard
Baars, of the Wright Institute in Berkeley, California, equates the
contents of consciousness with the contents of working memory. But how
does being “in” memory turn electrical impulses into personal
experiences?

Another popular line of research is to search for the “neural
correlates” of consciousness. Nobel Laureate, Francis Crick, wants to
pin down the brain activity that corresponds to “the vivid picture of
the world we see in front of our eyes”. And Oxford pharmacologist, Susan
Greenfield, is looking for “the particular physical state of the brain
that always accompanies a subjective feeling” (New Scientist, 2 Feb, p
30). These researchers are not alone in their search. But their attempts
all founder on exactly the same mystery―how can some kinds of brain
activity be “in” the conscious stream, while others are not? I can’t see
what this difference could possibly be.

Could the problem be so serious that we need to start again at the very
beginning? Could it be that, after all, there is no stream of
consciousness; no movie in the brain; no picture of the world we see in
front of our eyes? Could all this be just a grand illusion?

You might want to protest. You may be absolutely sure that you do have
such a stream of conscious experiences. But perhaps you have noticed
this intriguing little oddity. Imagine you are reading this magazine
when suddenly you realise that the clock is striking. You hadn’t noticed
it before, but now that you have, you know that the clock has struck
four times already, and you can go on counting. What is happening here?
Were the first three “dongs” really unconscious and have now been pulled
out of memory and put in the stream of consciousness? If so were the
contents of the stream changed retrospectively to seem as though you
heard them at the time? Or what? You might think up some other
elaborations to make sense of it but they are unlikely to be either
simple or convincing.

A similar problem is apparent with listening to speech. You need to hear
several syllables before the meaning of a sentence becomes unambiguous.
So what was in the stream of consciousness after one syllable? Did it
switch from gobbledegook to words half way through? It doesn’t feel like
that. It feels as though you heard a meaningful sentence as it went
along. But that is impossible.

#### The running tap of time

Consciousness also does funny things with time. A good example is the
“cutaneous rabbit”. If a person’s arm is tapped rapidly, say five
times at the wrist, then twice near the elbow and finally three times on
the upper arm, they report not a series of separate taps coming in
groups, but a continuous series moving upwards―as though a little
creature were running up their arm. We might ask how taps two to four
came to be experienced some way up the forearm when the next tap in the
series had not happened yet. How did the brain know where the next tap
was going to fall?

You might try to explain it by saying that the stream of consciousness
lags a little behind, just in case more taps are coming. Or perhaps,
when the elbow tap comes, the brain runs back in time and changes the
contents of consciousness. If so, what was really in consciousness when
the third tap happened? The problem arises only if we think that things
must always be either “in” or “out” of consciousness. Perhaps, if this
apparently natural distinction is causing so much trouble, we should
abandon it.

Even deeper troubles threaten our sense of conscious vision. You might
be utterly convinced that right now you’re seeing a vivid and detailed
picture of the world in front of your eyes, and no one can tell you
otherwise. Consider, then, a few experiments.

The most challenging are studies of “change blindness” (New Scientist,
18 Nov 2000, p 28). Imagine you are asked to look at the left hand
picture in the
[illustration](https://www.susanblackmore.co.uk/journalism/change-blindness/)
below. Then at the exact moment you move your eyes (which you do several
times a second) the picture is swapped for the one on the right. Would
you notice the difference? Most people assume that they would. But
they’d be wrong. When our eyes are still we detect changes easily, but
when a change happens during an eye movement or a blink we are change
blind.

Another way to reveal change blindness is to present the two pictures
one after the other repeatedly on a computer screen with flashes of grey
in between (for an example see
http://nivea.psycho.univ-paris5.fr/ASSChtml/kayakflick.gif). It can take
people many minutes to detect even a large object that changes colour,
or one that disappears altogether, even if it’s right in the middle of
the picture.

What do these odd findings mean? At the very least they challenge the
textbook description that vision is a process of building up
representations in our heads of the world around us. The idea is that as
we move our eyes about, we build up an even better picture, and this
picture is what we consciously see. But these experiments show that this
way of thinking about vision has to be false. If we had such a picture
in our heads we would surely notice that something had changed, yet we
don’t. We jump to the conclusion that we’re seeing a continuous,
detailed and rich picture. But this is an illusion.

Researchers differ in how far they think the illusion goes.
Psychologists Daniel Simons of Harvard University and Daniel Levin of
Kent State University, Ohio, suggest that during each visual fixation
our brain builds a fleeting representation of the scene. It then
extracts the gist and throws away all the details. This gives us the
feeling of continuity and richness without too much overload.

Ronald Rensink of the University of British Columbia in Vancouver, goes
a little further and claims that we never form representations of the
whole scene at all, not even during fixations. Instead we construct what
he calls “virtual representations” of just the object we are paying
attention to. Nothing else is represented in our heads, but we get the
impression that everything is there because a new object can always be
made “just in time” whenever we look.

Finally, our ordinary notions of seeing are more or less demolished by
psychologists Kevin O’Regan of the CNRS, the French national research
agency in Paris, and Alva Noë of the University of California, Santa
Cruz, who first described vision as a grand illusion. They argue that we
don’t need internal representations at all because the world is always
there to be referred to. According to their “sensorimotor theory of
vision” seeing is not about building pictures of the world in our heads,
it’s about what you are doing. Seeing is a way of interacting with the
world, a kind of action. What remains between eye movements is not a
picture of the world but the information needed for further exploration.
The theory is dramatically different from existing theories of
perception.

It’s not clear who’s right. Perhaps all these theories are off the mark,
but there is no doubt about the basic phenomenon and its main
implication. Searching for the neural correlates of the detailed,
picture in our heads is doomed because there is no such picture.

This leaves another problem. If we have no picture, how can we act on
the things we see? This question may seem reasonable but it hides
another false assumption―that we have to see consciously in order to
act. We need only think of the tennis player who returns a serve before
consciously seeing it, to realise that this is false, but the situation
is odder than this. We probably have several separate visual systems
that do their jobs somewhat independently, rather than one single one
that produces a unified visual world.

David Milner of the University of St Andrews, and Melvyn Goodale of the
University of Western Ontario, argue that there is one system for fast
visuomotor control and a slower system for perceiving objects. Much of
their evidence comes from patients with brain damage, such as D.F. who
has a condition known as visual form agnosia. She cannot recognise
objects by sight, name simple line drawings, or recognise or copy
letters, even though she produces letters correctly from dictation and
can recognise objects by touch. She can also reach out and grasp
everyday objects (objects that she cannot recognise) with remarkable
accuracy. D.F. seems to have a visual system that guides her actions but
her perception system is damaged.

In a revealing experiment D.F. was shown a slot set randomly at
different angles. (Trends in Neurosciences, vol 15 p 20, 1992). She
could not consciously see the orientation of the slot, and could not
draw it or adjust a line to the same angle. But when given a piece of
card she could quickly and accurately line it up and post it straight
through. Experiments with normal volunteers have shown similar kinds of
dissociation, suggesting that we all have at least two separate vision
systems.

Perhaps the most obvious conclusion is that the slow perceptual system
is conscious and the fast action system is unconscious. But then the old
mystery is back. We would have to explain the difference between
conscious and unconscious systems. Is there a magic ingredient in one?
Does neural information turn into subjective experiences just because it
is processed more slowly?

Perhaps the answer here is to admit that there is no stream of conscious
experiences on which we act. Instead, at any time a whole lot of
different things are going on in our brain at once. None of these things
is either “in” or “out” of consciousness but every so often, something
happens to create what seems to have been a unified conscious stream; an
illusion of richness and continuity.

It sounds bizarre, but try to catch yourself not being conscious. More
than a hundred years ago the psychologist William James likened
introspective analysis to “trying to turn up the gas quickly enough to
see how the darkness looks.” The modern equivalent is looking in the
fridge to see whether the light is always on. However quickly you open
the door, you can never catch it out. The same is true of consciousness.
Whenever you ask yourself, “Am I conscious now?” you always are.

But perhaps there is only something there when you ask. Maybe each time
you probe, a retrospective story is concocted about what was in the
stream of consciousness a moment before, together with a “self” who was
apparently experiencing it. Of course there was neither a conscious self
nor a stream, but it now seems as though there was.

Perhaps a new story is concocted whenever you bother to look. When we
ask ourselves about it, it would seem as though there’s a stream of
consciousness going on. When we don’t bother to ask, or to look, it
doesn’t, but then we don’t notice so it doesn’t matter.

Admitting that it’s all an illusion does not solve the problem of
consciousness but changes it completely. Instead of asking how neural
impulses turn into conscious experiences, we must ask how the grand
illusion gets constructed. This will prove no easy task, but unlike
solving the Hard Problem it may at least be possible.

**Susan Blackmore is a psychologist, writer and lecturer based in
Bristol.**

**Further Reading**

Consciousness Explained by Daniel Dennett, Penguin (1993)

O’Regan and Noë’s ideas will soon be debated in a special issue of
Behavioral and Brain Sciences.

N.B. The current issue of Journal of Consciousness Studies is devoted to
the Grand Illusion.  See <http://www.imprint.co.uk/jcs/>

This will also be published as a book Is the Visual World a Grand
Illusion? Ed. Alva Noë, Imprint Academic, 2002.

Watch me talking about [the grand
illusion](http://video.google.com/videoplay?docid=6958873142520847424&ei=p9E3Ss_UN4Xt-AaKx5Fz&q=sue+blackmore+2005+skeptics&hl=en&client=firefox-a)
at the Skeptics’ Conference 2005
