---
created_at: '2015-11-11T20:52:57.000Z'
title: How the Wright Brothers Blew It (2003)
url: http://www.forbes.com/2003/11/19/1119aviation.html
author: jitix
points: 65
story_text: 
comment_text: 
num_comments: 35
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1447275177
_tags:
- story
- author_jitix
- story_10549191
objectID: '10549191'
year: 2003

---
The layoff was caused by the brothers' obsession with secrecy. They had
a patent pending on the airplane's control technique, which enabled it
to climb, dive and turn, but even after the patent was granted in May
1906, they were unwilling to show the machine to anyone who might steal
its design, since enforcing their patent rights could be a long,
laborious, and very expensive process. Having conquered flight, they
wanted to cash out before going any further.

Chanute urged the brothers to try for some of the aviation prizes that
were being offered for flights of specified times and distances, which
would have established their dominance in the public's mind. They
refused. "We would have to expose our machine more or less, and that
might interfere with the sale of our secrets," they wrote to a friend in
January 1906. "We appreciate the honor and the prestige that would come
with the winning of a prize...but we can hardly afford at the present
time to jeopardize our other interests in doing it."

Recognizing the airplane's potential military applications, the Wrights
offered to sign a manufacturing contract with the U.S. War Department,
but they presented the deal in such a clumsy and stubborn way that there
was no chance it would be accepted. They refused to show the airplane to
any prospective buyer without a sizable deposit, and when pressed for
proof that it could fly, they furnished the names of Dayton residents
who had happened to see their Huffman Prairie tests. The military
representatives, having already dealt with countless aircraft
visionaries (including Samuel P. Langley of the Smithsonian, who spent
$50,000 of War Department funds on his unsuccessful experiments),
understandably refused to hand over any money until they saw the plane,
or at least a photograph of it.

The Wrights approached the British, who at first were greatly interested
but later on decided to support their own airplane research.
Negotiations with France and Germany dragged on as the various officials
and purchasing consortia kept changing their contractual demands. The
Wrights refused to budge on the price and gave technical reasons why the
aircraft's specifications couldn't be changed. Instead of demonstrating
the plane's capabilities for prospective buyers, they just talked about
them and insisted on being taken at their word. Afterward, if the plane
failed to perform as promised, they would refund the buyer's money.
(With the Europeans, this cautious approach was justified, since almost
every industrial country was trying to build its own aviation industry,
and patent rights would have been much harder to enforce abroad.)

As the negotiations spun out fruitlessly, the Wrights' sales prospects
started to dim. Yet they weren't worried about competition. Wilbur wrote
to Chanute in late 1906, "...we are convinced that no one will be able
to develop a practical flyer within five years." So they sat and waited.

Meanwhile, the competition began to heat up. In October 1906 the
Brazilian Alberto Santos-Dumont flew more than 160 feet in France,
earning the public acclaim the Wrights had never achieved. Newspaper
articles made much of the fact that Santos-Dumont had not flown in
secret.

Wilbur Wright dismissed the feat in a letter to Chanute: "From our
knowledge...he has only jumped...When someone goes over three hundred
feet and lands safely in a wind of seven or eight miles it will then be
important for us to do something. So far we see no indication that it
will be done for several years yet." In fact Santos-Dumont flew more
than 700 feet a month later, winning two prizes for the first flight
longer than 100 meters, but the Wrights still refused to take him
seriously. In their shop they worked on a new engine design, but instead
of demonstrating it in flight, they turned their backs on public events
and continued to set their sights on military sales.

It was a bad time to walk away from aviation, for in 1907 flying fever
was beginning to grip the globe. Enthusiasts established competitions
and offered prizes. The Wrights could easily have snapped up every honor
available, but instead France dominated aviation development, as the
pilots Charles and Gabriel Voisin and Louis Blériot managed increasingly
longer "jumps." In January 1908 Henri Farman was awarded the
Deutsch-Archdeacon Grand Prix for flying a one-kilometer circle over a
field near Paris two months earlier. Meanwhile, the Wrights continued to
shift their focus from mechanical innovation--their strength--to sales.

As Wilbur told an associate in November 1907, "I want the business built
up so as to get the greatest amount of money with as little work. Sell
few machines at a big profit, so that we can close out..." None of the
European deals came together, so the brothers returned to America late
in 1907.

They put the finishing touches on their new engine and began a fresh
push to sell planes to the United States government. Now, two years and
many public French flights later, U.S. officials took the Wrights'
claims more seriously. In February 1908 the Army accepted their bid to
build one airplane, the Model A, at the Wrights' rock-bottom price of
$25,000. At the same time, the French government also agreed to buy
manufacturing rights to the Wright patents. The brothers' strategy
finally seemed to be paying off, and they looked forward to a busy
spring.

With contracts in hand, the Wrights planned to fly only for their
buyers. They spent a month at Kitty Hawk rebuilding and re-rigging their
plane, and in May Orville flew for the first time in two and a half
years. A few reporters managed to hide in the woods and got the story.
The flights were international news.

Now that the cat was out of the bag, a flurry of public flights
followed--Orville in America and Wilbur in Europe. They left competitors
in awe and full of apologies for doubting their genius. The French had
been snippy about the Wrights, questioning their achievements and
holding up their own innovators as the true pioneers of aviation. Now
they were apologetic. "Not one of the former detractors of the Wrights
dare question, today, the previous experiments of the men who were truly
the first to fly," reported one French paper.

The Wrights had gotten back in business in the nick of time, or so it
seemed, for within the next few years a handful of North American
aircraft builders would take to the air as well. The Aerial Experiment
Association, formed by Alexander Graham Bell and others, was one. Out of
that group came the man over whom the Wright brothers would obsess until
their deaths: Glenn Curtiss.

On the Fourth of July 1908, Curtiss piloted his speedy June Bug biplane
more than one kilometer to win the $2,500 Scientific American Trophy and
national acclaim. Wilbur Wright had flown farther in 1905, but with few
witnesses. Now he refused to compete against a man who he believed was
stealing his ideas. It was a fatal mistake. Curtiss realized the value
of public opinion and would use it against the Wrights until they left
the business. He also built beautiful and well-designed airplanes that
quickly surpassed the Wright models.

Curtiss saw, as would all future aeronautical engineers, that the
Wrights' wing-warping system, or some variation on it, was the key to
controlling a craft laterally. The Wrights threatened to sue anyone who
incorporated that design feature into an airplane, yet no airplane could
fly without it. The system involved changing the shape of the entire
wing to alter its aerodynamic qualities. Curtiss got around the patent
by using ailerons instead--separate, movable surfaces at the back of
each wing, like those found on today's airplanes. Curtiss's system was
much easier to use, yet the Wrights considered any form of
three-dimensional control to fall under their patent, and they
threatened a lawsuit. Curtiss ignored them.

In the meantime, the aviation industry was coming alive with talented
competitors. In July 1909 Blériot crossed the English Channel in his
innovative monoplane. In August Curtiss won the Bennett Trophy by
setting a speed record of 47 miles per hour. He also sold the first
consumer airplane, for just $5,000, compared with the Wrights' asking
price of $25,000.

The competitions had become sales tools. The public bought the planes
they saw at the races, not the high-priced Wright machine that few had
ever seen fly. The Army liked the Wrights' plane, but so what? The
future of aviation was being conceived in the public imagination and in
the shops of a handful of eager inventors, not on military bases. At the
1909 flying meet in Rheims, France, where Curtiss won the Bennett
Trophy, the skies were filled with 23 different airplanes, which broke
all of the Wrights' speed and altitude records. The brothers had
declined to enter the competition, supposedly on the grounds that they
didn't compete against mere imitators. But the truth was that their
airplane was no longer the industry standard. As they had feared all
along, aviation enthusiasts had understood, copied and improved on it.

The Wrights chose not to fight back with technical innovations. Instead,
in August 1909 they turned to the courts, slapping Curtiss with a
long-threatened patent-infringement lawsuit. The litigation stretched
out for eight years of trials and appeals, slowly suffocating the
Wrights' company.

In the brothers' partnership, Wilbur had always been the idea man, with
Orville fine-tuning and executing his plans. As the courtroom battles
dragged on, Wilbur's knowledge made him the key expert witness. He
testified tirelessly about aeronautical design issues, explaining them
in a clear, easily understood manner. His skill on the witness stand
meant that his time at the company was limited. Orville was busy with
production, so design innovation languished.

For example, the complicated control system, which required the pilot to
manipulate three different levers with two hands, was never modified. By
contrast, Curtiss airplanes had one integrated control wheel and a
system of straps attached to the pilot's upper body that controlled
cables to move the ailerons, while Blériot's planes had the
stick-and-rudder arrangement that is standard in today's fighter jets.
According to Gen. Henry ("Hap") Arnold, who learned to fly at a Wright
school, "No two types of controls were the same in those days, and from
the student's point of view the Wright system was the most difficult."

By the spring of 1914 the Curtiss Aeroplane Company had surpassed the
Wrights and grown into the largest aircraft manufacturer in the United
States. Wilbur was exhausted by the patent wars and aviation in general.
He wrote to a friend, "We have been compelled to spend our time on
business matters...during the past five years. When we think what we
might have accomplished if we had been able to devote this time to
experiments, we feel very sad, but it is always easier to deal with
things than with men, and no one can direct his life entirely as he
would choose."

In April, Wilbur was taken ill during a trip to Boston. It turned out to
be typhoid fever, and he was gone within a month. The world mourned his
loss, with international newspaper coverage lauding him as "the man who
made flying possible" and "inventor of the airplane." Twenty-five
thousand people attended the viewing before his funeral. After the death
of his brother, Orville found himself at the helm of a foundering
company.

By 1913 the Wright Model C was obsolete--slow, unstable and hard to
maneuver, with a strong tendency to nose up and stall. But with the
patent wars still in progress, Orville was reluctant to improve on the
airplane's basic design. That would have required adopting features from
the very men he and Wilbur had accused of stealing. Pride compelled
Orville to stick close to the original plan.

Unfortunately, it was becoming deadly. Nine people died in Wright Model
B and C crashes between mid-1912 and mid-1913. Orville's answer was to
complete his work on the first automatic pilot, a pendulum-driven system
that stabilized the aircraft. It was a revolutionary technology that
finally won for Orville the prestigious Collier Trophy, which Curtiss
had captured the previous two years. However, it was eclipsed within
months by Lawrence Sperry's gyroscope-driven system.

The dawn of 1914 brought good news, as the U.S. Circuit Court of Appeals
upheld the Wrights' patent suit, agreeing that Curtiss had infringed.
This would have been the perfect time to shut down the competition by
re-establishing the Wright monopoly. But Orville did not make a move, as
the company manager Grover Loening lamented later: "In no time
Curtiss...could have been closed down or bought up, and we would have
seen a totally different development of flying starting here and
spreading to Europe exactly as the telephone monopoly did...At any rate,
it did not happen because of one man--Orville Wright. With the winning
of the suit, his revenge on Curtiss seemed satisfied, and all he wanted
was...royalties from everyone." Orville felt vindicated. Any company
building and selling airplanes would have to pay the Wright Company 20%
of its receipts.

By this point Orville had also realized his limitations as a manager. He
had no desire to oversee a team of research-and-development engineers,
such as Curtiss had built. He hated running board meetings.

In October 1915 Orville sold the Wright Company to a group of investors
for a reported $1.5 million. A year later Wright was merged with the
Glenn L. Martin Company to become the Wright-Martin Company. By then, 12
years after he had made the world's first controlled, powered
heavier-than-air flight, Orville had separated himself from the business
and was spending his time tinkering quietly in his Dayton home.

It wasn't until after Orville left that the patent wars were finally
settled. In early 1917 Curtiss began threatening to sue other aircraft
manufacturers to protect his own growing collection of patents. At the
urging of the U.S. government after its entry into World War I, a
consortium of aviation companies banded together and brokered an
agreement by which all members could pay a fee to license the patented
technology. In return, Curtiss and Wright-Martin each received two
million dollars in a one-time settlement and agreed to lay the patent
issue to rest.

Without Orville running things, the Wright name eventually regained its
luster, but not as a builder of airplanes, though the company did put
together a few prototypes for the U.S. Navy in the early 1920s. The
Wright-Martin Company, which was reorganized in 1919 as the Wright
Aeronautical Company, became a world leader in aircraft-engine design,
manufacturing the Wright Whirlwind, which was renowned for its
reliability. Charles Lindbergh put one in his Ryan for his transatlantic
flight.

Two years after Lindbergh, in 1929, the Wright name became even more
potent in aviation manufacturing. Wright Aeronautical merged with
Curtiss Aeroplane and Motor, becoming Curtiss-Wright . Twenty years
after the Wrights sold their first airplane, struggling into business
while fighting their debilitating patent wars, the company they had
started finally became the second-largest aircraft and engine
manufacturer in the nation (after the United Aircraft and Transport
Corporation). But it had had to merge with its archenemy, Curtiss, to
achieve this stature. And put its name second.
