---
created_at: '2009-02-17T18:12:54.000Z'
title: The Futile Pursuit of Happiness (2003)
url: http://query.nytimes.com/gst/fullpage.html?res=9E0DEFD61538F934A3575AC0A9659C8B63&sec=&spon=&pagewanted=all
author: kirse
points: 52
story_text: |-
  The tinyurl goes to this article:
  http://query.nytimes.com/gst/fullpage.html?res=9E0DEFD61538F934A3575AC0A9659C8B63&#38;sec=&#38;spon=&#38;pagewanted=all<p>HN was bouncing me to some old NYTimes submission when trying to post that original link.
comment_text: 
num_comments: 19
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1234894374
_tags:
- story
- author_kirse
- story_484779
objectID: '484779'
year: 2003

---
''The average person says, 'I know I'll be happier with a Porsche than a
Chevy,' '' Gilbert explains. '' 'Or with Linda rather than Rosalyn. Or
as a doctor rather than as a plumber.' That seems very clear to people.
The problem is, I can't get into medical school or afford the Porsche.
So for the average person, the obstacle between them and happiness is
actually getting the futures that they desire. But what our research
shows -- not just ours, but Loewenstein's and Kahneman's -- is that the
real problem is figuring out which of those futures is going to have the
high payoff and is really going to make you happy.

''You know, the Stones said, 'You can't always get what you want,' ''
Gilbert adds. ''I don't think that's the problem. The problem is you
can't always know what you want.''

gilbert's papers on affective forecasting began to appear in the late
1990's, but the idea to study happiness and emotional prediction
actually came to him on a sunny afternoon in October 1992, just as he
and his friend Jonathan Jay Koehler sat down for lunch outside the
psychology building at the University of Texas at Austin, where both men
were teaching at the time. Gilbert was uninspired about his studies and
says he felt despair about his failing marriage. And as he launched into
a discussion of his personal life, he swerved to ask why economists
focus on the financial aspects of decision making rather than the
emotional ones. Koehler recalls, ''Gilbert said something like: 'It all
seems so small. It isn't really about money; it's about happiness. Isn't
that what everybody wants to know when we make a decision?' '' For a
moment, Gilbert forgot his troubles, and two more questions came to him.
Do we even know what makes us happy? And if it's difficult to figure out
what makes us happy in the moment, how can we predict what will make us
happy in the future?

In the early 1990's, for an up-and-coming psychology professor like
Gilbert to switch his field of inquiry from how we perceive one another
to happiness, as he did that day, was just a hairsbreadth short of
bizarre. But Gilbert has always liked questions that lead him somewhere
new. Now 45, Gilbert dropped out of high school at 15, hooking into what
he calls ''the tail end of the hippie movement'' and hitchhiking
aimlessly from town to town with his guitar. He met his wife on the
road; she was hitching in the other direction. They married at 17, had a
son at 18 and settled down in Denver. ''I pulled weeds, I sold rebar, I
sold carpet, I installed carpet, I spent a lot of time as a phone
solicitor,'' he recalls. During this period he spent several years
turning out science-fiction stories for magazines like Amazing Stories.
Thus, in addition to being ''one of the most gifted social psychologists
of our age,'' as the psychology writer and professor David G. Myers
describes him to me, Gilbert is the author of ''The Essence of Grunk,''
a story about an encounter with a creature made of egg salad that jets
around the galaxy in a rocket-powered refrigerator.

Psychology was a matter of happenstance. In the midst of his sci-fi
career, Gilbert tried to sign up for a writing course at the local
community college, but the class was full; he figured that psych, still
accepting registrants, would help him with character development in his
fiction. It led instead to an undergraduate degree at the University of
Colorado at Denver, then a Ph.D. at Princeton, then an appointment at
the University of Texas, then the appointment at Harvard. ''People ask
why I study happiness,'' Gilbert says, ''and I say, 'Why study anything
else?' It's the holy grail. We're studying the thing that all human
action is directed toward.''

One experiment of Gilbert's had students in a photography class at
Harvard choose two favorite pictures from among those they had just
taken and then relinquish one to the teacher. Some students were told
their choices were permanent; others were told they could exchange their
prints after several days. As it turned out, those who had time to
change their minds were less pleased with their decisions than those
whose choices were irrevocable.

Much of Gilbert's research is in this vein. Another recent study asked
whether transit riders in Boston who narrowly missed their trains
experienced the self-blame that people tend to predict they'll feel in
this situation. (They did not.) And a paper waiting to be published,
''The Peculiar Longevity of Things Not So Bad,'' examines why we expect
that bigger problems will always dwarf minor annoyances. ''When really
bad things happen to us, we defend against them,'' Gilbert explains.
''People, of course, predict the exact opposite. If you ask, 'What would
you rather have, a broken leg or a trick knee?' they'd probably say,
'Trick knee.' And yet, if your goal is to accumulate maximum happiness
over your lifetime, you just made the wrong choice. A trick knee is a
bad thing to have.''

Advertisement

[Continue reading the main story](#story-continues-4)

All of these studies establish the links between prediction, decision
making and well-being. The photography experiment challenges our common
assumption that we would be happier with the option to change our minds
when in fact we're happier with closure. The transit experiment
demonstrates that we tend to err in estimating our regret over missed
opportunities. The ''things not so bad'' work shows our failure to
imagine how grievously irritations compromise our satisfaction. Our
emotional defenses snap into action when it comes to a divorce or a
disease but not for lesser problems. We fix the leaky roof on our house,
but over the long haul, the broken screen door we never mend adds up to
more frustration.

Gilbert does not believe all forecasting mistakes lead to similar
results; a death in the family, a new gym membership and a new husband
are not the same, but in how they affect our well-being they are
similar. ''Our research simply says that whether it's the thing that
matters or the thing that doesn't, both of them matter less than you
think they will,'' he says. ''Things that happen to you or that you buy
or own -- as much as you think they make a difference to your happiness,
you're wrong by a certain amount. You're overestimating how much of a
difference they make. None of them make the difference you think. And
that's true of positive and negative events.''

Much of the work of Kahneman, Loewenstein, Gilbert and Wilson takes its
cue from the concept of adaptation, a term psychologists have used since
at least the 1950's to refer to how we acclimate to changing
circumstances. George Loewenstein sums up this human capacity as
follows: ''Happiness is a signal that our brains use to motivate us to
do certain things. And in the same way that our eye adapts to different
levels of illumination, we're designed to kind of go back to the
happiness set point. Our brains are not trying to be happy. Our brains
are trying to regulate us.'' In this respect, the tendency toward
adaptation suggests why the impact bias is so pervasive. As Tim Wilson
says: ''We don't realize how quickly we will adapt to a pleasurable
event and make it the backdrop of our lives. When any event occurs to
us, we make it ordinary. And through becoming ordinary, we lose our
pleasure.''

It is easy to overlook something new and crucial in what Wilson is
saying. Not that we invariably lose interest in bright and shiny things
over time -- this is a long-known trait -- but that we're generally
unable to recognize that we adapt to new circumstances and therefore
fail to incorporate this fact into our decisions. So, yes, we will adapt
to the BMW and the plasma TV, since we adapt to virtually everything.
But Wilson and Gilbert and others have shown that we seem unable to
predict that we will adapt. Thus, when we find the pleasure derived from
a thing diminishing, we move on to the next thing or event and almost
certainly make another error of prediction, and then another, ad
infinitum.

## Newsletter Sign Up

[Continue reading the main story](#continues-post-newsletter)

### 

Please verify you're not a robot by clicking the box.

Invalid email address. Please re-enter.

You must select a newsletter to subscribe to.

You agree to receive occasional updates and special offers for The New
York Times's products and services.

### Thank you for subscribing.

### An error has occurred. Please try again later.

[View all New York Times newsletters.](/newsletters)

As Gilbert points out, this glitch is also significant when it comes to
negative events like losing a job or the death of someone we love, in
response to which we project a permanently inconsolable future. ''The
thing I'm most interested in, that I've spent the most time studying, is
our failure to recognize how powerful psychological defenses are once
they're activated,'' Gilbert says. ''We've used the metaphor of the
'psychological immune system' -- it's just a metaphor, but not a bad one
for that system of defenses that helps you feel better when bad things
happen. Observers of the human condition since Aristotle have known that
people have these defenses. Freud spent his life, and his daughter Anna
spent her life, worrying about these defenses. What's surprising is that
people don't seem to recognize that they have these defenses, and that
these defenses will be triggered by negative events.'' During the course
of my interviews with Gilbert, a close friend of his died. ''I am like
everyone in thinking, I'll never get over this and life will never be
good again,'' he wrote to me in an e-mail message as he planned a trip
to Texas for the funeral. ''But because of my work, there is always a
voice in the back of my head -- a voice that wears a lab coat and has a
lot of data tucked under its arm -- that says, 'Yes, you will, and yes,
it will.' And I know that voice is right.''

Still, the argument that we imperfectly imagine what we want and how we
will cope is nevertheless disorienting. On the one hand, it can cast a
shadow of regret on some life decisions. Why did I decide that working
100 hours a week to earn more would make me happy? Why did I think
retiring to Sun City, Ariz., would please me? On the other hand, it can
be enlightening. No wonder this teak patio set hasn't made me as happy
as I expected. Even if she dumps me, I'll be O.K. Either way, predicting
how things will feel to us over the long term is mystifying. A large
body of research on well-being seems to suggest that wealth above
middle-class comfort makes little difference to our happiness, for
example, or that having children does nothing to improve well-being --
even as it drives marital satisfaction dramatically down. We often yearn
for a roomy, isolated home (a thing we easily adapt to), when, in fact,
it will probably compromise our happiness by distancing us from
neighbors. (Social interaction and friendships have been shown to give
lasting pleasure.) The big isolated home is what Loewenstein, 48,
himself bought. ''I fell into a trap I never should have fallen into,''
he told me.

Loewenstein's office is up a narrow stairway in a hidden corner of an
enormous, worn brick building on the edge of the Carnegie-Mellon campus
in Pittsburgh. He and Gilbert make for an interesting contrast. Gilbert
is garrulous, theatrical, dazzling in his speech and writing; he fills a
room. Loewenstein is soft-spoken, given to abstraction and lithe in the
way of a hard-core athlete; he seems to float around a room. Both men
profess tremendous admiration for the other, and their different
disciplines -- psychology and economics -- have made their overlapping
interests in affective forecasting more complementary than fraught.
While Gilbert's most notable contribution to affective forecasting is
the impact bias, Loewenstein's is something called the ''empathy gap.''

Here's how it expresses itself. In a recent experiment, Loewenstein
tried to find out how likely people might be to dance alone to Rick
James's ''Super Freak'' in front of a large audience. Many agreed to do
so for a certain amount of money a week in advance, only to renege when
the day came to take the stage. This sounds like a goof, but it gets at
the fundamental difference between how we behave in ''hot'' states
(those of anxiety, courage, fear, drug craving, sexual excitation and
the like) and ''cold'' states of rational calm. This empathy gap in
thought and behavior -- we cannot seem to predict how we will behave in
a hot state when we are in a cold state -- affects happiness in an
important but somewhat less consistent way than the impact bias. ''So
much of our lives involves making decisions that have consequences for
the future,'' Loewenstein says. ''And if our decision making is
influenced by these transient emotional and psychological states, then
we know we're not making decisions with an eye toward future
consequences.'' This may be as simple as an unfortunate proclamation of
love in a moment of lust, Loewenstein explains, or something darker,
like an act of road rage or of suicide.

Among other things, this line of inquiry has led Loewenstein to
collaborate with health experts looking into why people engage in
unprotected sex when they would never agree to do so in moments of cool
calculation. Data from tests in which volunteers are asked how they
would behave in various ''heat of the moment'' situations -- whether
they would have sex with a minor, for instance, or act forcefully with a
partner who asks them to stop -- have consistently shown that different
states of arousal can alter answers by astonishing margins. ''These
kinds of states have the ability to change us so profoundly that we're
more different from ourselves in different states than we are from
another person,'' Loewenstein says.

Advertisement

[Continue reading the main story](#story-continues-5)

Part of Loewenstein's curiosity about hot and cold states comes from
situations in which his emotions have been pitted against his intellect.
When he's not teaching, he treks around the world, making sure to get to
Alaska to hike or kayak at least once a year. A scholar of
mountaineering literature, he once wrote a paper that examined why
climbers have a poor memory for pain and usually ignore turn-back times
at great peril. But he has done the same thing himself many times. He
almost died in a whitewater canoeing accident and vowed afterward that
he never wanted to see his runaway canoe again. (A couple of hours
later, he went looking for it.) The same goes for his climbing pursuits.
''You establish your turn-back time, and then you find yourself still
far from the peak,'' he says. ''So you push on. You haven't brought
enough food or clothes, and then as a result, you're stuck at 13,000
feet, and you have to just sit there and shiver all night without a
sleeping bag or warm clothes. When the sun comes up, you're half-frozen,
and you say, 'Never again.' Then you get back and immediately start
craving getting out again.'' He pushes the point: ''I have tried to
train my emotions.'' But he admits that he may make the same mistakes on
his next trip.

Would a world without forecasting errors be a better world? Would a life
lived without forecasting errors be a richer life? Among the academics
who study affective forecasting, there seems little doubt that these
sorts of questions will ultimately jump from the academy to the real
world. ''If people do not know what is going to make them better off or
give them pleasure,'' Daniel Kahneman says, ''then the idea that you can
trust people to do what will give them pleasure becomes questionable.''
To Kahneman, who did some of the first experiments in the area in the
early 1990's, affective forecasting could greatly influence retirement
planning, for example, where mistakes in prediction (how much we save,
how much we spend, how we choose a community we think we'll enjoy) can
prove irreversible. He sees a role for affective forecasting in consumer
spending, where a ''cooling off'' period might remedy buyer's remorse.
Most important, he sees vital applications in health care, especially
when it comes to informed consent. ''We consider people capable of
giving informed consent once they are told of the objective effects of a
treatment,'' Kahneman says. ''But can people anticipate how they and
other people will react to a colostomy or to the removal of their vocal
cords? The research on affective forecasting suggests that people may
have little ability to anticipate their adaptation beyond the early
stages.'' Loewenstein, along with his collaborator Dr. Peter Ubel, has
done a great deal of work showing that nonpatients overestimate the
displeasure of living with the loss of a limb, for instance, or
paraplegia. To use affective forecasting to prove that people adapt to
serious physical challenges far better and will be happier than they
imagine, Loewenstein says, could prove invaluable.

There are downsides to making public policy in light of this research,
too. While walking in Pittsburgh one afternoon, Loewenstein tells me
that he doesn't see how anybody could study happiness and not find
himself leaning left politically; the data make it all too clear that
boosting the living standards of those already comfortable, such as
through lower taxes, does little to improve their levels of well-being,
whereas raising the living standards of the impoverished makes an
enormous difference. Nevertheless, he and Gilbert (who once declared in
an academic paper, ''Windfalls are better than pratfalls, A's are better
than C's, December 25 is better than April 15, and everything is better
than a Republican administration'') seem to lean libertarian in regard
to pushing any kind of prescriptive agenda. ''We're very, very nervous
about overapplying the research,'' Loewenstein says. ''Just because we
figure out that X makes people happy and they're choosing Y, we don't
want to impose X on them. I have a discomfort with paternalism and with
using the results coming out of our field to impose decisions on
people.''

Still, Gilbert and Loewenstein can't contain the personal and
philosophical questions raised by their work. After talking with both
men, I found it hard not to wonder about my own predictions at every
turn. At times it seemed like knowing the secret to some parlor trick
that was nonetheless very difficult to pull off -- when I ogled a new
car at the Honda dealership as I waited for a new muffler on my '92
Accord, for instance, or as my daughter's fever spiked one evening and I
imagined something terrible, and then something more terrible
thereafter. With some difficulty, I could observe my mind overshooting
the mark, zooming past accuracy toward the sublime or the tragic. It was
tempting to want to try to think about the future more moderately. But
it seemed nearly impossible as well.

To Loewenstein, who is especially attendant to the friction between his
emotional and deliberative processes, a life without forecasting errors
would most likely be a better, happier life. ''If you had a deep
understanding of the impact bias and you acted on it, which is not
always that easy to do, you would tend to invest your resources in the
things that would make you happy,'' he says. This might mean taking more
time with friends instead of more time for making money. He also adds
that a better understanding of the empathy gap -- those hot and cold
states we all find ourselves in on frequent occasions -- could save
people from making regrettable decisions in moments of courage or
craving.

Gilbert seems optimistic about using the work in terms of improving
''institutional judgment'' -- how we spend health care dollars, for
example -- but less sanguine about using it to improve our personal
judgment. He admits that he has taken some of his research to heart; for
instance, his work on what he calls the psychological immune system has
led him to believe that he would be able to adapt to even the worst turn
of events. In addition, he says that he now takes more chances in life,
a fact corroborated in at least one aspect by his research partner Tim
Wilson, who says that driving with Gilbert in Boston is a terrifying,
white-knuckle experience. ''But I should have learned many more lessons
from my research than I actually have,'' Gilbert admits. ''I'm getting
married in the spring because this woman is going to make me happy
forever, and I know it.'' At this, Gilbert laughs, a sudden, booming
laugh that fills his Cambridge office. He seems to find it funny not
because it's untrue, but because nothing could be more true. This is how
he feels. ''I don't think I want to give up all these motivations,'' he
says, ''that belief that there's the good and there's the bad and that
this is a contest to try to get one and avoid the other. I don't think I
want to learn too much from my research in that sense.''

Even so, Gilbert is currently working on a complex experiment in which
he has made affective forecasting errors ''go away.'' In this test,
Gilbert's team asks members of Group A to estimate how they'll feel if
they receive negative personality feedback. The impact bias kicks in, of
course, and they mostly predict they'll feel terrible, when in fact they
end up feeling O.K. But if Gilbert shows Group B that others have gotten
the same feedback and felt O.K. afterward, then its members predict
they'll feel O.K. as well. The impact bias disappears, and the
participants in Group B make accurate predictions.

This is exciting to Gilbert. But at the same time, it's not a technique
he wants to shape into a self-help book, or one that he even imagines
could be practically implemented. ''Hope and fear are enduring features
of the human experience,'' he says, ''and it is unlikely that people are
going to abandon them anytime soon just because some psychologist told
them they should.'' In fact, in his recent writings, he has wondered
whether forecasting errors might somehow serve a larger functional
purpose he doesn't yet understand. If he could wave a wand tomorrow and
eliminate all affective-forecasting errors, I ask, would he? ''The
benefits of not making this error would seem to be that you get a little
more happiness,'' he says. ''When choosing between two jobs, you
wouldn't sweat as much because you'd say: 'You know, I'll be happy in
both. I'll adapt to either circumstance pretty well, so there's no use
in killing myself for the next week.' But maybe our caricatures of the
future -- these overinflated assessments of how good or bad things will
be -- maybe it's these illusory assessments that keep us moving in one
direction over the other. Maybe we don't want a society of people who
shrug and say, 'It won't really make a difference.'

''Maybe it's important for there to be carrots and sticks in the world,
even if they are illusions,'' he adds. ''They keep us moving towards
carrots and away from sticks.''

[Continue reading the main story](#whats-next)
