---
created_at: '2014-03-26T10:18:02.000Z'
title: How a Swedish engineer saved a once-in-a-lifetime mission to Titan (2004)
url: http://spectrum.ieee.org/aerospace/space-flight/titan-calling
author: ablutop
points: 165
story_text: ''
comment_text: 
num_comments: 51
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1395829082
_tags:
- story
- author_ablutop
- story_7472495
objectID: '7472495'
year: 2004

---
![1004titanf1](/img/10Cassinif1-1395852608172.jpg) Photo: Bert
Bostelmann **Unsung Hero:** With the help of the engineering model of
Huygens \[background\], Boris Smeds discovered a crippling
communications problem.

**Last June, scientists were thrilled** when NASA’s Cassini probe
successfully began orbiting Saturn after a 3.5-billion-kilometer,
seven-year journey across the solar system. The 6-ton spacecraft
immediately started returning spectacular pictures of the planet, its
rings, and its 30-plus moons. It was just the beginning of Cassini’s
four-year tour of Saturn’s neighborhood, and while scientists expect
amazing discoveries in the years to come, the most dramatic chapter in
the mission’s history will happen this January, when scientists attempt
to peek beneath the atmospheric veil that surrounds Saturn’s largest
moon, Titan—a chapter that might have ended in disaster, save for one
persistent engineer.

In a collaboration with the European Space Agency, Cassini, in addition
to its own suite of scientific instruments designed to scan Saturn and
its moons, carries a hitchhiker—a lander probe called Huygens. A stubby
cone 3 meters across, Huygens was built for a single purpose: to pierce
the cloaking methane atmosphere of Titan and report its findings back to
Cassini for relay to Earth.

So it was quite a shock when Boris Smeds, a graying, Swedish, 26-year
ESA veteran, who normally specializes in solving problems related to the
agency’s network of ground stations, discovered in early 2000 that
Cassini’s receiver was in danger of scrambling Huygens’s data beyond
recognition.

Making that discovery would lead Smeds from his desk in Darmstadt,
Germany, to an antenna farm deep in California’s Mojave Desert, after he
and his allies battled bureaucracy and disbelief to push through a test
program tough enough to reveal the existence of Cassini-Huygens’s
communications problem. In doing so, Smeds continued a glorious
engineering tradition of rescuing deep-space missions from doom with
sheer persistence, insight, and lots of improvisation.

![1004titanf2](/img/1004titanf2-1395849582443.jpg) Photo: NASA-HQ-GRIN
**Smoggy Sphere:** This image, taken by Cassini, of Saturn’s largest
moon, Titan, shows the dense atmospherichaze of hydrocarbons that hides
the surface.

**Larger than the planet Mercury,** Titan appeared to the Voyager probes
in the 1980s as a mysterious yellow-orange globe, its surface hidden by
its soupy methane atmosphere. Cassini is equipped to peer through those
clouds with special camera filters and radar, but really getting up
close and personal with this enigmatic world is the job of ESA’s
Huygens.

Launched from Cassini, Huygens will soon slam into Titan’s atmosphere at
21 000 kilometers per hour and begin a one-way, two-and-a-half hour
descent to the surface, slowed by parachutes. The lander is fitted with
cameras pointing down and sideways, instruments designed to unlock the
atmosphere’s chemical secrets, and a microphone to pick up wind sounds.
Investigators have speculated there might be seas of liquid methane and
ethane on Titan, so Huygens has been designed to float. Although its
batteries will be nearly exhausted by the time it finally reaches the
surface, researchers hope it will be able to make a few measurements of
the physical composition of the landing site \[see illustration,
below\].

[![1004titanf5](/img/1004titanf5-1395850143021.jpg)](/img/1004titanf5-1395850143021.jpg)

 

Illustration: John MacNeill Huygens will slam into Titan’s thick
atmosphere at 21 000 kilometers per hour. After drag has slowed the
probe down to about 1440 km/h at a 180-km altitude, a pilot parachute
will be deployed to pull out the 8.3-meter-diameter main parachute. The
front shield will then eject, and the probe will begin to take readings.
So that the descent doesn’t last more than two and a half hours and
exhaust the probe’s batteries before it reaches the surface, the main
parachute will be released after 15 minutes and a 3-meter parachute will
be deployed. Huygens will hit the surface at around 20 km/h.Nestled
behind its 3-meter-diameter front shield that protects the
battery-powered probe from heat during the initial entry phase, Huygens
packs a suite of instruments designed to unlock the secrets of Titan’s
atmosphere and surface. Cameras will take pictures of Titan’s cloud
cover and surface, and a microphone will listen to the moon’s wind,
while other instruments will report back on the chemical, thermal, and
electrical properties of the atmosphere. After touchdown, a small bundle
of sensors will examine the surface.

Scientists believe the information gathered during the descent will open
not only a window onto a mysterious world at the far end of the solar
system but one onto the past as well, since Titan’s atmosphere is
believed to be similar to that of the primordial Earth.

Getting Huygens’s once-in-a-lifetime readings and observations back to
Earth is a two-stage process. Huygens is too small to be equipped with a
radio transmitter powerful enough to reach Earth, so instead a receiver
onboard Cassini will pick up Huygens’s transmissions. With its powerful
4-meter main antenna, Cassini will then relay the data back to a small
army of researchers, some of whom have been waiting decades for the
insights they hope Huygens will provide.

**When the Cassini-Huygens mission blasted** off from Cape Canaveral in
October 1997, no one suspected that a critical design flaw was lurking
deep within the telemetry system onboard Cassini that was dedicated to
harvesting Huygens’s broadcast. Uncorrected, the flaw meant the data
flowing from the hardy lander was in danger of being hopelessly
scrambled, its seven-year odyssey across the solar system in vain.

“We have a technical term for what went wrong here,” one of Huygens’s
principal investigators, John Zarnecki of Britain’s Open University,
would later explain to reporters: “It’s called a cock-up.”

But back in 1998, as Cassini was swinging past Venus and the Earth to
build up speed for its run out to Saturn, Zarnecki and the other
scientists and engineers at ESA and NASA were still blissfully unaware
of any problem.

In fact, everything was working fine. The mission builders felt
confident in their work: both the Cassini orbiter and the Huygens lander
had been extensively tested on the ground, both separately and together.
However, a proposal for a so-called full-up high-fidelity test of the
radio link between the probes (where every system is subjected to a
simulation of the exact signals and conditions it will experience during
flight) had been rejected because it would have required disassembly of
some of the communications components.

“Budget was a key part” of this decision, explained Robert Mitchell,
program manager for the Cassini-Huygens Mission at NASA’s Jet Propulsion
Laboratory (JPL) in Pasadena, Calif. The reassembled spacecraft would
then have had to undergo exhaustive and expensive recertification. In
hindsight, these testing failures were embarrassing. "We had three
safety nets set up to catch things like Cassini-Huygens’s communications
problem," said John Credland, head of ESA’s scientific projects,“and it
now appears that we fell through all three.”

Fortunately, Claudio Sollazzo, Huygens’s ground operations manager at
ESA’s European Space Operation Centre (ESOC) in Darmstadt, Germany, had
a nagging worry about the lack of a full-up communications systems test.
Sollazzo knew there was time to run some tests during Cassini’s long,
uneventful stretches between the planets. So he approached Smeds in
January 1998 with an unusual request: design a test to send a signal
from Earth toward Cassini that would mimic a radio transmission from
Huygens during its landing.

Smeds normally works on the communications links between ESA’s global
ground antenna network and its 11 active science spacecraft. Most of
these are satellites that never stray more than tens of thousands of
kilometers from Earth, a far cry from the Huygens probe, which was
designed to plunge into an atmosphere 1.2 billion km away. But Smeds’s
experience with ground antennas was just what Sollazzo needed.

It was impossible to test the Huygens-to-Cassini radio link during the
cruise using the spacecraft themselves: they were firmly mated together,
communicating not by radio but via a cable. And even if Huygens could be
made to transmit to Cassini, successfully sending a radio signal a few
centimeters would hardly inspire confidence for the difficult Titan
descent.

The Cassini-Huygens mission plan had Cassini jettisoning Huygens toward
Titan before Cassini began a low-altitude, high-velocity fly-by of the
mysterious moon. Huygens would reach Titan well in advance of Cassini,
and as Cassini streaked along at some 21 000 km/h relative to Titan,
Huygens would be descending on parachutes through the moon’s soupy
atmosphere at a comparatively leisurely 18 to 22 km/h. The relative
velocity of Huygens to Cassini was expected to be about 5.5 kilometers
per second, increasing the frequency of Huygens’s transmitter by about
38 kilohertz as seen by Cassini because of Doppler shift.

If you’ve ever heard a screaming ambulance or whistling train pass by,
you’re familiar with Doppler shift. When an acoustic or radio wave is
emitted by a moving object, an observer in front of the object will
notice an increase in the wave’s frequency as the wave’s peaks and
troughs are compressed by the object’s motion, and an observer behind it
will notice a decrease in the wave’s frequency as the wave is
stretched—hence the familiar rise and fall in the pitch of an
ambulance’s siren as the vehicle speeds by.

In the case of Huygens, its signal will vary not only in frequency but
also in strength as the probe is buffeted by the atmosphere, changing
the orientation of its transmitter. When Smeds was brought into the
picture, the plan to test Cassini’s receivers was to transmit a signal
from Earth that would duplicate Huygens’s carrier signal without
modulating it with any simulated telemetry from the lander’s
instruments. If the Cassini receiver could pick up a fluctuating,
Doppler-shifted carrier wave, all should be well. But Smeds wanted to do
better. “If I do a test like this, I want to do it properly and simulate
everything, not just a part of it,” he told IEEE Spectrum.

Smeds used ESOC’s engineering model of Huygens—an exact duplicate of the
lander down to the last bolt and transistor—to generate a stream of
typical telemetry. Then he developed a test signal pattern on his office
computer that could modulate a carrier wave with telemetry as Huygens
would. His plan was to broadcast the simulated Huygens telemetry from
Earth to Cassini and have Cassini echo what it received back to Earth.

![1004titanf3](/img/1004titanf3-1395852701517.jpg) Illustration: Armand
Veneziano **Going Through a Phase:** Huygens’s telemetry is sent to
Cassini using a technique known as binary phase-shift keying. In the
simple two-phase example above, a stream of bits \[top\] is encoded onto
a carrier wave \[middle\] by modulating the phase of the wave
\[bottom\]. To represent a 1, the modulated signal is in phase with the
unmodulated carrier wave, and to represent a 0, the modulated wave is
180 degrees out of phase with the unmodulated wave. Decoding the
modulated signal requires precise timing, as the incoming wave is
compared with an unmodulated wave at precise intervals to determine each
bit’s phase and whether the bit is a 1 or a 0.

Huygens is designed to generate telemetry at a rate of 8192 bits per
second. Using a common modulation technique known as binary phase-shift
keying, Huygens’s transmission system represents 1s and 0s by varying
the phase of the outgoing carrier wave. Recovering these bits requires
precise timing: in simple terms, Cassini’s receiver is designed to break
the incoming signal into 8192 chunks every second. It determines the
phase of each chunk compared with an unmodulated wave and outputs a 0 or
a 1 accordingly \[see chart, above\].

Smeds’s scheme required that his test signal pattern be broadcast from
Earth in a sequence of varying power levels to simulate the effect of
Huygens and its transmitter’s being swung around in Titan’s atmosphere.
The test signal’s frequency would also be adjusted at broadcast so that
when it arrived at Cassini, it would match the Doppler-shifted signal
expected from Huygens. The echoed signal could then be decoded and
verified by matching it against the original telemetry used to create
the test signal.

In proposing this more complex test with simulated telemetry, Smeds “had
to argue with those who didn’t think it was necessary,” recalled JPL’s
Mitchell. Smeds was persistent and continued championing the test even
after it was initially rejected. In the end, with the backing of
Sollazzo and Huygens’s project scientist, Jean-Pierre Lebreton, Smeds’s
plan was accepted because it was easy to do, even though hardly anybody
seemed to think it was worth doing. On such seeming trivia US $300
million missions can turn: the simpler carrier-signal-only test,
Mitchell noted, would never have uncovered any problems.

![1004titanf4](/img/10CassiniAntenna-1395852747785.jpg) Photo: Richard
Ross/Corbis **Desert Dish:** A 34-meter antenna, like this one at NASA’s
Deep Space Network facility at Goldstone in California’s Mojave Desert,
was used to transmit the test signal that revealed Cassini-Huygens’s
communications problem in early 2000.

So it was that in early February 2000, a jet-lagged Smeds found himself
sitting in a windowless, fluorescent-lit, concrete basement below one of
NASA’s Deep Space Network (DSN) 34-meter dish antennas in Goldstone,
Calif. He had been scheduled for two test sequences during consecutive
days, when Cassini would be above the horizon and in view of the dish.
The test signal Smeds had devised on his office computer was loaded into
Goldstone’s signal-processing center, located at the far end of the
sprawling Mojave Desert complex, which would adjust the frequency to
simulate Huygens’s Doppler shift.

Smeds and a DSN technician couldn’t stay in the relative comfort of the
processing center. They had to be present there in the bowels with the
noisy signal generators to adjust the power of the outgoing transmission
during the test. Smeds and the technician set up shop, ready to swap in
and out a series of laptop-controlled attenuators to simulate the signal
strength fluctuations that were expected from Huygens.

When Cassini appeared over the horizon, the test sequence began. Smeds’s
test signal was transmitted to Cassini at a given power level for 5
minutes at a time before moving on to another power level. Cassini was
now so far from Earth—430 million km away, somewhere in the asteroid
belt—that it took 48 minutes for the signal to reach the probe and be
relayed back to Goldstone. The signal from Cassini was then sent to ESOC
in Darmstadt for decoding and verification; the center kept in touch
with Smeds during the test by fax and phone.

Soon, it became obvious that something was very wrong. Darmstadt
reported that it was picking up the carrier signal, but none of the
simulated telemetry was coming through. The data in the decoded signal
was a mess. As Smeds worked through his test sequence, the situation
grew even more puzzling, as Darmstadt would occasionally get short
bursts of good data. “Specific things were very confusing. When you
increase the power, you expect the signal to get better. Initially it
did, but then when I increased the power even more, the data was
corrupted again,” Smeds told Spectrum.

After the day’s test sequence, Smeds kept thinking about the scrambled
data during the hour-long drive back to Barstow, Calif., the nearest
town to Goldstone with a motel. He started to get a hunch that the
problem didn’t have anything to do with signal strength but with Doppler
shift. He was running out of time, however, to test theories—he had only
a few hours the next day at Goldstone before the communications pass
would be over. It would be months before another test could be arranged,
because other investigators were in line to communicate with their
equipment onboard Cassini.

Smeds decided to carve out some more time for himself. The next day he
cut each step in the official test sequence from 5 minutes to 2,
allowing him to finish early.

Now he could act on his intuition. He called up Goldstone’s
signal-processing center and had it reduce the simulated Doppler shift
of the signal reaching Cassini to zero. Forty-eight minutes later—light
speed to the asteroid belt and back—Smeds’s hunch paid off. “Suddenly I
got better results. I knew then that there was something wrong in the
data-detection system and that it was sensitive to Doppler shift,” said
Smeds.

Even with the test results in hand, Smeds was greeted with some
skepticism on his return to Darmstadt. “Some people didn’t believe me,”
he chuckles. They thought that “something was wrong with the test setup.
But I had the engineering model, and I continued doing tests on the
ground and doing more investigations. I could demonstrate the effect of
the Doppler shift and the effect it had on the data reception.”

By September 2000, Smeds and his allies had managed to convince ESA that
the problem was real and that it was time to tell NASA. “Without Smeds,
we wouldn’t have known we had a problem,” says JPL’s Mitchell. Adds
Zarnecki, “The guys who pushed the original test through are heroes.”

But what had gone wrong?

**ESA immediately convened an inquiry board,** with two NASA observers.
One of them was Richard Horttor, who was then JPL’s telecommunications
system engineer for the Cassini project. He recalls, “We worked our way
out by being totally candid from top to bottom once we detected the
problem. There was no hesitancy or lack of resources. Nor was there any
‘nation-to-nation finger-pointing.’ ”

The board discovered that Alenia Spazio SpA, the Rome-based company that
built the radio link, had properly anticipated the need to make the
receiver sensitive over a wide enough range of frequencies to detect
Huygens’s carrier signal even when Doppler shifted. But it had
overlooked another subtle consequence: Doppler shift would affect not
just the frequency of the carrier wave that the probe’s vital
observations would be transmitted on but also the digitally encoded
signal itself. In effect, the shift would push the signal out of synch
with the timing scheme used to recover data from the phase-modulated
carrier.

Because of Doppler shift, the frequency at which bits would be arriving
from Huygens would be significantly different from the nominal data rate
of 8192 bits per second. As the radio wave from the lander was
compressed by Doppler shift, the data rate would increase as the length
of each bit was reduced.

Although the receiver’s decoder could accommodate small shifts in the
received data rate, it was completely out of its league here. The
incoming signal was doomed to be chopped up into chunks that didn’t
correspond to the actual data being sent, and as a result the signal
decoder would produce a stream of binary junk. The situation would be
like trying to watch a scrambled TV channel—the TV’s tuned in fine, but
you still can’t make out the picture.

Alenia Spazio wasn’t alone in missing the impact Doppler shift would
have on the decoder. All the design reviews of the communications link,
including those conducted with NASA participation, also failed to notice
the error that would threaten to turn Huygens’s moment of glory into an
embarrassing failure.

Alenia Spazio’s insistence on confidentiality may have played a role in
this oversight. NASA reviewers were never given the specs of the
receiver. As JPL’s Mitchell explained to Spectrum, “Alenia Spazio
considered JPL to be a competitor and treated the radio design as
proprietary data.” JPL’s Horttor admitted that NASA probably could have
insisted on seeing the design if it had agreed to sign standard
nondisclosure agreements, but NASA didn’t consider the effort
worthwhile, automatically assuming Alenia Spazio would compensate for
the changing data rate.

Horttor never got an explanation of why Alenia Spazio’s telemetry system
was built with a timing system that couldn’t accommodate the Doppler
shift in Huygens’s telemetry. “It is a design feature of another
application in Earth orbit, and they just reused it,” he told Spectrum,
adding, “I don’t know why anyone would ever want to build it that way.”
(An Alenia Spazio spokeswoman said that none of the company’s officials
were available to comment because of a company-wide summer vacation
period.)

Frustratingly, engineers discovered that the timing scheme was
implemented by firmware loaded in Cassini’s receiver; a trivial change
to some operating parameters would have fixed Cassini’s comprehension
problem. But the firmware could not be altered after launch.

Now, the question remained: how to save Huygens’s mission?

**From a variety of proposed fixes,** the Cassini team crafted a
response plan that centered on reducing the Doppler shift sufficiently
to keep the data signal within the recognition range of the receiver.
They accomplished this trick by altering the planned trajectory of
Cassini. Now, Cassini will be much farther from Titan when Huygens
enters its atmosphere. As a result of this geometrical rearrangement,
the probe’s major deceleration component will be perpendicular to the
Huygens-Cassini line of sight rather than mostly along it. This simple
change literally sidesteps the Doppler shift problem, as the radio waves
coming out perpendicular to Huygens’s direction of motion will be
neither stretched nor compressed.

By the time NASA and ESA realized a rearrangement was needed,
interplanetary navigation experts had already laboriously developed
Cassini’s multiyear flight plan to maximize the number of visits to
Saturn’s moons. There were to be 44 close fly-by passes of Titan, 8
close passes of smaller moons, and between 50 and 100 more distant
passes of these other moons. Reconstructing this celestial ballet from
scratch would have been prohibitively expensive.

So the navigators designed a trajectory in which Cassini initially
enters a lower and faster orbit around Saturn, drops off Huygens, and
then hits a specific point in space that coincides with a point on the
previously planned path. There Cassini fires its rocket engine again to
get back on the original course. During this altered period, it will
make three orbits of Saturn instead of the original two, but the extra
rocket fuel needed to make the changes is available because Cassini’s
navigation has been so precise that a lot of fuel allocated to course
corrections has not been used.

The upshot of this maneuvering is that instead of landing on Titan in
November 2004, Huygens will now be deployed on 24 December 2004 for a 14
January 2005 landing. The lander still faces enormous engineering
challenges as it ventures into the unknown conditions of Titan’s
atmosphere and surface. But at least now it has a fighting chance to
transmit its findings back to Earth.

As for Smeds, ESA’s staff association awarded him and some of his
colleagues a plaque and a small cash prize for their role in saving the
$300 million mission, though Smeds told Spectrum that he is still
looking forward to his real reward: “I hope to sit in Darmstadt and see
the data coming in on the screen in January.”

## About the author

James Oberg is a 22-year veteran of NASA mission control. He is now a
writer and consultant in Houston. His last article for IEEE Spectrum was
in August, about the first private suborbital spacecraft, SpaceshipOne.

Stephen Cass contributed additional reporting for this article.

## To Probe Further

For more information on the Cassini-Huygens Mission, go to
<http://saturn.jpl.nasa.gov/home/index.cfm>.

[Download a PDF version of the article](/ns/pdfs/1004titan.pdf).
