---
created_at: '2016-07-11T16:16:20.000Z'
title: My Time with Richard Feynman (2005)
url: https://backchannel.com/my-time-with-richard-feynman-8e15ef968e75#.4xv7d04of
author: jonbaer
points: 95
story_text: 
comment_text: 
num_comments: 19
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1468253780
_tags:
- story
- author_jonbaer
- story_12072089
objectID: '12072089'
year: 2005

---
#### “You and I are very lucky,” he said to me once. “Because whatever else is going on, we’ve always got our physics.”

![](https://www.wired.com/wp-content/uploads/2016/07/13Ct8DXLHQRJxNXQWbk6yFQ-1.jpeg)  
Richard Feynman and Stephen WolframTranscribed from a talk given at the
Boston Public Library, April 2005. This essay is in Stephen Wolfram’s
[Idea Makers: Personal Perspectives on the Lives & Ideas of Some Notable
People](https://www.amazon.com/Idea-Makers-Personal-Perspectives-Notable/dp/1579550037/wolframresearch-20?tag=w050b-20)

![](https://www.wired.com/wp-content/uploads/2016/07/1t6Jsgbu_bU84ZZkgxw8G8A-2.png)I
[**first met Richard
Feynman**](http://www.wolframalpha.com/input/?i=richard+feynman) when I
was 18, and he was 60. And over the course of ten years, I think I got
to know him fairly well. First when I was in the physics group at
Caltech. And then later when we both consulted for a once-thriving
Boston company called Thinking Machines Corporation. I actually don’t
think I’ve ever talked about Feynman in public before. And there’s
really so much to say, I’m not sure where to start.

But if there’s one moment that summarizes Richard Feynman and my
relationship with him, perhaps it’s this. It was probably 1982. I’d been
at Feynman’s house, and our conversation had turned to some kind of
unpleasant situation that was going on. I was about to leave. And
Feynman stopped me and said, “You know, you and I are very lucky.
Because whatever else is going on, we’ve always got our physics.”

Feynman loved doing physics. I think what he loved most was the process
of it. Of calculating. Of figuring things out. It didn’t seem to matter
to him so much if what came out was big and important. Or esoteric and
weird. What mattered to him was the process of finding it. And he was
often quite competitive about it.

Some scientists (myself probably included) are driven by the ambition to
build grand intellectual edifices. I think Feynman — at least in the
years I knew him — was much more driven by the pure pleasure of actually
doing the science. He seemed to like best to spend his time figuring
things out, and calculating. And he was a great calculator. All around
perhaps the best human calculator there’s ever been.

Here’s a page from my files: quintessential Feynman. Calculating a
Feynman
diagram:

![](https://www.wired.com/wp-content/uploads/2016/07/1hiQFvQlRoLLcGqDU5-lD8g-1.gif)It’s
kind of interesting to look at. His style was always very much the same.
He always just used regular calculus and things. Essentially
nineteenth-century mathematics. He never trusted much else. But wherever
one could go with that, Feynman could go. Like no one else.

I always found it incredible. He would start with some problem, and fill
up pages with calculations. And at the end of it, he would actually get
the right answer\! But he usually wasn’t satisfied with that. Once he’d
gotten the answer, he’d go back and try to figure out why it was
obvious. And often he’d come up with one of those classic Feynman
straightforward-sounding explanations. And he’d never tell people about
all the calculations behind it. Sometimes it was kind of a game for him:
having people be flabbergasted by his seemingly instant physical
intuition, not knowing that really it was based on some long, hard
calculation he’d done.

He always had a fantastic formal intuition about the innards of his
calculations. Knowing what kind of result some integral should have,
whether some special case should matter, and so on. And he was always
trying to sharpen his intuition.

You know, I remember a time — it must have been the summer of 1985 —
when I’d just discovered a thing called rule 30. That’s probably my own
all-time favorite scientific discovery. And that’s what launched a lot
of the whole new kind of science that I’ve spent 20 years building (and
wrote about in [my
book](http://www.wolframscience.com/nksonline/page-27) A New Kind of
Science).

![](https://www.wired.com/wp-content/uploads/2016/07/1y3Svp15U9vEJkG0ofbf2qg-1.gif)Well,
Feynman and I were both visiting Boston, and we’d spent much of an
afternoon talking about rule 30. About how it manages to go from that
little black square at the top to make all this complicated stuff. And
about what that means for physics and so on. \[See A New Kind of
Science,
[page 30](http://www.wolframscience.com/nksonline/page-30).\]

![](https://www.wired.com/wp-content/uploads/2016/07/16zzy5bIva5rtm0lVIUVbyQ-1.gif)Well,
we’d just been crawling around the floor — with help from some other
people — trying to use meter rules to measure some feature of a giant
printout of it. And Feynman took me aside, rather conspiratorially, and
said, “Look, I just want to ask you one thing: how did you know rule 30
would do all this crazy stuff?” “You know me,” I said. “I didn’t. I just
had a computer try all the possible rules. And I found it.” “Ah,” he
said, “now I feel much better. I was worried you had some way to figure
it out.”

Feynman and I talked a bunch more about rule 30. He really wanted to get
an intuition for how it worked. He tried bashing it with all his usual
tools. Like he tried to work out what the slope of the line between
order and chaos is. And he calculated. Using all his usual calculus and
so on. He and his son Carl even spent a bunch of time trying to crack
rule 30 using a
computer.

![](https://www.wired.com/wp-content/uploads/2016/07/1-cqmdmHwYU9PtWNRQ-Yf1Q-1.jpeg)![](https://www.wired.com/wp-content/uploads/2016/07/1lPDhsgXyfSoTAO7QLd42bA-1.jpeg)And
one day he calls me and says, “OK, Wolfram, I can’t crack it. I think
you’re on to something.” Which was very encouraging.

Feynman and I tried to work together on a bunch of things over the
years. On quantum computers before anyone had ever heard of those. On
trying to make a chip that would generate perfect physical randomness —
or eventually showing that that wasn’t possible. On whether all the
computation needed to evaluate Feynman diagrams really was necessary. On
whether it was a coincidence or not that there’s an e^–H t in
statistical mechanics and an e^iH t in quantum mechanics. On what the
simplest essential phenomenon of quantum mechanics really is.

I remember often when we were both consulting for Thinking Machines in
Boston, Feynman would say, “Let’s hide away and do some physics.” This
was a typical scenario. Yes, I think we thought nobody was noticing that
we were off at the back of a press conference about a new computer
system talking about the nonlinear sigma model. Typically, Feynman would
do some calculation. With me continually protesting that we should just
go and use a computer. Eventually I’d do that. Then I’d get some
results. And he’d get some results. And then we’d have an argument about
whose intuition about the results was better.

I should say, by the way, that it wasn’t that Feynman didn’t like
computers. He even had gone to some trouble to get an early Commodore
PET personal computer, and enjoyed doing things with it. And in 1979,
when I started working on the forerunner of what would become
Mathematica, he was very interested. We talked a lot about how it should
work. He was keen to explain his methodologies for solving problems: for
doing integrals, for notation, for organizing his work. I even managed
to get him a little interested in the problem of language design. Though
I don’t think there’s anything directly from Feynman that has survived
in Mathematica. But his favorite integrals we can certainly
do.

![](https://www.wired.com/wp-content/uploads/2016/07/172MJCYWzvpS0AogmfRg_og-1.gif)![](https://www.wired.com/wp-content/uploads/2016/07/1WfJHqFINZMzwSZcEd-lEyA-1.jpeg)You
know, it was sometimes a bit of a liability having Feynman involved.
Like when I was working on SMP — the forerunner of Mathematica — I
organized some seminars by people who’d worked on other systems. And
Feynman used to come. And one day a chap from a well-known computer
science department came to speak. I think he was a little tired, and he
ended up giving what was admittedly not a good talk. And it degenerated
at some point into essentially telling puns about the name of the system
they’d built. Well, Feynman got more and more annoyed. And eventually
stood up and gave a whole speech about how “If this is what computer
science is about, it’s all nonsense….” I think the chap who gave the
talk thought I’d put Feynman up to this. And has hated me for 25 years…

You know, in many ways, Feynman was a loner. Other than for social
reasons, he really didn’t like to work with other people. And he was
mostly interested in his own work. He didn’t read or listen too much; he
wanted the pleasure of doing things himself. He did used to come to
physics seminars, though. Although he had rather a habit of using them
as problem-solving exercises. And he wasn’t always incredibly sensitive
to the speakers. In fact, there was a period of time when I organized
the theoretical physics seminars at Caltech. And he often egged me on to
compete to find fatal flaws in what the speakers were saying. Which led
to some very unfortunate incidents. But also led to some interesting
science.

One thing about Feynman is that he went to some trouble to arrange his
life so that he wasn’t particularly busy — and so he could just work on
what he felt like. Usually he had a good supply of problems. Though
sometimes his long-time assistant would say: “You should go and talk to
him. Or he’s going to start working on trying to decode Mayan
hieroglyphs again.” He always cultivated an air of irresponsibility.
Though I would say more towards institutions than people.

And I was certainly very grateful that he spent considerable time trying
to give me advice — even if I was not always great at taking it. One of
the things he often said was that “peace of mind is the most important
prerequisite for creative work.” And he thought one should do everything
one could to achieve that. And he thought that meant, among other
things, that one should always stay away from anything worldly, like
management.

Feynman himself, of course, spent his life in academia — though I think
he found most academics rather dull. And I don’t think he liked their
standard view of the outside world very much. And he himself often
preferred more unusual folk.

Quite often he’d introduce me to the odd characters who’d visit him. I
remember once we ended up having dinner with the rather charismatic
founder of a semi-cult called EST. It was a curious dinner. And
afterwards, Feynman and I talked for hours about leadership. About
leaders like Robert Oppenheimer. And Brigham Young. He was fascinated —
and mystified — by what it is that lets great leaders lead people to do
incredible things. He wanted to get an intuition for that.

You know, it’s funny. For all Feynman’s independence, he was
surprisingly diligent. I remember once he was preparing some fairly
minor conference talk. He was quite concerned about it. I said, “You’re
a great speaker; what are you worrying about?” He said, “Yes, everyone
thinks I’m a great speaker. So that means they expect more from me.” And
in fact, sometimes it was those throwaway conference talks that have
ended up being some of Feynman’s most popular pieces. On nanotechnology.
Or foundations of quantum theory. Or other things.

You know, Feynman spent most of his life working on prominent current
problems in physics. But he was a confident problem solver. And
occasionally he would venture outside, bringing his “one can solve any
problem just by thinking about it” attitude with him. It did have some
limits, though. I think he never really believed it applied to human
affairs, for example. Like when we were both consulting for Thinking
Machines in Boston, I would always be jumping up and down about how if
the management of the company didn’t do this or that, they would fail.
He would just say, “Why don’t you let these people run their company; we
can’t figure out this kind of stuff.” Sadly, the company did in the end
fail. But that’s another
story.

![](https://www.wired.com/wp-content/uploads/2016/07/1uW_l9n54f47SZbPxRBEq2A-3.png)
