---
created_at: '2009-06-11T13:05:17.000Z'
title: 'Polyphasic Sleep: One Man''s 6-Month Experiment (2005)'
url: http://www.stevepavlina.com/blog/2005/10/polyphasic-sleep/
author: thinkzig
points: 60
story_text: ''
comment_text: 
num_comments: 61
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1244725517
_tags:
- story
- author_thinkzig
- story_652650
objectID: '652650'
year: 2005

---
A couple days ago, I saw a post about **polyphasic sleep** on
[LifeHack.org](http://www.lifehack.org/articles/lifehack/information-list-of-polyphasic-sleep.html).
Since then I’ve been emailed about this topic as well, probably because
I’ve written previously about [becoming an early
riser](https://www.stevepavlina.com/blog/2005/05/how-to-become-an-early-riser/).

Polyphasic sleep involves taking multiple short sleep periods throughout
the day instead of getting all your sleep in one long chunk. A popular
form of polyphasic sleep, the [Uberman sleep
schedule](http://www.kuro5hin.org/story/2002/4/15/103358/720), suggests
that you sleep 20-30 minutes six times per day, with equally spaced naps
every 4 hours around the clock. This means you’re only sleeping 2-3
hours per day. I’d previously heard of polyphasic sleep, but until now I
hadn’t come across practical schedules that people seem to be reporting
interesting results with.

Under this sleep schedule, your sleep times might be at 2am, 6am, 10am,
2pm, 6pm, and 10pm. And each time you’d sleep for only 20-30 minutes.
This is nice because the times are the same whether AM or PM, and
they’re consistent from day to day as well, so you can still maintain
a regular daily schedule, albeit a very different one.

How can this sleep schedule work? Supposedly it takes about a week to
adjust to it. A normal sleep cycle is 90 minutes, and REM sleep occurs
late in this cycle. REM is the most important phase of sleep, the one in
which you experience dreams, and when deprived of REM for too long, you
suffer serious negative consequences. Polyphasic sleep conditions your
body to learn to enter REM sleep immediately when you begin sleeping
instead of much later in the sleep cycle. So during the first week you
experience sleep deprivation as your body learns to adapt to shorter
sleep cycles, but after the adaptation you’ll feel fine, maybe even
better than before.

It requires some discipline to successfully transition to this cycle, as
well as a flexible schedule that allows it. While you’ll be sleeping a
lot less, apparently it’s very important to sleep at the required times
and not miss naps.

It was interesting to read some of the
[posts](http://www.everything2.com/index.pl?node_id=892542) from people
who’ve tried this sleep cycle. They reported higher alertness and
energy, more vivid dreams and more lucid dreams, and of course lots of
extra free time. I also read of failures, but in each case the person
wasn’t strict about the nap schedule and overslept on occasion. A side
effect of this sleep schedule is that you need to eat more, since you’re
spending more time moving around. It appears that the long term health
effects of this sleep pattern aren’t well known. That’s irrelevant to me
though because I find that being a long-term vegan, I can’t rely much on
long-term studies done on non-vegans anyway. Some say that hormones in
animal products negatively affect sleep patterns, and more restful sleep
is commonly reported after making dietary improvements. So long-term
studies on people eating average diets wouldn’t be of much use to me
personally.

The downside to this sleep schedule is that it can be inflexible. I’ve
read that you can delay naps by an hour if necessary, but missing a nap
can cause a rapid crash that takes a while to recover from. This means
you only have about 3.5 hours of waking time between naps, 4.5 hours if
you push it. So this can restrict your options a bit. Of course, you
have to balance that sacrifice against the gain of many extra hours per
day, every day. Interesting trade off…. It reminds me of something you’d
find in The Book of Questions.

Plus it’s just plain weird. So naturally I want to try it. 🙂

Since I work from home and have control over my schedule, I’ve decided
to test polyphasic sleep to see what it’s like. I’m already good at
falling asleep fast (within a few minutes), and I often have dreams
during 15-20 minute naps, so I wonder if I’ve partially conditioned
myself to enter REM rapidly. This test obviously requires a bit of
adjustment, but I’ve managed to work things out with my wife to make it
practical enough. Since I’ve read that energy and alertness plummet
during the first week, I’ve kept next week’s schedule very light
mentally (no meetings, speeches, or major projects). Depending on how
functional and coherent I am during the adjustment period, I’ll be doing
mostly domestic projects like organizing the garage — nothing involving
power tools. 🙂

I’m starting this polyphasic sleep schedule today, so last night was my
last night of “normal” sleep for a while. I still got up at 5am this
morning, and then I’ll begin doing the naps every 4 hours starting this
afternoon. I’ll use a countdown timer alarm set for 30 minutes, so I
won’t oversleep. I’ve decided that my sleep times will be 1am, 5am,
9am, 1pm, 5pm, and 9pm. I aim to continue at least until Halloween… or
death, whichever comes first. If it seems to be going well and I retain
basic functionality, then I’ll decide whether I want to continue with
it.

My main motivation for trying this is curiosity, and it seems like it
would be a fun test of self-discipline. Plus it meshes nicely with my
own general weirdness. Whether the experiment succeeds or fails, it
should be an interesting learning experience.

Of course I’ll be sure to blog about this experience, but if I start
making posts about seeing dead people, then you’ll know I’ve become
delusional due to sleep deprivation. 😉

What would you do with an extra 30-40 hours of free time per week?

[Read more about polyphasic sleep on
Wikipedia.](http://en.wikipedia.org/wiki/Polyphasic_sleep)

Edit 4/14/06: For your convenience, here are links to all of my
polyphasic sleep log entries in order (each link will open in a new
window). This is a treasure trove of free information for anyone
interested in learning about my trial of polyphasic sleep. To my
knowledge these are the most detailed polyphasic sleep logs you’ll be
able to find anywhere on the web.

Sleep well\!

Receive Steve's [new articles by
email](https://www.stevepavlina.com/blog-posts-by-email/).

### Read related articles:
