---
created_at: '2017-12-19T13:48:02.000Z'
title: In Raising the World’s I.Q., the Secret’s in the Salt (2006)
url: http://www.nytimes.com/2006/12/16/health/16iodine.html
author: nabla9
points: 255
story_text: 
comment_text: 
num_comments: 197
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1513691282
_tags:
- story
- author_nabla9
- story_15960133
objectID: '15960133'
year: 2006

---
The most visible and severe effects — disabling goiters, cretinism and
dwarfism — affect a tiny minority, usually in mountain villages. But 16
percent of the world’s people have at least mild goiter, a swollen
thyroid gland in the neck.

“Find me a mother who wouldn’t pawn her last blouse to get iodine if she
understood how it would affect her fetus,” said Jack C. S. Ling,
chairman of the International Council for Control of Iodine Deficiency
Disorders, a committee of about 350 scientists formed in 1985 to
champion iodization.

The 1990 World Summit for Children called for the elimination of iodine
deficiency by 2000, and the subsequent effort was led by Professor
Ling’s organization along with Unicef, the World Health Organization,
Kiwanis International, the World Bank and the foreign aid agencies of
Canada, Australia, the Netherlands, the United States and others.

Largely out of the public eye, they made terrific progress: 25 percent
of the world’s households consumed iodized salt in 1990. Now, about 66
percent do.

But the effort has been faltering lately. When victory was not achieved
by 2005, donor interest began to flag as
[AIDS](http://topics.nytimes.com/top/news/health/diseasesconditionsandhealthtopics/aids/index.html?inline=nyt-classifier "Recent and archival health news about AIDS/HIV."),
[avian
flu](http://topics.nytimes.com/top/news/health/diseasesconditionsandhealthtopics/avianinfluenza/index.html?inline=nyt-classifier "Recent and archival health news about avian influenza.")
and other threats got more attention.

And, like all such drives, it cost more than expected. In 1990, the
estimated price tag was $75 million — a bargain compared with, for
example, the fight against
[polio](http://topics.nytimes.com/top/news/health/diseasesconditionsandhealthtopics/poliomyelitis/index.html?inline=nyt-classifier "Recent and archival health news about polio."),
which has consumed about $4 billion.

Since then, according to David P. Haxton, the iodine council’s executive
director, about $160 million has been spent, including $80 million from
Kiwanis and $15 million from the Gates Foundation, along with unknown
amounts spent on new equipment by salt companies.

Advertisement

[Continue reading the main story](#story-continues-4)

“Very often, I’ll talk to a salt producer at a meeting, and he’ll have
no idea he had this power in his product,” Mr. Haxton said. “He’ll say
‘Why didn’t you tell me? Sure, I’ll do it. I would have done it
sooner.’ ”

In many places, like Japan, people get iodine from seafood, seaweed,
vegetables grown in iodine-rich soil or animals that eat grass grown in
that soil. But even wealthy nations, including the United States and in
Europe, still need to supplement that by iodizing salt.

The cheap part, experts say, is spraying on the iodine. The expense is
always for the inevitable public relations battle.

In some nations, iodization becomes tarred as a government plot to
poison an essential of life — salt experts compare it to the furious
opposition by 1950s conservatives to fluoridation of American water.

Photo

In others, civil libertarians demand a right to choose plain salt, with
the result that the iodized kind rarely reaches the poor. Small salt
makers who fear extra expense often lobby against it. So do makers of
iodine pills who fear losing their market.

Rumors inevitably swirl: iodine has been blamed for AIDS,
[diabetes](http://topics.nytimes.com/top/news/health/diseasesconditionsandhealthtopics/diabetes/index.html?inline=nyt-classifier "Recent and archival health news about diabetes."),
seizures, impotence and peevishness. Iodized salt, according to
different national rumor mills, will make pickled vegetables explode,
ruin caviar or soften hard cheese.

Breaking down that resistance takes both money and leadership.

“For 5 cents per person per year, you can make the whole population
smarter than before,” said Dr. Gerald N. Burrow, a former dean of Yale’s
medical school and vice chairman of the iodine council.

“That has to be good for a country. But you need a government with the
political will to do it.”

**‘Scandal’ of Stunted Children**

Advertisement

[Continue reading the main story](#story-continues-5)

In the 1990s, when the campaign for iodization began, the world’s
greatest concentration of iodine-deficient countries was in the
landlocked former Soviet republics of Central Asia.

All of them — Kazakhstan, Turkmenistan, Tajikistan, Uzbekistan,
Kyrghzstan — saw their economies break down with the collapse of the
Soviet Union. Across the region, only 28 percent of all households used
iodized salt.

“With the collapse of the system, certain babies went out with the
bathwater, and iodization was one of them,” said Alexandre Zouev, chief
Unicef representative in Kazakhstan.

Dr. Toregeldy Sharmanov, who was the Kazakh Republic’s health minister
from 1971 to 1982, when it was in the Soviet Union, said the problem was
serious even then. But he had been unable to fix it because policy was
set in Moscow.

“Kazakh children were stunted compared to the same-age Russian
children,” he said. “But they paid no attention. It was a scandal.”

In 1996, Unicef, which focuses on the health of children, opened its
first office in Kazakhstan and arranged for a survey of 5,000
households. It found that 10 percent of the children were stunted,
opening the way for international aid. (Stunting can have many causes,
but iodine deficiency is a prime culprit.)

## Newsletter Sign Up

[Continue reading the main story](#continues-post-newsletter)

### 

Please verify you're not a robot by clicking the box.

Invalid email address. Please re-enter.

You must select a newsletter to subscribe to.

You agree to receive occasional updates and special offers for The New
York Times's products and services.

### Thank you for subscribing.

### An error has occurred. Please try again later.

[View all New York Times newsletters.](/newsletters)

In neighboring Turkmenistan, President Saparmurat Niyazov — a despot who
requires all clocks to bear his likeness and renamed the days of the
week after his family — solved the problem by simply declaring plain
salt illegal in 1996 and ordering shops to give each citizen 11 pounds
of iodized salt a year at state expense.

In Kazakhstan, the democratic credentials of President Nursultan A.
Nazarbayev, who has ruled since 1991, have come under criticism, but he
does not rule by decree. “Those days are over,” said Ms. Sivryukova of
the confederation of Kazakh charities. “Businesses are private now. They
don’t follow the president’s orders.”

Importantly, however, the president was supportive. But even so, as soon
as Parliament began debating mandatory iodization in 2002, strong
lobbies formed against the measure.

Advertisement

[Continue reading the main story](#story-continues-6)

The country’s biggest salt company was initially reluctant to cooperate,
fearing higher costs, a Unicef report said. Cardiologists argued against
iodization, fearing it would encourage people to use more salt, which
can raise [blood
pressure](http://topics.nytimes.com/top/news/health/diseasesconditionsandhealthtopics/bloodpressure/index.html?inline=nyt-classifier "Recent and archival health news about blood pressure.").
More insidious, Dr. Sharmanov said, were private companies that sold
iodine pills.

“They promoted their products in the mass media, saying iodized salt was
dangerous,” he said, shaking his head.

So Dr. Sharmanov, the national Health Ministry, Ms. Sivryukova and
others devised a marketing campaign — much of it paid for by American
taxpayers, through money given to Unicef by the United States Agency for
International Development.

Comic strips starring a hooded crusader, Iodine Man, rescuing a
slow-witted student from an enraged teacher were handed out across the
country.

Photo

A logo was designed for food packages certified to contain iodized salt:
a red dot and a curved line in a circle, meant to represent a face with
a smile so big that the eyes are squeezed shut.

Also, Ms. Sivryukova’s network of local charity women stepped in. As in
all ex-Soviet states, government advice is regarded with suspicion,
while civic organizations have credibility.

Her volunteers approached schools, asking teachers to create dictation
exercises about iodized salt and to have students bring salt from home
to test it for iodine in science class.

Ms. Sivryukova described one child’s tears when he realized he was the
only one in his class with noniodized salt.

Advertisement

[Continue reading the main story](#story-continues-7)

The teacher, she said, reassured him that it was not his fault.
“Children very quickly start telling their parents to buy the right
salt,” she said.

One female volunteer went to a bus company and rerecorded its
“next-stop” announcements interspersed with short plugs for iodized
salt. “She had a very sexy voice, and men would tell the drivers to play
it again,” Ms. Sivryukova said.

Even the former world chess champion Anatoly Karpov, who is a hero
throughout the former Soviet Union for his years as champion, joined the
fight. “Eat iodized salt,” he advised schoolchildren in a television
appearance, “and you will grow up to be grandmasters like me.”

Mr. Karpov, in particular, handled hostile journalists adeptly, Mr.
Zouev said, deflecting inquiries as to why he did not advocate letting
people choose iodized or plain salt by comparing it to the right to have
two taps in every home, one for clean water and one for dirty.

By late 2003, the Parliament finally made iodization mandatory.

**In Aral, Mountains Made of Salt**

Today in central Kazakhstan, a miniature mountain range rises over Aral,
a decaying factory town on what was once the shore of the Aral Sea, a
salt lake that has steadily shrunk as irrigation projects begun under
Stalin drained the rivers that feed it.

Drive closer and the sharp white peaks turn out to be a small Alps of
salt — the Aral Tuz Company stockpile. Salt has been dug here for
centuries. Nowadays, a great rail-mounted combine chews away at a
10-foot-thick layer of salt in the old seabed, before it is towed 11
miles back to the plant, and washed and ground. Before it reaches the
packaging room, as the salt falls through a chute from one conveyor belt
to another, a small pump sprays iodine into the grainy white cascade.
The step is so simple that, if it were not for the women in white lab
coats scooping up samples, it would be missed.

The $15,000 tank and sprayer were donated by Unicef, which also used to
supply the potassium iodate. Today Aral Tuz and its smaller rival,
Pavlodar Salt, buy their own.

Asked about the Unicef report saying that Aral Tuz initially resisted
iodization on the grounds that it would eat up 7 percent of profits, the
company’s president, Ontalap Akhmetov, seemed puzzled. “I’ve only been
president three years,” he said. “But that makes no sense.” The expense,
he said, was minimal. “Only a few cents a ton.”

Advertisement

[Continue reading the main story](#story-continues-8)

Kazakhstan was lucky. It had just the right mix of political and
economic conditions for success: political support, 98 percent literacy,
an economy helped along by rising prices for its oil and gas. Most
important, perhaps, one company, Aral Tuz, makes 80 percent of the
edible salt.

That combination is missing in many nations where iodine deficiency
remains a health crisis. In nearby Pakistan, for instance, where 70
percent of households have no iodized salt, there are more than 600
small salt producers.

“If a country has a reasonably well-organized salt system and only a
couple of big producers who get on the bandwagon, iodization works,”
said Venkatesh Mannar, a former salt producer in India who now heads the
Micronutrient Initiative in Ottawa, which seeks to fortify the foods of
the world’s poor with iodine, iron and other minerals. “If there are a
lot of small producers, it doesn’t.”

Now that Kazakhstan has its law, Ms. Sivryukova’s volunteers have not
let up their vigilance. They help enforce it by going to markets, buying
salt and testing it on the spot. The government has trained customs
agents to test salt imports and fenced some areas where people dug their
own salt. Children still receive booklets and instruction.

Experts agree the country is unlikely to slip back into neglect. Surveys
find consumers very aware of iodine, and the red-and-white logo is such
a hit that food producers have asked for permission to use it on foods
with added iron or folic acid, said Dr. Sharmanov, the former Kazakh
Republic health minister. And the salt is working. In the 1999 survey
that found stunted children, a smaller sampling of urine from women of
child-bearing age found that 60 percent had suboptimal levels of iodine.

“We just did a new study, which is not released yet,” said Dr. Feruza
Ospanova, head of the
[nutrition](http://topics.nytimes.com/top/news/health/diseasesconditionsandhealthtopics/diet/index.html?inline=nyt-classifier "Recent and archival health news about diet and nutrition.")
academy’s laboratory. “The number was zero percent.”

[Continue reading the main story](#whats-next)
