---
created_at: '2013-03-02T20:35:25.000Z'
title: The Secret Tesla Motors Master Plan (2006)
url: http://www.teslamotors.com/blog/secret-tesla-motors-master-plan-just-between-you-and-me
author: mactitan
points: 349
story_text: ''
comment_text: 
num_comments: 188
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1362256525
_tags:
- story
- author_mactitan
- story_5310911
objectID: '5310911'
year: 2006

---
Background: My day job is running a space transportation company called
[SpaceX](http://www.spacex.com "SpaceX"), but on the side I am the
chairman of Tesla Motors and help formulate the business and product
strategy with Martin and the rest of the team. I have also been Tesla
Motor's primary funding source from when the company was just three
people and a business plan.

As you know, the initial product of Tesla Motors is a high performance
electric sports car called the Tesla Roadster. However, some readers may
not be aware of the fact that our long term plan is to build a wide
range of models, including affordably priced family cars. This is
because the overarching purpose of Tesla Motors (and the reason I am
funding the company) is to help expedite the move from a mine-and-burn
hydrocarbon economy towards a solar electric economy, which I believe to
be the primary, but not exclusive, sustainable solution.

Critical to making that happen is an electric car without compromises,
which is why the Tesla Roadster is designed to beat a gasoline sports
car like a Porsche or Ferrari in a head to head showdown. Then, over and
above that fact, it has twice the energy efficiency of a Prius. Even so,
some may question whether this actually does any good for the world. Are
we really in need of another high performance sports car? Will it
actually make a difference to global carbon emissions?

Well, the answers are no and not much. However, that misses the point,
unless you understand the secret master plan alluded to above. Almost
any new technology initially has high unit cost before it can be
optimized and this is no less true for electric cars. The strategy of
Tesla is to enter at the high end of the market, where customers are
prepared to pay a premium, and then drive down market as fast as
possible to higher unit volume and lower prices with each successive
model.

Without giving away too much, I can say that the second model will be a
sporty four door family car at roughly half the $89k price point of the
Tesla Roadster and the third model will be even more affordable. In
keeping with a fast growing technology company, all free cash flow is
plowed back into R\&D to drive down the costs and bring the follow on
products to market as fast as possible. When someone buys the Tesla
Roadster sports car, they are actually helping pay for development of
the low cost family car.

Now I’d like to address two repeated arguments against electric vehicles
— battery disposal and power plant emissions. The answer to the first is
short and simple, the second requires a bit of math:

**Batteries that are not toxic to the environment\!**  
I wouldn’t recommend them as a dessert topping, but the Tesla Motors
Lithium-Ion cells are not classified as hazardous and are landfill safe.
However, dumping them in the trash would be throwing money away, since
the battery pack can be sold to recycling companies (unsubsidized) at
the end of its greater than 100,000-mile design life. Moreover, the
battery isn’t dead at that point, it just has less range.

**Power Plant Emissions aka “The Long Tailpipe”**  
(For a more detailed version of this argument, please see the [white
paper](/display_data/twentyfirstcenturycar.pdf) written by Martin and
Marc.)

A common rebuttal to electric vehicles as a solution to carbon emissions
is that they simply transfer the CO2 emissions to the power plant. The
obvious counter is that one can develop grid electric power from a
[variety of means](/efficiency/environmental_benefits.php), many of
which, like hydro, wind, geothermal, nuclear, solar, etc. involve no CO2
emissions. However, let’s assume for the moment that the electricity is
generated from a hydrocarbon source like natural gas, the most popular
fuel for new US power plants in recent years.

The H-System Combined Cycle Generator from General Electric is 60%
efficient in turning natural gas into electricity. "Combined Cycle" is
where the natural gas is burned to generate electricity and then the
waste heat is used to create steam that powers a second generator.
Natural gas recovery is 97.5% efficient, processing is also 97.5%
efficient and then transmission efficiency over the electric grid is 92%
on average. This gives us a well-to-electric-outlet efficiency of 97.5%
x 97.5% x 60% x 92% = 52.5%.

Despite a body shape, tires and gearing aimed at high performance rather
than peak efficiency, the Tesla Roadster requires 0.4 MJ per kilometer
or, stated another way, will travel 2.53 km per mega-joule of
electricity. The full cycle charge and discharge efficiency of the Tesla
Roadster is 86%, which means that for every 100 MJ of electricity used
to charge the battery, about 86 MJ reaches the motor.

Bringing the math together, we get the final figure of merit of 2.53
km/MJ x 86% x 52.5% = 1.14 km/MJ. Let’s compare that to the Prius and a
few other options normally considered energy efficient.

The fully considered well-to-wheel efficiency of a gasoline powered car
is equal to the energy content of gasoline (34.3 MJ/liter) minus the
refinement & transportation losses (18.3%), multiplied by the miles per
gallon or km per liter. The Prius at an EPA rated 55 mpg therefore has
an energy efficiency of 0.56 km/MJ. This is actually an excellent number
compared with a “normal” car like the Toyota Camry at 0.28 km/MJ.

Note the term hybrid as applied to cars currently on the road is a
misnomer. They are really just gasoline powered cars with a little
battery assistance and, unless you are one of the handful who have an
aftermarket hack, the little battery has to be charged from the gasoline
engine. Therefore, they can be considered simply as slightly more
efficient gasoline powered cars. If the EPA certified mileage is 55 mpg,
then it is indistinguishable from a non-hybrid that achieves 55 mpg. As
a friend of mine says, a world 100% full of Prius drivers is still 100%
addicted to oil.

The CO2 content of any given source fuel is well understood. Natural gas
is 14.4 grams of carbon per mega-joule and oil is 19.9 grams of carbon
per mega-joule. Applying those carbon content levels to the vehicle
efficiencies, including as a reference the Honda combusted natural gas
and Honda fuel cell natural gas vehicles, the hands down winner is pure
electric:

**Car** **Energy Source** **CO2 Content** **Efficiency** **CO2
Emissions** Honda CNG Natural Gas 14.4 g/MJ 0.32 km/MJ 45.0 g/km Honda
FCX Nat Gas-Fuel Cell 14.4 g/MJ 0.35 km/MJ 41.1 g/km Toyota Prius Oil
19.9 g/MJ 0.56 km/MJ 35.8 g/km Tesla Roadster Nat Gas-Electric 14.4 g/MJ
1.14 km/MJ 12.6 g/km

 

The Tesla Roadster still wins by a hefty margin if you assume the
average CO2 per joule of US power production. The higher CO2 content of
coal compared to natural gas is offset by the negligible CO2 content of
hydro, nuclear, geothermal, wind, solar, etc. The exact power production
mixture varies from one part of the country to another and is changing
over time, so natural gas is used here as a fixed yardstick.

**Becoming Energy Positive**  
I should mention that Tesla Motors will be co-marketing sustainable
energy products from other companies along with the car. For example,
among other choices, we will be offering a modestly sized and priced
solar panel from [SolarCity](http://www.solarcity.com/), a photovoltaics
company (where I am also the principal financier). This system can be
installed on your roof in an out of the way location, because of its
small size, or set up as a carport and will generate about 50 miles per
day of electricity.

If you travel less than 350 miles per week, you will therefore be
“energy positive” with respect to your personal transportation. This
is a step beyond conserving or even nullifying your use of energy for
transport – you will actually be putting more energy back into the
system than you consume in transportation\! **So, in short, the master
plan is:**

1.  Build sports car
2.  Use that money to build an affordable car
3.  Use that money to build an even more affordable car
4.  While doing above, also provide zero emission electric power
    generation options

Don't tell anyone.
