---
created_at: '2015-01-24T10:57:48.000Z'
title: 'LSD: The Geek''s Wonder Drug? (2006)'
url: http://archive.wired.com/science/discoveries/news/2006/01/70015
author: pmoriarty
points: 215
story_text: ''
comment_text: 
num_comments: 215
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1422097068
_tags:
- story
- author_pmoriarty
- story_8939333
objectID: '8939333'
year: 2006

---
BASEL, Switzerland – When Kevin Herbert has a particularly intractable
programming problem, or finds himself pondering a big career decision,
he deploys a powerful mind expanding tool – LSD-25.

"It must be changing something about the internal communication in my
brain. Whatever my inner process is that lets me solve problems, it
works differently, or maybe different parts of my brain are used, " said
Herbert, 42, an early employee of Cisco Systems who says he solved his
toughest technical problems while tripping to drum solos by the Grateful
Dead – who were among the many artists inspired by LSD.

"When I'm on LSD and hearing something that's pure rhythm, it takes me
to another world and into anther brain state where I've stopped thinking
and started knowing," said Herbert who intervened to ban drug testing of
technologists at Cisco Systems.

Herbert, who lives in Santa Cruz, California, joined 2,000 researchers,
scientists, artists and historians gathered here over the weekend to
celebrate the 100th birthday of Albert Hofmann, the Swiss chemist who
discovered LSD here in 1938. The centenarian received a congratulatory
birthday letter from the Swiss president, roses and a spontaneous kiss
from a young woman in the crowd.

In many ways, the conference, LSD: Problem Child and Wonder Drug, an
International Symposium on the Occasion of the 100th Birthday of Albert
Hofmann, was a scientific coming-out party for the drug Hofmann
fathered.

"LSD wanted to tell me something," Hofmann told the gathering Friday.
"It gave me an inner joy, an open mindedness, a gratefulness, open eyes
and an internal sensitivity for the miracles of creation."

Bent with age but still eloquent, Hofmann said he hoped the symposium
would encourage the renewed therapeutic and spiritual use of LSD in
supervised settings.

Lysergic acid diethylamide, a derivative of lysergic acid found in the
alkaloids of the ergot grain fungus, has been illegal worldwide since
the mid-1960s and still generates controversy. The conference was
picketed Saturday by a splinter group from Scientology opposed to drug
use.

The storied history of LSD as a mind-expanding tool began five years
after Hofmann discovered LSD-25, and had what he described as a
"peculiar presentiment" compelling him to resynthesize the drug. Without
ingesting the substance, Hofmann managed to accidentally absorb enough
of the chemical to experience its effects. In a second intentional trip,
Hoffman said he had a frightening experience that gave way to feelings
of rebirth.

During the 1950s and 1960s, LSD was found to be a promising tool for
psychiatry and psychotherapy and was studied by the CIA as a potential
interrogation weapon. It was criminalized after it escaped from the lab
to be widely embraced by the youth culture.

Hofmannn said millions of people have taken LSD, but some had bad
reactions when they took counterfeit drugs. He would like to see a
modern Eleusis, the ancient Greek site that held the rituals of
Eleusinian Mysteries which took place for two millennia beginning in
1500 BC. During the LSD symposium, mythologist Carl P. Ruck and chemist
Peter Webster presented their research suggesting that an ergot
preparation was the active ingredient for the Kykeon beverage used
during the ritual.

"When Hofmann synthesized the chemical in LSD, he stumbled upon a
4,000-year-old secret," said Ruck, author of Road to Eleusis.

In 1958, Hofmann was the first to isolate the psychoactive substances of
psilocybin and psilocin from Mexican magic mushrooms (psilocybe
mexicana) which were among a variety of sacred plants used around the
world to invite ecstatic and spiritual experiences.

The United States Supreme Court is now considering an appeal brought by
the New Mexican chapter of the Uniao do Vegetal, or UDV, which uses the
outlawed ayahauska brew in its ceremonies and cites the Eleusinian
Mysteries as a precedent for a psychoactive Eucharist.

At the symposium, presentations of electronic trance music and
psychedelic art by painter Alex Grey encouraged meditative and spiritual
reflection for participants – especially those in altered states of
consciousness.

Participants eager to describe their modern-day spiritual LSD
experiences were encouraged to contribute to a
[library](http://www.erowid.org) of drug experiences on the Erowid
website. Earth and Fire Erowid, who operate the site, presented a
sampling of comments at the symposium and documented the two to five
known deaths that have been associated with LSD.

Geri Beil of Cologne, Germany, who attended the symposium, recalled his
own ecstatic LSD experience on an Indian beach on New Year's day, 2000.
"I was crying from happiness, so thankful to my parents that they
created me," said Beil. "This experience has not disappeared; it has had
a lasting effect."

Like Herbert, many scientists and engineers also report heightened
states of creativity while using LSD. During a press conference on
Friday, Hofmann revealed that he was told by Nobel-prize-winning chemist
Kary Mullis that LSD had helped him develop the polymerase chain
reaction that helps amplify specific DNA sequences.

"When you study natural science and the miracles of creation, if you
don't turn into a mystic you are not a natural scientist," said Hofmann.

In his presentation, artist Alex Grey noted that Nobel-prize-winner
Francis Crick, discoverer of the double helical structure of DNA, also
told friends he received inspiration for his ideas from LSD, according
to [news reports](http://www.mayanmajix.com/art1699.html).

The gathering included a discussion of how early computer pioneers used
LSD for inspiration. Douglas Englebart, the inventor of the mouse, Myron
Stolaroff, a former Ampex engineer and LSD researcher who was attending
the symposium, and Apple-cofounder Steve Jobs were among them. In the
2005 book What the Dormouse Said, New York Times reporter John Markoff
quotes Jobs describing his LSD experience as "one of the two or three
most important things he has done in his life."

But the symposium wasn't just a census of LSD-using notables. Attendees
included psychotherapists and psychiatrists who discussed research into
the therapeutic usefulness of psychedelic drugs.

Dr. Michael Mithoefer presented the preliminary findings of his study in
Charleston, South Carolina, which is investigating whether MDMA is
effective for treating post-traumatic stress disorder in people
traumatized by crime or war.

Harvard University professor, Dr. John Halpern, discussed his proposed
study – now awaiting DEA approval – using MDMA to treat anxiety in
cancer patients.

The Florida-based Multidisciplinary Association for Psychedelic Studies
(MAPS) is supporting studies and research in Canada investigating the
use of ibogain to treat drug addiction.

And a [study](http://www.canceranxietystudy.org) at the Harbor-UCLA
Medical Center in Los Angeles, supported by the Heffter Research
Institute, is investigating whether psilocybin effectively eases the
anxiety of terminal cancer patients. Psychiatrist Charles Grob says his
research group has located six of the needed 12 subjects and is looking
for more participants.

While the data has yet to be analyzed, Grob told seminar participants
that all the participants in the study have shown promising reactions,
and he applauded the opportunity to share the data in an international
gathering.

"It's very encouraging to see such a large number of people, including
very knowledgeable people, getting together and sharing a common vision
that these compounds have tremendous potential to facilitate healing,
especially in areas that do not respond well to conventional
treatments," said Grob. "There is global healing in these compounds
which have been used for millennia by indigenous people that have much
to teach modern man and modern woman."

MAPS founder Rick Doblin says his goal is to make psychedelic medicines
into prescription drugs, lamenting that LSD is not yet being studied for
therapeutic purposes. "We have been deeply touched by our experiences
with psychedelics and it is hard that there is not a single legal study
with LSD given to humans anywhere in the world," said Doblin. "We need
to bring what is underground and illegal back into a legal context."

But Doblin notes that a group of people who say LSD provides relief from
their cluster headaches have [organized](http://www.clusterbusters.com)
online and are pushing for a study at Harvard to explore a possible
therapy using the drug. If Harvard accepts the MDMA study, Doblin says
it could pave the way for the symbolically important return of
psychedelic research at Harvard that halted during the tenure of
[Timothy Leary](http://www.roninpub.com/TimLea.html). His goal, says
Doblin, is to secure an LSD study in time for Hofmann's 101st birthday.

Dr. Andrew Sewell, a psychiatrist and neurologist from the Harvard
Medical School who studies alcohol and drug abuse, says most problems
with LSD occur when users take an unknown dose they don't feel
comfortable with, in an uncontrolled setting, without supervision to
shield them from dangerous situations.

"LSD flashbacks are well-confirmed phenomenon but they are relatively
rare and don't seem to cause as much trouble as the media would have you
believe," said Dr. Sewell at the LSD symposium.

Dr. Sewell says people who have underlying mental disorders should not
take LSD because it could make their symptoms worse. "Like any powerful
drug, if LSD is used incorrectly it can cause more harm than good," said
Dr. Sewell. "LSD is a potentially dangerous drug and should be taken
under medical supervision."

"There is no evidence that LSD causes permanent brain damage – and quite
a lot of evidence that it doesn't," said Sewell. "We are lucky that we
have over 1,000 papers written in the '50s and '60s when LSD was given
to thousands and thousands of research subjects so we have a pretty good
idea at this point what it does and does not do."

Asked if the world needs his invention, Hofmann said he hoped that the
Basel LSD symposium would help create an appropriate place for LSD in
society.

"I think that in human evolution it has never been as necessary to have
this substance LSD," said Hofmann. "It is just a tool to turn us into
what we are supposed to be."

[See related
slideshow](https://www.wired.com/science/discoveries/multimedia/2006/01/70015)
