---
created_at: '2015-12-26T12:38:14.000Z'
title: The Müller Formula or Predictable Color Preferences (2007)
url: http://www.colourlovers.com/blog/2007/09/02/the-muller-formula-or-predictable-color-preferences
author: pmcpinto
points: 62
story_text: 
comment_text: 
num_comments: 8
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1451133494
_tags:
- story
- author_pmcpinto
- story_10793999
objectID: '10793999'
year: 2007

---
More than half a century ago, Aemelius Müller, professor at the academy
of Winterthur, Switzerland, came up with a formula that could predict
the appreciation of a color-combination. In other words: Müller was able
to predict which combination of colors most people would probably
like.  
 

![img](http://s3.amazonaws.com/colourlovers.com/blog/wp-content/uploads/2007/09/muller1.gif)  

Müller's formula predicts that these color combinations will be
considered as ugly by most
people.

 ![img](http://s3.amazonaws.com/colourlovers.com/blog/wp-content/uploads/2007/09/muller2.gif)  

While these will be liked. How is this
possible?

   
 

![img](http://s3.amazonaws.com/colourlovers.com/blog/wp-content/uploads/2007/09/hueslr.jpg)  

First we need to consider the 'natural' brightness of the colors of the
color circle, as discussed in this post about [Brightness vs.
Whiteness](http://www.livelygrey.com/2007/08/brightness_vs_whiteness.html).
You will notice that yellow, for instance, is a lot brighter than
blue.

 ![img](http://s3.amazonaws.com/colourlovers.com/blog/wp-content/uploads/2007/09/brightness_lr.jpg)  

On a scale from 1 to 100, bright yellow has a brightness value of 90,
while bright blue has a value as low as 35. Likewise, every hue in the
color circle has its own 'natural'
brightness.

   

![img](http://s3.amazonaws.com/colourlovers.com/blog/wp-content/uploads/2007/09/mullerbl3.gif)  

Now take this combination. All three colors have the exact same hue of
blue. The only difference between the colors is their brightness.

   
Now we pair the last combination with the 'ugly' combination on the left
and the 'nice' combination on the
right.  
![img](http://s3.amazonaws.com/colourlovers.com/blog/wp-content/uploads/2007/09/mullerbl.gif)

See what happened? Towards the 'ugly' (left) side the dark blue shifted
to a greener hue, while the bright blue shifted to a more purple hue.
This is contrary to the 'natural' brightness of the colors. After all,
if you check the color circles you will see that green is much brighter
than purple. Towards the 'nice' (right) side the dark color shifted to
purple while the bright color shifted to green. This shift is in
accordance with the 'natural' brightness of the colors.

The same goes for the red combinations. Towards the 'ugly' side the
colors shift contrary to the 'natural' brightness while on the 'nice'
side they shift in accordance with the natural
brightness.  
![img](http://s3.amazonaws.com/colourlovers.com/blog/wp-content/uploads/2007/09/mullerbr.gif)

So here's the simple formula: If a combination follows the natural
brightness of colors, most people will like it, if a combination
contradicts the natural brightness of colors, most people won't like it.

There is some dispute in academia whether or not to interpret the 'nice'
color combinations as good taste. The obvious implication being that the
'ugly' combinations are of bad taste. I myself tested the formula on
many occasions when lecturing a group of people. It never fails and it's
always fun to confront people with the predictability of their taste.
But I also noticed that people in creative professions, such as artists
or designers, often tend to like the 'ugly' combinations. Because people
in this group often lay claim to 'good' taste, in my opinion the 'taste'
hypothesis doesn't hold. As far as I'm concerned no one can lay claim to
good taste. People like it or they don't. Good or bad taste is a non
issue.

However, while Müller's formula may not determine the difference between
good or bad taste, it sure does predict common taste. And that makes the
formula quite useful for any designer.

> About the Guest Author, Igor Asselbergs  
> **Website:** <http://www.livelygrey.com>  
> Igor is a color professional and currently ceo of Colorjinn. He writes
> his own color blog at [Livelygrey.com](http://Livelygrey.com)
