---
created_at: '2014-10-02T12:53:24.000Z'
title: Why They Called It the Manhattan Project (2007)
url: http://www.nytimes.com/2007/10/30/science/30manh.html?pagewanted=all
author: wglb
points: 70
story_text: ''
comment_text: 
num_comments: 21
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1412254404
_tags:
- story
- author_wglb
- story_8400512
objectID: '8400512'
year: 2007

---
“The story is so rich,” Dr. Norris enthused. “There’s layer upon layer
of good stuff, interesting characters.”

Still, more than six decades after the project’s start, the Manhattan
side of the atom bomb story seems to be a well-preserved secret.

Dr. Norris recently visited Manhattan at the request of The New York
Times for a daylong tour of the Manhattan Project’s roots. Only one site
he visited displayed a public sign noting its role in the epochal
events. And most people who encountered his entourage, which included a
photographer and videographer, knew little or nothing of the atomic
labors in Manhattan.

“That’s amazing,” Alexandra Ghitelman said after learning that the
buildings she had just passed on inline skates once held tons of uranium
destined for atomic weapons. “That’s unbelievable.”

While shock tended to be the main reaction, some people hinted at
feelings of pride. More than one person said they knew someone who had
worked on the secret project, which formally got under way in August
1942 and three years later culminated in the atomic bombing of Japan. In
all, it employed more than 130,000 people.

Dr. Norris is also the author of “Racing for the Bomb” (Steerforth,
2002), a biography of Gen. Leslie R. Groves, the project’s military
leader. As his protagonist had done during the war, Dr. Norris works in
Washington. At the Natural Resources Defense Council, he studies and
writes about the nation’s atomic facilities.

Dr. Norris began his day of exploration by taking the train to New York
from Washington, coming into Pennsylvania Station just as General Groves
had done dozens of times during the war to visit project sites.

Advertisement

[Continue reading the main story](#story-continues-4)

“Groves didn’t want the job,” Dr. Norris remarked outside the station.
“But his foot hit the accelerator and he didn’t let up for 1,000
days.”

For tour assistance, Dr. Norris brought along his own books as well as
printouts from “The Traveler’s Guide to Nuclear Weapons,” a CD by James
M. Maroncelli and Timothy L. Karpin that features little-known history
of the nation’s atom endeavors.

We headed north to the childhood home of J. Robert Oppenheimer, the
eccentric genius whom General Groves hired to run the project’s
scientific side as well as its sprawling New Mexico laboratory. Last
year, a biography of Oppenheimer, “American Prometheus” (Knopf, 2005),
won the Pulitzer Prize.

“One of the most famous scientists of the 20th century,” Dr. Norris
noted, got his start “walking these streets” and attending the nearby
Ethical Culture School.

Oppenheimer and his parents lived at 155 Riverside Drive, an elegant
apartment building at West 88th Street. The superintendent, Joe
Gugulski, said the family lived on the 11th floor, overlooking the
Hudson River.

“One of my tenants read the book,” Mr. Gugulski told us. “So I looked it
up.” To his knowledge, Mr. Gugulski added, no other atomic tourists had
visited the building.

The Oppenheimers decorated their apartment with original artwork by
Picasso, Rembrandt, Renoir, Van Gogh and Cézanne, according to “American
Prometheus.” His mother encouraged young Robert to paint.

By the late 1930s and early 1940s, blocks away at Columbia University,
scientists were laboring to split the atom and release its titanic
energies. We made our way across campus — with difficulty because of
protests over the visit of President Mahmoud Ahmadinejad of Iran, which
is widely suspected of harboring its own bomb program.

Advertisement

[Continue reading the main story](#story-continues-5)

Dr. Norris noted that the Manhattan Project led to “many of our problems
today.”

The Pupin Physics Laboratories housed the early atom experiments, Dr.
Norris said. But the tall building, topped by observatory domes, has no
plaque in its foyer describing its nuclear ties.

Passing students and pedestrians answered “no” and “kind of” when asked
if they knew of the atom breakthroughs at Pupin Hall. Dr. Norris said
the Manhattan Project, at its peak, employed 700 people at Columbia. At
one point, the football team was recruited to move tons of uranium. That
work, he said, eventually led to the world’s first nuclear reactor.

After lunch, we headed to West 20th Street just off the West Side
Highway. The block, on the fringe of Chelsea, bristled with new
galleries, and Kingdom Hall of Jehovah’s Witnesses. On its north side,
three tall buildings once made up the Baker and Williams Warehouses,
which held tons of uranium.

Two women taking a cigarette break said they had no idea of their
building’s atomic past. “It’s horrible,” said one.

Photo

Dr. Norris’s “Traveler’s Guide” fact sheet said the federal government
in the late 1980s and early 1990s cleaned the buildings of residual
uranium. Workers removed more than a dozen drums of radioactive waste,
according to the Department of Energy in Washington. “Radiological
surveys show that the site now meets applicable requirements for
unrestricted use,” a federal document said in 1995.

We moved to Manhattan’s southern tip and worked our way up Broadway
along the route known as the Canyon of Heroes, the scene of many
ticker-tape parades amid the skyscrapers.

At 25 Broadway, we visited a minor but important site — the Cunard
Building. Edgar Sengier, a Belgian with an office here, had his company
mine about 1,200 tons of high-grade uranium ore and store it on Staten
Island in the shadow of the Bayonne Bridge. Though a civilian, he knew
of the atomic possibilities and feared the invading Germans might
confiscate his mines.

## Newsletter Sign Up

[Continue reading the main story](#continues-post-newsletter)

### 

Please verify you're not a robot by clicking the box.

Invalid email address. Please re-enter.

You must select a newsletter to subscribe to.

You agree to receive occasional updates and special offers for The New
York Times's products and services.

### Thank you for subscribing.

### An error has occurred. Please try again later.

[View all New York Times newsletters.](/newsletters)

Dr. Norris said General Groves, on his first day in charge, sent an
assistant to buy all that uranium for a dollar a pound — or $2.5
million. “The Manhattan Project was off to a flying start,” he said,
adding that the Belgian entrepreneur in time supplied two-thirds of all
the project’s uranium.

We walked past St. Paul’s Chapel and proceeded to the soaring grandeur
of the Woolworth Building, once the world’s tallest, at 233 Broadway.

Advertisement

[Continue reading the main story](#story-continues-6)

A major site, it housed a front company that devised one of the
project’s main ways of concentrating uranium’s rare isotope — a secret
of bomb making. On the 11th, 12th and 14th floors, the company drew on
the nation’s scientific best and brightest, including teams from
Columbia.

Dr. Norris said the front company’s 3,700 employees included Klaus
Fuchs, a Soviet spy. “He was a substantial physicist in his own right,”
Dr. Norris said. “He contributed to the American atom bomb, the Soviet
atom bomb and the British atom bomb.”

So how did the Manhattan Project get its name, and why was Manhattan
chosen as its first headquarters?

Dr. Norris said the answer lay at our next stop, 270 Broadway. There, at
Chambers Street, on the southwest corner, we found a nondescript
building overlooking City Hall Park.

It was here, Dr. Norris said, that the Army Corps of Engineers had its
North Atlantic Division, which built ports and airfields. When the Corps
got the responsibility of making the atom bomb, it put the headquarters
in the same building, on the 18th floor.

“That way he didn’t need to reinvent the wheel,” Dr. Norris said of
General Groves. “He used what he had at his fingertips — the entire
Corps of Engineers infrastructure.”

Dr. Norris added that the Corps at that time included “extraordinary
people, the best and brightest of West Point.”

In time, the office at 270 Broadway ran not only atom research and
materials acquisition but also the building of whole nuclear cities in
Tennessee, New Mexico and Washington State.

Advertisement

[Continue reading the main story](#story-continues-7)

The first proposed name for the project, Dr. Norris said, was the
Laboratory for the Development of Substitute Materials. But General
Groves feared that would draw undo attention.

Instead, General Groves called for the bureaucratically dull approach of
adopting the standard Corps procedure for naming new regional
organizations. That method simply noted the unit’s geographical area, as
in the Pittsburgh Engineer District.

So the top-secret endeavor to build the atom bomb got the most boring of
cover names: the Manhattan Engineer District, in time shortened to the
Manhattan Project. Unlike other Corps districts, however, it had no
territorial limits. “He was nuts about not attracting attention,” Dr.
Norris said.

Manhattan’s role shrank as secretive outposts for the endeavor sprouted
across the country and quickly grew into major enterprises. By the late
summer of 1943, little more than a year after its establishment, the
headquarters of the Manhattan Project moved to Oak Ridge, Tenn.

Despite this dispersal, Dr. Norris said, scientists and businesses in
Manhattan, including The New York Times, continued to aid the atomic
project.

In April 1945, General Groves traveled to the newspaper’s offices on
West 43rd Street. He asked that a science writer, William L. Laurence,
be allowed to go on leave to report on a major wartime story involving
science.

As early as 1940, before wartime secrecy, Mr. Laurence had reported on
the atomic breakthroughs at Pupin Hall.

Now, Dr. Norris said, Mr. Laurence went to work for the Manhattan
Project and became the only reporter to witness the Trinity test in the
New Mexican desert in July 1945, and, shortly thereafter, the nuclear
bombing of Japan.

Advertisement

[Continue reading the main story](#story-continues-8)

The atomic age, Mr. Laurence wrote in the first article of a series,
began in the New Mexico desert before dawn in a burst of flame that
illuminated “earth and sky for a brief span that seemed eternal.”

In Manhattan, the one location that has memorialized its atomic
connection had nothing to do with making or witnessing the bomb, but
rather with managing to survive its fury.

The spot is on Riverside Drive between 105th and 106th Streets. There,
in a residential neighborhood, in front of the New York Buddhist Church,
is a tall statue of a Japanese Buddhist monk, Shinran Shonin, who lived
in the 12th and 13th centuries. In peasant hat and sandals, holding a
wooden staff, the saint peers down on the sidewalk.

The statue survived the atomic bombing of Hiroshima, standing a little
more than a mile from ground zero. It was brought to New York in 1955.
The plaque calls the statue “a testimonial to the atomic bomb
devastation and a symbol of lasting hope for world peace.”

The statue stands a few blocks from Columbia University, where much of
the bomb program began.

“I wonder how many New Yorkers know about it,” Dr. Norris said of the
statue, “and know the history.”

[Continue reading the main story](#whats-next)
