---
created_at: '2014-11-19T13:38:02.000Z'
title: The Effort Effect (2007)
url: https://alumni.stanford.edu/get/page/magazine/article/?article_id=32124
author: jcr
points: 68
story_text: ''
comment_text: 
num_comments: 7
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1416404282
_tags:
- story
- author_jcr
- story_8629895
objectID: '8629895'
year: 2007

---
According to a Stanford psychologist, you’ll reach new heights if you
learn to embrace the occasional tumble.

By Marina Krakovsky

One day last November, psychology professor Carol Dweck welcomed a pair
of visitors from the Blackburn Rovers, a soccer team in the United
Kingdom’s Premier League. The Rovers’ training academy is ranked in
England’s top three, yet performance director Tony Faulkner had long
suspected that many promising players weren’t reaching their potential.
Ignoring the team’s century-old motto—arte et labore, or “skill and hard
work”—the most talented individuals disdained serious training.

On some level, Faulkner knew the source of the trouble: British soccer
culture held that star players are born, not made. If you buy into that
view, and are told you’ve got immense talent, what’s the point of
practice? If anything, training hard would tell you and others that
you’re merely good, not great. Faulkner had identified the problem;
but to fix it, he needed Dweck’s help.

A 60-year-old academic psychologist might seem an unlikely sports
motivation guru. But Dweck’s expertise—and her recent book, Mindset: The
New Psychology of Success—bear directly on the sort of problem facing
the Rovers. Through more than three decades of systematic research, she
has been figuring out answers to why some people achieve their potential
while equally talented others don’t—why some become Muhammad Ali and
others Mike Tyson. The key, she found, isn’t ability; it’s whether you
look at ability as something inherent that needs to be demonstrated or
as something that can be developed.

What’s more, Dweck has shown that people can learn to adopt the latter
belief and make dramatic strides in performance. These days, she’s
sought out wherever motivation and achievement matter, from education
and parenting to business management and personal development.

As a graduate student at Yale, Dweck started off studying animal
motivation. In the late 1960s, a hot topic in animal research was
“learned helplessness”: lab animals sometimes didn’t do what they were
capable of because they’d given up from repeat failures. Dweck wondered
how humans coped with that. “I asked, ‘What makes a really capable child
give up in the face of failure, where other children may be motivated by
the failure?’” she recalls.

At the time, the suggested cure for learned helplessness was a long
string of successes. Dweck posited that the difference between the
helpless response and its opposite—the determination to master new
things and surmount challenges—lay in people’s beliefs about why they
had failed. People who attributed their failures to lack of ability,
Dweck thought, would become discouraged even in areas where they were
capable. Those who thought they simply hadn’t tried hard enough, on the
other hand, would be fueled by setbacks. This became the topic of her
PhD dissertation.

Dweck and her assistants ran an experiment on elementary school children
whom school personnel had identified as helpless. These kids fit the
definition perfectly: if they came across a few math problems they
couldn’t solve, for example, they no longer could do problems they had
solved before—and some didn’t recover that ability for days.

Through a series of exercises, the experimenters trained half the
students to chalk up their errors to insufficient effort, and encouraged
them to keep going. Those children learned to persist in the face of
failure—and to succeed. The control group showed no improvement at all,
continuing to fall apart quickly and to recover slowly. These findings,
says Dweck, “really supported the idea that the attributions were a key
ingredient driving the helpless and mastery-oriented patterns.” Her 1975
article on the topic has become one of the most widely cited in
contemporary psychology.

Attribution theory, concerned with people’s judgments about the causes
of events and behavior, already was an active area of psychological
research. But the focus at the time was on how we make attributions,
explains Stanford psychology professor Lee Ross, who coined the term
“fundamental attribution error” for our tendency to explain other
people’s actions by their character traits, overlooking the power of
circumstances. Dweck, he says, helped “shift the emphasis from
attributional errors and biases to the consequences of attributions—why
it matters what attributions people make.” Dweck had put attribution
theory to practical use.

She continued to do so as an assistant professor at the University of
Illinois, collaborating with then-graduate student Carol Diener to have
children “think out loud” as they faced problem-solving tasks, some too
difficult for them. The big surprise: some of the children who put forth
lots of effort didn’t make attributions at all. These children didn’t
think they were failing. Diener puts it this way: “Failure is
information—we label it failure, but it’s more like, ‘This didn’t work,
I’m a problem solver, and I’ll try something else.’” During one
unforgettable moment, one boy—something of a poster child for the
mastery-oriented type—faced his first stumper by pulling up his chair,
rubbing his hands together, smacking his lips and announcing, “I love a
challenge.”

Such zest for challenge helped explain why other capable students
thought they lacked ability just because they’d hit a setback. Common
sense suggests that ability inspires self-confidence. And it does for a
while—so long as the going is easy. But setbacks change everything.
Dweck realized—and, with colleague Elaine Elliott soon demonstrated—that
the difference lay in the kids’ goals. “The mastery-oriented children
are really hell-bent on learning something,” Dweck says, and “learning
goals” inspire a different chain of thoughts and behaviors than
“performance goals.”

Students for whom performance is paramount want to look smart even if it
means not learning a thing in the process. For them, each task is a
challenge to their self-image, and each setback becomes a personal
threat. So they pursue only activities at which they’re sure to
shine—and avoid the sorts of experiences necessary to grow and
flourish in any endeavor. Students with learning goals, on the other
hand, take necessary risks and don’t worry about failure because each
mistake becomes a chance to learn. Dweck’s insight launched a new field
of educational psychology—achievement goal theory.

Dweck’s next question: what makes students focus on different goals in
the first place? During a sabbatical at Harvard, she was discussing this
with doctoral student Mary Bandura (daughter of legendary Stanford
psychologist Albert Bandura), and the answer hit them: if some students
want to show off their ability, while others want to increase their
ability, “ability” means different things to the two groups. “If you
want to demonstrate something over and over, it feels like something
static that lives inside of you—whereas if you want to increase your
ability, it feels dynamic and malleable,” Dweck explains. People with
performance goals, she reasoned, think intelligence is fixed from birth.
People with learning goals have a growth mind-set about intelligence,
believing it can be developed. (Among themselves, psychologists call the
growth mind-set an “incremental theory,” and use the term “entity
theory” for the fixed mind-set.) The model was nearly complete
(see[diagram](/content/magazine/artfiles/dweck_2007_2.pdf "dweck pdf")).

Growing up in Brooklyn in the ’50s, Dweck did well in elementary school,
earning a spot in a sixth-grade class of other high achievers. Not just
any spot, it turned out. Their teacher, Mrs. Wilson, seated the students
in IQ order and even used IQ scores to dole out classroom
responsibilities. Whether Mrs. Wilson meant to or not, she was conveying
her belief in fixed intelligence. Dweck, who was in row 1, seat 1,
believes Mrs. Wilson’s intentions were good. The experience didn’t scar
her—Dweck says she already had some of the growth mind-set—but she has
shown that many students pegged as bright, especially girls, don’t fare
as well.

Tests, Dweck notes, are notoriously poor at measuring potential. Take a
group of adults and ask them to draw a self-portrait. Most Americans
think of drawing as a gift they don’t have, and their portraits look no
better than a child’s scribbles. But put them in a well-designed
class—as Betty Edwards, the author of Drawing on the Right Side of the
Brain, has—and the resulting portraits look so skilled it’s hard to
believe they’re the work of the same “talentless” individuals. The
belief that you can’t improve stunts achievement.

Culture can play a large role in shaping our beliefs, Dweck says. A
college physics teacher recently wrote to Dweck that in India, where she
was educated, there was no notion that you had to be a genius or even
particularly smart to learn physics. “The assumption was that everyone
could do it, and, for the most part, they did.” But what if you’re
raised with a fixed mind-set about physics—or foreign languages or
music? Not to worry: Dweck has shown that you can change the mind-set
itself.

The most dramatic proof comes from a recent study by Dweck and Lisa
Sorich Blackwell of low-achieving seventh graders. All students
participated in sessions on study skills, the brain and the like; in
addition, one group attended a neutral session on memory while the other
learned that intelligence, like a muscle, grows stronger through
exercise. Training students to adopt a growth mind-set about
intelligence had a catalytic effect on motivation and math grades;
students in the control group showed no improvement despite all the
other interventions.

“Study skills and learning skills are inert until they’re powered by an
active ingredient,” Dweck explains. Students may know how to study, but
won’t want to if they believe their efforts are futile. “If you target
that belief, you can see more benefit than you have any reason to hope
for.”

The classroom workshop isn’t feasible on a large scale; for one thing,
it’s too costly. So Dweck and Blackwell have designed a computer-based
training module to simulate the live intervention. Their hip multimedia
software, called Brainology, is still in development, but thanks to
early buzz from a Time magazine article and Dweck’s recent book,
teachers have begun clamoring for it, one even asking to become a
distributor.

Unlike much that passes for wisdom about education and performance,
Dweck’s conclusions are grounded in solid research. She’s no rah-rah
motivational coach proclaiming the sky’s the limit and attitude is
everything; that’s too facile. But the evidence shows that if we hold a
fixed mind-set, we’re bound not to reach as high as we might.

Although much of Dweck’s research on mind-sets has taken place in school
settings, it’s applicable to sports, business, interpersonal
relationships and so on. “Lots and lots of people are interested in her
work; it touches on so many different areas of psychology and areas
outside of psychology,” says Stanford psychology professor Mark Lepper,
’66, who as department chair in 2004 lured Dweck away from Columbia,
where she’d been for 15 years. “The social psychologists like to say
she’s a social psychologist; the personality psychologists say she’s a
personality psychologist; and the developmental psychologists say she’s
a developmental psychologist,” Lepper adds.

By all rights, her appeal should transcend academia, says New Yorker
writer Malcolm Gladwell, who is well known for making psychological
research accessible to the general public. “One of the most popular
pieces I ever did relied very heavily on work done by Carol Dweck,” he
said in a December interview in the Journal of Management Inquiry.
“Carol Dweck deserves a big audience. It is criminal if she does not
get that audience.” Perhaps Mindset will help; it was written for lay
readers.

It certainly cemented Tony Faulkner’s belief that Dweck could help the
Blackburn Rovers soccer team. Unlike the disadvantaged kids in Dweck’s
middle-school study, the Rovers didn’t think they lacked what it took to
succeed. Quite the opposite: they thought their talent should take them
all the way. Yet both groups’ fixed mind-set about ability explains
their aversion to effort.

But aren’t there plenty of people who believe in innate ability and in
the notion that nothing comes without effort? Logically, the two ideas
are compatible. But psychologically, explains Dweck, many people who
believe in fixed intelligence also think you shouldn’t need hard work to
do well. This belief isn’t entirely irrational, she says. A student who
finishes a problem set in 10 minutes is indeed better at math than
someone who takes four hours to solve the problems. And a soccer player
who scores effortlessly probably is more talented than someone who’s
always practicing. “The fallacy comes when people generalize it to the
belief that effort on any task, even very hard ones, implies low
ability,” Dweck says.

Her advice for the Rovers rings true for anyone stuck in a fixed
mind-set. “Changing mind-sets is not like surgery,” she says. “You can’t
simply remove the fixed mind-set and replace it with the growth
mind-set.” The Rovers are starting their workshops with recent
recruits—their youngest, most malleable players. (Faulkner realizes
that players who’ve already earned millions from being “naturals” have
little incentive to reshape their brains.) The team’s talent scouts will
be asking about new players’ views on talent and training—not to screen
out those with a fixed mind-set, but to target them for special
training.

In his 2002 essay that relied on Dweck’s work, Gladwell cited one of her
best-known experiments to argue that Enron may have collapsed precisely
because of the company’s talent-obsessed culture, not despite it.
Dweck’s study showed that praising children for intelligence, rather
than for effort, sapped their motivation ([see
sidebar](/get/page/magazine/article/?article_id=33289)). But more
disturbingly, 40 percent of those whose intelligence was praised
overstated their scores to peers. “We took ordinary children and made
them into liars,” Dweck says. Similarly, Enron executives who’d been
celebrated for their innate talent would sooner lie than fess up to
problems and work to fix them.

Business School professor Jeffrey Pfeffer says Dweck’s research has
implications for the more workaday problem of performance management. He
faults businesses for spending too much time in rank-and-yank mode,
grading and evaluating people instead of developing their skills. “It’s
like the Santa Claus theory of management: who’s naughty and who’s
nice.”

Leaders, too, can benefit from Dweck’s work, says Robert Sternberg, PhD
’75, Tufts University’s dean of the School of Arts and Sciences.
Sternberg, a past president of the American Psychological Association,
says that excessive concern with looking smart keeps you from making
bold, visionary moves. “If you’re afraid of making mistakes, you’ll
never learn on the job, and your whole approach becomes defensive: ‘I
have to make sure I don’t screw up.’”

Social psychologist Peter Salovey, ’80, MA ’80, dean of Yale College and
a pioneer in the field of emotional intelligence, says Dweck’s ideas
have helped him think through a controversy in his field. Echoing an
older debate about the malleability of general intelligence, some
scholars say emotional intelligence is largely inborn, while others,
like Salovey, see it as a set of skills that can be taught and learned.
“People say to me all the time, ‘I’m not a people person,’ or ‘I’m not
good at managing my emotions,’” unaware that they’re expressing a fixed
mind-set, Salovey says.

Stanford psychology professor James Gross has begun extending Dweck’s
work to emotions. In a recent study, Gross and his colleagues followed a
group of Stanford undergrads as they made the transition to college
life. Those with a fixed mind-set about emotions were less able to
manage theirs, and by the end of freshman year, they’d shown poorer
social and emotional adjustment than their growth-minded counterparts.

As she approaches the end of her third year at Stanford, Dweck has
embraced the challenge of cross-country culture shock in a manner
consistent with the growth mind-set. Nearby San Francisco provides her
with the benefits of a great city, she says, including a dining scene
that rivals New York’s; and the University supplies a more cozy sense of
community. She’s also brought a bit of the New York theater scene with
her in the form of her husband, critic and director David Goldman. He
founded and directs the National Center for New Plays at Stanford.

At the Association for Psychological Science convention in May, Dweck
will give the keynote address. The topic: “Can Personality Be Changed?”
Her short answer, of course, is yes. Moreover, holding a growth mind-set
bodes well for one’s relationships. In a recent study, Dweck found that
people who believe personality can change were more likely than others
to bring up concerns and deal with problems in a constructive way. Dweck
thinks a fixed mind-set fosters a categorical, all-or-nothing view of
people’s qualities; this view tends to make you ignore festering
problems or, at the other extreme, give up on a relationship at the
first sign of trouble. (The growth mind-set, though, can be taken too
far if someone stays in an abusive relationship hoping her partner will
change; as always, the person has to want to change.)

These days, Dweck is applying her model to kids’ moral development.
Young children may not always have beliefs about ability, but they do
have ideas about goodness. Many kids believe they’re invariably good or
bad; other kids think they can get better at being good. Dweck has
already found that preschoolers with this growth mind-set feel okay
about themselves after they’ve messed up and are less judgmental of
others; they’re also more likely than kids with a fixed view of goodness
to try to set things right and to learn from their mistakes. They
understand that spilling juice or throwing toys, for example, doesn’t
damn a kid as bad, so long as the child cleans up and resolves to do
better next time. Now Dweck and graduate student Allison Master are
running experiments at Bing Nursery School to see if teaching kids the
growth mind-set improves their coping skills. They’ve designed a
storybook with the message that preschoolers can go from “bad” one year
to better the next. Can hearing such stories help a 4-year-old handle a
sandbox setback?

Dweck’s students from over the years describe her as a generous,
nurturing mentor. She’d surely attribute these traits not to an innate
gift, but to a highly developed mind-set. “Just being aware of the
growth mind-set, and studying it and writing about it, I feel compelled
to live it and to benefit from it,” says Dweck, who took up piano as an
adult and learned to speak Italian in her 50s. “These are things that
adults are not supposed to be good at learning.”

Read a January 2010
[update](/get/page/magazine/article/?article_id=29609#dweck) on this
story.

MARINA KRAKOVSKY, ’92, is a writer in San Mateo.
