---
created_at: '2015-11-25T07:37:00.000Z'
title: 1,000 True Fans (2008)
url: http://kk.org/thetechnium/1000-true-fans/
author: aaronbrethorst
points: 47
story_text: 
comment_text: 
num_comments: 8
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1448437020
_tags:
- story
- author_aaronbrethorst
- story_10625906
objectID: '10625906'
year: 2008

---
This is an edited, updated version of an essay I wrote in 2008 when this
now popular idea was embryonic and ragged. I recently rewrote it to
convey the core ideas, minus out-of-date details. This revisited essay
appears in Tim Ferriss’ new book, [Tools of
Titans](https://www.amazon.com/exec/obidos/ASIN/1328683788/cooltools-20).
I believe the 1,000 True Fans concept will be useful to anyone making
things, or making things happen. If you still want to read the much
longer original 2008 essay, you can get it after the end of this
version. — KK

To be a successful creator you don’t need millions. You don’t need
millions of dollars or millions of customers, millions of clients or
millions of fans. To make a living as a craftsperson, photographer,
musician, designer, author, animator, app maker, entrepreneur, or
inventor you need only thousands of true fans.

A true fan is defined as a fan that will buy anything you produce. These
diehard fans will drive 200 miles to see you sing; they will buy the
hardback and paperback and audible versions of your book; they will
purchase your next figurine sight unseen; they will pay for the
“best-of” DVD version of your free youtube channel; they will come
to your chef’s table once a month. If you have roughly a thousand of
true fans like this (also known as super fans), you can make a living —
if you are content to make a living but not a fortune.

Here’s how the math works. You need to meet two criteria. First, you
have to create enough each year that you can earn, on average, $100
profit from each true fan. That is easier to do in some arts and
businesses than others, but it is a good creative challenge in every
area because it is always easier and better to give your existing
customers more, than it is to find new fans.

Second, you must have a direct relationship with your fans. That is,
they must pay you directly. You get to keep all of their support, unlike
the small percent of their fees you might get from a music label,
publisher, studio, retailer, or other intermediate. If you keep the full
$100 of each true fan, then you need only 1,000 of them to earn $100,000
per year. That’s a living for most folks.

A thousand customers is a whole lot more feasible to aim for than a
million fans. Millions of paying fans is not a realistic goal to shoot
for, especially when you are starting out. But a thousand fans is
doable. You might even be able to remember a thousand names. If you
added one new true fan per day, it’d only take a few years to gain a
thousand.

The number 1,000 is not absolute. Its significance is in its rough order
of magnitude — three orders less than a million. The actual number has
to be adjusted for each person. If you are able to only earn $50 per
year per true fan, then you need 2,000. (Likewise if you can sell $200
per year, you need only 500 true fans.) Or you may need only $75K per
year to live on, so you adjust downward. Or if you are a duet, or have a
partner, then you need to multiply by 2 to get 2,000 fans. For a team,
you need to multiply further. But the good news is that the increase in
the size of your true-fan base is geometric and linear in proportion to
the size of the team; if you increase the team by 33% you only need to
increase your fan base by 33%.

Another way to calculate the support of a true fan, is to aim to get one
day’s wages per year from them. Can you excite or please them sufficient
to earn one day’s labor? That’s a high bar, but not impossible for 1,000
people world wide.

And of course, not every fan will be super. While the support of a
thousand true fans may be sufficient for a living, for every single true
fan, you might have two or three regular fans. Think of concentric
circles with true fans at the center and a wider circle of regular fans
around them. These regular fans may buy your creations occasionally, or
may have bought only once. But their ordinary purchases expand your
total income. Perhaps they bring in an additional 50%. Still, you want
to focus on the super fans because the enthusiasm of true fans can
increase the patronage of regular fans. True fans not only are the
direct source of your income, but also your chief marketing force for
the ordinary fans.

Fans, customers, patrons have been around forever. What’s new here? A
couple of things. While direct relationship with customers was the
default mode in old times, the benefits of modern retailing meant that
most creators in the last century did not have direct contact with
consumers. Often even the publishers, studios, labels and manufacturers
did not have such crucial information as the name of their customers.
For instance, despite being in business for hundreds of years no New
York book publisher knew the names of their core and dedicated readers.
For previous creators these intermediates (and there was often more than
one) meant you need much larger audiences to have a success. With the
advent of ubiquitous peer-to-peer communication and payment systems —
also known as the web today — everyone has access to excellent tools
that allow anyone to sell directly to anyone else in the world. So a
creator in Bend, Oregon can sell — and deliver — a song to someone in
Katmandu, Nepal as easily as a New York record label (maybe even more
easily). This new technology permits creators to maintain relationships,
so that the customer can become a fan, and so that the creator keeps the
total amount of payment, which reduces the number of fans needed.

This new ability for the creator to retain the full price is
revolutionary, but a second technological innovation amplifies that
power further. A fundamental virtue of a peer-to-peer network (like the
web) is that the most obscure node is only one click away from the most
popular node. In other words the most obscure under-selling book, song,
or idea, is only one click away from the best selling book, song or
idea. Early in the rise of the web the large aggregators of content and
products, such as eBay, Amazon, Netflix, etc, noticed that the total
sales of \*all\* the lowest selling obscure items would equal or in some
cases exceed the sales of the few best selling items. Chris Anderson (my
successor at Wired) named this effect “The Long Tail,” for the visually
graphed shape of the sales distribution curve: a low nearly interminable
line of items selling only a few copies per year that form a long “tail”
for the abrupt vertical beast of a few bestsellers. But the area of the
tail was as big as the head. With that insight, the aggregators had
great incentive to encourage audiences to click on the obscure items.
They invented recommendation engines and other algorithms to channel
attention to the rare creations in the long tail. Even web search
companies like Google, Bing, Baidu found it in their interests to reward
searchers with the obscure because they could sell ads in the long tail
as well. The result was that the most obscure became less obscure.

If you lived in any of the 2 million small towns on Earth you might be
the only one in your town to crave death metal music, or get turned on
by whispering, or want a left-handed fishing reel. Before the web you’d
never be able to satisfy that desire. You’d be alone in your
fascination. But now satisfaction is only one click away. Whatever your
interests as a creator are, your 1,000 true fans are one click from you.
As far as I can tell there is nothing — no product, no idea, no desire —
without a fan base on the internet. Every thing made, or thought of, can
interest at least one person in a million — it’s a low bar. Yet if even
only one out of million people were interested, that’s potentially 7,000
people on the planet. That means that any 1-in-a-million appeal can find
1,000 true fans. The trick is to practically find those fans, or more
accurately, to have them find you.

Now here’s the thing; the big corporations, the intermediates, the
commercial producers, are all under-equipped and ill suited to connect
with these thousand true fans. They are institutionally unable to find
and deliver niche audiences and consumers. That means the long tail is
wide open to you, the creator. You’ll have your one-in-a-million true
fans to yourself. And the tools for connecting keep getting better,
including the recent innovations in social media. It has never been
easier to gather 1,000 true fans around a creator, and never easier to
keep them near.

One of the many new innovations serving the true fan creator is
crowdfunding. Having your fans finance your next product for them is
genius. Win-win all around. There are about 2,000 different crowdfunding
platforms worldwide, many of them specializing in specific fields:
raising money for science experiments, for bands, or documentaries. Each
has its own requirements and a different funding model, in addition to
specialized interests. Some platforms require “all or nothing” funding
goals, others permit partial funding, some raise money for completed
projects, some like Patreon, fund ongoing projects. Patreon supporters
might fund a monthly magazine, or a video series, or an artist’s salary.
The most famous and largest crowdfunder is Kickstarter, which has raised
$2.5 billion for more than 100,000 projects. The average number of
supporters for a successful Kickstarter project is 241 funders — far
less than a thousand. That means If you have 1,000 true fans you can do
a crowdfunding campaign, because by definition a true fan will become a
Kickstarter funder. (Although success of your campaign is dependent on
what you ask of your fans).

The truth is that cultivating a thousand true fans is time consuming,
sometimes nerve racking, and not for everyone. Done well (and why not do
it well?) it can become another full-time job. At best it will be a
consuming and challenging part-time task that requires ongoing skills.
There are many creators who don’t want to deal with fans, and honestly
should not. They should just paint, or sew, or make music, and hire
someone else to deal with their superfans. If that is you and you add
someone to deal with fans, a helper will skew your formula, increasing
the number of fans you need, but that might be the best mix. If you go
that far, then why not “subcontract” out dealing with fans to the middle
people — the labels and studios and publishers and retailers? If they
work for you, fine, but remember, in most cases they would be even worse
at this than you would.

The mathematics of 1,000 true fans is not a binary choice. You don’t
have to go this route to the exclusion of another. Many creators,
including myself, will use direct relations with super fans in addition
to mainstream intermediaries. I have been published by several big-time
New York publishers. I have self-published. And I have used Kickstarter
to publish to my true fans. I chose each format depending on the content
and my aim. But in every case, cultivating my true fans enriches the
route I choose.

The takeaway: 1,000 true fans is an alternative path to success other
than stardom. Instead of trying to reach the narrow and unlikely peaks
of platinum bestseller hits, blockbusters, and celebrity status, you can
aim for direct connection with a thousand true fans. On your way, no
matter how many fans you actually succeed in gaining, you’ll be
surrounded not by faddish infatuation, but by genuine and true
appreciation. It’s a much saner destiny to hope for. And you are much
more likely to actually arrive there.

The original 2008 essay follows. It was written before the advent of
Kickstarter, Indiegogo and other crowdfunding sites, and includes more
the idea’s history. — KK

\[Translations:
[Chinese](https://service.goodcharacters.com/blog/blog.php?id=165),
[French](http://versionfrancaise.blogspot.com/2008/08/1000-vrais-fans.html),
[German](http://www.flocutus.de/ubersetzungen/1000-wahre-fans/),
[Hebrew](http://kk.org/thetechnium/1KTrueFans-Hebrew.pdf),
[Italian](http://horizonsmusic.wordpress.com/2014/02/13/kevin-kelly-1000-veri-fans-ita/),
[Japanese](http://memo7.sblo.jp/article/12799892.html),
[Portuguese](http://www.empreendedor-digital.com/1000-fas-verdadeiros),
[Romanian](http://webhostinggeeks.com/science/true-fans-ro),
[Spanish](https://s3-us-west-1.amazonaws.com/kk.archive/1%2C000+Fans+Verdaderos%2C+Spanish.pdf),
[Danish](http://www.stinus.net/da/1000-rigtige-fans/)\]

The long tail is famously good news for two classes of people; a few
lucky aggregators, such as Amazon and Netflix, and 6 billion consumers.
Of those two, I think consumers earn the greater reward from the wealth
hidden in infinite niches.

But the long tail is a decidedly mixed blessing for creators. Individual
artists, producers, inventors and makers are overlooked in the equation.
The long tail does not raise the sales of creators much, but it does add
massive competition and endless downward pressure on prices. Unless
artists become a large aggregator of other artist’s works, the long tail
offers no path out of the quiet doldrums of minuscule sales.

Other than aim for a blockbuster hit, what can an artist do to escape
the long tail?

One solution is to find 1,000 True Fans. While some artists have
discovered this path without calling it that, I think it is worth trying
to formalize. The gist of 1,000 True Fans can be stated simply:

A creator, such as an artist, musician, photographer, craftsperson,
performer, animator, designer, videomaker, or author – in other words,
anyone producing works of art – needs to acquire only 1,000 True Fans to
make a living.

A True Fan is defined as someone who will purchase anything and
everything you produce. They will drive 200 miles to see you sing. They
will buy the super deluxe re-issued hi-res box set of your stuff even
though they have the low-res version. They have a Google Alert set for
your name. They bookmark the eBay page where your out-of-print editions
show up. They come to your openings. They have you sign their copies.
They buy the t-shirt, and the mug, and the hat. They can’t wait till you
issue your next work. They are true fans.

![Truefans-1](http://kk.org/thetechnium/TrueFans-1.jpg)

To raise your sales out of the flatline of the long tail you need to
connect with your True Fans directly.  Another way to state this is, you
need to convert a thousand Lesser Fans into a thousand True Fans.

Assume conservatively that your True Fans will each spend one day’s
wages per year in support of what you do. That “one-day-wage” is an
average, because of course your truest fans will spend a lot more than
that.  Let’s peg that per diem each True Fan spends at $100 per year. If
you have 1,000 fans that sums up to $100,000 per year, which minus some
modest expenses, is a living for most folks.

One thousand is a feasible number. You could count to 1,000. If you
added one fan a day, it would take only three years. True Fanship is
doable. Pleasing a True Fan is pleasurable, and invigorating. It rewards
the artist to remain true, to focus on the unique aspects of their work,
the qualities that True Fans appreciate.

The key challenge is that you have to maintain direct contact with your
1,000 True Fans. They are giving you their support directly. Maybe they
come to your house concerts, or they are buying your DVDs from your
website, or they order your prints from Pictopia. As much as possible
you retain the full amount of their support. You also benefit from the
direct feedback and love.

The technologies of connection and small-time manufacturing make this
circle possible. Blogs and RSS feeds trickle out news, and upcoming
appearances or new works. Web sites host galleries of your past work,
archives of biographical information, and catalogs of paraphernalia.
Diskmakers, Blurb, rapid prototyping shops, Myspace, Facebook, and the
entire digital domain all conspire to make duplication and dissemination
in small quantities fast, cheap and easy. You don’t need a million fans
to justify producing something new. A mere one thousand is sufficient.

This small circle of diehard fans, which can provide you with a living,
is surrounded by concentric circles of Lesser Fans. These folks will not
purchase everything you do, and may not seek out direct contact, but
they will buy much of what you produce. The processes you develop to
feed your True Fans will also nurture Lesser Fans. As you acquire new
True Fans, you can also add many more Lesser Fans. If you keep going,
you may indeed end up with millions of fans and reach a hit. I don’t
know of any creator who is not interested in having a million fans.

But the point of this strategy is to say that you don’t need a hit to
survive.  You don’t need to aim for the short head of best-sellerdom to
escape the long tail. There is a place in the middle, that is not very
far away from the tail, where you can at least make a living. That
mid-way haven is called 1,000 True Fans. It is an alternate destination
for an artist to aim for.

Young artists starting out in this digitally mediated world have another
path other than stardom, a path made possible by the very technology
that creates the long tail. Instead of trying to reach the narrow and
unlikely peaks of platinum hits, bestseller blockbusters, and celebrity
status, they can aim for direct connection with 1,000 True Fans. It’s a
much saner destination to hope for. You make a living instead of a
fortune. You are surrounded not by fad and fashionable infatuation, but
by True Fans. And you are much more likely to actually arrive there.

A few caveats. This formula – one thousand direct True Fans —  is
crafted for one person, the solo artist. What happens in a duet, or
quartet, or movie crew? Obviously, you’ll need more fans. But the
additional fans you’ll need are in direct geometric proportion to the
increase of your creative group. In other words, if you increase your
group size by 33%, you need add only 33% more fans. This linear growth
is in contrast to the exponential growth by which many things in the
digital domain inflate. I would not be surprised to find that the value
of your True Fans network follows the standard network effects rule, and
increases as the square of the number of Fans. As your True Fans connect
with each other, they will more readily increase their average spending
on your works. So while increasing the numbers of artists involved in
creation increases the number of True Fans needed, the increase does not
explode, but rises gently and in proportion.

A more important caution: Not every artist is cut out, or willing, to be
a nurturer of fans. Many musicians just want to play music, or
photographers just want to shoot, or painters paint, and they
temperamentally don’t want to deal with fans, **especially** True Fans.
For these creatives, they need a mediator, a manager, a handler, an
agent, a galleryist — someone to manage their fans.  Nonetheless, they
can still aim for the same middle destination of 1,000 True Fans. They
are just working in a duet.

Third distinction. Direct fans are best. The number of True Fans needed
to make a living **indirectly** inflates fast, but not infinitely. Take
blogging as an example. Because fan support for a blogger routes through
advertising clicks (except in the occasional
[tip-jar](http://tipjoy.com/)), more fans are needed for a blogger to
make a living. But while this moves the destination towards the left on
the long tail curve, it is still far short of blockbuster territory.
Same is true in book publishing. When you have corporations involved in
taking the majority of the revenue for your work, then it takes many
times more True Fans to support you. To the degree an author cultivates
direct contact with his/her fans, the smaller the number needed.

Lastly, the actual number may vary depending on the media. Maybe it is
500 True Fans for a painter and 5,000 True Fans for a videomaker. The
numbers must surely vary around the world. But in fact the actual number
is not critical, because it cannot be determined except by attempting
it. Once you are in that mode, the actual number will become evident.
That will be the True Fan number that works for you. My formula may be
off by an order of magnitude, but even so, its far less than a million.

I’ve been scouring the literature for any references to the True Fan
number. [Suck.com](http://en.wikipedia.org/wiki/Suck.com) co-founder
Carl Steadman had theory about microcelebrities. By his count, a
microcelebrity was someone famous to 1,500 people. So those fifteen
hundred would rave about you. As quoted by [Danny
O’Brien](//www.oblomovka.com/entries/2004/08/08#1091959020), “One
person in every town in Britain likes your dumb online comic. That’s
enough to keep you in beers (or T-shirt sales) all year.”

Others call this microcelebrity support micro-patronage, or distributed
patronage.

In 1999 John Kelsey and Bruce Schneier published a model for this in
First Monday, an online journal. They called it the [Street Performer
Protocol](http://www.firstmonday.org/issues/issue4_6/kelsey/).

> Using the logic of a street performer, the author goes directly to the
> readers before the book is published; perhaps even before the book is
> written. The author bypasses the publisher and makes a public
> statement on the order of: “When I get $100,000 in donations, I will
> release the next novel in this series.”
> 
> Readers can go to the author’s Web site, see how much money has
> already been donated, and donate money to the cause of getting his
> novel out. Note that the author doesn’t care who pays to get the next
> chapter out; nor does he care how many people read the book that
> didn’t pay for it. He just cares that his $100,000 pot gets filled.
> When it does, he publishes the next book. In this case “publish”
> simply means “make available,” not “bind and distribute through
> bookstores.” The book is made available, free of charge, to everyone:
> those who paid for it and those who did not.

In 2004 author [Lawrence
Watt-Evans](http://www.ethshar.com/thesprigganexperiment0.html)used this
model to publish his newest novel. He asked his True Fans to
collectively pay $100 per month. When he got $100 he posted the next
chapter of the novel. The entire book was published online for his True
Fans, and then later in paper for all his fans. He is now writing a
second novel this way. He gets by on an estimated 200 True Fans because
he also publishes in the traditional manner — with advances from a
publisher supported by thousands of Lesser Fans.  Other authors who use
fans to directly support their work are [Diane
Duane](http://www.the-big-meow.com/), [Sharon Lee and Steve
Miller](http://www.korval.com/fledgling/), and [Don
Sakers](http://www.readersadvice.com/mmeade/scatwlds/sponsor.html). Game
designer [Greg Stolze](http://www.gregstolze.com/ransom.html) employed a
similar True Fan model to launch [two pre-financed
games](http://www.danielsolis.com/meatbot/ransom.html). Fifty of his
True Fans contributed seed money for his development costs.

The genius of the True Fan model is that the fans are able to move an
artist away from the edges of the long tail to a degree larger than
their numbers indicate. They can do this in three ways: by purchasing
more per person, by spending directly so the creator keeps more per
sale, and by enabling new models of support.

New models of support include micro-patronage. Another model is
pre-financing the startup costs. Digital technology enables this fan
support to take many shapes. [Fundable](http://www.fundable.org/) is a
web-based enterprise which allows anyone to raise a fixed amount of
money for a project, while reassuring the backers the project will
happen. Fundable withholds the money until the full amount is collected.
They return the money if the minimum is not reached.

![Fundable](http://kk.org/thetechnium/Fundable.jpg)

Here’s an example from Fundable’s site;

> Amelia, a twenty-year-old classical soprano singer, pre-sold her first
> CD before entering a recording studio. “If I get $400 in pre-orders, I
> will be able to afford the rest \[of the studio costs\],” she told
> potential contributors. Fundable’s all-or-nothing model ensured that
> none of her customers would lose money if she fell short of her goal.
> Amelia sold over $940 in albums.

A thousand dollars won’t keep even a starving artist alive long, but
with serious attention, a dedicated artist can do better with their True
Fans. [Jill Sobule](http://www.jillsobule.com/jetpackintro.html), a
musician who has nurtured a sizable following over many years of touring
and recording, is doing well relying on her True Fans. Recently she
decided to go to her fans to finance the $75,000 professional recording
fees she needed for her next album. She has raised close to $50,000 so
far. By directly supporting her via their patronage, the fans gain
intimacy with their artist. According to the [Associated
Press](http://news.yahoo.com/s/ap/20080303/ap_en_mu/music_making_jill_s_cd):

> Contributors can choose a level of pledges ranging from the $10
> “unpolished rock,” which earns them a free digital download of her
> disc when it’s made, to the $10,000 “weapons-grade plutonium level,”
> where she promises “you get to come and sing on my CD. Don’t worry if
> you can’t sing – we can fix that on our end.” For a $5,000
> contribution, Sobule said she’ll perform a concert in the donor’s
> house. The lower levels are more popular, where donors can earn things
> like an advanced copy of the CD, a mention in the liner notes and a
> T-shirt identifying them as a “junior executive producer” of the CD.

The usual alternative to making a living based on True Fans is poverty. 
A study as recently as 1995 showed that the accepted price of being an
artist was large. Sociologist [Ruth
Towse](http://books.google.com/books?id=eDb1GI3Nr-cC&pg=PA96&vq=The+Value+of+Culture:+On+the+Relationship+Between+Economics+and+Arts&source=gbs_toc_r&cad=0_0&sig=9QEYLk6aBQ9Cv39M2AuDDYFQ7NI#PPA99,M1)
surveyed artists in Britian and determined that on average they earned
below poverty subsistence levels.

I am suggesting there is a home for creatives in between poverty and
stardom. Somewhere lower than stratospheric bestsellerdom, but higher
than the obscurity of the long tail. I don’t know the actual true
number, but I think a dedicated artist could cultivate 1,000 True Fans,
and by their direct support using new technology, make an honest
living.  I’d love to hear from anyone who might have settled on such a
path.

**Updates:**

One artist who partially relies on True Fans responds with a disclosure
of his finances:  
[The Reality of Depending on True
Fans](http://kk.org/thetechnium/archives/2008/04/the_reality_of.php)

I report the results of my survey of artists supported by True Fans:
[The Case Against 1000 True
Fans](http://kk.org/thetechnium/archives/2008/04/the_case_agains.php)
