---
created_at: '2016-01-29T07:21:30.000Z'
title: 'Daphne Oram: Portrait of an electronic music pioneer (2008)'
url: http://www.theguardian.com/music/2008/aug/01/daphne.oram.remembered
author: flannery
points: 45
story_text: 
comment_text: 
num_comments: 8
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1454052090
_tags:
- story
- author_flannery
- story_10993961
objectID: '10993961'
year: 2008

---
As the BBC Radiophonic Workshop celebrates its 50th anniversary, we pay
tribute to the life and legacy of its co-founder Daphne Oram, one of the
pioneers of British electronic music

There are many histories of electronic music. Some focus on the
avant-garde studios active in Europe, America, Russia and the old
eastern bloc countries, and usually mention the work of Karlheinz
Stockhausen, Pierre Schaeffer, Luciano Berio, John Cage and others.
There are other stories that focus on popular music: Kraftwerk, the
Human League, Depeche Mode and Aphex Twin. And there are more esoteric
studies that mention Raymond Scott, Louis and Bebe Barron, Tom Dissevelt
and Kid Baltan. Yet, however hard you look into the history of
electronic music, there is one name you'll struggle to find – that of
Daphne Oram.

Oram was one of the first British composers to produce electronic sound,
a pioneer of what became "musique concrete" – music made with sounds
recorded on tape, the ancestor of today's electronic music. Her story
makes for fascinating reading. She was born in 1925 when Britain was
between two world wars. She was extremely bright, and studied music and
electronics – unusual at the time not only because electronics was an
exciting new industry, but also because it was a man's world.

She went on to join the [BBC](https://www.theguardian.com/media/bbc),
and, while many of the corporation's male staff were away fighting in
the second world war, she became a balancing engineer, mixing the sounds
captured by microphones at classical music concerts. In those days,
nearly all programmes went out live because recording was extremely
cumbersome and expensive. Tape hadn't been invented, and cheap computers
were half a century away.

Yet when tape did come along, in the early 1950s, Oram was quick to
realise that it could be used not simply for recording existing sounds,
but for composing a new kind of music. Not the music of instruments,
notes and tunes, but the music of ordinary, everyday sound.

After Oram had finished her day's work, and everyone had gone home, she
trundled tape recorders the size of industrial gas cookers from empty
studios, and gathered them to experiment late into the night. She
recorded sounds on to tape, and then cut, spliced and looped them;
slowed them down, sped them up, played them backwards. It must have been
like working in a laboratory, or inventing new colours – a new world
almost impossible to imagine now.

Unfortunately – perhaps inevitably – nobody at the BBC was interested.
Still Oram kept going. She badgered senior figures to set up a
department producing experimental sound works, only to be told that the
BBC had several orchestras capable of producing all the sounds that were
needed.

Eventually, however, a committee looking into "Electrophonic Effects"
was set up, and Oram shared the results of her experiments. But still
they didn't want her to be involved. "They wanted my work," she later
said, "but they didn't want me." So she teamed up with another recording
engineer, Desmond Briscoe, and in 1958, 16 years after Oram first joined
the BBC, the pair were given a spare room in the Maida Vale studios,
along with some out-of-date equipment, and left alone to get on with it.
To avoid complications with the orchestras, the Musicians' Union and the
BBC music departments, they had to avoid the word "music" entirely, so
they called the project something else. The BBC Radiophonic Workshop was
born.

Within a few months of founding one of the most famous music studios in
the world, however, Oram left. There was a clash of ambitions. She
wanted to develop an experimental institution, like those in Paris,
Cologne and Milan, producing electro-acoustic music by international
avant-garde composers of the day. The BBC, yet again, had other ideas:
it wanted a sound-effects factory producing jingles for schools
programmes and radio drama.

So Oram set up on her own in a deserted oast house in Kent. Here she
built an astonishing contraption, the "Oramics" machine, which produced
pure electronic sound. It was about the size of a chest of drawers and
was constructed from metal shelving materials. Electric motors pulled
eight parallel tracks of clear 35mm film stock across scanners that
operated like TV sets in reverse. On the film she drew curving black
lines, squiggles and dots, all converted into sound. It looked and
sounded strikingly modern.

Although she was rumoured to have been visited by members of the
Beatles, the Rolling Stones and the Who, as well as the avant garde of
the day, Oram was bypassed by the music establishment – at least until
now. Her archive is at last being catalogued and cherished at Goldsmiths
College in London. Recently, the South Bank Centre devoted a whole day
to her work. A double CD has been released, and very soon a digital
version of the Oramics machine will be available online. We're 40 years
too late, but it seems we might finally catch up with the astonishing
life and legacy of Daphne Oram.

\- Wee Have Also Sound-Houses, focusing on the life and work of Daphne
Oram, will be broadcast on BBC Radio 3 this Sunday, 3 August at 9.45pm
