---
created_at: '2017-05-27T18:28:58.000Z'
title: Better than Free (2008)
url: http://kk.org/thetechnium/better-than-fre/
author: _pius
points: 194
story_text: 
comment_text: 
num_comments: 52
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1495909738
_tags:
- story
- author__pius
- story_14431233
objectID: '14431233'
year: 2008

---
\[Translations:
[Belarusian](http://www.moneyaisle.com/worldwide/better-than-be),
[Chinese](http://tuxfans.com/2008/02/05/154/),
[French](http://www.biologeek.com/journal/index.php/mieux-que-gratuit-le-business-model-reinvente),
[German](http://bewegliche-lettern.de/2009/08/kevin-kelly-besser-als-kostenlos-better-than-free/),
[Italian](http://www.internazionale.it/come-fare-soldi-gratis/),
[Japanese](http://memo7.sblo.jp/article/12121626.html),
[Polish](http://cheap.de/science/lepiej-niz-bezplatny),
[Portuguese](http://midiascopio.blogspot.com/2010/07/melhor-que-gratis.html),
[Russian](http://howtosell.ru/2008/04/22/luchshe-chem-besplatno/),
[Spanish](http://www.uncafelitoalasonce.com/mejor-que-gratis/),
[Turkish](http://kozmostansesler.blogspot.com/2009/02/bedavadan-daha-cazip.html),
[Estonian](http://www.besteonderdelen.nl/blog/?p=10116)\]

The internet is a copy machine. At its most foundational level, it
copies every action, every character, every thought we make while we
ride upon it. In order to send a message from one corner of the internet
to another, the protocols of communication demand that the whole message
be copied along the way several times. IT companies make a lot of money
selling equipment that facilitates this ceaseless copying. Every bit of
data ever produced on any computer is copied somewhere. The digital
economy is thus run on a river of copies. Unlike the mass-produced
reproductions of the machine age, these copies are not just cheap, they
are free.

Our digital communication network has been engineered so that copies
flow with as little friction as possible. Indeed, copies flow so freely
we could think of the internet as a super-distribution system, where
once a copy is introduced it will continue to flow through the network
forever, much like electricity in a superconductive wire. We see
evidence of this in real life. Once anything that can be copied is
brought into contact with internet, it will be copied, and those copies
never leave. Even a dog knows you can’t erase something once it’s flowed
on the internet.

![Copy-Transmission](http://kk.org/thetechnium/copy-transmission.jpg)

This super-distribution system has become the foundation of our economy
and wealth. The instant reduplication of data, ideas, and media
underpins all the major economic sectors in our economy, particularly
those involved with exports — that is, those industries where the US has
a competitive advantage. Our wealth sits upon a very large device that
copies promiscuously and constantly.

Yet the previous round of wealth in this economy was built on selling
precious copies, so the free flow of free copies tends to undermine the
established order. If reproductions of our best efforts are free, how
can we keep going? To put it simply, how does one make money selling
free copies?

I have an answer. The simplest way I can put it is thus:

When copies are super abundant, they become worthless.

When copies are super abundant, stuff which can’t be copied becomes
scarce and valuable.

**When copies are free, you need to sell things which can not be
copied.**

Well, what can’t be copied?

There are a number of qualities that can’t be copied. Consider “trust.”
Trust cannot be copied. You can’t purchase it. Trust must be earned,
over time. It cannot be downloaded. Or faked. Or counterfeited (at least
for long). If everything else is equal, you’ll always prefer to deal
with someone you can trust. So trust is an intangible that has
increasing value in a copy saturated world.

There are a number of other qualities similar to trust that are
difficult to copy, and thus become valuable in this network economy.  I
think the best way to examine them is not from the eye of the producer,
manufacturer, or creator, but from the eye of the user. We can start
with a simple user question:  why would we ever pay for anything that we
could get for free? When anyone buys a version of something they could
get for free, what are they purchasing?

From my study of the network economy I see roughly eight categories of
intangible value that we buy when we pay for something that could be
free.

In a real sense, these are eight things that are better than free. Eight
uncopyable values.  I call them “generatives.” A generative value is a
quality or attribute that must be generated, grown, cultivated,
nurtured. A generative thing can not be copied, cloned, faked,
replicated, counterfeited, or reproduced. It is generated uniquely, in
place, over time. In the digital arena, generative qualities add value
to free copies, and therefore are something that can be sold.

**Eight** **Generatives Better Than Free**

**Immediacy** – Sooner or later you can find a free copy of whatever you
want, but getting a copy delivered to your inbox the moment it is
released — or even better, produced — by its creators is a generative
asset. Many people go to movie theaters to see films on the opening
night, where they will pay a hefty price to see a film that later will
be available for free, or almost free, via rental or download. Hardcover
books command a premium for their immediacy, disguised as a harder
cover. First in line often commands an extra price for the same good. As
a sellable quality, immediacy has many levels, including access to beta
versions. Fans are brought into the generative process itself. Beta
versions are often de-valued because they are incomplete, but they also
possess generative qualities that can be sold. Immediacy is a relative
term, which is why it is generative. It has to fit with the product and
the audience. A blog has a different sense of time than a movie, or a
car. But immediacy can be found in any media.

**Personalization** — A generic version of a concert recording may be
free, but if you want a copy that has been tweaked to sound perfect in
your particular living room — as if it were preformed in your room — you
may be willing to pay a lot.  The free copy of a book can be custom
edited by the publishers to reflect your own previous reading
background. A free movie you buy may be cut to reflect the rating you
desire (no violence, dirty language okay). Aspirin is free, but aspirin
tailored to your DNA is very expensive. As many have noted,
personalization requires an ongoing conversation between the creator and
consumer, artist and fan, producer and user. It is deeply generative
because it is iterative and time consuming. You can’t copy the
personalization that a relationship represents. Marketers call that
“stickiness” because it means both sides of the relationship are stuck
(invested) in this generative asset, and will be reluctant to switch and
start over.

**Interpretation** — As the old joke goes: software, free. The manual,
$10,000. But it’s no joke. A couple of high profile companies, like Red
Hat, Apache, and others make their living doing exactly that. They
provide paid support for free software. The copy of code, being mere
bits, is free — and becomes valuable to you only through the support and
guidance. I suspect a lot of genetic information will go this route.
Right now getting your copy of your DNA is very expensive, but soon it
won’t be. In fact, soon pharmaceutical companies will PAY you to get
your genes sequence. So the copy of your sequence will be free, but the
interpretation of what it means, what you can do about it, and how to
use it — the manual for your genes so to speak — will be expensive.

**Authenticity** — You might be able to grab a key software application
for free, but even if you don’t need a manual, you might like to be sure
it is bug free, reliable, and warranted. You’ll pay for authenticity.
There are nearly an infinite number of variations of the Grateful Dead
jams around; buying an authentic version from the band itself will
ensure you get the one you wanted. Or that it was indeed actually
performed by the Dead. Artists have dealt with this problem for a long
time. Graphic reproductions such as photographs and lithographs often
come with the artist’s stamp of authenticity — a signature — to raise
the price of the copy. Digital watermarks and other signature technology
will not work as copy-protection schemes (copies are super-conducting
liquids, remember?) but they can serve up the generative quality of
authenticity for those who care.

**Accessibility** – Ownership often sucks. You have to keep your things
tidy, up-to-date, and in the case of digital material, backed up. And in
this mobile world, you have to carry it along with you. Many people, me
included, will be happy to have others tend our “possessions” by
subscribing to them. We’ll pay Acme Digital Warehouse to serve us any
musical tune in the world, when and where we want it, as well as any
movie, photo (ours or other photographers). Ditto for books and blogs. 
Acme backs everything up, pays the creators, and delivers us our
desires. We can sip it from our phones, PDAs, laptops, big screens from
where-ever. The fact that most of this material will be available free,
if we want to tend it, back it up, keep adding to it, and organize it,
will be less and less appealing as time goes on.

**Embodiment** — At its core the digital copy is without a body. You can
take a free copy of a work and throw it on a screen. But perhaps you’d
like to see it in hi-res on a huge screen? Maybe in 3D? PDFs are fine,
but sometimes it is delicious to have the same words printed on bright
white cottony paper, bound in leather. Feels so good. What about
dwelling in your favorite (free) game with 35 others in the same room?
There is no end to greater embodiment. Sure, the hi-res of today — which
may draw ticket holders to a big theater — may migrate to your home
theater tomorrow, but there will always be new insanely great display
technology that consumers won’t have. Laser projection, holographic
display, the holodeck itself\! And nothing gets embodied as much as
music in a live performance, with real bodies. The music is free; the
bodily performance expensive. This formula is quickly becoming a common
one for not only musicians, but even authors. The book is free; the
bodily talk is expensive.

**Patronage** — It is my belief that audiences WANT to pay creators.
Fans like to reward artists, musicians, authors and the like with the
tokens of their appreciation, because it allows them to connect. But
they will only pay if it is very easy to do, a reasonable amount, and
they feel certain the money will directly benefit the creators.
Radiohead’s recent high-profile experiment in letting fans pay them
whatever they wished for a free copy is an excellent illustration of the
power of patronage. The elusive, intangible connection that flows
between appreciative fans and the artist is worth something. In
Radiohead’s case it was about $5 per download. There are many other
examples of the audience paying simply because it feels good.

**Findability** — Where as the previous generative qualities reside
within creative digital works, findability is an asset that occurs at a
higher level in the aggregate of many works. A zero price does not help
direct attention to a work, and in fact may sometimes hinder it. But no
matter what its price, a work has no value unless it is seen; unfound
masterpieces are worthless. When there are millions of books, millions
of songs, millions of films, millions of applications, millions of
everything requesting our attention — and most of it free — being found
is valuable.

The giant aggregators such as Amazon and Netflix make their living in
part by helping the audience find works they love. They bring out the
good news of the “long tail” phenomenon, which we all know, connects
niche audiences with niche productions. But sadly, the long tail is only
good news for the giant aggregators, and larger mid-level aggregators
such as publishers, studios, and labels. The “long tail” is only
lukewarm news to creators themselves. But since findability can really
only happen at the systems level, creators need aggregators. This is why
publishers, studios, and labels (PSL)will never disappear. They are not
needed for distribution of the copies (the internet machine does that).
Rather the PSL are needed for the distribution of the users’ attention
back to the works. From an ocean of possibilities the PSL find, nurture
and refine the work of creators that they believe fans will connect
with. Other intermediates such as critics and reviewers also channel
attention. Fans rely on this multi-level apparatus of findability to
discover the works of worth out of the zillions produced. There is money
to be made (indirectly for the creatives) by finding talent. For many
years the paper publication TV Guide made more money than all of the 3
major TV networks it “guided” combined. The magazine guided and pointed
viewers to the good stuff on the tube that week. Stuff, it is worth
noting, that was free to the viewers.  There is little doubt that
besides the mega-aggregators, in the world of the free many PDLs will
make money selling findability — in addition to the other generative
qualities.

These eight qualities require a new skill set. Success in the free-copy
world is not derived from the skills of distribution since the Great
Copy Machine in the Sky takes care of that. Nor are legal skills
surrounding Intellectual Property and Copyright very useful anymore. Nor
are the skills of hoarding and scarcity. Rather, these new eight
generatives demand an understanding of how abundance breeds a sharing
mindset, how generosity is a business model, how vital it has become to
cultivate and nurture qualities that can’t be replicated with a click of
the mouse.

In short, the money in this networked economy does not follow the path
of the copies. Rather it follows the path of attention, and attention
has its own circuits.

Careful readers will note one conspicuous absence so far. I have said
nothing about advertising. Ads are widely regarded as the solution,
almost the ONLY solution, to the paradox of the free. Most of the
suggested solutions I’ve seen for overcoming the free involve some
measure of advertising. I think ads are only one of the paths that
attention takes, and in the long-run, they will only be part of the new
ways money is made selling the free.

But that’s another story.

Beneath the frothy layer of advertising, these eight generatives will
supply the value to ubiquitous free copies, and make them worth
advertising for. These generatives apply to all digital copies, but also
to any kind of copy where the marginal cost of that copy approaches
zero. (See my essay on [Technology Wants to Be
Free](http://kk.org/thetechnium/archives/2007/11/technology_want.php).)
Even material industries are finding that the costs of duplication near
zero, so they too will behave like digital copies. Maps just crossed
that threshold. Genetics is about to. Gadgets and small appliances (like
cell phones) are sliding that way. Pharmaceuticals are already there,
but they don’t want anyone to know. It costs nothing to make a pill. We
pay for Authenticity and Immediacy in drugs. Someday we’ll pay for
Personalization.

Maintaining generatives is a lot harder than duplicating copies in a
factory. There is still a lot to learn. A lot to figure out. Write to me
if you do.
