---
created_at: '2017-10-05T21:22:38.000Z'
title: The Yamaha NS10 Story – How a Hi-Fi Speaker Conquered the Studio World (2008)
url: https://www.soundonsound.com/reviews/yamaha-ns10-story
author: snthd
points: 81
story_text: 
comment_text: 
num_comments: 96
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1507238558
_tags:
- story
- author_snthd
- story_15412686
objectID: '15412686'
year: 2008

---
How A Hi-fi Speaker Conquered The Studio World

By Phil Ward

[![Yamaha NS10 nearfield
monitors.](https://dt7v1i9vyp3mf.cloudfront.net/styles/header/s3/imagelibrary/y/yamahans1001-KD7qppNdHP2x5W7aS_VEk_ug1GkAdk9x.jpg)](https://dt7v1i9vyp3mf.cloudfront.net/styles/news_large/s3/imagelibrary/y/yamahans1001-dom6l2kUrWL1UfmN67XHfeF11ScKH2W..jpg)

Love or hate the Yamaha NS10, this unassuming little speaker has found a
place in the studios of many of the world's top producers. We trace its
history, and investigate why a monitor whose sound has been described as
"horrible" became an industry standard.

What is it about the Yamaha NS10? If any piece of pro audio hardware
deserves that over-used term "industry standard" it has to be the NS10.
In a professional audio world continually seduced by the next big thing,
where plug-ins can provide a near instantaneous GAS (Gear Acquisition
Syndrome) fix, where products live or die thanks to their quantity of
bells and whistles, and where the number of contemporary nearfield
monitors that could apparently do the job of an NS10 is almost beyond
count... the venerable, tired old Yamaha is the one piece of kit that
still appears in almost every photograph of a smiling engineer posed at
his desk.

You don't have to hang around long in the SOS Forum for a thread to
appear that features the Yamaha NS10. Even in threads that begin with
some other monitor subject, the NS10 seems to possess a gravitational
influence that inexorably results in discussion of its merits, or
otherwise. Few subjects excite so much passionate opinion and, as is the
way with passionate opinions, you don't find many in the middle ground:
nobody says they "quite like" or "slightly dislike" the NS10; it's a
definite case of love or hate, as evidenced by the SOS Forum quotes I've
included in the 'Love 'Em Or Hate 'Em?' box. Within that context of
polarised opinion, the NS10 generates a phenomenon that at first glance
seems a little odd. You find those that, in professional terms can't
live without it but often don't particularly enjoy listening to it, and,
similarly, those that refuse to give it studio room but are often happy
to admit that professionally it does a job.

So what's going on? Not only should the NS10 by rights be nothing but a
small footnote in the history of recorded music, but also there is
precious little consensus or understanding about why we respond to it in
the way we do, and why it's still found in almost every studio. That's
where this feature comes in — so if you've ever wondered why you're
still using NS10s, even though you don't particularly enjoy the way they
sound, and if you're prepared to forget some of what you thought you
knew about monitors, read on...

Part of the NS10's problem is that the general understanding of how we
respond to monitors is coloured by their apparent technical simplicity
and by manufacturers, sometimes innocently and sometimes intentionally,
encouraging this phenomenon. In reality, the psychoacoustics of the
perception of music reproduced by loudspeakers, and how this relates to
their technical performance and specification, is an immensely complex
subject that doesn't take kindly to simplification by marketing
departments. By the time it lands on a sales brochure, a
frequency-response curve, for example, is typically meaningless in terms
of providing any information that's useful to an end user — even if it
was measured competently and had any technical value in the first place.
But then, in some respects, it can suit a manufacturer of monitors if
their customers don't know too much.

Misunderstanding also tends to breed misinformation, which is often
disseminated by well-meaning amateurs: those whose knowledge of a
subject is sketchy are always prey to the intuitively plausible but
utterly wrong explanation for one phenomenon or another. The hi-fi
sector is well known for enthusiastically buying into the plausible (and
often the implausible) as opposed to the factually correct. But we
serious audio practitioners shouldn't start feeling smug, because the
pro sector is not by any means squeaky clean on that front, especially
where monitors are concerned. Occam's Razor, the principle beloved of
physicists, which says that the most likely correct explanation for any
phenomenon is probably the simplest one, never seems to have reached the
audio business\!

## [NS10 Variants](#top)

During the NS10's 23-year life Yamaha manufactured a number of different
versions (or perhaps just used a number of different logos):

[![The NS10 started life as a (not very successful) hi-fi speaker: and
the original NS10M shipped with cloth grilles, hence the grille-mounting
sockets you find in the corners of this model (absent from the NS10M
Studio that
followed).](https://dt7v1i9vyp3mf.cloudfront.net/styles/news_preview/s3/imagelibrary/y/yamahans1004-dxnq9SY3tNHuUXQXlz7Z75LdptLxU74v.jpg
"The NS10 started life as a (not very successful) hi-fi speaker: and the original NS10M shipped with cloth grilles, hence the grille-mounting sockets you find in the corners of this model (absent from the NS10M Studio that followed).")](https://dt7v1i9vyp3mf.cloudfront.net/styles/news_large/s3/imagelibrary/y/yamahans1004-K5.9NSZGK_1_3sBXs3YhTZ65LAvI_6zZ.jpg "The NS10 started life as a (not very successful) hi-fi speaker: and the original NS10M shipped with cloth grilles, hence the grille-mounting sockets you find in the corners of this model (absent from the NS10M Studio that followed).")**NS10M:**
The original domestic hi-fi speaker designed for vertical orientation
(its front panel logo reads correctly with the speaker mounted with
tweeter above woofer). This is the speaker that was too bright for Bob
Clearmountain, leading him to resort to tissue paper over the tweeters —
although, of course, it had to be the right kind of tissue paper.

**NS10M Studio:** Some time after Yamaha got wind of the NS10M's
popularity as a nearfield monitor (and around nine years after the
original product launch) a version badged 'NS10M Studio' was produced.
This version was designed for horizontal orientation (the logo and
connection panel text were turned through 90 degrees), incorporated a
redesigned tweeter and crossover to address the HF tonal balance issues,
featured a more rugged cabinet design without grille-mounting sockets,
and had improved connection terminals.

**Others:** Web searches on NS-10 or NS10 will reveal some variants.
There are versions badged NS10M Pro, NS10MX, NS10MC, NS10MT, and a
miniature version that was sold in a 5.1 home-theatre package called the
NS10MM. I've been unable to establish whether the NS10M Pro and NS10MX
offer anything different (my guess is that they don't, but if anybody
out there knows anything about them I'd love to hear it), but the NS10MC
appears to be an NS10M Studio with a front grille, and the NS10MT
appears to be a magnetically shielded and vertically oriented NS10M
Studio with symmetrically arranged drivers and, wait for it... a reflex
port. Aaaargh\!

There are also obviously NS10-inspired products out there, by which I
mean nearfield monitors with black cabinets and white cones. In the
absence of any independent technical appraisal I'd be very wary of
purchasing one on the assumption that it will offer anything like the
performance of the genuine article. If you really want a pair of NS10s,
eBay is probably your only real option, and you should expect to pay
anything up to £350 for a pair in good condition.

Before we get into the electro-mechanical and psychoacoustic nitty
gritty that I know you're gagging for, let me take you through a little
NS10 history. The Yamaha NS10 was designed by Akira Nakamura and
launched in 1978, and it was as technically unremarkable then as it is
now. At that time Yamaha were also producing the more extraordinary
NS1000 (also designed by Nakamura). With its beryllium mid-range and
tweeter domes this speaker is technically advanced even now, and if you
ever come across a pair in good condition, worth selling your own mother
for. The NS10 began life as a domestic hi-fi speaker, but it was
relatively poorly received and quickly faded towards obscurity. How the
NS10 was rescued from hi-fi death and resurrected as a nearfield
monitor, single-handedly inventing a product sector as it did so, is a
story that has probably been told slightly differently almost as many
times as it's been told, but the version I'll tell here is, I believe,
as close to the truth as makes no difference.

To understand the history you first have to appreciate its context. The
late '70s, when NS10s began to appear perched on meter bridges
worldwide, was a transitional time in music recording. The divide
between the engineer and the artist was blurring, as if the glass
between the control room and the studio was melting. Desks were getting
bigger as track count increased on tape. Outboard gear, driven by the
possibilities offered by the mix and editing potential of that higher
track count, became more sophisticated and ambitious, and the
possibilities for recording engineers to become more creatively involved
in the process of producing a record multiplied.

[![Although Yamaha appear to have included plenty of technical
information on the rear panel of this NS10M, you'll have to dig deeper
to find out what makes the NS10 so special (or, of course, you could
read this article...).
](https://dt7v1i9vyp3mf.cloudfront.net/styles/header/s3/imagelibrary/y/yamahans1003label-PcDDoOFyRb7l9ohHxkb3cMTlRDEoFzr6.jpg
"Although Yamaha appear to have included plenty of technical information on the rear panel of this NS10M, you'll have to dig deeper to find out what makes the NS10 so special (or, of course, you could read this article...). ")](https://dt7v1i9vyp3mf.cloudfront.net/styles/news_large/s3/imagelibrary/y/yamahans1003label-95QXG0eN5xeWJzXI8h3tR_mlCsKQHPa2.jpg "Although Yamaha appear to have included plenty of technical information on the rear panel of this NS10M, you'll have to dig deeper to find out what makes the NS10 so special (or, of course, you could read this article...). ")

This new-found creativity in the control room meant that those recording
engineers who embraced and learned to deploy the rapidly increasing
capabilities of recording technology discovered they could call the
shots with the record companies. Suddenly they held the power and some
of them, initially in the US but pretty quickly in the UK also, became
minor stars in their own right. The freelance life beckoned as a result,
but a freelancer needs their own tools, and the new breed of 'name'
recording engineer/producer travelled reasonably light from studio to
studio, with a few items of favourite outboard, a few microphones —and,
after a while, a pair of Yamaha NS10s.

Actually, it might not have been the NS10. On both sides of the Atlantic
it might have been the Acoustic Research AR18, and in the UK it might
have been the Mordaunt-Short MS20: hi-fi speakers that offered similar
technical characteristics and were occasionally to be found in studios
(I was working at Mordaunt-Short in the early '80s and developed a 'pro'
version of the MS20, but a lack of effective distribution scuppered its
launch). But it was the NS10, thanks in part to its cool white cone and,
it is often said, to Bob Clearmountain...

The usual story goes that Bob Clearmountain, one of the first of that
new breed of 'name' engineers wanted a pair of monitors to carry with
him from studio to studio so that he had a consistent reference, and he
wanted something that he felt was representative of typical domestic
hi-fi speakers. It is sometimes also said, usually by those for whom the
abilities of the NS10 are a closed book, that he chose the NS10 because
it was the worst-sounding speaker he could find. That, as I say, is the
usual story. The trouble is, it's not true: the real story, recounted by
engineer Nigel Jopson in a letter published in Resolution magazine in
2007, does involve Bob Clearmountain (see Note 1), but is different in
almost every other respect.

## [Bob Clearmountain's Tissue](#top)

Bob Clearmountain's other significant claim to fame is probably that he
was the first to use tissue paper over NS10 tweeters in an attempt to
dull their over-bright balance. He resorted to tissue paper after the
maintenance staff at The Power Station had refused to modify the
speakers by wiring resistors in series with the tweeters (why he didn't
simply put an HF shelf EQ in the monitor chain is a question for which I
don't have an answer). Yamaha's second-generation NS10, the NS10M
Studio, had a less bright balance, so removing the need for tissue
paper. There's a technical analysis by Bob Hodas examining the effect of
covering the NS10 tweeter with various types of tissue paper here:
[www.bobhodas.com/tissue.html](http://www.bobhodas.com/tissue.html)

Jopson believes he was one of the first engineers regularly to use NS10s
in the UK. His first pair was given to him by a producer just back from
mixing a project at The Power Station in New York, after hearing that
Rhett Davies and Bob Clearmountain had used a pair there while mixing
Roxy Music's Avalon. However, Jopson goes on to say that Clearmountain
himself recalls that NS10s were recommended to him by Bill Scheniman —
who was the first engineer to bring a pair to New York, having used them
at either Motown or Sunset Studios in LA. Bill Scheniman recollects that
the pair of NS10s at Sunset (or was it Motown?) belonged to Grag
Ladanyi, but that he had been convinced of their worth earlier, while
working in Tokyo. Scheniman remembers using NS10s at two studios there:
TakeOne, and another studio long-since forgotten. So, the most likely
seed of the NS10's world domination was probably an unknown engineer at
TakeOne studios in Tokyo — and not Bob Clearmountain looking for the
worst speaker he could find\!

The rest, as they say, is history. Clearmountain in particular was (as
he is now) a first-call producer and engineer for the biggest projects,
and once he and a few others began to rely on the NS10, the phenomenon
grew like a virus inhabiting a welcoming host: studios began to buy
NS10s in their thousands in an effort to attract name engineers. Of
course, in order to thrive, a virus needs a host to which it is
particularly well suited, and this was provided by the rapidly
increasing number of freelance engineers I described earlier.

But in what respect was the NS10 so well suited to the nearfield monitor
role? What was it that the unknown Tokyo engineer, Scheniman,
Clearmountain, Davies, Jopson et al, heard to convince them that the
NS10 was worth overturning their previous monitoring practices
(predominantly Aurotones on the desk for AM radio/TV mixes, and big
horn-loaded main monitors in the wall in front of the desk) for? If the
NS10 had truly been, 'the worst speaker Bob Clearmountain could find' it
wouldn't still be with us, which means it must have had — and must still
have — something special.

Fast forward to 2001 (ironically, the year in which Yamaha discontinued
the NS10), when studio and monitor designer Philip Newell, Julias
Newell, and Southampton University's Dr Keith Holland presented a
[research
paper](http://dt7v1i9vyp3mf.cloudfront.net/assetlibrary/n/ns10m.pdf?jQWj8tYIeZeymRCNXitG9Qfwq9mLf1t0)
to the Institute of Acoustics that constituted probably the first
objective investigation of the NS10 phenomenon.

The Newells/Holland paper was based on acoustic measurements of 38
different nearfield monitors, carried out in the UK's premier research
anechoic chamber at Southampton University. The acoustic measurements
taken included frequency response, harmonic distortion and time-domain
response (how quickly

## [Further Reading](#top)

The paper, The Yamaha NS10. Twenty Years A Reference Monitor. Why? is no
longer available from the Institute of Acoustics but some of it is
included in Philip Newell and Keith Holland's book, Loudspeakers For
Music Recording And Reproduction. Anyone who gets to the end of this
article without losing the will to live could do much worse than get
hold of a copy.

*Ed — Since this SOS article was first published, the authors have
kindly given us permission to host the research paper PDF on our web
site: ![PDF icon](/modules/file/icons/application-pdf.png
"application/pdf")
[ns10m.pdf](https://dt7v1i9vyp3mf.cloudfront.net/assetlibrary/n/ns10m.pdf?Mox1MHrRfMC0jrcxfvOtE1aJ4mEwV4P.)*

Having said that the Newells/Holland paper was the first analysis of the
NS10, Andy Munro presented a paper to the Audio Engineering Society in
the early '90s, in which he examined in passing the acoustic effects on
the NS10 of placing it on the meter bridge of a big desk. The paper
showed that the NS10's frequency response flattens in such circumstances
— reflection from the desk reinforces output in the upper bass and
low-mid region.

a monitor starts and stops in response to an input). At the end of the
exercise it's no exaggeration to say that one monitor stood out like the
proverbial sore cliché: the NS10. While its frequency response wasn't
particularly flat, and its low-frequency bandwidth was restricted in
comparison to many others, in terms of time-domain and distortion
performance it was outstanding.

During my work with Acoustic Energy on its recently launched AE22
nearfield monitor, we repeated some of Newell's and Holland's
time-domain measurements of the NS10 and found similar results, and I've
reproduced some curves that illustrate it. The measured data was
generated by Phil Knight using the MLSSA acoustic measurement and
analysis package, together with a calibrated B\&K measurement microphone
and custom-made power and microphone amplifiers. The relatively small
measuring environment allowed for acoustic accuracy only down to around
150Hz — so, in Figure 4, reproduced later in this article, data below
that frequency was generated through analysis of the NS10's
low-frequency electro-acoustic parameters and calculating its response
(see the explanation below). Before I get deeper into the acoustic
measurements of the NS10, however, I'll first touch on one fundamental
reason, as Newells and Holland pointed out, why its time-domain response
is significantly better at low frequencies than most nearfield monitors:
it's a closed box speaker.

## [Frequency Response & Time Domain](#top)

In electro-acoustic terms, at low frequencies (say, below 200Hz) a
speaker is a classical high-pass filter and, just as in classical
electrical filter theory, if the appropriate parameter values (driver
compliance, moving mass, cone area, box volume, magnet strength,
voice-coil resistance, and so on) are known, the frequency response and
time-domain response can be calculated with (almost) 100 percent
confidence.

Thanks to its two reactive elements — the mass of the cone/coil and the
combined stiffness of the driver suspension and the air in the cabinet —
a closed-box speaker displays second-order (12dB per octave) high-pass
filter characteristics. A reflex-loaded speaker, on the other hand,
thanks to the extra mass element of the slug of air in the port and the
slug's own reaction against the air in the box, behaves as a
fourth-order filter (24dB per octave). All reactive filters display a
delay in their response to an input that increases with their
complexity. In-phase movement of the air in the port of a reflex-loaded
speaker must occur a half cycle (180-degree phase shift) after movement
of the driver cone. This kind of time delay is known technically as
group delay; it's actually the phase change with frequency expressed as
time.

[![Figure 1: Calculated NS10M low-frequency amplitude response (black)
and group delay
(blue).](https://dt7v1i9vyp3mf.cloudfront.net/styles/header/s3/imagelibrary/y/yamahans10fig1-lVadMncLlsxIYCdED69V_jmny5zy7abu.jpg
"Figure 1: Calculated NS10M low-frequency amplitude response (black) and group delay (blue).")](https://dt7v1i9vyp3mf.cloudfront.net/styles/news_large/s3/imagelibrary/y/yamahans10fig1-X8rCNXx8QF0YfiMxrh4waUrQxV9G5qmk.jpg "Figure 1: Calculated NS10M low-frequency amplitude response (black) and group delay (blue).")

To illustrate a comparison of a closed box and a reflex speaker I've
generated two low-frequency response simulation curves showing frequency
response and group delay. The simulation in Figure 1 is based on the
cabinet volume and driver parameters of the NS10. The NS10's limited
low-frequency bandwidth (-3dB at 70Hz), slightly humped response and
slow roll-off are clearly apparent. The group delay reaches a maximum of
around 3.5ms at 70Hz.

Figure 2 shows what might have happened if Akira Nakamura had decided to
aim for maximum low-frequency bandwidth (retaining the characteristic
slightly humped shape) when he designed the NS10. The simulation in
Figure 2 is again based on the NS10's 12-litre box volume. I've had to
tweak the driver parameters slightly to make the system viable, but they
are broadly similar to the genuine article. So if Nakamura had decided
to go all out for LF bandwidth (as many contemporary nearfield monitor
designers do) he could easily have reached -3dB at 57Hz — but look what
would happen to the group delay. It increases to just under 11ms at
60Hz, which is around three times that of the closed-box NS10.

[![Figure 2: Calculated reflex-loaded NS10M low-frequency amplitude
response (black) and group delay
(blue).](https://dt7v1i9vyp3mf.cloudfront.net/styles/header/s3/imagelibrary/y/yamahans10fig2-SXmUpAeU_Sd7dstflQ6ikqmDuNAx0i3h.jpg
"Figure 2: Calculated reflex-loaded NS10M low-frequency amplitude response (black) and group delay (blue).")](https://dt7v1i9vyp3mf.cloudfront.net/styles/news_large/s3/imagelibrary/y/yamahans10fig2-H0q.Xu7Y.6SjPlujfDLJJVpVklVqYQBO.jpg "Figure 2: Calculated reflex-loaded NS10M low-frequency amplitude response (black) and group delay (blue).")

Group delay is not some imaginary construct that helps acousticians feel
important, it's real — and it means, for the reflex-loaded NS10 option,
that a bass-guitar fundamental at 60Hz will arrive at the listening
position around 9ms after the second harmonic at 120Hz. Put another way,
and expressed as a distance, the low fundamentals of the bass guitar
(and parts of the drum kit) will sound as if they are nearly four metres
behind the rest of the band (you can insert your own bass player gag
here). Low-frequency group delay doesn't only influence mix decisions:
it also varies widely between speakers and, unlike low frequency level,
which can be adjusted via EQ, once its influence on tracking or mix
decision has been 'printed' to the mix, it can't be undone.

A reflex-loaded NS10, however, would not just have had significantly
delayed low-frequency output. As well as delaying the arrival of
low-frequency output, reflex loading also results in its output
continuing significantly after the input signal has stopped (something
that takes time to get moving generally takes time to stop), and in a
multitude of dynamic compression, pitch-accuracy, noise and distortion
mechanisms that simply do not occur in closed-box speakers. These again
are effects that come without an 'undo' function once a mix is printed —
so one of the best decisions Nakamura made when developing the NS10 was
to make it a closed box.

Closed-box loading explains why the NS10's time-domain response is good
at low frequencies but, as Newells and Holland discovered, the excellent
performance also continues into the vital mid-range. Figure 3 shows a
'waterfall plot' of an NS10M from 200Hz up to 20kHz. These plots
illustrate how quickly the output from a speaker dies away after a
full-range signal stops suddenly. Imagine instantaneously switching off
a source of pink noise. That's not quite how the waterfall plot is
generated — one of this type is actually generated by taking sequential
windowed snapshots of the speaker's impulse response and applying a
Fourier transform to each — but it's a useful mental image.[![Figure 3:
Measured NS10M waterfall
plot.](https://dt7v1i9vyp3mf.cloudfront.net/styles/header/s3/imagelibrary/y/yamahans10fig3-eaF0B25sDGD7PskeRIg_NsrO4MoxK4tF.jpg
"Figure 3: Measured NS10M waterfall plot.")](https://dt7v1i9vyp3mf.cloudfront.net/styles/news_large/s3/imagelibrary/y/yamahans10fig3-S5FhKRUNim.OCChBxCxoADOKbe5vJdG4.jpg "Figure 3: Measured NS10M waterfall plot.")

Time runs in the waterfall plot from back to front, and a perfect
speaker would display just one line (equivalent to its steady-state
frequency response) at zero milliseconds. At the left-hand side of the
plot there's a combination of the tail of the NS10's low-frequency
fundamental resonance (even closed-box speakers don't stop immediately),
and the unavoidable artifacts of a relatively small measurement space.
Moving to the right, there are a couple of obvious discrete features —
one at just under 2kHz and one at just under 3kHz. These are resonances
in the NS10's bass/mid driver cone (or possibly its surround or
dust-cap), and while they may look a little ugly they actually die down
very quickly, and in subjective performance terms are relatively
innocuous. The second resonance is at around 3kHz, which is actually
above the NS10's 2kHz nominal crossover frequency, and illustrates that
driver performance is important, even outside its nominal operational
band. And speaking of the nominal operating band, the NS10's unusually
low crossover frequency of 2kHz (made possible by a larger than typical
tweeter, able to operate at relatively low frequencies) provides another
clue to its time-domain performance. Any paper-cone bass/mid driver such
as that used in the NS10 will become pretty badly behaved, in terms of
resonance, above about 2kHz. Above the 3kHz feature in the waterfall
plot is an area of general hash: this is the bass/mid cone in what's
known as break-up mode, where its output is really just the result of
one resonance after another. If the NS10's crossover frequency was an
octave higher, at 4kHz, this cone break-up region would reflect in the
time-domain performance and the waterfall plot would look very much
worse. Moving further to the right, the NS10's tweeter performs very
well and shows very little delayed output. Generally, the NS10's
waterfall performance reveals a speaker that achieves -40dB within 6ms.
Most speakers will take twice that long and many, especially those
designed to maximise bandwidth, longer still. With just two small
resonant features in the waterfall plot up to 3kHz, Nakamura could
justifiably consider his design for the NS10 bass-mid driver a success.

## [The Heat Is On](#top)

Measurement of the low-frequency parameters of the NS10 bass/mid driver
revels that it has a very high mechanical Q. This means there's no
eddy-current damping from the voice-coil former, which in turn means
that it's almost certainly made from non-conductive Kapton (polyimide
film) rather than the more usual, and conductive, aluminium. A Kapton
fomer, while able to withstand pretty high temperatures, dissipates heat
very poorly.

I suspect that the success came from the NS10's only really unusual
feature: its iconic white bass/mid driver cone. The cone wasn't just
unusual because it was white, of course, but thanks to the way it was
manufactured. The vast majority of paper-based speaker cones are pressed
from pulp using a mould — partly because moulding gives the designer the
ability to specify a curved cone-profile, to enable a degree of tuning
of the driver's frequency response and resonant behaviour. A cone with a
curved profile will generally become less rigid towards its outer edge,
so as frequency increases its effective radiating area and output level
reduces. Designers often use this technique to delay the onset of
directionality in bass/mid drivers, so allowing a higher crossover
frequency than would otherwise be possible

[![The curl-and-join construction of the NS10's paper cone (look closely
and you can see the glued seam) is not typical of most speaker designs —
and is a factor in the NS10's success in the
studio.](https://dt7v1i9vyp3mf.cloudfront.net/styles/header/s3/imagelibrary/y/yamahans1002dark-hMuerA5qzeIyszOthtnnyqXz0kWQoK.C.jpg
"The curl-and-join construction of the NS10's paper cone (look closely and you can see the glued seam) is not typical of most speaker designs — and is a factor in the NS10's success in the studio.")](https://dt7v1i9vyp3mf.cloudfront.net/styles/news_large/s3/imagelibrary/y/yamahans1002dark-OWlksRMXb5jWpv_TwCkTgGuioEotFWfB.jpg "The curl-and-join construction of the NS10's paper cone (look closely and you can see the glued seam) is not typical of most speaker designs — and is a factor in the NS10's success in the studio.")

The NS10's bass/mid cone was not pressed but 'curled-up' from flat paper
sheet and then glued (look closely at the picture and you can see the
join). The cone is straight-sided as a result, and the curl-and-join
technique had two consequences for the performance of the NS10 bass/mid
driver. First, the straight-sided form generally results in a driver
with a rising frequency response, and second, while straight sides
maximise rigidity, which would normally result in a cone with a strong
'bell-mode' resonance, the glued join acts as a damper (imagine a bell
with a glued sawcut down the side: it won't ring much).

The characteristic rising response of a straight-sided cone is clearly
apparent in Figure 4, which illustrates the NS10's frequency response
measured at one metre on an axis halfway between the bass/mid unit and
tweeter. Figure 4 is correctly calibrated so the NS10's sensitivity for
a 2.83V (nominally 1W into 8Ω) input can be read from the vertical axis
— somewhere between 87dB and 92dB. The NS10's relatively restricted
low-frequency bandwidth, and the low-frequency roll-off slope of 12dB
per octave, can also be seen. The 15kHz 'suck-out' in the response is
most likely caused by diffraction from the tweeter's wire grille and, as
it makes only a fleeting appearance in the waterfall plot is probably of
little significance (it fades away in off-axis measurements too, which
suggests its root cause is one of geometric symmetry).

[![Figure 4: Measured and calculated NS10M amplitude frequency response.
Measured at 1m on axis. Curve calibrated to 2.83V
input.](https://dt7v1i9vyp3mf.cloudfront.net/styles/header/s3/imagelibrary/y/yamahans10fig4-CrWK5bTi6VL2_.39Zbn5I0QwWeZwbIpo.jpg
"Figure 4: Measured and calculated NS10M amplitude frequency response. Measured at 1m on axis. Curve calibrated to 2.83V input.")](https://dt7v1i9vyp3mf.cloudfront.net/styles/news_large/s3/imagelibrary/y/yamahans10fig4-AM9PW9D349lwomnaL02ZoklYAwemEGsT.jpg "Figure 4: Measured and calculated NS10M amplitude frequency response. Measured at 1m on axis. Curve calibrated to 2.83V input.")

## [Love 'Em Or Hate 'Em?](#top)

This selection of opinions that I've pillaged from the SOS Forum
([www.soundonsound.com/forum](/forum)) gives you an impression of the
strength of feeling both for and against the Yamaha NS10 — and it is
very rare to find anyone's comments keeping to the middle ground\!

"I don't find the NS10s fatiguing to listen to at all, quite the
opposite. The more I use them the more I love them\!"

"They're brutally unflattering to mixes, but that's their job. But
never, ever use them as a sole pair of monitors. Just a cross check."

"...their forte is to exaggerate low-mid ugliness in your mix. If you
monitor on NS10s and your low-mids sound clean, then they are."

"NS10s were bloody brilliant, I can't believe Yamaha stopped making
them."

"I keep NS10s in the studio, because it gives bands and producers a warm
feeling. Ten minutes into the session I switch them off and not once has
anyone questioned it. I track and mix on better monitors and get better
results."

"The NS10 phenomenon may have more to do with the 'Emperor's New
Clothes'. In my opinion they sound nasty and I don't feel that I can
trust them."

"Nobody in their right minds likes the sound of the NS10s for enjoyable
listening\!\!\! They do not do that very well\!\!\!"

"The old cliché is that if it sounds good on NS10s then it'll sound good
on anything. I think it's precisely because they sound so bad that they
are used so widely."

"NS10s are totally incapable of reproducing a double bass or the bottom
octaves of a grand piano with any sort of accuracy, and have a harsh
high-end that can really numb your ears after a while."

"I've never really got on with them and can gladly live without them in
the studio. However, I've seen experienced visiting engineers produce
good mixes on them and I've seen inexperienced people produce terrible
bass-heaving mixes on them."

"They may sound horrible but they do highlight problems with your
mixing."

"I totally hated the NS10s initially and wondered why they were industry
standard, until I checked back some mixes on a pair. All the problems
instantly jumped out."

"They really are somewhat unique in their ability to let you hear the
mids in a relatively uncoloured way, and I can tell you that they have
improved my mixes greatly, and I'm able to get a mix to translate better
in a much shorter period of time, especially with busy mixes."

"Run out and buy a pair of NS10s... like the sound or not, that is not
the point."

Why have I included a frequency-response curve here? I mentioned earlier
that the frequency-response curves in a sales brochure are typically
meaningless in terms of providing information that's useful to an end
user. Actually, though, I'd go further than that, and suggest that in
many respects making any judgment about the worth or likely value of a
monitor by examining its frequency-response curve is not far short of
pointless. I often read opinions on the SOS Forum arguing that to be of
any value monitors require a 'flat frequency response', but numerous
recordings made during what many would consider the golden age for
musical sound quality (the '60s and '70s) were monitored on speakers
that were all over the place in terms of frequency response — and I
don't know why recording engineers seem to believe so strongly that a
monitor should be anechoically 'flat' when so much end-product evidence
suggests that this isn't particularly important.

A frequency-response curve appears to tell you if a monitor is going to
reproduce different elements of the audible bandwidth at the same level,
which intuitively seems vitally important. But a simple
frequency-response curve tells you no such thing, and the
psychoacoustics of human hearing is more about the time domain than the
frequency domain.

When we measure a monitor's frequency response in an anechoic chamber,
the microphone 'hears' the output at just one position in space.
However, when we listen to a monitor in a room we hear a combination of
the monitor and its interaction with the room boundaries (and big items
of furniture). Reflections from the walls, floor and ceiling are
integrated over time by the brain, to create a composite tonal balance.
When I design a typical 'box speaker', I've learned through experience
(and reading Dr Floyd Toole's work on the subject) that a
frequency-response curve taken at between 20 and 30 degrees horizontally
off-axis is likely to be most representative of an appropriate target
tonal balance. For a speaker tonally voiced for domestic free-space
mounting (not up against a wall or sat on a meter bridge), this off-axis
anechoic curve should be reasonably flat up to around 2kHz and then fall
slowly at around 3dB per octave for the rest of the range. This is a
long, long way from 'flat', but it will sound neutrally balanced in a
typical domestic room at average playback levels.

And speaking of 'average playback levels', in addition to the room
effects that influence our perception of tonal balance, listening level
plays a significant part too. The brain's perception of tonal balance is
level dependent. At low levels we're far more sensitive to mid-range
than bass and treble — hence the 'loudness' button beloved of '80s
Japanese hi-fi amps. So, again, expecting a frequency-response curve
measured at one position in space and at a single arbitrary level to
reveal the full story on the worth of a monitor is to simplify reality
to the point of nonsense.

Moving swiftly on to the second assertion I made a couple of paragraphs
ago, we humans have evolved to respond more to the transient than to the
tonal elements of sound. Try a little experiment: find a sample of
something like a clarinet and a flute, each playing the same continuous
note, drop them onto two tracks in your DAW and listen to them in turn.
It's very easy to tell which is which. Chop the first, say, 500ms from
the front of each so that the characteristic beginnings of the notes are
suppressed, and listen again. They'll sound much more similar: the brain
uses the characteristic transients to differentiate the instruments, and
without them it struggles. Now, go back to the un-edited samples and
apply the same severe EQ to each and listen again: despite the EQ, you
can still differentiate them. A similar illustration of the use the
brain makes of transient rather than tonal information is that a
familiar voice remains familiar in wildly different acoustic
environments — environments that imprint different tonal characters on
the sound. So, concentrating on the 'flatness' of frequency response is
to miss a hugely important point: if a monitor handles transients
accurately, its frequency response is much less important than you
probably think.

Before I wrap up this epic (and promise never, ever to write about the
NS10 again), there's just one more issue that probably deserves to be
kicked around a little. If the NS10 is so good, why do people so often
express their dislike of listening to it? I suspect that there are both
practical and emotional answers to this conundrum.

First, the emotional. Thanks to its time-domain accuracy and mid-heavy
balance, the NS10 is an extremely revealing speaker that takes no
prisoners. In other words, if the recording is poor, the NS10 will tell
you in no uncertain terms. You have to work harder to make things sound
good on the NS10 not because it sounds bad but because recorded music,
even today, is often a poor approximation of the real thing, and the
NS10 reveals it. I found a familiar comment on the SOS Forum that reads:
"If it sounds good on NS10s then it'll sound good on anything." Again,
that's not because the NS10 is inherently poor, but because it is
effective at revealing the fundamental compromises inherent in recorded
music. If you've worked hard on NS10s at a mix and overcome those
compromises, or perhaps cleverly disguised them, the mix will translate
well to other systems because it is a good mix. Put another way, the
NS10 better enables you to get to the nub of a mix by more accurately
reproducing its fundamental time-domain information — and it is this
which can make the task of mixing seem more challenging.

And the practical? Well, it's certainly true that the NS10s have a
mid-heavy balance and little bass extension. This is especially so if
they are not mounted close to a suitable boundary — such as a big desk
or a rear wall — to provide low mid-range reinforcement. They're also
just as revealing of any shortcomings in the monitoring chain as they
are of the mix, and they don't take very kindly to being driven loud.
While Newells and Holland showed they have very low levels of
distortion, they do suffer from thermal compression, which will not only
cause wide-band dynamic attenuation in response to high levels of drive,
but will upset the characteristics of the crossover filters as the
voice-coil resistance of the drivers increases. As temperature rises,
the bass/mid low-pass filter frequency will increase significantly (and
the tweeter high-pass filter frequency will reduce), and begin to give
prominence to the resonances at the top end of the bass/mid driver's
response. When NS10s are driven too hard by a poor amplifier, fed by a
sub-standard monitor output, and mounted without any boundary
reinforcement, you might well find that they sound horrible to the point
of being unusable.

Where does all that leave us? Why do we still use that old monitor? We
use it because it does a job, even if it sometimes doesn't sound very
nice while doing the job, partly because, if it's installed or driven
inappropriately, it will reveal such shortcomings without mercy, and
partly because it sometimes reproduces elements of our work that we
don't particularly want to hear. But we also use it because nearfield
monitor manufacturers seem to have suffered a 20-year blind spot and
failed to identify why the NS10 works and remains so popular. Go
figure. 

Thanks to: FX Rentals for the loan of a pair of NS10s; Acoustic Energy
for permission to use their NS10 data; Phil Knight for doing the
original measuring; the SOS Forum members whose words I've borrowed; and
to Chris Binns for advice that (hopefully) ensured I've not written
anything really dumb.

## [Goodbye NS10](#top)

Yamaha discontinued the NS10 in 2001 on the grounds that they were
unable to source the pulp for the bass/mid cone, but I don't buy this.
Firstly, they still seem able to manufacture replacement bass/mid
drivers, and secondly, it was the cone shape and construction method
that were the significant factors, not the specific paper pulp. This
however begs the question why did they discontinue the NS10? I suspect
it was a case of ignorance combined with market and margin pressures.
Nakamura had moved on to pastures new in the organisation, and those
left behind perhaps didn't fully appreciate what was so special about
his speaker. It isn't difficult to imagine the sales department
reporting back that they needed monitors with more bass, and the
engineers responding with reflex loading.
