---
created_at: '2015-09-08T17:18:54.000Z'
title: An Explanation of Cricket (2009)
url: https://www.cs.purdue.edu/homes/hosking/cricket/explanation.htm?
author: Bud
points: 117
story_text: 
comment_text: 
num_comments: 63
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1441732734
_tags:
- story
- author_Bud
- story_10186970
objectID: '10186970'
year: 2009

---
An Explanation of Cricket

# An Explanation of Cricket

## Contents

**Cricket** is a team sport for two teams of eleven players each. A
formal game of cricket can last anything from an afternoon to several
days.

Although the game play and rules are very different, the basic concept
of cricket is similar to that of baseball. Teams bat in successive
**innings** and attempt to score **runs**, while the opposing team
fields and attempts to bring an end to the batting team's innings. After
each team has batted an equal number of innings (either one or two,
depending on conditions chosen before the game), the team with the most
runs wins.

(Note: In cricket-speak, the word "innings" is used for both the plural
and the singular. "Inning" is a term used only in baseball.)

  - Cricket Ball:  
    Hard, cork and string ball, covered with leather. A bit like a
    baseball (in size and hardness), but the leather covering is thicker
    and joined in two hemispheres, not in a tennis ball pattern. The
    seam is thus like an equator, and the stitching is raised slightly.
    The circumference is between 224 and 229 millimetres (8.81 to 9.00
    inches), and the ball weighs between 156 and 163 grams (5.5 to 5.75
    ounces). Traditionally the ball is dyed red, with the stitching left
    white. Nowadays white balls are also used, for visibility in games
    played at night under artificial lighting.

  - Cricket Bat:  
    Blade made of willow, flat on one side, humped on the other for
    strength, attached to a sturdy cane handle. The blade has a maximum
    width of 108 millimetres (4.25 inches) and the whole bat has a
    maximum length of 965 millimetres (38 inches).

  - Wickets:  
    There are two wickets - wooden structures made up of a set of three
    stumps topped by a pair of bails. These are described below.

  - Stumps:  
    Three wooden posts, 25 millimetres (1 inch) in diameter and 813
    millimetres (32 inches) high. They have have spikes extending from
    their bottom end and are hammered into the ground in an evenly
    spaced row, with the outside edges of the outermost stumps 228
    millimetres (9 inches) apart. This means they are just close enough
    together that a cricket ball cannot pass between them.

  - Bails:  
    Two wooden crosspieces which sit in grooves atop the adjacent pairs
    of stumps.
    
    A complete wicket looks like this: ![](wicket.gif)

  - Protective Gear:  
    Pads, gloves, helmet, etc for batsmen to wear to prevent injury when
    struck by the ball.

  - Shoes:  
    Leather, usually with spiked soles for grip on the grass.

  - Clothing:  
    Long pants, shirt (long or short sleeved depending on the weather),
    possibly a sleeveless or long-sleeved woollen pullover in cold
    weather. For games played with a red ball, the clothing must be
    white or cream. With a white ball, players usually wear uniforms in
    solid team colours. Add a hat or cap to keep the sun off. There are
    no regulations regarding identifying marks or numbers on clothing.

A cricket field is a roughly elliptical field of flat grass, ranging in
size from about 90 to 150 metres (100-160 yards) across, bounded by an
obvious fence or other marker. There is no fixed size or shape for the
field, although large deviations from a low-eccentricity ellipse are
discouraged. In the centre of the field, and usually aligned along the
long axis of the ellipse, is the **pitch** , a carefully prepared
rectangle of closely mown and rolled grass over hard packed earth. It is
marked with white lines, called **creases**, like this:

![](pitch.gif)

The dimensions are in centimetres (divide by 2.54 for inches).

The order in which the teams bat is determined by a coin toss. The
captain of the side winning the toss may elect to bat or field first.

All eleven players of the fielding team go out to field, two players of
the batting team go out to bat. The remainder of the batting team wait
off the field for their turn to bat. Each batsman wears protective gear
and carries a cricket bat.

The game progresses by the **bowling** of **balls**. The sequence of
events which constitutes a ball follows:

The fielding team disperses around the field, to positions designed to
stop runs being scored or to get batsmen out. One fielder is the
**bowler**. He takes the ball and stands some distance behind one of the
wickets (i.e., away from the pitch). Another fielder is the
**wicket-keeper**, who wears a pair of webbed gloves designed for
catching the ball and protective pads covering the shins. He squats
behind the opposite wicket. The rest of the fielders have no special
equipment - gloves to assist catching the ball are not allowed to anyone
but the wicket-keeper.

One batsman stands behind each popping crease, near a wicket. The
batsman farthest from the bowler is the **striker**, the other is the
**non-striker**. The striker stands before his wicket, on or near the
popping crease, in the batting stance. For a right-handed batsman, the
feet are positioned like this:

![](stance.gif)

The batsman stands with his bat held down in front of the wicket, ready
to hit the ball, which will be bowled from the other end of the pitch.
The batsman usually rests the lower end of the bat on the pitch and then
taps the bat on the pitch a few times as "warm-up" backswings.

The non-striker simply stands behind the other popping crease, waiting
to run if necessary. The bowler takes a run-up from behind the
non-striker's wicket. He passes to one side of the wicket, and when he
reaches the non-striker's popping crease he bowls the ball towards the
striker, usually bouncing the ball once on the pitch before it reaches
the striker. (The bowling action will be described in detail later.)

The striker may then attempt to hit the ball with his bat. If he misses
it, the wicket-keeper will catch it and the ball is completed. If he
hits it, the two batsmen may score runs (described later). When the runs
are completed, the ball is also considered completed. The ball is
considered to be in play from the moment the bowler begins his run-up.
It remains in play until any of several conditions occur (two common
ones were just described), after which it is called **dead**. The ball
is also dead if it lodges in the striker's clothing or equipment. Once
the ball is dead, it is returned to the bowler for the next **delivery**
(another name for the bowling of a ball). Between deliveries, the
batsmen may leave their creases and confer with each other.

When one bowler has completed six balls, that constitutes an **over**. A
different member of the fielding team is given the ball and bowls the
next over - from the opposite end of the pitch. The batsmen do not
change ends, so the roles of striker and non-striker swap after each
over. Any member of the fielding team may bowl, so long as no bowler
delivers two consecutive overs. Once a bowler begins an over, he must
complete it, unless injured or suspended during the over.

Another possibility during a ball is that a batsman may get **out**.
There are ten different methods of being out - these will be described
in detail later. If a batsman gets out, the ball is dead immediately, so
it is impossible to get the other batsman out during the same ball. The
out batsman leaves the field, and the next batsman in the team comes in
to bat. The **not out** batsman remains on the field. The order in which
batsmen come in to bat in an innings is not fixed. The batting order may
be changed by the team captain at any time, and the order does not have
to be the same in each innings.

When ten batsmen are out, no new batsmen remain to come in, and the
innings is completed with one batsman remaining not out. The roles of
the teams then swap, and the team which fielded first gets to bat
through an innings. When both teams have completed the agreed number of
innings, the team which has scored the most runs wins.

Whenever a batsman hits the ball during a delivery, he may score runs. A
run is scored by the batsmen running between the popping creases,
crossing over midway between them. When they both reach the opposite
crease, one run is scored, and they may return for another run
immediately. The fielding side attempts to prevent runs being scored by
threatening to **run out** one of the batsmen.

If the batsmen are attempting to take runs, and a fielder gathers the
ball and hits a wicket with it, dislodging one or both bails, while no
batsman is behind that wicket's popping crease, then the nearest batsman
is run out. Specifically, the batsman must have some part of his body or
his bat (provided he is holding it) grounded behind (not on) the crease.

The batsmen carry their bats as they run, and turning for another run is
accomplished by touching the ground beyond the crease with an
outstretched bat. The batsmen do not have to run at any time they think
it is unsafe - it is common to hit the ball and elect not to run.

If the batsmen run one or three (or five\! rare, but possible), then
they have swapped ends and their striker/non-striker roles are reversed
for the next ball (unless the ball just completed is the end of an
over).

In addition to scoring runs like this, if a batsman hits the ball so
that it reaches the boundary fence, he scores four runs, without needing
to actually run them. If a batsman hits the ball over the boundary on
the full, he scores six runs. If a four or six is scored, the ball is
completed and the batsmen cannot be run out. If a spectator encroaches
on to the field and touches the ball, it is considered to have reached
the boundary. If a fielder gathers the ball, but then steps outside or
touches the boundary while still holding the ball, four runs are scored.
If a fielder catches the ball on the full and, either during or
immediately after the catch, steps outside or touches the boundary, six
runs are scored.

The batsmen usually stop taking runs when a fielder is throwing the ball
back towards the pitch area. If no fielder near the pitch gathers the
ball and it continues into the outfield again, the batsmen may take more
runs. Such runs are called **overthrows**. If the ball reaches the
boundary on an overthrow, four runs are scored *in addition to* the runs
taken before the overthrow occurred.

Runs scored by a batsman, including all overthrows, are credited to him
by the scorer. The number of runs scored by each batsman is an important
statistic.

If, while running multiple runs, a batsman does not touch the ground
beyond the popping crease before he returns for the next run, then the
umpire at that end will signal **one short**, and the number of runs
scored is reduced by one.

Here is a full list of the ten different ways of getting out. But first,
a few necessary definitions:

The wicket is said to be **broken** if one or both of the bails have
been dislodged and fallen to the ground. If the bails have fallen off
for any reason and the ball is still in play, then breaking the wicket
must be accomplished by pulling a stump completely out of the ground. If
the wicket needs to be broken like this with the ball, the uprooting of
the stump must be done with the ball in contact with the stump.

The field is notionally split into two halves, along a line down the
centre of the pitch. The half of the field in front of the striker is
called the **off side**, the half behind is called the **leg side**, or
sometimes the **on side**. Thus, standing at the bowler's wicket and
looking towards a right-handed striker's wicket, the off side is to the
left and the leg side to the right (and vice-versa for a left-handed
striker). The stumps of the striker's wicket are called **off stump**,
**middle stump**, and **leg stump**, depending on which side they are
on.

When a batsman gets out, no matter by what method, his wicket is said to
have **fallen**, and the fielding team are said to have **taken a
wicket**.

Now, the ways of getting out:

  - Caught:  
    If a fielder catches the ball on the full after the batsman has hit
    it with his bat. However, if the fielder catches the ball, but
    either during the catch or immediately afterwards touches or steps
    over the boundary, then the batsman scores six runs and is not out.
  - Bowled:  
    If the batsman misses the ball and it hits and breaks the wicket
    directly from the bowler's delivery. The batsman is out whether or
    not he is behind his popping crease. He is also out bowled if the
    ball breaks the wicket after deflecting from his bat or body. The
    batsman is not out if the wicket does not break.
  - Leg Before Wicket:  
    If the batsman misses the ball with his bat, but intercepts it with
    part of his body when it would otherwise have hit the wicket, and
    provided several other conditions (described below) are satisfied.
    An umpire must adjudicate such a decision, and will only do so if
    the fielding team **appeal** the decision. This is a question asked
    of the umpire, usually of the form "How's that?" (or "Howzat?"), and
    usually quite enthusiastic and loud. If the ball bounces outside an
    imaginary line drawn straight down the pitch from the outside edge
    of leg stump, then the batsman cannot be out LBW, no matter whether
    or not the ball would have hit the stumps. If the batsman attempts
    to play a shot at the ball with his bat (and misses) he may only be
    given out LBW if the ball strikes the batsman between imaginary
    lines drawn down the pitch from the outside edges of leg and off
    stumps (ie. directly in line with the wicket). If the batsman does
    *not* attempt to play the ball with his bat, then he may be given
    out LBW without satisfying this condition, as long as the umpire is
    convinced the ball would have hit the wicket. If the ball has hit
    the bat before the hitting the batsman, then he cannot be given out
    LBW.
  - Stumped:  
    If a batsman misses the ball and in attempting to play it steps
    outside his crease, he is out stumped if the wicket-keeper gathers
    the ball and breaks the wicket with it before the batsman can ground
    part of his body or his bat behind his crease.
  - Run Out:  
    If a batsman is attempting to take a run, or to return to his crease
    after an aborted run, and a fielder breaks that batsman's wicket
    with the ball while he is out of the crease. The fielder may either
    break the wicket with a hand which holds the ball, or with the ball
    directly. It is possible for the non-striker to be run out if the
    striker hits the ball straight down the pitch towards the
    non-striker's wicket, and the bowler deflects the ball on to the
    wicket while the non-striker is out of his crease. If the ball is
    hit directly on to the non-striker's wicket, *without* being touched
    by a fielder, then the non-striker is not out. If the non-striker
    leaves his crease (in preparation to run) while the bowler is
    running up, the bowler may run him out without bowling the ball.
    Batsmen cannot be run out while the ball is dead - so they may
    confer in the middle of the pitch between deliveries if they desire.
  - Hit Wicket:  
    If, in attempting to hit a ball or taking off for a first run, the
    batsman touches and breaks the wicket. This includes with the bat or
    dislodged pieces of the batsman's equipment - even a helmet or
    spectacles\!
  - Handle The Ball:  
    If a batsman touches the ball with a hand not currently holding the
    bat, without the permission of the fielding side. This does not
    include being hit on the hand by a delivery, or any other
    non-deliberate action.
  - Obstructing The Field:  
    If a batsman deliberately interferes with the efforts of fielders to
    gather the ball or effect a run out. This does not include running a
    path between the fielder and the wicket so that the fielder cannot
    throw the stumps down with the ball, which is quite legal, but does
    include any deliberate attempt to swat the ball away.
  - Hit The Ball Twice:  
    If a batsman hits a delivery with his bat and then deliberately hits
    the ball again for any reason other than to defend his wicket from
    being broken by the ball. If the ball *is* bouncing or rolling
    around near the stumps, the batsman is entitled to knock it away so
    as to avoid being bowled, but not to score runs.
  - Timed Out:  
    If a new batsman takes longer than two minutes, from the time the
    previous wicket falls, to appear on the field.

These methods of getting out are listed in approximate order of how
commonly they occur. The first five are reasonably common, the last five
quite rare. The last three methods are almost never invoked.

If a batsman is out caught, bowled, LBW, stumped, or hit wicket, then
the bowler is credited with taking the wicket. No single person is
credited with taking a wicket if it falls by any other method.

The game is adjudicated by two **umpires**, who make all decisions on
the field and whose word is absolutely final. One umpire stands behind
the non-striker's wicket, ready to make judgements on LBWs and other
events requiring a decision. The other umpire stands in line with the
striker's popping crease, about 20 metres (20 yards) to one side
(usually the leg side, but not always), ready to judge stumpings and
run-outs at his end. The umpires remain at their respective ends of the
pitch, thus swapping roles every over.

If the technology is available for a given match, a third umpire is
sometimes used. He sits off the field, with a television replay monitor.
If an on-field umpire is unsure of a decision concerning either a run
out or a stumping attempt, he may signal for the third umpire to view a
television replay. The third umpire views a replay, in slow motion if
necessary, until he either reaches a decision or decides that he cannot
make a clear decision. He signals the result to the on-field umpire, who
must then abide by it. If the equipment fails, the replay umpire signals
no decision. The replay umpire cannot be used for any decisions other
than run outs and stumpings.

Whenever any decision is in doubt, the umpire must rule in favour of the
batsman.

If the ball hits an umpire, it is still live and play continues. If it
lodges in an umpire's clothing, then it is dead.

The game is also presided over by a **match referee**, who watches from
outside the field. The referee makes no decisions of relevance to the
outcome of the game, but determines penalties for breaches of various
rules and misconduct. In professional games, these penalties are
monetary fines.

Arguing with an umpire's decision is simply not tolerated. Anything more
than a polite question to the umpires is heavily frowned upon and could
attract a penalty from the referee. The most serious misconduct in a
cricket match is of the order of a rude gesture to an opponent or
throwing the ball into the ground in disgust. Such gross misbehaviour
would attract large fines and possibly match suspensions. Penalties for
physical violence can only be guessed at, but would possibly be a career
suspension.

**Extras** are runs scored by means other than when the ball is hit by a
batsman. Extras are not credited to any batsman, and are recorded by the
scorer separately. The total number of runs for the innings is equal to
the sums of the individual batsmen's scores and the extras. There are
four types of extras: **no balls, wides, byes, and leg byes**.

The bowler must bowl each ball with part of his frontmost foot behind
the popping crease. If he oversteps this mark, he has bowled a **no
ball**. The umpire at that end calls "no ball" immediately in a loud
voice. The batsman may play and score runs as usual, and may not be out
by any means except run out, handle the ball, hit the ball twice, or
obstructing the field. Further, if the batsman does not score any runs
from the ball, one run is added to the batting team's score. Also, the
bowler must bowl an extra ball in his over to compensate. A no ball is
also called if any part of the bowler's back foot is not within the area
between the return creases.

If the bowler bowls the ball far to one side or over the head of the
batsman, so making it impossible to score, the umpire will signal the
ball as a **wide** . This gives the batting team one run and the bowler
must rebowl the ball. The striker may not be out hit wicket off a wide
ball.

If the striker misses a ball and the wicket-keeper fails to gather it
cleanly, the batsmen may take runs. These runs are called **byes** and
are scored as extras.

If the striker, in attempting to play a shot, deflects the ball with
part of his body, the batsmen may attempt to take a run. Such runs are
called **leg byes** . If the striker did not attempt to play a shot with
his bat, leg byes may not be taken. The umpire adjudicates by signalling
a dead ball if the batsmen attempt to run when, in his opinion, no
attempt was made to play a shot.

Batsmen may be run out as usual while running byes and leg-byes. If,
while running either form of bye, the ball reaches the boundary, four
byes (of the appropriate type) are scored.

The bowling action itself has to conform to several restrictions. The
bowler's arm must be straight when the ball is bowled (so no "throwing"
is allowed). The ball must be bowled overarm, not underarm.

The difference between 'bowling' and 'throwing': When you throw the
ball, the elbow is cocked and used to impart energy to the ball by
straightening. When a ball is bowled, the elbow joint is held extended
throughout. All the energy is imparted by rotation of the arm about the
shoulder, and possibly a little by wrist motion. For a right-handed
bowler, the action goes roughly as follows:

After the run-up, the right foot is planted on the ground with the
instep facing the batsman. The right arm is extended backwards and down
at this stage. The left foot comes down on the popping crease as the
bowler's momentum carries him forward - he is standing essentially
left-side on to the batsman. As the weight transfers to the left foot,
the right arm is brought over the shoulder in a vertical arc. The ball
is released near the top of the arc, and the follow-through brings the
arm down and the right shoulder forward rapidly.

Bouncing the ball on the pitch is not mandatory. It's usually done
because the movement of the ball off the pitch makes it much harder to
hit. Unbounced deliveries, or **full tosses** are almost always much
easier to hit, and mostly they are bowled accidentally. A full toss
above hip height is no ball, and an umpire who suspects that such a ball
was deliberate will give the bowler an official warning. A warning is
also given if the umpire believes the bowler is bowling at the body of a
batsman in a deliberate attempt to injure the batsman. After two
warnings a bowler is barred from bowling for the rest of the innings.

If any rule governing the bowling action is violated, a no ball results.

Bowlers are allowed to polish the ball by rubbing it with cloth (usually
on their trouser legs) and applying saliva or sweat to it. Any other
substance is illegal, as is rubbing the ball on the ground. Usually one
side of the ball is polished smooth, while the other wears, so that the
bowler can achieve **swing** (curving the ball through the air). It is
also illegal to roughen the ball by any means, including scraping it
with the fingernails or lifting the seam. A bowler who illegaly tampers
with the ball is immediately suspended from bowling for the rest of that
innings.

The bowler may bowl from either side of the wicket, but must inform the
umpire and the batsmen if he wishes to change sides. Bowling with the
bowling arm closest to the wicket is called **over the wicket**, and is
most common. Bowling with the non-bowling are closest to the wicket is
called **around the wicket**.

The bowler may abort his run-up or not let go of the ball if he loses
his footing or timing for any reason. The umpire will signal dead ball
and the ball must be bowled again. If a bowler loses his grip on the
ball during the delivery action, it is considered to be a live ball only
if it is propelled forward of the bowler. If such a ball comes to rest
in front of the striker, but any distance to the side, the striker is
entitled to walk up to the ball and attempt to hit it with his bat. The
fielding team must not touch the ball until the striker either hits it
or declines to do so.

A delivery may also be aborted by the striker stepping away from his
stumps, if distracted by an insect or dust in the eye, for example.

Field placements in cricket are not standardised. There are several
named field positions, and the fielding captain uses different
combinations of them for tactical reasons. There are also further
descriptive words to specify variations on the positions labelled by
simple names, so that any position in which a fielder stands can be
described.

The following diagram shows the rough positions of all of the simply
named field positions. In this diagram, the pitch is indicated by three
'\#' marks; the striker's end is at the top. The bowler is not shown,
but would be running upwards towards the bottom end of the pitch. The
approximate field positions are marked with numbers or letters,
according to the key on the right of the diagram. The three marks: '+',
'\*', and '~' indicate that the adjective shown at the bottom of the
list can be used to describe a modification of that position, as shown
in the example.

``` 
         ---------------------------------          1  wicket keeper
       /                                   \        2  first slip
      /          e                h         \       3  second slip
     /                                       \      4  third slip
    /                                         \     5  gully +
   /                                           \    6  point +*~
  /                                             \   7  cover +
 /                      2                     j  \  8  extra cover +
|                     43 1  d                     | 9  mid-off +*
|                  5                              | a  mid-on +*
|                6       # i      c               | b  mid-wicket +
|                        #                        | c  square leg +~
|                7       #        b               | d  leg slip
|                 8                               | e  third man
|                                                 | f  long off
 \                  9         a                  /  g  long on
  \                                             /   h  fine leg
   \                                           /    i  bat-pad
    \                                         / +  deep (near boundary)
     \                                       /  *  silly (near batsman)
      \          f                g         /   ~  backward (more 'up')
       \                                   /  eg.
         ---------------------------------   j  deep backward square leg
```

(This picture will be replaced with an inline image when I have time.)

Other modifiers used to qualify positions:  
square: close to a line perpendicular to the pitch, through the
batsman;  
fine: close to a line straight along the pitch;  
short: close to the batsman.

The only restriction on field placements is that, at the time the ball
is delivered, there must be no more than two fielders in the quadrant of
the field backward of square leg. (This rule exists mainly for
historical reasons - see the **Bodyline** section below.)

Sometimes fielders close to the bat wear helmets for safety. When not in
use, the helmet (or any other loose equipment) may be placed on the
field (usually behind the wicket-keeper, where it is unlikely to be hit
by the ball). If any such loose fielding equipment is hit with the ball,
five runs are scored, either to the batsman who hit the ball or as the
appropriate form of byes. The ball is then considered dead and no
further runs can be taken, nor can a batsman be run out.

If a fielder is wearing a protective helmet, and the striker hits the
ball so that it bounces off the helmet, he may not be out caught off the
rebound. If a ball rebounds from any other part of the body of a
fielder, he may be out caught if another fielder (or the same one) then
catches the ball before it hits the ground.

In case of injury, substitutes may replace any number of fielders. A
substitute may only field - he may not bowl, nor bat. A substitute may
not keep wicket. A substituted player must return to the field as soon
as he is able to resume playing without danger.

If a batsman is injured, he may retire and resume his innings when fit
again, so long as his team's innings is not over. If a batsman is too
injured to bat when no other batsmen remain to come in after a wicket
falls, his innings must be forfeited and his team's innings ends. If a
batsman is able to bat, but not run, then another player may run for
him. The runner must wear the same equipment as the batter, and performs
all his running. The injured non-runner must remain behind his crease at
all times when the ball is in play or risk being run out, even if his
runner is safely behind a crease.

If a bowler is injured during an over and cannot complete it, another
bowler must bowl the remaining deliveries in that over. The bowler
chosen to finish the over must not be the bowler who bowled the previous
over, and must not bowl the over immediately following either.

A player may not leave the field for injury unless the injury is
sustained on the field. An injured player who takes the field may not
leave because of his pre-existing injury, unless it is clearly
aggravated further on the field.

Play is suspended at the umpires' discretion for rain. Light rain is
usually tolerated, though nothing heavier, because of the possibility of
damage to the pitch. If the players are off the field, they must remain
off until the rain has stopped completely. During rain the pitch is
covered with waterproof material to protect it. Often the bowlers'
run-ups and an area around the pitch are also covered.

During very windy conditions, sometimes the bails will tend to blow off
the top of the stumps. If this becomes a problem, the umpires can decide
to play without bails. In this case, the wicket does not need to be
broken by uprooting a stump, and the umpires must take full
responsibility for deciding, in a reasonable manner, whether the wicket
is broken or not.

The umpires signal various events with gestures, as follows:

  - Out:  
    When a batsman is out, the umpire making the decision raises one
    hand above his head, with the index finger extended.
  - Not Out:  
    There is no formal signal to indicate that a batsman is not out. The
    umpire can either shake his head 'no' or not signal at all.
  - Four:  
    A four scored by the ball reaching the boundary is signalled by an
    arm extended horizontally and waved briefly back and forth in a
    horizontal arc.
  - Six:  
    A six is signalled by raising both arms straight over the head.
  - No Ball:  
    A no ball is signalled by holding an arm out horizontally.
  - Wide:  
    A wide is signalled by holding both arms out horizontally.
  - Byes:  
    Runs scored as byes are signalled by raising one arm over the head,
    palm open.
  - Leg Byes:  
    Leg byes are signalled by raising one leg and tapping the knee with
    one hand.
  - Dead Ball:  
    If the umpire has to signal dead ball to prevent the players from
    assuming that the ball is still alive, he waves both arms across
    each other in front of his abdomen.
  - One Short:  
    One short is signalled by touching the tip of one hand to the same
    shoulder.
  - TV Replay:  
    If an umpire wishes the third umpire to make a decision based on a
    TV replay, he signals by drawing a large square shape in the air
    with both hands, spreading them out high in the air in front of him,
    bringing them down, and then together again.

Cricket is played in two very distinct forms. The first is limited
duration, in which a specific number of hours of playing time are
allocated and each team plays two innings.

The second is limited overs, in which each team plays one innings of a
pre-determined number of overs.

First class cricket matches are the most prestigious games, played at a
professional level. The top level games are international **Test
matches**, played between countries. There are also domestic first class
cricket competitions. First class matches are of limited duration. Test
matches will be described first, then any differences for other first
class matches will be described.

Test matches are played over five days, with six hours of play each day.
Each day's play is divided into three **sessions** of two hours each,
with a 40 minute break between the first two session for lunch, and a 20
minute tea break between the last two sessions. A short drinks break is
taken once an hour, or more often in very hot weather. Play usually goes
from 11:00 local time to 18:00, although this may be varied if sunset
occurs early. The scheduled close of play time is called **stumps**.
Test matches are never played under artificial lighting.

Each team has two innings, usually played in alternating order. Each
innings is over when either ten batsmen are out, or the captain of the
batting side **declares** the innings closed (for strategic reasons,
more later). When all the innings are completed, the team with the most
runs wins. If there is a tie, the result stands (this is rare - it has
only ever happened twice).

If by the end of the final day's play all the innings are not completed,
the game is a **draw**, no matter who appeared to be "winning". Thus the
strategic importance of sometimes declaring an innings closed, in order
to have enough time to dismiss the other team and so win the game.

The order of the innings alternates except when the **follow-on** is
enforced. This can occur if the second team to bat in the first innings
scores 200 or more runs fewer than the first team. The captain of the
first team may then ask the second team to follow on: to bat its second
innings immediately, and defer his own team's second innings until
afterwards.

Whenever a change of innings occurs during a session, a ten minute break
is taken. If the end of an innings occurs within ten minutes of the end
of the first or second sessions, the ten minute break is lost and the
scheduled interval is shifted to begin immediately. If the end of an
innings occurs within ten minutes of stumps, the day's play ends early.

Test matches are played with a red cricket ball. A new ball is used for
the beginning of each innings. The same ball must be used throughout the
innings, being replaced only in the following cases:

1.  The captain of the bowling team may elect to take a new ball at any
    time after 80 overs have been bowled with the previous ball.
2.  If the ball is lost, it is replaced.
3.  If the ball is damaged, either by the stitching coming undone or the
    ball becoming clearly non-spherical, it is replaced.

In cases 2 and 3, the ball must be replaced by a previously used ball of
similarly worn condition to the old ball, as chosen by the umpires. If
the ball is ever hit so that a spectator gathers it, the spectator must
return it so that play can continue.

On each day of play in a Test match, a minimum of 90 overs must be
bowled. If the bowling team has not bowled the required minimum by the
scheduled stumps time, play is extended until the required number of
overs have been bowled. Whenever an innings ends, the number of overs to
be bowled is recalculated, disregarding the number of overs bowled so
far during the same day. The required minimum is calculated to be the
number of minutes of play remaining, divided by 4 and rounded up. On the
last day of play, this formula is used up until one hour before stumps,
then fifteen overs are added to the result. If extra overs are bowled
before the time one hour before stumps on the final day, then there
still must be a minimum of fifteen overs bowled after the time one hour
before stumps. All of these conditions are recalculated for time lost
due to poor weather, at a rate of one over per 4 minutes of lost time.
If a day's play ends early because of poor weather conditions, all
calculations are reset for the next day.

If there is heavy cloud cover, the umpires may decide that the ambient
light level is too low and that the batsmen may be in danger because of
difficulty in sighting the ball. If so, they **offer the light** to the
batsmen, who may agree to leave the field or may decide to play on. If
the light deteriorates further, the umpires will offer again. If the
batsmen decide to leave the field and the light improves, the umpires
make the decision to resume play.

If a fielder leave the field for any reason and then returns during the
same innings, he may not bowl until he has been on the field again for
as much time as he spent off the field.

Test matches are played in Series between two of the official Test
nations. A Test Series consists of a set number of matches, from one to
six, all of which are played to completion, even if one team gains an
unassailable lead in the Series. Series of three or five matches are
most common. Some pairs of nations compete against one another for a
perpetual trophy. If a Series between two such nations is drawn, the
holder of the trophy retains it.

Non-Test first class cricket differs from Test cricket in only a few
respects. A non-Test first class match is usually three or four days
long, not five. In a four-day game, the cut-off figure for enforcing the
follow-on is 150 or more runs behind the first team. The formula used to
determine the minimum number of overs bowled in a non-Test first class
match may be different to that used for a Test match; there is no
standard regulation.

Non-Test first class competitions are usually round-robins amongst
several domestic teams. Other first class matches include single games
between visiting international sides and domestic first class teams.

One-day cricket differs significantly from first class cricket. A
one-day match is played on a single day. Either a red or a white cricket
ball may be used, and play under artificial lighting is common.

Each team gets only one innings, and that innings is restricted to a
maximum number of overs. Usual choices for the number of overs are 50,
55, or 60. Recently, an abbreviated form of the games has been developed
called Twenty20, with a maximum of 20 overs per innings. Each innings is
complete at the end of the stipulated number of overs, no matter how
many batsmen are out. If ten batsmen are out before the full number of
overs are bowled, the innings is also over. If the first team's innings
ends in this manner, the second team still has its full number of overs
to score the required runs. The timing of the innings and the break
between them are not regulated.

Whichever team scores the most runs wins. A tied score stands. There is
no draw result. If the match is washed out, so that the innings are not
played, the game is declared a no-result.

In each innings, each bowler is restricted to bowling a maximum number
of overs equal to one fifth of the total number of overs in the innings.
Either a single new ball is used for each innings, or two new balls
which are alternated between overs. (This is often done with white balls
because they wear much faster than red balls.) New balls are never taken
during an innings, but replacements for lost or damaged balls are taken
as in first class matches.

In case of rain interruption to the first innings, the number of overs
for each innings is recalculated so that they will be the same. If rain
interrupts the second innings, making it impossible for an equal number
of overs to be bowled, the number of runs scored by the first team is
adjusted to compensate. The standard adjustment formula now used is the
"Duckworth-Lewis method", which is arcane even for cricket aficionados
and too complicated to describe here. There is also a predetermined
number of overs that must be bowled in each innings for any result to be
considered valid; if this limit is not reached the game is a no-result.

Because of the emphasis on scoring runs quickly, wide balls and high
balls (called as no ball) are enforced much more strictly in one-day
cricket.

One-day competitions are played either as Series between pairs of
international teams, round-robin competitions among groups of
international teams, or round-robins among domestic teams. A World Cup
one-day competition is played between all the Test nations every four
years.

All of the rules of cricket have been described above, as well as some
other information which is not "rules", such as names of fielding
positions. The rest of this file concerns other information that is
useful to know, but not actually "rules".

There are two basic approaches to bowling: fast and spin. A fast bowler
bowls the ball as fast as practicable, attempting to defeat the batsman
with its pace. If the ball also swings in the air, or **seams** (moves
sideways) off the pitch because of bouncing on the seam, it can be very
difficult to play. A spin bowler has a more ambling run-up and uses
wrist or finger motion to impart a spin to the ball. The ball then spins
to one side when it bounces on the pitch, thus also hopefully causing it
to be hard to hit. Fast bowlers are generally used with a new ball,
while spin bowlers get more spin with a worn ball. There is also medium
pace bowling, which concentrates more on swing and seam than pace.

A swing bowler will hold the seam of the ball at a certain angle and
attempt to release the ball so that it spins with the seam at a constant
angle. With one side of the ball polished and the other rough,
differential air pressure will cause it to swing in the air.

A seam bowler attempts to keep the seam vertical, so that the ball hits
the seam when it bounces on the pitch and deflects in its path either to
the right or left.

A fast bowler can also pull his fingers down one side of the ball as he
lets it go, imparting a small amount of sideways spin to the ball. This
can cause the ball to move sideways off the pitch. Such a delivery is
called a **leg-cutter** if the ball moves from the leg side to the off
side of a right-handed batsman, or an **off-cutter** if moves from the
off to the leg. A specialist spin bowler can get a lot more spin that a
fast bowler bowling cutters, however.

There are two types of spin bowling: **off-spin**, and **leg-spin**.
Imagine holding a ball in your right hand and, for simplicity's sake,
throwing it. If you twist your hand in a clockwise direction on release,
then the spin on the ball will be such that when it bounces it will spin
to your right. This is essentially off-spin bowling (so called because,
to a right-handed batsman, the ball spins *from* the off side to the leg
side). The off-spin delivery itself is called either an **off-spinner**
or an **off-break**. An off-spin bowler will sometimes not spin the ball
so much, putting more pace on the delivery. Such a delivery is called an
**arm-ball**.

Now imagine twisting the ball anticlockwise and releasing it from the
palm so that it 'rolls' over the base of the little finger. This gives
the ball spin in the opposite direction, so it spins left when it
bounces. This is basic leg-spin (because to a right-handed batsman it
spins from leg to off). The basic leg-spin delivery is called a
**leg-spinner** or **leg-break**.

The interesting thing about leg-spin is that if you cock your wrist at
various angles you can in fact, with the same basic bowling action,
produce spin in different directions. With the wrist cocked a little
towards the inside of the arm, you can produce **top-spinners**. Go
further and you actually end up producing spin in the same direction as
an off-spinner. A ball bowled in this way by a leg-spin bowler is called
a **wrong 'un**, or sometimes a **googly** . Probably trickiest of all
is a ball bowled with the hand in the same position as a top-spinner,
but released from *under* the hand, thereby gaining back-spin. This ball
is called a **flipper**.

(Mike Whitaker tells me that a flipper is actually bowled from the back
of the hand like a normal leg-spinner, but with the forearm twisted
outwards, so the ball spins about a vertical axis. I'm not sure which of
these is correct, so I'm mentioning both here\!)

Mike has also kindly supplied a graphic which attempts to show the arm
and wrist action of the different leg-spin deliveries. Sorry for those
with only ASCII browsers, but this is too difficult to show in ASCII\!
For those of you with graphical browsers, the following diagram shows a
view of a (right-handed) leg-spinner's arm, from in front (i.e.,
batsman's point of view). The rotation of the ball out of the hand is
the same in each case, with the ball spinning with the seam as an
"equator".

![](legspin.gif)

So right handed spinners fall into two classes: off-spinners, with their
simple off-spin and arm-ball deliveries; and leg-spinners, with their
leg-spinners, top-spinners, wrong 'uns, and flippers. Leg-spinners are
naturally much more difficult to bat against, because of the great
variety of balls they can produce, but they are actually rarer than
off-spinners because it is so much more difficult to bowl reasonably
accurately with the leg-spin hand action.

For left-handed spin bowlers there is a whole different system of
nomenclature\!

A left-handed bowler who uses the same action as an off-spinner is
called an **orthodox** spinner. Such bowlers are not uncommon. A
left-hander who bowls with the same action as a leg-spinner is called an
**unorthodox** spinner - and these are the rarest bowlers in cricket.
The left-handed analogue of the leg-spin delivery (which spins the
opposite way, of course) is called an unorthodox spinner. The
top-spinner and flipper retain their names. And the left-handed analogue
of the wrong 'un is called a **Chinaman** .

Typical bowling speeds are:

  - Fast bowler:  
    130-140 km/h (80-90 mph)
  - Medium pace bowler:  
    100-130 km/h (60-80 mph)
  - Spin bowler:  
    70-90 km/h (45-55 mph)

Bowlers also make use of the state of the pitch, which is quite crucial
to the game, and is one of the things the commentators look at in great
detail before the game begins. Because it's a natural surface, there are
usually small inconsistencies in its flatness, hardness and elasticity.
Over a multi-day game, or even over a single day, these become more
pronounced, so it often gets more difficult to bat as the game
progresses. Spin bowlers in particular often find that they get much
more spin from an old pitch than a freshly prepared one.

Some of the different types of balls bowled have special names:

  - Bouncer:  
    A ball bounced short so that it bounces high, usually chest height
    or higher as it passes the batsman.
  - Yorker:  
    A ball bounced very close to the batsman's crease. This is difficult
    to score from and often gets batsmen out, but is difficult to bowl
    without accidentally bowling a full toss.

The different types of shots a batsman can play are described by names:

  - Block:  
    A defensive shot played with the bat vertical and angled down at the
    front, intended to stop the ball and drop it down quickly on to the
    pitch in front of the batsman.
  - Drive:  
    An offensive shot played with the bat sweeping down through the
    vertical. The ball travels swiftly along the ground in front of the
    striker. A drive can be an **on drive**, **straight drive**, **off
    drive**, or **cover drive**, depending in which direction it goes.
  - Cut:  
    A shot played with the bat close to horizontal, which hits the ball
    somewhere in the arc between cover and gully.
  - Edge, or Glance:  
    A shot played off the bat at a glancing angle, through the slips
    area.
  - Leg Glance:  
    A shot played at a glancing angle behind the legs, so that it goes
    in the direction of fine leg.
  - Pull:  
    A horizontal bat shot which pulls the ball around the batsman into
    the square leg area.
  - Sweep:  
    Like a pull shot, except played with the backmost knee on the
    ground, so as to hit balls which bounce low.
  - Hook:  
    Like a pull shot, but played to a bouncer and intended to hit the
    ball high in the air over square leg - hopefully for six runs.
  - French Cut:  
    An attempt at a cut shot which hits the bottom edge of the bat and
    goes into the area behind square leg.
  - Reverse Sweep:  
    A sweep with the bat reversed, into the point area.

Most of these shots can also be **lofted**, in an attempt to hit the
ball over the close fielders (or the boundary). The batting strokes can
be divided into two categories: **Straight bat** and **cross bat**. The
straight bat shots are played with the bat held close to the vertical,
and are the blocks, drives and glances. Cross bat shots are played with
the bat held more horizontally, like a baseball bat. These include cuts,
pulls, sweeps and hooks.

The following terms are used more informally and are not standard:

  - Hoik:  
    A wild swing intended only to hit the ball as hard and as far as
    possible, usually with little or no control.
  - Agricultural Shot:  
    Any shot played with very little skill.

If a bowler completes an over without any runs being scored from it, it
is termed a **maiden**.

If a batsman gets out without scoring any runs, he is said to be out for
a **duck** . The origin of this term is unclear, but commonly rumoured
to be because the '0' next to his name on the scorecard resembles a duck
egg. A batsman out for a duck while facing his first delivery of the
innings is out for a **golden duck**.

The runs scored while two batsmen bat together are called their
**partnership**. There are ten partnerships per completed innings,
labelled from **first-wicket partnership** to **tenth-wicket
partnership**, in order.

A **nightwatchman** is a batsman who comes in to bat out of order
towards the end of a day's play in a multi-day game, in order to
'protect' better batsmen. To elucidate, the batting order in an innings
is usually arranged with two specialists **openers** who begin the
innings, then the rest of the batsmen in order of skill, best to worst.
The job of the openers is to bat for a while against the new ball. A
brand new ball is very hard and bouncy, and fast bowlers can use this to
great advantage and can often get batsmen out. So it is harder to bat
against a new ball. It is also somewhat difficult to begin batting. A
new batsman is more likely to get out than one who has been on the field
and scoring runs for a while.

Now, in a multi-day game, it sometimes happens that a team's innings
will have only a few men out towards the end of the day's play. If a
batsman gets out with about half an hour or less until stumps, the
batting captain will sometimes send in a poor batsman next instead of a
good one. The idea is that the poor batsman (the nightwatchman) will
last 20 minutes and so protect the good batsman from having to make a
fresh start that evening and again the next morning. It is essentially a
sacrifice ploy. Of course, it can backfire dangerously if the
nightwatchman does get out before stumps. The nightwatchman is a tactic
that is used about 50% of the time when the appropriate situation arises
(which itself occurs perhaps once every 4 or 5 games). It just depends
on how the captain feels at the time.

A **sightscreen** is a large screen positioned on the boundary so that
it forms a backdrop behind the bowler, so that the striker can see the
ball clearly. Sightscreens are white when a red ball is used, and black
for a white ball.

A **rabbit** is a player (almost invariably a bowler, but sometimes a
wicket-keeper) who is a very poor batsman. A **ferret** is an
*extremely* poor batsman (so called because he "goes in after the
rabbits").

The following statistics are recorded:

  - Batsmen:  
    number of runs scored, time spent batting, number of balls faced,
    how out (and by which bowler and catcher if appropriate).
  - Bowlers:  
    number of overs bowled, number of maidens bowled, number of wickets
    taken, number of runs conceded (i.e., scored off his bowling).
  - Team:  
    extras, total runs, wickets fallen, overs bowled, total at each fall
    of wicket.

A single innings scorecard might look like this:

    Australia - 1st Innings
    M. Taylor      c Richardson  b Snell      12
    M. Slater      lbw Donald                 57
    D. Boon        b de Villiers              68
    M. Waugh       not out                   184
    A. Border      c Rhodes  b Donald          0
    S. Waugh       c Snell  b de Villiers     34
    I. Healy       c Snell  b de Villiers      6
    S. Warne       run out                    35
    M. Hughes      st Richardson  b Cronje    10
    C. McDermott   b de Villiers              41
    G. McGrath     lbw de Villiers             9
           Extras                             16
           Total   141 overs          10 for 472
    
    Bowling - South Africa
                     O   M   R   W
    A. Donald       40   5  106  2
    F. de Villiers  37   7   85  5
    R. Snell        32   3  126  1
    C. Simons       15   0   82  0
    H. Cronje       17   2   73  1
    FOW: 25, 99, 164, 164, 225, 238, 315, 345, 446, 472
    
    The abbreviations are:
    b bowled by
    c caught by
    st stumped by
    O  overs
    M  maidens
    R  runs
    W  wickets
    FOW  fall of wicket

The team score is usually given as "(number of wickets) for (number of
runs)" in Australia. In England, New Zealand, and some other countries
it is given as "(number of runs) for (number of wickets)". Bowling
figures are sometimes printed in shortened form, for example: Donald
40-5-106-2, de Villiers 37-7-85-5, etc.

The partnership scores can be seen from the differences between
successive fall of wicket scores.

Good performances are considered to be:

  - A batsman scoring 50, or 100, or multiples thereof.
  - A partnership adding 50, or 100, or multiples thereof.
  - A bowler taking five wickets in a single innings.
  - A bowler taking ten wickets in a two innings match. (This is an
    excellent performance and a relatively rare feat.)
  - A bowler taking a **hat trick**, i.e., three wickets in three
    successive balls (perhaps in different overs). This is even more
    rare.

Each of these tasks is usually greeted with enthusiastic applause from
the spectators. The crowd also usually applauds significant events such
as: any wicket falling, a six, a four, a good over from a bowler (one
that the batsmen have great difficulty playing safely), a good athletic
effort from a fielder to gather the ball, the innings total reaching a
multiple of 50.

The number of runs scored in an innings average about 3 per over for a
first class match, and 4 per over in a one-day match. The variation in
these numbers can be quite large, differences of up to one run per over
being not uncommon. In a first class match, a captain makes his decision
on declaring the innings closed based on the remaining time in the match
and the size of his team's lead. He will try to allow as much time as
possible to bowl the opposition out, while ensuring they do not have
enough time to score enough runs to win.

Over a single player's career, the two most important statistics are:

  - Batting Average:  
    The aggregate number of runs scored divided by the number of times
    the batsman has been out. The higher, the better.
  - Bowling Average:  
    The aggregate runs scored against a bowler divided by the number of
    wickets taken. The lower, the better.

Each of these averages is kept separately for Test cricket, first class
cricket in general, and one-day cricket. A batting average above 30 is
very good, 40 excellent, and 50 is legendary. Mention must be made of
the Australian batsman Sir Donald Bradman, whose career average was a
record 99.94, far and away the greatest batsman ever to play the game. A
bowling average below 25 is considered excellent.

The official Test Cricket nations are currently: England, Australia,
West Indies, South Africa, India, Pakistan, New Zealand, Sri Lanka,
Zimbabwe, and Bangladesh.

The West Indies is actually a consortium of Caribbean countries:
Barbados; Jamaica; Guyana; The Republic of Trinidad and Tobago; Antigua
and Barbuda; St. Kitt's-Nevis; Dominica; St. Lucia; St. Vincent and the
Grenadines; Montserrat; and Grenada, Carriacou and Petite Martinique.

Minor cricketing nations (which do not play Test cricket, but do compete
for a place in the World Cup One-Day competition) include: Ireland,
Kenya, Fiji, Canada, The Netherlands, USA.

The most famous Test cricket Series is The Ashes, played every two years
between Australia and England. The Ashes trophy is a small urn
containing "the ashes of English cricket" (in reality the ashes of a set
of bails), which "died" in a match in 1882 when Australia beat England
for the first time. The Ashes are currently held by Australia, although
the physical trophy is kept permanently in a room at Lord's Cricket
Ground in London.

The most infamous event in cricket was the 1932-33 English tour of
Australia - the **Bodyline** tour. The English team used a new tactic to
get batsmen out, by bowling at their bodies and placing many fielders in
short fielding positions backward of square leg. As the batsmen fended
the ball away in an effort to protect themselves, the ball often flew
off the edge of the bat into the waiting hands of the fielders, getting
the batsman out caught. The English referred to this tactic as "Leg
Theory", but the Australians, angry that the English bowlers were aiming
at their bodies, christened it "Bodyline".

Several Australian batsmen were injured because of this, some seriously.
The English tactics cause a diplomatic row between the countries. After
the tour was over, cricket officials introduced the rules against
dangerous bowling, and the restriction of no more than two fielders
backward of square leg.

Last updated: 1-Dec-2009.
