---
created_at: '2016-09-08T08:12:26.000Z'
title: Brain Is a Co-Conspirator in a Vicious Stress Loop (2009)
url: http://www.nytimes.com/2009/08/18/science/18angier.html?em
author: jimsojim
points: 61
story_text: 
comment_text: 
num_comments: 17
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1473322346
_tags:
- story
- author_jimsojim
- story_12451152
objectID: '12451152'
year: 2009

---
Robert Sapolsky, a neurobiologist who studies stress at Stanford
University School of Medicine, said, “This is a great model for
understanding why we end up in a rut, and then dig ourselves deeper and
deeper into that rut.”

The truth is, Dr. Sapolsky said, “we’re lousy at recognizing when our
normal coping mechanisms aren’t working. Our response is usually to do
it five times more, instead of thinking, maybe it’s time to try
something new.”

And though perseverance can be an admirable trait and is essential for
all success in life, when taken too far it becomes perseveration —
uncontrollable repetition — or simple perversity. “If I were to try to
break into the world of modern dance, after the first few rejections the
logical response might be, practice even more,” said Dr. Sapolsky, the
author of “Why Zebras Don’t Get
[Ulcers](http://health.nytimes.com/health/guides/disease/gastric-ulcer/overview.html?inline=nyt-classifier "In-depth reference and news articles about Ulcers."),”
among other books. “But after the 12,000th rejection, maybe I should
realize this isn’t a viable career option.”

Photo

Happily, the stress-induced changes in behavior and brain appear to be
reversible. To rattle the rats to the point where their stress response
remained demonstrably hyperactive, the researchers exposed the animals
to four weeks of varying stressors: moderate electric shocks, being
encaged with dominant rats, prolonged dunks in water. Those chronically
stressed animals were then compared with nonstressed peers. The stressed
rats had no trouble learning a task like pressing a bar to get a food
pellet or a squirt of sugar water, but they had difficulty deciding when
to stop pressing the bar, as normal rats easily did.

But with only four weeks’ vacation in a supportive setting free of
bullies and Tasers, the formerly stressed rats looked just like the
controls, able to innovate, discriminate and lay off the bar. Atrophied
synaptic connections in the decisive regions of the prefrontal cortex
resprouted, while the overgrown dendritic vines of the habit-prone
sensorimotor striatum retreated.

According to Bruce S. McEwen, head of the neuroendocrinology laboratory
at Rockefeller University, the new findings offer a particularly elegant
demonstration of a principle that researchers have just begun to grasp.
“The brain is a very resilient and plastic organ,” he said. “Dendrites
and synapses retract and reform, and reversible remodeling can occur
throughout life.”

## Newsletter Sign Up

[Continue reading the main story](#continues-post-newsletter)

### 

Please verify you're not a robot by clicking the box.

Invalid email address. Please re-enter.

You must select a newsletter to subscribe to.

You agree to receive occasional updates and special offers for The New
York Times's products and services.

### Thank you for subscribing.

### An error has occurred. Please try again later.

[View all New York Times newsletters.](/newsletters)

Stress may be most readily associated with the attosecond pace of
postindustrial society, but the body’s stress response is one of our
oldest possessions. Its basic architecture, its linked network of neural
and endocrine organs that spit out stimulatory and inhibitory hormones
and other factors as needed, looks pretty much the same in a goldfish or
a red-spotted newt as it does in us.

The stress response is essential for maneuvering through a dynamic world
— for dodging a predator or chasing down prey, swinging through the
trees or fighting off disease — and it is itself dynamic. As we go about
our days, Dr. McEwen said, the biochemical mediators of the stress
response rise and fall, flutter and flare.
“[Cortisol](http://health.nytimes.com/health/guides/test/cortisol-level/overview.html?inline=nyt-classifier "In-depth reference and news articles about Cortisol level.")
and adrenaline go up and down,” he said. “Our inflammatory cytokines go
up and down.”

Advertisement

[Continue reading the main story](#story-continues-4)

The target organs of stress hormones likewise dance to the beat: blood
pressure climbs and drops, the heart races and slows, the intestines
constrict and relax. This system of so-called allostasis, of maintaining
control through constant change, stands in contrast to the mechanisms of
homeostasis that keep the pH level and oxygen concentration in the blood
within a narrow and invariant range.

Unfortunately, the dynamism of our stress response makes it vulnerable
to disruption, especially when the system is treated too roughly and not
according to instructions. In most animals, a serious threat provokes a
serious activation of the stimulatory, sympathetic, “fight or flight”
side of the stress response. But when the danger has passed, the calming
parasympathetic circuitry tamps everything back down to baseline
flickering.

In humans, though, the brain can think too much, extracting phantom
threats from every staff meeting or high school dance, and over time the
constant hyperactivation of the stress response can unbalance the entire
feedback loop. Reactions that are desirable in limited, targeted
quantities become hazardous in promiscuous excess. You need a spike in
blood pressure if you’re going to run, to speedily deliver oxygen to
your muscles. But chronically elevated blood pressure is a source of
multiple medical miseries.

Why should the stressed brain be prone to habit formation? Perhaps to
help shunt as many behaviors as possible over to automatic pilot, the
better to focus on the crisis at hand. Yet habits can become ruts, and
as the novelist Ellen Glasgow observed, “The only difference between a
rut and a grave are the dimensions.”

It’s still August. Time to relax, rewind and remodel the brain.

[Continue reading the main story](#whats-next)
