---
created_at: '2017-07-10T12:46:56.000Z'
title: 'Goldman Sachs: The Great American Bubble Machine (2009)'
url: https://www.rollingstone.com/politics/news/the-great-american-bubble-machine-20100405
author: arbuge
points: 75
story_text: 
comment_text: 
num_comments: 28
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1499690816
_tags:
- story
- author_arbuge
- story_14735384
objectID: '14735384'
year: 2009

---
The first thing you need to know about Goldman Sachs is that it's
everywhere. The world's most powerful investment bank is a great vampire
squid wrapped around the face of humanity, relentlessly jamming its
blood funnel into anything that smells like money. In fact, the history
of the recent financial crisis, which doubles as a history of the rapid
decline and fall of the suddenly swindled dry American empire, reads
like a Who's Who of Goldman Sachs graduates.

By now, most of us know the major players. As George Bush's last
Treasury secretary, former Goldman CEO Henry Paulson was the architect
of the bailout, a suspiciously self-serving plan to funnel trillions of
Your Dollars to a handful of his old friends on Wall Street. Robert
Rubin, Bill Clinton's former Treasury secretary, spent 26 years at
Goldman before becoming chairman of Citigroup — which in turn got a $300
billion taxpayer bailout from Paulson. There's John Thain, the asshole
chief of Merrill Lynch who bought an $87,000 area rug for his office as
his company was imploding; a former Goldman banker, Thain enjoyed a
multi-billion-dollar handout from Paulson, who used billions in taxpayer
funds to help Bank of America rescue Thain's sorry company. And Robert
Steel, the former Goldmanite head of Wachovia, scored himself and his
fellow executives $225 million in golden-parachute payments as his bank
was self-destructing. There's Joshua Bolten, Bush's chief of staff
during the bailout, and Mark Patterson, the current Treasury chief of
staff, who was a Goldman lobbyist just a year ago, and Ed Liddy, the
former Goldman director whom Paulson put in charge of bailed-out
insurance giant AIG, which forked over $13 billion to Goldman after
Liddy came on board. The heads of the Canadian and Italian national
banks are Goldman alums, as is the head of the World Bank, the head of
the New York Stock Exchange, the last two heads of the Federal Reserve
Bank of New York — which, incidentally, is now in charge of overseeing
Goldman — not to mention …

But then, any attempt to construct a narrative around all the former
Goldmanites in influential positions quickly becomes an absurd and
pointless exercise, like trying to make a list of everything. What you
need to know is the big picture: If America is circling the drain,
Goldman Sachs has found a way to be that drain — an extremely
unfortunate loophole in the system of Western democratic capitalism,
which never foresaw that in a society governed passively by free markets
and free elections, organized greed always defeats disorganized
democracy.

The bank's unprecedented reach and power have enabled it to turn all of
America into a giant pump-and-dump scam, manipulating whole economic
sectors for years at a time, moving the dice game as this or that market
collapses, and all the time gorging itself on the unseen costs that are
breaking families everywhere — high gas prices, rising consumer credit
rates, half-eaten pension funds, mass layoffs, future taxes to pay off
bailouts. All that money that you're losing, it's going somewhere, and
in both a literal and a figurative sense, Goldman Sachs is where it's
going: The bank is a huge, highly sophisticated engine for converting
the useful, deployed wealth of society into the least useful, most
wasteful and insoluble substance on Earth — pure profit for rich
individuals.

[The Feds vs.
Goldman](../../../politics/news/the-feds-vs-goldman-20100426)

They achieve this using the same playbook over and over again. The
formula is relatively simple: Goldman positions itself in the middle of
a speculative bubble, selling investments they know are crap. Then they
hoover up vast sums from the middle and lower floors of society with the
aid of a crippled and corrupt state that allows it to rewrite the rules
in exchange for the relative pennies the bank throws at political
patronage. Finally, when it all goes bust, leaving millions of ordinary
citizens broke and starving, they begin the entire process over again,
riding in to rescue us all by lending us back our own money at interest,
selling themselves as men above greed, just a bunch of really smart guys
keeping the wheels greased. They've been pulling this same stunt over
and over since the 1920s — and now they're preparing to do it again,
creating what may be the biggest and most audacious bubble yet.

If you want to understand how we got into this financial crisis, you
have to first understand where all the money went — and in order to
understand that, you need to understand what Goldman has already gotten
away with. It is a history exactly five bubbles long — including last
year's strange and seemingly inexplicable spike in the price of oil.
There were a lot of losers in each of those bubbles, and in the bailout
that followed. But Goldman wasn't one of them.

BUBBLE \#1 The Great Depression

Goldman wasn't always a too-big-to-fail Wall Street behemoth, the
ruthless face of kill-or-be-killed capitalism on steroids —just almost
always. The bank was actually founded in 1869 by a German immigrant
named Marcus Goldman, who built it up with his son-in-law Samuel Sachs.
They were pioneers in the use of commercial paper, which is just a fancy
way of saying they made money lending out short-term IOUs to smalltime
vendors in downtown Manhattan.

You can probably guess the basic plotline of Goldman's first 100 years
in business: plucky, immigrant-led investment bank beats the odds, pulls
itself up by its bootstraps, makes shitloads of money. In that ancient
history there's really only one episode that bears scrutiny now, in
light of more recent events: Goldman’s disastrous foray into the
speculative mania of pre-crash Wall Street in the late 1920s.

[Wall Street's Big
Win](../../../politics/news/wall-streets-big-win-20100804)

This great Hindenburg of financial history has a few features that might
sound familiar. Back then, the main financial tool used to bilk
investors was called an "investment trust." Similar to modern mutual
funds, the trusts took the cash of investors large and small and
(theoretically, at least) invested it in a smorgasbord of Wall Street
securities, though the securities and amounts were often kept hidden
from the public. So a regular guy could invest $10 or $100 in a trust
and feel like he was a big player. Much as in the 1990s, when new
vehicles like day trading and e-trading attracted reams of new suckers
from the sticks who wanted to feel like big shots, investment trusts
roped a new generation of regular-guy investors into the speculation
game.

Beginning a pattern that would repeat itself over and over again,
Goldman got into the investmenttrust game late, then jumped in with both
feet and went hogwild. The first effort was the Goldman Sachs Trading
Corporation; the bank issued a million shares at $100 apiece, bought all
those shares with its own money and then sold 90 percent of them to the
hungry public at $104. The trading corporation then relentlessly bought
shares in itself, bidding the price up further and further. Eventually
it dumped part of its holdings and sponsored a new trust, the Shenandoah
Corporation, issuing millions more in shares in that fund — which in
turn sponsored yet another trust called the Blue Ridge Corporation. In
this way, each investment trust served as a front for an endless
investment pyramid: Goldman hiding behind Goldman hiding behind Goldman.
Of the 7,250,000 initial shares of Blue Ridge, 6,250,000 were actually
owned by Shenandoah — which, of course, was in large part owned by
Goldman Trading.

[Taibblog: Commentary on Politics and the Economy by Matt
Taibbi](../../../politics/blogs/taibblog)

The end result (ask yourself if this sounds familiar) was a daisy chain
of borrowed money, one exquisitely vulnerable to a decline in
performance anywhere along the line. The basic idea isn't hard to
follow. You take a dollar and borrow nine against it; then you take that
$10 fund and borrow $90; then you take your $100 fund and, so long as
the public is still lending, borrow and invest $900. If the last fund in
the line starts to lose value, you no longer have the money to pay back
your investors, and everyone gets massacred.

In a chapter from The Great Crash, 1929 titled "In Goldman Sachs We
Trust," the famed economist John Kenneth Galbraith held up the Blue
Ridge and Shenandoah trusts as classic examples of the insanity of
leveragebased investment. The trusts, he wrote, were a major cause of
the market's historic crash; in today's dollars, the losses the bank
suffered totaled $475 billion. "It is difficult not to marvel at the
imagination which was implicit in this gargantuan insanity," Galbraith
observed, sounding like Keith Olbermann in an ascot. "If there must be
madness, something may be said for having it on a heroic scale."

BUBBLE \#2 Tech Stocks  

Fast-forward about 65 years. Goldman not only survived the crash that
wiped out so many of the investors it duped, it went on to become the
chief underwriter to the country's wealthiest and most powerful
corporations. Thanks to Sidney Weinberg, who rose from the rank of
janitor's assistant to head the firm, Goldman became the pioneer of the
initial public offering, one of the principal and most lucrative means
by which companies raise money. During the 1970s and 1980s, Goldman may
not have been the planet-eating Death Star of political influence it is
today, but it was a top-drawer firm that had a reputation for attracting
the very smartest talent on the Street.

It also, oddly enough, had a reputation for relatively solid ethics and
a patient approach to investment that shunned the fast buck; its
executives were trained to adopt the firm's mantra, "long-term greedy."
One former Goldman banker who left the firm in the early Nineties
recalls seeing his superiors give up a very profitable deal on the
grounds that it was a long-term loser. "We gave back money to 'grownup'
corporate clients who had made bad deals with us," he says. "Everything
we did was legal and fair — but 'long-term greedy' said we didn't want
to make such a profit at the clients' collective expense that we spoiled
the marketplace."

But then, something happened. It's hard to say what it was exactly; it
might have been the fact that Goldman's cochairman in the early
Nineties, Robert Rubin, followed Bill Clinton to the White House, where
he directed the National Economic Council and eventually became Treasury
secretary. While the American media fell in love with the story line of
a pair of baby-boomer, Sixties-child, Fleetwood Mac yuppies nesting in
the White House, it also nursed an undisguised crush on Rubin, who was
hyped as without a doubt the smartest person ever to walk the face of
the Earth, with Newton, Einstein, Mozart and Kant running far behind.

Rubin was the prototypical Goldman banker. He was probably born in a
$4,000 suit, he had a face that seemed permanently frozen just short of
an apology for being so much smarter than you, and he exuded a
Spock-like, emotion-neutral exterior; the only human feeling you could
imagine him experiencing was a nightmare about being forced to fly
coach. It became almost a national clichè that whatever Rubin thought
was best for the economy — a phenomenon that reached its apex in 1999,
when Rubin appeared on the cover of Time with his Treasury deputy, Larry
Summers, and Fed chief Alan Greenspan under the headline The Committee
To Save The World. And "what Rubin thought," mostly, was that the
American economy, and in particular the financial markets, were
over-regulated and needed to be set free. During his tenure at Treasury,
the Clinton White House made a series of moves that would have drastic
consequences for the global economy — beginning with Rubin's complete
and total failure to regulate his  
old firm during its first mad dash for obscene short-term profits.

The basic scam in the Internet Age is pretty easy even for the
financially illiterate to grasp. Companies that weren't much more than
potfueled ideas scrawled on napkins by uptoolate bongsmokers were taken
public via IPOs, hyped in the media and sold to the public for
mega-millions. It was as if banks like Goldman were wrapping ribbons
around watermelons, tossing them out 50-story windows and opening the
phones for bids. In this game you were a winner only if you took your
money out before the melon hit the pavement.

It sounds obvious now, but what the average investor didn't know at the
time was that the banks had changed the rules of the game, making the
deals look better than they actually were. They did this by setting up
what was, in reality, a two-tiered investment system — one for the
insiders who knew the real numbers, and another for the lay investor who
was invited to chase soaring prices the banks themselves knew were
irrational. While Goldman's later pattern would be to capitalize on
changes in the regulatory environment, its key innovation in the
Internet years was to abandon its own industry's standards of quality
control.

"Since the Depression, there were strict underwriting guidelines that
Wall Street adhered to when taking a company public," says one prominent
hedge-fund manager. "The company had to be in business for a minimum of
five years, and it had to show profitability for three consecutive
years. But Wall Street took these guidelines and threw them in the
trash." Goldman completed the snow job by pumping up the sham stocks:
"Their analysts were out there saying Bullshit.com is worth $100 a
share."

The problem was, nobody told investors that the rules had changed.
"Everyone on the inside knew," the manager says. "Bob Rubin sure as hell
knew what the underwriting standards were. They'd been intact since the
1930s."

Jay Ritter, a professor of finance at the University of Florida who
specializes in IPOs, says banks like Goldman knew full well that many of
the public offerings they were touting would never make a dime. "In the
early Eighties, the major underwriters insisted on three years of
profitability. Then it was one year, then it was a quarter. By the time
of the Internet bubble, they were not even requiring profitability in
the foreseeable future."

Goldman has denied that it changed its underwriting standards during the
Internet years, but its own statistics belie the claim. Just as it did
with the investment trust in the 1920s, Goldman started slow and
finished crazy in the Internet years. After it took a little-known
company with weak financials called Yahoo\! public in 1996, once the
tech boom had already begun, Goldman quickly became the IPO king of the
Internet era. Of the 24 companies it took public in 1997, a third were
losing money at the time of the IPO. In 1999, at the height of the boom,
it took 47 companies public, including stillborns like Webvan and eToys,
investment offerings that were in many ways the modern equivalents of
Blue Ridge and Shenandoah. The following year, it underwrote 18
companies in the first four months, 14 of which were money losers at the
time. As a leading underwriter of Internet stocks during the boom,
Goldman provided profits far more volatile than those of its
competitors: In 1999, the average Goldman IPO leapt 281 percent above
its offering price, compared to the Wall Street average of 181 percent.

How did Goldman achieve such extraordinary results? One answer is that
they used a practice called "laddering," which is just a fancy way of
saying they manipulated the share price of new offerings. Here's how it
works: Say you're Goldman Sachs, and Bullshit.com comes to you and asks
you to take their company public. You agree on the usual terms: You'll
price the stock, determine how many shares should be released and take
the Bullshit.com CEO on a "road show" to schmooze investors, all in
exchange for a substantial fee (typically six to seven percent of the
amount raised). You then promise your best clients the right to buy big
chunks of the IPO at the low offering price — let's say Bullshit.com's
starting share price is $15 — in exchange for a promise that they will
buy more shares later on the open market. That seemingly simple demand
gives you inside knowledge of the IPO's future, knowledge that wasn't
disclosed to the day trader schmucks who only had the prospectus to go
by: You know that certain of your clients who bought X amount of shares
at $15 are also going to buy Y more shares at $20 or $25, virtually
guaranteeing that the price is going to go to $25 and beyond. In this
way, Goldman could artificially jack up the new company's price, which
of course was to the bank's benefit — a six percent fee of a $500
million IPO is serious money.

Goldman was repeatedly sued by shareholders for engaging in laddering in
a variety of Internet IPOs, including Webvan and NetZero. The deceptive
practices also caught the attention of Nicholas Maier, the syndicate
manager of Cramer & Co., the hedge fund run at the time by the
now-famous chattering television asshole Jim Cramer, himself a Goldman
alum. Maier told the SEC that while working for Cramer between 1996 and
1998, he was repeatedly forced to engage in laddering practices during
IPO deals with Goldman.

"Goldman, from what I witnessed, they were the worst perpetrator," Maier
said. "They totally fueled the bubble. And it's specifically that kind
of behavior that has caused the market crash. They built these stocks
upon an illegal foundation — manipulated up — and ultimately, it really
was the small person who ended up buying in." In 2005, Goldman agreed to
pay $40 million for its laddering violations — a puny penalty relative
to the enormous profits it made. (Goldman, which has denied wrongdoing
in all of the cases it has settled, refused to respond to questions for
this story.)

Another practice Goldman engaged in during the Internet boom was
"spinning," better known as bribery. Here the investment bank would
offer the executives of the newly public company shares at extra-low
prices, in exchange for future underwriting business. Banks that engaged
in spinning would then undervalue the initial offering price — ensuring
that those "hot" opening-price shares it had handed out to insiders
would be more likely to rise quickly, supplying bigger first-day rewards
for the chosen few. So instead of Bullshit.com opening at $20, the bank
would approach the Bullshit.com CEO and offer him a million shares of
his own company at $18 in exchange for future business — effectively
robbing all of Bullshit's new shareholders by diverting cash that should
have gone to the company's bottom line into the private bank account of
the company's CEO.

In one case, Goldman allegedly gave a multimillion-dollar special
offering to eBay CEO Meg Whitman, who later joined Goldman's board, in
exchange for future i-banking business. According to a report by the
House Financial Services Committee in 2002, Goldman gave special stock
offerings to executives in 21 companies that it took public, including
Yahoo\! cofounder Jerry Yang and two of the great slithering villains of
the financial-scandal age — Tyco's Dennis Kozlowski and Enron's Ken Lay.
Goldman angrily denounced the report as "an egregious distortion of the
facts" — shortly before paying $110 million to settle an investigation
into spinning and other manipulations launched by New York state
regulators. "The spinning of hot IPO shares was not a harmless corporate
perk," then-attorney general Eliot Spitzer said at the time. "Instead,
it was an integral part of a fraudulent scheme to win new
investment-banking business."

Such practices conspired to turn the Internet bubble into one of the
greatest financial disasters in world history: Some $5 trillion of
wealth was wiped out on the NASDAQ alone. But the real problem wasn't
the money that was lost by shareholders, it was the money gained by
investment bankers, who received hefty bonuses for tampering with the
market. Instead of teaching Wall Street a lesson that bubbles always
deflate, the Internet years demonstrated to bankers that in the age of
freely flowing capital and publicly owned financial companies, bubbles
are incredibly easy to inflate, and individual bonuses are actually
bigger when the mania and the irrationality are greater.

Nowhere was this truer than at Goldman. Between 1999 and 2002, the firm
paid out $28.5 billion in compensation and benefits — an average of
roughly $350,000 a year per employee. Those numbers are important
because the key legacy of the Internet boom is that the economy is now
driven in large part by the pursuit of the enormous salaries and bonuses
that such bubbles make possible. Goldman's mantra of "long-term greedy"
vanished into thin air as the game became about getting your check
before the melon hit the pavement.

The market was no longer a rationally managed place to grow real,
profitable businesses: It was a huge ocean of Someone Else's Money where
bankers hauled in vast sums through whatever means necessary and tried
to convert that money into bonuses and payouts as quickly as possible.
If you laddered and spun 50 Internet IPOs that went bust within a year,
so what? By the time the Securities and Exchange Commission got around
to fining your firm $110 million, the yacht you bought with your IPO
bonuses was already six years old. Besides, you were probably out of
Goldman by then, running the U.S. Treasury or maybe the state of New
Jersey. (One of the truly comic moments in the history of America's
recent financial collapse came when Gov. Jon Corzine of New Jersey, who
ran Goldman from 1994 to 1999 and left with $320 million in IPO-fattened
stock, insisted in 2002 that "I've never even heard the term 'laddering'
before.")

For a bank that paid out $7 billion a year in salaries, $110 million
fines issued half a decade late were something far less than a deterrent
—they were a joke. Once the Internet bubble burst, Goldman had no
incentive to reassess its new, profit-driven strategy; it just searched
around for another bubble to inflate. As it turns out, it had one ready,
thanks in large part to Rubin.

BUBBLE \#3 The Housing Craze  

Goldman's role in the sweeping global disaster that was the housing
bubble is not hard to trace. Here again, the basic trick was a decline
in underwriting standards, although in this case the standards weren't
in IPOs but in mortgages. By now almost everyone knows that for decades
mortgage dealers insisted that home buyers be able to produce a down
payment of 10 percent or more, show a steady income and good credit
rating, and possess a real first and last name. Then, at the dawn of the
new millennium, they suddenly threw all that shit out the window and
started writing mortgages on the backs of napkins to cocktail waitresses
and ex-cons carrying five bucks and a Snickers bar.

None of that would have been possible without investment bankers like
Goldman, who created vehicles to package those shitty mortgages and sell
them en masse to unsuspecting insurance companies and pension funds.
This created a mass market for toxic debt that would never have existed
before; in the old days, no bank would have wanted to keep some addict
ex-con's mortgage on its books, knowing how likely it was to fail. You
can't write these mortgages, in other words, unless you can sell them to
someone who doesn't know what they are.

Goldman used two methods to hide the mess they were selling. First, they
bundled hundreds of different mortgages into instruments called
Collateralized Debt Obligations. Then they sold investors on the idea
that, because a bunch of those mortgages would turn out to be OK, there
was no reason to worry so much about the shitty ones: The CDO, as a
whole, was sound. Thus, junk-rated mortgages were turned into AAA-rated
investments. Second, to hedge its own bets, Goldman got companies like
AIG to provide insurance — known as credit default swaps — on the CDOs.
The swaps were essentially a racetrack bet between AIG and Goldman:
Goldman is betting the ex-cons will default, AIG is betting they won't.

There was only one problem with the deals: All of the wheeling and
dealing represented exactly the kind of dangerous speculation that
federal regulators are supposed to rein in. Derivatives like CDOs and
credit swaps had already caused a series of serious financial
calamities: Procter & Gamble and Gibson Greetings both lost fortunes,
and Orange County, California, was forced to default in 1994. A report
that year by the Government Accountability Office recommended that such
financial instruments be tightly regulated — and in 1998, the head of
the Commodity Futures Trading Commission, a woman named Brooksley Born,
agreed. That May, she circulated a letter to business leaders and the
Clinton administration suggesting that banks be required to provide
greater disclosure in derivatives trades, and maintain reserves to
cushion against losses.

More regulation wasn’t exactly what Goldman had in mind. “The banks go
crazy — they want it stopped,” says Michael Greenberger, who worked for
Born as director of trading and markets at the CFTC and is now a law
professor at the University of Maryland. “Greenspan, Summers, Rubin and
\[SEC chief Arthur\] Levitt want it stopped.”

Clinton's reigning economic foursome — “especially Rubin,” according to
Greenberger — called Born in for a meeting and pleaded their case. She
refused to back down, however, and continued to push for more regulation
of the derivatives. Then, in June 1998, Rubin went public to denounce
her move, eventually recommending that Congress strip the CFTC of its
regulatory authority. In 2000, on its last day in session, Congress
passed the now-notorious Commodity Futures Modernization Act, which had
been inserted into an 11,000-page spending bill at the last minute, with
almost no debate on the floor of the Senate. Banks were now free to
trade default swaps with impunity.

But the story didn't end there. AIG, a major purveyor of default swaps,
approached the New York State Insurance Department in 2000 and asked
whether default swaps would be regulated as insurance. At the time, the
office was run by one Neil Levin, a former Goldman vice president, who
decided against regulating the swaps. Now freed to underwrite as many
housing-based securities and buy as much credit-default protection as it
wanted, Goldman went berserk with lending lust. By the peak of the
housing boom in 2006, Goldman was underwriting $76.5 billion worth of
mortgage-backed securities — a third of which were sub-prime — much of
it to institutional investors like pensions and insurance companies. And
in these massive issues of real estate were vast swamps of crap.

Take one $494 million issue that year, GSAMP Trust 2006S3. Many of the
mortgages belonged to second-mortgage borrowers, and the average equity
they had in their homes was 0.71 percent. Moreover, 58 percent of the
loans included little or no documentation — no names of the borrowers,
no addresses of the homes, just zip codes. Yet both of the major ratings
agencies, Moody's and Standard & Poor's, rated 93 percent of the issue
as investment grade. Moody's projected that less than 10 percent of the
loans would default. In reality, 18 percent of the mortgages were in
default within 18 months.

Not that Goldman was personally at any risk. The bank might be taking
all these hideous, completely irresponsible mortgages from
beneath-gangster-status firms like Countrywide and selling them off to
municipalities and pensioners — old people, for God's sake — pretending
the whole time that it wasn't grade D horseshit. But even as it was
doing so, it was taking short positions in the same market, in essence
betting against the same crap it was selling. Even worse, Goldman
bragged about it in public. "The mortgage sector continues to be
challenged," David Viniar, the bank's chief financial officer, boasted
in 2007. "As a result, we took significant markdowns on our long
inventory positions … However, our risk bias in that market was to be
short, and that net short position was profitable." In other words, the
mortgages it was selling were for chumps. The real money was in betting
against those same mortgages.

"That's how audacious these assholes are," says one hedge fund manager.
"At least with other banks, you could say that they were just dumb —
they believed what they were selling, and it blew them up. Goldman knew
what it was doing."

I ask the manager how it could be that selling something to customers
that you're actually betting against — particularly when you know more
about the weaknesses of those products than the customer — doesn't
amount to securities fraud.

"It's exactly securities fraud," he says. "It's the heart of securities
fraud."

Eventually, lots of aggrieved investors agreed. In a virtual repeat of
the Internet IPO craze, Goldman was hit with a wave of lawsuits after
the collapse of the housing bubble, many of which accused the bank of
withholding pertinent information about the quality of the mortgages it
issued. New York state regulators are suing Goldman and 25 other
underwriters for selling bundles of crappy Countrywide mortgages to city
and state pension funds, which lost as much as $100 million in the
investments. Massachusetts also investigated Goldman for similar
misdeeds, acting on behalf of 714 mortgage holders who got stuck holding
predatory loans. But once again, Goldman got off virtually scot-free,
staving off prosecution by agreeing to pay a paltry $60 million — about
what the bank's CDO division made in a day and a half during the real
estate boom.

The effects of the housing bubble are well known — it led more or less
directly to the collapse of Bear Stearns, Lehman Brothers and AIG, whose
toxic portfolio of credit swaps was in significant part composed of the
insurance that banks like Goldman bought against their own housing
portfolios. In fact, at least $13 billion of the taxpayer money given to
AIG in the bailout ultimately went to Goldman, meaning that the bank
made out on the housing bubble twice: It fucked the investors who bought
their horseshit CDOs by betting against its own crappy product, then it
turned around and fucked the taxpayer by making him pay off those same
bets.

And once again, while the world was crashing down all around the bank,
Goldman made sure it was doing just fine in the compensation department.
In 2006, the firm's payroll jumped to $16.5 billion — an average of
$622,000 per employee. As a Goldman spokesman explained, "We work very
hard here."

But the best was yet to come. While the collapse of the housing bubble
sent most of the financial world fleeing for the exits, or to jail,
Goldman boldly doubled down — and almost single-handedly created yet
another bubble, one the world still barely knows the firm had anything
to do with.

BUBBLE \#4 $4 a Gallon

By the beginning of 2008, the financial world was in turmoil. Wall
Street had spent the past two and a half decades producing one scandal
after another, which didn't leave much to sell that wasn't tainted. The
terms junk bond, IPO, sub-prime mortgage and other once-hot financial
fare were now firmly associated in the public's mind with scams; the
terms credit swaps and CDOs were about to join them. The credit markets
were in crisis, and the mantra that had sustained the fantasy economy
throughout the Bush years — the notion that housing prices never go down
— was now a fully exploded myth, leaving the Street clamoring for a new
bullshit paradigm to sling.

Where to go? With the public reluctant to put money in anything that
felt like a paper investment, the Street quietly moved the casino to the
physical-commodities market — stuff you could touch: corn, coffee,
cocoa, wheat and, above all, energy commodities, especially oil. In
conjunction with a decline in the dollar, the credit crunch and the
housing crash caused a "flight to commodities." Oil futures in
particular skyrocketed, as the price of a single barrel went from around
$60 in the middle of 2007 to a high of $147 in the summer of 2008.

That summer, as the presidential campaign heated up, the accepted
explanation for why gasoline had hit $4.11 a gallon was that there was a
problem with the world oil supply. In a classic example of how
Republicans and Democrats respond to crises by engaging in fierce
exchanges of moronic irrelevancies, John McCain insisted that ending the
moratorium on offshore drilling would be "very helpful in the short
term," while Barack Obama in typical liberal-arts yuppie style argued
that federal investment in hybrid cars was the way out.

But it was all a lie. While the global supply of oil will eventually dry
up, the short-term flow has actually been increasing. In the six months
before prices spiked, according to the U.S. Energy Information
Administration, the world oil supply rose from 85.24 million barrels a
day to 85.72 million. Over the same period, world oil demand dropped
from 86.82 million barrels a day to 86.07 million. Not only was the
short-term supply of oil rising, the demand for it was falling — which,
in classic economic terms, should have brought prices at the pump down.

So what caused the huge spike in oil prices? Take a wild guess.
Obviously Goldman had help — there were other players in the physical
commodities market — but the root cause had almost everything to do with
the behavior of a few powerful actors determined to turn the once-solid
market into a speculative casino. Goldman did it by persuading pension
funds and other large institutional investors to invest in oil futures —
agreeing to buy oil at a certain price on a fixed date. The push
transformed oil from a physical commodity, rigidly subject to supply and
demand, into something to bet on, like a stock. Between 2003 and 2008,
the amount of speculative money in commodities grew from $13 billion to
$317 billion, an increase of 2,300 percent. By 2008, a barrel of oil was
traded 27 times, on average, before it was actually delivered and
consumed.

As is so often the case, there had been a Depression-era law in place
designed specifically to prevent this sort of thing. The commodities
market was designed in large part to help farmers: A grower concerned
about future price drops could enter into a contract to sell his corn at
a certain price for delivery later on, which made him worry less about
building up stores of his crop. When no one was buying corn, the farmer
could sell to a middleman known as a "traditional speculator," who would
store the grain and sell it later, when demand returned. That way,
someone was always there to buy from the farmer, even when the market
temporarily had no need for his crops.

In 1936, however, Congress recognized that there should never be more
speculators in the market than real producers and consumers. If that
happened, prices would be affected by something other than supply and
demand, and price manipulations would ensue. A new law empowered the
Commodity Futures Trading Commission — the very same body that would
later try and fail to regulate credit swaps — to place limits on
speculative trades in commodities. As a result of the CFTC's oversight,
peace and harmony reigned in the commodities markets for more than 50
years.

All that changed in 1991 when, unbeknownst to almost everyone in the
world, a Goldman-owned commodities-trading subsidiary called J. Aron
wrote to the CFTC and made an unusual argument. Farmers with big stores
of corn, Goldman argued, weren't the only ones who needed to hedge their
risk against future price drops — Wall Street dealers who made big bets
on oil prices also needed to hedge their risk, because, well, they stood
to lose a lot too.

This was complete and utter crap — the 1936 law, remember, was
specifically designed to maintain distinctions between people who were
buying and selling real tangible stuff and people who were trading in
paper alone. But the CFTC, amazingly, bought Goldman's argument. It
issued the bank a free pass, called the "Bona Fide Hedging" exemption,
allowing Goldman's subsidiary to call itself a physical hedger and
escape virtually all limits placed on speculators. In the years that
followed, the commission would quietly issue 14 similar exemptions to
other companies.

Now Goldman and other banks were free to drive more investors into the
commodities markets, enabling speculators to place increasingly big
bets. That 1991 letter from Goldman more or less directly led to the oil
bubble in 2008, when the number of speculators in the market — driven
there by fear of the falling dollar and the housing crash — finally
overwhelmed the real physical suppliers and consumers. By 2008, at least
three quarters of the activity on the commodity exchanges was
speculative, according to a congressional staffer who studied the
numbers — and that's likely a conservative estimate. By the middle of
last summer, despite rising supply and a drop in demand, we were paying
$4 a gallon every time we pulled up to the pump.

What is even more amazing is that the letter to Goldman, along with most
of the other trading exemptions, was handed out more or less in secret.
"I was the head of the division of trading and markets, and Brooksley
Born was the chair of the CFTC," says Greenberger, "and neither of us
knew this letter was out there." In fact, the letters only came to light
by accident. Last year, a staffer for the House Energy and Commerce
Committee just happened to be at a briefing when officials from the CFTC
made an offhand reference to the exemptions.

"I had been invited to a briefing the commission was holding on energy,"
the staffer recounts. "And suddenly in the middle of it, they start
saying, 'Yeah, we've been issuing these letters for years now.' I raised
my hand and said, 'Really? You issued a letter? Can I see it?' And they
were like, 'Duh, duh.' So we went back and forth, and finally they said,
'We have to clear it with Goldman Sachs.' I'm like, 'What do you mean,
you have to clear it with Goldman Sachs?'"

The CFTC cited a rule that prohibited it from releasing any information
about a company's current position in the market. But the staffer's
request was about a letter that had been issued 17 years earlier. It no
longer had anything to do with Goldman's current position. What's more,
Section 7 of the 1936 commodities law gives Congress the right to any
information it wants from the commission. Still, in a classic example of
how complete Goldman's capture of government is, the CFTC waited until
it got clearance from the bank before it turned the letter over.

Armed with the semi-secret government exemption, Goldman had become the
chief designer of a giant commodities betting parlor. Its Goldman Sachs
Commodities Index — which tracks the prices of 24 major commodities but
is overwhelmingly weighted toward oil — became the place where pension
funds and insurance companies and other institutional investors could
make massive long-term bets on commodity prices. Which was all well and
good, except for a couple of things. One was that index speculators are
mostly "long only" bettors, who seldom if ever take short positions —
meaning they only bet on prices to rise. While this kind of behavior is
good for a stock market, it's terrible for commodities, because it
continually forces prices upward. "If index speculators took short
positions as well as long ones, you'd see them pushing prices both up
and down," says Michael Masters, a hedge fund manager who has helped
expose the role of investment banks in the manipulation of oil prices.
"But they only push prices in one direction: up."

Complicating matters even further was the fact that Goldman itself was
cheerleading with all its might for an increase in oil prices. In the
beginning of 2008, Arjun Murti, a Goldman analyst, hailed as an "oracle
of oil" by The New York Times, predicted a "super spike" in oil prices,
forecasting a rise to $200 a barrel. At the time Goldman was heavily
invested in oil through its commodities trading subsidiary, J. Aron; it
also owned a stake in a major oil refinery in Kansas, where it
warehoused the crude it bought and sold. Even though the supply of oil
was keeping pace with demand, Murti continually warned of disruptions to
the world oil supply, going so far as to broadcast the fact that he
owned two hybrid cars. High prices, the bank insisted, were somehow the
fault of the piggish American consumer; in 2005, Goldman analysts
insisted that we wouldn't know when oil prices would fall until we knew
"when American consumers will stop buying gas-guzzling sport utility
vehicles and instead seek fuel-efficient alternatives."

But it wasn't the consumption of real oil that was driving up prices —
it was the trade in paper oil. By the summer of 2008, in fact,
commodities speculators had bought and stockpiled enough oil futures to
fill 1.1 billion barrels of crude, which meant that speculators owned
more future oil on paper than there was real, physical oil stored in all
of the country's commercial storage tanks and the Strategic Petroleum
Reserve combined. It was a repeat of both the Internet craze and the
housing bubble, when Wall Street jacked up present-day profits by
selling suckers shares of a fictional fantasy future of endlessly rising
prices.

In what was by now a painfully familiar pattern, the oil-commodities
melon hit the pavement hard in the summer of 2008, causing a massive
loss of wealth; crude prices plunged from $147 to $33. Once again the
big losers were ordinary people. The pensioners whose funds invested in
this crap got massacred: CalPERS, the California Public Employees'
Retirement System, had $1.1 billion in commodities when the crash came.
And the damage didn't just come from oil. Soaring food prices driven by
the commodities bubble led to catastrophes across the planet, forcing an
estimated 100 million people into hunger and sparking food riots
throughout the Third World.

Now oil prices are rising again: They shot up 20 percent in the month of
May and have nearly doubled so far this year. Once again, the problem is
not supply or demand. "The highest supply of oil in the last 20 years is
now," says Rep. Bart Stupak, a Democrat from Michigan who serves on the
House energy committee. "Demand is at a 10-year low. And yet prices are
up."

Asked why politicians continue to harp on things like drilling or hybrid
cars, when supply and demand have nothing to do with the high prices,
Stupak shakes his head. "I think they just don't understand the problem
very well," he says. "You can't explain it in 30 seconds, so politicians
ignore it."

BUBBLE \#5 Rigging the Bailout

After the oil bubble collapsed last fall, there was no new bubble to
keep things humming — this time, the money seems to be really gone, like
worldwide-depression gone. So the financial safari has moved elsewhere,
and the big game in the hunt has become the only remaining pool of dumb,
unguarded capital left to feed upon: taxpayer money. Here, in the
biggest bailout in history, is where Goldman Sachs really started to
flex its muscle.

It began in September of last year, when then-Treasury secretary Paulson
made a momentous series of decisions. Although he had already engineered
a rescue of Bear Stearns a few months before and helped bail out
quasi-private lenders Fannie Mae and Freddie Mac, Paulson elected to let
Lehman Brothers — one of Goldman's last real competitors — collapse
without intervention. ("Goldman's superhero status was left intact,"
says market analyst Eric Salzman, "and an investment banking competitor,
Lehman, goes away.") The very next day, Paulson green-lighted a massive,
$85 billion bailout of AIG, which promptly turned around and repaid $13
billion it owed to Goldman. Thanks to the rescue effort, the bank ended
up getting paid in full for its bad bets: By contrast, retired auto
workers awaiting the Chrysler bailout will be lucky to receive 50 cents
for every dollar they are owed.

Immediately after the AIG bailout, Paulson announced his federal bailout
for the financial industry, a $700 billion plan called the Troubled
Asset Relief Program, and put a heretofore unknown 35-year-old Goldman
banker named Neel Kashkari in charge of administering the funds. In
order to qualify for bailout monies, Goldman announced that it would
convert from an investment bank to a bank holding company, a move that
allows it access not only to $10 billion in TARP funds, but to a whole
galaxy of less conspicuous, publicly backed funding — most notably,
lending from the discount window of the Federal Reserve. By the end of
March, the Fed will have lent or guaranteed at least $8.7 trillion under
a series of new bailout programs — and thanks to an obscure law allowing
the Fed to block most congressional audits, both the amounts and the
recipients of the monies remain almost entirely secret.

Converting to a bank-holding company has other benefits as well:
Goldman's primary supervisor is now the New York Fed, whose chairman at
the time of its announcement was Stephen Friedman, a former co-chairman
of Goldman Sachs. Friedman was technically in violation of Federal
Reserve policy by remaining on the board of Goldman even as he was
supposedly regulating the bank; in order to rectify the problem, he
applied for, and got, a conflict of interest waiver from the government.
Friedman was also supposed to divest himself of his Goldman stock after
Goldman became a bank holding company, but thanks to the waiver, he was
allowed to go out and buy 52,000 additional shares in his old bank,
leaving him $3 million richer. Friedman stepped down in May, but the man
now in charge of supervising Goldman — New York Fed president William
Dudley — is yet another former Goldmanite.

The collective message of all this — the AIG bailout, the swift approval
for its bank holding conversion, the TARP funds — is that when it comes
to Goldman Sachs, there isn't a free market at all. The government might
let other players on the market die, but it simply will not allow
Goldman to fail under any circumstances. Its edge in the market has
suddenly become an open declaration of supreme privilege. "In the past
it was an implicit advantage," says Simon Johnson, an economics
professor at MIT and former official at the International Monetary Fund,
who compares the bailout to the crony capitalism he has seen in Third
World countries. "Now it's more of an explicit advantage."

Once the bailouts were in place, Goldman went right back to business as
usual, dreaming up impossibly convoluted schemes to pick the American
carcass clean of its loose capital. One of its first moves in the
post-bailout era was to quietly push forward the calendar it uses to
report its earnings, essentially wiping December 2008 — with its $1.3
billion in pretax losses — off the books. At the same time, the bank
announced a highly suspicious $1.8 billion profit for the first quarter
of 2009 — which apparently included a large chunk of money funneled to
it by taxpayers via the AIG bailout. "They cooked those first quarter
results six ways from Sunday," says one hedge fund manager. "They hid
the losses in the orphan month and called the bailout money profit."

Two more numbers stand out from that stunning first-quarter turnaround.
The bank paid out an astonishing $4.7 billion in bonuses and
compensation in the first three months of this year, an 18 percent
increase over the first quarter of 2008. It also raised $5 billion by
issuing new shares almost immediately after releasing its first quarter
results. Taken together, the numbers show that Goldman essentially
borrowed a $5 billion salary payout for its executives in the middle of
the global economic crisis it helped cause, using half-baked accounting
to reel in investors, just months after receiving billions in a taxpayer
bailout.

Even more amazing, Goldman did it all right before the government
announced the results of its new "stress test" for banks seeking to
repay TARP money — suggesting that Goldman knew exactly what was coming.
The government was trying to carefully orchestrate the repayments in an
effort to prevent further trouble at banks that couldn't pay back the
money right away. But Goldman blew off those concerns, brazenly
flaunting its insider status. "They seemed to know everything that they
needed to do before the stress test came out, unlike everyone else, who
had to wait until after," says Michael Hecht, a managing director of JMP
Securities. "The government came out and said, 'To pay back TARP, you
have to issue debt of at least five years that is not insured by FDIC —
which Goldman Sachs had already done, a week or two before."

And here's the real punch line. After playing an intimate role in four
historic bubble catastrophes, after helping $5 trillion in wealth
disappear from the NASDAQ, after pawning off thousands of toxic
mortgages on pensioners and cities, after helping to drive the price of
gas up to $4 a gallon and to push 100 million people around the world
into hunger, after securing tens of billions of taxpayer dollars through
a series of bailouts overseen by its former CEO, what did Goldman Sachs
give back to the people of the United States in 2008?

Fourteen million dollars.

That is what the firm paid in taxes in 2008, an effective tax rate of
exactly one, read it, one percent. The bank paid out $10 billion in
compensation and benefits that same year and made a profit of more than
$2 billion — yet it paid the Treasury less than a third of what it
forked over to CEO Lloyd Blankfein, who made $42.9 million last year.

How is this possible? According to Goldman's annual report, the low
taxes are due in large part to changes in the bank's "geographic
earnings mix." In other words, the bank moved its money around so that
most of its earnings took place in foreign countries with low tax rates.
Thanks to our completely fucked corporate tax system, companies like
Goldman can ship their revenues offshore and defer taxes on those
revenues indefinitely, even while they claim deductions upfront on that
same untaxed income. This is why any corporation with an at least
occasionally sober accountant can usually find a way to zero out its
taxes. A GAO report, in fact, found that between 1998 and 2005, roughly
two-thirds of all corporations operating in the U.S. paid no taxes at
all.

This should be a pitchfork-level outrage — but somehow, when Goldman
released its post-bailout tax profile, hardly anyone said a word. One of
the few to remark on the obscenity was Rep. Lloyd Doggett, a Democrat
from Texas who serves on the House Ways and Means Committee. "With the
right hand out begging for bailout money," he said, "the left is hiding
it offshore."

BUBBLE \#6 Global Warming

Fast-forward to today. It's early June in Washington, D.C. Barack Obama,
a popular young politician whose leading private campaign donor was an
investment bank called Goldman Sachs — its employees paid some $981,000
to his campaign — sits in the White House. Having seamlessly navigated
the political minefield of the bailout era, Goldman is once again back
to its old business, scouting out loopholes in a new government-created
market with the aid of a new set of alumni occupying key government
jobs.

Gone are Hank Paulson and Neel Kashkari; in their place are Treasury
chief of staff Mark Patterson and CFTC chief Gary Gensler, both former
Goldmanites. (Gensler was the firm's co-head of finance.) And instead of
credit derivatives or oil futures or mortgage-backed CDOs, the new game
in town, the next bubble, is in carbon credits — a booming trillion
dollar market that barely even exists yet, but will if the Democratic
Party that it gave $4,452,585 to in the last election manages to push
into existence a groundbreaking new commodities bubble, disguised as an
"environmental plan," called cap-and-trade.

The new carbon credit market is a virtual repeat of the
commodities-market casino that's been kind to Goldman, except it has one
delicious new wrinkle: If the plan goes forward as expected, the rise in
prices will be government-mandated. Goldman won't even have to rig the
game. It will be rigged in advance.

Here's how it works: If the bill passes, there will be limits for coal
plants, utilities, natural-gas distributors and numerous other
industries on the amount of carbon emissions (a.k.a. greenhouse gases)
they can produce per year. If the companies go over their allotment,
they will be able to buy "allocations" or credits from other companies
that have managed to produce fewer emissions. President Obama
conservatively estimates that about $646 billion worth of carbon credits
will be auctioned in the first seven years; one of his top economic
aides speculates that the real number might be twice or even three times
that amount.

The feature of this plan that has special appeal to speculators is that
the "cap" on carbon will be continually lowered by the government, which
means that carbon credits will become more and more scarce with each
passing year. Which means that this is a brand new commodities market
where the main commodity to be traded is guaranteed to rise in price
over time. The volume of this new market will be upwards of a trillion
dollars annually; for comparison's sake, the annual combined revenues of
all electricity suppliers in the U.S. total $320 billion.

Goldman wants this bill. The plan is (1) to get in on the ground floor
of paradigm-shifting legislation, (2) make sure that they're the
profit-making slice of that paradigm and (3) make sure the slice is a
big slice. Goldman started pushing hard for cap-and-trade long ago, but
things really ramped up last year when the firm spent $3.5 million to
lobby climate issues. (One of their lobbyists at the time was none other
than Patterson, now Treasury chief of staff.) Back in 2005, when Hank
Paulson was chief of Goldman, he personally helped author the bank's
environmental policy, a document that contains some surprising elements
for a firm that in all other areas has been consistently opposed to any
sort of government regulation. Paulson's report argued that "voluntary
action alone cannot solve the climate change problem." A few years
later, the bank's carbon chief, Ken Newcombe, insisted that
cap-and-trade alone won't be enough to fix the climate problem and
called for further public investments in research and development. Which
is convenient, considering that Goldman made early investments in wind
power (it bought a subsidiary called Horizon Wind Energy), renewable
diesel (it is an investor in a firm called Changing World Technologies)
and solar power (it partnered with BP Solar), exactly the kind of deals
that will prosper if the government forces energy producers to use
cleaner energy. As Paulson said at the time, "We're not making those
investments to lose money."

The bank owns a 10 percent stake in the Chicago Climate Exchange, where
the carbon credits will be traded. Moreover, Goldman owns a minority
stake in Blue Source LLC, a Utah-based firm that sells carbon credits of
the type that will be in great demand if the bill passes. Nobel Prize
winner Al Gore, who is intimately involved with the planning of
cap-and-trade, started up a company called Generation Investment
Management with three former bigwigs from Goldman Sachs Asset
Management, David Blood, Mark Ferguson and Peter Harris. Their business?
Investing in carbon offsets. There's also a $500 million Green Growth
Fund set up by a Goldmanite to invest in green-tech … the list goes on
and on. Goldman is ahead of the headlines again, just waiting for
someone to make it rain in the right spot. Will this market be bigger
than the energy futures market?

"Oh, it'll dwarf it," says a former staffer on the House energy
committee.

Well, you might say, who cares? If cap-and-trade succeeds, won't we all
be saved from the catastrophe of global warming? Maybe — but
cap-and-trade, as envisioned by Goldman, is really just a carbon tax
structured so that private interests collect the revenues. Instead of
simply imposing a fixed government levy on carbon pollution and forcing
unclean energy producers to pay for the mess they make, cap-and-trade
will allow a small tribe of greedy-as-hell Wall Street swine to turn yet
another commodities market into a private tax collection scheme. This is
worse than the bailout: It allows the bank to seize taxpayer money
before it's even collected.

"If it's going to be a tax, I would prefer that Washington set the tax
and collect it," says Michael Masters, the hedge fund director who spoke
out against oil futures speculation. "But we're saying that Wall Street
can set the tax, and Wall Street can collect the tax. That's the last
thing in the world I want. It's just asinine."

Cap-and-trade is going to happen. Or, if it doesn't, something like it
will. The moral is the same as for all the other bubbles that Goldman
helped create, from 1929 to 2009. In almost every case, the very same
bank that behaved recklessly for years, weighing down the system with
toxic loans and predatory debt, and accomplishing nothing but massive
bonuses for a few bosses, has been rewarded with mountains of virtually
free money and government guarantees — while the actual victims in this
mess, ordinary taxpayers, are the ones paying for it.

It's not always easy to accept the reality of what we now routinely
allow these people to get away with; there's a kind of collective denial
that kicks in when a country goes through what America has gone through
lately, when a people lose as much prestige and status as we have in the
past few years. You can't really register the fact that you're no longer
a citizen of a thriving first-world democracy, that you're no longer
above getting robbed in broad daylight, because like an amputee, you can
still sort of feel things that are no longer there.

But this is it. This is the world we live in now. And in this world,
some of us have to play by the rules, while others get a note from the
principal excusing them from homework till the end of time, plus 10
billion free dollars in a paper bag to buy lunch. It's a gangster state,
running on gangster economics, and even prices can't be trusted anymore;
there are hidden taxes in every buck you pay. And maybe we can't stop
it, but we should at least know where it's all going.

This article originally appeared in the July 9-23, 2009 of Rolling
Stone.
