---
created_at: '2017-11-16T11:24:16.000Z'
title: On Being Jewish in State Prison (2009)
url: https://www.splcenter.org/fighting-hate/intelligence-report/2009/david-arenberg-reflects-being-jewish-state-prison
author: jacobr
points: 85
story_text: 
comment_text: 
num_comments: 42
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1510831456
_tags:
- story
- author_jacobr
- story_15711838
objectID: '15711838'
year: 2009

---
David Arenberg had everything going for him. He was smart, the son of a
research scientist and a teacher. He graduated in 1980 from the elite
University of Chicago with a degree in psychology, and went on to become
a left-wing tenants' rights organizer in New York City for seven years.
But in 1987, he suffered a "personal tragedy" and a "political defeat"
that he doesn't want to discuss but that prompted him to leave his
organizing work. Always a moderate drug user, he says, he began abusing
cocaine and "generally living a seedy life." His brother tried to rescue
him by recruiting him to run a small trucking company in a western
state, and for a time Arenberg did all right. But despite that work, and
later taking up tenants' rights once more, he continued his drug use and
also adopted a new line of work — using computers to engage in
sophisticated financial ripoffs. Arenberg was arrested and jailed
briefly for forgery in 1996, but only became an even more active con man
when he was released. Finally, in 2001, he was arrested for driving
under the influence. The arrest led to more serious charges of fraud,
forgery, identity theft and vehicle theft, culminating in consecutive
sentences totaling more than 13 years. Today, with about four years left
to serve, Arenberg, 53, is trying to sort his life out. He sent the
Intelligence Report the following account of his experiences as a Jew in
a state prison — a harrowing tale of surviving severe prejudice in an
unforgiving environment, but also the story of a remarkable journey of
self-discovery.

I am always the last person to eat. It's part of a compromise I worked
out with the skinheads who run the western state prison complex where I
am incarcerated. Under this compromise, I'm allowed to sit at the
whites' tables, but only after the "heads," and then the "woods," and
then the "lames" have eaten. I am lower on the totem pole than all of
them, the untouchable. I should feel lucky I'm allowed to eat at the
whites' tables at all.

Not that there's anywhere else I could eat. The prison yard is broken
down into five distinct racial categories and segregation is strictly
enforced. There are the "woods" (short for peckerwoods) that encompass
the whites, the "kinfolk" (blacks), the "Raza" (American-born people of
Mexican descent), the "paisas" (Mexico-born Mexicans), and the "chiefs"
(American Indians). Under the strict rules that govern interracial
relations, different races are allowed to play on the same sports teams
but not play individual games (e.g., chess) together; they may be in
each others' cubicles together if the situation warrants but not sit on
each others' beds or watch each others' televisions. They may go to the
same church services but not pray together. But if you accidentally
break one of these rules, the consequences are usually pretty mild: you
might get a talking to by one of the heads (who, of course, claims
exemption from this rule himself), or at worst, a "chin check."

Eating with another race, however, is a different story. It is an
inviolate rule that different races may not break bread together under
any circumstances. Violating this rule leads to harsh consequences. If
you eat at the same table as another race, you'll get beaten down. If
you eat from the same tray as another race, you'll be put in the
hospital. And if you eat from the same food item as another race, that
is, after another race has already taken a bite of it, you can get
killed. This is one area where even the heads don't have any play.

This makes it difficult for me, of course, to fit into the chow hall.
Jews, as we all know, are not white but imposters who don white skin and
hide inside it for the purpose of polluting and taking over the white
race. The skinheads simply can't allow me to eat with them: that would
make them traitors of the worst kind — race traitors\! But my milky skin
and pasty complexion, characteristic of the Eastern European Ashkenazi,
make it impossible for me to eat with other races who don't understand
the subtleties of my treachery and take me for just another wood. So the
compromise is that I may sit at certain white tables after all the
whites have finished eating. In exchange, I must do free legal work as
directed by the heads (Jewish lawyers, even jailhouse lawyers, are hard
to come by in prison) and remit to them a portion of the legal fees I
collect from everyone else I do legal work for on the yard.

This compromise was brokered by the more "mainstream" Nazis on the yard,
the Aryan Brotherhood. They became involved because when I first got
here, one of the first cases I handled resulted in my getting a 21-year
sentence for one of their members vacated. This gave me instant
credibility: even if a "hands-off-the-Jew" policy could not be
established, a "hands-off-the-Jewish-lawyer" policy could be and was. It
was this factor, I think, more than any other, that has kept me safe
here.

The [Aryan
Brotherhood](/get-informed/intelligence-report/browse-all-issues/2005/fall/smashing-the-shamrock)
(AB) is the political rival of the skinheads. They are the old guard,
the white leadership that has run the yards for years. They control the
drug markets, the poker tables, the tattoo shops. Their membership
consists mostly of long-term inmates who have been on the yards for 15,
20, 25 years. Their average age is probably well over 40. By contrast,
the skinheads have a much younger membership (albeit also with long-term
sentences) that is rapidly advancing upon AB turf. So the AB's "defense"
of me has a political component as well: I am the enemy of their enemy
and therefore their friend. The AB understands that I provide a service
they can exploit. But they also perceive the skinheads' hatred of me and
realize they can use championing my cause to their advantage. So they
allow me to stay on the yard, taking credit for my providing legal work
and inadvertently discrediting the anti-Semitism of the skinheads in the
process.

This was all allowed to happen because the AB, notwithstanding the
swastikas, lightning bolts and KKK hoods tattooed on their arms and
their vile racist rhetoric, are not fundamentally ideological. Their
racism derives primarily from economic considerations: by enjoining the
different races from trading with each other, they enforce their share
of the highly lucrative drug market. The price of drugs on the yards is
10 times higher than it is on the street, and the AB is the largest
single supplier, with drugs smuggled in not only by would-be recruits
trying to "earn their ink" by getting their girlfriends to hide them in
their body cavities when they come to visit, but by guards who are in
their employ (and sometimes in their membership) as well. The Raza's
drugs may be cheaper and better, but because of the segregation, they
are not available to the woods.

The skinheads, by contrast, claim to be fundamentally ideological. They
exist as a political entity dedicated, they say, to organizing to fight
the big war, the race war, which will reassert white political dominance
in the world. They therefore take the public position that they do not
approve of drugs, and they try to foster the image that they are serious
warriors, that they keep their minds clean and spirits pure by reading
Nietzsche and Sun Tzu and Machiavelli, and that their bodies are highly
trained fighting machines that will kill the enemy without a second
thought. Every afternoon you can see them marching around the yard in
locked step, their polished boots gleaming in the baking sun, with
"SKINHEAD" tattooed on their foreheads and "SHAVED FOR WAR" carved on
the backs of their skulls and encircling swastikas made up of
interlocking axe handles. I used to wonder why skinheads made such a
fuss over insisting that whites fold their clothes in a specific way and
display them on their shelves. The party line is that we do this because
other races look to us as setting the standard, and it is therefore our
burden to do so. But I finally figured out the real reason: the
skinheads want the whites to appear totally disciplined, a tight
fighting unit ready to spring into war at the drop of a hat. Uniforms
that are folded and pressed maintain this posture.

The skinheads are so ridiculous, both in the way they present themselves
and in their social views, that it is easy to caricature and dismiss
them. But that would be a mistake. The skinheads are the fastest growing
segment of the prison population. If at one time they were a fringe
group within prison, that is no longer the case.

**I grew up in a Chicago suburb, Evanston, Ill., next door to Skokie,**
the infamous site of an attempted march by Nazis in the late 1970s
through a city with a large Jewish population, including a high number
of concentration camp survivors. Because Evanston and Skokie shared a
high school, I knew many of these survivors, whose children were friends
of mine. When the Nazis threatened to march, these were the people who
were prepared to take their places on the front lines, baseball bats in
hand, ready to meet the fascists. There is no question in my mind that
the Nazis ultimately backed down at the last minute not because they
were put off by the Skokie City Council when it hastily enacted an
ordinance preventing the march, nor because the Anti-Defamation League
made the Nazis "irrelevant" by advising people to ignore them, nor
because the ACLU helped the Nazis "make their point" that free speech is
allowed and this made the march moot. Rather, it was because they were
afraid of the Jewish and other anti-fascist demonstrators who organized
against them and made it clear that they were going to offer armed
resistance. The Nazis knew that if they came to Skokie, no amount of
police protection could keep them safe.

This was the climate I grew up in. My parents were left-liberals,
one-time fellow travelers of the Communist Party who had become more
conservative over the years but in whom political activism, especially
against fascism, was instinctual. And it was one of their guiding
principles that there is no debating with fascists. Fascists are not
interested in ideas but in political power. So every time the Nazis did
publicly organize since then, I was there to oppose them, not with the
force of my intellect but with the strength of my fists.

But despite my lifelong opposition to Nazis, this opposition stemmed
from political, not religious, considerations. I grew up with
essentially no identity as a Jew. My father, while of German-Jewish
origins (and a World War II vet), was a stone atheist and a scientist,
and my mother, while being a little fuzzy on the God question, sided
with my father in not providing my brother and me with any religious
training. I did not attend shul on the high holidays or go to Hebrew
school. Instead, I went to socialist summer camp where I was taught that
the most important spiritual value is "thou shalt never cross a picket
line."

Nor did the neighborhood I grew up in or the schools I went to do
anything to confer a sense of Jewish identity on me. Although Evanston
was not as heavily Jewish as Skokie, my neighborhood was at least a
third Jewish and the high school even more so. But being immersed in a
heavily Jewish environment did not have the effect of enhancing my
identity as a Jew; if anything, it made being Jewish taken for granted
and therefore largely irrelevant. Jews were everywhere and represented
all perspectives. We were jocks and nerds, boozers and freaks,
businessmen and scientists, Republicans and radicals. Our Jewishness was
not a common denominator to us (because it was too common a denominator)
and therefore being Jewish was no big deal.

Similarly, when I moved to New York City after college, I lived in a
heavily Jewish city in which I was part of the majority. If it was
something of a thrill to be living in a city where everything shut down
on Yom Kippur, the main identity I felt as a Jew was no identity: being
Jewish was as common and therefore as taken for granted as finding a
taxicab on Fifth Avenue.

I suppose this paradoxical lack of a Jewish identity in people who live
in an overwhelmingly Jewish environment is characteristic only of those
for whom the environment is a privileged one. When Jews living together
is a feature of their oppression rather than privilege, such as in the
case of those who were forced to live in the shtetls of Russia or in the
concentration camps of Nazi Germany, Jewish identity becomes something
that is not shunned but clung to. The practice of Judaism now becomes a
raison d'etre, a thing which gives life meaning. If you are oppressed
because of your race, religion or national origin, you seize that
heritage as something bigger than yourself to give you the will to go
on.

When I went to prison, it was the first time in my life that I really
stood out as a Jew. Jews are virtually unheard of in the state prison
system, and if going to prison was a cultural shock and eye-opening
experience for me, meeting a Jew was a cultural shock and eye-opening
experience for a good number of young men on the yard, some of whom had
never traveled more than 50 miles from their backwoods homes. I suppose
it should not have come as a surprise to me, then, that anti-Semitism
would be so rampant. Nevertheless, I was shocked by the blatant hatred
(and misperceptions) of Jews. All the old stereotypes — of Jews being
stingy, greedy and dishonest, of Jews controlling the world's money
supply, of Jews running the entertainment industry and establishing the
cultural standards of the world (thus allowing the proliferation of
homosexuality and interracial relationships); in short, all the old
stereotypes about Jews which I never really believed existed — were in
full force and effect on the yard. I have been able to remain safe, but
only because I reached an accommodation with my Nazi tormentors limiting
my presence and activities on the yard. But the bottom line is, I am,
and will remain, a pariah.

Thus, it was precisely my own oppression by skinheads and others when I
went to prison that has caused me to discover a Jewish identity and has
allowed me to come into my own as a Jew. I had dealt with Nazis before,
as I mentioned above, but only in the aggregate, when I was part of a
large force opposing a clearly unwelcome and alien presence. But on the
prison yards, if Nazis are not in the mainstream, certainly hatred of
Jews is taken for granted. And for most of the time I have been in
prison I have been the only Jew here. As a result, the isolation and
extreme prejudice against Jews here has finally forced me to consider
myself to be, for the first time in my life, fundamentally a Jew; that
is, I am a Jew before I am a socialist, an activist, a lawyer, a convict
or a musician.

When I first came to jail, I tried to hide my Judaism. I even thought
about changing my name so it would sound less Jewish. Not any more\! The
oppression I suffered, the alienation and loneliness I felt, and the
spiritual thirst that is starting to be quenched, have caused me to
finally come into my own. I am a Jew\! And this has become my
fundamental defeat of the Nazis. Because I have finally come to this
bone-deep understanding, I will walk out of the prison gates as a
changed man, a man who has returned to the mark after having strayed for
so many years. I will have finally come home.
