---
created_at: '2010-08-06T04:03:32.000Z'
title: In German Suburb, Life Goes On Without Cars (2009)
url: http://www.nytimes.com/2009/05/12/science/earth/12suburb.html?_r=2&em
author: organicgrant
points: 127
story_text: ''
comment_text: 
num_comments: 202
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1281067412
_tags:
- story
- author_organicgrant
- story_1580144
objectID: '1580144'
year: 2009

---
While there have been efforts in the past two decades to make cities
denser, and better for walking, planners are now taking the concept to
the suburbs and focusing specifically on environmental benefits like
reducing emissions. Vauban, home to 5,500 residents within a rectangular
square mile, may be the most advanced experiment in low-car suburban
life. But its basic precepts are being adopted around the world in
attempts to make suburbs more compact and more accessible to public
transportation, with less space for parking. In this new approach,
stores are placed a walk away, on a main street, rather than in malls
along some distant highway.

“All of our development since World War II has been centered on the car,
and that will have to change,” said David Goldberg, an official of
[Transportation for America](http://t4america.org/ "Group’s Web site."),
a fast-growing coalition of hundreds of groups in the United States —
including environmental groups, mayors’ offices and the American
Association of Retired People — who are promoting new communities that
are less dependent on cars. Mr. Goldberg added: “How much you drive is
as important as whether you have a hybrid.”

Photo

Levittown and Scarsdale, New York suburbs with spread-out homes and
private garages, were the dream towns of the 1950s and still exert a
strong appeal. But some new suburbs may well look more Vauban-like, not
only in developed countries but also in the developing world, where
emissions from an increasing number of private cars owned by the
burgeoning middle class are choking cities.

In the United States, the Environmental Protection Agency is promoting
“car reduced” communities, and legislators are starting to act, if
cautiously. Many experts expect public transport serving suburbs to play
a much larger role in a new six-year federal transportation bill to be
approved this year, Mr. Goldberg said. In previous bills, 80 percent of
appropriations have by law gone to highways and only 20 percent to other
transport.

In California, the [Hayward Area Planning
Association](http://www.haywardcal.us/links/links.html "Information from city’s Web site.")
is developing a Vauban-like community called Quarry Village on the
outskirts of Oakland, accessible without a car to the Bay Area Rapid
Transit system and to the California State University’s campus in
Hayward.

Sherman Lewis, a professor emeritus at Cal State and a leader of the
association, says he “can’t wait to move in” and hopes that Quarry
Village will allow his family to reduce its car ownership from two to
one, and potentially to zero. But the current system is still stacked
against the project, he said, noting that mortgage lenders worry about
resale value of half-million-dollar homes that have no place for cars,
and most zoning laws in the United States still require two parking
spaces per residential unit. Quarry Village has obtained an exception
from Hayward.

Besides, convincing people to give up their cars is often an uphill run.
“People in the U.S. are incredibly suspicious of any idea where people
are not going to own cars, or are going to own fewer,” said David
Ceaser, [co-founder of CarFree City
USA](http://new.carfreecity.us/AboutUs/OrganizationandMission/tabid/104/Default.aspx "Group’s Web site."),
who said no car-free suburban project the size of Vauban had been
successful in the United States.

Advertisement

[Continue reading the main story](#story-continues-4)

In Europe, some governments are thinking on a national scale. In 2000,
Britain began a comprehensive effort to reform planning, to discourage
car use by requiring that new development be accessible by public
transit.

“Development comprising jobs, shopping, leisure and services should not
be designed and located on the assumption that the car will represent
the only realistic means of access for the vast majority of people,”
said PPG 13, the British government’s [revolutionary 2001 planning
document](http://www.communities.gov.uk/documents/planningandbuilding/pdf/155634.pdf "From a government site, the 45-page planning document.").
Dozens of shopping malls, fast-food restaurants and housing compounds
have been refused planning permits based on the new British regulations.

In Germany, a country that is home to Mercedes-Benz and the autobahn,
life in a car-reduced place like Vauban has its own unusual gestalt. The
town is long and relatively narrow, so that the tram into Freiburg is an
easy walk from every home. Stores, restaurants, banks and schools are
more interspersed among homes than they are in a typical suburb. Most
residents, like Ms. Walter, have carts that they haul behind bicycles
for shopping trips or children’s play dates.

Photo

For trips to stores like IKEA or the ski slopes, families buy cars
together or use communal cars rented out by Vauban’s car-sharing club.
Ms. Walter had previously lived — with a private car — in Freiburg as
well as the United States.

“If you have one, you tend to use it,” she said. “Some people move in
here and move out rather quickly — they miss the car next door.”

Vauban, the site of a former Nazi army base, was occupied by the French
Army from the end of World War II until the reunification of Germany two
decades ago. Because it was planned as a base, the grid was never meant
to accommodate private car use: the “roads” were narrow passageways
between barracks.

## Newsletter Sign Up

[Continue reading the main story](#continues-post-newsletter)

### 

Please verify you're not a robot by clicking the box.

Invalid email address. Please re-enter.

You must select a newsletter to subscribe to.

You agree to receive occasional updates and special offers for The New
York Times's products and services.

### Thank you for subscribing.

### An error has occurred. Please try again later.

[View all New York Times newsletters.](/newsletters)

The original buildings have long since been torn down. The stylish row
houses that replaced them are buildings of four or five stories,
designed to reduce heat loss and maximize energy efficiency, and trimmed
with exotic woods and elaborate balconies; free-standing homes are
forbidden.

By nature, people who buy homes in Vauban are inclined to be green
guinea pigs — indeed, more than half vote for the German Green Party.
Still, many say it is the quality of life that keeps them here.

Henk Schulz, a scientist who on one afternoon last month was watching
his three young children wander around Vauban, remembers his excitement
at buying his first car. Now, he said, he is glad to be [raising his
children away from
cars](http://www.nytimes.com/2009/03/27/world/europe/27bus.html "News article on Italian children walking to school.");
he does not worry much about their safety in the street.

Advertisement

[Continue reading the main story](#story-continues-5)

In the past few years, Vauban has become a well-known niche community,
even if it has spawned few imitators in Germany. But whether the concept
will work in California is an open question.

More than 100 would-be owners have signed up to buy in the Bay Area’s
“car-reduced” Quarry Village, and Mr. Lewis is still looking for about
$2 million in seed financing to get the project off the ground.

But if it doesn’t work, his backup proposal is to build a development on
the same plot that permits unfettered car use. It would be called
Village d’Italia.

[Continue reading the main story](#whats-next)
