---
created_at: '2017-12-30T22:34:17.000Z'
title: Stanford scholar gets six-figure settlement from James Joyce Estate (2009)
url: https://news.stanford.edu/news/2009/september28/shloss-joyce-settlement-092809.html
author: walterbell
points: 126
story_text: 
comment_text: 
num_comments: 16
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1514673257
_tags:
- story
- author_walterbell
- story_16038085
objectID: '16038085'
year: 2009

---
# Stanford researcher gets six-figure settlement from James Joyce Estate

Stanford scholar Carol Shloss’ breakthrough settlement against the James
Joyce Estate gives hope to beleaguered researchers.

The Stanford scholar who wrote a controversial biography of James
Joyce's daughter has settled her claims for attorneys' fees against the
Joyce Estate for $240,000. The settlement successfully ends a tangled
saga that has continued for two decades.

As a result of an earlier settlement reached in 2007, consulting English
Professor Carol Loeb Shloss already had achieved the right to domestic
online publication of the supportive scholarship the Joyce Estate had
forced her to remove from Lucia Joyce: To Dance in the Wake (2003). She
also had achieved the right to republish the book in the United States
with the expurgated material restored. After that settlement was
reached, Shloss asked the court to award the attorneys' fees and costs
she had incurred in bringing her suit, and the court granted that
request. The parties eventually settled the amount of the fees and
litigation costs Shloss and her counsel were to receive at $240,000.

Shloss' suit was championed by the Stanford Law School Center for
Internet and Society's Fair Use Project, with the assistance of
attorneys from Howard Rice Nemerovski Canady Falk & Rabkin and Keker &
Van Nest of San Francisco, and Doerner, Saunders, Daniel & Anderson of
Tulsa, Okla.

The estate of the celebrated Irish author of Ulysses and Finnegans Wake,
under the guidance of Joyce's grandson, Stephen James Joyce, had become
notorious in scholarly circles for its conflicts with scholars, authors
and Joyce enthusiasts. The estate's history of suits and threats of suit
has been the subject of many articles.

L.A. Cicero

[![Stanford scholar Carol
Shloss](https://news.stanford.edu/news/2009/september28/gifs/shloss_news.jpg)](http://news.stanford.edu/news/2009/september28/gifs/shloss_news.jpg "Stanford scholar Carol Shloss")

Stanford scholar Carol Shloss

Stephen Joyce has stopped countless public readings of his grandfather's
works and discouraged a generation of research. At one point, he told a
prominent Joyce scholar that he was no longer giving permission to quote
from any of Joyce's work. He told one performer, who had simply
memorized a portion of Finnegans Wake for an onstage presentation, that
he had probably "already infringed" on the estate's copyright, according
to a 2006 New Yorker story. (The performer later discovered that Joyce
did not have the right to block his performance.) Shloss herself recalls
a conference where a scholar had Joyce's words projected on a screen
rather than risk pronouncing the words in a recorded session.

"It's a breakthrough, not just for me but for everybody who has to deal
with a literary estate," said Shloss. "This has been going on for
decades. Scholars are not wealthy people. We don't have easy access to
the legal system to determine and vindicate our rights if someone
threatens us with a lawsuit. You just have to give in.

"When the Stanford Law School took this on, Larry Lessig \[now at
Harvard University\] said, 'That's disgusting,' and the tables turned.
Suddenly scholars had some legal support for an issue that had been
stifling our lives for decades."

Shloss said that the suit is a game-changer because now literary
"estates know they can get hurt."

"They know that scholars have resources now. They just can't be
bullies," she said. "We've established that if you don't pay attention
to the rights of scholars, authors and researchers the copyright laws
protect, you might have to pay something as the Joyce Estate has had to
pay."

In a tartly worded Feb. 24 filing to determine attorneys' fees and
costs, Shloss and her legal team argued that "the cost of litigating
this case, which was substantial, was a direct result of the Estate's
assiduous and energetic efforts to prevent Shloss from exercising the
rights the U.S. copyright laws encourage, and its 'scorched earth'
approach to litigating the early stages of the case to see if it could
bully Shloss into capitulation."

Shloss began researching her book in 1988. During a visit to Stephen
Joyce's Paris home that year, the writer's grandson warned her of his
determination to protect what he considered the Joyce family's privacy
rights. After studying the 50 unpublished notebooks that the author used
to write Finnegans Wake, Shloss challenged the long-accepted image of
Lucia Joyce, who was institutionalized in mental asylums for decades, as
the schizophrenic daughter of a man of genius. Instead, Shloss saw the
young dancer as a creative, independent figure who was an inspiration
for her father's work.

In subsequent years, according to a 2006 court filing, the author's
grandson and the estate's trustee made "attempts to interfere with
Shloss' research, to stop publication of her book, to damage her
relationship with her employer, and to misuse the copyrights they
control."

 

Photo by C. Ruf, Zurich, ca. 1918 Source: Cornell Joyce Collection

[![James
Joyce](https://news.stanford.edu/news/2009/september28/gifs/shloss_joyce_news.jpg)](http://news.stanford.edu/news/2009/september28/gifs/shloss_joyce_news.jpg "James Joyce")

James Joyce

In 2002, when Shloss' book was nearing publication, Joyce pressured her
publisher, Farrar, Straus and Giroux, to delete material from the book
or face a lawsuit. The publisher complied rather than fight the issue.

 

In the deleted material, Shloss links Joyce's chronological observations
about his daughter, as related in his notebooks, as a "consistent
influence on the final text of Finnegans Wake." Joyce is in an "edgy,
almost surrealistic, comic mode" as he describes the budding sexuality
of his daughter in her interactions with his son, and himself as an
older man watching almost voyeuristically. The account "still bears the
specificity of his children's lives: Issy \[modeled on Lucia\] still
whistles, drops handkerchiefs, waits for her male counterpart to pick
them up with his feet, worries that she'll be forgotten."

When an expurgated Lucia was published in 2003, the reviews were, as
Shloss said she had anticipated, mixed. The New York Times said her
unsupported arguments made the book "read more like an exercise in wish
fulfillment than a biography." The New Yorker noted that "the less
Shloss knows, the more she tells us." The San Francisco Chronicle noted
that Shloss added "a daunting quality of her own speculations, surmises
and unconvincingly supported suppositions."

Shloss responded by creating in 2005, and later revising, [an electronic
supplement to Lucia](http://www.lucia-the-authors-cut.info). The website
was restricted to U.S. access only, and the additional material was
designed to be protected by copyright's "fair use" doctrine.

The Joyce Estate responded with a series of strongly worded letters. To
protect herself and her work, Shloss filed a suit for declaratory relief
in June 2006, guided by the Stanford Center for Internet and Society and
the center's private-sector co-counsel. The estate fired back with a
475-page motion to dismiss and to strike, attacking the quality of
Shloss' scholarship and arguing that, despite the estate's threats,
there was no dispute for the court to adjudicate. The court ruled
against the estate in March 2007, finding that Shloss' suit should go
forward. A settlement in 2007 allowed Shloss to publish her supplement
on the Internet and in print in the United States, as she had sought in
her lawsuit, but did not address attorneys' fees.  A full settlement
including the payment of attorneys' fees and costs to Shloss and her
counsel was not completed until recently.

For Shloss, the decision is "a vindication of my scholarship. I knew the
scholarship was excellent. But I'd had to take the evidence out."

On the initial settlement in 2007, Lessig had said, "We will continue to
defend academics threatened by overly aggressive copyright holders, as
well as other creators for whom the intended protections of 'fair use'
do not work in practice. I am hopeful that this is the last time this
defendant will be involved in an action like this. But it is only the
first time that we will be defending academics in these contexts."

Shloss said she is happy to leave behind the tangled legal saga that had
"defined my life for years."

"This has always been running in the background, always something
happening in my name, filled with papers I have to read and understand,"
she said. "It's a relief not to have double life – professional life and
legal life – running in parallel. I was receiving threatening letters
from the Joyce Estate long before I found the Fair Use Project and Larry
Lessig.

"Larry's the one who said, 'This should not be happening to you.' And
then we began to work together with the Stanford center and the private
law firms. That's when the tables turned. It's a real Stanford story.
Most people can't do this. These are fabulous people to work with.
Really fabulous."

## Media Contact

Cynthia Haven, Stanford News Service: (650) 724-6184,
<cynthia.haven@stanford.edu>
