---
created_at: '2018-02-15T06:38:22.000Z'
title: 'Your body wasn’t built to last: Math of human mortality (2009)'
url: https://gravityandlevity.wordpress.com/2009/07/08/your-body-wasnt-built-to-last-a-lesson-from-human-mortality-rates/
author: lighttower
points: 87
story_text: 
comment_text: 
num_comments: 25
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1518676702
_tags:
- story
- author_lighttower
- story_16382322
objectID: '16382322'
year: 2009

---
# Your body wasn’t built to last: a lesson from human mortality rates

What do you think are the odds that you will die during the next year? 
Try to put a number to it — 1 in 100?  1 in 10,000?  Whatever it is, it
will be twice as large 8 years from now.

This startling fact was first noticed by the British actuary Benjamin
Gompertz in 1825 and is now called the “Gompertz Law of human
mortality.”  Your probability of dying during a given year doubles
every 8 years.  For me, a 25-year-old American, the probability of dying
during the next year is a fairly minuscule 0.03% — about 1 in 3,000. 
When I’m 33 it will be about 1 in 1,500, when I’m 42 it will be about 1
in 750, and so on.  By the time I reach age 100 (and I do plan on it)
the probability of living to 101 will only be about 50%.  This is
seriously fast growth — my mortality rate is increasing exponentially
with age.

And if my mortality rate (the probability of dying during the next year,
or during the next second, however you want to phrase it) is rising
exponentially, that means that the probability of me surviving to a
particular age is falling super-exponentially.  Below are some
statistics for mortality rates in the United States in 2005, as reported
by the US Census Bureau (and displayed by [Wolfram
Alpha](http://www.wolframalpha.com/)):

![USA-death\_rates](https://gravityandlevity.files.wordpress.com/2009/07/usa-death_rates.png?w=600&h=216
"USA-death_rates")This data fits the Gompertz law almost perfectly, with
death rates doubling every 8 years.  The graph on the right also agrees
with the Gompertz law, and you can see the precipitous fall in survival
rates starting at age 80 or so.  That decline is no joke; the sharp fall
in survival rates can be expressed mathematically as an exponential
within an exponential:

![P(t) \\approx e^{-0.003
e^{(t-25)/10}}](https://s0.wp.com/latex.php?latex=P%28t%29+%5Capprox+e%5E%7B-0.003+e%5E%7B%28t-25%29%2F10%7D%7D&bg=ffffff&fg=333333&s=0
"P(t) \\approx e^{-0.003 e^{(t-25)/10}}")

Exponential decay is sharp, but an exponential within an exponential is
so sharp that I can say with 99.999999% certainty that no human will
ever live to the age of 130.  (Ignoring, of course, the upward shift in
the lifetime distribution that will result from future medical advances)

Surprisingly enough, the Gompertz law holds across a large number of
countries, time periods, and even different species.  While the actual
average lifespan changes quite a bit from country to country and from
animal to animal, the same general rule that “your probability of dying
doubles every X years” holds true.  It’s an amazing fact, and no one
understands why it’s true.

There is one important lesson, however, to be learned from Benjamin
Gompertz’s mysterious observation.  By looking at theories of human
mortality that are clearly wrong, we can deduce that our fast-rising
mortality is not the result of a dangerous environment, but of a body
that has a built-in expiration
date.

![\\hspace{10mm}](https://s0.wp.com/latex.php?latex=%5Chspace%7B10mm%7D&bg=ffffff&fg=333333&s=0
"\\hspace{10mm}")

**The lightning bolt theory**

If you had never seen any mortality statistics (or known very many old
people), you might subscribe to what I call the “lightning bolt theory”
of mortality.  In this view, death is the result of a sudden and
unexpected event over which you have no control.  It’s sort of an
ancient Greek perspective: there are angry gods carousing carelessly
overhead, and every so often they hurl a lightning bolt toward Earth,
which kills you if you happen to be in the wrong place at the wrong
time.  These are the “lightning bolts” of disease and cancer and car
accidents, things that you can escape for a long time if you’re lucky
but will eventually catch up to you.

The problem with this theory is that it would produce mortality rates
that are nothing like what we see.  Your probability of dying during a
given year would be constant, and wouldn’t increase from one year to the
next.  Anyone who paid attention during introductory statistics will
recognize that your probability of survival to age t would follow a
Poisson distribution, which means exponential decay (and not
super-exponential decay).

Just to make things concrete, imagine a world where every year a
“lightning bolt” gets hurled in your general direction and has a 1 in
80 chance of hitting you.  Your average life span will be 80 years, just
like it is in the US today, but the distribution will be very different:

![Your probability of survival according to the "Lightning Bolt
Theory"](https://gravityandlevity.files.wordpress.com/2009/07/lightning_bolt_theory.png?w=600&h=450
"lightning_bolt_theory")

What a crazy world\!  The average lifespan would be the same, but out of
every 100 people 31 would die before age 30 and 2 of them would live to
be more than 300 years old.  Clearly we do not live in a world where
mortality is governed by “lightning
bolts”.

![\\hspace{10mm}](https://s0.wp.com/latex.php?latex=%5Chspace%7B10mm%7D&bg=ffffff&fg=333333&s=0
"\\hspace{10mm}")

**The accumulated lightning bolt theory**

I think most people will see pretty quickly why the “lightning bolt
theory” is flawed.  Our bodies accumulate damage as they get older. 
With each misfortune our defenses are weakened — a car accident might
leave me paralyzed, or a knee injury could give me arthritis, or a
childhood bout with pneumonia could leave me with a compromised immune
system.  Maybe dying is a matter of accumulating a number of “lightning
strikes”; none of them individually will do you in, but the accumulated
effect leads to death.  I think of it something like [Monty Python’s
Black Knight](http://www.youtube.com/watch?v=zKhEw7nD9C4): the first
four blows are just flesh wounds, but the fifth is the end of the
line.

![accumulated\_lightning\_bolt\_theory](https://gravityandlevity.files.wordpress.com/2009/07/accumulated_lightning_bolt_theory.png?w=600&h=450
"accumulated_lightning_bolt_theory")

Fortunately, this theory is also completely testable.  And, as it turns
out, completely wrong.  Shown above are the results from a simulated
world where “lightning bolts” of misfortune hit people on average every
16 years, and death occurs at the fifth hit.  This world also has an
average lifespan of 80 years (16\*5 = 80), and its distribution is a
little less ridiculous than the previous case.  Still, it’s no Gompertz
Law: look at all those 160-year-olds\!  You can try playing around with
different “lightning strike rates” and different number of hits required
for death, but nothing will reproduce the Gompertz Law.  No explanation
based on careless gods, no matter how plentiful or how strong their
blows are, will reproduce the strong upper limit to human lifespan that
we actually
observe.

![\\hspace{10mm}](https://s0.wp.com/latex.php?latex=%5Chspace%7B10mm%7D&bg=ffffff&fg=333333&s=0
"\\hspace{10mm}")

**The cops and criminals inside your body  
**

Like I said before, no one knows why our lifespans follow the Gompertz
law.  But it isn’t impossible to come up with a theoretical world that
follows the same law.  The following argument comes from [this short
paper](http://arxiv.org/PS_cache/q-bio/pdf/0411/0411019v3.pdf), produced
by the Theoretical Physics Institute at the University of Minnesota
\[update: also published
[here](http://www.springerlink.com/content/lp63258564432853/) in the
journal Theory in Biosciences\].

Imagine that within your body is an ongoing battle between cops and
criminals.  And, in general, the cops are winning.  They patrol randomly
through your body, and when they happen to come across a criminal he is
promptly removed.  The cops can always defeat a criminal they come
across, unless the criminal has been allowed to sit in the same spot for
a long time.  A criminal that remains in one place for long enough (say,
one day) can build a “fortress” which is too strong to be assailed by
the police.  If this happens, you die.

Lucky for you, the cops are plentiful, and on average they pass by every
spot 14 times a day.  The likelihood of them missing a particular spot
for an entire day is given (as you’ve learned by now) by the Poisson
distribution: it is a mere ![e^{-14} \\approx 8 \\times
10^{-7}](https://s0.wp.com/latex.php?latex=e%5E%7B-14%7D+%5Capprox+8+%5Ctimes+10%5E%7B-7%7D&bg=ffffff&fg=333333&s=0
"e^{-14} \\approx 8 \\times 10^{-7}").

But what happens if your internal police force starts to dwindle? 
Suppose that as you age the police force suffers a slight reduction, so
that they can only cover every spot 12 times a day.  Then the
probability of them missing a criminal for an entire day increases to
![e^{-12} \\approx 6 \\times
10^{-6}](https://s0.wp.com/latex.php?latex=e%5E%7B-12%7D+%5Capprox+6+%5Ctimes+10%5E%7B-6%7D&bg=ffffff&fg=333333&s=0
"e^{-12} \\approx 6 \\times 10^{-6}").  The difference between 14 and 12
doesn’t seem like a big deal, but the result was that your chance of
dying during a given day jumped by more than 10 7 times.  And if the
strength of your police force drops linearly in time, your mortality
rate will rise exponentially.

This is the Gompertz law, in cartoon form: your body is deteriorating
over time at a particular rate.  When its “internal policemen” are good
enough to patrol every spot that might contain a criminal 14 times a
day, then you have the body of a 25-year-old and a 0.03% chance of dying
this year.  But by the time your police force can only patrol every spot
7 times per day, you have the body of a 95-year-old with only a 2-in-3
chance of making it through the
year.

![\\hspace{10mm}](https://s0.wp.com/latex.php?latex=%5Chspace%7B10mm%7D&bg=ffffff&fg=333333&s=0
"\\hspace{10mm}")

**More questions than answers**

The example above is tantalizing.  The language of “cops and criminals”
lends itself very easily to a discussion of the immune system fighting
infection and random mutation.  Particularly heartening is the fact that
rates of cancer incidence also follow the Gompertz law, doubling every 8
years or so.  Maybe something in the immune system is degrading over
time, becoming worse at finding and destroying mutated and potentially
dangerous cells.

Unfortunately, the full complexity of human biology does not lend itself
readily to cartoons about cops and criminals.  There are a lot of
difficult questions for anyone who tries to put together a serious
theory of human aging.  Who are the criminals and who are the cops that
kill them?  What is the “incubation time” for a criminal, and why does
it give “him” enough strength to fight off the immune response?  Why is
the police force dwindling over time?  For that matter, what kind of
“clock” does your body have that measures time at all?

There have been attempts to describe DNA degradation (through the
shortening of your[telomeres](http://en.wikipedia.org/wiki/Telomere) or
through [methylation](http://en.wikipedia.org/wiki/DNA_methylation)) as
an increase in “criminals” that slowly overwhelm the body’s DNA-repair
mechanisms, but nothing has come of it so far.  I can only hope that
someday some brilliant biologist will be charmed by the simplistic
physicist’s language of cops and criminals and provide us with real
insight into why we age the way we
do.

![\\hspace{10mm}](https://s0.wp.com/latex.php?latex=%5Chspace%7B10mm%7D&bg=ffffff&fg=333333&s=0
"\\hspace{10mm}")

![\\hspace{10mm}](https://s0.wp.com/latex.php?latex=%5Chspace%7B10mm%7D&bg=ffffff&fg=333333&s=0
"\\hspace{10mm}")

**UPDATE:** G\&L reader Michael has made a cool-looking (if slightly
morbid) [web
calculator](http://forio.com/simulate/simulation/mbean/death-probability-calculator/)
to evaluate the Gompertz law prediction for different ages.  If you want
to know what the law implies for you in particular, and are not terribly
handy with a calculator, then you might want to check it
    out.

Advertisements

### Share this:

  - [](https://gravityandlevity.wordpress.com/2009/07/08/your-body-wasnt-built-to-last-a-lesson-from-human-mortality-rates/?share=facebook "Share on Facebook")
    
    Facebook

  - [](https://gravityandlevity.wordpress.com/2009/07/08/your-body-wasnt-built-to-last-a-lesson-from-human-mortality-rates/?share=twitter "Click to share on Twitter")
    
    Twitter

  - [](https://gravityandlevity.wordpress.com/2009/07/08/your-body-wasnt-built-to-last-a-lesson-from-human-mortality-rates/?share=reddit "Click to share on Reddit")
    
    Reddit

  - 
### Like this:

Like

Loading...

### Related
