---
created_at: '2011-04-09T09:05:49.000Z'
title: 'The loudness wars: Why music sounds worse (2009)'
url: http://www.npr.org/templates/story/story.php?storyId=122114058
author: aycangulez
points: 42
story_text: ''
comment_text: 
num_comments: 24
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1302339949
_tags:
- story
- author_aycangulez
- story_2426825
objectID: '2426825'
year: 2009

---
# The Loudness Wars: Why Music Sounds Worse

[![](https://media.npr.org/assets/music/news/2009/12/dynamic_wide-c898637e90d85d0f536b39f9f24f797586dc957b-s1100-c15.jpg)](http://media.npr.org/assets/music/news/2009/12/poster2.pdf)

****toggle caption****

Christopher Clark

[!['A Visual History of Loudness'
poster](https://media.npr.org/assets/music/news/2009/12/poster200-c3c0b7b789635c7b4d7655e8ad74382aed86862f-s800-c15.jpg)](http://media.npr.org/assets/music/news/2009/12/poster2.pdf)

Christopher Clark

As we come to the end of the decade, we turn to one of the more dramatic
changes we've heard in music over those 10 years: It seems to have
gotten louder.

We're talking about compression here, the dynamic compression that's
used a lot in popular music. There's actually another kind of
compression going on today — one that allows us to carry hundreds of
songs in our iPods. More on that in a minute.

But first, host Robert Siegel talked to Bob Ludwig, a record mastering
engineer. For more than 40 years, he's been the final ear in the audio
chain for albums running from Jimi Hendrix to Radiohead, from Tony
Bennett to Kronos Quartet.

Bob pointed to a YouTube video titled [The Loudness
War](http://www.youtube.com/watch?v=3Gmex_4hreQ). The video uses Paul
McCartney's 1989 song "Figure of Eight" as an example, comparing its
original recording with what a modern engineer might do with it.

"It really no longer sounds like a snare drum with a very sharp attack,"
Ludwig says. "It sounds more like somebody padding on a piece of leather
or something like that," Ludwig says. He's referring to the practice of
using compressors to squash the music, making the quiet parts louder and
the loud parts a little quieter, so it jumps out of your radio or iPod.

Ludwig says the "Loudness War" came to a head last year with the release
of Metallica's album Death Magnetic.

"It came out simultaneously to the fans as \[a version on\] Guitar Hero
and the final CD," Ludwig says. "And the Guitar Hero doesn't have all
the digital domain compression that the CD had. So the fans were able to
hear what it could have been before this compression."

According to Ludwig, 10,000 or more fans signed an online petition to
get the band to remix the record.

"That record is so loud that there is an outfit in Europe called ITU
\[International Telecommunication Union\] that now has standardization
measurements for long-term loudness," he says. "And that Metallica
record is one of the loudest records ever produced."

**Old News**

"The 'Loudness Wars' have gone back to the days of 45s," Ludwig says.
"When I first got into the business and was doing a lot of vinyl disc
cutting, one producer after another just wanted to have his 45 sound
louder than the next guy's so that when the program director at the Top
40 radio station was going through his stack of 45s to decide which two
or three he was going to add that week, that the record would kind of
jump out to the program director, aurally at least."

That's still a motivation for some producers. If their record jumps out
of your iPod compared with the song that preceded it, then they've
accomplished their goal.

Bob Ludwig thinks that's an unfortunate development.

"People talk about downloads hurting record sales," Ludwig says. "I and
some other people would submit that another thing that is hurting record
sales these days is the fact that they are so compressed that the ear
just gets tired of it. When you're through listening to a whole album of
this highly compressed music, your ear is fatigued. You may have enjoyed
the music but you don't really feel like going back and listening to it
again."

Ludwig's final assessment of the decade in music?

"It's been really rough, folks," he says. "But it can get better and I
think it will get better. I'm glad it's going to be over."

**Digital Compression**

Digital compression is the process that allows a song to go from being a
very big sound file in its natural state to a very small file in your
iPod — so you can carry your entire record library in your pocket. But
at what cost?

Dr. Andrew Oxenham is a professor in the psychology department at the
University of Minnesota. His specialty is auditory perception — how our
brains and ears interact. He also started out as a recording engineer.

Robert Siegel asked him to explain digital compression.

"Really, the challenge is to maintain the quality of a CD, but to stuff
it into a much smaller space," Oxenham says. "Let's think about how
digital recording works. You start out with a very smooth sound wave and
we're trying to store that in digital form. So we're really trying to
reproduce a smooth curve \[with\] these square blocks, which are the
digital numbers \[the 1s and 0s that are used to encode sound
digitally\].

"Now, the only way you can make square blocks look like a smooth curve
is by using very, very small blocks so it ends up looking as if it's
smooth. Now using lots and lots of blocks means lots of storage, so we
end up using \[fewer\] bigger blocks. Which means we end up not
representing that curve very smoothly at all."

Lost? Go back and re-read it — you'll get it.

"The difference between the smooth curve and the rough edges you end up
with in the digital recording, you can think of as noise because that is
perceived as noise," Oxenham says. "It's perceived as an error,
something that wasn't there in the original recording. The trick is to
take the noise — which is the loss of fidelity — and just make it so you
can't hear it anymore."

**In Hiding**

It's called "masking." Think of it this way: You're having a
conversation in a quiet room, and you can hear every word, every mouth
noise, every stomach rumble. But if you were having that same
conversation outside on a busy street, you'd get the gist of what was
said, but you'd probably miss a few words. The traffic noise would mask
them.

So let's say you're listening to a Brahms symphony.

"\[The loud parts of the music are\] giving the coding system a lot of
leeway to code things not quite as accurately as it would have to,"
Oxenham says, "because the ear is being stimulated so much by the loud
sound it won't pick up very small variations produced by the coding
errors."

In other words, the loud parts of a recording are used to "mask," or
hide that noise produced by the rough-edged squares of those digital 1s
and 0s.

But are we missing something?

"There are really different levels of MP3 coding," Oxenham says. "You
can go from much less data — which people can hear the difference — to
higher levels of coding which take up more space on your MP3 player but
sound better and are basically indistinguishable from a CD. And I would
argue that under proper listening conditions — if it's really
indistinguishable from the CD as far as your ear is concerned — then you
really haven't lost anything perceptually."

Oxenham likes the convenience of portable MP3 players. But ultimately,
he says, he prefers going to concerts.
