---
created_at: '2014-11-20T16:46:31.000Z'
title: Is Food the New Sex? (2009)
url: http://www.hoover.org/research/food-new-sex
author: tacon
points: 82
story_text: ''
comment_text: 
num_comments: 87
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1416501991
_tags:
- story
- author_tacon
- story_8636624
objectID: '8636624'
year: 2009

---
Of all the truly seismic shifts transforming daily life today — deeper
than our financial fissures, wider even than our most obvious political
and cultural divides — one of the most important is also among the least
remarked. That is the chasm in attitude that separates almost all of us
living in the West today from almost all of our ancestors, over two
things without which human beings cannot exist: food and sex.

The question before us today is not whether the two appetites are
closely connected. About that much, philosophers and other commentators
have been agreed for a very long time. As far back as Aristotle,
observers have made the same point reiterated in 1749 in Henry
Fielding’s famous scene in Tom Jones: The desires for sex and for food
are joined at the root. The fact that Fielding’s scene would go on to
inspire an equally iconic movie segment over 200 years later, in the Tom
Jones film from 1963, just clinches the point.

What happens when, for the first time in history, adult human beings are
free to have all the sex and food they want?

Philosophers and artists aside, ordinary language itself verifies how
similarly the two appetites are experienced, with many of the same words
crossing over to describe what is desirable and undesirable in each
case. In fact, we sometimes have trouble even talking about food without
metaphorically invoking sex, and vice versa. In a hundred entangled
ways, judging by either language or literature, the human mind juggles
sex and food almost interchangeably at times. And why not? Both desires
can make people do things they otherwise would not; and both are
experienced at different times by most men and women as the most
powerful of all human drives.

One more critical link between the appetites for sex and food is this:
Both, if pursued without regard to consequence, can prove ruinous not
only to oneself, but also to other people, and even to society itself.
No doubt for that reason, both appetites have historically been subject
in all civilizations to rules both formal and informal. Thus the
potentially destructive forces of sex — disease, disorder, sexual
aggression, sexual jealousy, and what used to be called “home-wrecking”
— have been ameliorated in every recorded society by legal, social,
and religious conventions, primarily stigma and punishment. Similarly,
all societies have developed rules and rituals governing food in part to
avoid the destructiveness of free-for-alls over scarce necessities. And
while food rules may not always have been as stringent as sex rules,
they have nevertheless been stringent as needed. Such is the meaning,
for example, of being hanged for stealing a loaf of bread in the
marketplace, or keel-hauled for plundering rations on a ship.

These disciplines imposed historically on access to food and sex now
raise a question that has not come up before, probably because it was
not even possible to imagine it until the lifetimes of the people
reading this: What happens when, for the first time in history — at
least in theory, and at least in the advanced nations — adult human
beings are more or less free to have all the sex and food they want?

This question opens the door to a real paradox. For given how closely
connected the two appetites appear to be, it would be natural to expect
that people would do the same kinds of things with both appetites — that
they would pursue both with equal ardor when finally allowed to do so,
for example, or with equal abandon for consequence; or conversely, with
similar degrees of discipline in the consumption of each.

In fact, though, evidence from the advanced West suggests that nearly
the opposite seems to be true. The answer appears to be that when many
people are faced with these possibilities for the very first time, they
end up doing very different things — things we might signal by shorthand
as mindful eating, and mindless sex. This essay is both an exploration
of that curious dynamic, and a speculation about what is driving it.

As much as you want

The dramatic expansion in access to food on the one hand and to sex on
the other are complicated stories; but in each case, technology has
written most of it.

Up until just about now, for example, the prime brakes on sex outside of
marriage have been several: fear of pregnancy, fear of social stigma and
punishment, and fear of disease. The Pill and its cousins have
substantially undermined the first two strictures, at least in theory,
while modern medicine has largely erased the third. Even hiv/aids, only
a decade ago a stunning exception to the brand new rule that one could
apparently have any kind of sex at all without serious consequence, is
now regarded as a “manageable” disease in the affluent West, even as it
continues to kill millions of less fortunate patients elsewhere.

As for food, here too one technological revolution after another
explains the extraordinary change in its availability: pesticides,
mechanized farming, economical transportation, genetic manipulation of
food stocks, and other advances. As a result, almost everyone in the
Western world is now able to buy sustenance of all kinds, for very
little money, and in quantities unimaginable until the lifetimes of the
people reading this.

One result of this change in food fortune, of course, is the
unprecedented “disease of civilization” known as obesity, with its
corollary ills. Nevertheless, the commonplace fact of obesity in today’s
West itself testifies to the point that access to food has expanded
exponentially for just about everyone. So does the statistical fact that
obesity is most prevalent in the lowest social classes and least
exhibited in the highest.

And just as technology has made sex and food more accessible for a great
many people, important extra-technological influences on both pursuits —
particularly longstanding religious strictures — have meanwhile
diminished in a way that has made both appetites even easier to indulge.
The opprobrium reserved for gluttony, for example, seems to have little
immediate force now, even among believers. On the rare occasions when
one even sees the word, it is almost always used in a metaphorical,
secular sense.

Similarly, and far more consequential, the longstanding religious
prohibitions in every major creed against extramarital sex have rather
famously loosed their holds over the contemporary mind. Of particular
significance, perhaps, has been the movement of many Protestant
denominations away from the sexual morality agreed upon by the previous
millennia of Christendom. The Anglican abandonment in 1930 of the
longstanding prohibition against artificial contraception is a special
case in point, undermining as it subsequently did for many believers the
very idea that any church could tell people what to do with their
bodies, ever again. Whether they defended their traditional teachings or
abandoned them, however, all Western Christian churches in the past
century have found themselves increasingly beleaguered over issues of
sex, and commensurately less influential over all but a fraction of the
most traditionally minded parishioners.

Of course this waning of the traditional restraints on the pursuit of
sex and food is only part of the story; any number of non-religious
forces today also act as contemporary brakes on both. In the case of
food, for example, these would include factors like personal vanity,
say, or health concerns, or preoccupation with the morality of what is
consumed (about which more below). Similarly, to acknowledge that sex is
more accessible than ever before is not to say that it is always and
everywhere available. Many people who do not think they will go to hell
for premarital sex or adultery, for example, find brakes on their
desires for other reasons: fear of disease, fear of hurting children or
other loved ones, fear of disrupting one’s career, fear of financial
setbacks in the form of divorce and child support, and so on.

Even men and women who do want all the food or sex they can get their
hands on face obstacles of other kinds in their pursuit. Though many
people really can afford to eat more or less around the clock, for
example, home economics will still put the brakes on; it’s not as if
everyone can afford pheasant under glass day and night. The same is true
of sex, which likewise imposes its own unwritten yet practical
constraints. Older and less attractive people simply cannot command the
sexual marketplace as the younger and more attractive can (which is why
the promises of erasing time and age are such a booming business in a
post-liberation age). So do time and age still circumscribe the pursuit
of sex, even as churches and other conventional enforcers increasingly
do not.

Still and all, the initial point stands: As consumers of both sex and
food, today’s people in the advanced societies are freer to pursue and
consume both than almost all the human beings who came before us; and
our culture has evolved in interesting ways to exhibit both those
trends.

Broccoli, pornography, and Kant

To begin to see just how recent and dramatic this change is, let us
imagine some broad features of the world seen through two different sets
of eyes: a hypothetical 30-year-old housewife from 1958 named Betty, and
her hypothetical granddaughter Jennifer, of the same age, today.

Begin with a tour of Betty’s kitchen. Much of what she makes comes from
jars and cans. Much of it is also heavy on substances that people of our
time are told to minimize — dairy products, red meat, refined sugars and
flours — because of compelling research about nutrition that occurred
after Betty’s time. Betty’s freezer is filled with meat every four
months by a visiting company that specializes in volume, and on most
nights she thaws a piece of this and accompanies it with food from one
or two jars. If there is anything “fresh” on the plate, it is likely a
potato. Interestingly, and rudimentary to our contemporary eyes though
it may be, Betty’s food is served with what for us would appear to be
high ceremony, i.e., at a set table with family members present.

As it happens, there is little that Betty herself, who is adventurous by
the standards of her day, will not eat; the going slogan she learned as
a child is about cleaning your plate, and not doing so is still
considered bad form. Aside from that notion though, which is a holdover
to scarcer times, Betty is much like any other American home cook in
1958. She likes making some things and not others, even as she prefers
eating some things to others — and there, in personal aesthetics, does
the matter end for her. It’s not that Betty lacks opinions about food.
It’s just that the ones she has are limited to what she does and does
not personally like to make and eat.

Now imagine one possible counterpart to Betty today, her 30-year-old
granddaughter Jennifer. Jennifer has almost no cans or jars in her
cupboard. She has no children or husband or live-in boyfriend either,
which is why her kitchen table on most nights features a laptop and goes
unset. Yet interestingly enough, despite the lack of ceremony at the
table, Jennifer pays far more attention to food, and feels far more
strongly in her convictions about it, than anyone she knows from Betty’s
time.

Wavering in and out of vegetarianism, Jennifer is adamantly opposed to
eating red meat or endangered fish. She is also opposed to
industrialized breeding, genetically enhanced fruits and vegetables, and
to pesticides and other artificial agents. She tries to minimize her
dairy intake, and cooks tofu as much as possible. She also buys
“organic” in the belief that it is better both for her and for the
animals raised in that way, even though the products are markedly more
expensive than those from the local grocery store. Her diet is heavy in
all the ways that Betty’s was light: with fresh vegetables and fruits in
particular. Jennifer has nothing but ice in her freezer, soymilk and
various other items her grandmother wouldn’t have recognized in the
refrigerator, and on the counter stands a vegetable juicer she feels she
“ought” to use more.

Most important of all, however, is the difference in moral attitude
separating Betty and Jennifer on the matter of food. Jennifer feels that
there is a right and wrong about these options that transcends her
exercise of choice as a consumer. She does not exactly condemn those who
believe otherwise, but she doesn’t understand why they do, either. And
she certainly thinks the world would be a better place if more people
evaluated their food choices as she does. She even proselytizes on
occasion when she can.

In short, with regard to food, Jennifer falls within Immanuel Kant’s
definition of the Categorical Imperative: She acts according to a set of
maxims that she wills at the same time to be universal law.

Betty, on the other hand, would be baffled by the idea of dragooning
such moral abstractions into the service of food. This is partly
because, as a child of her time, she was impressed — as Jennifer is not
— about what happens when food is scarce (Betty’s parents told her
often about their memories of the Great Depression; and many of the
older men of her time had vivid memories of deprivation in wartime).
Even without such personal links to food scarcity, though, it makes no
sense to Betty that people would feel as strongly as her granddaughter
does about something as simple as deciding just what goes into one’s
mouth. That is because Betty feels, as Jennifer obviously does not, that
opinions about food are simply de gustibus, a matter of individual taste
— and only that.

This clear difference in opinion leads to an intriguing juxtaposition.
Just as Betty and Jennifer have radically different approaches to food,
so do they to matters of sex. For Betty, the ground rules of her time —
which she both participates in and substantially agrees with — are
clear: Just about every exercise of sex outside marriage is subject to
social (if not always private) opprobrium. Wavering in and out of
established religion herself, Betty nevertheless clearly adheres to a
traditional Judeo-Christian sexual ethic. Thus, for example, Mr. Jones
next door “ran off” with another woman, leaving his wife and children
behind; Susie in the town nearby got pregnant and wasn’t allowed back in
school; Uncle Bill is rumored to have contracted gonorrhea; and so on.
None of these breaches of the going sexual ethic is considered by Betty
to be a good thing, let alone a celebrated thing. They are not even
considered to be neutral things. In fact, they are all considered by her
to be wrong.

Most important of all, Betty feels that sex, unlike food, is not de
gustibus. She believes to the contrary that there is a right and wrong
about these choices that transcends any individual act. She further
believes that the world would be a better place, and individual people
better off, if others believed as she does. She even proselytizes such
on occasion when given the chance.

In short, as Jennifer does with food, Betty in the matter of sex
fulfills the requirements for Kant’s Categorical Imperative.

Jennifer’s approach to sex is just about 180 degrees different. She too
disapproves of the father next door who left his wife and children for a
younger woman; she does not want to be cheated on herself, or to have
those she cares about cheated on either. These ground-zero stipulations,
aside, however, she is otherwise laissez-faire on just about every other
aspect of nonmarital sex. She believes that living together before
marriage is not only morally neutral, but actually better than not
having such a “trial run.” Pregnant unwed Susie in the next town doesn’t
elicit a thought one way or the other from her, and neither does Uncle
Bill’s gonorrhea, which is of course a trivial medical matter between
him and his doctor.

Jennifer, unlike Betty, thinks that falling in love creates its own
demands and generally trumps other considerations — unless perhaps
children are involved (and sometimes, on a case-by-case basis, then
too). A consistent thinker in this respect, she also accepts the
consequences of her libertarian convictions about sex. She is
pro-abortion, pro-gay marriage, indifferent to ethical questions about
stem cell research and other technological manipulations of nature (as
she is not, ironically, when it comes to food), and agnostic on the
question of whether any particular parental arrangements seem best for
children. She has even been known to watch pornography with her
boyfriend, at his coaxing, in part to show just how very
laissez-faire she is.

Betty thinks food is a matter of taste, whereas sex is governed by
universal moral law; and Jennifer thinks exactly the reverse.

Most important, once again, is the difference in moral attitude between
the two women on this subject of sex. Betty feels that there is a right
and wrong about sexual choices that transcends any individual act, and
Jennifer — exceptions noted — does not. It’s not that Jennifer lacks for
opinions about sex, any more than Betty does about food. It’s just that,
for the most part, they are limited to what she personally does and
doesn’t like.

Thus far, what the imaginary examples of Betty and Jennifer have
established is this: Their personal moral relationships toward food and
toward sex are just about perfectly reversed. Betty does care about
nutrition and food, but it doesn’t occur to her to extend her opinions
to a moral judgment — i.e., to believe that other people ought to do as
she does in the matter of food, and that they are wrong if they don’t.
In fact, she thinks such an extension would be wrong in a different way;
it would be impolite, needlessly judgmental, simply not done. Jennifer,
similarly, does care to some limited degree about what other people do
about sex; but it seldom occurs to her to extend her opinions to a moral
judgment. In fact, she thinks such an extension would be wrong in a
different way — because it would be impolite, needlessly judgmental,
simply not done.

On the other hand, Jennifer is genuinely certain that her opinions about
food are not only nutritionally correct, but also, in some deep,
meaningful sense, morally correct — i.e., she feels that others ought to
do something like what she does. And Betty, on the other hand, feels
exactly the same way about what she calls sexual morality.

As noted, this desire to extend their personal opinions in two different
areas to an “ought” that they think should be somehow binding — binding,
that is, to the idea that others should do the same — is the definition
of the Kantian imperative. Once again, note: Betty’s Kantian imperative
concerns sex not food, and Jennifer’s concerns food not sex. In just
over 50 years, in other words — not for everyone, of course, but for a
great many people, and for an especially large portion of sophisticated
people — the moral poles of sex and food have been reversed. Betty
thinks food is a matter of taste, whereas sex is governed by universal
moral law of some kind; and Jennifer thinks exactly the reverse.

What has happened here?

Role reversal

Betty and jennifermay be imaginary, but the decades that separate the
two women have brought related changes to the lives of many millions. In
the 50 years between their two kitchens, a similar polar transformation
has taken root and grown not only throughout America but also throughout
Western society itself. During those years, cultural artifacts and
forces in the form of articles, books, movies, and ideas aimed at
deregulating what is now quaintly called “nonmarital sex” have abounded
and prospered; while the cultural artifacts and forces aimed at
regulating or seeking to re-regulate sex outside of marriage have
largely declined. In the matter of food, on the other hand, exactly the
reverse has happened. Increasing scrutiny over the decades to the
quality of what goes into people’s mouths has been accompanied by
something almost wholly new under the sun: the rise of universalizable
moral codes based on food choices.

Begin with the more familiar face of diets and fads — the Atkins diet,
the Zone diet, the tea diet, the high-carb diet, Jenny Craig, Weight
Watchers, and all the rest of the food fixes promising us new and
improved versions of ourselves. Abundant though they and all their
relatives are, those short-term fads and diets are nevertheless merely
epiphenomena.

Digging a little deeper, the obsession with food that they reflect
resonates in many other strata of the commercial marketplace. Book
reading, for example, may indeed be on the way out, but until it goes,
cookbooks and food books remain among the most reliable moneymakers in
the industry. To scan the bestseller lists or page the major reviews in
any given month is to find that books on food and food-thought are at
least reliably represented, and sometimes even predominate — to list a
few from the past few years alone: Michael Pollan’s The Omnivore’s
Dilemma; Eric Schlosser’s Fast Food Nation; Gary Taubes’ Good Calories,
Bad Calories; Bill Buford’s Heat.

Then there are the voyeur and celebrity genres, which have made some
chefs the equivalent of rock stars and further feed the public curiosity
with books like Kitchen Confidential: Adventures in the Culinary
Underbelly or Service Included: Four-Star Secrets of an Eavesdropping
Waiter or The Devil in the Kitchen: Sex, Pain, Madness, and the Making
of a Great Chef. Anywhere you go, anywhere you look, food in one form or
another is what’s on tap. The proliferation of chains like Whole Foods,
the recent institution by Governor Arnold Schwarzenegger of
state-mandated nutritional breakdowns in restaurants in the state of
California (a move that is sure to be repeated by governors in the other
49): All these and many other developments speak to the paramount place
occupied by food and food choices in the modern consciousness. As the
New York Times Magazine noted recently, in a foreword emphasizing the
intended expansion of its (already sizeable) food coverage, such writing
is “perhaps never a more crucial part of what we do than today — a
moment when what and how we eat has emerged as a Washington issue and a
global-environmental issue as well as a kitchen-table one.”

Underneath the passing fads and short-term fixes and notices like these,
deep down where the real seismic change lies, is a series of revolutions
in how we now think about food — changes that focus not on today or
tomorrow, but on eating as a way of life.

One recent influential figure in this tradition was George Ohsawa, a
Japanese philosopher who codified what is known as macrobiotics.
Popularized in the United States by his pupil, Michio Kushi,
macrobiotics has been the object of fierce debate for several decades
now, and Kushi’s book, The Macrobiotic Path to Total Health: A Complete
Guide to Naturally Preventing and Relieving More Than 200 Chronic
Conditions and Disorders, remains one of the modern bibles on food.
Macrobiotics makes historical as well as moral claims, including the
claim that its tradition stretches back to Hippocrates and includes
Jesus and the Han dynasty among other enlightened beneficiaries. These
claims are also reflected in the macrobiotic system, which includes the
expression of gratitude (not exactly prayers) for food, serenity in the
preparation of it, and other extra-nutritional ritual. And even as the
macrobiotic discipline has proved too ascetic for many people (and
certainly for most Americans), one can see its influence at work in
other serious treatments of the food question that have trickled
outward. The current popular call to “mindful eating,” for example,
echoes the macrobiotic injunction to think of nothing but food and
gratitude while consuming, even to the point of chewing any given
mouthful at least 50 times.

Alongside macrobiotics, the past decades have also seen tremendous
growth in vegetarianism and its related offshoots, another food system
that typically makes moral as well as health claims. As a movement, and
depending on which part of the world one looks at, vegetarianism
predates macrobiotics.[1](#note1) Vegetarian histories claim for
themselves the Brahmins, Buddhists, Jainists, and Zoroastrians, as well
as certain Jewish and Christian practitioners. In the modern West, Percy
Bysshe Shelley was a prominent activist in the early nineteenth century;
and the first Vegetarian Society was founded in England in 1847.

Around the same time in the United States, a Presbyterian minister named
Sylvester Graham popularized vegetarianism in tandem with a campaign
against excess of all kinds (ironically, under the circumstances, this
health titan is remembered primarily for the Graham cracker). Various
other American religious groups have also gone in for vegetarianism,
including the Seventh Day Adventists, studies on whom make up some of
the most compelling data about the possible health benefits of a diet
devoid of animal flesh. Uniting numerous discrete movements under one
umbrella is the International Vegetarian Union, which started just a
hundred years ago, in 1908.

Despite this long history, though, it is clear that vegetarianism apart
from its role in religious movements did not really take off as a mass
movement until relatively recently. Even so, its contemporary success
has been remarkable. Pushed perhaps by the synergistic public interest
in macrobiotics and nutritional health, and nudged also by occasional
rallying books including Peter Singer’s Animal Rights and Matthew
Scully’s Dominion, vegetarianism today is one of the most successful
secular moral movements in the West; whereas macrobiotics for its part,
though less successful as a mass movement by name, has witnessed the
vindication of some of its core ideas and stands as a kind of
synergistic brother in arms.

To be sure, macrobiotics and vegetarianism/veganism have their doctrinal
differences. Macrobiotics limits animal flesh not out of moral
indignation, but for reasons of health and Eastern ideas of proper
“balancing” of the forces of yin and yang. Similarly, macrobiotics
also allows for moderate amounts of certain types of fish — as strict
vegans do not. On the other hand, macrobiotics also bans a number of
plants (among them tomatoes, potatoes, peppers, and tropical fruits),
whereas vegetarianism bans none. Nonetheless, macrobiotics and
vegetarianism have more in common than not, especially from the point of
view of anyone eating outside either of these codes. The doctrinal
differences separating one from another are about equivalent in force
today to those between, say, Presbyterians and Lutherans.

And that is exactly the point. For many people, schismatic differences
about food have taken the place of schismatic differences about faith.
Again, the curiosity is just how recent this is. Throughout history,
practically no one devoted this much time to matters of food as
ideas (as opposed to, say, time spent gathering the stuff). Still less
does it appear to have occurred to people that dietary schools could be
untethered from a larger metaphysical and moral worldview. Observant
Jews and Muslims, among others, have had strict dietary laws from their
faiths’ inception; but that is just it — their laws told believers what
to do with food when they got it, rather than inviting them to dwell on
food as a thing in itself. Like the Adventists, who speak of their
vegetarianism as being “harmony with the Creator,” or like the Catholics
with their itinerant Lenten and other obligations, these previous
dietary laws were clearly designed to enhance religion — not replace it.

Do today’s influential dietary ways of life in effect replace religion?
Consider that macrobiotics, vegetarianism, and veganism all make larger
health claims as part of their universality — but unlike yesteryear, to
repeat the point, most of them no longer do so in conjunction with
organized religion. Macrobiotics, for its part, argues (with some
evidence) that processed foods and too much animal flesh are toxic to
the human body, whereas whole grains, vegetables, and fruits are not.
The literature of vegetarianism makes a similar point, recently drawing
particular attention to new research concerning the connection between
the consumption of red meat and certain cancers. In both cases, however,
dietary laws are not intended to be handmaidens to a higher cause, but
moral causes in themselves.

Just as the food of today often attracts a level of metaphysical
attentiveness suggestive of the sex of yesterday, so does food today
seem attended by a similarly evocative — and proliferating — number of
verboten signs. The opprobrium reserved for perceived “violations” of
what one “ought” to do has migrated, in some cases fully, from one to
the other. Many people who wouldn’t be caught dead with an extra ten
pounds — or eating a hamburger, or wearing real leather — tend to be
laissez-faire in matters of sex. In fact, just observing the world as it
is, one is tempted to say that the more vehement people are about the
morality of their food choices, themore hands-off they believe the rest
of the world should be about sex. What were the circumstances the last
time you heard or used the word “guilt” — in conjunction with sin as
traditionally conceived? Or with having eaten something verboten and not
having gone to the gym?

Perhaps the most revealing example of the infusion of morality into food
codes can be found in the current European passion for what the French
call terroir — an idea that originally referred to the specific
qualities conferred by geography on certain food products (notably wine)
and that has now assumed a life of its own as a moral guide to buying
and consuming locally. That there is no such widespread, concomitant
attempt to impose a new morality on sexual pursuits in Western Europe
seems something of an understatement. But as a measure of the reach of
terroir as a moral code, consider only a sermon from Durham Cathedral in
2007. In it, the dean explained Lent as an event that “says to us,
cultivate a good terroir, a spiritual ecology that will re-focus our
passion for God, our praying, our pursuit of justice in the world, our
care for our fellow human beings.”

There stands an emblematic example of the reversal between food and sex
in our time: in which the once-universal moral code of European
Christianity is being explicated for the masses by reference to the now
apparently more-universal European moral code of consumption à la
terroir.

Moreover, this reversal between sex and food appears firmer the more
passionately one clings to either pole. Thus, for instance, though much
has lately been made of the “greening” of the evangelicals, no
vegetarian Christian group is as nationally known as, say, People for
the Ethical Treatment of Animals or any number of other vegetarian/vegan
organizations, most of which appear to be secular or anti-religious and
none of which, so far as my research shows, extend their universalizable
moral ambitions to the realm of sexuality. When Skinny Bitch — a hip
guide to veganism that recently topped the bestseller lists for months —
exhorts its readers to a life that is “clean, pure, healthy,” for
example, it is emphatically not including sex in this moral vocabulary,
and makes a point of saying so.

C.S. Lewis once compared the two desires as follows, to make the point
that something about sex had gotten incommensurate in his own time:
“There is nothing to be ashamed of in enjoying your food: there would
be everything to be ashamed of if half the world made food the main
interest of their lives and spent their time looking at pictures of food
and dribbling and smacking their lips.” He was making a point in the
genre of reductio ad absurdum.

But for the jibe to work as it once did, our shared sense of what is
absurd about it must work too — and that shared sense, in an age as
visually, morally, and aesthetically dominated by food as is our own, is
waning fast. Consider the coining of the term “gastroporn” to describe
the eerily similar styles of high-definition pornography on the one hand
and stylized shots of food on the other. Actually, the term is not even
that new. It dates back at least 30 years, to a 1977 essay by that title
in the New York Review of Books. In it author Andrew Cockburn observed
that “it cannot escape attention that there are curious parallels
between manuals on sexual techniques and manuals on the preparation of
food; the same studious emphasis on leisurely technique, the same
apostrophes to the ultimate, heavenly delights. True gastro-porn
heightens the excitement and also the sense of the unattainable by
proffering colored photographs of various completed recipes.”

With such a transfer, the polar migrations of food and sex during the
last half century would appear complete.

Respecting some hazards, ignoring others

If it is true that food is the new sex, however, where does that leave
sex? This brings us to the paradox already hinted at. As the consumption
of food not only literally but also figuratively has become
progressively more discriminate and thoughtful, at least in theory (if
rather obviously not always in practice), the consumption of sex in
various forms appears to have become the opposite for a great many
people: i.e., progressively more indiscriminate and unthinking.

Several proofs could be offered for such a claim, beginning with any
number of statistical studies. Both men and women are far less likely to
be sexually inexperienced on their weddings now (if indeed they marry)
than they were just a few decades ago. They are also more likely to be
experienced in all kinds of ways, including in the use of pornography.
Like the example of Jennifer, moreover, their general thoughts about sex
become more laissez-faire the further down the age demographic one goes.

Consider as further proof of the dumbing-down of sex the coarseness of
popular entertainment, say through a popular advice column on
left-leaning Slate magazine called “Dear Prudence” that concerns
“manners and morals.” Practically every subject line is window onto a
world of cheap, indiscriminate sex, where the only ground rule is
apparently that no sexual urge shall ever be discouraged unless it
manifestly hurts others — meaning literally. “Should I destroy the
erotic video my husband and I have made?” “My boyfriend’s kinky fetish
might doom our relationship.” “My husband wants me to abort, and I
don’t.” “How do I tell my daughter she’s the result of a sexual
assault?” “A friend confessed to a fling with my now-dead husband.” And
so on. The mindful vegetarian slogan, “you are what you eat,” has no
counterpart in the popular culture today when it comes to sex.

The third and probably most important feature of sex in our time
testifying to the ubiquity of appetites fulfilled and indulged
indiscriminately is the staggering level of consumption of Internet
pornography. As Ross Douthat recently summarized in an essay for the
Atlantic, provocatively titled “Is Pornography Adultery?”:

> Over the past three decades, the
> 
> vcr
> 
> , on-demand cable service, and the Internet have completely overhauled
> the ways in which people interact with porn. Innovation has piled on
> innovation, making modern pornography a more immediate, visceral, and
> personalized experience. Nothing in the long history of erotica
> compares with the way millions of Americans experience porn today, and
> our moral intuitions are struggling to catch up.

Statistics too, or at least preliminary ones, bear out just how
consequential this erotic novelty is becoming. Pornography is the single
most viewed subject online, by men anyway; it is increasingly a
significant factor in divorce cases; and it is resulting in any number
of cottage industries, from the fields of therapy to law to academia, as
society’s leading cultural institutions strive to measure and cope with
its impact.[2](#note2)

This junk sex shares all the defining features of junk food. It is
produced and consumed by people who do not know one another. It is
disdained by those who believe they have access to more authentic
experience or “healthier” options. Internet pornography is further
widely said — right now, in its relatively early years — to be harmless,
much as few people thought little of the ills to come through convenient
prepared food when it first appeared; and evidence is also beginning to
emerge about compulsive pornography consumption, as it did slowly but
surely in the case of compulsive packaged food consumption, that this
laissez-faire judgment is wrong.[3](#note3)

This brings us to another similarity between junk sex and junk food:
People are furtive about both, and many feel guilty about their pursuit
and indulgence of each. And those who consume large amounts of both are
also typically self-deceptive, too: i.e., they underestimate just how
much they do it and deny its ill effects on the rest of their lives. In
sum, to compare junk food to junk sex is to realize that they have
become virtually interchangeable vices — even if many people who do not
put “sex” in the category of vice will readily do so with food.

At this point, the impatient reader will interject that something else —
something understandable and anodyne — is driving the increasing
attention to food in our day: namely, the fact that we have learned much
more than humans used to know about the importance of a proper diet to
health and longevity. And this is surely a point borne out by the facts,
too. One attraction of macrobiotics, for example, is its promise to
reduce the risks of cancer. The fall in cholesterol that attends a true
vegan or vegetarian diet is another example. Manifestly, one reason that
people today are so much more discriminating about food is that decades
of recent research have taught us that diet has more potent effects than
Betty and her friends understood, and can be bad for you or good for you
in ways not enumerated before.

All that is true, but then the question is this: Why aren’t more people
doing the same with sex?

For here we come to the most fascinating turn of all. One cannot answer
the question by arguing that there is no such empirical news about
indiscriminately pursued sex and how it can be good or bad for you; to
the contrary, there is, and lots of it. After all, several decades of
empirical research — which also did not exist before — have demonstrated
that the sexual revolution, too, has had consequences, and that many of
them have redounded to the detriment of a sexually liberationist ethic.

Married, monogamous people are more likely to be happy. They live
longer. These effects are particularly evident for men. Divorced men in
particular and conversely face health risks — including heightened drug
use and alcoholism — that married men do not. Married men also work more
and save more, and married households not surprisingly trump other
households in income. Divorce, by contrast, is often a financial
catastrophe for a family, particularly the women and children in it. So
is illegitimacy typically a financial disaster.

By any number of measures, moreover, nontraditional sexual morality —
and the fallout from it — is detrimental to the well-being of one
specifically vulnerable subset: children. Children from broken homes are
at risk for all kinds of behavioral, psychological, educational, and
other problems that children from intact homes are not. Children from
fatherless homes are far more likely to end up in prison than are those
who grew up with both biological parents. Girls growing up without a
biological father are far more likely to suffer physical or sexual
abuse. Girls and boys, numerous sources also show, are adversely
affected by family breakup into adulthood, and have higher risks than
children from intact homes of repeating the pattern of breakup
themselves.

This recital touches only the periphery of the empirical record now
being assembled about the costs of laissez-faire sex to American society
— a record made all the more interesting by the fact that it could not
have been foreseen back when sexual liberationism seemed merely
synonymous with the removal of some seemingly inexplicable old stigmas.
Today, however, two generations of social science replete with studies,
surveys, and regression analyses galore stand between the Moynihan
Report and what we know now, and the overall weight of its findings is
clear. The sexual revolution — meaning the widespread extension of sex
outside of marriage and frequently outside commitment of any kind — has
had negative effects on many people, chiefly the most vulnerable; and it
has also had clear financial costs to society at large. And this is true
not only in the obvious ways, like the spread of aids and other stds,
but also in other ways affecting human well-being, beginning but not
ending with those enumerated above.

The question raised by this record is not why some people changed their
habits and ideas when faced with compelling new facts about food and
quality of life. It is rather why more people have not done the same
about sex.

The mindless shift

When friedrich nietzschewrote longingly of the “transvaluation of all
values,” he meant the hoped-for restoration of sexuality to its proper
place as a celebrated, morally neutral life force. He could not possibly
have foreseen our world: one in which sex would indeed become “morally
neutral” in the eyes of a great many people — even as food would come to
replace it as source of moral authority.[4](#note4)

Nevertheless, events have proven Nietzsche wrong about his wider hope
that men and women of the future would simply enjoy the benefits of free
sex without any attendant seismic shifts. For there may in fact be no
such thing as a destigmatization of sex simplicitur, as the events
outlined in this essay suggest. The rise of a recognizably Kantian,
morally universalizable code concerning food — beginning with the
international vegetarian movement of the last century and proceeding
with increasing moral fervor into our own times via macrobiotics,
veganism/vegetarianism, and European codes of terroir — has paralleled
exactly the waning of a universally accepted sexual code in the Western
world during these same years.

Who can doubt that the two trends are related? Unable or unwilling (or
both) to impose rules on sex at a time when it is easier to pursue it
than ever before, yet equally unwilling to dispense altogether with a
universal moral code that he would have bind society against the
problems created by exactly that pursuit, modern man (and woman) has
apparently performed his own act of transubstantiation. He has taken
longstanding morality about sex, and substituted it onto food. The
all-you-can-eat buffet is now stigmatized; the sexual smorgasbord is
not.

In the end, it is hard to avoid the conclusion that the rules being
drawn around food receive some force from the fact that people are
uncomfortable with how far the sexual revolution has gone — and not
knowing what to do about it, they turn for increasing consolation to
mining morality out of what they eat.

So what does it finally mean to have a civilization puritanical about
food, and licentious about sex? In this sense, Nietzsche’s fabled madman
came not too late, but too early — too early to have seen the empirical
library that would be amassed from the mid- twenty-first century on,
testifying to the problematic social, emotional, and even financial
nature of exactly the solution he sought.

It is a curious coda that this transvaluation should not be applauded by
the liberationist heirs of Nietzsche, even as their day in the sun seems
to have come. According to them, after all, consensual sex is simply
what comes naturally, and ought therefore to be judged value-free. But
as the contemporary history outlined in this essay goes to show, the
same can be said of overeating — and overeating is something that
today’s society is manifestly embarked on re-stigmatizing. It may be
doing so for very different reasons than the condemnations of gluttony
outlined by the likes of Gregory the Great and St. Thomas Aquinas. But
if indiscriminate sex can also have a negative impact — and not just in
the obvious sense of disease, but in the other aspects of psyche and
well-being now being written into the empirical record of the sexual
revolution — then indiscriminate sex may be judged to need reining in,
too.

So if there is a moral to this curious transvaluation, it would seem to
be that the norms society imposes on itself in pursuit of its own
self-protection do not wholly disappear, but rather mutate and move on,
sometimes in curious guises. Far-fetched though it seems at the moment,
where mindless food is today, mindless sex — in light of the growing
empirical record of its own unleashing — may yet again be tomorrow.
