---
created_at: '2015-04-18T21:18:49.000Z'
title: A Mysterious Death at the South Pole (2009)
url: http://www.mensjournal.com/magazine/print-view/a-mysterious-death-at-the-south-pole-20131125
author: curtis
points: 70
story_text: 
comment_text: 
num_comments: 12
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1429391929
_tags:
- story
- author_curtis
- story_9401090
objectID: '9401090'
year: 2009

---
During the 24 hours that Rodney Marks's life was slipping away from him,
he had plenty of time to contemplate his predicament. He knew he was
trapped, cut off from adequate medical attention, about as far from
civilization as one can get on this planet. He knew that during the
long, dark winters at the South Pole – where for eight months of the
year it's too cold to land a plane – small problems become big ones very
fast.

****

[RELATED: A Voyage to the South
Pole](https://www.mensjournal.com/uncategorized/voyage-to-the-south-pole-20131113/)

As the 32-year-old Australian astrophysicist lay on the old navy gurney
in the biomed facility of the [Amundsen-Scott
base](http://www.nsf.gov/geo/plr/support/southp.jsp), Marks may have
been thinking about the Russian doctor who had to give himself an
appendectomy during a South Pole "winterover" in 1961, or of Dr. Jerri
Nielsen, who in 1999 diagnosed and treated her own breast cancer with
supplies dropped in by parachute. But unlike them, neither Marks nor the
base's lone physician had any idea what was wrong with him. He had woken
up at 5:30 that morning vomiting blood, and the burn that had started in
the pit of his stomach was now radiating throughout his body.

It was already Marks's second visit to the makeshift hospital that day,
and he arrived scared, anxious, and wearing sunglasses to protect his
unbearably sensitive eyes. There was no one medical condition that the
base physician, Dr. Robert Thompson, could think of that would explain
what was happening to Marks. The doctor's only link to the outside world
was an Internet connection and a satellite phone, and both were down at
the time – the base's position at the bottom of the planet meant it lost
its signal for much of each day. The doctor spent hours clutching for a
diagnosis, at one point grabbing hold of alcohol withdrawal and even
anxiety as possibilities.

Thompson injected Marks with a sedative, which calmed him enough that he
decided to return to his own bed and rest for a while. He lay beside his
girlfriend, Sonja, sleepless and afraid, listening to the shifting ice
groan beneath him. Then he retched again. More blood. His breathing was
now uncontrollably fast. Pain throbbed in his joints, and he began to
panic. He made his way back to Biomed, this time stumbling through the
dimly lit tunnels, disoriented, as if in fast motion.

By the time he arrived, he was hyperventilating and combative. Thompson
gave him another injection – this time Haldol, a powerful antipsychotic
– just to regain control of him. As it took effect, Marks lay down
again, but this time he began to lose consciousness. He moaned quietly
with each exhale and squeezed Sonja's hand lightly. Then his heart
stopped.

A stationwide alarm summoned the trauma team, a few trained volunteers
whose real jobs could be anything from scientist to mechanic. Darryn
Schneider, a fellow physicist and the only other Australian at the base,
was the first to arrive. He took over for Sonja, holding the ventilator
mask over his good friend's nose and mouth, desperately pumping air into
Marks's lungs.

Then, just before six in the evening, as the trauma team scrambled to
save him and the rest of the 50-member crew were sitting down to dinner,
Marks took a deep, sighing breath into his chest – it was his last. It
was May 12, 2000, a full five months before a plane would be able to
retrieve his body.

Once it was finally flown to Christchurch, New Zealand, that October, a
startling discovery would be made, one that would set off an eight-year
investigation and a bitter tug-of-war between a New Zealand detective
and the [National Science Foundation](http://www.nsf.gov/), which
administers all U.S.-based research at the South Pole. The search for
answers as to what killed Rodney Marks would also open a window into the
highly peculiar, sometimes dysfunctional, community of people that
operates in isolation there for eight months at a time. Ultimately, the
NSF would make sweeping changes in how things are run at the South Pole
and who it sends there.

At the time of Marks's death, though, there was little reason to
anticipate such far-reaching ramifications. The rest of the crew assumed
he had suffered a heart attack or aneurysm. The NSF itself even issued a
statement within hours, saying he "apparently died of natural causes."
But there was nothing natural about the way Rodney Marks died.

Antarctica belongs to no one. Seven countries officially have
territorial claims on the continent, but the U.S. has never recognized
any of them. Supported by a 1959 treaty of cooperation, 29 countries
have set up scientific research stations there, and an ever-changing
population of up to 4,500 scientists and support staff from all corners
of the globe call it home for anywhere from four days to 14 months at a
time.

Nearly all who come to work in Antarctica will first touch down in
[McMurdo](http://www.nsf.gov/geo/plr/support/mcmurdo.jsp), the
continent's only working township. Resembling a small town in arctic
Alaska, it sits at the edge of the ice, where it meets the Southern
Ocean. Getting off the plane in Mac Town for the first time is a
startling experience. The eight-hour flight from New Zealand aboard one
of the cavernous military cargo planes leaves ears ringing and backsides
numb. After landing, sensory overload gives way to the blinding absence
of color and a Hoth-like landscape: a smoldering volcano in one
direction, the [Royal Society
range](http://en.wikipedia.org/wiki/Royal_Society_Range) and Mount
Discovery across McMurdo Sound, ice and snow everywhere.

Nearly a thousand miles from McMurdo, at 90 degrees south, just 100
yards or so from the always slightly moving geographic pole marker, sits
the Amundsen-Scott research station, the loneliest habitation on Earth.
Named for the first two explorers to reach the South Pole – separately
in 1911 and 1912 – the American base is run by the National Science
Foundation. In the mid-'50s, the intensifying Cold War goaded the United
States into establishing a presence on the continent, so the navy
announced it would build and man a permanent base at the South Pole. It
launched [Operation Deep
Freeze](http://www.history.navy.mil/ac/exploration/deepfreeze/deepfreeze1.html)
in 1955, primarily as a research endeavor. [The
Dome](http://antarcticsun.usap.gov/features/contenthandler.cfm?id=1984),
in which Marks lived, replaced the original station in 1975. It
comprises three separate two-story structures that sit beneath an
18,000-square-foot, 50-foot-high geodesic shell, which acts as a giant
windbreak, sheltering the living quarters from the deadly sting of the
elements. The buildings themselves look like red portable sheds stacked
on top of one another, each with a thick walk-in-freezer-style door.

Amundsen-Scott is populated year-round by scientists – most working for
American universities and studying the atmosphere, astronomy, or
seismology – and a support staff that includes everyone from cooks to
carpenters. Nearly 250 people are based there in the summer, but the
population shrinks to just a quarter of that for the austral winter:
February through October.

The first week of February is frenzied as the remaining summer crew
clears out and the winter crew receives its vital resupplies. The real
cold arrives in March, and the base becomes a very different place: Soon
the sun no longer makes it above the horizon, and it becomes so cold
(temperatures regularly hit minus-80) that a plane's hydraulic fluids
would freeze solid within minutes of touching down. After the last plane
leaves, there's no way in or out for eight months, and the continent
goes dark and quiet, just the way a winter Polie likes it.

Understanding what type of person would volunteer to work at the South
Pole during the winter is something that has intrigued everyone from
social scientists to NASA. The physical screening is rigorous – it's
often said that everyone handed a winter contract has perfect wisdom
teeth, and some bases won't even consider you if you have an appendix –
but psychological screening is far less straightforward. Through a
series of tests and interviews, the NSF tries to hire people with a rare
and delicate balance of good social skills and an antisocial disposition
– basically, loners with very long fuses.

Some of the first behavioral studies on the South Pole winterover were
launched after the sudden onset of schizophrenia in a construction
worker in 1957. He had to be sedated and quarantined for almost an
entire winter. Lore has it he was put in an improvised mental ward – a
specially built room padded with mattresses. Because incidents like
these can spiral out of control quickly this far from civilization,
putting entire crews at risk, NASA saw a South Pole winter deployment as
an interesting analogue to long stays in space.

"We're social animals," says Lawrence Palinkas, professor of social
policy and health at the University of Southern California and the
author of several behavioral studies on social dynamics in Antarctica on
behalf of NASA. "The separation from friends and family is stressful.
But the lack of stimulation – of new scenery, new faces – actually
causes people to have difficulty with cognitive thought. Even in
well-adjusted groups, we estimate between 3 percent and 5 percent will
experience some form of psychological problem – sleep disorders,
depression, alcohol addiction."

It's this ability, even willingness, to live in such extreme conditions
for such an extended period of time that sets winter Polies apart. They
have an odd sense of adventure and actually seem drawn to the isolation
and risk. "These are people who thrive on being the last cog," says
Harry Mahar, health and safety officer for the NSF's polar program from
1992 to 2004. The power plant technicians, for instance, "are the type
of people who, in their off year, would run DEW line sites \[for distant
early warning of missiles\] up in the Arctic or power plants in the
middle of the Pacific, and they're damn good mechanics." That's a good
thing: If the generators at the South Pole go down and can't be fixed,
the crew probably won't survive.

Rodney Marks was a typical Polie in both his proficiency and his quiet
confidence. "Brilliant" is a word colleagues often use to describe him.
His aptitude for science was obvious at an early age when he landed a
scholarship at a prestigious private school in his hometown of Geelong
on Australia's southern coast. (He spent his free time as a youth
surfing and rooting for his local Aussie rules football team.) He
discovered astronomy at the University of Melbourne, and a Ph.D. in
physics soon followed, as did a number of high-profile fellowships and
research positions with Australian and American universities. Meanwhile,
music had also become a big part of his life, and he eventually formed a
band called the Changelings, with a nod to the guitar-driven prog rock
of the early '90s. He practically lived in his green Sonic Youth
T-shirt.

In 1993, at age 24, Marks approached one of his professors looking for
an "interesting" Ph.D. project and learned of a South Pole study being
conducted in collaboration with the University of Nice. A few months
later he had become fluent in French, and a year and a half after that
he stepped out onto the ice at the South Pole for the first time, for a
two-week stint. Marks's specialty was radio astronomy, a highly accurate
method of viewing the cosmos that relies on capturing the radio waves
that objects in space transmit. Antarctic winters provide ideal
conditions for the telescopes that are used, which operate best in the
stability of a very cold atmosphere. In 1997, he reported for duty for
his first winterover in Antarctica, an experience he enjoyed so much he
signed up again just two years later.

Before the start of every winter, the NSF sponsors a staff training.
It's a typical team-building retreat, with a ropes course, trust falls,
and enthusiastic "facilitators," but it also serves as the first step in
weeding out people who might not cope in such close quarters and so far
away from home. It was at the 1999 retreat in the rocky hills above
Boulder, Colorado, that Marks first met the other people with whom he'd
be spending the 2000 winter. He was one of several returning winter
crew, and he preferred dispensing advice to newbies during smoke breaks
to sitting in a classroom talking about his hopes and fears for the
season.

Six-foot-two with long, sometimes dreadlocked hair, Marks stood out from
the other scientists physically, but also in the way he was able to
mingle effortlessly between competing personalities. He was slightly
self-conscious about his mild case of Tourette's syndrome, though it was
hardly noticeable to others – some twitching, a sharp clearing of the
sinuses from time to time.

This was the first year that the NSF handed all operational duties at
the base to [Raytheon Polar Services](http://rpsc.raytheon.com/), a
Colorado-based division of the defense contractor. For the training,
Raytheon used a company whose staff was experienced in working with
police and fire departments, specializing in high-stress group dynamics.
They were used to dealing with people who had a healthy respect for
authority; the winter Polies were different. During the two-day session,
they questioned every nuance of every exercise and flat-out refused the
trust falls, claiming they were sure their colleagues would not catch
them.

On the last day of the retreat, one of the facilitators pulled aside
Darryn Schneider, Marks's fellow Aussie physicist. "You know, you guys
are one of the most screwed-up groups of people I've ever come across,"
he told Schneider. "We work with SWAT teams, and you guys just made them
look touchy-feely and friendly. There's no way you'll ever function as a
group."

"That's exactly why we will function," Schneider shot back. He too
already had one winter on his résumé and knew that social survival at
the South Pole went against all conventional wisdom: Problems are not
swept under the rug; they are placed under it very deliberately. It's
the art of containment, rather than resolution, that gets Polies through
the eight-month-long night.

But Polies also have quite a bit of help in this department: alcohol.
With not much else to do, social life at Amundsen-Scott, particularly
during winter, revolves around drinking. Everything from beer to tequila
is brought in alongside vital scientific resupplies at the start of the
winter, and it's said that every year at least one belligerent alcoholic
emerges on base. In 1996 a worker was thrown into detox three times
before he was finally forced to live in the medical facility, isolated
from the rest of the population. The next year, there was such a booze
shortage that the staff wound up giving each other beer as Christmas
presents. In 2000 one staffer was rumored to have racked up a $10,000
bar tab. The Dome even had its own moonshine still that got inherited
from one crew to the next.

The beating heart of the base was the bar, 90 South. There, the staff
drank and danced until all hours of the night, underneath the colored
Christmas lights and disco ball. Graveyard crews would roll in at eight
in the morning, post up on the bar stools, and do shots to wind down
before going to bed. Over the years the bar had accumulated decades'
worth of oddities – stuffed penguins, neon signs, dozens of cabin-fever
escape paperbacks. It was the one place on the base where Polies could
forget where they were.

When Marks and Schneider finally arrived at the Dome in November 1999,
the start of what was supposed to be a yearlong stretch, they quickly
claimed their stools at [90
South](http://www.youtube.com/watch?v=B8OMS7vYzuE). Like most of the
others, Marks was a drinker. He was always up for a night at the bar,
and he wasn't afraid to sneak a bit of "toast juice," the high-octane
ethanol-based concoction produced by the still. Sometimes he drank just
to suppress his Tourette's.

When not in 90 South, Marks could usually be found in the attached
galley, at one of the tables near the "dish pit." Or, during special
occasions, on a small stage in the corner, playing his beat-up Gibson
guitar, belting out a cover with his South Pole band, Fanny Pack and the
Big Nancy Boys. His girlfriend, Sonja Wolter, 33 at the time, played
bass. The two fell in love during the summer-winter transition, just as
she was about to be shipped out at the end of her contract. They wanted
to stay together so badly that she quickly applied for a winter position
and was accepted just a week before the last plane out. For the start of
the winter, he had dyed his hair purple, and she had dyed hers green. A
few months later they were engaged. It was common for Polies to take an
"ice wife" just for the winter, but this was different. By all accounts
Rodney and Sonja were soul mates.

The base is normally a brutally cliquey place, and crews tend to
segregate into three separate populations – scientists, operations
(those responsible for the day-to-day running of the base), and skilled
laborers. But the winter crew of 2000 was unusually tight-knit;
migrating from one group to another didn't provoke the sort of contempt
it had in years past. Marks, in particular, had a knack for making
others feel at ease. "He had a Ph.D.," remembers Gene Davidson, a Kiwi
responsible for telescope maintenance that winter, "and yet he would
play poker, smoke cigarettes, and drink whiskey with the carpenters and
plumbers."

South Pole astronomers have the coldest commute on the planet. The
observatory where they work is a full kilometer from the main station,
in an area officially known as the Dark Sector. Like most base
astronomers, Marks would bundle up and make the round-trip on foot every
day.

He worked for the Smithsonian program called AST/RO ([Antarctic
Submillimeter Telescope and Remote
Observatory](http://www.spaceref.com/news/viewpr.html?pid=18494)) and
spent most of his time collecting data on how to further improve viewing
conditions using an enormous infrared telescope. His work was highly
regarded, and he was making profound breakthroughs in the way we view
the cosmos from Earth. On Tuesdays, he held an astronomy class for his
fellow Polies, sometimes taking everyone outside and introducing them to
a night sky he knew intimately. Colleagues described him as having a
combination of wildness, imagination, and dedicated self-discipline that
makes for great science.

It was during the walk home from the observatory one Thursday night in
May that Marks first sensed there was something wrong with him. At about
6:30 he and Sonja arrived in the galley, where he ate a light meal and
drank a can of beer. He mentioned to her that he wasn't feeling well and
that he was having trouble seeing clearly. By 9:30 he had retired to the
room they shared and fell asleep. That night in the galley was the last
time most of the winter crew would ever see Marks alive. He would spend
the next 21 hours fighting for his life.

Schneider's blog entry for friends and family back home, written the
following night, after he had spent nearly an hour trying to save his
closest friend on base, would read: "We did everything we could, but
Rodney did not come back. He had friends around him at the end. We have
no idea what happened."

While Schneider and others tried to douse the embers of the day's events
at the bar, Marks's remains were placed in a body bag and stored in a
service area known as the fuel arches, connected to the main station
through one of the tunnels. The ambient temperatures there were plenty
cold to preserve the corpse, but his friends felt he deserved a more
dignified resting place. Like the explorers that came before them, they
considered their work heroic, and Marks was one of the best South Pole
scientists they'd ever known.

The station carpenters found and milled an old stash of heavy oak for a
casket, and the machinist crafted the metal fittings. Schneider and one
of the cooks upholstered the interior with an old tablecloth, and Sonja
made a maple plaque with a brass inlay of Marks's favorite
constellation, Scorpio. Once finished, they placed his body in the
casket, then used a traditional wooden Nansen sled to haul it out to the
geographic South Pole for a quiet ceremony. It was a Sunday afternoon,
and the entire crew gathered under an ink-black sky as someone read a
statement from Marks's mother and friends said a few words. Marks was
then lowered five feet deep into the ice.

New Zealand is Antarctica's nearest neighbor. It's so close, in fact,
that when icebergs recently calved off the Ross Ice Shelf, Kiwis were
flying out in helicopters and landing on them. Christchurch, on the
South Island, is a small coastal city of about 400,000, but its
population swells slightly every spring as people from all over the
world pass through on their way to Antarctica, and then again in the
fall as they return to catch commercial flights back to their home
countries. Murder rates are low, and veteran detective Grant Wormald,
44, spends most of his time overseeing theft and fraud investigations.
As a young man, Wormald was given an opportunity to work as a station
manager in Antarctica but had to pass it up when career and family
obligations got in the way. "It was something that appealed to me," he
says. "I hear it's surreal – like going to church in a big way."

In June 2000, four months before flights in and out of Antarctica would
resume, Wormald's office received a curious fax from the local coroner:
an order to begin investigating the death of an Australian citizen
stationed at an American base in Antarctica. Marks's case was fraught
with jurisdictional ambiguity, but New Zealand law states that the
coroner is entitled to hold an inquest on the basis of a body simply
being present in the country, and Christchurch was certain to be the
first place Marks's body would land. Jurisdiction would soon become the
least confusing thing about Marks's death.

Anywhere else in the world, following the unexplained death of someone
so young and healthy, Marks's office and sleeping quarters would have
been cordoned off and preserved for investigation. And although
Raytheon, the facility management company, is reported to have requested
this, its authority was simply too remote to impress upon the
grief-stricken crew, who felt sure Marks had died of natural causes. A
few items were collected from his office and bedroom and put aside, but
anything that didn't look suspect went straight into the garbage. After
being cleaned up, both areas continued to be used just as they had been
before his death: his office by other scientists, and his room by Sonja,
who lived there for the rest of the winter.

At around midnight on October 30, the first plane off the ice landed in
Christchurch carrying Marks's casket. Also aboard were Darryn Schneider
and Sonja, who wearily made their way to a hotel where Marks's mother,
Rae, and his two sisters were waiting to meet them. The five eventually
moved across the street to Bailies, a Polie hangout where both
Shackleton and Scott once drank and where more people who had worked
with Marks showed up. The impromptu wake carried on well into the
following morning.

Along with a few others from the base, Schneider stayed in Christchurch
just long enough to talk to police, but without any autopsy results yet,
it was largely fruitless testimony. Had they known what the autopsy
would reveal, they probably would have stuck around, if not been
required to.

Six weeks later, on December 19, the forensic pathologist made a
shocking announcement: Rodney Marks had been poisoned. His blood
contained lethal traces of methanol, a highly toxic wood-alcohol-based
chemical Marks used to clean the high-tech telescopes, but in amounts
far beyond what would be expected with normal contact – about a small
wineglass's worth. It was, the pathologist believed, "virtually certain
to have been ingested."

The news was all the more tragic because of testimony that base
physician Robert Thompson had given a month earlier. He had revealed
that while Marks lay dying, his potential lifeline was sitting dormant
in a corner of the room – an Ektachem blood analyzer. Its single, tiny
lithium-ion battery had died, and therefore, the machine lost its
calibration every time it was turned off. Once turned back on, it took
up to nine hours to recalibrate. Thompson had known about the
malfunction, even reported it to Raytheon, but for some reason never
attempted to fix it and decided against simply leaving it on. It was by
no means a necessary piece of equipment in the physician's day-to-day
duties, but it was there for a reason: emergencies just like this one.

A working Ektachem machine would have recognized an abnormal anion gap
in Marks's blood, the causes for which make up a fairly short list,
including methanol poisoning. Had his condition been caught in time,
reversing the effects could have been a simple matter of running a
mixture of ethanol and saline through his body. Even if it hadn't saved
his life, it would have immediately raised the question of how methanol
could have possibly gotten into his system.

"[Murder at the South
Pole](http://english.ohmynews.com/articleview/article_view.asp?at_code=381541)"
is the kind of headline that newspapers can't resist. Shortly after the
pathology report was released, Wormald made a short, simple statement
about what he and the coroner knew so far. Like any good detective, he
wasn't prepared to rule anything out so early in the investigation,
including homicide, and the media pounced.

"Common sense told us there were only four possibilities as to how
Rodney came to ingest the methanol," Wormald explains. "One, that he
drank it willingly and knowingly with the intention of getting a high;
two, that he took it to end his life; three, that he took it
accidentally; and finally, that someone had spiked his drink, possibly
as a prank or even knowing that it would either make him very ill or
kill him."

Considering what Marks had going for him when he died – a fiancée, a
sterling reputation among his colleagues, and a bright future – suicide
was ruled out almost immediately. And for those who knew Marks, it was
equally inconceivable that one of his fellow Polies would intentionally
do him any harm. "I never noticed anyone acting differently afterward,"
says telescope mechanic Davidson. "And I can't think of anyone who would
have disliked Rodney that much or had anything against him, or even had
anything to gain by it." It was looking more and more likely that
someone had simply made a tragic mistake, but who, and how?

Wormald would eventually learn that Marks's work space was notoriously
messy; bottles of lab agents like methanol and ethanol were often strewn
about alongside a dozen or so empty bottles of alcohol. The methanol
used at the South Pole is similar to a car's windshield-wiper fluid,
while the less toxic ethanol, a common ingredient in the base's homemade
moonshine, is more like rubbing alcohol. Both are colorless and nearly
as odorless as vodka and almost indistinguishable from one another in
taste. Mistaking the two was certainly a possibility, especially by
someone under the influence of alcohol.

But it's unlikely that person would have been Marks. He certainly knew
how lethal it was and that ingesting even a small amount could be fatal.

"I've gone over it many times in my mind," says Davidson. "He was too
smart to drink it knowingly. If anything, maybe someone else didn't know
the difference between methanol and ethanol and put the wrong thing in
his drink, saying, 'Here, drink this. It'll give you a good buzz.' I
always come back to the idea he was slipped it, and maybe the person
didn't even know it." Wormald agrees: "Rodney was lucid for 36 hours
before he died. If he had known what was ailing him, he would have told
somebody."

Given the contained nature of the incident and the fact that he had a
finite list of witnesses, Wormald was feeling optimistic about his
investigation. But then he hit a brick wall with the NSF.

In 2002, Wormald made a formal request for the contact information of
the 2000 winter crew along with any other facts the NSF had gathered
during its own investigation. He got no immediate response. (Eventually,
the NSF declined, citing privacy concerns.) He requested the results of
lab tests done on what little evidence was collected in Marks's room and
work area. Nothing.

He was puzzled by the lack of cooperation but had no authority to compel
the NSF to comply. "Had there been evidence of a criminal act, things
would have been very different," he says. "The FBI would have been flown
in, maybe even the Australian police." But although Wormald hadn't ruled
out manslaughter or even homicide, he simply didn't have enough evidence
of foul play to justify classifying the case as such. Wormald's
investigation came to a near standstill as almost every request he made
was met with silence.

Even before Marks's death, the NSF was under pressure to update its
outmoded base. It knew it had issues with drinking among its Polies.
Now, with news of an inoperable Ektachem machine and the fact that a
wood-alcohol-based chemical killed Marks, it had a potential PR crisis
on its hands. The organization seemed to be in lockdown.

Over the next four years, Wormald persisted with his own investigation
as the NSF and Raytheon drip-fed him information, including the fact
that the moonshine tested negative for methanol. But little else shed
new light on the case. The NSF also never announced the results of its
own investigation, effectively absolving itself of any culpability in
the matter. The agency appeared ready to move on.

But Wormald wasn't. "I'd like to think that if my children went to work
down there and something went wrong, someone would be responsible for
finding out what happened," he says. "I know Rodney's family wants to
know why the machinery that would have diagnosed his illness wasn't
working and whether anyone will actually be held accountable – whether
anyone even gives a shit. Someone should be required to give a damn."

Finally, in 2005, the NSF agreed to forward questionnaires to the
remaining 49 members of the 2000 winter crew on Wormald's behalf. He got
just 13 back and remains convinced that the pressure of losing future
employment was simply too great for the rest of the crew. But Polies are
also notoriously transient and hard to track down. Also, they were as
eager as the NSF to put the incident behind them, accepting it as a
freak, tragic mistake. Even those closest to Marks, including his
fiancée, Sonja, decided early on that to keep chasing answers was to
degrade the memory of their friend.

In September of last year the official findings from the coroner, based
largely on Wormald's investigation, were finally released. The 50-page
report is little more than a neatly packaged catalog of theories and
speculation, concluding that "Rodney David Marks died as a result of
acute methanol poisoning, probably occurring one or two days earlier, he
being either unaware of the overdose or not understanding the possible
complications of it."

But buried in that report is a detail that has gone largely overlooked
throughout the investigation – a detail that points to what may be the
most compelling theory yet as to how Rodney Marks was poisoned.

The revelation is made in a section of testimony by Harry Mahar, South
Pole health and safety officer at the time. Mahar mentioned to
investigators "an unusual-shaped bottle of liquor" he'd heard that Marks
had brought back to base from an R\&R trip to New Zealand just before
the start of winter.

Schneider remembers the bottle too, and says it was among several empty
ones found behind Marks's computer after his death. He recalls it had an
exotic-looking black-and-white label with writing in Portuguese or a
similar language and a picture of a shrimp. He believes it was thrown
away with the other bottles.

One Polie who remembers the bottle but wishes to remain anonymous says
that as soon as he learned Marks had been poisoned, it hit him that this
bottle could have played a role. He had a theory, and he shared it at
the time with a fellow crew member and investigators, but it was roundly
dismissed as wild speculation. The Polie explained it in an e-mail to
'Men's Journal':

In certain parts of the world, he wrote, "people are aware of the
dangers of tainted alcohol from places like Southeast Asia. There are
regular warnings for travelers." He included a link to a Lonely Planet
travel forum from this June: "Deadly Brew Kills Foreigners in Bali" was
the headline. That, in turn, linked to a report of 23 people dying after
drinking a local palm liquor that had been spiked with methanol to
increase its potency.

Turns out, every year there are hundreds of similar cases, everywhere
from Southeast Asia to Africa to the Himalayas. Just last May, an almost
identical story made its way out of Everest base camp when a popular
Sherpa died after drinking methanol-tainted whiskey. The World Health
Organization reports as many as 300 deaths per year relating to the
"lack of quality controls, especially in the preparation of illicit
liquor." All of these deaths are the result of acute methanol poisoning.

Detective Wormald says the bottle was "not ruled out as a possible
source." He even asked about it on the questionnaire he sent out to crew
members – a handful of Polies acknowledged its existence in their
responses – but he says "no identification of source \[of the bottle\]
was made."

The anonymous Polie is quick to admit that even he feels that his theory
is "out there," but that it was essentially the only wild card he could
think of. He still doesn't understand why it wasn't pursued more
vigorously, even if just to rule it out. He went as far as forwarding to
investigators the names and contact information of some of Marks's
friends back home who he thought might be able to help pinpoint the
bottle's origin. "I felt like I was being accused of making stuff up,"
he explains. "I don't think they followed up with any of the individuals
I suggested. I was essentially told to forget about it."

And so he did. But if he's right about his theory, it points to a great
potential irony: that not one drop of the methanol that killed Marks
came from the gallons of it that surrounded him at Amundsen-Scott.

Had that one bottle made it off the ice in one piece and been tested, or
even if investigators were able to determine where it had come from, we
might know for sure how Rodney Marks died.

Last year Darryn Schneider flew to Antarctica for what would be his 10th
deployment. It was a straightforward four-month summer stay, but these
days, trips to the pole are bittersweet for him. The old Dome that he
called home for a cumulative two years of his life has since been
repurposed as vehicle and refuse storage. The South Pole he remembers
has all but disappeared.

January 2008 was the ceremonial opening of Amundsen-Scott's third and
latest incarnation, a striking outcrop of steel and glass, perched on
stilts 12 feet above the ice. It's three and a half times the size of
the Dome, which is now nearly buried under 34 years' worth of spindrift.
The new 65,000-square-foot facility cost $150 million to build and
required nearly a thousand cargo planes full of materials. It's an
engineering achievement: Its stilts can be jacked up as snow accumulates
below the structure, and the two units of the main building can move
independently as the ice shifts in different directions beneath their
feet. It towers above the old Dome like an enormous gravestone.

These days Schneider finds himself wandering its cavernous hallways
feeling a bit lost. Even though he has spent four seasons at the new
base, which became partially operational in 2004, he misses the "old
pole" and the old way of doing things. "One of the observatories where
Rodney and I worked was just shut down last month," he said earlier this
year, while still on base. "Rodney's death also had an influence on
getting rid of the old biomed facility, but the real turning point was
when they finally got rid of the bar. The NSF did not like the culture
of 90 South." A new bar was built, but after it became illegal to smoke
in a government building, it was converted into a TV lounge. "This was a
place that was supposed to replace the old 90 South, and now it's a
place where people do Pilates," Schneider says. There's no more
moonshine still either. The NSF hauled it out onto the open ice and made
a show of running it over with a tractor.

Schneider says things have been slowly changing for a decade now, and
old-school Polies like him are an endangered species. He was puzzled by
the introduction of a follow-up psych test, mostly dealing with
addiction and mostly handed to those who spent time in 90 South. He also
began to notice that fellow veterans were no longer being asked back in
favor of more rule-abiding new blood.

"The government just underestimates the importance of the culture,"
Schneider says. "It's strange; you would think they would keep some of
these old-timers around because of their institutional knowledge.
Tradition used to mean a lot down there."

Despite the changes, there's one tradition Schneider refuses to let die:
a living memory of his good friend Rodney Marks. After the winter crew
of 2000 buried him in the ice, they planted an Australian flag over his
grave, a temporary marker to help them find the casket again at the end
of the season. When his body was flown back to Christchurch, a flag was
all that remained at the South Pole to mark the tragedy. Schneider
decided it should stay. Since then, each time he returns to
Amundsen-Scott he removes the old, brittle, sun-baked piece of cloth and
replaces it with a new one. For nearly 10 years now, he and three of
Marks's other close friends have acted as unofficial stewards, making
sure there's always a Commonwealth Star waving at Marks's last resting
place in Antarctica.

"The NSF hates it and continually fights to get rid of it," says
Schneider. "I guess they don't want there to be a reminder of the
incident. But I want that flag there, and Rodney's family likes the fact
that that point in the ice is marked. The fact that the flag moves
farther away from the base each year, as the ice moves, is a very
graphic reminder of the passage of time since this terrible event in our
lives. At some point it might die, but the ephemeral nature of it makes
it a powerful memorial."

With or without the flag, it's doubtful anyone will ever forget the
curious death of the South Pole scientist in the winter of 2000. One
crew member's blog from 2006 says it's now lore that the fuel arches are
haunted by Marks's ghost; as recently as 2004, Schneider overheard some
Polies who never even knew Marks talking about his "murder." "People
love putting rumors out there, and South Pole stories become mythical,"
he says.

Ultimately, Rodney Marks may have simply slipped through the cracks –
disowned by the NSF for the sake of its reputation; overlooked by his
native Australia; left to rest in peace without resolution by a coroner
and a detective exhausted by an eight-year battle with the NSF; nothing
more than a stark reminder to his fellow Polies that at the South Pole,
shit happens.

Polies have a saying: "What happens on the ice stays on the ice," and,
to them, to try to help outsiders understand what life is like there is
an antithesis to why one goes there in the first place. Perhaps Rodney
Marks himself would be perfectly happy remaining one of the South Pole's
great enduring mysteries.
