---
created_at: '2011-11-12T15:38:46.000Z'
title: The myth of shareholder capitalism (2010)
url: http://hbr.org/2010/04/the-myth-of-shareholder-capitalism/ar/1
author: _delirium
points: 60
story_text: ''
comment_text: 
num_comments: 30
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1321112326
_tags:
- story
- author__delirium
- story_3227980
objectID: '3227980'
year: 2010

---
When Kraft took over Cadbury in January, the deal was viewed as a
victory of shareholder capitalism. The acquired company’s deeply English
roots were no match for the wealth shareholders could gain by selling
out to what one Cadbury family member called “a company that makes
cheese to go on hamburgers.” Cadbury chairman Roger Carr said, “The
reality is we are part of a global business.”

Did Carr have a choice? Was he truly beholden to his shareholders’
desire to take the deal? If not, how can directors act against the
wishes of shareholders to preserve value for other stakeholders—value
that is often less easily measured than a buyout price? In the wake of
the scandals that caused the recession, the management world has been
immersed in trying to answer such questions.

Oddly, no previous management research has looked at what the legal
literature says about the topic, so we conducted a systematic analysis
of a century’s worth of legal theory and precedent. It turns out that
the law provides a surprisingly clear answer: Shareholders do not own
the corporation, which is an autonomous legal person. What’s more, when
directors go against shareholder wishes—even when a loss in value is
documented—courts side with directors the vast majority of the time.
Shareholders seem to get this. They’ve tried to unseat directors through
lawsuits just 24 times in large corporations over the past 20 years;
they’ve succeeded only eight times. In short, directors are to a great
extent autonomous.

There is no legal basis for the idea of shareholder supremacy.

And yet, in an important 2007 article in the [Journal of Business
Ethics](http://www.springerlink.com/content/100281/), 31 of 34 directors
surveyed (each of whom served on an average of six Fortune 200 boards)
said they’d cut down a mature forest or release a dangerous, unregulated
toxin into the environment in order to increase profits. Whatever they
could legally do to maximize shareholder wealth, they believed it was
their duty to do.

Why are directors so convinced of their obligation that they’d make
decisions with such damaging results? If the law clearly doesn’t call
for all the kowtowing, couldn’t Cadbury’s Carr have assumed a more
defiant stance against a takeover?

The problem, we believe, is that managers and lawyers have failed to
meaningfully collaborate on defining directors’ role. That lack of
communication has led to the election of directors who, frankly, don’t
know what their legal duties are. Indeed, they’re being taught the wrong
things. The case still most often used in law schools to illustrate a
director’s obligation is [Dodge v. Ford
Motor](http://en.wikipedia.org/wiki/Dodge_v._Ford_Motor_Company)
(1919)—even though an important 2008 paper by Lynn A. Stout explains
that it’s bad law, now largely ignored by the courts. It has been cited
in only one decision by Delaware courts in the past 30 years.

Collaboration between legal and management entities should start at the
MBA and executive-education level, to change the way directors are
trained and developed. But it should also shape director selection, a
process where trustworthiness and independence from all stakeholders,
not just from managers, is critical.

The impact on directors’ decision making could be significant. The
Cadburys of the future may not end up selling out just because it looks
like a good deal for the shareholders.

A version of this article appeared in the [April
2010](/archive-toc/BR1004) issue of Harvard Business Review.
