---
created_at: '2013-08-21T05:27:42.000Z'
title: 29% of Bay Area's particulate air pollution comes from across the Pacific (2010)
url: http://pubs.acs.org/cen/news/88/i46/8846news3.html?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed:+EnvironmentalScienceTechnologyOnlineNews+ES%26T+Online+News
author: balsam
points: 74
story_text: ''
comment_text: 
num_comments: 65
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1377062862
_tags:
- story
- author_balsam
- story_6248383
objectID: '6248383'
year: 2010

---
![TRANS-PACIFIC PLUME In March 2008, a typical
](/cen/_img/88/i46/8846envsc1.jpg)

NASA/Jeff Schmaltz, MODIS Rapid Response team.

TRANS-PACIFIC PLUME

In March 2008, a typical "yellow dust" plume from the Gobi Desert blew
eastward over the Beijing region.

#### Text Size [A]()[A]()

The Clean Air Act sets air quality standards that municipalities in the
United States must meet. But some pollution travels from thousands of
miles away. Now researchers have developed a method to more precisely
identify the origins of small particulate pollutants ([Environ. Sci.
Technol., DOI:
10.1021/es101450t](http://pubs.acs.org/cgi-bin/cen/trustedproxy.cgi?redirect=http://pubs.acs.org/doi/abs/10.1021/es101450t "Pb Isotopes as an Indicator of the Asian Contribution to Particulate Air Pollution in Urban California")).
With it, they determined that 29% of the San Francisco area's
particulate pollution comes from eastern Asia.

Fine airborne particulate pollution—called PM2.5, because the particles
measure less than 2.5 µm in diameter—can cause health problems such as
asthma and lung damage, and exacerbate heart disease, according to the
Environmental Protection Agency. Combustion as well as smelting and
processing metals produces the particles. Major combustion sources
include emissions from coal-fired power plants and automobile exhaust.
These sources can leave a chemical signature of their origins in the
particles that they emit.

One such signature is the abundance of various lead isotopes. The coal
and metal ores mined in China and eastern Asia have a significantly
higher proportion of  208Pb, which forms from radioactive decay of
thorium, than do coal and ores used in America .

China generates about 70% of its electricity with coal-fired power
plants, creating large amounts of particulate pollution. Dust storms
crossing China pick up these particles and carry them across the Pacific
to the U.S.

[Stephanie
Ewing](http://landresources.montana.edu/Department/Ewing.html), then a
postdoctoral scholar in isotope geochemistry at the [University of
California, Berkeley](http://berkeley.edu/), and her colleagues wondered
whether the ratios of lead isotopes in PM2.5 could quantify how much of
the local pollution originated from Asia.

From December 2007 through May 2008, the researchers collected
particulate pollution samples from two sites in the San Francisco Bay
Area: an urban location, Chabot Observatory, as well as a coastal
location, Mt. Tamalpais, where city pollution would be limited. They
filtered out the PM2.5 from the samples and measured its lead isotope
abundances with multiple-collector inductively coupled plasma mass
spectrometry (MC-ICPMS).

At both sites, levels of 208Pb jumped at the same time between March and
May. This isotope spike coincided with the spring, when Asian dust
storms are most intense, so the researchers concluded that 208Pb
isotopes are a marker for PM2.5 from eastern Asia. When they analyzed
data from the entire six-month survey, Ewing and her team found that the
median proportion of Asian lead in the PM2.5 was 29%.

Ewing, now an assistant professor of land resources and environmental
science at [Montana State University](http://www.montana.edu/), thinks
that the isotopic identification method also may help scientists
understand the movements of pollutants throughout the atmosphere.

[Julian Marshall](http://personal.ce.umn.edu/~marshall/), an assistant
professor of environmental engineering at the [University of
Minnesota](http://www1.umn.edu/twincities/index.php), Minneapolis, says
that Ewing and her team have presented an "interesting new method and
new results." He suggests that in addition to further dissecting the
origins of PM2.5, high-resolution isotopic identification also could
help test the accuracy of global atmospheric circulation models.

  - Chemical & Engineering News  
    ISSN 0009-2347
    Copyright © 2011 American Chemical Society
