---
created_at: '2013-12-27T01:16:49.000Z'
title: The Decline and Fall of the American Empire (2010)
url: http://www.cbsnews.com/news/the-decline-and-fall-of-the-american-empire/
author: _of
points: 48
story_text: ''
comment_text: 
num_comments: 43
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1388107009
_tags:
- story
- author__of
- story_6968941
objectID: '6968941'
year: 2010

---
A soft landing for America 40 years from now?  Don't bet on it.  The
demise of the United States as the global superpower could come far more
quickly than anyone imagines.  If Washington is dreaming of 2040 or 2050
as the end of the American Century, a more realistic assessment of
domestic and global trends suggests that in 2025, just 15 years from
now, it could all be over except for the shouting.

Alfred W. McCoy is professor of history at the University of
Wisconsin-Madison. A [TomDispatch
regular](http://www.tomdispatch.com/blog/175225/alfred_mccoy_afghanista_as_a_drug_war)
, he is the author, most recently, of [Policing America's Empire: The
United States, the Philippines, and the Rise of the Surveillance
State](http://www.amazon.com/dp/0299234142/ref=nosim/?tag=tomdispatch-20)
(2009). He is also the convener of the ["Empires in
Transition"](http://history.wisc.edu/goldberg/us_empire_project.htm)
project, a global working group of 140 historians from universities on
four continents. This piece originally appeared on TomDispatch.A soft
landing for America 40 years from now? Don't bet on it. The demise of
the United States as the global superpower could come far more quickly
than anyone imagines. If Washington is dreaming of 2040 or 2050 as the
end of the American Century, a more realistic assessment of domestic and
global trends suggests that in 2025, just 15 years from now, it could
all be over except for the shouting.

Despite the aura of omnipotence most empires project, a look at their
history should remind us that they are fragile organisms. So delicate is
their ecology of power that, when things start to go truly bad, empires
regularly unravel with unholy speed: just a year for Portugal, two years
for the Soviet Union, eight years for France, 11 years for the Ottomans,
17 years for Great Britain, and, in all likelihood, 22 years for the
United States, counting from the crucial year 2003.

Future historians are likely to identify the Bush administration's rash
invasion of Iraq in that year as the start of America's downfall.
However, instead of the bloodshed that marked the end of so many past
empires, with cities burning and civilians slaughtered, this
twenty-first century imperial collapse could come relatively quietly
through the invisible tendrils of economic collapse or cyberwarfare.

But have no doubt: when Washington's global dominion finally ends, there
will be painful daily reminders of what such a loss of power means for
Americans in every walk of life. As a half-dozen European nations have
discovered, imperial decline tends to have a remarkably demoralizing
impact on a society, regularly bringing at least a generation of
economic privation. As the economy cools, political temperatures rise,
often sparking serious domestic unrest.

Available economic, educational, and military data indicate that, when
it comes to U.S. global power, negative trends will aggregate rapidly by
2020 and are likely to reach a critical mass no later than 2030. The
American Century, proclaimed so triumphantly at the start of World War
II, will be tattered and fading by 2025, its eighth decade, and could be
history by 2030.

Significantly, in 2008, the U.S. National Intelligence Council admitted
for the first time that America's global power was indeed on a declining
trajectory. In one of its [periodic futuristic
reports](http://www.tomdispatch.com/post/175113/Michael_Klare_the_great_superpower_meltdown),
Global Trends 2025, the Council
[cited](http://www.dni.gov/nic/NIC_2025_project.html) "the transfer of
global wealth and economic power **** now under way, roughly from West
to East" and "without precedent in modern history," as the primary
factor in the decline of the "United States' relative strength -- even
in the military realm." Like many in Washington, however, the Council's
analysts anticipated a very long, very soft landing for American global
preeminence, and harbored the hope that somehow the U.S. would long
"retain unique military capabilities… to project military power
globally" for decades to come.

No such luck.  Under current projections, the United States will find
itself in second place behind China (already the world's second largest
economy) in economic output around 2026, and behind India by 2050.
Similarly, Chinese innovation is on a trajectory toward world leadership
in applied science and military technology sometime between 2020 and
2030, just as America's current supply of brilliant scientists and
engineers retires, without adequate replacement by an ill-educated
younger generation.

By 2020, according to current plans, the Pentagon will throw a military
Hail Mary pass for a dying empire.  It will launch a lethal triple
canopy of advanced aerospace robotics that represents Washington's last
best hope of retaining global power despite its waning economic
influence. By that year, however, China's global network of
communications satellites, backed by the world's most powerful
supercomputers, will also be fully operational, providing Beijing with
an independent platform for the weaponization of space and a powerful
communications system for missile- or cyber-strikes into every quadrant
of the globe.

Wrapped in imperial hubris, like Whitehall or Quai d'Orsay before it,
the White House still seems to imagine that American decline will be
gradual, gentle, and partial. In his State of the Union address last
January, President Obama
[offered](http://www.whitehouse.gov/the-press-office/remarks-president-state-union-address)
the reassurance that "I do not accept second place for the United States
of America." A few days later, Vice President Biden
[ridiculed](http://www.washingtonpost.com/wp-dyn/content/article/2010/02/03/AR2010020302913.html)
the very idea that "we are destined to fulfill \[historian Paul\]
Kennedy's prophecy that we are going to be a great nation that has
failed because we lost control of our economy and overextended."
Similarly, writing in the November issue of the establishment journal
Foreign Affairs, neo-liberal foreign policy guru Joseph Nye [waved
away](http://www.foreignaffairs.com/articles/66796/joseph-s-nye-jr/the-future-of-american-power)
talk of China's economic and military rise, dismissing "misleading
metaphors of organic decline" and denying that any deterioration in U.S.
global power was underway.

Ordinary Americans, watching their jobs head overseas, have a more
realistic view than their cosseted leaders. An opinion poll in August
2010 [found](http://www.msnbc.msn.com/id/38996574/ns/politics/) that 65%
of Americans believed the country was now "in a state of decline." 
Already,
[Australia](http://www.voanews.com/english/news/Australia-China-Conduct-Live-Fire-Naval-Exercise-in-Yellow-Sea-103780194.html)
and
[Turkey](http://www.acus.org/natosource/new-questions-about-turkeys-secret-military-exercise-china),
traditional U.S. military allies, are using their American-manufactured
weapons for joint air and naval maneuvers with China. Already, America's
closest economic partners are backing away from Washington's opposition
to China's rigged currency rates. As the president flew back from his
Asian tour last month, a gloomy New York Times headline ** **[summed the
moment
up](http://edition.cnn.com/2010/OPINION/11/12/gergen.america.economy/?hpt=Sbin)
this way: "Obama's Economic View Is Rejected on World Stage, China,
Britain and Germany Challenge U.S., Trade Talks With Seoul Fail, Too."

Viewed historically, the question is not whether the United States will
lose its unchallenged global power, but just how precipitous and
wrenching the decline will be. In place of Washington's wishful
thinking, let's use the National Intelligence Council's own futuristic
methodology to suggest four realistic scenarios for how, whether with a
bang or a whimper, U.S. global power could reach its end in the 2020s
(along with four accompanying assessments of just where we are today). 
The future scenarios include: economic decline, oil shock, military
misadventure, and World War III.  While these are hardly the only
possibilities when it comes to American decline or even collapse, they
offer a window into an onrushing future.
