---
created_at: '2014-03-16T09:13:58.000Z'
title: How to Minimize Politics in Your Company (2010)
url: http://www.bhorowitz.com/how_to_minimize_politics_in_your_company
author: not_paul_graham
points: 191
story_text: ''
comment_text: 
num_comments: 46
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1394961238
_tags:
- story
- author_not_paul_graham
- story_7408725
objectID: '7408725'
year: 2010

---
“Who the f@\#k you think you f$\&kin’ with  
I’m the f%\*kin’ boss.”  
—Rick Ross, [Hustlin’](http://genius.com/Rick-ross-hustlin-lyrics)

In all my years in business, I have yet to hear someone say: “I love
corporate politics.” On the other hand, I meet plenty of people who
complain bitterly about corporate politics—sometimes even in the
companies they run. So, if nobody loves politics, why all the politics?

Political behavior almost always starts with the CEO. Now you may be
thinking: “I hate politics, I’m not political, but my organization is
very political. I clearly didn’t cause this.” Sadly, you needn’t be
political to create extreme political behavior in your organization. In
fact, it’s often the least political CEOs who run the most ferociously
political organizations. Apolitical CEOs frequently accidentally
encourage intense political behavior.

What do I mean by politics? I mean people advancing their careers or
agendas by means other than merit and contribution. There may be other
types of politics, but politics of this form seem to be the ones that
really bother people.

## 

How it happens

A CEO creates politics by encouraging and sometimes incenting political
behavior—often accidentally. For a very simple example, let’s consider
executive compensation. As CEO, senior employees will come to you from
time to time and ask for an increase in compensation. They may suggest
that you are paying them far less than their current market value. They
may even have a competitive offer in hand. Faced with this
confrontation, if the request is reasonable, you might investigate the
situation. You might even give the employee a raise. This may sound
innocent, but you have just created a strong incentive for political
behavior.

Specifically, you will be rewarding behavior that has nothing to do with
advancing your business. The employee will earn a raise by asking for
one rather than you automatically rewarding them for outstanding
performance. Why is this bad? Let me count the ways:

1\. The other ambitious members of your staff will immediately agitate
for raises as well. Note that neither this campaign nor the prior one
need be correlated with actual performance. You will now spend time
dealing with the political issues rather than actual performance issues.
Importantly, if you have a competent board, you will not be able to give
them all out-of-cycle raises, so your company executive raises will
occur on a first-come, first-serve basis.

2\. The less aggressive (but perhaps more competent) members of your
team will be denied off-cycle raises simply by being apolitical.

3\. The object lesson for your staff and the company will be the squeaky
wheel gets the grease and the political employee gets the raise. Get
ready for a whole lot of squeaky wheels.

Now let’s move on to a more complicated example. Your CFO comes to you
and says that he wants to continue developing as a manager. He says that
he would like to eventually become a COO and would like to know what
skills he must demonstrate in order to earn that position in your
company. Being a positive leader, you would like to encourage him to
pursue his dream. You tell him that you think that he’d be a fine COO
some day and that he should work to develop a few more skills. In
addition, you tell him that he’ll need to be a strong enough leader,
such that other executives in the company will want to work for him. A
week later, one of your other executives comes to you in a panic. She
says that the CFO just asked her if she’d work for him. She says that he
said that you are grooming him to be the COO and that’s his final step.
Did that just happen? Welcome to the big time.

## 

How to minimize politics

### 

Professionals vs. Amateurs

Minimizing politics often feels totally unnatural. It’s counter to
excellent management practices such as being open minded and encouraging
employee development.

The difference between managing executives and managing more junior
employees can be thought of as the difference between being in a fight
with someone with no training and being in a ring with a professional
boxer. If you are in a fight with a regular person, then you can do
natural things and they won’t get you into much trouble. For example, if
you want to take a step backwards, you can pick your front foot up
first. If you do this against a professional boxer, you will get your
block knocked off. Professional boxers train for years to take advantage
of small errors in technique. Lifting your front foot first to take a
step backwards will take you slightly off balance for a split second and
that’s all your opponent will need.

Similarly, if you manage a junior employee and they ask you about their
career development, you can say what comes naturally and generally get
away with it. As we saw above, things change when you deal with highly
ambitious, seasoned professionals. In order to keep from getting knocked
out by corporate politics, you need to refine your technique.

### 

The Technique

As I developed as a CEO, I found three key techniques to be extremely
useful in minimizing politics.

**1. Hire people with the right kind of ambition**—The cases that I
described above might involve people who are ambitious, but not
necessarily inherently political. All cases are not like this. The
surest way to turn your company into the political equivalent of the US
Senate is to hire people with the wrong kind of ambition. As defined by
Andy Grove, the right kind of ambition is ambition for the company’s
success with the executive’s own success only coming as a by-product of
the company’s victory. The wrong kind of ambition is ambition for the
executive’s personal success regardless of the company’s outcome.

**2. Build strict processes for potentially political issues and do not
deviate**—Certain activities attract political behavior. These
activities include:

–Performance evaluation and compensation

–Organizational design and territory  
   
–Promotions

Let’s examine each case and how you might build and execute a process
that insulates the company from bad behavior and politically motivated
outcomes.

Performance and compensation—Often companies defer putting performance
management and compensation processes in place. This doesn’t mean that
they don’t evaluate employees or give pay raises; it just means they do
so in an ad hoc manner that’s highly vulnerable to political
machinations. By conducting well-structured, regular performance and
compensation reviews, you will ensure that pay and stock increases are
as fair as possible. This is especially important for executive
compensation as doing so will also serve to minimize politics. In the
example above, the CEO should have had an airtight performance and
compensation policy and simply told the executive that his compensation
would be evaluated with everyone else’s. Ideally, the executive
compensation process should involve the board of directors. This will a)
help ensure good governance and b) make exceptions even more difficult.

Organizational design and territory—If you manage ambitious people, from
time to time, they will want to expand their scope of responsibility. In
the example above, the CFO wanted to become the COO. In other
situations, the head of marketing might want to run sales and marketing
or the head of engineering may want to run engineering and product
management. When someone raises an issue like this with you, you must be
very careful about what you say, because everything that you say can be
turned into political cannon fodder. Generally, it’s best to say nothing
at all. At most, you might ask “why?”, but if you do so be sure not to
react to the reasons. If you indicate what you are thinking, that
information will leak, rumors will spread and you plant the seeds for
all kinds of unproductive discussions. You should evaluate your
organizational design on a regular basis and gather the information that
you need to decide without tipping people to what you plan to do. Once
you decide, you should immediately execute the re-org: don’t leave time
for leaks and lobbying.

Promotions—Every time your company gives someone a promotion, everyone
else at that person’s level evaluates the promotion and judges whether
merit or political favors yielded the promotion. If the latter, then the
other employees generally react in one of three ways:

1.They sulk and feel undervalued.

2\. They outwardly disagree, campaign against the person, and undermine
them in their new position.

3\. They attempt to copy the political behavior that generated the
unwarranted promotion.

Clearly, you don’t want any of these behaviors in your company.
Therefore, you must have a formal, visible, defensible promotion process
that governs every employee promotion. Often this process must be
different for people on your own staff (the general process may involve
various managers who are familiar with the employee’s work, the
executive process should include the board of directors). The purpose of
the process is twofold. First, it will give the organization confidence
that the company at least attempted to base the promotion on merit and
second, the result of the process will be the information necessary for
your team to explain the promotion decisions that you made.

**3. Be careful with “he said, she said”**—Once your organization grows
to a significant size, members of your team will, from time to time,
complain about each other. Sometimes this criticism will be extremely
aggressive. Be very careful about how you listen and the message that it
sends. Simply by hearing them out without defending the employee in
question, you will send the message that you agree. If people in the
company think that you agree that one of your executives is less than
stellar, that information will spread quickly and without qualification.
As a result, people will stop listening to the executive in question and
they will soon become ineffective.

There are two distinct types of complaints that you will receive:

1\. Complaints about an executive’s behavior

2\. Complaints about an executive’s competency or performance

Generally, the best way to handle complaints of type 1 is to get the
complaining executive and the targeted executive in the room together
and have them explain themselves. Usually, simply having this meeting
will resolve the conflict and correct the behavior (if it was actually
broken). Do not attempt to address behavioral issues without both
executives in the room. Doing so will invite manipulation and politics.

Complaints of type 2 are both more rare and more complex. If one of your
executives summons the courage to complain about the competency of one
of their peers, then there is a good chance that either the complainer
or the targeted executive has a major problem. If you receive a type 2
complaint, you will generally have one of two reactions: a) they will be
telling you something that you already know or b) they’ll be telling you
shocking news.

If they are telling you something that you already know, then the big
news is that you have let the situation go too far. Whatever your
reasons for attempting to rehabilitate the wayward executive, you have
taken too long and now your organization has turned on the executive in
question. You must resolve the situation quickly. Almost always, this
means firing the executive. While I’ve seen executives improve their
performance and skill sets, I’ve never seen one lose the support of the
organization then regain it.

On the other hand, if the complaint is new news, then you must
immediately stop the conversation and make clear to the complaining
executive that you in no way agree with their assessment. You do not
want to cripple the other executive before you re-evaluate their
performance. You do not want the complaint to become a self-fulfilling
prophecy. Once you’ve shut down the conversation, you must quickly
re-assess the employee in question. If you find that they are doing an
excellent job, then you must figure out the complaining executive’s
motivations and resolve them. Do not let an accusation of this magnitude
fester. If you find that the employee is doing a poor job, there will be
time to go back and get the complaining employee’s input, but you should
be on a track to remove the poor performer at that point.

## 

Closing Thought

As CEO, you must consider the systemic incentives that result from your
words and actions. While it may feel good in the moment to be open,
responsive and action oriented, be careful not to encourage all the
wrong things.
