---
created_at: '2014-05-11T03:57:12.000Z'
title: Take It to the Limit (2010)
url: http://opinionator.blogs.nytimes.com/2010/04/04/take-it-to-the-limit
author: drjohnson
points: 89
story_text: ''
comment_text: 
num_comments: 14
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1399780632
_tags:
- story
- author_drjohnson
- story_7727710
objectID: '7727710'
year: 2010

---
![Steven
Strogatz](https://static01.nyt.com/images/blogs/opinionator/contributors/strogatz45.jpg)

[Steven
Strogatz](//opinionator.blogs.nytimes.com/category/steven-strogatz) on
math, from basic to baffling.

In middle school my friends and I enjoyed chewing on the classic
conundrums.   What happens when an irresistible force meets an immovable
object?  Easy — they both explode.  Philosophy’s trivial when you’re 13.

But one puzzle bothered us: if you keep moving halfway to the wall, will
you ever get there?  Something about this one was deeply frustrating,
the thought of getting closer and closer and yet never quite making it. 
(There’s probably a metaphor for teenage angst in there somewhere.) 
Another concern was the thinly veiled presence of infinity.  To reach
the wall you’d need to take an infinite number of steps, and by the end
they’d become infinitesimally small.  Whoa.

Questions like this have always caused headaches.  Around 500 B.C., Zeno
of Elea posed a set of paradoxes about infinity that puzzled generations
of philosophers, and that may have been partly to blame for its
banishment from mathematics for centuries to come.  In Euclidean
geometry, for example, the only constructions allowed were those that
involved a finite number of steps.  The infinite was considered too
ineffable, too unfathomable, and too hard to make logically rigorous.

But Archimedes, the greatest mathematician of antiquity, realized the
power of the infinite.  He harnessed it to solve problems that were
otherwise intractable, and in the process came close to inventing
calculus — nearly 2,000 years before Newton and Leibniz.

In the coming weeks we’ll delve into the great ideas at the heart of
calculus.  But for now I’d like to begin with the first beautiful hints
of them, visible in ancient calculations about circles and pi.  
  
Let’s recall what we mean by pi.  It’s a ratio of two distances.  One of
them is the diameter, the distance across the circle through its
center.  The other is the circumference, the distance around the
circle.   Pi is defined as their ratio, the circumference divided by the
diameter.

![circle with diameter and circumference
indicated](https://static01.nyt.com/images/2010/04/04/opinion/04strogatz1/04strogatz1-custom3.jpg)

If you’re a careful thinker, you might be worried about something
already.  How do we know that pi is the same number for all circles? 
Could it be different for big circles and little circles?  The answer is
no, but the proof isn’t trivial.  Here’s an intuitive argument.

Imagine using a photocopier to reduce an image of a circle by, say, 50
percent.  Then all distances in the picture — including the
circumference and the diameter — would shrink in proportion by 50
percent.  So when you divide the new circumference by the new diameter,
that 50 percent change would cancel out, leaving the ratio between them
unaltered.  That ratio is pi.

Of course, this doesn’t tell us how big pi is.  Simple experiments with
strings and dishes are good enough to yield a value near 3, or if you’re
more meticulous, 3 and 1/7th.  But suppose we want to find pi exactly or
at least approximate it to any desired accuracy.  What then?  This was
the problem that confounded the ancients.

Before turning to Archimedes’s brilliant solution, we should mention one
other place where pi appears in connection with circles.  The area of a
circle (the amount of space inside it) is given by the formula

![formula for area of a
circle](https://static01.nyt.com/images/2010/04/04/opinion/04strogatzfig1/04strogatzfig1-custom3.jpg)

Here A is the area, π is the Greek letter pi, and r is the radius of the
circle, defined as half the diameter.

![Circle, with area filled in, and radius marked with letter r
](https://static01.nyt.com/images/2010/04/04/opinion/04strogatz2/04strogatz2-custom2.jpg)

All of us memorized this formula in high school, but where does it come
from?  It’s not usually proven in geometry class.  If you went on to
take calculus, you probably saw a proof of it there, but is it really
necessary to use calculus to obtain something so basic?

Yes, it is.

What makes the problem difficult is that circles are round.  If they
were made of straight lines, there’d be no issue.  Finding the areas of
triangles, squares and pentagons is easy.  But curved shapes like
circles are hard.

The key to thinking mathematically about curved shapes is to pretend
they’re made up of lots of little straight pieces. That’s not really
true, but it works … as long as you take it to the limit and imagine
infinitely many pieces, each infinitesimally small.  That’s the crucial
idea behind all of calculus.

Here’s one way to use it to find the area of a circle.  Begin by
chopping the area into four equal quarters, and rearrange them like so.

![Four quarters of a circle on left, then rearranged on
right](https://static01.nyt.com/images/2010/04/04/opinion/04strogatz3/04strogatz3-custom2.jpg)

The strange scalloped shape on the bottom has the same area as the
circle, though that might seem pretty uninformative since we don’t know
its area either.  But at least we know two important facts about it. 
First, the two arcs along its bottom have a combined length of πr,
exactly half the circumference of the original circle (because the other
half of the circumference is accounted for by the two arcs on top). 
Second, the straight sides of the slices have a length of r, since each
of them was originally a radius of the circle.

Next, repeat the process, but this time with eight slices, stacked
alternately as before.

![Circle showing eight slices
](https://static01.nyt.com/images/2010/04/04/opinion/04strogatz4/04strogatz4-custom2.jpg)

The scalloped shape looks a bit less bizarre now.  The arcs on the top
and the bottom are still there, but they’re not as pronounced.  Another
improvement is the left and right sides of the scalloped shape don’t
tilt as much as they used to.  Despite these changes, the two facts
above continue to hold: the arcs on the bottom still have a net length
of πr, and each side still has a length of r.  And of course the
scalloped shape still has the same area as before — the area of the
circle we’re seeking — since it’s just a rearrangement of the circle’s
eight slices.

As we take more and more slices, something marvelous happens: the
scalloped shape approaches a rectangle.  The arcs become flatter and the
sides become almost vertical.

![Circle with many
slices](https://static01.nyt.com/images/2010/04/04/opinion/04strogatz5/04strogatz5-custom1.jpg)

In the limit of infinitely many slices, the shape is a rectangle.  Just
as before, the two facts still hold, which means this rectangle has a
bottom of width πr and a side of height
r.

![rectangle](https://static01.nyt.com/images/2010/04/04/opinion/04strogatz6/04strogatz6-custom1.jpg)

But now the problem is easy.  The area of a rectangle equals its width
times its height, so multiplying πr times r yields an area of πr2 for
the rectangle.  And since the rearranged shape always has the same area
as the circle, that’s the answer for the circle too\!

What’s so charming about this calculation is the way infinity comes to
the rescue.  At every finite stage, the scalloped shape looks weird and
unpromising.  But when you take it to the limit — when you finally “get
to the wall” — it becomes simple and beautiful, and everything becomes
clear.  That’s how calculus works at its best.

Archimedes used a similar strategy to approximate pi.  He replaced a
circle by a polygon with many straight sides, and then kept doubling the
number of sides to get closer to perfect roundness.  But rather than
settling for an approximation of uncertain accuracy, he methodically
bounded pi by sandwiching the circle between “inscribed” and
“circumscribed” polygons, as shown below for 6-, 12- and 24-sided
figures.

![Circles inscribed in
polygons](https://static01.nyt.com/images/2010/04/04/opinion/04strogatz7/04strogatz7-custom1.jpg)

Then he used the Pythagorean theorem to work out the perimeters of these
inner and outer polygons, starting with the hexagon and bootstrapping
his way up to 12, 24, 48 and ultimately 96 sides.  The results for the
96-gons enabled him to prove that

![formula for
96-gons](https://static01.nyt.com/images/2010/04/04/opinion/04strogatzFig2/04strogatzFig2-custom3.jpg)

In decimal notation (which Archimedes didn’t have), this means pi is
between 3.1408 and 3.1429.

This approach is known as the “method of exhaustion” because of the way
it traps the unknown number pi between two known numbers that squeeze it
from either side.  The bounds tighten with each doubling, thus
exhausting the wiggle room for pi.

In the limit of infinitely many sides, both the upper and lower bounds
would converge to pi.  Unfortunately, this limit isn’t as simple as the
earlier one, where the scalloped shape morphed into a rectangle.  So pi
remains as elusive as ever.  We can discover more and more of its digits
— the current record is over 2.7 trillion decimal places — but we’ll
never know it completely.

Aside from laying the groundwork for calculus, Archimedes taught us the
power of approximation and iteration.  He bootstrapped a good estimate
into a better one, using more and more straight pieces to approximate a
curved object with increasing accuracy.

More than two millennia later, this strategy matured into the modern
field of “numerical analysis.”  When engineers use computers to design
cars to be optimally streamlined, or when biophysicists simulate how a
new chemotherapy drug latches onto a cancer cell, they are using
numerical analysis.  The mathematicians and computer scientists who
pioneered this field have created highly efficient, repetitive
algorithms, running billions of times per second, that enable computers
to solve problems in every aspect of modern life, from biotech to Wall
Street to the Internet.  In each case, the strategy is to find a series
of approximations that converge to the correct answer as a limit.

And there’s no limit to where that’ll take us.

NOTES:

Thanks to Tim Novikoff and Carole Schiffman for their comments and
suggestions, and to Margaret Nelson for preparing the illustrations.

Editor’s Note: A correction was made to an earlier version of this
column, to fix a misspelling of the name of the publisher of Zeno’s
Paradox.

Need to print this post? Here is [a print-friendly PDF version of this
piece](https://static01.nyt.com/packages/pdf/opinion/opinionator/TakeItToTheLimit.pdf),
with images.
