---
created_at: '2014-08-17T10:20:40.000Z'
title: 'Drop that spoon: The truth about breakfast cereals (2010)'
url: http://www.theguardian.com/business/2010/nov/23/food-book-extract-felicity-lawrence
author: 3stripe
points: 90
story_text: ''
comment_text: 
num_comments: 100
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1408270840
_tags:
- story
- author_3stripe
- story_8189070
objectID: '8189070'
year: 2010

---
Britain is one of the world's largest consumers of puffed, flaked and
sugared breakfast cereals. How did that happen when many were said to
contain less nutrition than the boxes they come in? Felicity Lawrence
investigates

**How did it all begin?**

It was one of those things that crept up on us and we still can't quite
believe it happened. Looking back, we'd been in denial for some time.
Then a friend who hadn't seen the family for a while came round and
blurted out the bald truth. 'God, Dodi's got rather fat. In fact, you
know, I think that might count as obese.'

Once said, it had to be admitted. If you looked at Dodi from behind when
he was sitting down, you could see a substantial spare tyre around his
thirteen-year-old middle. It bulged out from his hips and flopped down
like a muffin rising up and out over its baking case. He had become
quite lazy too, preferring to lounge in front of the fire rather than
play in the garden as he used to. His excess weight was slowing him
down.

He had been hooked on a particular brand of instant meal for ages.

Guaranteed real tuna, the packaging said. Enriched with omega-3 and -6
fats\! The small print told another story. What was inside was largely
byproducts from other industrial processing: rendered poultry meal mixed
with fillers of corn gluten meal, ground rice, soya oil and dried beet
pulp.

Dodi is our cat, and we know cats do not normally eat carbohydrates such
as ground rice or sugar nor corn nor vegetables oils. Nevertheless
that's what we had been feeding him. It said on the packets that it was
'scientifically formulated' after all.

The absurdity of feeding an animal types of waste it never evolved to
eat that actually makes it fat and sick ought to be easy enough to see.
But we have not apparently been alone in our blindness – feline diabetes
has risen dramatically in the last few years in the UK.

Where the human diet is concerned a similar myopia seems to have
descended upon the British. Instead of relying on a food culture
developed over centuries, we have come to defer top the
pseudo-scientific instructions of professionals and marketeers.

**Where did it all go wrong?**

The rise of breakfast cereal makes a revealing case study in the
evolutionary process behind the modern diet. One of the earliest
convenience foods, processed cereals represents a triumph of marketing,
packaging and US economic and foreign policy. They are the epitome of
cheap commodity converted by manufacturing to higher value goods; of
agricultural surplus turned into profitable export. Their ingredients
have a disconcerting overlap with my cat food. Somehow they have wormed
into our confused consciousness as intrinsically healthy when by and
large they are degraded foods that have to have any goodness
artificially restored. I have long been intrigued by how the British
breakfast was conquered and what it tells us about the rest of our food.
For this is the elephant in the room of course: it is the industrial
processing of food that is the real problem. To understand where not we,
but rather it, all went wrong, you have to understand the economic and
political structures behind today's food system.

The transformation of the British breakfast in the last 100 years has
been complete. Unlike our European partners we have succumbed almost
entirely to the American invention. A century ago simple cereal grains,
cooked either as porridge or bread, were the staples of breakfast around
the world and in this country too, just as they had been in previous
centuries.

When the first National Food Survey was conducted on behalf of the
medical officer of the Privy Council, Sir John Simon, in 1863 it
questioned 370 families of the 'labouring poor' and found that breakfast
consisted variously of tea kettle broth (bread soaked in hot milk and
salt), bread and butter, bread and cheese, milk gruel, bread and water
and oatmeal and milk porridge. Today, instead, the British and the Irish
are the largest eaters of puffed, flaked, flavoured, shaped, sugared,
salted and extruded cereals in the world. We munch an average of 6.7kg
of the dehydrated stuff per person in the UK and 8.4kg each in Ireland.

The Mediterraneans, generally credited with a healthy diet, have so far
kept this form of instant breakfast down to an average one kilo per
person per year. The French, those cheese-eating surrender monkeys of
American opprobrium, have proved culturally resistant to transatlantic
pressure in this as in other fields. While the Eastern Europeans,
deprived of marketing until the fall of the communism and the break up
of the Soviet Union, have barely heard of processed cereals yet, being
capable of getting through the first meal of the day with no apparent
anxiety and only a few grams a year between them.

How can such a radical overhaul of a food culture come about and was
there something peculiarly susceptible about the British and the
Americans that led to it?

To find out, I went to the US, to the Mid-West states that are the
heartland of industrial corn production and to the home of the first
cornflakes, to try to understand something of the history and economics
of the cereal business.

Prepackaged and ready-to-eat breakfast cereals began with the American
temperance movement in the nineteenth century. In the 1830s, the
Reverend Sylvester Graham preached the virtues of a vegetarian diet to
his congregation and in particular the importance of wholemeal flour.
Meat-eating, he said, excited the carnal passions. Granula considered
the first ready-to-eat breakfast cereal, was developed from his 'Graham
flour' by one of his followers, James Caleb Jackson, for patients at the
latter's water cure resort. It was a baked lump of slow-cooked wheat and
water that was said to be hard as rock and had to be broken up and
soaked overnight to be edible. It was sold at ten times the cost of its
ingredients. The business motive for proselytizing by breakfast cereal
was established.

Following on from Jackson, the Seventh Day Adventists took up the
mission begun by Graham. A colony of them had set up in a small town
called Battle Creek near the American Great Lakes in Michigan. There
they established the Western Health Reform Institute in 1866 to cure hog
guzzling and to their mind degenerate Americans of their dyspepsia and
vices. John Harvey Kellogg turned it into the famous Battle Creek
Sanatarium, a curious but money-spinning mix of health spa, holiday camp
and experimental hospital. Kellogg, a sort of early cross between Billy
Graham and Gillian McKeith, set about devising cures for what he
believed were the common ills of the day, in particular constipation and
masturbation. In Kellogg's mind the two were closely linked, the common
cause being a lack of fibre, both dietary and moral.

As well as prescribing daily cold water baths, exercise drills, and
unorthodox medical interventions, creating health-giving foods for
patients was a major preoccupation. Kellogg, his wife and his younger
brother William Keith experimented in the Sanatarium kitchen to produce
an easily digested form of cereal. They came up with their own highly
profitable Granula, but were promptly sued by Jackson, the original
maker of Granula, and had to change the name to Granola. Victorian
prudery and religion may have been at the root of processed cereal
development, but parables about camels and eyes of needles did not
discourage any of these evangelicals from seeing the commercial
advantage and using the law to protect their business interests.

Around this time an entrepreneur called Henry Perky had also invented a
way of passing steamed wheat through rollers, one grooved and one
smooth, to form strands that could be pressed into biscuits to make the
first shredded wheat. JH Kellogg experimented further with his team and
eventually they found a way of rolling cooked wheat to make flakes which
could then be baked. Cornflakes followed when the Kelloggs worked out
how to use cheap American corn instead of wheat, although initially they
had problems keeping them crisp and preventing them from going rancid.
This great leap forward is of a piece with other major developments in
the industrialization of our diets: it is usually the combination of
technological advances and the right economic conditions that lead to
radical changes in what we eat.

It was a chronically dyspeptic businessman and former patient of
Kellogg's at the Sanatarium who unleashed the power of marketing on
breakfast. Charles Post set up the rival La Vita Inn in Battle Creek and
developed his own versions of precooked cereals. He distributed them
with such encouraging tracts as The Road to Wellville. 'The sunshine
that makes a business plant grow is advertizing,' he declared. He placed
ads for his cereals in papers with paid-for testimonials from apparently
genuine happy eaters. He also cheerfully invented diseases which his
products could cure. His Grape Nuts were miraculously not only 'brain
food' but could also cure consumption and malaria, and were even,
despite their enamel-cracking hardness, said to be an antidote to loose
teeth.

By 1903 Battle Creek had turned into a cereal Klondike. At one point
there were over 100 cereal factories operating in the town to satisfy
the new craze, many making fabulously exaggerated claims about the
health benefits of their products. This symbiotic relationship between
sales, health claims and the promotion of packaged breakfast cereals has
continued ever since. Nor was it a coincidence that this particular
Klondike sprang up in the American Mid-West, whose vast tracts of virgin
land had been recently opened up by settlers and turned over to the
agricultural production that powered US development.

The Kelloggs had tried unsuccessfully to protect their flaking process
with patents. When WK saw how much others were making from the new
foods, he launched his own advertizing campaign, giving away free
samples and putting ads in newspapers.

The road to nutritional corruption opened up early. The Kellogg brothers
argued over whether to make the cereals more palatable by adding sugar –
the addition was anathema to John who saw sugar as an adulterant and a
scourge, but William reckoned it was needed to stop the products tasting
like 'horse-food'. WK won.

Global expansion followed quickly. Britain saw its first cornflakes in
1924 when the company set up offices in London and used unemployed men
and boy scouts to act as a sales force for the imported cereal which was
shipped in from Canada. By 1936 UK sales topped £1 million, and
Kellogg's was ready to open its first British manufacturing plant in
Manchester in 1938.

The technology used to make industrial quantities of breakfast cereal
today is essentially the same as that developed from the kitchen
experiments of those fundamentalist healers, although new ways have been
found to add the sugar, salt and flavourings.

Cornflakes are generally made by breaking corn kernels into smaller
grits which are then steam cooked in batches of up to a tonne under
pressure of about 20lbs per square inch. The nutritious germ with its
essential fats is first removed because, as the Kellogg brothers
discovered all that time ago, it goes rancid over time and gets in the
way of long shelf life. Flavourings, vitamins to replace those lost in
processing and sugar may be added at this stage. It then takes four
hours and vast amounts of energy to drive the steam out of the cooked
grits before they can be rolled by giant rollers into flakes.

Steamed wheat biscuits such as shredded wheats are made with whole wheat
grains which are pressure cooked with water. They are then passed
between rollers which squeeze them into strands and build them up into
layers. These processes begin the breakdown of the raw starches in the
cereals so even though they are whole grains they are absorbed more
quickly in the body – and they typically have glycemic index scores of
around 75, close to the GIs in the high 70s or low 80s of cornflakes,
Bran Flakes, Special K and Rice Krispies, compared with 45/46 for
minimally-processed grains such as porridge or mueslis without sugar.
(Glucose has a GI of 100 and is what these indexes measure other foods
against. They indicate how fast different foods are converted to glucose
and absorbed into the bloodstream.)

Worries about the nutritional value of such highly processed grains
surfaced early. Post's company was one of the first to begin the heavy
duty pre-sweetening of cereals with sugar coating in the late 1940s. The
sales were enviable. The Kellogg company however held back, according to
interviews with former employees in Cerealizing America, the highly
entertaining account of cereal history by Scott Bruce and Bill Crawford.
The charitable Kellogg Foundation which had been set up by then to
promote children's health and education was a major shareholder and was
concerned that flogging sugar-coatings to the young might not be
compatible with its purpose.

Many of the health benefits claimed for breakfast cereals depended on
fortification rather than micronutrients from the raw ingredients, most
of which were either destroyed by the process or stripped away before
it. The earliest fortification was with vitamin D, the so-called
sunshine vitamin, and acted as a marketing tool. Today a new wave of
fortification is coming, and once again its principal purpose is
marketing. Inulin, a form of fibre from plants, known to the food
industry until recently as a cheap bulking agent thanks to its ability
to retain water and mimic the mouthfeel of fats, is now added as a
'prebiotic'. They have coined this word for it because it resists
digestion in the upper gastrointestinal tract and reaches the large
intestine almost intact where it is fermented by bacteria, encouraging
the production of friendly microflora, which the industry markets too,
as probiotics. The inulin, in other words, does what the fibre naturally
occurring in whole grains would do if it hadn't been stripped out by
over processing.

Companies are also looking at adding omega-3 fatty acids such as DHA.
(Where my cat food goes, breakfast cereals follow.) There are technical
difficulties with this. Since the DHA tends to come from fish, it makes
things taste fishy, and its flavour has to be masked with other
additives.

That processed cereals had become little more than sugary junk with milk
and vitamin pills added, was an accusation made as long ago as the
1970s. A US congressional hearing in 1970 was told by an adviser to
President Nixon on nutrition, Robert Choate, that the majority of
breakfast cereals 'fatten but do little to prevent malnutrition'. Choate
was outraged at the aggressive targeting of children in breakfast cereal
advertizing. He analysed sixty well-known cereal brands for nutritional
quality and concluded that two thirds of them offered 'empty calories, a
term thus far applied to alcohol and sugar'. Rats fed a diet of
ground-up cereal boxes with sugar, milk and raisins were healthier than
rats fed the cereals themselves, he testified to senators.

Battle Creek today is a small backwater in Michigan three hours drive
from Chicago. There is not much sign now of the cereal gold rush that
changed the British palate, and the flake factories working day and
night have mostly gone. But the legacy lives on. In their place
alongside Kellogg airport and the Kellogg Foundation is Kellogg's Cereal
City. Built in the shape of an old American grain store, it is a museum
testament to the power of marketing that so maddened Choate. Walking
through the collection I too was struck by how much our breakfast today
is the child of advertizing. Trading on our insecurity about health,
manipulating our emotions and selling to us through health professionals
has always been part of the great puff.

The antique cardboard boxes on show underline how from the first
breakfast cereals sold not just a meal but a way of life: Power, Vim,
Vigor, Korn Kinks and Climax cereal are among the early brand names. One
of my favourite sections of the museum was the cabinet of boxes and
pamphlets recording the original health claims that anticipate today's
persuasive messages. 'Keeps the blood cool\!' 'Makes red blood redder\!'
There were the cereals that echoed today's claims for prebiotics, 'Will
correct stomach troubles\!' or indeed the claims on my cat food, 'The
most scientific food in the world\!'

Getting children hooked, making them associate breakfast cereal with fun
and entertainment, blurring the lines between advertizing and
programmes, exploiting new media – today it is the internet and viral
marketing – was one of the main aims of competing manufacturers from the
early days, as the museum displays show, and a crucial part in
conquering the British breakfast. Kellogg's sponsored a children's
programme called 'The Singing Lady'. In 1931 the artist Vernon Grant
heard the programme and was inspired to draw the Kellogg's Rice Krispie
ad characters Snap, Crackle and Pop. His cartoon characters were used in
ad campaigns that catapulted Rice Krispie sales up into the league of
the more established cornflakes brands. Walt Disney was powerfully
influenced by Grant's work. And when the Great Depression hit America in
the 1930s following the crash of the stock market, WK Kellogg doubled
his ad spend.

In 1939 Charles Post meanwhile introduced his own characters, a trio of
bears, to sell his new Sugar Crisps. (The original three bears were of
course happy with plain porridge.) Kellogg's responded with Tony the
Tiger and Katy the Kangaroo, although Katy retired after a year. Post
also bought a licence from Disney to use his Mickey Mouse character on
his cereal boxes.

The museum records how giveaway toys were being used by then too, to
attract children's loyalty and to encourage early pester power and
repeat purchases.

Cereal advertizing likewise helped shape early television. A chance
meeting on a train in 1949 between the then chairman of Kellogg's and an
advertizing man called Leo Burnett led to a working relationship that
both transformed the cereal market and made the mould for TV ads.
Burnett used 'motivational research' to work out how to appeal to women
and children with different kinds of packaging. Subliminal marketing was
born. With his help Kellogg's broadcast the first colour TV programmes
and commercials for children. The result was that by the mid 1950s the
company had captured nearly half the rapidly expanding US processed
cereal market and was in a prime position to build its empire in Europe
using the same methods.

The UK market for those cereal boxes was worth over £1.27 billion in
2005. It too has been created and maintained by advertizing. It is
characterized by health claims, now as then. Along with other highly
processed foods such as fizzy drinks, and fast food brands, breakfast
cereals are among the most highly marketed products.

Kellogg's has consistently been the largest advertizer of its cereals in
this country, spending roughly £50 million a year in recent years, about
twice what its rival Cereal Partners spends. Cereal Partners is a joint
venture with Nestlé which markets that company's breakfast cereals in
Britain and manufactures cereals for leading supermarkets' own label
brands. The respective investments are duly reflected in the companies'
market shares. We buy what we have been persuaded to buy.

Without advertizing we might never know we needed processed cereal and
revert to porridge or bread instead. Or as Kellogg's European president
Tim Mobsby put it to MPs conducting an inquiry into obesity in 2004, 'if
we were not to have that capability \[of TV advertizing\] there is a
probability that the consumption of cereals would actually drop…that is
not necessarily a positive step forward.'

The following spring I was one of a handful of reporters flown in a
private jet by Kellogg's to its Old Trafford cornflakes factory, as part
of its campaign to protect its portfolio and its ability to market it,
particularly to children. The ostensible reason for the trip was that
Kellogg's was launching a new acquisition in the UK, Kashi, a brand of
mixed-grain puffed cereal free of all additives. But criticism of the
food industry for selling obeso-genic products high in fat, salt and
sugar had reached a crescendo in the UK and the breakfast cereal
manufacturers were the subject of unwelcome attention. Before touring
the factory, we were ushered past the giant Tony the Tiger cut-out in
the entrance lobby and up into the strategic planning department for a
presentation on nutrition policy and labelling.

Here the company nutritionist explained how Kellogg's had decided to
take a lead in promoting a new kind of labelling to help 'mum' make
'healthier choices'. Rather than the traffic light labelling the
government's food standards agency was researching, Kellogg's and other
leading food manufacturers had decided to go live with a system of
labels based on guideline daily amounts. These would avoid identifying
foods as good or bad with red, amber and green and instead give figures
for how much fat, salt and sugar a portion of the product contained as a
proportion of a guideline amount, calculated by the industry, which you
should eat a day of those nutrients. Needless to say the industry's
guideline daily amounts were more generous than official targets,
particularly on sugars. The FSA had already rejected this scheme as too
complicated to be helpful but Kellogg's told us that it had 'lent them
one of our researchers so we've been in on the consultation process and
we've been able to get the GDAs into the final FSA testing'.

In response to pressure from the FSA, the Association of Cereal Food
Manufacturers had already reduced salt by a quarter in five years, she
went on. Cornflakes were even tastier than before because you could
taste the corn more now. So why was there so much salt in the first
place, we asked. The managing director of Kellogg's Europe Tony Palmer
confessed that 'if we'd known you could take out 25 per cent of the salt
and make cornflakes taste even better, we would have done it earlier.
But it's also about the interaction with the sugar – as you take the
salt out, you've got to reduce the sugar because it starts to taste
sweeter.' But isn't the target to reduce sugar consumption too? Why not
just cut down on salt and sugar, we wondered. Well, sugar helps keep the
crispness and is part of the bulk, so that would be difficult, we were
told. Mr Palmer's eyebrows started working furiously as he answered:
'And the risk is, if you take the salt out you might be better off
eating the cardboard carton for taste,' he said.

The public relations team moved us rapidly on from this unfortunate echo
of Senator Choate's 1970s' accusation of nutritional bankruptcy to a
presentation on the Kashi Way. 'We hold the spirit of health in all we
do,' one of them explained, echoing this time the quasi-religious
marketing babble of the founding cereal makers.

Although I was aware that breakfast cereal manufacturers were among the
top marketers of processed foods in the UK, it was only when the
broadcasting regulator Ofcom tried to draw up new rules to restrict TV
advertizing to children of junk foods, that I saw quite how dependent
consumption was on us being manipulated by the manufacturers' messages.
Kellogg's led a ferocious campaign of lobbying to stop the restrictions.
As well as educating journalists with trips such as mine to the
cornflakes factory, it lobbied MPs, ministers and regulators. One of its
public relations agencies Hill and Knowlton boasted on its website how
it had managed to change government and Whitehall thinking on Kellogg's
behalf. 'A series of meetings with Number 10, the Department of Health,
the Food Standards Agency, the Health Select committee, one-to-one
briefings with key individuals and an event for parliamentarians' had
enabled them to disseminate Kellogg's messages, with the result that
'the campaign resulted in a significant shift in attitudes among core
government stakeholders,' they claimed.

The industry is adamant that its products are a healthy way to start the
day, and has recruited Professor Tom Sanders, head of the nutrition
department at King's College London, to defend 'breakfast cereals served
with semi-skimmed milk' as 'low energy meals that provide about one
fifth of the micronutrients of children'. However, a survey published by
the independent consumer watchdog Which? called 'Cereal Reoffenders'
took a rather different view. When it analysed 275 big-name breakfast
cereals from leading manufacturers on sale in UK supermarkets in 2006 it
found that 75 per cent of them had high levels of sugar, while almost a
fifth had high levels of salt, according to criteria drawn up by the
food standards agency for its traffic light nutritional labels. Nearly
90 per cent of those targeted at children were high in sugar, 13 per
cent were high in salt, and 10 per cent were high in saturated fat.
Several cereals making claims to be good for you got a red light too.
All Bran was high in salt; Special K got a red for sugar and salt. Some
high fibre bran cereals were giving you more salt per serving than a bag
of crisps. (Some of these may have since been reformulated.)

It was when I saw details of the proposals from Ofcom on restricting
marketing of junk foods to children that I understood why the lobbying
had been so determined. What became clear was that breakfast cereals,
although heavily marketed as healthy, would be the category to take the
largest hit by a long way. About £70 million of TV ads a year from
cereal manufacturers would be banned because they were promoting what
the experts defined as unhealthy. The sector spent a total of £84
million on ads that year. In other words, the vast majority of its
marketing effort would be wiped out. It had everything to lose. Because,
as the House of Commons had been told, without marketing to manipulate
our desires, we might not eat processed cereals at all.

Back at the Battle Creek Museum you can see how Kellogg's would view
that. Before exiting the exhibition into the shop, I passed a section on
'global expansion'. 'The company has rededicated itself to reaching 1.5
billion new cereal customers around the world in the next decade…and
bringing about a fundamental change in eating habits.' As well as
advertizing in new markets, it has been sponsoring school nutrition
programmes and health symposia for professionals. This activity is part
of a 'massive program of nutrition education directed at improving the
world's eating habits with accelerated expansion into countries where
ready-to-eat cereal is unknown', it proclaimed.

Improving the world's eating habits has the attraction, as the
nineteenth-century American entrepreneurs discovered, of being what
economic analysts call a 'high margin to cost business'. The raw
materials of breakfast cereals, commodity grains, are cheap (or at least
were cheap until biofuels recently entered the equation). US
agricultural subsidies totalled $165 billion in the eleven years 1995 to
2005. Just five crops accounted for 90 per cent of the money – corn,
rice, wheat, soya beans and cotton. That handful of ingredients I keep
finding in everything. If you want to understand why all these
commodities, cotton aside, make it not only in to the cat food but in to
most other processed foods you eat, this is where you have to start.

One of the biggest costs is not the value of the ingredients, nor the
cost of production, but the marketing, which as you might expect from
all the activity described above, is typically 20 to 25 per cent of the
sales value, according to analysts JP Morgan. About a quarter of your
money is going not on the food but on the manufacturer's cost of
persuading you to buy it. That still leaves room for gross margins on
processed cereals that are 40 to 45 per cent, with profit margins around
the very healthy 17 per cent mark.

Start selling this kind of processed diet to new consumers in the
booming economies of China and India and your profits, and those of the
country that has dominated grain exports and trading, the US, will soar.
This is what the food industry calls adding value. The added value is
not nutritional value of course; quite the opposite. The added value is
shareholder value, and as a very rough rule of thumb I reckon on
nutritional value being stripped away in inverse proportion to the
shareholder value added.

• Extracted from Eat Your Heart Out: Why the food business is bad for
the planet and your health by Felicity Lawrence, published by Penguin.
Buy both Felicity Lawrence's books, Eat Your Heart Out (RRP £8.99) and
Not on the Label (£9.99) for only £13 (save £5.98) or buy them
individually for £7 each. Visit guardianbookshop.co.uk or call 0330 333
6846
