---
created_at: '2014-09-29T19:27:32.000Z'
title: A world without mosquitoes (2010)
url: http://www.nature.com/news/2010/100721/full/466432a.html
author: denzil_correa
points: 92
story_text: ''
comment_text: 
num_comments: 60
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1412018852
_tags:
- story
- author_denzil_correa
- story_8384709
objectID: '8384709'
year: 2010

---
Published online 21 July 2010 | Nature 466, 432-434 (2010) |
doi:10.1038/466432a

News Feature

Eradicating any organism would have serious consequences for ecosystems
— wouldn't it? Not when it comes to mosquitoes, finds Janet Fang.

Every day, Jittawadee Murphy unlocks a hot, padlocked room at the Walter
Reed Army Institute of Research in Silver Spring, Maryland, to a swarm
of malaria-carrying mosquitoes (Anopheles stephensi). She gives millions
of larvae a diet of ground-up fish food, and offers the gravid females
blood to suck from the bellies of unconscious mice — they drain 24 of
the rodents a month. Murphy has been studying mosquitoes for 20 years,
working on ways to limit the spread of the parasites they carry. Still,
she says, she would rather they were wiped off the Earth.

That sentiment is widely shared. Malaria infects some 247 million people
worldwide each year, and kills nearly one million. Mosquitoes cause a
huge further medical and financial burden by spreading yellow fever,
dengue fever, Japanese encephalitis, Rift Valley fever, Chikungunya
virus and West Nile virus. Then there's the pest factor: they form
swarms thick enough to asphyxiate caribou in Alaska and now, as their
numbers reach a seasonal peak, their proboscises are plunged into human
flesh across the Northern Hemisphere.

So what would happen if there were none? Would anyone or anything miss
them? Nature put this question to scientists who explore aspects of
mosquito biology and ecology, and unearthed some surprising answers.

There are 3,500 named species of mosquito, of which only a couple of
hundred bite or bother humans. They live on almost every continent and
habitat, and serve important functions in numerous ecosystems.
"Mosquitoes have been on Earth for more than 100 million years," says
Murphy, "and they have co-evolved with so many species along the way."
Wiping out a species of mosquito could leave a predator without prey, or
a plant without a pollinator. And exploring a world without mosquitoes
is more than an exercise in imagination: [intense efforts are under
way](http://www.nature.com/news/malaria-control-the-great-mosquito-hunt-1.15524)
to develop methods that might rid the world of the most pernicious,
disease-carrying species (see ['War against the
winged'](/news/2010/100721/full/466432a/box/1.html)).

Yet in many cases, scientists acknowledge that the ecological scar left
by a missing mosquito would heal quickly as the niche was filled by
other organisms. Life would continue as before — or even better. When it
comes to the major disease vectors, "it's difficult to see what the
downside would be to removal, except for collateral damage", says insect
ecologist Steven Juliano, of Illinois State University in Normal. A
world without mosquitoes would be "more secure for us", says medical
entomologist Carlos Brisola Marcondes from the Federal University of
Santa Catarina in Brazil. "The elimination of Anopheles would be very
significant for mankind."

## Arctic pests

Elimination of mosquitoes might make the biggest ecological difference
in the Arctic tundra, home to mosquito species including Aedes impiger
and Aedes nigripes. Eggs laid by the insects hatch the next year after
the snow melts, and development to adults takes only 3–4 weeks. From
northern Canada to Russia, there is a brief period in which they are
extraordinarily abundant, in some areas forming thick clouds. "That's an
exceptionally rare situation worldwide," says entomologist Daniel
Strickman, programme leader for medical and urban entomology at the US
Department of Agriculture in Beltsville, Maryland. "There is no other
place in the world where they are that much biomass."

> “If there was a benefit to having them around, we would have found a
> way to exploit them. We haven't wanted anything from mosquitoes except
> for them to go away.”

  

Views differ on what would happen if that biomass vanished. Bruce
Harrison, an entomologist at the North Carolina Department of
Environment and Natural Resources in Winston-Salem estimates that the
number of migratory birds that nest in the tundra could drop by more
than 50% without mosquitoes to eat. Other researchers disagree. Cathy
Curby, a wildlife biologist at the US Fish and Wildlife Service in
Fairbanks, Alaska, says that Arctic mosquitoes don't show up in bird
stomach samples in high numbers, and that midges are a more important
source of food. "We (as humans) may overestimate the number of
mosquitoes in the Arctic because they are selectively attracted to us,"
she says.

Mosquitoes consume up to 300 millilitres of blood a day from each animal
in a caribou herd, which are thought to select paths facing into the
wind to escape the swarm. A small change in path can have major
consequences in an Arctic valley through which thousands of caribou
migrate, trampling the ground, eating lichens, transporting nutrients,
feeding wolves, and generally altering the ecology. Taken all together,
then, mosquitoes would be missed in the Arctic — but is the same true
elsewhere?

## Food on the wing

"Mosquitoes are delectable things to eat and they're easy to catch,"
says aquatic entomologist Richard Merritt, at Michigan State University
in East Lansing. In the absence of their larvae, hundreds of species of
fish would have to change their diet to survive. "This may sound simple,
but traits such as feeding behaviour are deeply imprinted, genetically,
in those fish," says Harrison. The mosquitofish (Gambusia affinis), for
example, is a specialized predator — so effective at killing mosquitoes
that it is stocked in rice fields and swimming pools as pest control —
that could go extinct. And the loss of these or other fish could have
major effects up and down the food chain.

Many species of insect, spider, salamander, lizard and frog would also
lose a primary food source. In one study published last month,
researchers tracked insect-eating house martins at a park in Camargue,
France, after the area was sprayed with a microbial mosquito-control
agent[1](#B1). They found that the birds produced on average two chicks
per nest after spraying, compared with three for birds at control sites.

Most mosquito-eating birds would probably switch to other insects that,
post-mosquitoes, might emerge in large numbers to take their place.
Other insectivores might not miss them at all: bats feed mostly on
moths, and less than 2% of their gut content is mosquitoes. "If you're
expending energy," says medical entomologist Janet McAllister of the
Centers for Disease Control and Prevention in Fort Collins, Colorado,
"are you going to eat the 22-ounce filet-mignon moth or the 6-ounce
hamburger mosquito?"

With many options on the menu, it seems that most insect-eaters would
not go hungry in a mosquito-free world. There is not enough evidence of
ecosystem disruption here to give the eradicators pause for thought.

## At your service

As larvae, mosquitoes make up substantial biomass in aquatic ecosystems
globally. They abound in bodies of water ranging from ephemeral ponds to
tree holes[2](#B2) to old tyres, and the density of larvae on flooded
plains can be so high that their writhing sends out ripples across the
surface. They feed on decaying leaves, organic detritus and
microorganisms. The question is whether, without mosquitoes, other
filter feeders would step in. "Lots of organisms process detritus.
Mosquitoes aren't the only ones involved or the most important," says
Juliano. "If you pop one rivet out of an airplane's wing, it's unlikely
that the plane will cease to fly."

![Mosquito larvae form a substantial part of the biomass in water pools
worldwide.](/news/2010/100721/images/_tmp_articling-import-20100721084308398938_466432a-i3.0.jpg)

Mosquito larvae form a substantial part of the biomass in water pools
worldwide.

M. & P. FOGDEN/MINDEN PICTURES/FLPA

The effects might depend on the body of water in question. Mosquito
larvae are important members of the tight-knit communities in the
25–100-millilitre pools inside pitcher plants[3](#B3),[4](#B4)
(Sarracenia purpurea) on the east coast of North America. Species of
mosquito (Wyeomyia smithii) and midge (Metriocnemus knabi) are the only
insects that live there, along with microorganisms such as rotifers,
bacteria and protozoa. When other insects drown in the water, the midges
chew up their carcasses and the mosquito larvae feed on the waste
products, making nutrients such as nitrogen available for the plant. In
this case, eliminating mosquitoes might affect plant growth.

In 1974, ecologist John Addicott, now at the University of Calgary in
Alberta, Canada, published findings on the predator and prey structure
within pitcher plants, noting more protozoan diversity in the presence
of mosquito larvae[5](#B5). He proposed that as the larvae feed, they
keep down the numbers of the dominant species of protozoa, letting
others persist. The broader consequences for the plant are not known.

A stronger argument for keeping mosquitoes might be found if they
provide 'ecosystem services' — the benefits that humans derive from
nature. Evolutionary ecologist Dina Fonseca at Rutgers University in New
Brunswick, New Jersey, points as a comparison to the biting midges of
the family Ceratopogonidae, sometimes known as no-see-ums. "People being
bitten by no-see-ums or being infected through them with viruses,
protozoa and filarial worms would love to eradicate them," she says. But
because some ceratopogonids are pollinators of tropical crops such as
cacao, "that would result in a world without chocolate".

Without mosquitoes, thousands of plant species would lose a group of
pollinators. Adults depend on nectar for energy (only females of some
species need a meal of blood to get the proteins necessary to lay eggs).
Yet McAllister says that their pollination isn't crucial for crops on
which humans depend. "If there was a benefit to having them around, we
would have found a way to exploit them," she says. "We haven't wanted
anything from mosquitoes except for them to go away."

Ultimately, there seem to be few things that mosquitoes do that other
organisms can't do just as well — except perhaps for one. They are
lethally efficient at sucking blood from one individual and mainlining
it into another, providing an ideal route for the spread of pathogenic
microbes.

"The ecological effect of eliminating harmful mosquitoes is that you
have more people. That's the consequence," says Strickman. Many lives
would be saved; many more would no longer be sapped by disease.
Countries freed of their high malaria burden, for example in sub-Saharan
Africa, might recover the 1.3% of growth in gross domestic product that
the World Health Organization estimates they are cost by the disease
each year, potentially accelerating their development. There would be
"less burden on the health system and hospitals, redirection of
public-health expenditure for vector-borne diseases control to other
priority health issues, less absenteeism from schools", says Jeffrey
Hii, malaria scientist for the World Health Organization in Manila.

Phil Lounibos, an ecologist at the Florida Medical Entomology Laboratory
in Vero Beach says that "eliminating mosquitoes would temporarily
relieve human suffering". His work suggests that efforts to eradicate
one vector species would be futile, as its niche would quickly be filled
by another. His team collected female yellow-fever mosquitoes (Aedes
aegypti) from scrap yards in Florida, and found that some had been
inseminated by Asian tiger mosquitoes (Aedes albopictus), which carry
multiple human diseases. The insemination sterilizes the female
yellow-fever mosquitoes — showing how one insect can overtake
another.

ADVERTISEMENT

[![Advertisement](http://ad.doubleclick.net/ad/news@nature.com/;abr=!NN2;tile=1;ord=123456789?)](http://ad.doubleclick.net/jump/news@nature.com/;abr=!NN2;artid=article-one;pos=left;sz=300x250;ptile=2;ord=123456789?)

Given the huge humanitarian and economic consequences of mosquito-spread
disease, few scientists would suggest that the costs of an increased
human population would outweigh the benefits of a healthier one. And the
'collateral damage' felt elsewhere in ecosystems doesn't buy much
sympathy either. The romantic notion of every creature having a vital
place in nature may not be enough to plead the mosquito's case. It is
the limitations of mosquito-killing methods, not the limitations of
intent, that make a world without mosquitoes unlikely.

And so, while humans inadvertently drive beneficial species, from tuna
to corals, to the edge of extinction, their best efforts can't seriously
threaten an insect with few redeeming features. "They don't occupy an
unassailable niche in the environment," says entomologist Joe Conlon, of
the American Mosquito Control Association in Jacksonville, Florida. "If
we eradicated them tomorrow, the ecosystems where they are active will
hiccup and then get on with life. Something better or worse would take
over." 

Janet Fang is an intern in Nature's Washington DC office.

  - ## References
    
    1.  Poulin, B., Lefebvre, G. & Paz, L.
        
        J. Appl. Ecol.
        
        47
        
        , 884-889
        (
        
        2010
        
        ). | [Article](http://dx.doi.org/10.1111/j.1365-2664.2010.01821.x)
    
    2.  Daugherty, M. P. & Juliano, S. A.
        
        Am. Midl. Nat.
        
        150
        
        , 181-184
        (
        
        2003
        
        ). | [Article](http://dx.doi.org/10.1674/0003-0031\(2003\)150%5B0181:LSBFAA%5D2.0.CO;2)
    
    3.  Daugherty, M. P., Alto, B. W. & Juliano, S. A.
        
        J. Med. Entomol.
        
        37
        
        , 364-372
        (
        
        2000
        
        ). | [Article](http://dx.doi.org/10.1603/0022-2585\(2000\)037%5B0364:ICAARF%5D2.0.CO;2) | [PubMed](http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?holding=npg&amp;cmd=Retrieve&amp;db=PubMed&amp;list_uids=15535579&amp;dopt=Abstract "Article on PubMed - ") | [ChemPort](http://chemport.cas.org/cgi-bin/sdcgi?APP=ftslink&action=reflink&origin=npg&version=1.0&coi=1:STN:280:DC%2BD2crmtlOnsQ%3D%3D&pissn=1744-7933&pyear=2010&md5=dbe5fa4a45e3ce853ad1e67d500d4dd4 "Article on ChemPort - ") |
    
    4.  Heard, S. B.
        
        Ecology
        
        75
        
        , 1647-1660 (
        
        1994
        
        ). | [Article](http://dx.doi.org/10.2307/1939625)
    
    5.  Addicott, J. F.
        
        Ecology
        
        55
        
        , 475-492 (
        
        1974
        
        ). | [Article](http://dx.doi.org/10.2307/1935141)
    
    6.  Pridgeon, J. W., Zhao, L., Becnel, J. J., Strickman, D. A.,
        Clark, G. G. & Linthicum, K. J.
        
        J. Med. Entomol.
        
        45
        
        , 414-420
        (
        
        2008
        
        ). | [Article](http://dx.doi.org/10.1603/0022-2585\(2008\)45%5B414:TAADRK%5D2.0.CO;2) | [PubMed](http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?holding=npg&amp;cmd=Retrieve&amp;db=PubMed&amp;list_uids=18533434&amp;dopt=Abstract "Article on PubMed - ") | [ChemPort](http://chemport.cas.org/cgi-bin/sdcgi?APP=ftslink&action=reflink&origin=npg&version=1.0&coi=1:CAS:528:DC%2BD1cXntFCktb4%3D&pissn=1744-7933&pyear=2010&md5=0cdaa8819995716cf7055ee64919ded7 "Article on ChemPort - ") |
