---
created_at: '2015-01-15T05:13:47.000Z'
title: Why we prefer founding CEOs (2010)
url: http://www.bhorowitz.com/why_we_prefer_founding_ceos
author: dsaw
points: 99
story_text: ''
comment_text: 
num_comments: 19
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1421298827
_tags:
- story
- author_dsaw
- story_8891009
objectID: '8891009'
year: 2010

---
> “You’re just a rent-a-rapper, your rhymes are minute-maid  
> I’ll be here when it fade to watch you flip like a renegade”  
> —Rakim, [Follow the
> Leader](http://genius.com/Rakim-follow-the-leader-lyrics)

When my partner Marc wrote his [post describing our
firm](http://blog.pmarca.com/2009/07/introducing-our-new-venture-capital-firm-andreessen-horowitz.html),
the most controversial component of our investment strategy was our
preference for founding CEOs. The conventional wisdom says a startup CEO
should make way for a professional CEO once the company has achieved
product-market fit. In this post, I describe why we prefer to fund
companies whose founder will run the company as its
CEO.

## The macro reason: that’s the way most of the great technology companies have been built

At Andreessen Horowitz, our primary goal is to invest in the great
technology franchises. As we looked at the history of great technology
companies, we discovered that founders ran an overwhelming majority of
them for a very long time, including:

  - Acer—Stan Shih
  - Adobe—John Warnock
  - Amazon – Jeff Bezos
  - AMD—Jerry Sanders III
  - Apple – Steve Jobs
  - DEC—Ken Olsen
  - Dell—Michael Dell
  - EA—Trip Hawkins
  - EDS —Ross Perot
  - Hewlett-Packard—Dave Packard
  - IBM—Thomas Watson, Sr. (\*)
  - Intel—Andy Grove (\*)
  - Intuit—Scott Cook
  - Microsoft —Bill Gates
  - Motorola—Paul Galvin
  - nVidia—Jen-Hsun Huang
  - Oracle—Larry Ellison
  - Peoplesoft—Dave Duffield
  - Salesforce.com—Marc Benioff
  - Seagate—Al Shugart
  - Siebel—Tom Siebel
  - Sony—Akio Morita
  - Sun—Scott McNeely
  - VMware—Diane Greene

(\*) While not technically cofounders, Andy Grove and Thomas Watson, Sr.
were the driving force behind Intel and IBM, respectively.  Andy Grove
was Intel’s third employee (after the two cofounders Robert Noyce and
Gordon E. Moore).  Thomas Watson, Sr. joined as a General Manager of the
Computing Tabulating Recording Company, but renamed the company
International Business Machines and turned it into the IBM we recognize
today.

In addition, founders run today’s most promising new companies such as
Zynga (Mark Pincus), Facebook (Mark Zuckerberg), Twitter (Ev Williams),
Workday (Dave Duffield and Aneel Bhusri) and Fusion-io (David Flynn).

Two more quick data points before I move on to explain why this happens.

First, the University of Pennsylvania’s Wharton School of Business just
published an [analysis of recent exits for high technology
companies](http://opim.wharton.upenn.edu/enabletech/2010/04/28/ugc-founding-vs-professional-ceo-performance-analysis/)
such as BlackBoard, BladeLogic, Concur, Danger, Liveperson, LogMeIn, and
Netsuite. Looking across these nearly 50 companies, the study finds that
founding CEOs consistently beat the professional CEOs on a broad range
of metrics ranging from capital efficiency (amount of funding raised),
time to exit, exit valuations, and return on investment.

Second, for folks keeping score at home, this phenomenon appears to
extend beyond high-technology companies. Felix Salmon, for
instance,[points out that Fortune’s editorial staff considered twelve
other
candidates](http://blogs.reuters.com/felix-salmon/2009/11/05/ceos-founders-beat-out-managers/)
including Warren Buffett, Carlos Slim, and Martha Stewart before naming
Steve Jobs [the best CEO of the
decade](http://www.tuaw.com/2009/11/05/forbes-names-jobs-ceo-of-the-decade/)
in November 2009. Salmon points out that “not a single one of the 12
\[candidates\] is a CEO who was hired to run a company by its board of
directors.”

There are certainly exceptions to this rule, most notably Google and
Cisco (I will address both exceptions later in this post), but the
evidence is one-sided and overwhelming.

## The underlying reasons

From a pattern matching perspective, it makes sense that we’d prefer
founding CEOs, but as I said in an earlier post, pattern matching is not
knowledge. So, why are great technology companies so often run by their
founders? And why do professional CEOs sometimes succeed?

### The innovation business

The technology business is fundamentally the innovation business.
Etymologically, the word technology means “a better way of doing
things.” As a result, innovation is the core competency for technology
companies. Technology companies are born because they create a better
way of doing things. Eventually, someone else will come up with a better
way. Therefore, if a technology company ceases to innovate, it will die.

These innovations are product cycles. Professional CEOs are effective at
**maximizing, but not finding,** **product cycles**. Conversely,
founding CEOs are excellent at **finding, but not maximizing,**
**product cycles**. Our experience shows—and the data supports—that
teaching a founding CEO how to maximize the product cycle is easier than
teaching the professional CEO how to find the new product cycle.

The reason is that innovation is the most difficult core competency to
build in any business. Innovation is almost insane by definition: most
people view any truly innovative idea as stupid, because if it was a
good idea, somebody would have already done it. So, the innovator is
guaranteed to have more natural initial detractors than followers.

Steve Jobs’ return to Apple provides an excellent example. At the time
Jobs regained control of Apple, the conventional wisdom said that Apple
was getting killed by “PC Economics” and had to separate the operating
system from the hardware. Specifically, Apple couldn’t compete with
Microsoft unless it became more horizontal and let commodity hardware
manufactures compete while Apple focused exclusively on the OS. The
professional CEO who preceded Jobs (Gil Amelio) took the conventional
wisdom to heart. He set out to create an ecosystem of Mac cloners who
would provide the commodity hardware complement to Apple’s famous OS.

When Jobs came in and reversed those decisions, most industry analysts
thought Jobs was insane. Jobs not only killed all the commodity hardware
and the horizontal strategy; he went radically vertical. In addition to
the basic hardware and operating system, he added applications (iLife,
iWork) and peripherals (like the iPod). He even added retail stores.

Today, people would let Steve Jobs make such a radical turn at nearly
any company because of the outcome he’s achieved at Apple. But remember
that when Jobs returned to Apple in 1996, he was doing so as the
co-founder and CEO of NeXT computer, a marginal computer workstation
company which Apple purchased for less than $500M. Let’s just say he
didn’t have the benefit of the doubt. What he **did** have: the
founder’s courage to innovate despite the
doubters.

### Innovator’s requirements – what does it take to find the product cycle?

So where did Jobs get this “founders courage” and what is it? In
addition to general brilliance, we see three key ingredients to being a
great innovator:

1\. Comprehensive knowledge

2\. Moral authority

3\. Total commitment to the long-term

Great founding CEOs tend to have all three and professional CEOs often
lack them. Here’s why.

### Comprehensive knowledge

To create the original innovation to start a company, founders must
exhaustively understand the technology required, the likely competitors
(past, present, and future), and the market in all its variations and
segmentations.  This knowledge becomes the foundation on top of which a
gigantic knowledge pyramid gets built which includes:

Knowledge of every employee who gets hired and why

Knowledge of every product and technology decision that gets made

Knowledge of all customer data and feedback generated from day one

Knowledge of exactly what’s strong and weak about the code base

Knowledge of exactly what’s strong and weak about the organization

This pyramid of knowledge enables new, unique innovative thinking. This
knowledge is nearly impossible to replicate. Without it, thoughtful
people lack the courage to bet the company on entirely new directions.

In retrospect, it seems totally natural that Larry Ellison transformed
Software Development Labs from a consulting business into a software
company called Oracle. But would a professional CEO have understood
enough about the team, the market and the competition to make such a
radical change?

### Moral authority

Often, true innovation requires throwing out many of the foundational
assumptions of the company. If the company is significant, doing so may
be extremely difficult for the professional CEO. The company’s core
belief system is often entangled in those assumptions. Since the
founding CEO made the assumptions in the first place, it is much easier
for her. An excellent example of existing, invalid assumptions
paralyzing a whole set of companies recently played out in the music
industry.

The music business has been continuously disrupted and revolutionized by
the underlying technology since the outset. In fact, it’s still widely
referred to as the “record industry,” because the entire business was
created by the invention of the vinyl record. For the first few decades
of the industry, songs were never longer than 3 minutes due to a
technological limitation (the record would skip if the grooves were too
thin). The album itself is a construct that originated with the total
number of songs one could fit on a 33 1/3 Revolutions Per Minute (RPM)
vinyl record. In the 80s, the invention of the CD completely revitalized
the industry and led to (literally) record-breaking sales.

Despite this dynamic history, modern record company executives badly
missed the most sweeping technical innovation—the Internet.  How was
that possible? By the time the Internet arrived, all of the original
founders of the record companies had been bought out, retired, or died.
The new, professional CEOs were unwilling to let go of the most basic
assumptions driving the cost structure of their businesses.
Specifically, they wouldn’t give up their stranglehold on distribution
and the value they placed on owning the recording.

They were proficient at running the current business, but lacked both
the courage and the moral authority to jeopardize the old business model
by embracing the new technology. The transition would have been far
easier if these executives running the companies had invented the old
models. The founders of the music industry likely would have ditched old
assumptions, because they would have been nuts to do continue believing
an assumption that no longer makes sense.

Conversely, Netflix, run by cofounder Reed Hastings, provides an
excellent counter-example. Faced with a similar transition (from
distribution of the physical recording to electronic distribution of the
bits), Netflix let go of its old assumption that customers wanted DVDs
mailed to them, invested in innovation and produced a series of
brilliant new offerings (streaming video to Xbox 360, Sony Playstation
3, Tivo, Wii, connected DVD players, and a host of  devices) that are
enabling them to transition smoothly. Hastings wasn’t married to the old
distribution model precisely because he invented it.

### Total commitment to the long term

Founding CEOs naturally take a long view of their companies. The company
is their life’s work. Their emotional commitment exceeds their equity
stake. Their goal from the start is to build something significant. They
instinctively know that big product cycles come from investment and that
even the biggest product cycles will eventually fade. Professional CEOs,
on the other hand, tend to be driven by relatively shorter-term goals.
They are paid in terms of stock options that vest over 4 years and cash
bonuses for quarterly and yearly performance.

Investments in innovation do not pay out in the current quarter.
Typically, they don’t even pay out in the current year. If you care
about your bonus this year, you are directly incented not to make
investments in new inventions as you will incur the expense, but reap no
profits.

Any serious innovation requires a heavy investment. Beyond the up-front
cash, costs may include lower growth, bad publicity, and internal
grumbling as existing features atrophy. Recently, we’ve seen Facebook’s
founding CEO Mark Zuckerberg make a series long-term bets. He’s
radically revamped critical features such as the feed used by hundreds
of millions of people. He’s made bold changes to key policies such as
privacy and platform. For years, he’s avoided taking any revenue
inconsistent with optimizing the user experience.

By committing to the long-term, he put himself under tremendous pressure
in the short-term. The press broadly questioned his business acumen and
Facebook’s ability to generate any meaningful revenue. Bottom feeding
publications such as Valley Wag even went so far as to call for his
resignation. Employees leaked to the press that they thought he should
sell the company, and some quit due to temporary declines in page views
and user growth. We now know these critics were wrong and Zuckerberg was
right, but would a professional CEO have taken these risks and endured
such vicious attacks for unseen, long-term benefits?

In theory, any professional CEO can rise to the challenge of being a
great long-term CEO, but they have to commit to innovation and adopt the
three characteristics above. We’ll now take a look at two professional
CEOs who have done just that.

## Understanding the exceptions – why do professional CEOs succeed?

Two spectacular exceptions to the founding CEO rule are John Morgridge
at Cisco and Eric Schmidt at Google. Let’s look at how these two
overcame the issues illustrated above and massively
triumphed.

### Eric Schmidt–Getting the goodness of the founders and combining it with the know-how of the professional

Eric Schmidt has been a spectacular success at Google. He hasn’t just
maximized the original product cycle (which was built around
search—although he’s done a brilliant job of accomplishing that feat),
but he has also overseen the creation of important new product cycles
such as Android and Google Apps. Interestingly, he did so by teaming
with the founders and gaining the benefits of their knowledge, moral
authority, and long-term vision. This may seem like an obvious strategy,
but shared leadership and control are incredibly difficult to achieve.
Doing so involves intense communication, deep humility, and some hard
compromises. Almost nobody ever pulls it off. And that’s why Eric
Schmidt is such an important exception.

### John Morgridge—All by himself

John Morgidge is another spectacular counter-example of the non-founding
CEO building a tech powerhouse. John took over as the company’s second
CEO in 1988, a role he held until he became chairman in 1995. With John
as CEO, Cisco grew from $5m to $1b in revenue and from 34 to 2,250
employees. He also took the company public in 1990.

How did he do it? In speaking to many Cisco employees over many years
and observing the dynamic, innovative product and M\&A strategy that
enabled them to defeat fierce competitors such as Wellfleet and
Synoptics, I believe John Morgridge may have been the greatest
professional CEO in the history of the high tech industry. He worked
tirelessly to develop the characteristics outlined above as well or
better than any founder. He was smart, knowledgeable, tough, innovative,
courageous, and, unlike most professionals, legendarily cheap. He once
said that if you can’t see your car from your hotel room, then you are
paying too much.  As a result of this magical combination of qualities,
he achieved complete moral authority. He is proof positive that a
professional CEO can build a great technology company. At the same time,
he is the ultimate exception.

In the best case, you may find the next John Morgidge. If you do, hire
him\! Otherwise, here is our general rule of investing. If you hire a
professional CEO into a company that has found a large product cycle,
the professional will be able to maximize that product cycle, but likely
won’t find the next one. If you hire a professional to find the product
cycle, get the jelly, because your company will soon be toast.

## Are all founders CEO material?

The simple answer is “no.” Being CEO requires a tremendous amount of
skill. The larger the company becomes, the more skill that’s required.
Steve Blank does an excellent job of illustrating many of these required
skills in his [outstanding Scalable Start-up
series](http://steveblank.com/). We almost never meet a founder who has
these skills at the time they found the company.

Therefore, the founder must learn the skills required to run the company
on-the-job. Doing so is often a miserable, debilitating experience. I
can attest first hand to the frustration and exhaustion associated with
being responsible for hundreds of employees while learning how to do the
job. I constantly made mistakes a more experienced CEO wouldn’t make.
These mistakes can be costly in terms of money and jobs.

So, why would any founder want to learn to be CEO on-the-job? Because
doing so is the most sure fire way to build a great company.

How does one know if they have what it takes to be the long-term CEO of
the company? In our experience, there are two required characteristics:

1\. Leadership as described in my early post [Notes on
Leadership](http://bhorowitz.com/2010/03/14/notes-on-leadership-be-like-steve-jobs-and-bill-campbell-and-andy-grove/).

2\. Desire—not necessarily the desire to be CEO, but the burning,
irrepressible desire to build something great and the willingness to do
whatever it takes to get there.

If the founder has these characteristics, then we would encourage them
to give it a try. If they fail, we will help them look for the next Eric
Schmidt or John Morgridge.

## Footnote

Special thanks to Yujin Chung
([LinkedIn](http://www.linkedin.com/in/yujinchung),
[Twitter](http://www.twitter.com/enderdoon)), MBA ’10 at the Wharton
School, for his analytical and research support.
