---
created_at: '2015-03-11T17:19:10.000Z'
title: How Will You Measure Your Life? (2010)
url: https://hbr.org/2010/07/how-will-you-measure-your-life
author: sergeant3
points: 41
story_text: ''
comment_text: 
num_comments: 8
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1426094350
_tags:
- story
- author_sergeant3
- story_9185196
objectID: '9185196'
year: 2010

---
And just as a focus on marginal costs can cause bad corporate decisions,
it can lead people astray. The marginal cost of doing something wrong
“just this once” always seems alluringly low. You don’t see the end
result to which that path leads. The key is to define what you stand for
and draw the line in a safe place.

The principles of resource allocation can help people attain happiness
at home. If not managed masterfully, what emerges from a firm’s resource
allocation process can be very different from the strategy management
intended to follow. That’s true in life too: If you’re not guided by a
clear sense of purpose, you’re likely to fritter away your time and
energy on obtaining the most tangible, short-term signs of achievement,
not what’s really important to you.

The answer to the first question comes from Frederick Herzberg’s
assertion that the most powerful motivator isn’t money; it’s the
opportunity to learn, grow in responsibilities, contribute, and be
recognized. That’s why management, if practiced well, can be the noblest
of occupations; no others offer as many ways to help people find those
opportunities. It isn’t about buying, selling, and investing in
companies, as many think.

Harvard Business School’s Christensen teaches aspiring MBAs how to apply
management and innovation theories to build stronger companies. But he
also believes that these models can help people lead better lives. In
this article, he explains how, exploring questions everyone needs to
ask: How can I be happy in my career? How can I be sure that my
relationship with my family is an enduring source of happiness? And how
can I live my life with integrity?

Editor’s Note: When the members of the class of 2010 entered business
school, the economy was strong and their post-graduation ambitions could
be limitless. Just a few weeks later, the economy went into a tailspin.
They’ve spent the past two years recalibrating their worldview and their
definition of success.

The students seem highly aware of how the world has changed (as the
sampling of views in this article shows). In the spring, Harvard
Business School’s graduating class asked HBS professor Clay Christensen
to address them—but not on how to apply his principles and thinking to
their post-HBS careers. The students wanted to know how to apply them to
their personal lives. He shared with them a set of guidelines that have
helped him find meaning in his own life. Though Christensen’s thinking
comes from his deep religious faith, we believe that these are
strategies anyone can use. And so we asked him to share them with the
readers of HBR.

Before I published [The Innovator’s
Dilemma](/product/innovator-s-dilemma-when-new-technologies-cause-gr/an/5851-HBK-ENG),
I got a call from Andrew Grove, then the chairman of Intel. He had read
one of my early papers about disruptive technology, and he asked if I
could talk to his direct reports and explain my research and what it
implied for Intel. Excited, I flew to Silicon Valley and showed up at
the appointed time, only to have Grove say, “Look, stuff has happened.
We have only 10 minutes for you. Tell us what your model of disruption
means for Intel.” I said that I couldn’t—that I needed a full 30 minutes
to explain the model, because only with it as context would any comments
about Intel make sense. Ten minutes into my explanation, Grove
interrupted: “Look, I’ve got your model. Just tell us what it means for
Intel.”

I insisted that I needed 10 more minutes to describe how the process of
disruption had worked its way through a very different industry, steel,
so that he and his team could understand how disruption worked. I told
the story of how Nucor and other steel minimills had begun by attacking
the lowest end of the market—steel reinforcing bars, or rebar—and later
moved up toward the high end, undercutting the traditional steel mills.

When I finished the minimill story, Grove said, “OK, I get it. What it
means for Intel is…,” and then went on to articulate what would become
the company’s strategy for going to the bottom of the market to launch
the Celeron processor.

I’ve thought about that a million times since. If I had been suckered
into telling Andy Grove what he should think about the microprocessor
business, I’d have been killed. But instead of telling him what to
think, I taught him how to think—and then he reached what I felt was the
correct decision on his own.

That experience had a profound influence on me. When people ask what I
think they should do, I rarely answer their question directly. Instead,
I run the question aloud through one of my models. I’ll describe how the
process in the model worked its way through an industry quite different
from their own. And then, more often than not, they’ll say, “OK, I get
it.” And they’ll answer their own question more insightfully than I
could have.

My class at HBS is structured to help my students understand what good
management theory is and how it is built. To that backbone I attach
different models or theories that help students think about the various
dimensions of a general manager’s job in stimulating innovation and
growth. In each session we look at one company through the lenses of
those theories—using them to explain how the company got into its
situation and to examine what managerial actions will yield the needed
results.

On the last day of class, I ask my students to turn those theoretical
lenses on themselves, to find cogent answers to three questions: First,
how can I be sure that I’ll be happy in my career? Second, how can I be
sure that my relationships with my spouse and my family become an
enduring source of happiness? Third, how can I be sure I’ll stay out of
jail? Though the last question sounds lighthearted, it’s not. Two of the
32 people in my Rhodes scholar class spent time in jail. Jeff Skilling
of Enron fame was a classmate of mine at HBS. These were good guys—but
something in their lives sent them off in the wrong direction.

#### The Class of 2010

“I came to business school knowing exactly what I wanted to do—and I’m
leaving choosing the exact opposite. I’ve worked in the private sector
all my life, because everyone always told me that’s where smart people
are. But I’ve decided to try government and see if I can find more
meaning there.

“I used to think that industry was very safe. The recession has shown us
that nothing is safe.”

**Ruhana Hafiz,**Harvard Business School, Class of 2010

**Her Plans:**To join the FBI as a special adviser (a management track
position)

“You could see a shift happening at HBS. Money used to be number one in
the job search. When you make a ton of money, you want more of it.
Ironic thing. You start to forget what the drivers of happiness are and
what things are really important. A lot of people on campus see money
differently now. They think, ‘What’s the minimum I need to have, and
what else drives my life?’ instead of ‘What’s the place where I can get
the maximum of both?’”

**Patrick Chun,**Harvard Business School, Class of 2010

**His Plans:**To join Bain Capital

“The financial crisis helped me realize that you have to do what you
really love in life. My current vision of success is based on the impact
I can have, the experiences I can gain, and the happiness I can find
personally, much more so than the pursuit of money or prestige. My main
motivations are (1) to be with my family and people I care about; (2) to
do something fun, exciting, and impactful; and (3) to pursue a long-term
career in entrepreneurship, where I can build companies that change the
way the world works.”

**Matt Salzberg,**Harvard Business School, Class of 2010

**His Plans:**To work for Bessemer Venture Partners

“Because I’m returning to McKinsey, it probably seems like not all that
much has changed for me. But while I was at HBS, I decided to do the
dual degree at the Kennedy School. With the elections in 2008 and the
economy looking shaky, it seemed more compelling for me to get a better
understanding of the public and nonprofit sectors. In a way, that drove
my return to McKinsey, where I’ll have the ability to explore private,
public, and nonprofit sectors.

“The recession has made us step back and take stock of how lucky we are.
The crisis to us is ‘Are we going to have a job by April?’ Crisis to a
lot of people is ‘Are we going to stay in our home?’”

**John Coleman,**Harvard Business School, Class of 2010

**His Plans:**To return to McKinsey & Company

As the students discuss the answers to these questions, I open my own
life to them as a case study of sorts, to illustrate how they can use
the theories from our course to guide their life decisions.

One of the theories that gives great insight on the first question—how
to be sure we find happiness in our careers—is from Frederick Herzberg,
who asserts that the powerful motivator in our lives isn’t money; it’s
the opportunity to learn, grow in responsibilities, contribute to
others, and be recognized for achievements. I tell the students about a
vision of sorts I had while I was running the company I founded before
becoming an academic. In my mind’s eye I saw one of my managers leave
for work one morning with a relatively strong level of self-esteem. Then
I pictured her driving home to her family 10 hours later, feeling
unappreciated, frustrated, underutilized, and demeaned. I imagined how
profoundly her lowered self-esteem affected the way she interacted with
her children. The vision in my mind then fast-forwarded to another day,
when she drove home with greater self-esteem—feeling that she had
learned a lot, been recognized for achieving valuable things, and played
a significant role in the success of some important initiatives. I then
imagined how positively that affected her as a spouse and a parent. My
conclusion: Management is the most noble of professions if it’s
practiced well. No other occupation offers as many ways to help others
learn and grow, take responsibility and be recognized for achievement,
and contribute to the success of a team. More and more MBA students come
to school thinking that a career in business means buying, selling, and
investing in companies. That’s unfortunate. Doing deals doesn’t yield
the deep rewards that come from building up people.

I want students to leave my classroom knowing that.

## Create a Strategy for Your Life

A theory that is helpful in answering the second question—How can I
ensure that my relationship with my family proves to be an enduring
source of happiness?—concerns how strategy is defined and implemented.
Its primary insight is that a company’s strategy is determined by the
types of initiatives that management invests in. If a company’s resource
allocation process is not managed masterfully, what emerges from it can
be very different from what management intended. Because companies’
decision-making systems are designed to steer investments to initiatives
that offer the most tangible and immediate returns, companies
shortchange investments in initiatives that are crucial to their
long-term strategies.

Over the years I’ve watched the fates of my HBS classmates from 1979
unfold; I’ve seen more and more of them come to reunions unhappy,
divorced, and alienated from their children. I can guarantee you that
not a single one of them graduated with the deliberate strategy of
getting divorced and raising children who would become estranged from
them. And yet a shocking number of them implemented that strategy. The
reason? They didn’t keep the purpose of their lives front and center as
they decided how to spend their time, talents, and energy.

It’s quite startling that a significant fraction of the 900 students
that HBS draws each year from the world’s best have given little thought
to the purpose of their lives. I tell the students that HBS might be one
of their last chances to reflect deeply on that question. If they think
that they’ll have more time and energy to reflect later, they’re nuts,
because life only gets more demanding: You take on a mortgage; you’re
working 70 hours a week; you have a spouse and children.

For me, having a clear purpose in my life has been essential. But it was
something I had to think long and hard about before I understood it.
When I was a Rhodes scholar, I was in a very demanding academic program,
trying to cram an extra year’s worth of work into my time at Oxford. I
decided to spend an hour every night reading, thinking, and praying
about why God put me on this earth. That was a very challenging
commitment to keep, because every hour I spent doing that, I wasn’t
studying applied econometrics. I was conflicted about whether I could
really afford to take that time away from my studies, but I stuck with
it—and ultimately figured out the purpose of my life.

Doing deals doesn’t yield the deep rewards that come from building up
people.

Had I instead spent that hour each day learning the latest techniques
for mastering the problems of autocorrelation in regression analysis, I
would have badly misspent my life. I apply the tools of econometrics a
few times a year, but I apply my knowledge of the purpose of my life
every day. It’s the single most useful thing I’ve ever learned. I
promise my students that if they take the time to figure out their life
purpose, they’ll look back on it as the most important thing they
discovered at HBS. If they don’t figure it out, they will just sail off
without a rudder and get buffeted in the very rough seas of life.
Clarity about their purpose will trump knowledge of activity-based
costing, balanced scorecards, core competence, disruptive innovation,
the four Ps, and the five forces.

My purpose grew out of my religious faith, but faith isn’t the only
thing that gives people direction. For example, one of my former
students decided that his purpose was to bring honesty and economic
prosperity to his country and to raise children who were as capably
committed to this cause, and to each other, as he was. His purpose is
focused on family and others—as mine is.

The choice and successful pursuit of a profession is but one tool for
achieving your purpose. But without a purpose, life can become hollow.

## Allocate Your Resources

Your decisions about allocating your personal time, energy, and talent
ultimately shape your life’s strategy.

I have a bunch of “businesses” that compete for these resources: I’m
trying to have a rewarding relationship with my wife, raise great kids,
contribute to my community, succeed in my career, contribute to my
church, and so on. And I have exactly the same problem that a
corporation does. I have a limited amount of time and energy and talent.
How much do I devote to each of these pursuits?

Allocation choices can make your life turn out to be very different from
what you intended. Sometimes that’s good: Opportunities that you never
planned for emerge. But if you misinvest your resources, the outcome can
be bad. As I think about my former classmates who inadvertently invested
for lives of hollow unhappiness, I can’t help believing that their
troubles relate right back to a short-term
perspective.

#### Further Reading

###### [Meeting the Challenge of Corporate Entrepreneurship](/2006/10/meeting-the-challenge-of-corporate-entrepreneurship/ar/1)

Entrepreneurship

Feature

Three balancing acts to keep in mind while growing a new business.

  - [** Save](#)
  - [** Share](#)

When people who have a high need for achievement—and that includes all
Harvard Business School graduates—have an extra half hour of time or an
extra ounce of energy, they’ll unconsciously allocate it to activities
that yield the most tangible accomplishments. And our careers provide
the most concrete evidence that we’re moving forward. You ship a
product, finish a design, complete a presentation, close a sale, teach a
class, publish a paper, get paid, get promoted. In contrast, investing
time and energy in your relationship with your spouse and children
typically doesn’t offer that same immediate sense of achievement. Kids
misbehave every day. It’s really not until 20 years down the road that
you can put your hands on your hips and say, “I raised a good son or a
good daughter.” You can neglect your relationship with your spouse, and
on a day-to-day basis, it doesn’t seem as if things are deteriorating.
People who are driven to excel have this unconscious propensity to
underinvest in their families and overinvest in their careers—even
though intimate and loving relationships with their families are the
most powerful and enduring source of happiness.

If you study the root causes of business disasters, over and over you’ll
find this predisposition toward endeavors that offer immediate
gratification. If you look at personal lives through that lens, you’ll
see the same stunning and sobering pattern: people allocating fewer and
fewer resources to the things they would have once said mattered most.

## Create a Culture

There’s an important model in our class called the Tools of Cooperation,
which basically says that being a visionary manager isn’t all it’s
cracked up to be. It’s one thing to see into the foggy future with
acuity and chart the course corrections that the company must make. But
it’s quite another to persuade employees who might not see the changes
ahead to line up and work cooperatively to take the company in that new
direction. Knowing what tools to wield to elicit the needed cooperation
is a critical managerial skill.

The theory arrays these tools along two dimensions—the extent to which
members of the organization agree on what they want from their
participation in the enterprise, and the extent to which they agree on
what actions will produce the desired results. When there is little
agreement on both axes, you have to use “power tools”—coercion, threats,
punishment, and so on—to secure cooperation. Many companies start in
this quadrant, which is why the founding executive team must play such
an assertive role in defining what must be done and how. If employees’
ways of working together to address those tasks succeed over and over,
consensus begins to form. MIT’s Edgar Schein has described this process
as the mechanism by which a culture is built. Ultimately, people don’t
even think about whether their way of doing things yields success. They
embrace priorities and follow procedures by instinct and assumption
rather than by explicit decision—which means that they’ve created a
culture. Culture, in compelling but unspoken ways, dictates the proven,
acceptable methods by which members of the group address recurrent
problems. And culture defines the priority given to different types of
problems. It can be a powerful management tool.

In using this model to address the question, How can I be sure that my
family becomes an enduring source of happiness?, my students quickly see
that the simplest tools that parents can wield to elicit cooperation
from children are power tools. But there comes a point during the teen
years when power tools no longer work. At that point parents start
wishing that they had begun working with their children at a very young
age to build a culture at home in which children instinctively behave
respectfully toward one another, obey their parents, and choose the
right thing to do. Families have cultures, just as companies do. Those
cultures can be built consciously or evolve inadvertently.

If you want your kids to have strong self-esteem and confidence that
they can solve hard problems, those qualities won’t magically
materialize in high school. You have to design them into your family’s
culture—and you have to think about this very early on. Like employees,
children build self-esteem by doing things that are hard and learning
what works.

## Avoid the “Marginal Costs” Mistake

We’re taught in finance and economics that in evaluating alternative
investments, we should ignore sunk and fixed costs, and instead base
decisions on the marginal costs and marginal revenues that each
alternative entails. We learn in our course that this doctrine biases
companies to leverage what they have put in place to succeed in the
past, instead of guiding them to create the capabilities they’ll need in
the future. If we knew the future would be exactly the same as the past,
that approach would be fine. But if the future’s different—and it almost
always is—then it’s the wrong thing to do.

This theory addresses the third question I discuss with my students—how
to live a life of integrity (stay out of jail). Unconsciously, we often
employ the marginal cost doctrine in our personal lives when we choose
between right and wrong. A voice in our head says, “Look, I know that as
a general rule, most people shouldn’t do this. But in this particular
extenuating circumstance, just this once, it’s OK.” The marginal cost of
doing something wrong “just this once” always seems alluringly low. It
suckers you in, and you don’t ever look at where that path ultimately is
headed and at the full costs that the choice entails. Justification for
infidelity and dishonesty in all their manifestations lies in the
marginal cost economics of “just this once.”

I’d like to share a story about how I came to understand the potential
damage of “just this once” in my own life. I played on the Oxford
University varsity basketball team. We worked our tails off and finished
the season undefeated. The guys on the team were the best friends I’ve
ever had in my life. We got to the British equivalent of the NCAA
tournament—and made it to the final four. It turned out the championship
game was scheduled to be played on a Sunday. I had made a personal
commitment to God at age 16 that I would never play ball on Sunday. So I
went to the coach and explained my problem. He was incredulous. My
teammates were, too, because I was the starting center. Every one of the
guys on the team came to me and said, “You’ve got to play. Can’t you
break the rule just this one time?”

I’m a deeply religious man, so I went away and prayed about what I
should do. I got a very clear feeling that I shouldn’t break my
commitment—so I didn’t play in the championship game.

In many ways that was a small decision—involving one of several thousand
Sundays in my life. In theory, surely I could have crossed over the line
just that one time and then not done it again. But looking back on it,
resisting the temptation whose logic was “In this extenuating
circumstance, just this once, it’s OK” has proven to be one of the most
important decisions of my life. Why? My life has been one unending
stream of extenuating circumstances. Had I crossed the line that one
time, I would have done it over and over in the years that followed.

The lesson I learned from this is that it’s easier to hold to your
principles 100% of the time than it is to hold to them 98% of the time.
If you give in to “just this once,” based on a marginal cost analysis,
as some of my former classmates have done, you’ll regret where you end
up. You’ve got to define for yourself what you stand for and draw the
line in a safe place.

## Remember the Importance of Humility

I got this insight when I was asked to teach a class on humility at
Harvard College. I asked all the students to describe the most humble
person they knew. One characteristic of these humble people stood out:
They had a high level of self-esteem. They knew who they were, and they
felt good about who they were. We also decided that humility was defined
not by self-deprecating behavior or attitudes but by the esteem with
which you regard others. Good behavior flows naturally from that kind of
humility. For example, you would never steal from someone, because you
respect that person too much. You’d never lie to someone, either.

It’s crucial to take a sense of humility into the world. By the time you
make it to a top graduate school, almost all your learning has come from
people who are smarter and more experienced than you: parents, teachers,
bosses. But once you’ve finished at Harvard Business School or any other
top academic institution, the vast majority of people you’ll interact
with on a day-to-day basis may not be smarter than you. And if your
attitude is that only smarter people have something to teach you, your
learning opportunities will be very limited. But if you have a humble
eagerness to learn something from everybody, your learning opportunities
will be unlimited. Generally, you can be humble only if you feel really
good about yourself—and you want to help those around you feel really
good about themselves, too. When we see people acting in an abusive,
arrogant, or demeaning manner toward others, their behavior almost
always is a symptom of their lack of self-esteem. They need to put
someone else down to feel good about themselves.

## Choose the Right Yardstick

This past year I was diagnosed with cancer and faced the possibility
that my life would end sooner than I’d planned. Thankfully, it now looks
as if I’ll be spared. But the experience has given me important insight
into my life.

I have a pretty clear idea of how my ideas have generated enormous
revenue for companies that have used my research; I know I’ve had a
substantial impact. But as I’ve confronted this disease, it’s been
interesting to see how unimportant that impact is to me now. I’ve
concluded that the metric by which God will assess my life isn’t dollars
but the individual people whose lives I’ve touched.

I think that’s the way it will work for us all. Don’t worry about the
level of individual prominence you have achieved; worry about the
individuals you have helped become better people. This is my final
recommendation: Think about the metric by which your life will be
judged, and make a resolution to live every day so that in the end, your
life will be judged a success.

A version of this article appeared in the [July–August
2010](/archive-toc/BR1007) issue of Harvard Business Review.
