---
created_at: '2014-12-13T16:47:39.000Z'
title: 'Einstein: The Negro Question (1946)'
url: http://www.onbeing.org/program/albert-einstein-the-negro-question-1946
author: juanplusjuan
points: 441
story_text: ''
comment_text: 
num_comments: 307
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1418489259
_tags:
- story
- author_juanplusjuan
- story_8745540
objectID: '8745540'
year: 1946

---
> In the years after World War II, Albert Einstein took up the mantle of
> confronting racism in America. He became a good friend and comrade of
> the prominent opera singer Paul Robeson, co-chaired an anti-lynching
> campaign, and was an outspoken [supporter of W.E.B. Du
> Bois](https://www.brainpickings.org/2015/01/06/albert-einstein-w-e-b-du-bois-racism/).
> But, it was in January 1946, that he penned one of his most articulate
> and eloquent essays [advocating for the civil rights of black people
> in
> America](http://news.harvard.edu/gazette/story/2007/04/albert-einstein-civil-rights-activist/).
> And, as described in [Einstein on Race and
> Racism](https://www.amazon.com/Einstein-Race-Racism-Professor-Jerome/dp/0813539528),
> the iconic physicist equated the ghettoization of Jews in Germany and
> segregation in America, calling racism America’s “worst disease.”  
> Originally published in the January 1946 issue of Pageant magazine,
> Albert Einstein’s essay was intended to address a primarily white
> readership:
> 
> **The Negro Question**  
> by Albert Einstein
> 
> I am writing as one who has lived among you in America only a little
> more than ten years, and I am writing seriously and warningly. Many
> readers may ask: “What right has he to speak about things which
> concern us alone, and which no newcomer should touch?”
> 
> I do not think such a standpoint is justified. One who has grown up in
> an environment takes much for granted. On the other hand, one who has
> come to this country as a mature person may have a keen eye for
> everything peculiar and characteristic. I believe he should speak out
> freely on what he sees and feels, for by so doing he may perhaps prove
> himself useful.
> 
> What soon makes the new arrival devoted to this country is the
> democratic trait among the people. I am not thinking here so much of
> the democratic political constitution of this country, however highly
> it must be praised. I am thinking of the relationship between
> individual people and of the attitude they maintain toward one
> another.
> 
> In the United States everyone feels assured of his worth as an
> individual. No one humbles himself before another person or class.
> Even the great difference in wealth, the superior power of a few,
> cannot undermine this healthy self-confidence and natural respect for
> the dignity of one’s fellow-man.
> 
> There is, however, a somber point in the social outlook of Americans.
> Their sense of equality and human dignity is mainly limited to men of
> white skins. Even among these there are prejudices of which I as a Jew
> am clearly conscious; but they are unimportant in comparison with the
> attitude of the “Whites” toward their fellow-citizens of darker
> complexion, particularly toward Negroes. The more I feel an American,
> the more this situation pains me. I can escape the feeling of
> complicity in it only by speaking out.
> 
> Many a sincere person will answer: “Our attitude towards Negroes is
> the result of unfavorable experiences which we have had by living side
> by side with Negroes in this country. They are not our equals in
> intelligence, sense of responsibility, reliability.”
> 
> I am firmly convinced that whoever believes this suffers from a fatal
> misconception. Your ancestors dragged these black people from their
> homes by force; and in the white man’s quest for wealth and an easy
> life they have been ruthlessly suppressed and exploited, degraded into
> slavery. The modern prejudice against Negroes is the result of the
> desire to maintain this unworthy condition.
> 
> The ancient Greeks also had slaves. They were not Negroes but white
> men who had been taken captive in war. There could be no talk of
> racial differences. And yet Aristotle, one of the great Greek
> philosophers, declared slaves inferior beings who were justly subdued
> and deprived of their liberty. It is clear that he was enmeshed in a
> traditional prejudice from which, despite his extraordinary intellect,
> he could not free himself.
> 
> A large part of our attitude toward things is conditioned by opinions
> and emotions which we unconsciously absorb as children from our
> environment. In other words, it is tradition — besides inherited
> aptitudes and qualities — which makes us what we are. We but rarely
> reflect how relatively small as compared with the powerful influence
> of tradition is the influence of our conscious thought upon our
> conduct and convictions.
> 
> It would be foolish to despise tradition. But with our growing
> self-consciousness and increasing intelligence we must begin to
> control tradition and assume a critical attitude toward it, if human
> relations are ever to change for the better. We must try to recognize
> what in our accepted tradition is damaging to our fate and dignity —
> and shape our lives accordingly.
> 
> I believe that whoever tries to think things through honestly will
> soon recognize how unworthy and even fatal is the traditional bias
> against Negroes.
> 
> What, however, can the man of good will do to combat this deeply
> rooted prejudice? He must have the courage to set an example by word
> and deed, and must watch lest his children become influenced by this
> racial bias.
> 
> I do not believe there is a way in which this deeply entrenched evil
> can be quickly healed. But until this goal is reached there is no
> greater satisfaction for a just and well-meaning person than the
> knowledge that he has devoted his best energies to the service of the
> good cause.
