---
created_at: '2011-09-19T22:32:28.000Z'
title: Placebos Are Getting More Effective. Drugmakers Are Desperate to Know Why (2009)
url: http://www.wired.com/medtech/drugs/magazine/17-09/ff_placebo_effect?currentPage=all
author: adammichaelc
points: 139
story_text: ''
comment_text: 
num_comments: 61
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1316471548
_tags:
- story
- author_adammichaelc
- story_3015479
objectID: '3015479'
year: 2009

---
[![](https://www.wired.com/wp-content/uploads/archive/images/article/magazine/1709/ff_placebo_effect_f.jpg)](https://www.wired.com/medtech/drugs/magazine/17-09/#)
\* Photo: Nick Veasey \* **Merck was in trouble.** In 2002, the
pharmaceutical giant was falling behind its rivals in sales. Even worse,
patents on five blockbuster drugs were about to expire, which would
allow cheaper generics to flood the market. The company hadn't
introduced a truly new product in three years, and its stock price was
plummeting.

In interviews with the press, Edward Scolnick, Merck's research
director, laid out his battle plan to restore the firm to preeminence.
Key to his strategy was expanding the company's reach into the
antidepressant market, where Merck had lagged while competitors like
Pfizer and GlaxoSmithKline created some of the best-selling drugs in the
world. "To remain dominant in the future," he told Forbes, "we need to
dominate the central nervous system."

His plan hinged on the success of an experimental antidepressant
codenamed MK-869. Still in clinical trials, it looked like every pharma
executive's dream: a new kind of medication that exploited brain
chemistry in innovative ways to promote feelings of well-being. The drug
tested brilliantly early on, with minimal side effects, and Merck touted
its game-changing potential at a meeting of 300 securities analysts.

Behind the scenes, however, MK-869 was starting to unravel. True, many
test subjects treated with the medication felt their hopelessness and
anxiety lift. But so did nearly the same number who took a placebo, a
look-alike pill made of milk sugar or another inert substance given to
groups of volunteers in clinical trials to gauge how much more effective
the real drug is by comparison. The fact that taking a faux drug can
powerfully improve some people's health—the so-called placebo effect—has
long been considered an embarrassment to the serious practice of
pharmacology.

Ultimately, Merck's foray into the antidepressant market failed. In
subsequent tests, MK-869 turned out to be no more effective than a
placebo. In the jargon of the industry, the trials crossed the futility
boundary.

MK-869 wasn't the only highly anticipated medical breakthrough to be
undone in recent years by the placebo effect. From 2001 to 2006, the
percentage of new products cut from development after Phase II clinical
trials, when drugs are first tested against placebo, rose by 20 percent.
The failure rate in more extensive Phase III trials increased by 11
percent, mainly due to surprisingly poor showings against placebo.
Despite historic levels of industry investment in R\&D, the US Food and
Drug Administration approved only 19 first-of-their-kind remedies in
2007—the fewest since 1983—and just 24 in 2008. Half of all drugs that
fail in late-stage trials drop out of the pipeline due to their
inability to beat sugar pills.

The upshot is fewer new medicines available to ailing patients and more
financial woes for the beleaguered pharmaceutical industry. Last
November, a new type of gene therapy for Parkinson's disease, championed
by the Michael J. Fox Foundation, was abruptly withdrawn from Phase II
trials after unexpectedly tanking against placebo. A stem-cell startup
called Osiris Therapeutics got a drubbing on Wall Street in March, when
it suspended trials of its pill for Crohn's disease, an intestinal
ailment, citing an "unusually high" response to placebo. Two days later,
Eli Lilly broke off testing of a much-touted new drug for schizophrenia
when volunteers showed double the expected level of placebo response.

It's not only trials of new drugs that are crossing the futility
boundary. Some products that have been on the market for decades, like
Prozac, are faltering in more recent follow-up tests. In many cases,
these are the compounds that, in the late '90s, made Big Pharma more
profitable than Big Oil. But if these same drugs were vetted now, the
FDA might not approve some of them. Two comprehensive analyses of
antidepressant trials have uncovered a dramatic increase in placebo
response since the 1980s. One estimated that the so-called effect size
(a measure of statistical significance) in placebo groups had nearly
doubled over that time.

It's not that the old meds are getting weaker, drug developers say. It's
as if the placebo effect is somehow getting stronger.

The fact that an increasing number of medications are unable to beat
sugar pills has thrown the industry into crisis. The stakes could hardly
be higher. In today's economy, the fate of a long-established company
can hang on the outcome of a handful of tests.

Why are inert pills suddenly overwhelming promising new drugs and
established medicines alike? The reasons are only just beginning to be
understood. A network of independent researchers is doggedly uncovering
the inner workings—and potential therapeutic applications—of the placebo
effect. At the same time, drugmakers are realizing they need to fully
understand the mechanisms behind it so they can design trials that
differentiate more clearly between the beneficial effects of their
products and the body's innate ability to heal itself. A special task
force of the Foundation for the National Institutes of Health is seeking
to stem the crisis by quietly undertaking one of the most ambitious
data-sharing efforts in the history of the drug industry. After decades
in the jungles of fringe science, the placebo effect has become the
elephant in the boardroom.

**The roots of the** placebo problem can be traced to a lie told by an
Army nurse during World War II as Allied forces stormed the beaches of
southern Italy. The nurse was assisting an anesthetist named Henry
Beecher, who was tending to US troops under heavy German bombardment.
When the morphine supply ran low, the nurse assured a wounded soldier
that he was getting a shot of potent painkiller, though her syringe
contained only salt water. Amazingly, the bogus injection relieved the
soldier's agony and prevented the onset of shock.

Returning to his post at Harvard after the war, Beecher became one of
the nation's leading medical reformers. Inspired by the nurse's healing
act of deception, he launched a crusade to promote a method of testing
new medicines to find out whether they were truly effective. At the
time, the process for vetting drugs was sloppy at best: Pharmaceutical
companies would simply dose volunteers with an experimental agent until
the side effects swamped the presumed benefits. Beecher proposed that if
test subjects could be compared to a group that received a placebo,
health officials would finally have an impartial way to determine
whether a medicine was actually responsible for making a patient
better.

![](https://www.wired.com/wp-content/uploads/archive/images/article/magazine/1709/ff_placebo_effect2_f.jpg)In
a 1955 paper titled "The Powerful Placebo," published in The Journal of
the American Medical Association, Beecher described how the placebo
effect had undermined the results of more than a dozen trials by causing
improvement that was mistakenly attributed to the drugs being tested. He
demonstrated that trial volunteers who got real medication were also
subject to placebo effects; the act of taking a pill was itself somehow
therapeutic, boosting the curative power of the medicine. Only by
subtracting the improvement in a placebo control group could the actual
value of the drug be calculated.

The article caused a sensation. By 1962, reeling from news of birth
defects caused by a drug called thalidomide, Congress amended the Food,
Drug, and Cosmetic Act, requiring trials to include enhanced safety
testing and placebo control groups. Volunteers would be assigned
randomly to receive either medicine or a sugar pill, and neither doctor
nor patient would know the difference until the trial was over.
Beecher's double-blind, placebo-controlled, randomized clinical trial—or
RCT—was enshrined as the gold standard of the emerging pharmaceutical
industry. Today, to win FDA approval, a new medication must beat placebo
in at least two authenticated trials.

Beecher's prescription helped cure the medical establishment of outright
quackery, but it had an insidious side effect. By casting placebo as the
villain in RCTs, he ended up stigmatizing one of his most important
discoveries. The fact that even dummy capsules can kick-start the body's
recovery engine became a problem for drug developers to overcome, rather
than a phenomenon that could guide doctors toward a better understanding
of the healing process and how to drive it most effectively.

In his eagerness to promote his template for clinical trials, Beecher
also overreached by seeing the placebo effect at work in curing ailments
like the common cold, which wane with no intervention at all. But the
triumph of Beecher's gold standard was a generation of safer medications
that worked for nearly everyone. Anthracyclines don't require an
oncologist with a genial bedside manner to slow the growth of tumors.

What Beecher didn't foresee, however, was the explosive growth of the
pharmaceutical industry. The blockbuster success of mood drugs in the
'80s and '90s emboldened Big Pharma to promote remedies for a growing
panoply of disorders that are intimately related to higher brain
function. By attempting to dominate the central nervous system, Big
Pharma gambled its future on treating ailments that have turned out to
be particularly susceptible to the placebo effect.

**The tall, rusty-haired son** of a country doctor, William Potter, 64,
has spent most of his life treating mental illness—first as a
psychiatrist at the National Institute of Mental Health and then as a
drug developer. A decade ago, he took a job at Lilly's neuroscience
labs. There, working on new antidepressants and antianxiety meds, he
became one of the first researchers to glimpse the approaching storm.

To test products internally, pharmaceutical companies routinely run
trials in which a long-established medication and an experimental one
compete against each other as well as against a placebo. As head of
Lilly's early-stage psychiatric drug development in the late '90s,
Potter saw that even durable warhorses like Prozac, which had been on
the market for years, were being overtaken by dummy pills in more recent
tests. The company's next-generation antidepressants were faring badly,
too, doing no better than placebo in seven out of 10 trials.

As a psychiatrist, Potter knew that some patients really do seem to get
healthier for reasons that have more to do with a doctor's empathy than
with the contents of a pill. But it baffled him that drugs he'd been
prescribing for years seemed to be struggling to prove their
effectiveness. Thinking that something crucial may have been overlooked,
Potter tapped an IT geek named David DeBrota to help him comb through
the Lilly database of published and unpublished trials—including those
that the company had kept secret because of high placebo response. They
aggregated the findings from decades of antidepressant trials, looking
for patterns and trying to see what was changing over time. What they
found challenged some of the industry's basic assumptions about its
drug-vetting process.

Assumption number one was that if a trial were managed correctly, a
medication would perform as well or badly in a Phoenix hospital as in a
Bangalore clinic. Potter discovered, however, that geographic location
alone could determine whether a drug bested placebo or crossed the
futility boundary. By the late '90s, for example, the classic
antianxiety drug diazepam (also known as Valium) was still beating
placebo in France and Belgium. But when the drug was tested in the US,
it was likely to fail. Conversely, Prozac performed better in America
than it did in western Europe and South Africa. It was an unsettling
prospect: FDA approval could hinge on where the company chose to conduct
a trial.

Mistaken assumption number two was that the standard tests used to gauge
volunteers' improvement in trials yielded consistent results. Potter and
his colleagues discovered that ratings by trial observers varied
significantly from one testing site to another. It was like finding out
that the judges in a tight race each had a different idea about the
placement of the finish line.

Potter and DeBrota's data-mining also revealed that even superbly
managed trials were subject to runaway placebo effects. But exactly why
any of this was happening remained elusive. "We were able to identify
many of the core issues in play," Potter says. "But there was no clear
answer to the problem." Convinced that what Lilly was facing was too
complex for any one pharmaceutical house to unravel on its own, he came
up with a plan to break down the firewalls between researchers across
the industry, enabling them to share data in "pre-competitive space."

After prodding by Potter and others, the NIH focused on the issue in
2000, hosting a three-day conference in Washington. For the first time
in medical history, more than 500 drug developers, doctors, academics,
and trial designers put their heads together to examine the role of the
placebo effect in clinical trials and healing in general.

Potter's ambitious plan for a collaborative approach to the problem
eventually ran into its own futility boundary: No one would pay for it.
And drug companies don't share data, they hoard it. But the NIH
conference launched a new wave of placebo research in academic labs in
the US and Italy that would make significant progress toward solving the
mystery of what was happening in clinical trials.

**Visitors to Fabrizio** Benedetti's clinic at the University of Turin
are asked never to say the P-word around the med students who sign up
for his experiments. For all the volunteers know, the trim, soft-spoken
neuroscientist is hard at work concocting analgesic skin creams and
methods for enhancing athletic performance.

One recent afternoon in his lab, a young soccer player grimaced with
exertion while doing leg curls on a weight machine. Benedetti and his
colleagues were exploring the potential of using Pavlovian conditioning
to give athletes a competitive edge undetectable by anti-doping
authorities. A player would receive doses of a performance-enhancing
drug for weeks and then a jolt of placebo just before competition.

Benedetti, 53, first became interested in placebos in the mid-'90s,
while researching pain. He was surprised that some of the test subjects
in his placebo groups seemed to suffer less than those on active drugs.
But scientific interest in this phenomenon, and the money to research
it, were hard to come by. "The placebo effect was considered little more
than a nuisance," he recalls. "Drug companies, physicians, and
clinicians were not interested in understanding its mechanisms. They
were concerned only with figuring out whether their drugs worked
better."

Part of the problem was that response to placebo was considered a
psychological trait related to neurosis and gullibility rather than a
physiological phenomenon that could be scrutinized in the lab and
manipulated for therapeutic benefit. But then Benedetti came across a
study, done years earlier, that suggested the placebo effect had a
neurological foundation. US scientists had found that a drug called
naloxone blocks the pain-relieving power of placebo treatments. The
brain produces its own analgesic compounds called opioids, released
under conditions of stress, and naloxone blocks the action of these
natural painkillers and their synthetic analogs. The study gave
Benedetti the lead he needed to pursue his own research while running
small clinical trials for drug companies.

Now, after 15 years of experimentation, he has succeeded in mapping many
of the biochemical reactions responsible for the placebo effect,
uncovering a broad repertoire of self-healing responses.
Placebo-activated opioids, for example, not only relieve pain; they also
modulate heart rate and respiration. The neurotransmitter dopamine, when
released by placebo treatment, helps improve motor function in
Parkinson's patients. Mechanisms like these can elevate mood, sharpen
cognitive ability, alleviate digestive disorders, relieve insomnia, and
limit the secretion of stress-related hormones like insulin and
cortisol.

In one study, Benedetti found that Alzheimer's patients with impaired
cognitive function get less pain relief from analgesic drugs than normal
volunteers do. Using advanced methods of EEG analysis, he discovered
that the connections between the patients' prefrontal lobes and their
opioid systems had been damaged. Healthy volunteers feel the benefit of
medication plus a placebo boost. Patients who are unable to formulate
ideas about the future because of cortical deficits, however, feel only
the effect of the drug itself. The experiment suggests that because
Alzheimer's patients don't get the benefits of anticipating the
treatment, they require higher doses of painkillers to experience normal
levels of relief.

Benedetti often uses the phrase "placebo response" instead of placebo
effect. By definition, inert pills have no effect, but under the right
conditions they can act as a catalyst for what he calls the body's
"endogenous health care system." Like any other internal network, the
placebo response has limits. It can ease the discomfort of chemotherapy,
but it won't stop the growth of tumors. It also works in reverse to
produce the placebo's evil twin, the nocebo effect. For example, men
taking a commonly prescribed prostate drug who were informed that the
medication may cause sexual dysfunction were twice as likely to become
impotent.

Further research by Benedetti and others showed that the promise of
treatment activates areas of the brain involved in weighing the
significance of events and the seriousness of threats. "If a fire alarm
goes off and you see smoke, you know something bad is going to happen
and you get ready to escape," explains Tor Wager, a neuroscientist at
Columbia University. "Expectations about pain and pain relief work in a
similar way. Placebo treatments tap into this system and orchestrate the
responses in your brain and body accordingly."

In other words, one way that placebo aids recovery is by hacking the
mind's ability to predict the future. We are constantly parsing the
reactions of those around us—such as the tone a doctor uses to deliver a
diagnosis—to generate more-accurate estimations of our fate. One of the
most powerful placebogenic triggers is watching someone else experience
the benefits of an alleged drug. Researchers call these social aspects
of medicine the therapeutic ritual.

In a study last year, Harvard Medical School researcher Ted Kaptchuk
devised a clever strategy for testing his volunteers' response to
varying levels of therapeutic ritual. The study focused on irritable
bowel syndrome, a painful disorder that costs more than $40 billion a
year worldwide to treat. First the volunteers were placed randomly in
one of three groups. One group was simply put on a waiting list;
researchers know that some patients get better just because they sign up
for a trial. Another group received placebo treatment from a clinician
who declined to engage in small talk. Volunteers in the third group got
the same sham treatment from a clinician who asked them questions about
symptoms, outlined the causes of IBS, and displayed optimism about their
condition.

**Rx for Success**——————

What turns a dummy pill into a catalyst for relieving pain, anxiety,
depression, sexual dysfunction, or the tremors of Parkinson's disease?
The brain's own healing mechanisms, unleashed by the belief that a phony
medication is the real thing. The most important ingredient in any
placebo is the doctor's bedside manner, but according to research, the
color of a tablet can boost the effectiveness even of genuine meds—or
help convince a patient that a placebo is a potent remedy.—Steve
Silberman

![](/images/article/magazine/1709/ff_placebo_effect3_f.jpg)**Yellow
pills**  
make the most effective antidepressants, like little doses of
pharmaceutical sunshine.

![](/images/article/magazine/1709/ff_placebo_effect4_f.jpg)**Red
pills**  
can give you a more stimulating kick. Wake up, Neo.

![](/images/article/magazine/1709/ff_placebo_effect5_f.jpg)**The color
green**  
reduces anxiety, adding more chill to the pill.

![](/images/article/magazine/1709/ff_placebo_effect6_f.jpg)**White
tablets**—  
particularly those labeled "antacid"—are superior for soothing ulcers,
even when they contain nothing but lactose.

![](/images/article/magazine/1709/ff_placebo_effect7_f.jpg)**More is
better,**  
scientists say. Placebos taken four times a day deliver greater relief
than those taken twice daily.

![](/images/article/magazine/1709/ff_placebo_effect8_f.jpg)**Branding
matters.**  
Placebos stamped or packaged with widely recognized trademarks are more
effective than "generic" placebos.

![](/images/article/magazine/1709/ff_placebo_effect9_f.jpg)**Clever
names**  
can add a placebo boost to the physiological punch in real drugs. Viagra
implies both vitality and an unstoppable Niagara of sexy.

Not surprisingly, the health of those in the third group improved most.
In fact, just by participating in the trial, volunteers in this
high-interaction group got as much relief as did people taking the two
leading prescription drugs for IBS. And the benefits of their bogus
treatment persisted for weeks afterward, contrary to the
belief—widespread in the pharmaceutical industry—that the placebo
response is short-lived.

Studies like this open the door to hybrid treatment strategies that
exploit the placebo effect to make real drugs safer and more effective.
Cancer patients undergoing rounds of chemotherapy often suffer from
debilitating nocebo effects—such as anticipatory nausea—conditioned by
their past experiences with the drugs. A team of German researchers has
shown that these associations can be unlearned through the
administration of placebo, making chemo easier to bear.

Meanwhile, the classic use of placebos in medicine—to boost the
confidence of anxious patients—has been employed tacitly for ages.
Nearly half of the doctors polled in a 2007 survey in Chicago admitted
to prescribing medications they knew were ineffective for a patient's
condition—or prescribing effective drugs in doses too low to produce
actual benefit—in order to provoke a placebo response.

The main objections to more widespread placebo use in clinical practice
are ethical, but the solutions to these conundrums can be surprisingly
simple. Investigators told volunteers in one placebo study that the
pills they were taking were "known to significantly reduce pain in some
patients." The researchers weren't lying.

**These new findings** tell us that the body's response to certain types
of medication is in constant flux, affected by expectations of
treatment, conditioning, beliefs, and social cues.

For instance, the geographic variations in trial outcome that Potter
uncovered begin to make sense in light of discoveries that the placebo
response is highly sensitive to cultural differences. Anthropologist
Daniel Moerman found that Germans are high placebo reactors in trials of
ulcer drugs but low in trials of drugs for hypertension—an undertreated
condition in Germany, where many people pop pills for herzinsuffizienz,
or low blood pressure. Moreover, a pill's shape, size, branding, and
price all influence its effects on the body. Soothing blue capsules make
more effective tranquilizers than angry red ones, except among Italian
men, for whom the color blue is associated with their national soccer
team—Forza Azzurri\!

But why would the placebo effect seem to be getting stronger worldwide?
Part of the answer may be found in the drug industry's own success in
marketing its products.

Potential trial volunteers in the US have been deluged with ads for
prescription medications since 1997, when the FDA amended its policy on
direct-to-consumer advertising. The secret of running an effective
campaign, Saatchi & Saatchi's Jim Joseph told a trade journal last year,
is associating a particular brand-name medication with other aspects of
life that promote peace of mind: "Is it time with your children? Is it a
good book curled up on the couch? Is it your favorite television show?
Is it a little purple pill that helps you get rid of acid reflux?" By
evoking such uplifting associations, researchers say, the ads set up the
kind of expectations that induce a formidable placebo response.

The success of those ads in selling blockbuster drugs like
antidepressants and statins also pushed trials offshore as therapeutic
virgins—potential volunteers who were not already medicated with one or
another drug—became harder to find. The contractors that manage trials
for Big Pharma have moved aggressively into Africa, India, China, and
the former Soviet Union. In these places, however, cultural dynamics can
boost the placebo response in other ways. Doctors in these countries are
paid to fill up trial rosters quickly, which may motivate them to
recruit patients with milder forms of illness that yield more readily to
placebo treatment. Furthermore, a patient's hope of getting better and
expectation of expert care—the primary placebo triggers in the brain—are
particularly acute in societies where volunteers are clamoring to gain
access to the most basic forms of medicine. "The quality of care that
placebo patients get in trials is far superior to the best insurance you
get in America," says psychiatrist Arif Khan, principal investigator in
hundreds of trials for companies like Pfizer and Bristol-Myers Squibb.
"It's basically luxury care."

Big Pharma faces additional problems in beating placebo when it comes to
psychiatric drugs. One is to accurately define the nature of mental
illness. The litmus test of drug efficacy in antidepressant trials is a
questionnaire called the Hamilton Depression Rating Scale. The HAM-D was
created nearly 50 years ago based on a study of major depressive
disorder in patients confined to asylums. Few trial volunteers now
suffer from that level of illness. In fact, many experts are starting to
wonder if what drug companies now call depression is even the same
disease that the HAM-D was designed to diagnose.

Existing tests also may not be appropriate for diagnosing disorders like
social anxiety and premenstrual dysphoria—the very types of chronic,
fuzzily defined conditions that the drug industry started targeting in
the '90s, when the placebo problem began escalating. The neurological
foundation of these illnesses is still being debated, making it even
harder for drug companies to come up with effective treatments.

What all of these disorders have in common, however, is that they engage
the higher cortical centers that generate beliefs and expectations,
interpret social cues, and anticipate rewards. So do chronic pain,
sexual dysfunction, Parkinson's, and many other ailments that respond
robustly to placebo treatment. To avoid investing in failure,
researchers say, pharmaceutical companies will need to adopt new ways of
vetting drugs that route around the brain's own centralized network for
healing.

**Ten years and billions** of R\&D dollars after William Potter first
sounded the alarm about the placebo effect, his message has finally
gotten through. In the spring, Potter, who is now a VP at Merck, helped
rev up a massive data-gathering effort called the Placebo Response Drug
Trials Survey.

Under the auspices of the
FNIH1[1](https://www.wired.com/medtech/drugs/magazine/17-09/#corrections),
Potter and his colleagues are acquiring decades of trial data—including
blood and DNA samples—to determine which variables are responsible for
the apparent rise in the placebo effect. Merck, Lilly, Pfizer,
AstraZeneca, GlaxoSmithKline, Sanofi-Aventis, Johnson & Johnson, and
other major firms are funding the study, and the process of scrubbing
volunteers' names and other personal information from the database is
about to begin.

In typically secretive industry fashion, the existence of the project
itself is being kept under wraps. FNIH
staffers2[2](https://www.wired.com/medtech/drugs/magazine/17-09/#corrections)
are willing to talk about it only anonymously, concerned about offending
the companies paying for it.

For Potter, who used to ride along with his father on house calls in
Indiana, the significance of the survey goes beyond Big Pharma's finally
admitting it has a placebo problem. It also marks the twilight of an era
when the drug industry was confident that its products were strong
enough to cure illness by themselves.

"Before I routinely prescribed antidepressants, I would do more
psychotherapy for mildly depressed patients," says the veteran of
hundreds of drug trials. "Today we would say I was trying to engage
components of the placebo response—and those patients got better. To
really do the best for your patients, you want the best placebo response
plus the best drug response."

The pharma crisis has also finally brought together the two parallel
streams of placebo research—academic and industrial. Pfizer has asked
Fabrizio Benedetti to help the company figure out why two of its pain
drugs keep failing. Ted Kaptchuk is developing ways to distinguish drug
response more clearly from placebo response for another pharma house
that he declines to name. Both are exploring innovative trial models
that treat the placebo effect as more than just statistical noise
competing with the active drug.

Benedetti has helped design a protocol for minimizing volunteers'
expectations that he calls "open/hidden." In standard trials, the act of
taking a pill or receiving an injection activates the placebo response.
In open/hidden trials, drugs and placebos are given to some test
subjects in the usual way and to others at random intervals through an
IV line controlled by a concealed computer. Drugs that work only when
the patient knows they're being administered are placebos themselves.

Ironically, Big Pharma's attempt to dominate the central nervous system
has ended up revealing how powerful the brain really is. The placebo
response doesn't care if the catalyst for healing is a triumph of
pharmacology, a compassionate therapist, or a syringe of salt water. All
it requires is a reasonable expectation of getting better. That's potent
medicine.

Contributing editor Steve Silberman
([steve@stevesilberman.com](https://www.wired.com/medtech/drugs/magazine/17-09/mailto:steve@stevesilberman.com))
wrote about the hunt for Jim Gray in issue 15.08.

[Paging Dr. Pan: Placebos Work Better in
Children](https://www.wired.com/wiredscience/2008/08/paging-dr-pan-p/)

[For Back Pain, Even Fake Acupuncture
Works](https://www.wired.com/wiredscience/2007/09/for-back-pain-e/)

[Why Sugar Pills Cure Some
Ills](https://www.wired.com/medtech/health/news/2004/03/62296)

[What We Don't
Know](https://www.wired.com/wired/archive/15.02/bigquestions.html?pg=3)
